* Encoding: UTF-8.
* Encoding: .
*==============================================================================*.
* TTULO DE LA SINTAXIS:							   
* Tabulados	de Camas y Egresos Hospitalarios   				   
* OPERACIN ESTADSTICA:													   
* Camas y Egresos Hospitalarios (ECEH)				   
* UNIDAD TCNICA RESPONSABLE: 												   
* Direccin de Estadsticas Sociodemogrficas (DIES)						   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadstica y Censos (INEC)							   
*==============================================================================*.
* Fecha de elaboracin:          Febrero - 2016							   
* Fecha ltima modificacin:   Febrero - 2022				   .
*==============================================================================*.
* Elaborado por:													   
* Direccin de Estadsticas Sociodemogrficas (DIES)						   
* Unidad de Gestin de Estadsticas Sociodemogrficas en Base a Registros Administrativos (GESRA)  	   						   
* Aprobado por:													   
* Direccin de Estadsticas Sociodemogrficas (DIES)				       
* Unidad de Gestin de Estadsticas Sociodemogrficas en Base a Registros Administrativos (GESRA)								       
*==============================================================================*.
*Indicaciones.

*1- Descargue la Carpeta Base_de_datos_EEH_2022 y Base_de_datos_ECH_2022, base de datos egresos_hospitalarios_2022 y camas_hospitalarias_2022 de la pgina web: https://www.ecuadorencifras.gob.ec/camas-y-egresos-hospitalarios/

*2- Guarde la base y copie el directorio en:.
*get file = 'D:\....\egresos_hospitalarios_xxxx_xx.sav'.
*get file = 'D:\....\camas_hospitalarias_xxxx_xx.sav'.

*3- Cree una carpeta llamada Tabulados_2022.

*==============================================================================*.

GET
  FILE=' D:\egresos_hospitalarios_2022.sav'.

*------------------------------------------.
*creacin de variables*.
*------------------------------------------.

compute t = 1.
compute t1 = 1.
compute t2 = 1.


*------------------------------------------.
*   Definicin de Etiquetas.
*-----------------------------------------.
VARIABLE LABELS
t	'Total'
t1	'Total Repblica'
t2	'Total '.


if t=1 altas = 0.
if con_egrpa = 1 altas = 1.
if t=1 men48 = 0.
if con_egrpa = 2 men48 = 1.
if t=1 mas48 = 0.
if con_egrpa = 3 mas48 = 1.
if t=1 bajas = 0.
if con_egrpa = 2 or con_egrpa = 3 bajas = 1.
EXECUTE.

*   Definicin de Etiquetas.
*------------------------------------------.
VARIABLE LABELS altas  'Alatas vivos' /bajas 'Fallecidos' /men48  'Fallecidos menos de 48 horas' /mas48  'Fallecidos 48 horas y ms'.


  if t=1 fallecidos=0.
 if (con_egrpa >= 2 and con_egrpa <= 3) fallecidos = 1.


*Cuadro excel 1.1.1 .
*Nmero de egresos hospitalarios segn al sector que pertenece el establecimiento de salud
*Este dato solo nacional.

filter off.
use all.

if t=1 publico=0.
if sector=1 publico=1.

if t=1 privado=0.
if (sector >= 2 and sector <= 3) privado=1.

TABLES  /FORMAT BLANK MISSING('.')
/obser= t publico privado 
/ptotal = total 'Nacional'
/TABLE= total + prov_ubi by publico + privado  + t
/STATISTICS= sum (publico (f8.0)'publico', privado (f8.0)'privado', t (f8.0)'total') MEAN(publico (f8.2)'publico (%)', privado (f8.2)'privado (%)')
/title='Nmero de egresos hospitalarios segn al sector que pertenece el establecimiento de salud c1.1.1'
/caption='Fuente: INEC - Egresos Hospitalarios 2022'.

outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 1_1_1.xlsx' 
operation=createsheet sheet='c1_1_1'.
output close *.


*Cuadro excel 1.1.2 .
*Condicin de egreso del paciente segn sector al que pertenece el establecimiento de salud.

filter off.
use all.

TABLES  /FORMAT BLANK MISSING('.')
/obser= t altas men48 mas48
/TABLE= sector by altas + men48 + mas48 + t
/STATISTICS= sum (altas (f8.0)'Altas', men48 (f8.0)'Fallecidos en menos de 48 h', mas48 (f8.0)'Fallecidos en mas de 48 h', t (f8.0)'total egresos' )
/title='Condicin de egreso del paciente segn sector al que pertenece el establecimiento de salud c1.1.2'
/caption='Fuente: INEC - Egresos Hospitalarios 2022'.



outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 1_1_2.xlsx' 
operation=createsheet sheet='c1_1_2'.
output close *.


*Cuadro excel 1.2.1.
* Nmero de egresos segn provincia de ubicacin del establecimiento de salud.

*ALTER TYPE prov_ubi (f4).

filter off.
use all.
TABLES  /FORMAT BLANK MISSING('.')
/obser= t anio_egr 
/ptotal = total 'Nacional'
/TABLE= total + prov_ubi by  anio_egr + t
/STATISTICS= sum(t (f8.0)'Poblacin')
/title='Nmero de egresos hospitalarios segn provincia de ubicacin del establecimiento de salud c1.2.1'
/caption='Fuente: INEC - Egresos Hospitalarios 2022'.



outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 1_2_1.xlsx' 
operation=createsheet sheet='c1_2_1'.
output close *.



*Cuadro excel 1.2.2.
* Tasa neta mortalidad hospitalaria por 1.000 egresos, segn provincia de ubicacin del establecimiento.


filter off.
use all.


if t =1 tnmh = 0.
if mas48 =1 tnmh = 1000.

if t =1 tbmh = 0.
if fallecidos =1 tbmh = 1000.



EXECUTE.

filter off.
use all.


TABLES  /FORMAT BLANK MISSING('.')
/obser= t altas men48 mas48 bajas tnmh tbmh
/TABLE= prov_ubi + t1 by t+ altas + men48 + mas48 + bajas + tnmh + tbmh
/STATISTICS= sum (t (f8.0)'total egresos', altas (f8.0)'Altas', men48 (f8.0)'Fallecidos en menos de 48 h', 
mas48 (f8.0)'Fallecidos en mas de 48 h',  bajas (f8.0)'Fallecidos'),mean ( tnmh (f8.4)'Tasa neta de mortalidad hospitalaria'
 tbmh (f8.4)'Tasa bruta de mortalidad hospitalaria')
/title='Tasa neta mortalidad hospitalaria por 1.000 egresos, segn provincia de ubicacin del estable c1.2.2'
/caption='Fuente: INEC - Egresos Hospitalarios 2022'.

outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 1_2_2.xlsx' 
operation=createsheet sheet='c1_2_2'.
output close *.



*Cuadro excel 1.3.1.
* Nmero de egresos de acuerdo a la provincia de residencia del paciente.

filter off.
use all.

TABLES  /FORMAT BLANK MISSING('.')
/obser= t anio_egr
/ptotal = total 'Nacional'
/TABLE=   prov_res + t1 by anio_egr +  t
/STATISTICS= sum(t (f8.0)'Poblacin')
/title='Nmero de egresos de acuerdo a la provincia de residencia del paciente c1.3.1'
/caption='Fuente: INEC - Egresos Hospitalarios 2022'.

outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 1_3_1.xlsx' 
operation=createsheet sheet='c1_3_1'.
output close *.


******************Cambio base a Camas Hospitalarios***********************************.

**************** crear variables*****************.
GET FILE='D:\EGRESOS Y CAMAS\BASES CAMAS\camas_2022.sav'.

*** Buscar duplicados***.
*creacin de variables*.

compute t = 1.
compute t1 = 1.
compute t2 = 1.


*------------------------------------------.
*   Definicin de Etiquetas.
*-----------------------------------------.

VARIABLE LABELS
t	'Total'
t1	'Total Repblica'
t2	'Total '.

if t=1 publico=0.
if sector=1 publico=1.

if t=1 privado=0.
if (sector >= 2 and sector <= 3) privado=1.

freq var prov_ubi.
NUMERIC rn_ubi (f2.0).
if (prov_ubi >= "01" and prov_ubi <= "06") rn_ubi= 1.
if (prov_ubi >= "10" and prov_ubi <= "11") rn_ubi= 1.
if (prov_ubi >= "17" and prov_ubi <= "18") rn_ubi= 1.
if (prov_ubi = "23") rn_ubi= 1.
if (prov_ubi >= "07" and prov_ubi <= "09") rn_ubi = 2.
if (prov_ubi >= "12" and prov_ubi <= "13") rn_ubi = 2.
if (prov_ubi = "24") rn_ubi= 2.
if (prov_ubi >= "14" and prov_ubi <= "16") rn_ubi = 3.
if (prov_ubi = "19") rn_ubi= 3.
if (prov_ubi >= "21" and prov_ubi <= "22") rn_ubi = 3.
if (prov_ubi = "20") rn_ubi= 4.
*if (prov_ubi = "90") rn_ubi= 5.
exe.
* Etiquetar variables y valores a desplegar en un reporte
*-------------------------------------------------------------------------------.
VALUE LABELS
/rn_ubi	
1 "Regin Sierra "
2 "Regin Costa "
3 "Regin Amaznica"
4 "Regin Insular".

if (clase =1 or clase=32) clase_a =1.
if clase =2 clase_a =2.
if (clase >= 3 and  clase <= 5 ) clase_a =3.
if (clase >= 6 and  clase <= 10 ) clase_a =4.
if clase =11  clase_a =5.
if clase =12  clase_a =6.
if (clase >= 13 and  clase <= 17 )  clase_a =7.

VARIABLE LABELS clase_a "Clase sector".
VALUE LABELS clase_a
1 "Hospital bsico"
2 "Hospital general"
3 "Hospital especializado agudo"
4 "Hospital especializado crnico"
5 "Hospital de especialidades"
6 "Clnica general"
7 "Clnica especializada".

 * ALTER TYPE cod_est (f7).
 * compute numest = cod_est.
 * sort cases by numest(A).
 * compute dup=1.
 * if(numest=lag(numest)) dup=0.
 * val lab dup 0 'Caso duplicado' 1 'Caso primario'.
 * exe.
compute dup =1.
freq var dup.

TABLES  /FORMAT BLANK MISSING('.')
/obser= t publico privado 
/ptotal = total 'Nacional'
/TABLE= prov_ubi + t1 by publico + privado  + t
/STATISTICS= sum (publico (f8.0)'publico', privado (f8.0)'privado', t (f8.0)'total establecimientos') MEAN(publico (f8.2)'publico (%)', privado (f8.2)'privado (%)')
/title='Nmero de establecimientos segn sector al que pertenece c1.4.1yc1.5.1'
/caption='Fuente: INEC - Camas  Hospitalarias 2022'.

outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 1_4_1.xlsx' 
operation=createsheet sheet='c1_4_1'.
output close *.


*Cuadro excel 1.4.2.
 *Poblacin estimada, nmero de camas disponibles y de dotacin normal, egresos hospitalarios, ndices y tasas. 


filter off.
use all.
* unir archivos *********.
compute fallecidos = sum.1(falmen48, falmas48).
compute nacional =1.

* Tablas personalizadas.
TABLES  /FORMAT BLANK MISSING('.')
/obser= camas_disp  camas_dnor totegres dia_estad fallecidos
/ptotal = total 'Nacional'
/TABLE=  nacional by   camas_disp + camas_dnor + totegres + dia_estad + fallecidos
/STATISTICS= sum (camas_disp (f8.0)'total', camas_dnor(f8.0), totegres(f8.0), dia_estad(f8.0), fallecidos(f8.0)'defunciones hospitalarias')
/title='Nmero de camas disponibles y de dotacin normal, egresos hospitalarios, ndices y tasas c1.4.2'
/caption='Fuente: INEC - Camas  Hospitalarias 2022'.

outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 1_4_2.xlsx' 
operation=createsheet sheet='c1_4_2'.
output close *.


*Cuadro excel 1.5.2. 
*Nmero de camas hospitalarias disponibles segn provincia de ubicacin del establecimiento de salud.


filter off.
use all.

if dup=1 filtro_esta = 1.

*freq filtro_esta.

*filter by filtro_esta.
TABLES  /FORMAT BLANK MISSING('.')
/obser= t camas_disp
/ptotal = total 'Nacional'
/TABLE= total + prov_ubi by camas_disp + t
/STATISTICS= sum (camas_disp (f8.0)'numero de camas disponibles', t (f8.0)'total establecimientos') 
/title='Nmero de camas hospitalarias disponibles segn provincia de ubicacin del establecimiento de salud c1.5.2'
/caption='Fuente: INEC - Camas  Hospitalarias 2022'.


outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 1_5_2.xlsx' 
operation=createsheet sheet='c1_5_2'.
output close *.
* Nota este dato se puede calcular con camas*.



*Cuadro excel 1.5.3. 
*Nmero de camas hospitalarias de dotacin normal segn provincia de ubicacin del establecimiento.


filter off.
use all.

*if dup=1 filtro_esta = 1.
*filter by filtro_esta.
TABLES  /FORMAT BLANK MISSING('.')
/obser= t camas_dnor
/ptotal = total 'Nacional'
/TABLE= total + prov_ubi by camas_dnor + t
/STATISTICS= sum (camas_dnor (f8.0)'numero de camas dotacion normal', t (f8.0)'total establecimientos') 
/title='Nmero de camas hospitalarias de dotacin normal segn provincia de ubicacin del establecimiento 1.5.3'
/caption='Fuente: INEC - Camas  Hospitalarias 2022'.



outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 1_5_3.xlsx' 
operation=createsheet sheet='c1_5_3'.
output close *.




*Cuadro excel 1.5.4. 
*Porcentaje de ocupacin de camas disponibles segn provincia de ubicacin del establecimiento de salud..

filter off.
use all.

TABLES  /FORMAT BLANK MISSING('.')
/obser= t dia_estad dias_cdis
/ptotal = total 'Nacional'
/TABLE= total + prov_ubi by dia_estad + dias_cdis +  t
/STATISTICS= sum (dia_estad (f8.0)'Dias de estada', dias_cdis (f8.0)'Dias cama disponibles', t (f8.0)'total ') 
/title='Porcentaje de ocupacin de camas disponibles segn provincia de ubicacin del establecimiento de salud c1.5.4'
/caption='Fuente: INEC - Camas  Hospitalarias 2022'.


outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 1_5_4.xlsx' 
operation=createsheet sheet='c1_5_4'.
output close *.



*Cuadro excel 1.5.5.
*Rendimiento o giro de camas por provincia de ubicacin del establecimiento.


filter off.
use all.

TABLES  /FORMAT BLANK MISSING('.')
/obser= t totegres camas_disp
/ptotal = total 'Nacional'
/TABLE= total + prov_ubi by totegres + camas_disp +  t
/STATISTICS= sum (totegres (f8.0)'Egresos hospitalarios', camas_disp (f8.0)'Cama disponibles', t (f8.0)'total') 
/title='Rendimiento o giro de camas por provincia de ubicacin del establecimiento'
/caption='Fuente: INEC - Camas  Hospitalarias 2022'.


outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 1_5_5.xlsx' 
operation=createsheet sheet='c1_5_5'.
output close *.



*Cuadro excel 2.1.1.
*Nmero de establecimientos, egresos hospitalarios y camas hospitalarias disponibles segn regiones.
* Region natural del ubicacin del establecimiento establecimiento 

filter off.
use all.

TABLES  /FORMAT BLANK MISSING('.')
/obser= filtro_esta totegres camas_disp
/ptotal = total 'Nacional'
/TABLE= total + rn_ubi by  filtro_esta + totegres + camas_disp
/STATISTICS= sum ( filtro_esta(f8.0)'total establecimientos', totegres (f8.0)'Egresos hospitalarios', camas_disp (f8.0)'Cama disponibles') 
/title='Nmero de establecimientos, egresos hospitalarios y camas hospitalarias disponibles segn regiones c2.1.1'
/caption='Fuente: INEC - Camas  Hospitalarias 2022'.

outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 2_1_1.xlsx' 
operation=createsheet sheet='c2_1_1'.
output close *.




*Cuadro excel 2.1.2 .
*Nmero de establecimientos segn clase, sector y entidad.

filter off.
use all.

TABLES  /FORMAT BLANK MISSING('.')
/obser= filtro_esta 
/ptotal = total 'Nacional'
/TABLE= total + clase_a + total + sector + total + entidad by  filtro_esta 
/STATISTICS= sum ( filtro_esta (f8.0)'total establecimientos')  cpct( filtro_esta (f8.2)'establecimientos (%)') 
/title='Nmero de establecimientos segn clase, sector y entidad c2.1.2'
/caption='Fuente: INEC - Camas  Hospitalarias 2022'.

outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 2_1_2.xlsx' 
operation=createsheet sheet='c2_1_2'.
output close *.

*Cuadro excel 2.1.3.
*Nmero de camas hospitalarias disponibles, segn provincias.

filter off.
use all.

TABLES  /FORMAT BLANK MISSING('.')
/obser= camas_disp
/ptotal = total 'Nacional'
/TABLE= total + prov_ubi by camas_disp
/STATISTICS= sum (camas_disp (f8.0)'Cama disponibles') 
/title='Nmero de camas hospitalarias disponibles, segn provincias c2.1.3'
/caption='Fuente: INEC - Camas  Hospitalarias 2021'.


outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 2_1_3.xlsx' 
operation=createsheet sheet='c2_1_3'.
output close *.

*Cuadro excel 2.1.4.
*Nmero de camas  hospitalarias de dotacin normal,  segn servicios.

filter off.
use all.

compute nacional =1.

TABLES  /FORMAT BLANK MISSING('.')
/obser= camas_dnor dotmedic dotgin dotped dotneon dotcardi dotneumo dotpsiqu dottraum dotinfec 
dotofta dototo doturolo dotgast dotquem dotneuroci dotnefro dotonco dothema dotaler dotatpri
dotcardipe dotciruca dotcirutor dotciruge dotcirumafa dotciruonc dotciruped dotciruplas dotciruvas
dotclido dotderma dotendoc dotendod dotgen dotgeri dotgero dotmedial dotmedifa dotmedifi 
dotneurocli dotneurops dotneuro dotodonpe dotoncohe dotortod dotperio dotprocto dotrehaor 
dotreuma dotobste dotcirucard dototrse dotserin 
dotemerg dotcbas dotcinteradult dotcinterpediatri dotcinterneonat dotcinteadult
dotcintepediatri dotcinteneonat dotcrecup dototrapo 
/ptotal = total 'Nacional'
/TABLE= camas_dnor + dotmedic + dotgin + dotped + dotneon + dotcardi + dotneumo + dotpsiqu + dottraum + dotinfec + 
dotofta + dototo + doturolo + dotgast + dotquem + dotneuroci +dotnefro + dotonco + dothema + dotaler + dotatpri +
dotcardipe + dotciruca + dotcirutor + dotciruge + dotcirumafa + dotciruonc + dotciruped + dotciruplas + dotciruvas +
dotclido + dotderma + dotendoc + dotendod + dotgen + dotgeri + dotgero + dotmedial + dotmedifa + dotmedifi + 
dotneurocli + dotneurops + dotneuro + dotodonpe + dotoncohe + dotortod + dotperio + dotprocto + dotrehaor + 
dotreuma + dotobste + dotcirucard + dototrse + dotserin +
dotemerg +dotcbas +dotcinteradult +dotcinterpediatri +dotcinterneonat +dotcinteadult +
dotcintepediatri +dotcinteneonat +dotcrecup +dototrapo  by  nacional
/STATISTICS= sum (camas_dnor (f8.0)'total',   dotmedic(f8.0), dotgin(f8.0), dotped(f8.0), dotneon(f8.0), dotcardi(f8.0), dotneumo(f8.0), dotpsiqu(f8.0), dottraum(f8.0), dotinfec(f8.0), 
dotofta(f8.0), dototo(f8.0), doturolo(f8.0), dotgast(f8.0), dotquem(f8.0), dotneuroci(f8.0),dotnefro(f8.0), dotonco(f8.0), dothema(f8.0), dotaler(f8.0), dotatpri(f8.0),
dotcardipe(f8.0), dotciruca(f8.0), dotcirutor(f8.0), dotciruge(f8.0), dotcirumafa(f8.0), dotciruonc(f8.0), dotciruped(f8.0), dotciruplas(f8.0), dotciruvas(f8.0),
dotclido(f8.0), dotderma(f8.0), dotendoc(f8.0), dotendod(f8.0), dotgen(f8.0), dotgeri(f8.0), dotgero(f8.0), dotmedial(f8.0), dotmedifa(f8.0), dotmedifi(f8.0), 
dotneurocli(f8.0), dotneurops(f8.0), dotneuro(f8.0), dotodonpe(f8.0), dotoncohe(f8.0), dotortod(f8.0), dotperio(f8.0), dotprocto(f8.0), dotrehaor(f8.0), 
dotreuma(f8.0), dotobste(f8.0), dotcirucard(f8.0), dototrse(f8.0), dotserin(f8.0), 
dotemerg(f8.0),dotcbas(f8.0),dotcinteradult(f8.0),dotcinterpediatri(f8.0),dotcinterneonat(f8.0),dotcinteadult(f8.0),
dotcintepediatri(f8.0),dotcinteneonat(f8.0),dotcrecup(f8.0),dototrapo(f8.0))
/title='Nmero de camas hospitalarias dotacon normal, segn provincias c2.1.4'
/caption='Fuente: INEC - Camas  Hospitalarias 2022'.


outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 2_1_4.xlsx' 
operation=createsheet sheet='c2_1_4'.
output close *.

*Cuadro excel 2.1.5.
*Nmero de egresos hospitalarios, segn provincias.

GET
  FILE=' D:\egresos_hospitalarios_2022.sav'.
*creacin de variables*.
compute totegres = 1.
VARIABLE LABELS
totegres	'Total '.

filter off.
use all.

TABLES  /FORMAT BLANK MISSING('.')
/obser= totegres
/ptotal = total 'Nacional'
/TABLE= total + prov_res by totegres
/STATISTICS= sum (totegres (f8.0)'Total egresos') 
/title='Nmero de egresos hospitalarios, segn provincias residencia c2.1.5'
/caption='Fuente: INEC - Camas  Hospitalarias 2022'.

outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 2_1_5.xlsx' 
operation=createsheet sheet='c2_1_5'.
output close *.

