* Encoding: UTF-8.
* Encoding: .
*==============================================================================*.
* TTULO DE LA SINTAXIS:							   
* Tabulados	de Camas y Egresos Hospitalarios   				   
* OPERACIN ESTADSTICA:													   
* Camas y Egresos Hospitalarios (ECEH)				   
* UNIDAD TCNICA RESPONSABLE: 												   
* Direccin de Estadsticas Sociodemogrficas (DIES)						   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadstica y Censos (INEC)							   
*==============================================================================*.
* Fecha de elaboracin:          Febrero - 2016							   
* Fecha ltima modificacin:   Febrero - 2022				   .
*==============================================================================*.
* Elaborado por:													   
* Direccin de Estadsticas Sociodemogrficas (DIES)						   
* Unidad de Gestin de Estadsticas Sociodemogrficas en Base a Registros Administrativos (GESRA)  	   						   
* Aprobado por:													   
* Direccin de Estadsticas Sociodemogrficas (DIES)				       
* Unidad de Gestin de Estadsticas Sociodemogrficas en Base a Registros Administrativos (GESRA)								       
*==============================================================================*.
*Indicaciones.

*1- Descargue la Carpeta Base_de_datos_EEH_2022 y Base_de_datos_ECH_2022, base de datos egresos_hospitalarios_2022 y camas_hospitalarias_2022 de la pgina web: https://www.ecuadorencifras.gob.ec/camas-y-egresos-hospitalarios/

*2- Guarde la base y copie el directorio en:.
*get file = 'D:\....\egresos_hospitalarios_xxxx_xx.sav'.
*get file = 'D:\....\camas_hospitalarias_xxxx_xx.sav'.

*3- Cree una carpeta llamada Tabulados_2022.

*==============================================================================*.

GET FILE='\camas_2022.sav'.


filter off.
use all.
compute fallecidos = sum.1(falmen48, falmas48).
compute nacional =1.
*Cuadro excel 3.1.1.
*Poblacin estimada, nmero de camas disponibles, egresos hospitalarios, defunciones hospitalarias, das de estada,ndices y tasas,  segn regiones y provincias.

filter off.
use all.
NUMERIC reg_sie (f2.0).
if (prov_ubi = "01" ) reg_sie= 1.
if (prov_ubi = "02" ) reg_sie = 2.
if (prov_ubi = "03" ) reg_sie = 3.
if (prov_ubi = "04" ) reg_sie = 4.
if (prov_ubi = "05" ) reg_sie = 5.
if (prov_ubi = "06" ) reg_sie = 6.
if (prov_ubi = "10" ) reg_sie = 7.
if (prov_ubi = "11" ) reg_sie = 8.
if (prov_ubi = "17" ) reg_sie = 9.
if (prov_ubi = "18" ) reg_sie = 10.
if (prov_ubi = "23" ) reg_sie = 11.

VARIABLE LABELS reg_sie "region sierra y provincias".
VALUE LABELS reg_sie
1 "Azuay"
2 "Bolivar"
3 "Caar"
4 "Carchi"
5 "Cotopaxi"
6 "Chimborazo"
7 "Imababura"
8 "Loja"
9 "Pichincha"
10 "Tungurahua"
11 "Santo Domingo de los Tschilas".

FREQ reg_sie prov_ubi.

NUMERIC reg_cos (f2.0).
if (prov_ubi = "07" ) reg_cos= 1.
if (prov_ubi = "08" ) reg_cos = 2.
if (prov_ubi = "09" ) reg_cos = 3.
if (prov_ubi = "12" ) reg_cos = 4.
if (prov_ubi = "13" ) reg_cos = 5.
if (prov_ubi = "24" ) reg_cos = 6.


VARIABLE LABELS reg_cos "region costa y provincias".
VALUE LABELS reg_cos
1 "El Oro"
2 "Esmeraldas"
3 "Guayas"
4 "Los Ros"
5 "Manab"
6 "Santa Elena".


NUMERIC reg_amas (f2.0).
if (prov_ubi = "14" ) reg_amas= 1.
if (prov_ubi = "15" ) reg_amas = 2.
if (prov_ubi = "16" ) reg_amas = 3.
if (prov_ubi = "19" ) reg_amas = 4.
if (prov_ubi = "21" ) reg_amas = 5.
if (prov_ubi = "22" ) reg_amas = 6.


VARIABLE LABELS reg_amas "region amazona y provincias".
VALUE LABELS reg_amas
1 "Morona Santiago"
2 "Napo"
3 "Pastaza"
4 "Zamora Chinchipe"
5 "Sucumbios"
6 "Orellana".


NUMERIC reg_insu (f2.0).
if (prov_ubi = "20" ) reg_insu= 1.

VARIABLE LABELS reg_insu "region insular y provincias".
VALUE LABELS reg_insu
1 "Galapagos".


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=nacional reg_sie reg_cos reg_amas reg_insu camas_disp totegres 
    fallecidos dia_estad dias_cdis
    DISPLAY=BOTH
  /TABLE nacional + reg_sie + reg_cos + reg_amas + reg_insu  BY camas_disp [SUM F40.0] + 
    totegres [SUM F40.0] + fallecidos [SUM F40.0] + dia_estad [SUM F40.0] + dias_cdis [SUM F40.0]
  /CATEGORIES VARIABLES=nacional ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=reg_sie reg_cos reg_amas reg_insu ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES 
    POSITION=BEFORE.



outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 3_1_1.xlsx' 
operation=createsheet sheet='c3_1_1'.
output close *.


* Cuadro 3.1.2.
* Establecimientos hospitalarios, por nmero de egresos, das y promedio de estada, .
*nmero de camas hospitalarias disponibles, das-cama disponibles, porcentaje de ocupacin y giro de camas, .
*segn sector, clase de establecimiento y entidades a las que pertenecen.

compute num_e = 1.
VARIABLE LABELS num_e "nmero de establecimiento".

if (sector = 1) publico =1.
if (sector >=2 and sector <=3) privado = 1.
if (sector = 2) pconlucro =1.
if (sector = 3) psinlucro =1.

if ( publico =1 and clase=11) hos_espe =1.
var lab hos_espe "Hospital de especialidades".

DO IF  (hos_espe = 1).
RECODE entidad (1=1) (2=2) (3=3) (4=4) (5=5) (6=6) (7=7) (8=8) (9=9) (10=10)(11=11)(12=12)(13=13)(14=14)(15=15) (16=16) (17=17) (18=18)INTO hos_espe1.
END IF.
VARIABLE LABELS  hos_espe1 'entidad general'.
val lab hos_espe1
1  'Ministerio de Salud Pblica'
2   'Ministerio de Justicia, Derechos Humanos y Cultos '
3   'Ministerio de Defensa Nacional'
4   'Ministerio de Educacin'
5   'Otros ministerios'
6   'Instituto Ecuatoriano de Seguridad Social '
7   'Anexos al Seguro Social'
8   'Seguro Social Campesino '
9   'Otros pblicos '
10   'Consejos provinciales'
11   'Municipios'
12   'Universidades y politcnicas '
13   'Junta Beneficencia de Guayaquil'
14   'Cruz Roja Ecuatoriana'
15   'Sociedad de Lucha Contra el Cncer '
16   'Fiscomisionales'
17   'Privados sin fines de lucro'
18   'Privados con fines de lucro'.


if ( publico =1 and (clase >= 3 and clase <=10)) h_especil =1.
var lab h_especil "Hospital especializado".

DO IF  (h_especil = 1).
RECODE entidad (1=1) (2=2) (3=3) (4=4) (5=5) (6=6) (7=7) (8=8) (9=9) (10=10)(11=11)(12=12)(13=13)(14=14)(15=15) (16=16) (17=17) (18=18)INTO h_especil1.
END IF.
VARIABLE LABELS  h_especil1 'entidad general'.
val lab h_especil1
1  'Ministerio de Salud Pblica'
2   'Ministerio de Justicia, Derechos Humanos y Cultos '
3   'Ministerio de Defensa Nacional'
4   'Ministerio de Educacin'
5   'Otros ministerios'
6   'Instituto Ecuatoriano de Seguridad Social '
7   'Anexos al Seguro Social'
8   'Seguro Social Campesino '
9   'Otros pblicos '
10   'Consejos provinciales'
11   'Municipios'
12   'Universidades y politcnicas '
13   'Junta Beneficencia de Guayaquil'
14   'Cruz Roja Ecuatoriana'
15   'Sociedad de Lucha Contra el Cncer '
16   'Fiscomisionales'
17   'Privados sin fines de lucro'
18   'Privados con fines de lucro'.



if ( publico =1 and (clase = 2)) h_gener =1.
var lab h_gener "Hospital general".
 
DO IF  (h_gener = 1).
RECODE entidad (1=1) (2=2) (3=3) (4=4) (5=5) (6=6) (7=7) (8=8) (9=9) (10=10)(11=11)(12=12)(13=13)(14=14)(15=15) (16=16) (17=17) (18=18)INTO h_gener1.
END IF.
VARIABLE LABELS  h_gener1 'entidad general'.
val lab h_gener1
1  'Ministerio de Salud Pblica'
2   'Ministerio de Justicia, Derechos Humanos y Cultos '
3   'Ministerio de Defensa Nacional'
4   'Ministerio de Educacin'
5   'Otros ministerios'
6   'Instituto Ecuatoriano de Seguridad Social '
7   'Anexos al Seguro Social'
8   'Seguro Social Campesino '
9   'Otros pblicos '
10   'Consejos provinciales'
11   'Municipios'
12   'Universidades y politcnicas '
13   'Junta Beneficencia de Guayaquil'
14   'Cruz Roja Ecuatoriana'
15   'Sociedad de Lucha Contra el Cncer '
16   'Fiscomisionales'
17   'Privados sin fines de lucro'
18   'Privados con fines de lucro'.


if ( publico =1 and (clase = 1 or clase=32)) h_basico =1.
var lab h_basico "Hospital general".


DO IF  (h_basico = 1).
RECODE entidad (1=1) (2=2) (3=3) (4=4) (5=5) (6=6) (7=7) (8=8) (9=9) (10=10)(11=11)(12=12)(13=13)(14=14)(15=15) (16=16) (17=17) (18=18)INTO h_basico1.
END IF.
VARIABLE LABELS  h_basico1 'entidad general'.
val lab h_basico1
1  'Ministerio de Salud Pblica'
2   'Ministerio de Justicia, Derechos Humanos y Cultos '
3   'Ministerio de Defensa Nacional'
4   'Ministerio de Educacin'
5   'Otros ministerios'
6   'Instituto Ecuatoriano de Seguridad Social '
7   'Anexos al Seguro Social'
8   'Seguro Social Campesino '
9   'Otros pblicos '
10   'Consejos provinciales'
11   'Municipios'
12   'Universidades y politcnicas '
13   'Junta Beneficencia de Guayaquil'
14   'Cruz Roja Ecuatoriana'
15   'Sociedad de Lucha Contra el Cncer '
16   'Fiscomisionales'
17   'Privados sin fines de lucro'
18   'Privados con fines de lucro'.


****************privado**********************.

**definimos clase... 
COMPUTE pconlucro1 = 9.
if (sector = 2) and (entidad=12 or entidad = 18)  and  (clase = 1 or clase = 2  or clase = 3  or clase = 4  or clase = 5 
or clase = 6  or clase = 7  or clase = 8 or clase = 9 or clase = 10 or clase = 11  or clase=32 )  pconlucro1 = 1.
if (sector = 2) and entidad = 18  and  (clase = 13  or clase = 14 or clase = 15 or clase = 16 or clase = 17 ) pconlucro1 = 2.
if (sector = 2) and entidad = 18  and  (clase = 12 ) pconlucro1 = 3.


VARIABLE LABELS  pconlucro1 'entidad privado con fines de lucro'.
val lab pconlucro1
1 'Hospitales Privados CFL'
2  'Clnica especializada'
3 'Clnica general'
9 'ERRADA'.


**definimos clase... 
COMPUTE psinlucro1 = 9.
if (sector = 3) and (entidad=12 or entidad =17 or entidad =13 or entidad =15) and (clase =1 or clase =2  or clase =3  or clase =4  or clase =5  or 
clase =6  or clase = 7  or clase = 8 or clase = 9 or clase = 10 or clase = 11 or clase=32) psinlucro1 = 1.
if (sector = 3) and entidad = 17  and  (clase = 13  or clase = 14 or clase = 15 or clase = 16 or clase = 17 ) psinlucro1 = 2.
if (sector = 3) and entidad = 17  and  (clase = 12 ) psinlucro1 = 3.

VARIABLE LABELS  psinlucro1 'entidad privado sin fines de lucro'.
val lab psinlucro1
1 'Hospitales Privados SFL'
2  'Clnica especializada'
3 'Clnica general'
9 'ERRADA'.


********Total entidades publicas********.
 
DO IF  (publico = 1).
RECODE entidad (1=1) (2=2) (3=3) (4=4) (5=5) (6=6) (7=7) (8=8) (9=9) (10=10)(11=11)(12=12)(13=13)(14=14)(15=15) (16=16) (17=17) (18=18)INTO entid_pu.
END IF.
var lab entid_pu "Entidades pblicas".
val lab entid_pu
1  'Ministerio de Salud Pblica'
2   'Ministerio de Justicia, Derechos Humanos y Cultos '
3   'Ministerio de Defensa Nacional'
4   'Ministerio de Educacin'
5   'Otros ministerios'
6   'Instituto Ecuatoriano de Seguridad Social '
7   'Anexos al Seguro Social'
8   'Seguro Social Campesino '
9   'Otros pblicos '
10   'Consejos provinciales'
11   'Municipios'
12   'Universidades y politcnicas '
13   'Junta Beneficencia de Guayaquil'
14   'Cruz Roja Ecuatoriana'
15   'Sociedad de Lucha Contra el Cncer '
16   'Fiscomisionales'
17   'Privados sin fines de lucro'
18   'Privados con fines de lucro'.

variable level psinlucro1 pconlucro1 h_basico1 entid_pu(nominal).


* Tablas personalizadas.
CTABLES
  /FORMAT EMPTY=BLANK MISSING='.'
  /SMISSING VARIABLE
  /VLABELS VARIABLES=nacional publico hos_espe hos_espe1 h_especil h_especil1 h_gener h_gener1 
    h_basico h_basico1 privado psinlucro psinlucro1 pconlucro pconlucro1 entid_pu num_e totegres 
    dia_estad camas_disp dias_cdis
    DISPLAY=BOTH
  /TABLE nacional [C] + publico [C] + hos_espe [C] + hos_espe1 [C] + h_especil [C] + h_especil1 [C] 
    + h_gener [C] + h_gener1 [C] + h_basico [C] + h_basico1 [C] + privado [C] + psinlucro [C] + 
    psinlucro1 [C] + pconlucro [C] + pconlucro1 [C] + entid_pu BY num_e [C][COUNT F40.0] + totegres 
    [S][SUM] + dia_estad [S][SUM] + camas_disp [S][SUM] + dias_cdis [S][SUM]
  /CATEGORIES VARIABLES=nacional publico hos_espe h_especil h_gener h_basico privado psinlucro 
    pconlucro num_e ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=hos_espe1 h_especil1 h_gener1 h_basico1 psinlucro1 pconlucro1 entid_pu 
    ORDER=A KEY=VALUE EMPTY=INCLUDE.

outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 3_1_2.xlsx' 
operation=createsheet sheet='c3_1_2'.
output close *.

