* Encoding: UTF-8.
* Encoding: .
*==============================================================================*.
* TTULO DE LA SINTAXIS:							   
* Tabulados	de Camas y Egresos Hospitalarios   				   
* OPERACIN ESTADSTICA:													   
* Camas y Egresos Hospitalarios (ECEH)				   
* UNIDAD TCNICA RESPONSABLE: 												   
* Direccin de Estadsticas Sociodemogrficas (DIES)						   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadstica y Censos (INEC)							   
*==============================================================================*.
* Fecha de elaboracin:          Febrero - 2016							   
* Fecha ltima modificacin:   Febrero - 2022				   .
*==============================================================================*.
* Elaborado por:													   
* Direccin de Estadsticas Sociodemogrficas (DIES)						   
* Unidad de Gestin de Estadsticas Sociodemogrficas en Base a Registros Administrativos (GESRA)  	   						   
* Aprobado por:													   
* Direccin de Estadsticas Sociodemogrficas (DIES)				       
* Unidad de Gestin de Estadsticas Sociodemogrficas en Base a Registros Administrativos (GESRA)								       
*==============================================================================*.
*Indicaciones.

*1- Descargue la Carpeta Base_de_datos_EEH_2022 y Base_de_datos_ECH_2022, base de datos egresos_hospitalarios_2022 y camas_hospitalarias_2022 de la pgina web: https://www.ecuadorencifras.gob.ec/camas-y-egresos-hospitalarios/

*2- Guarde la base y copie el directorio en:.
*get file = 'D:\....\egresos_hospitalarios_xxxx_xx.sav'.
*get file = 'D:\....\camas_hospitalarias_xxxx_xx.sav'.

*3- Cree una carpeta llamada Tabulados_2022.

*==============================================================================*.

*3.1.3 Nmero de establecimientos y nmero de camas hospitalarias disponibles, por clase de establecimiento,
segn regiones y  provincias********..


GET FILE=' D:\camas_2022.sav'.
filter off.
use all.
compute t0 = 1.
compute t1 = 1.

NUMERIC reg_nat (f2.0).
if (prov_ubi >= "01" and prov_ubi <= "06") reg_nat= 1.
if (prov_ubi >= "10" and prov_ubi <= "11") reg_nat= 1.
if (prov_ubi >= "17" and prov_ubi <= "18") reg_nat= 1.
if (prov_ubi = "23") reg_nat= 1.
if (prov_ubi >= "07" and prov_ubi <= "09") reg_nat = 2.
if (prov_ubi >= "12" and prov_ubi <= "13") reg_nat = 2.
if (prov_ubi = "24") reg_nat= 2.
if (prov_ubi >= "14" and prov_ubi <= "16") reg_nat = 3.
if (prov_ubi = "19") reg_nat= 3.
if (prov_ubi >= "21" and prov_ubi <= "22") reg_nat = 3.
if (prov_ubi = "20") reg_nat= 4.
execute.


VALUE LABELS
/REG_NAT  
1 'Regipon Sierra'
2 'Regin Costa'
3 'Regin Amaznica'
4 'Regin Insular'.

*-----------------------------------------------------------------.
*Para agrupar las sectores con entidades.
*-----------------------------------------------------------------.
STRING wclase (A1).
COMPUTE wclase = '9'.
EXECUTE .

if clase = 11 wclase = '1'.
if (clase = 3 or clase = 4 or clase = 5) wclase = "2".
if (clase = 6 or clase = 7 or clase = 8 or clase = 9 or clase = 10) wclase = "3".
if (clase =  2) wclase = "4".
if (clase = 1 or clase=32) wclase = "5".
if (clase = 13 or clase = 14 or clase = 15 or clase = 16 or clase = 17) wclase = "6".
if clase = 12 wclase = '7'.
EXECUTE.

STRING wtipo (A1).
COMPUTE wtipo = '9'.
EXECUTE .

if wclase = '1' wtipo = '1'.
if wclase = '2' wtipo = '2'.
if wclase = '3' wtipo = '2'.
if wclase = '4' wtipo = '3'.
if wclase = '5' wtipo = '3'.
if wclase = '6' wtipo = '4'.
if wclase = '7' wtipo = '5'.
EXECUTE.




*   Definicin de Etiquetas.*
*------------------------------------------.
VARIABLE LABELS 
t0   'Total Repblica' 
/t1   'Total '
/prov_ubi	' '.

VALUE LABELS 
t0 1	' '
/t1 1	' '
/wclase
'1'	'Hospital de especialidades'
'2'	'Agudo'
'3'	'Crnico'
'4'	'Hospital general'
'5'	'Hospital bsico'
'6'	'Clnica especializada'
'7'	'Clnica general'
'9'	'Raros CLASE'
/wtipo
'1'	'Hospital de especialidades'
'2'	'Hospital especializado'
'3'	'Hospital bsico y general'
'4'	'Clnica especializada'
'5'	'Clnica general'
'9'	'RAROS TIPO'.

*----------------------------.
* CUADRO BASE. 
*----------------------------.
TABLES
/OBSERVATION camas_disp 
/TABLE t0+REG_NAT >(t1+prov_ubi) by camas_disp + (wtipo>wclase>camas_disp)
/STATISTICS COUNT('N. DE ESTABLECIMIENTOS') SUM((f6)"") 
/TITLES "Cuadro 3.1.3"
"Nmero de establecimientos y nmero de camas hospitalarias disponibles, por clase de establecimiento"
	"Segn regiones y  provincias"	
/CAPTION  "Anuario de Estadsticas Hospitalarias - Camas y Egresos  - INEC 2022"
/CORNER.
EXECUTE.


outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 3_1_3.xlsx' 
operation=createsheet sheet='c3_1_3'.
output close *.

*****3.1.4 Nmero de establecimientos y nmero de camas de dotacin normal, por clase de establecimiento,
segn regiones y provincias********..

TABLES
/OBSERVATION camas_dnor
/TABLE t0+REG_NAT>(t1+prov_ubi) by camas_dnor + (wtipo>wclase>camas_dnor)
/STATISTICS COUNT('N. DE ESTABLECIMIENTOS') SUM((f6)"") 
/TITLES "Cuadro 3.1.4"
"Nmero de establecimientos y nmero de camas de dotacin normal por clase de establecimiento"
	"Segn regiones y  provincias"
/CAPTION  "Anuario de Estadsticas Hospitalarias - Camas y Egresos  - INEC 2022"
/CORNER.
EXECUTE.


outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 3_1_4.xlsx' 
operation=createsheet sheet='c3_1_4'.
output close *.


* 3.1.5 Nmero de establecimientos hospitalarios y nmero de camas hospitalarias disponibles por sector y entidad a la que pertenecen,
segn regiones y  provincias.

GET FILE=' D:\camas_2022.sav'.
*Crear variables  de trabajo.
*------------------------------------------.
filter off.
use all.
compute t0 = 1.
compute t1 = 1.

NUMERIC reg_nat (f2.0).
if (prov_ubi >= "01" and prov_ubi <= "06") reg_nat= 1.
if (prov_ubi >= "10" and prov_ubi <= "11") reg_nat= 1.
if (prov_ubi >= "17" and prov_ubi <= "18") reg_nat= 1.
if (prov_ubi = "23") reg_nat= 1.
if (prov_ubi >= "07" and prov_ubi <= "09") reg_nat = 2.
if (prov_ubi >= "12" and prov_ubi <= "13") reg_nat = 2.
if (prov_ubi = "24") reg_nat= 2.
if (prov_ubi >= "14" and prov_ubi <= "16") reg_nat = 3.
if (prov_ubi = "19") reg_nat= 3.
if (prov_ubi >= "21" and prov_ubi <= "22") reg_nat = 3.
if (prov_ubi = "20") reg_nat= 4.
if (prov_ubi = "90") reg_nat= 5.
execute.


VALUE LABELS
/reg_nat  
1 'Regin Sierra'
2 'Regin Costa'
3 'Regin Amaznica'
4 'Regin Insular'
5 'Zonas no delimitadas'.
*-----------------------------------------------------------------.
*Para agrupar las sectores con entidades.
*-----------------------------------------------------------------.
STRING wenti (A2).
COMPUTE wenti = '10'.
EXECUTE .

if entidad = 1 and sector =1 wenti = "1".
if entidad = 2 and sector =1 wenti = "2".
if entidad = 3 and sector =1 wenti = "3".
if (entidad = 6 or entidad = 7 or entidad = 8) and (sector =1) wenti = "4".
if (entidad = 4 or entidad = 5 or entidad = 9 or entidad = 10 or entidad = 11 or entidad = 12 or entidad = 14 or entidad = 16) and sector =1 wenti = "7".
if (entidad = 17 or entidad = 12 or entidad = 13 or entidad = 15 ) and (sector =3) wenti = "8".
if (entidad = 18 or entidad = 12) and (sector =2) wenti = "9".
EXECUTE.

STRING wsector (A1).
COMPUTE wsector = '9'.
EXECUTE .

if (wenti = '1'  or wenti = '2'  or wenti = '3'  or wenti = '4'  or wenti = '7' ) 	wsector = "1".
if (wenti = '8'  or wenti = '9') wsector = "2".
EXECUTE .

*------------------------------------------.
*   Definicin de Etiquetas.
*------------------------------------------.
VARIABLE LABELS
t0   'Total Repblica' 
/t1   'Total '
/prov_ubi	' '
/camas_disp 'camas '.

VALUE LABELS 
t0 1	' '
/t1 1	' '
/wenti
'1'	'Ministerio de Salud Pblica'
'2'	'Ministerio de Justicia, Derechos Humanos y Cultos'
'3'	'Ministerio de Defensa Nacional'
'4'	'Instituto Ecuatoriano de Seguridad Social (IESS)'
'7'	'Otras /1'
'8'	'Privados sin fines de lucro'
'9'	'Privados con fines de lucro '
'10'	'ERRADO ENTI'
/wsector	
'1'	'Sector pblico'
'2'	'Sector Privado'
'9'	'ERRADO SECTOR'.

*--------------------------------------------------------------.
* Filtrar registros que cumplen condicones. 
*--------------------------------------------------------------.
filter off.
USE ALL.
COMPUTE filter_$=(wsector<>'9').
VARIABLE LABEL filter_$ "wsector<>'9' (FILTER)".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
*----------------------------.
* CUADRO BASE. 
*----------------------------.
TABLES
/OBSERVATION camas_disp 
/TABLE t0+REG_NAT>(t1+prov_ubi) by camas_disp + (wsector>wenti>camas_disp)
/STATISTICS COUNT('N. DE ESTABLECIMIENTOS') SUM((f6)"") 
/TITLES "Cuadro 3.1.5"
"Nmero de establecimientos hospitalarios y nmero de camas hospitalarias disponibles por sector y entidad a la que pertenecen"
	"Segn regiones y provincias"
/CAPTION  "Anuario de Estadsticas Hospitalarias - Camas y Egresos  - INEC 2022"
/CORNER.
EXECUTE.


outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 3_1_5.xlsx' 
operation=createsheet sheet='c3_1_5'.
output close *.

* 3.1.6 Nmero de establecimientos hospitalarios y nmero de camas hospitalarias de dotacin normal,
por sector y entidad a la que pertenecen, segn regiones y  provincias.
*Crear variables  de trabajo.

*--------------------------------------------------------------.
* Filtrar registros que cumplen condicones. 
*--------------------------------------------------------------.
filter off.
USE ALL.
COMPUTE filter_$=(wsector<>'9').
VARIABLE LABELS filter_$ "wsector<>'9' (FILTER)".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


*----------------------------.
* CUADRO BASE. 
*----------------------------.
TABLES
/OBSERVATION camas_dnor
/TABLE t0+REG_NAT>(t1+prov_ubi) by camas_dnor+ (wsector>wenti>camas_dnor)
/STATISTICS COUNT('N. DE ESTABLECIMIENTOS') SUM((f6)"") 
/TITLES "Cuadro c_3_1_6"
"Nmero de establecimientos hospitalarios y nmero de camas hospitalarias de dotacin normal"
	"por sector y entidad a la que pertenecen segn regiones y  provincias"
/CAPTION  "Anuario de Estadsticas Hospitalarias - Camas y Egresos  - INEC 2022"
/CORNER.
EXECUTE.


outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 3_1_6.xlsx' 
operation=createsheet sheet='c3_1_6'.
output close *.


*------------------------------------------------------.
*Cuadro 3.1.7. Camas hospitalarias de dotacin normal por servicios, de emergencia y cuidados intensivos , segn regiones, provincias, sector y entidad.

GET FILE=' D:\camas_2022.sav'.
filter off.
use all.
*-----------------------------------------.
compute t0 = 1.
compute t1 = 1.

STRING wclase (A1).
COMPUTE wclase = '9'.
EXECUTE .

if sector = 1 and (clase = 1 or clase = 2 or clase = 3 or clase = 4 or clase = 5 or clase = 6 or clase = 7 or  clase = 8 or clase = 9 or clase = 10 or clase = 11 or clase=32) wclase = '1'.
if (sector = 2 or sector = 3) and (clase = 1 or clase = 2 or clase = 3 or clase = 4 or clase = 5 or clase = 6 or clase = 7 or  clase = 8 or clase = 9 or clase = 10 or clase = 11) wclase = '2'.
if (sector = 2 or sector = 3) and (clase = 12 or clase = 13 or clase = 14 or clase = 15 or clase = 16 or clase = 17) wclase = '3'.
EXECUTE.
*------------------------------------------------------------------------------------------.
* CODIGOS DE PROVINCIAS Y REGIONES.


NUMERIC reg_nat (f2.0).
if (prov_ubi >= "01" and prov_ubi <= "06") reg_nat= 1.
if (prov_ubi >= "10" and prov_ubi <= "11") reg_nat= 1.
if (prov_ubi >= "17" and prov_ubi <= "18") reg_nat= 1.
if (prov_ubi = "23") reg_nat= 1.
if (prov_ubi >= "07" and prov_ubi <= "09") reg_nat = 2.
if (prov_ubi >= "12" and prov_ubi <= "13") reg_nat = 2.
if (prov_ubi = "24") reg_nat= 2.
if (prov_ubi >= "14" and prov_ubi <= "16") reg_nat = 3.
if (prov_ubi = "19") reg_nat= 3.
if (prov_ubi >= "21" and prov_ubi <= "22") reg_nat = 3.
if (prov_ubi = "20") reg_nat= 4.
if (prov_ubi = "90") reg_nat= 5.
execute.



VALUE LABELS
/REG_NAT  
1 'Regin Sierra'
2 'Regin Costa'
3 'Regin Amaznica'
4 'Regin Insular'
5 'Zonas no delimitadas'.

VALUE LABELS 
/t0 1	' '
/t1 1	' '
/wclase
'1'	'Sector pblico, Clase: 01-11'
'2'	'Sector privado, Clase 01-11'
'3'	'Sector privado, Clase 12-17'
'9'	'RAROS CLASE'.

* CUADRO GENERAL.

TABLES
/OBSERVATION camas_dnor dotmedic dotgin dotped dotneon dotcardi dotneumo dotpsiqu dottraum dotinfec 
dotofta dototo doturolo dotgast dotquem dotneuroci dotnefro dotonco dothema dotaler dotatpri 
dotcardipe dotciruca dotcirutor dotciruge dotcirumafa dotciruonc dotciruped dotciruplas dotciruvas
dotclido dotderma dotendoc dotendod dotgen dotgeri dotgero dotmedial dotmedifa dotmedifi 
dotneurocli dotneurops dotneuro dotodonpe dotoncohe dotortod dotperio dotprocto dotrehaor 
dotreuma dotobste dotcirucard dototrse dotserin dotemerg dotcbas dotcinteradult 
dotcinterpediatri dotcinterneonat dotcinteadult dotcintepediatri dotcinteneonat dotcrecup dototrapo
/TABLE t0+ (REG_NAT>prov_ubi>sector>entidad) by (camas_dnor  + dotmedic + dotgin + dotped + dotneon + dotcardi + dotneumo + dotpsiqu + dottraum + dotinfec + 
dotofta + dototo + doturolo + dotgast + dotquem + dotneuroci + dotnefro + dotonco + dothema + dotaler + dotatpri +
dotcardipe + dotciruca + dotcirutor + dotciruge + dotcirumafa + dotciruonc + dotciruped + dotciruplas + dotciruvas +
dotclido + dotderma + dotendoc + dotendod + dotgen + dotgeri + dotgero + dotmedial + dotmedifa + dotmedifi + 
dotneurocli + dotneurops + dotneuro + dotodonpe + dotoncohe + dotortod + dotperio + dotprocto + dotrehaor + 
dotreuma + dotobste + dotcirucard + dototrse + dotserin + dotemerg + dotcbas + dotcinteradult + 
dotcinterpediatri + dotcinterneonat + dotcinteadult + dotcintepediatri + dotcinteneonat + dotcrecup + dototrapo)
/STATISTICS  SUM((f6)"") 
/TITLES "Cuadro 3_1_7"
 "Camas hospitalarias de dotacin normal, por servicios, segn regiones provincias sector y entidad"
/Caption "Anuario de Estadsticas Hospitalarias - Camas y Egresos 2022"
/CORNER.
EXECUTE.

outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 3_1_7.xlsx' 
operation=createsheet sheet='c3_1_7'.
output close *.

* CUADRO GENERAL Nota:PARA LOS TOTALES DE CLINICAS PARTICULARES.

TABLES
/OBSERVATION camas_dnor dotmedic dotmedic dotgin dotped dotneon dotcardi dotneumo dotpsiqu dottraum dotinfec 
dotofta dototo doturolo dotgast dotquem dotneuroci dotnefro dotonco dothema dotaler dotatpri
dotcardipe dotciruca dotcirutor dotciruge dotcirumafa dotciruonc dotciruped dotciruplas dotciruvas
dotclido dotderma dotendoc dotendod dotgen dotgeri dotgero dotmedial dotmedifa dotmedifi 
dotneurocli dotneurops dotneuro dotodonpe dotoncohe dotortod dotperio dotprocto dotrehaor 
dotreuma dotobste dotcirucard dototrse dotserin dotemerg dotcbas dotcinteradult 
dotcinterpediatri dotcinterneonat dotcinteadult dotcintepediatri dotcinteneonat dotcrecup dototrapo
/TABLE t0+ (REG_NAT  >prov_ubi>wclase) by (camas_dnor   + dotmedic + dotgin + dotped + dotneon + dotcardi + dotneumo + dotpsiqu + dottraum + dotinfec + 
dotofta + dototo + doturolo + dotgast + dotquem + dotneuroci + dotnefro + dotonco + dothema + dotaler + dotatpri +
dotcardipe + dotciruca + dotcirutor + dotciruge + dotcirumafa + dotciruonc + dotciruped + dotciruplas + dotciruvas +
dotclido + dotderma + dotendoc + dotendod + dotgen + dotgeri + dotgero + dotmedial + dotmedifa + dotmedifi + 
dotneurocli + dotneurops + dotneuro + dotodonpe + dotoncohe + dotortod + dotperio + dotprocto + dotrehaor + 
dotreuma + dotobste + dotcirucard + dototrse + dotserin + dotemerg + dotcbas + dotcinteradult + 
dotcinterpediatri + dotcinterneonat + dotcinteadult + dotcintepediatri + dotcinteneonat + dotcrecup + dototrapo)
/STATISTICS  SUM((f6)"") 
/TITLES "Cuadro N. 3_1_7	ltima lnea de Clnicas Particulares"
 "Camas hospitalarias de dotacin normal, por servicios, segn regiones provincias y establecimientos hospitalarios"
/Caption "Anuario de Estadsticas Hospitalarias - Camas y Egresos 2022"
/CORNER.
EXECUTE.

outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 3_1_7t.xlsx' 
operation=createsheet sheet='c3_1_7t'.
output close *.


* CUADRO TOTALES POR PROVINCIAS

TABLES
/OBSERVATION camas_dnor dotmedic dotmedic dotgin dotped dotneon dotcardi dotneumo dotpsiqu dottraum dotinfec 
dotofta dototo doturolo dotgast dotquem dotneuroci dotnefro dotonco dothema dotaler dotatpri
dotcardipe dotciruca dotcirutor dotciruge dotcirumafa dotciruonc dotciruped dotciruplas dotciruvas
dotclido dotderma dotendoc dotendod dotgen dotgeri dotgero dotmedial dotmedifa dotmedifi 
dotneurocli dotneurops dotneuro dotodonpe dotoncohe dotortod dotperio dotprocto dotrehaor 
dotreuma dotobste dotcirucard dototrse dotserin dotemerg dotcbas dotcinteradult 
dotcinterpediatri dotcinterneonat dotcinteadult dotcintepediatri dotcinteneonat dotcrecup dototrapo
dotcobcovid dotcadcovid dotcpedcovid dotcneocovid
/TABLE t0+REG_NAT >(t1+prov_ubi) by (camas_dnor + dotmedic + dotgin + dotped + dotneon + dotcardi + dotneumo + dotpsiqu + dottraum + dotinfec + 
dotofta + dototo + doturolo + dotgast + dotquem + dotneuroci + dotnefro + dotonco + dothema + dotaler + dotatpri +
dotcardipe + dotciruca + dotcirutor + dotciruge + dotcirumafa + dotciruonc + dotciruped + dotciruplas + dotciruvas +
dotclido + dotderma + dotendoc + dotendod + dotgen + dotgeri + dotgero + dotmedial + dotmedifa + dotmedifi + 
dotneurocli + dotneurops + dotneuro + dotodonpe + dotoncohe + dotortod + dotperio + dotprocto + dotrehaor + 
dotreuma + dotobste + dotcirucard + dototrse + dotserin + dotemerg + dotcbas + dotcinteradult + 
dotcinterpediatri + dotcinterneonat + dotcinteadult + dotcintepediatri + dotcinteneonat + dotcrecup + dototrapo)
/STATISTICS  SUM((f6)"") 
/TITLES "Cuadro N. 3_1_7	Totales por Provincias"
	 " Camas hospitalarias de dotacin normal, por servicios, segn regiones, provincias y establecimientos hospitalarios"
/CAPTION "Anuario de Estadsticas Hospitalarias - Camas y Egresos 2022"
/CORNER.
EXECUTE.
outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 3_1_7tp.xlsx' 
operation=createsheet sheet='c3_1_7tp'.
output close *.

*3.1.8*************************************************************************************.
*------------------------------------------------------------------------------------------------------------------.
*Egresos hospitalarios por condicin al egreso, das y promedio de estada
Tasas de mortalidad hospitalaria, segn clase y entidad.
*------------------------------------------------------------------------------------------------------------------.


GET
  FILE=' D:\EGRESOS Y CAMAS\BASES EGRESOS\egresos_hospitalarios_2022.sav'.

*---------------------------------------.
*Crear variables  de trabajo.
*---------------------------------------.
compute t0 = 1.
compute t1 = 1.


*--------------------------------------------------------------------------.
*Definicin de variables para la condicin de egreso.
* En el formato del cuadro.
*--------------------------------------------------------------------------.
if con_egrpa = 1 altas = 1.
if con_egrpa = 1 daltas = dia_estad.
if con_egrpa = 2 men48 = 1.
if con_egrpa = 2 dmen48 = dia_estad.
if con_egrpa = 3 mas48 = 1.
if con_egrpa = 3 dmas48 = dia_estad.
if con_egrpa = 2 or con_egrpa = 3 bajas = 1.
if con_egrpa = 2 or con_egrpa = 3 dbajas = dia_estad.
EXECUTE.

*------------------------------------------------------------.
* Para agrupar las sectores con entidades.
*------------------------------------------------------------.
STRING wclase1 (A1).
COMPUTE wclase1 = '1'.
COMPUTE wclase1 = '9'.

if clase = 11 wclase1 = '1'.
if (clase = 3 or clase = 4  or clase = 5  or clase = 6  or clase = 7  or clase = 8  or clase = 9  or clase = 10)  wclase1 = '2'.
if clase = 2 wclase1 = '3'.
if (clase = 1 or clase = 32 ) wclase1 = '4'.
if clase = 12 wclase1 = '5'.
if clase = 13 or clase = 14  or clase = 15  or clase = 16  or clase = 17 wclase1 = '6'.
*   Definicin de Etiquetas.
*------------------------------------------.
VARIABLE LABELS 
t0   'Total Egresos' 
t1   'Total egreso tipo'
/daltas 'Altas'
/dbajas 'dias de estada Fallecidos'
/dmen48 'Menos de 48 horas'
/dmas48 '48 Horas y ms'
/altas  'Egresos'
/bajas 'Fallecidos'
/men48  'Egresos menos de 48 horas'
/mas48  'Egresos 48 horas y ms'.

VALUE LABELS 
t0 1	' '
/t1 1      ' '
/wclase1
'1'	'Hospital de especialidades'
'2'	'Hospital especializado'
'3'	'Hospital general'
'4'	'Hospital bsico'
'5'	'Clnica General'
'6'	'Clnicas Especializadas'
'9'	'ERRADO'.



CTABLES
  /VLABELS VARIABLES=t0 wclase1 entidad t1 dia_estad altas daltas bajas men48 mas48 dbajas 
    DISPLAY=BOTH
  /TABLE t0 [C] + wclase1 [C] > entidad [C] BY t1 [C][COUNT F40.0] + dia_estad [SUM, MEAN] + altas 
    [C][COUNT F40.0] + daltas [S][SUM, MEAN] + bajas [C][COUNT F40.0] + men48 [C][COUNT F40.0] + mas48 
    [C][COUNT F40.0] + dbajas [S][SUM, MEAN]
  /CATEGORIES VARIABLES=t0 entidad t1 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=altas bajas men48 mas48 ORDER=A KEY=VALUE EMPTY=EXCLUDE.


outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 3_1_8.xlsx' 
operation=createsheet sheet='c3_1_8'.
output close *.




CTABLES
  /VLABELS VARIABLES=t0 wclase1 t1 dia_estad altas daltas bajas men48 mas48 dbajas 
    DISPLAY=BOTH
  /TABLE t0 [C] + wclase1 [C]  BY t1 [C][COUNT F40.0] + dia_estad [SUM, MEAN] + altas 
    [C][COUNT F40.0] + daltas [S][SUM, MEAN] + bajas [C][COUNT F40.0] + men48 [C][COUNT F40.0] + mas48 
    [C][COUNT F40.0] + dbajas [S][SUM, MEAN]
  /CATEGORIES VARIABLES=t0 t1 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=altas bajas men48 mas48 ORDER=A KEY=VALUE EMPTY=EXCLUDE.


outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 3_1_8_1.xlsx' 
operation=createsheet sheet='c3_1_8_1'.
output close *.
*--------------------------------------------------------------------------------------------------------------------------------------------------------*.

*3.1.9 Egresos hospitalarios por condicin al egreso y sexo, Tasa de letalidad hospitalaria, segn grupos de causa de morbilidad
Lista de Agrupamiento de 298 causas - Cie - 10.

GET FILE=' D:\EGRESOS Y CAMAS\BASES EGRESOS\egresos_hospitalarios_2022.sav'.
filter off.
use all.
*---------------------------------------.
compute t = 1.
compute t1 = 1.
compute t2 = 1.
*----------------------------------------------------.
*Condicin del Egreso recodificada.
*----------------------------------------------------.
  string con_egrpa1 (A2).
  if (con_egrpa = 1)  con_egrpa1 = '01'.
  if (con_egrpa = 2 or con_egrpa = 3)  con_egrpa1 = "02".
string saltas (A1).
string sfall (A1).
string tfall (A1).
string taltas (A1).
if (con_egrpa = 1) saltas ='1'.
if (con_egrpa = 1) sfall ='1'.
if (con_egrpa = 1) tfall ='1'.
if (con_egrpa = 1) taltas ='1'.

*------------------------------------------.
*   Definicin de Etiquetas.
*-----------------------------------------.
VARIABLE LABELS
t	'Total'
t1	'Total Repblica'
t2	'Total '.

VALUE LABELS 
/con_egrpa1
'01'	'Altas'
'02'	'Fallecidos'
/t 	1	' '
/t2	1	' '
/taltas '1' 'Altas '
/tfall  '1' 'Fallecidos '
/saltas
'1'	'Sexo'
/sfall
'1'	'Sexo'.

TABLES
/TABLE	(t1+cau298rx) by (t+sexo+ (con_egrpa1 > (t2+sexo)) )
/TITLES 'Cuadro 3_1_9'
	'Egresos hospitalarios por condicin al egreso y exo, Tasa de letalidad hospitalaria, segn grupos de causa de morbilidad'
            'Lista de Agrupamiento de 298 Causas - CIE - 10'
/CORNER .
EXECUTE.


outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 3_1_9.xlsx' 
operation=createsheet sheet='c3_1_9'.
output close *.



*------------------------------------------------------------------------------------------------------------------------------*.
*3.1.10 Egresos hospitalarios por provincia de residencia habitual, segn grupos de causa de morbilidad
Lista de Agrupamiento de 298 causas - CIE - 10.

GET FILE=' D:\EGRESOS Y CAMAS\BASES EGRESOS\egresos_hospitalarios_2022.sav'.
filter off.
use all.
compute t = 1.
compute t1 = 1.

*   Definicin de Etiquetas.
*------------------------------------------.
VARIABLE LABELS 
t	'Total Egresos'
t1	'Total Repblica'.

VALUE LABELS 
t 	1	' '
/t1  	1	' '.

TABLES
/TABLE	(t1+cau298rx) by (t+prov_res)
/TITLES 'Cuadro 3_1_10'
	'Egresos hospitalarios por provincia de residencia habitual, segn grupos de causa de morbilidad'
            ' Lista de Agrupamiento de 298 Causas - CIE - 10'
/CORNER .
EXECUTE.


outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 3_1_10.xlsx' 
operation=createsheet sheet='c3_1_10'.
output close *.







