* Encoding: UTF-8.
* Encoding: .
*==============================================================================*.
* TTULO DE LA SINTAXIS:							   
* Tabulados	de Camas y Egresos Hospitalarios   				   
* OPERACIN ESTADSTICA:													   
* Camas y Egresos Hospitalarios (ECEH)				   
* UNIDAD TCNICA RESPONSABLE: 												   
* Direccin de Estadsticas Sociodemogrficas (DIES)						   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadstica y Censos (INEC)							   
*==============================================================================*.
* Fecha de elaboracin:          Febrero - 2016							   
* Fecha ltima modificacin:   Febrero - 2022				   .
*==============================================================================*.
* Elaborado por:													   
* Direccin de Estadsticas Sociodemogrficas (DIES)						   
* Unidad de Gestin de Estadsticas Sociodemogrficas en Base a Registros Administrativos (GESRA)  	   						   
* Aprobado por:													   
* Direccin de Estadsticas Sociodemogrficas (DIES)				       
* Unidad de Gestin de Estadsticas Sociodemogrficas en Base a Registros Administrativos (GESRA)								       
*==============================================================================*.
*Indicaciones.

*1- Descargue la Carpeta Base_de_datos_EEH_2022 y Base_de_datos_ECH_2022, base de datos egresos_hospitalarios_2022 y camas_hospitalarias_2022 de la pgina web: https://www.ecuadorencifras.gob.ec/camas-y-egresos-hospitalarios/

*2- Guarde la base y copie el directorio en:.
*get file = 'D:\....\egresos_hospitalarios_xxxx_xx.sav'.
*get file = 'D:\....\camas_hospitalarias_xxxx_xx.sav'.

*3- Cree una carpeta llamada Tabulados_2022.

*==============================================================================*.
*--------------------------------------------------------------------------------------------------------------------------------------.
* NOTAS: El value label SI es sensible a las maysculas y minsculas.
*---------------------------------------------------------------------------------------------------------------------------------------.
* Seleccin de menores de un ao, condicin de edad = 1 y 2.
*---------------------------------------------------------------------------------------------------------------------------------------.
****************************3.1.14*********************************************.
GET
  FILE=' D:\egresos_hospitalarios_2022.sav'.
    filter off.
    use all.
    if cod_edad = 1 or cod_edad = 2 or cod_edad = 3 filtroeedad = 1.
    
    filter by filtroeedad.
    
    *---------------------------------------.
    *Crear variables  de trabajo.
    *---------------------------------------.
    compute t = 1.
    compute t1 = 1.
    compute t2 = 1.
    *----------------------------------------------------.
    *Condicin del Egreso recodificada.
    *----------------------------------------------------.
    if (con_egrpa = 1)  cegrpar = 1.
    if (con_egrpa = 2 or con_egrpa = 3)  cegrpar = 2.
    if (con_egrpa = 1) saltas = 1.
    if (con_egrpa = 1) sfall = 1.
    if (con_egrpa = 1) tfall = 1.
    if (con_egrpa = 1) taltas = 1.
    
    *------------------------------------------.
    *   Definicin de Etiquetas.
    *-----------------------------------------.
    VARIABLE LABELS
    t	'Total Egresos'
    t1	'Total Repblica'
    t2	'Total '.
    
    
    TABLES
    /TABLE	(t1+cau298rx) by (t+sexo + (cegrpar > (t2+sexo)) )
    /TITLES 'Cuadro 3_1_14'
    	'Egresos Hospitalarios por condicin al egreso, sexo y tasa de letalidad hospitalaria'
                'Lista de Agrupamiento de 298 Causas - CIE-10'
                'Menores de un ao'
    /CORNER .
    EXECUTE.
    
    outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 3_1_14.xlsx' 
    operation=createsheet sheet='c3_1_14'.
    output close *.
    


****************************3.1.15*********************************************.
*Nmero de egresos hospitalarios por autoidentificacin tnica del paciente segn sexo.

GET
  FILE=' D:\EGRESOS Y CAMAS\BASES EGRESOS\egresos_hospitalarios_2022.sav'.
filter off.
use all.

*---------------------------------------.
*Crear variables  de trabajo.
*---------------------------------------.
compute t = 1.
compute t1 = 1.
compute t2 = 1.



TABLES
/TABLE	t1 + etnia by t+sexo 
/TITLES 'Cuadro N_3_1_15'
	'Egresos Hospitalarios por condicin al egreso, etnia sexo'
            'Autoidentificacin etnica'
/CORNER .
EXECUTE.



outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 3_1_15.xlsx' 
operation=createsheet sheet='c3_1_15'.
output close *.


****************************3.1.16*********************************************.
*Nmero de egresos por autoidentificacin tnica del paciente segn provincia de residencia del paciente.

GET
  FILE=' D:\egresos_hospitalarios_2022.sav'.
filter off.
use all.


*---------------------------------------.
*Crear variables  de trabajo.
*---------------------------------------.
compute t = 1.
compute t1 = 1.
compute t2 = 1.



TABLES
/TABLE prov_res by etnia 
/TITLES 'Cuadro 3_1_16'
	'Egresos Hospitalarios por condicin al egreso, etnia sexo'
            'Autoidentificacin etnica'
/CORNER .
EXECUTE.



outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 3_1_16.xlsx' 
operation=createsheet sheet='c3_1_16'.
output close *.
