# Encoding: UTF-8.
# Encoding: .
#==============================================================================*.
# TÍTULO DE LA SINTAXIS:							   
# Tabulados	de Camas y Egresos Hospitalarios   				   
# OPERACIÓN ESTADÍSTICA:													   
# Camas y Egresos Hospitalarios (ECEH)				   
# UNIDAD TÉCNICA RESPONSABLE: 												   
# Dirección de Estadísticas Sociodemográficas (DIES)						   
# ENTIDAD EJECUTORA:														   
# Instituto Nacional de Estadística y Censos (INEC)							   
#==============================================================================*.
# Fecha de elaboración:          Febrero - 2016							   
# Fecha última modificación:   Febrero - 2022				   .
#==============================================================================*.
# Elaborado por:													   
# Dirección de Estadísticas Sociodemográficas (DIES)						   
# Unidad de Gestión de Estadísticas Sociodemográficas en Base a Registros Administrativos (GESRA)  	   						   
# Aprobado por:													   
# Dirección de Estadísticas Sociodemográficas (DIES)				       
# Unidad de Gestión de Estadísticas Sociodemográficas en Base a Registros Administrativos (GESRA)								       
#==============================================================================*.
#Indicaciones.

#1- Descargue la Carpeta Base_de_datos_EEH_2022 y Base_de_datos_ECH_2022, base de datos egresos_hospitalarios_2022 y camas_hospitalarias_2022 de la página web: https://www.ecuadorencifras.gob.ec/camas-y-egresos-hospitalarios/
  
#2- Guarde la base y copie el directorio en:.
#get file = 'D:/..../egresos_hospitalarios_xxxx_xx.Rdata'.
#get file = 'D:/..../camas_hospitalarias_xxxx_xx.Rdata'.

#3- Cree una carpeta llamada Tabulados_2022.
#==============================================================================*.

#1.-Creación del directorio de trabajo----
rm(list=ls())
setwd("C:/Tabulados_2022") 
#2.-Formato de variables----
library(readr)
bdd_eh <- load("egresos_hospitalarios_2022.Rdata")
if (!require("tables")) install.packages("tables")
bdd_eh$cant_res<-paste(bdd_eh$prov_res,bdd_eh$cant_res, sep = "") 
bdd_camas <- load("camas_hospitalarias_2022.Rdata")
library(tables)
##Serie 1.1.1 Número de egresos hospitalarios según sector al que pertenece el establecimiento de salud.----
attach(bdd_eh)
if (!require("tables")) install.packages("tables")
library(tables)
sector<-factor(sector, ordered=T,labels=c("Público","Privado con fines de lucro","Privado sin fines de lucro"))
anio_egr<-factor(anio_egr)

t1.1.1<-tabular(( `Año` = anio_egr) ~ ((`Sector Público`= sector==1)*(1+(`%`=Percent("row")))+(`Sector Privado`= (sector==2 | sector==3))*(1+(`%`=Percent("row")))+(Total=(sector==3 |sector==2 | sector==1))),  
            data = bdd_eh) 
t1.1.1
##Serie 1.1.2 Condición de egreso del paciente según sector al que pertenece el establecimiento de salud.----
con_egrpa<-factor(con_egrpa, ordered=T,labels=c("Altas(Vivos)","Fallecido en menos de 48H","Fallecido en 48H y más"))
sector_eh<-sector
t1.1.2<-tabular(( `Año` = anio_egr)*sector_eh ~ (`Altas(Vivos)`=con_egrpa==1)+(`Fallecido en menos de 48H`=con_egrpa==2)+(`Fallecido en 48H y más`=con_egrpa==3)+(Total=1),  
            data = bdd_eh)
t1.1.2
##Serie 1.2.1 Número de egresos hospitalarios según provincia de ubicación del establecimiento de salud.----
prov_ubi1<-factor(prov_ubi,levels=c("01","02","03","04","05","06","07","08","09","10", "11","12","13","14","15","16","17","18","19","20","21","22","23","24","90"),labels=c("AZUAY","BOLIVAR","CAÑAR","CARCHI","COTOPAXI","CHIMBORAZO","EL ORO","ESMERALDAS","GUAYAS","IMBABURA","LOJA ","LOS RIOS","MANABI","MORONA SANTIAGO","NAPO","PASTAZA","PICHINCHA","TUNGURAHUA","ZAMORA CHINCHIPE","GALAPAGOS","SUCUMBIOS","ORELLANA","SANTO DOMINGO DE LOS TSACHILAS","SANTA ELENA","ZONAS NO DELIMITADAS"),ordered = T)
t1.2.1<-tabular(( `Provincia` = prov_ubi1 ) + ( Total = 1 ) ~ ( `Número`=anio_egr) ,
                data = bdd_eh )
t1.2.1
if (!require("dplyr")) install.packages("dplyr")
library(dplyr)
bdd_eh<-bdd_eh %>% 
  mutate(tasa_m1= ifelse(con_egrpa==3 ,1,0)) %>% 
  mutate(tasa_m1=ifelse(tasa_m1==1 ,(tasa_m1*1000),0)) %>% 
  mutate(tasa_m2= ifelse(con_egrpa==2|con_egrpa==3 ,1,0)) %>%
  mutate(tasa_m2=ifelse(tasa_m2==1 ,(tasa_m2*1000),0))
anio_egr_eh<-anio_egr
bdd_eh$prov_ubi<-as.factor(bdd_eh$prov_ubi)
##Serie 1.2.2 Tasa neta y bruta de mortalidad hospitalaria por 1.000 egresos, según provincia de ubicación del establecimiento. Período 1995 - 2021.----
t1.2.2<-tabular(( `Provincia` =prov_ubi) ~ ( `Año` = anio_egr_eh)*((`Egresos Hospitalarios`= con_egrpa==3 |con_egrpa==2 | con_egrpa==1)+
                                                                     (`Altas(Vivos)`= con_egrpa==1)+(`Fallecidos en menos de 48 horas`= con_egrpa==2)+(`Fallecidos en 48 horas y más`= con_egrpa==3)+(`Total Fallecidos`=con_egrpa==2 | con_egrpa==3)
                 +((`Tasa neta mortalidad hospitalaria por 1.000 egresos 1/`=tasa_m1)*(mean))+((`Tasa bruta mortalidad hospitalaria por 1.000 egresos 2/`=tasa_m2)*(mean))                                                 ),  
                data = bdd_eh)
t1.2.2
##Serie 1.3.1 Número de egresos hospitalarios según provincia de residencia del paciente.----
bdd_eh$prov_res<-as.factor(bdd_eh$prov_res)
t1.3.1<-tabular(( `Provincia` = prov_res ) + ( Total = 1 ) ~ ( `Año`=anio_egr) ,
                data = bdd_eh )
t1.3.1
##Serie 1.4.1 Número de establecimientos de salud según sector al que pertenece.----
bdd_eh<-bdd_eh %>% 
  mutate(Publico=ifelse(sector==1,1,0)) %>% 
  mutate(Privado=ifelse(sector==2|sector==3,1,0))
bdd_camas<-bdd_camas %>% 
  mutate(Publico=ifelse(sector==1,1,0)) %>% 
  mutate(Privado=ifelse(sector==2|sector==3,1,0)) 

establecimientos_Publi<-as.data.frame(table(bdd_camas$prov_ubi,bdd_camas$Publico)) %>% filter(Var2==1)
establecimientos_Publi<-sum(establecimientos_Publi$Freq)

establecimientos_Priv<-as.data.frame(table(bdd_camas$prov_ubi,bdd_camas$Privado)) %>% filter(Var2==1)
establecimientos_Priv<-sum(establecimientos_Priv$Freq)

t1.4.1<-as.table(c(`Año`=2022,`Sector Público`=establecimientos_Publi,`%_Público`=(establecimientos_Publi/(establecimientos_Publi+establecimientos_Priv))*100,`Sector Privado`=establecimientos_Priv,`%_Privado`=(establecimientos_Priv/(establecimientos_Publi+establecimientos_Priv))*100,`Total`=(establecimientos_Publi+establecimientos_Priv),`Defunciones Hospitalarias`=sum(bdd_eh$con_egrpa>=2)))
rm(establecimientos_Publi, establecimientos_Priv)
t1.4.1
##Serie 1.4.2 Población estimada, número de camas disponibles y de dotación normal, egresos hospitalarios, índices y tasas.----
proyeccion_poblacional<-17989912
Camas_mil<-as.character((sum(bdd_camas$camas_disp)*1000/proyeccion_poblacional))
dcamas_disp<-(sum(bdd_camas$dia_estad)*100/sum(bdd_camas$dias_cdis))
egr_total<-as.numeric(count(bdd_eh))
t1.4.2<-c(`Año`=2022,`Proyección Población 1/`=proyeccion_poblacional,`Camas disponibles`=sum(bdd_camas$camas_disp),`Camas por 1.000 hab.`=Camas_mil,
          `Porcentaje de ocupación de dias camas disponibles 2/`=dcamas_disp,`Rendimiento o giro de camas`=egr_total/sum(bdd_camas$camas_disp),
          `Camas dotación normal 3/`=sum(bdd_camas$camas_dnor),`Egresos hospitalarios`=egr_total,`Días de estada`=sum(bdd_camas$dia_estad),`Egresos por 1.000 hab.`=(egr_total*1000/proyeccion_poblacional),
          `Promedio días de estada`=sum(bdd_camas$dia_estad)/egr_total) 
t1.4.2<- t(t1.4.2)
##Serie 1.5.1 Evolución de los establecimientos de salud según provincia de ubicación.----
t1.5.1<-as.data.frame(table(bdd_camas$prov_ubi))
t1.5.1<-t1.5.1 %>% 
  mutate(Var1=factor(Var1,
                     levels=c("01","02","03","04","05","06","07","08","09","10",
                              "11","12","13","14","15","16","17","18","19","20",
                              "21","22","23","24","90"),
                     labels=c("AZUAY","BOLIVAR","CAÑAR","CARCHI","COTOPAXI","CHIMBORAZO","EL ORO",
                              "ESMERALDAS","GUAYAS","IMBABURA","LOJA ","LOS RIOS","MANABI","MORONA SANTIAGO",
                              "NAPO","PASTAZA","PICHINCHA","TUNGURAHUA","ZAMORA CHINCHIPE","GALAPAGOS","SUCUMBIOS",
                              "ORELLANA","SANTO DOMINGO DE LOS TSACHILAS","SANTA ELENA","ZONAS NO DELIMITADAS"),
                     ordered = T))
rename(t1.5.1, Provincia= Var1, `2022`= Freq)
##Serie 1.5.2 Número de camas hospitalarias disponibles según provincia de ubicación del establecimiento de salud.----
bdd_camas$prov_ubi<-as.factor(bdd_camas$prov_ubi)
t1.5.2<-tabular(( `Provincia` = prov_ubi )+ ( Total = 1 ) ~ ( `2022`=camas_disp)*(sum),
                data = bdd_camas )
t1.5.2
##Serie 1.5.3 Número de camas hospitalarias de dotación normal según provincia de ubicación del establecimiento de salud.----
bdd_camas$prov_ubi<-as.factor(bdd_camas$prov_ubi)
t1.5.3<-tabular(( `Provincia` = prov_ubi )+ ( Total = 1 ) ~ ( `2022`=camas_dnor)*(sum),
                data = bdd_camas )
t1.5.3
##Serie 1.5.4 Porcentaje de ocupación de camas disponibles según provincia de ubicación del establecimiento de salud.----
t1.5.4<-tabular(( `Provincia` = prov_ubi )+ ( Total = 1 ) ~ ( `Días de estada`=dia_estad)*(sum)+( `Días cama disponibles`=dias_cdis)*(sum),
                data = bdd_camas )
t1.5.4
##Serie 1.5.5 Rendimiento o giro de camas por provincia de ubicación del establecimiento de salud.----
A<-as.data.frame(table(bdd_eh$prov_ubi))
bdd_camas$prov_ubi_num<-as.numeric(bdd_camas$prov_ubi)
B<-bdd_camas %>% select(prov_ubi_num,camas_disp) 
B1<-B %>% filter(prov_ubi_num==1)
B2<-B %>% filter(prov_ubi_num==2)
B3<-B %>% filter(prov_ubi_num==3)
B4<-B %>% filter(prov_ubi_num==4)
B5<-B %>% filter(prov_ubi_num==5)
B6<-B %>% filter(prov_ubi_num==6)
B7<-B %>% filter(prov_ubi_num==7)
B8<-B %>% filter(prov_ubi_num==8)
B9<-B %>% filter(prov_ubi_num==9)
B10<-B %>% filter(prov_ubi_num==10)
B11<-B %>% filter(prov_ubi_num==11)
B12<-B %>% filter(prov_ubi_num==12)
B13<-B %>% filter(prov_ubi_num==13)
B14<-B %>% filter(prov_ubi_num==14)
B15<-B %>% filter(prov_ubi_num==15)
B16<-B %>% filter(prov_ubi_num==16)
B17<-B %>% filter(prov_ubi_num==17)
B18<-B %>% filter(prov_ubi_num==18)
B19<-B %>% filter(prov_ubi_num==19)
B20<-B %>% filter(prov_ubi_num==20)
B21<-B %>% filter(prov_ubi_num==21)
B22<-B %>% filter(prov_ubi_num==22)
B23<-B %>% filter(prov_ubi_num==23)
B24<-B %>% filter(prov_ubi_num==24)
C<-c(sum(B1$camas_disp),sum(B2$camas_disp),sum(B3$camas_disp),sum(B4$camas_disp),sum(B5$camas_disp),sum(B6$camas_disp),sum(B7$camas_disp),sum(B8$camas_disp),sum(B9$camas_disp),sum(B10$camas_disp),sum(B11$camas_disp),sum(B12$camas_disp),sum(B13$camas_disp),sum(B14$camas_disp),sum(B15$camas_disp),sum(B16$camas_disp),
     sum(B17$camas_disp),sum(B18$camas_disp),sum(B19$camas_disp),sum(B20$camas_disp),sum(B21$camas_disp),sum(B22$camas_disp),sum(B23$camas_disp),sum(B24$camas_disp))
t1.5.5<-as.data.frame(cbind(`PROVINCIA`=A$Var1,`Egresos Hospitalarios`=A$Freq,`Número de camas disponibles`=C,` Rendimientos o giros de camas`=A$Freq/C))
rm(A,B,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,B13,B14,B15,B16,B17,B18,B19,B20,B21,B22,B23,B24)
t1.5.5<-t1.5.5 %>% mutate(PROVINCIA=factor(PROVINCIA,levels=c("1","2","3","4","5","6","7","8","9","10", "11","12","13","14","15","16","17","18","19","20","21","22","23","24"),labels=c("AZUAY","BOLIVAR","CAÑAR","CARCHI","COTOPAXI","CHIMBORAZO","EL ORO","ESMERALDAS","GUAYAS","IMBABURA","LOJA ","LOS RIOS","MANABI","MORONA SANTIAGO","NAPO","PASTAZA","PICHINCHA","TUNGURAHUA","ZAMORA CHINCHIPE","GALAPAGOS","SUCUMBIOS","ORELLANA","SANTO DOMINGO DE LOS TSACHILAS","SANTA ELENA"),ordered = T))
t1.5.5
##Serie 2.1.1 Número de establecimientos, egresos hospitalarios y camas hospitalarias disponibles según regiones, año 2022 .----
if (!require("ggplot2")) install.packages("ggplot2")
library(ggplot2)
if (!require("scales")) install.packages("scales")
library(scales)
if (!require("tidyverse")) install.packages("tidyverse")
library(tidyverse)
if (!require("ggrepel")) install.packages("ggrepel")
library(ggrepel)

t1.5.1<-as.data.frame(table(bdd_camas$prov_ubi))

bdd_eh<-bdd_eh %>%
  mutate(regiones=ifelse(prov_ubi == "01"|prov_ubi == "02"|prov_ubi == "03"|prov_ubi == "04"|prov_ubi == "05"|prov_ubi == "06"|
                           prov_ubi == "10"|prov_ubi == "11"|prov_ubi == "17"|prov_ubi == "18"|prov_ubi == "23",1,0)) %>% 
  mutate(regiones=ifelse(prov_ubi == "07"|prov_ubi == "08"|prov_ubi == "09"|prov_ubi == "12"|prov_ubi == "13"|prov_ubi == "24",2,regiones)) %>% 
  mutate(regiones=ifelse(prov_ubi == "14"|prov_ubi == "15"|prov_ubi == "16"|prov_ubi == "19"|prov_ubi == "21"|prov_ubi == "22",3,regiones)) %>% 
  mutate(regiones=ifelse(prov_ubi == "20",4,regiones)) %>%  
  mutate(regiones=factor(regiones,levels = c("1","2","3","4"),
                         labels= c("Sierra","Costa","Amazonia","Insular"),ordered = T))

unit2.1.1<-as.data.frame(table(bdd_camas$prov_ubi))
unit2.1.1_1<-t1.5.1 %>% 
  mutate(regiones=ifelse(Var1 == "01"|Var1 == "02"|Var1 == "03"|Var1 == "04"|Var1 == "05"|Var1 == "06"|
                           Var1 == "10"|Var1 == "11"|Var1 == "17"|Var1 == "18"|Var1 == "23",1,0)) %>% 
  mutate(regiones=ifelse(Var1 == "07"|Var1 == "08"|Var1 == "09"|Var1 == "12"|Var1 == "13"|Var1 == "24",2,regiones)) %>% 
  mutate(regiones=ifelse(Var1 == "14"|Var1 == "15"|Var1 == "16"|Var1 == "19"|Var1 == "21"|Var1 == "22",3,regiones)) %>% 
  mutate(regiones=ifelse(Var1 == "20",4,regiones)) %>% 
  mutate(regiones=factor(regiones,levels = c("1","2","3","4"),
                         labels= c("Sierra","Costa","Amazonia","Insular"),ordered = T))
unit2.1.1<-as.data.frame(table(unit2.1.1$regiones))
unit2.1.1_1<-as.data.frame(table(unit2.1.1_1$regiones))
unit2.1.1<-unit2.1.1 %>% 
  mutate(`%`=round(unit2.1.1$Freq*100/24,digits = 2))
Grafico_unit2.1.1_1<-ggplot(unit2.1.1_1, aes(x = "" , y = Freq, fill = Var1)) +
  geom_col(width = 1, color = 1) +  
  coord_polar(theta = "y")+
  scale_fill_brewer(palette="Blues") +
  geom_label_repel(data = unit2.1.1,
                   aes(y = Freq, label = paste0(`%`, "%")),
                   size = 3, nudge_x = 1, show.legend = F) +
  guides(fill = guide_legend(title = "Regiones")) +
  theme_void()+
  labs(title="Total establecimientos")
unit2.1.1
Grafico_unit2.1.1
t2.1.1<-as.data.frame(table(bdd_eh$regiones))
t2.1.1<-t2.1.1 %>% 
  mutate(`%`=round(t2.1.1$Freq*100/egr_total,digits = 2))
Grafico_t2.1.1<-ggplot(t2.1.1, aes(x = "" , y = Freq, fill = Var1)) +
  geom_col(width = 1, color = 1) +  
  coord_polar(theta = "y")+
  scale_fill_brewer( palette = "Reds") +
  geom_label_repel(data = t2.1.1,
                   aes(y = Freq, label = paste0(`%`, "%")),
                   size = 4.5, nudge_x = 1, show.legend = FALSE) +
  guides(fill = guide_legend(title = "Regiones")) +
  theme_void()+
  labs(title="Egresos Hospitalarios")
t2.1.1
Grafico_t2.1.1
Provincia<-as.numeric(c(1:24))
camas_dispt2.1.1<-as.data.frame(cbind(Provincia,C)) %>%
  mutate(regiones=ifelse(Provincia == "1"|Provincia == "2"|Provincia == "3"|Provincia == "4"|Provincia == "5"|Provincia == "6"|
                           Provincia == "10"|Provincia == "11"|Provincia == "17"|Provincia == "18"|Provincia == "23",1,0)) %>% 
  mutate(regiones=ifelse(Provincia == "7"|Provincia == "8"|Provincia == "9"|Provincia == "12"|Provincia == "13"|Provincia == "24",2,regiones)) %>% 
  mutate(regiones=ifelse(Provincia == "14"|Provincia == "15"|Provincia == "16"|Provincia == "19"|Provincia == "21"|Provincia == "22",3,regiones)) %>% 
  mutate(regiones=ifelse(Provincia == "20",4,regiones)) %>% select(-Provincia)
B1<-camas_dispt2.1.1 %>% filter(regiones==1)
B2<-camas_dispt2.1.1 %>% filter(regiones==2)
B3<-camas_dispt2.1.1 %>% filter(regiones==3)
B4<-camas_dispt2.1.1 %>% filter(regiones==4)
C<-c(sum(B1$C),sum(B2$C),sum(B3$C),sum(B4$C))
camas_dispt2.1.1<-as.data.frame(t(as.table(C))) %>% 
  select(-Var1) %>%
  mutate(`%`=round(Freq*100/sum(Freq),digits = 2))  %>% 
  mutate(Var2=factor(Var2,levels = c("A","B","C","D"),
                         labels= c("Sierra","Costa","Amazonia","Insular"),ordered = T))
Grafico_camas_dispt2.1.1<-ggplot(camas_dispt2.1.1, aes(x = "" , y = Freq, fill = Var2)) +
  geom_col(width = 1, color = 1) +  
  coord_polar(theta = "y")+
  scale_fill_brewer(palette="Purples") +
  geom_label_repel(data = camas_dispt2.1.1,
                   aes(y = Freq, label = paste0(`%`, "%")),
                   size = 4.5, nudge_x = 1, show.legend = FALSE) +
  guides(fill = guide_legend(title = "Regiones")) +
  theme_void()+
  labs(title="Camas disponibles")
camas_dispt2.1.1
Grafico_camas_dispt2.1.1
##Serie 2.1.2 Establecimientos, según clase, sector, año 2022.f ----
if (!require("data.table")) install.packages("data.table")
library(data.table)
bdd_camas<-bdd_camas %>%
  mutate(clase_a=if_else(clase==1 | clase==32,"Hospital básico","0")) %>% 
  mutate(clase_a=if_else(clase==2,"Hospital general",clase_a)) %>% 
  mutate(clase_a=if_else(clase >= 3 & clase <= 5,"Hospital especializado agudo",clase_a)) %>% 
  mutate(clase_a=if_else(clase >= 6 &  clase <= 10,"Hospital especializado crónico",clase_a)) %>% 
  mutate(clase_a=if_else(clase==11,"Hospital de especialidades",clase_a)) %>% 
  mutate(clase_a=if_else(clase==12,"Clínica general",clase_a)) %>% 
  mutate(clase_a=if_else(clase >= 13 & clase <= 17,"Clínica especializada",clase_a))
t2.1.2_sector<-as.data.table(table(bdd_camas$sector)) 
t2.1.2_sector<-t2.1.2_sector %>% 
mutate(V1=factor(V1,levels=c(1,2,3),labels=c("Público","Privado con fines de lucro","Privado sin fines de lucro"), ordered=T))
t2.1.2_sector$`%`<-round(t2.1.2_sector$N*100/sum(t2.1.2_sector$N),digits = 2)
t2.1.2_clase<-as.data.table(table(bdd_camas$clase_a))
t2.1.2_clase$`%`<-round(t2.1.2_clase$N*100/sum(t2.1.2_clase$N),digits = 2)
t2.1.2_sector
Graficot2.1.2_sector<-ggplot(t2.1.2_sector, aes(x = "" , y = N, fill = V1)) +
  geom_col(width = 1, color = 1) +  
  coord_polar(theta = "y")+
  geom_label_repel(data = t2.1.2_sector,
                   aes(y = N, label = paste0(`%`, "%")),
                   size = 3, nudge_x = 1, show.legend = F) +
  guides(fill = guide_legend(title = "Sector")) +
  scale_fill_brewer( palette = "Pastel2") +
  theme_void()+
  labs(title="Porcentajes de establecimientos según sector")
Graficot2.1.2_sector
t2.1.2_clase
Graficot2.1.2_clase<-ggplot(t2.1.2_clase, aes(x = "" , y = N, fill = V1)) +
  geom_col(width = 1, color = 1) +  
  coord_polar(theta = "y")+
  geom_label_repel(data = t2.1.2_clase,
                   aes(y = N, label = paste0(`%`, "%")),
                   size = 3, nudge_x = 1, show.legend = F) +
  guides(fill = guide_legend(title = "Sector")) +
  scale_fill_brewer( palette = "Pastel1") +
  theme_void()+
  labs(title="Porcentaje de establecimiento según clase")
Graficot2.1.2_clase
##Serie 2.1.3 Porcentaje de camas hospitalarias disponibles según provincia de ubicación, año 2022----
prov_ubi_c<-factor(bdd_camas$prov_ubi,levels=c("01","02","03","04","05","06","07","08","09","10",
                                  "11","12","13","14","15","16","17","18","19","20",
                                  "21","22","23","24","90"),
                         labels=c("AZUAY","BOLIVAR","CAÑAR","CARCHI","COTOPAXI","CHIMBORAZO","EL ORO",
                                  "ESMERALDAS","GUAYAS","IMBABURA","LOJA ","LOS RIOS","MANABI","MORONA SANTIAGO",
                                  "NAPO","PASTAZA","PICHINCHA","TUNGURAHUA","ZAMORA CHINCHIPE","GALAPAGOS","SUCUMBIOS",
                                  "ORELLANA","SANTO DOMINGO DE LOS TSACHILAS","SANTA ELENA","ZONAS NO DELIMITADAS"),
                         ordered = T)
bdd_camas$pc<-100*bdd_camas$camas_disp
t2.1.3<-tabular(( `Provincia` = prov_ubi_c ) + ( Total = 1 ) ~ (`Camas Disponibles`=camas_disp)*(sum),
                data = bdd_camas)
t2.1.3

write.csv.tabular(t2.1.3,"t2.1.3.csv")
##Serie 2.1.4 Número de camas  hospitalarias de dotación normal, según servicios año 2022.----
t2.1.4<-as.data.table(c(sum(bdd_camas$camas_dnor),sum(bdd_camas$dotmedic),sum(bdd_camas$dotgin),
                        sum(bdd_camas$dotped),sum(bdd_camas$dotneon),sum(bdd_camas$dotcardi),sum(bdd_camas$dotneumo),
                        sum(bdd_camas$dotpsiqu),sum(bdd_camas$dottraum),sum(bdd_camas$dotinfec),sum(bdd_camas$dotofta),
                        sum(bdd_camas$dototo),sum(bdd_camas$doturolo),sum(bdd_camas$dotgast),sum(bdd_camas$dotquem),
                        sum(bdd_camas$dotneuroci),sum(bdd_camas$dotnefro),sum(bdd_camas$dotonco),sum(bdd_camas$dothema),
                        sum(bdd_camas$dotaler),sum(bdd_camas$dotatpri),sum(bdd_camas$dotcardipe),sum(bdd_camas$dotciruca),
                        sum(bdd_camas$dotcirutor),sum(bdd_camas$dotciruge),sum(bdd_camas$dotcirumafa),sum(bdd_camas$dotciruonc),
                        sum(bdd_camas$dotciruped),sum(bdd_camas$dotciruplas),sum(bdd_camas$dotciruvas),sum(bdd_camas$dotclido),
                        sum(bdd_camas$dotderma),sum(bdd_camas$dotendoc),sum(bdd_camas$dotendod),sum(bdd_camas$dotgen),
                        sum(bdd_camas$dotgeri),sum(bdd_camas$dotgero),sum(bdd_camas$dotmedial),sum(bdd_camas$dotmedifa),
                        sum(bdd_camas$dotmedifi),sum(bdd_camas$dotneurocli),sum(bdd_camas$dotneurops),sum(bdd_camas$dotneuro),
                        sum(bdd_camas$dotodonpe),sum(bdd_camas$dotortod),sum(bdd_camas$dotperio),sum(bdd_camas$dotprocto),
                        sum(bdd_camas$dotrehaor),sum(bdd_camas$dotreuma),sum(bdd_camas$dotobste),sum(bdd_camas$dotcirucard),
                        sum(bdd_camas$dototrse),sum(bdd_camas$dotserin)))
total_camas_dot<-sum(bdd_camas$camas_dnor)
t2.1.4$`%`<-round(t2.1.4$V1*100/total_camas_dot,digits = 2)

total_camas_dot_ncensables<-sum(sum(bdd_camas$dotemerg),
                                sum(bdd_camas$dotcbas),sum(bdd_camas$dotcinteradult),
                                sum(bdd_camas$dotcinterpediatri),sum(bdd_camas$dotcinterneonat),
                                sum(bdd_camas$dotcinteadult),sum(bdd_camas$dotcintepediatri),
                                sum(bdd_camas$dotcinteneonat),sum(bdd_camas$dotcintrm),
                                sum(bdd_camas$dotcrecup),sum(bdd_camas$dototrapo))

t2.1.4t<-as.data.table(c(total_camas_dot_ncensables,
                         sum(bdd_camas$dotemerg),sum(bdd_camas$dotcbas),
                         sum(bdd_camas$dotcinteradult),sum(bdd_camas$dotcinterpediatri),
                         sum(bdd_camas$dotcinterneonat),sum(bdd_camas$dotcinteadult),
                         sum(bdd_camas$dotcintepediatri),sum(bdd_camas$dotcinteneonat),
                         sum(bdd_camas$dotcintrm),sum(bdd_camas$dotcrecup),
                         sum(bdd_camas$dototrapo)))
t2.1.4t$`%`<-round(t2.1.4t$V1*100/total_camas_dot_ncensables,digits = 2)
t2.1.4<-rbind(t2.1.4,t2.1.4t)
t2.1.4<-cbind(etiquetas_t2.1.4,t2.1.4)
rm(t2.1.4t,etiquetas_t2.1.4)
t2.1.4
##Serie 2.1.5 Porcentaje de egresos hospitalarios, según provincia de residencia del paciente año 2022.----
prov_res1<-factor(bdd_eh$prov_res,levels=c("01","02","03","04","05","06","07","08","09","10", "11","12","13","14","15","16","17","18","19","20","21","22","23","24","90"),labels=c("AZUAY","BOLIVAR","CAÑAR","CARCHI","COTOPAXI","CHIMBORAZO","EL ORO","ESMERALDAS","GUAYAS","IMBABURA","LOJA ","LOS RIOS","MANABI","MORONA SANTIAGO","NAPO","PASTAZA","PICHINCHA","TUNGURAHUA","ZAMORA CHINCHIPE","GALAPAGOS","SUCUMBIOS","ORELLANA","SANTO DOMINGO DE LOS TSACHILAS","SANTA ELENA","ZONAS NO DELIMITADAS"),ordered = T)
t2.1.5<-tabular(( `Provincia Residencia` = prov_res1 ) + ( Total = 1 ) ~ ( `Número`=anio_egr) ,
                data = bdd_eh )
t2.1.5
##Serie 2.1.6 Porcentaje de egresos hospitalarios, según provincia de residencia del paciente año 2022.----
t2.1.6<-bdd_eh %>% 
  mutate(cau_cie10=substr(cau_cie10,1,3))
t2.1.6<-as.data.table(table(t2.1.6$cau_cie10))
t2.1.6 <- arrange(t2.1.6, -N)
tO80<-t2.1.6 %>% filter(t2.1.6$V1=="O80")
tO82<-t2.1.6 %>% filter(t2.1.6$V1=="O82")
tO81_3_4<-t2.1.6 %>% filter(t2.1.6$V1=="O81"|t2.1.6$V1=="O83"|t2.1.6$V1=="O84")
tR00_R99<-t2.1.6 %>%
  mutate(id=ifelse(substr(t2.1.6$V1,1,1)=="R",1,0)) %>% filter(id==1)
t2.1.6<-t2.1.6 %>% 
  mutate(id=ifelse(t2.1.6$V1 %in% c(tO80$V1,tO82$V1,tO81_3_4$V1,tR00_R99$V1),1,0))%>%
  filter(id==0) %>% select(-id)
t2.1.6<-t2.1.6[1:10] %>% 
  mutate(`%`=N/egr_total,Tasa=N*10000/proyeccion_poblacional) %>% 
  mutate(Causas=ifelse(V1=="K80","Colelitiasis","0")) %>%
  mutate(Causas=ifelse(V1=="K35","Apendicitis aguda",Causas)) %>% 
  mutate(Causas=ifelse(V1=="J18","Neumonía, organismo no especificado",Causas)) %>% 
  mutate(Causas=ifelse(V1=="N39","Otros trastornos del sistema urinario",Causas)) %>% 
  mutate(Causas=ifelse(V1=="A09","Otras gastroenteritis y colitis de origen infeccioso y no especificado",Causas)) %>% 
  mutate(Causas=ifelse(V1=="S82","Fractura de la pierna, inclusive del tobillo",Causas)) %>% 
  mutate(Causas=ifelse(V1=="U07","COVID 19 virus identificado y no identificado",Causas)) %>% 
  mutate(Causas=ifelse(V1=="K40","Hernia inguinal",Causas)) %>% 
  mutate(Causas=ifelse(V1=="S52","Fractura del antebrazo",Causas)) %>%
  mutate(Causas=ifelse(V1=="O65","Trabajo de parto obstruido",Causas))
t2.1.6<-as.data.table(cbind(`Código CIE-10`= c(t2.1.6$V1),`Causas`=c(t2.1.6$Causas),`Número de egresos`= c(t2.1.6$N),`%`=c(t2.1.6$`%`),`Tasa`=c(t2.1.6$Tasa)))
tO80<-sum(tO80$N)
tO82<-sum(tO82$N)
tO81_3_4<-sum(tO81_3_4$N)
tR00_R99<-sum(tR00_R99$N)
tdemas<-egr_total-(sum(as.numeric(t2.1.6$`Número de egresos`))+tO80+tO82+tO81_3_4+tR00_R99)
t2.1.6_unir<-as.data.frame(rbind(`O80 3/`=tO80,` O82 3/`=tO82,`O81, O83,O84  3/`=tO81_3_4,`R00-R99 4/`=tR00_R99,` `=tdemas))
t2.1.6_unir$`%`<-t2.1.6_unir$V1*100/egr_total
t2.1.6
t2.1.6_unir
write.csv2(t2.1.6,"t2.1.6.csv")
##Serie 2.1.7 Diez principales causas de morbilidad masculina año 2022.----
proyeccion_poblacional_hombres<-8900691
egr_total_H<-bdd_eh %>% filter(sexo==1)
egr_total_H<-as.numeric(count(egr_total_H))  
t2.1.7<-bdd_eh %>% 
  mutate(cau_cie10=substr(cau_cie10,1,3))
t2.1.7<-t2.1.7 %>% filter(sexo==1)
t2.1.7<-as.data.table(table(t2.1.7$cau_cie10)) 
t2.1.7 <- arrange(t2.1.7, -N)
tR00_R99<-t2.1.7 %>%
  mutate(id=ifelse(substr(t2.1.7$V1,1,1)=="R",1,0)) %>% filter(id==1)
tR00_R99<-sum(tR00_R99$N)
t2.1.7<-t2.1.7 %>%
  mutate(id=ifelse(substr(t2.1.7$V1,1,1)=="R",1,0)) %>% 
  filter(id==0) %>% select(-id)
t2.1.7<-t2.1.7[1:10] %>% 
  mutate(`%`=N/egr_total_H,Tasa=N*10000/proyeccion_poblacional_hombres) %>% 
  mutate(Causas=ifelse(V1=="K80","Colelitiasis","0")) %>%
  mutate(Causas=ifelse(V1=="K35","Apendicitis aguda",Causas)) %>% 
  mutate(Causas=ifelse(V1=="J18","Neumonía, organismo no especificado",Causas)) %>% 
  mutate(Causas=ifelse(V1=="N40","Aumento de tamaño de la próstata",Causas)) %>% 
  mutate(Causas=ifelse(V1=="A09","Otras gastroenteritis y colitis de origen infeccioso y no especificado",Causas)) %>% 
  mutate(Causas=ifelse(V1=="S82","Fractura de la pierna, inclusive del tobillo",Causas)) %>% 
  mutate(Causas=ifelse(V1=="U07","COVID 19 virus identificado y no identificado",Causas)) %>% 
  mutate(Causas=ifelse(V1=="K40","Hernia inguinal",Causas)) %>% 
  mutate(Causas=ifelse(V1=="S52","Fractura del antebrazo",Causas)) %>%
  mutate(Causas=ifelse(V1=="K37","Apendicitis, no especificada",Causas))
t2.1.7<-as.data.table(cbind(`Código CIE-10`= c(t2.1.7$V1),`Causas`=c(t2.1.7$Causas),`Número de egresos`= c(t2.1.7$N),`%`=c(t2.1.7$`%`),`Tasa`=c(t2.1.7$Tasa)))
tdemas<-egr_total_H-(sum(as.numeric(t2.1.7$`Número de egresos`))+tR00_R99)
t2.1.7_unir<-as.data.frame(rbind(`R00-R99 4/`=tR00_R99,` `=tdemas))
t2.1.7_unir$`%`<-t2.1.7_unir$V1*100/egr_total_H
t2.1.7
t2.1.7_unir
##Serie 2.1.8 Diez principales causas de morbilidad femenina año 2022.----
proyeccion_poblacional_mujeres<-9089221
egr_total_M<-bdd_eh %>% filter(sexo==2)
egr_total_M1<-as.numeric(count(egr_total_M))
t2.1.8<-egr_total_M %>% 
  mutate(cau_cie10=substr(cau_cie10,1,3))
t2.1.8<-as.data.table(table(t2.1.8$cau_cie10))
t2.1.8 <- arrange(t2.1.8, -N)
tO80<-t2.1.8 %>% filter(t2.1.8$V1=="O80")
tO82<-t2.1.8 %>% filter(t2.1.8$V1=="O82")
tO81_3_4<-t2.1.8 %>% filter(t2.1.8$V1=="O81"|t2.1.8$V1=="O83"|t2.1.8$V1=="O84")
tR00_R99<-t2.1.8 %>%
  mutate(id=ifelse(substr(t2.1.8$V1,1,1)=="R",1,0)) %>% filter(id==1)
t2.1.8<-t2.1.8 %>% 
  mutate(id=ifelse(t2.1.8$V1 %in% c(tO80$V1,tO82$V1,tO81_3_4$V1,tR00_R99$V1),1,0))%>%
  filter(id==0) %>% select(-id)
t2.1.8<-t2.1.8[1:10] %>% 
  mutate(`%`=N/egr_total_M,Tasa=N*10000/proyeccion_poblacional_mujeres) %>% 
  mutate(Causas=ifelse(V1=="K80","Colelitiasis","0")) %>%
  mutate(Causas=ifelse(V1=="K35","Apendicitis aguda",Causas)) %>% 
  mutate(Causas=ifelse(V1=="J18","Neumonía, organismo no especificado",Causas)) %>% 
  mutate(Causas=ifelse(V1=="N39","Otros trastornos del sistema urinario",Causas)) %>% 
  mutate(Causas=ifelse(V1=="A09","Otras gastroenteritis y colitis de origen infeccioso y no especificado",Causas)) %>% 
  mutate(Causas=ifelse(V1=="S82","Fractura de la pierna, inclusive del tobillo",Causas)) %>% 
  mutate(Causas=ifelse(V1=="U07","COVID 19 virus identificado y no identificado",Causas)) %>% 
  mutate(Causas=ifelse(V1=="K40","Hernia inguinal",Causas)) %>% 
  mutate(Causas=ifelse(V1=="S52","Fractura del antebrazo",Causas)) %>%
  mutate(Causas=ifelse(V1=="O65","Trabajo de parto obstruido",Causas))
t2.1.8<-as.data.table(cbind(`Código CIE-10`= c(t2.1.8$V1),`Causas`=c(t2.1.8$Causas),`Número de egresos`= c(t2.1.8$N),`%`=c(t2.1.8$`%`),`Tasa`=c(t2.1.8$Tasa)))
tO80<-sum(tO80$N)
tO82<-sum(tO82$N)
tO81_3_4<-sum(tO81_3_4$N)
tR00_R99<-sum(tR00_R99$N)
##Serie 2.1.9 Diez principales causas de morbilidad infantil año 2022 (menores de 1 año)  .----
proyeccion_poblacional_infantil<-330105
egr_total_I<-bdd_eh %>% filter(cod_edad<=3)
egr_total_I<-as.numeric(count(egr_total_I))  
t2.1.9<-bdd_eh %>% 
  mutate(cau_cie10=substr(cau_cie10,1,3))
t2.1.9<-t2.1.9 %>% filter(cod_edad<=3)
t2.1.9<-as.data.table(table(t2.1.9$cau_cie10)) 
t2.1.9 <- arrange(t2.1.9, -N)
tR00_R99<-t2.1.9 %>%
  mutate(id=ifelse(substr(t2.1.9$V1,1,1)=="R",1,0)) %>% filter(id==1)
tR00_R99<-sum(tR00_R99$N)
t2.1.9<-t2.1.9 %>%
  mutate(id=ifelse(substr(t2.1.9$V1,1,1)=="R",1,0)) %>% 
  filter(id==0) %>% select(-id)
t2.1.9<-t2.1.9[1:10] %>% 
  mutate(`%`=N/egr_total_I,Tasa=N*10000/proyeccion_poblacional_infantil) %>% 
  mutate(Causas=ifelse(V1=="P22","Dificultad respiratoria del recién nacido","0")) %>%
  mutate(Causas=ifelse(V1=="P59","Ictericia neonatal por otras causas y por las no especificadas",Causas)) %>% 
  mutate(Causas=ifelse(V1=="P36","Sepsis bacteriana del recién nacido",Causas)) %>% 
  mutate(Causas=ifelse(V1=="P07","Trastornos relacionados con duración corta de la gestación y con bajo peso al nacer, no clasificados en otra parte",Causas)) %>% 
  mutate(Causas=ifelse(V1=="A09","Otras gastroenteritis y colitis de origen infeccioso y no especificado",Causas)) %>% 
  mutate(Causas=ifelse(V1=="P55","Enfermedad hemolítica del feto y del recién nacido",Causas)) %>% 
  mutate(Causas=ifelse(V1=="P00","Feto y recién nacido afectado por condiciones de la madre no necesariamente relacionadas con el embarazo presente",Causas)) %>% 
  mutate(Causas=ifelse(V1=="P03","Feto y recién nacido afectados por otras complicaciones del trabajo de parto y del parto",Causas)) %>% 
  mutate(Causas=ifelse(V1=="J18","Neumonía, organismo no especificado",Causas)) %>%
  mutate(Causas=ifelse(V1=="J21","Bronquiolitis aguda",Causas))
t2.1.9<-as.data.table(cbind(`Código CIE-10`= c(t2.1.9$V1),`Causas`=c(t2.1.9$Causas),`Número de egresos`= c(t2.1.9$N),`%`=c(t2.1.9$`%`),`Tasa`=c(t2.1.9$Tasa)))
tdemas<-egr_total_I-(sum(as.numeric(t2.1.9$`Número de egresos`))+tR00_R99)
t2.1.9_unir<-as.data.frame(rbind(`R00-R99 4/`=tR00_R99,` `=tdemas))
t2.1.9_unir$`%`<-t2.1.9_unir$V1*100/egr_total_I
t2.1.9
t2.1.9_unir
##Serie 2.1.10 Diez principales causas de morbilidad año 2022  (0 a 11 años).----
proyeccion_poblacional_infantil<-3991186
egr_total_I<-bdd_eh %>% filter(cod_edad<=4,edad>=1,edad<=11)
egr_total_I1<-as.numeric(count(egr_total_I))  
t2.1.10<-egr_total_I %>% 
  mutate(cau_cie10=substr(cau_cie10,1,3))
t2.1.10<-t2.1.10 %>% filter(cod_edad<=4,edad>=1,edad<=11)
t2.1.10<-as.data.table(table(t2.1.10$cau_cie10))
tO80<-t2.1.10 %>% filter(t2.1.10$V1=="O80")
tO82<-t2.1.10 %>% filter(t2.1.10$V1=="O82")
t2.1.10 <- arrange(t2.1.10, -N)
tR00_R99<-t2.1.10 %>%
  mutate(id=ifelse(substr(t2.1.10$V1,1,1)=="R",1,0)) %>% filter(id==1)
tR00_R99<-sum(tR00_R99$N)
t2.1.10<-t2.1.10 %>%
  mutate(id=ifelse(substr(t2.1.10$V1,1,1)=="R",1,0)) %>% 
  filter(id==0) %>% select(-id)
t2.1.10<-t2.1.10[1:10] %>% 
  mutate(`%`=N/egr_total_I,Tasa=N*10000/proyeccion_poblacional_infantil) %>% 
  mutate(Causas=ifelse(V1=="P22","Dificultad respiratoria del recién nacido","0")) %>%
  mutate(Causas=ifelse(V1=="P59","Ictericia neonatal por otras causas y por las no especificadas",Causas)) %>% 
  mutate(Causas=ifelse(V1=="P36","Sepsis bacteriana del recién nacido",Causas)) %>% 
  mutate(Causas=ifelse(V1=="P07","Trastornos relacionados con duración corta de la gestación y con bajo peso al nacer, no clasificados en otra parte",Causas)) %>% 
  mutate(Causas=ifelse(V1=="A09","Otras gastroenteritis y colitis de origen infeccioso y no especificado",Causas)) %>% 
  mutate(Causas=ifelse(V1=="P55","Enfermedad hemolítica del feto y del recién nacido",Causas)) %>% 
  mutate(Causas=ifelse(V1=="P00","Feto y recién nacido afectado por complicaciones maternas del embarazo",Causas)) %>% 
  mutate(Causas=ifelse(V1=="P01","Feto y recién nacido afectados por otras complicaciones del trabajo de parto y del parto",Causas)) %>% 
  mutate(Causas=ifelse(V1=="J18","Neumonía, organismo no especificado",Causas)) %>%
  mutate(Causas=ifelse(V1=="J21","Bronquiolitis aguda",Causas))
t2.1.10<-as.data.table(cbind(`Código CIE-10`= c(t2.1.10$V1),`Causas`=c(t2.1.10$Causas),`Número de egresos`= c(t2.1.10$N),`%`=c(t2.1.10$`%`),`Tasa`=c(t2.1.10$Tasa)))
tO80<-sum(tO80$N)
tO82<-sum(tO82$N)

##Serie 2.1.11 Diez principales causas de morbilidad año 2022  (12 a 17 años).----
proyeccion_poblacional_adolescencia<-2008562
egr_total_I<-bdd_eh %>% filter(cod_edad==4,edad>=12,edad<=17)
egr_total_I<-as.numeric(count(egr_total_I)) 
t2.1.11<-bdd_eh %>% 
  mutate(cau_cie10=substr(cau_cie10,1,3))
t2.1.11<-t2.1.11 %>% filter(cod_edad==4,edad>=12,edad<=17)
t2.1.11<-as.data.table(table(t2.1.11$cau_cie10))
t2.1.11 <- arrange(t2.1.11, -N)
tO80<-t2.1.11 %>% filter(t2.1.11$V1=="O80")
tO82<-t2.1.11 %>% filter(t2.1.11$V1=="O82")
tO81_3_4<-t2.1.11 %>% filter(t2.1.11$V1=="O81"|t2.1.11$V1=="O83"|t2.1.11$V1=="O84")
tR00_R99<-t2.1.11 %>%
  mutate(id=ifelse(substr(t2.1.11$V1,1,1)=="R",1,0)) %>% filter(id==1)
t2.1.11<-t2.1.11 %>% 
  mutate(id=ifelse(t2.1.11$V1 %in% c(tO80$V1,tO82$V1,tO81_3_4$V1,tR00_R99$V1),1,0))%>%
  filter(id==0) %>% select(-id)
t2.1.11<-t2.1.11[1:10] %>% 
  mutate(`%`=N/egr_total,Tasa=N*10000/proyeccion_poblacional_adolescencia) %>% 
  mutate(Causas=ifelse(V1=="K80","Colelitiasis","0")) %>%
  mutate(Causas=ifelse(V1=="K35","Apendicitis aguda",Causas)) %>% 
  mutate(Causas=ifelse(V1=="J18","Neumonía, organismo no especificado",Causas)) %>% 
  mutate(Causas=ifelse(V1=="N39","Otros trastornos del sistema urinario",Causas)) %>% 
  mutate(Causas=ifelse(V1=="A09","Otras gastroenteritis y colitis de origen infeccioso y no especificado",Causas)) %>% 
  mutate(Causas=ifelse(V1=="S82","Fractura de la pierna, inclusive del tobillo",Causas)) %>% 
  mutate(Causas=ifelse(V1=="U07","COVID 19 virus identificado y no identificado",Causas)) %>% 
  mutate(Causas=ifelse(V1=="K40","Hernia inguinal",Causas)) %>% 
  mutate(Causas=ifelse(V1=="S52","Fractura del antebrazo",Causas)) %>%
  mutate(Causas=ifelse(V1=="O65","Trabajo de parto obstruido",Causas))
t2.1.11<-as.data.table(cbind(`Código CIE-10`= c(t2.1.11$V1),`Causas`=c(t2.1.11$Causas),`Número de egresos`= c(t2.1.11$N),`%`=c(t2.1.11$`%`),`Tasa`=c(t2.1.11$Tasa)))
tO80<-sum(tO80$N)
tO82<-sum(tO82$N)
tO81_3_4<-sum(tO81_3_4$N)
tR00_R99<-sum(tR00_R99$N)
tdemas<-egr_total_I-(sum(as.numeric(t2.1.11$`Número de egresos`))+tO80+tO82+tO81_3_4+tR00_R99)
t2.1.11_unir<-as.data.frame(rbind(`O80 3/`=tO80,` O82 3/`=tO82,`O81, O83,O84  3/`=tO81_3_4,`R00-R99 4/`=tR00_R99,` `=tdemas))
t2.1.11_unir$`%`<-t2.1.11_unir$V1*100/egr_total_I
t2.1.11
t2.1.11_unir
##Serie 2.1.12 Diez principales causas de morbilidad año 2022  (18 a 29 años).----
proyeccion_poblacional_joven_adulta<-3640739
egr_total_I<-bdd_eh %>% filter(cod_edad==4,edad>=18,edad<=29)
egr_total_I<-as.numeric(count(egr_total_I)) 
t2.1.12<-bdd_eh %>% 
  mutate(cau_cie10=substr(cau_cie10,1,3))
t2.1.12<-t2.1.12 %>% filter(cod_edad==4,edad>=18,edad<=29)
t2.1.12<-as.data.table(table(t2.1.12$cau_cie10))
t2.1.12 <- arrange(t2.1.12, -N)
tO80<-t2.1.12 %>% filter(t2.1.12$V1=="O80")
tO82<-t2.1.12 %>% filter(t2.1.12$V1=="O82")
tO81_3_4<-t2.1.12 %>% filter(t2.1.12$V1=="O81"|t2.1.12$V1=="O83"|t2.1.12$V1=="O84")
tR00_R99<-t2.1.12 %>%
  mutate(id=ifelse(substr(t2.1.12$V1,1,1)=="R",1,0)) %>% filter(id==1)
t2.1.12<-t2.1.12 %>% 
  mutate(id=ifelse(t2.1.12$V1 %in% c(tO80$V1,tO82$V1,tO81_3_4$V1,tR00_R99$V1),1,0))%>%
  filter(id==0) %>% select(-id)
t2.1.12<-t2.1.12[1:10] %>% 
  mutate(`%`=N/egr_total,Tasa=N*10000/proyeccion_poblacional_joven_adulta) %>% 
  mutate(Causas=ifelse(V1=="K80","Colelitiasis","0")) %>%
  mutate(Causas=ifelse(V1=="K35","Apendicitis aguda",Causas)) %>% 
  mutate(Causas=ifelse(V1=="J18","Neumonía, organismo no especificado",Causas)) %>% 
  mutate(Causas=ifelse(V1=="N39","Otros trastornos del sistema urinario",Causas)) %>% 
  mutate(Causas=ifelse(V1=="A09","Otras gastroenteritis y colitis de origen infeccioso y no especificado",Causas)) %>% 
  mutate(Causas=ifelse(V1=="S82","Fractura de la pierna, inclusive del tobillo",Causas)) %>% 
  mutate(Causas=ifelse(V1=="U07","COVID 19 virus identificado y no identificado",Causas)) %>% 
  mutate(Causas=ifelse(V1=="K40","Hernia inguinal",Causas)) %>% 
  mutate(Causas=ifelse(V1=="S52","Fractura del antebrazo",Causas)) %>%
  mutate(Causas=ifelse(V1=="O65","Trabajo de parto obstruido",Causas))
t2.1.12<-as.data.table(cbind(`Código CIE-10`= c(t2.1.12$V1),`Causas`=c(t2.1.12$Causas),`Número de egresos`= c(t2.1.12$N),`%`=c(t2.1.12$`%`),`Tasa`=c(t2.1.12$Tasa)))
tO80<-sum(tO80$N)
tO82<-sum(tO82$N)
tO81_3_4<-sum(tO81_3_4$N)
tR00_R99<-sum(tR00_R99$N)
tdemas<-egr_total_I-(sum(as.numeric(t2.1.12$`Número de egresos`))+tO80+tO82+tO81_3_4+tR00_R99)
t2.1.12_unir<-as.data.frame(rbind(`O80 3/`=tO80,` O82 3/`=tO82,`O81, O83,O84  3/`=tO81_3_4,`R00-R99 4/`=tR00_R99,` `=tdemas))
t2.1.12_unir$`%`<-t2.1.12_unir$V1*100/egr_total_I
t2.1.12
t2.1.12_unir
##Serie 2.1.13 Diez principales causas de morbilidad año 2022  (30 a 64 años).----
proyeccion_poblacional_adulta<-7218069
egr_total_I<-bdd_eh %>% filter(cod_edad==4,edad>=30,edad<=64)
egr_total_I<-as.numeric(count(egr_total_I)) 
t2.1.13<-bdd_eh %>% 
  mutate(cau_cie10=substr(cau_cie10,1,3))
t2.1.13<-t2.1.13 %>% filter(cod_edad==4,edad>=30,edad<=64)
t2.1.13<-as.data.table(table(t2.1.13$cau_cie10))
t2.1.13 <- arrange(t2.1.13, -N)
tO80<-t2.1.13 %>% filter(t2.1.13$V1=="O80")
tO82<-t2.1.13 %>% filter(t2.1.13$V1=="O82")
tO81_3_4<-t2.1.13 %>% filter(t2.1.13$V1=="O81"|t2.1.13$V1=="O83"|t2.1.13$V1=="O84")
tR00_R99<-t2.1.13 %>%
  mutate(id=ifelse(substr(t2.1.13$V1,1,1)=="R",1,0)) %>% filter(id==1)
t2.1.13<-t2.1.13 %>% 
  mutate(id=ifelse(t2.1.13$V1 %in% c(tO80$V1,tO82$V1,tO81_3_4$V1,tR00_R99$V1),1,0))%>%
  filter(id==0) %>% select(-id)
t2.1.13<-t2.1.13[1:10] %>% 
  mutate(`%`=N/egr_total,Tasa=N*10000/proyeccion_poblacional_adulta) %>% 
  mutate(Causas=ifelse(V1=="K80","Colelitiasis","0")) %>%
  mutate(Causas=ifelse(V1=="K35","Apendicitis aguda",Causas)) %>% 
  mutate(Causas=ifelse(V1=="J18","Neumonía, organismo no especificado",Causas)) %>% 
  mutate(Causas=ifelse(V1=="N39","Otros trastornos del sistema urinario",Causas)) %>% 
  mutate(Causas=ifelse(V1=="A09","Otras gastroenteritis y colitis de origen infeccioso y no especificado",Causas)) %>% 
  mutate(Causas=ifelse(V1=="S82","Fractura de la pierna, inclusive del tobillo",Causas)) %>% 
  mutate(Causas=ifelse(V1=="U07","COVID 19 virus identificado y no identificado",Causas)) %>% 
  mutate(Causas=ifelse(V1=="K40","Hernia inguinal",Causas)) %>% 
  mutate(Causas=ifelse(V1=="S52","Fractura del antebrazo",Causas)) %>%
  mutate(Causas=ifelse(V1=="O65","Trabajo de parto obstruido",Causas))
t2.1.13<-as.data.table(cbind(`Código CIE-10`= c(t2.1.13$V1),`Causas`=c(t2.1.13$Causas),`Número de egresos`= c(t2.1.13$N),`%`=c(t2.1.13$`%`),`Tasa`=c(t2.1.13$Tasa)))
tO80<-sum(tO80$N)
tO82<-sum(tO82$N)
tO81_3_4<-sum(tO81_3_4$N)
tR00_R99<-sum(tR00_R99$N)
tdemas<-egr_total_I-(sum(as.numeric(t2.1.13$`Número de egresos`))+tO80+tO82+tO81_3_4+tR00_R99)
t2.1.13_unir<-as.data.frame(rbind(`O80 3/`=tO80,` O82 3/`=tO82,`O81, O83,O84  3/`=tO81_3_4,`R00-R99 4/`=tR00_R99,` `=tdemas))
t2.1.13_unir$`%`<-t2.1.13_unir$V1*100/egr_total_I
t2.1.13
t2.1.13_unir
##Serie 2.1.14 Diez principales causas de morbilidad año 2022  (65 años y más).----
proyeccion_poblacional_adulta<-1526310
egr_total_I<-bdd_eh %>% filter(cod_edad==4,edad>=65)
egr_total_I1<-as.numeric(count(egr_total_I)) 
t2.1.14<-egr_total_I %>% 
  mutate(cau_cie10=substr(cau_cie10,1,3))
t2.1.14<-t2.1.14 %>% filter(cod_edad==4,edad>=65)
t2.1.14<-as.data.table(table(t2.1.14$cau_cie10))
t2.1.14 <- arrange(t2.1.14, -N)
tR00_R99<-t2.1.14 %>%
  mutate(id=ifelse(substr(t2.1.14$V1,1,1)=="R",1,0)) %>% filter(id==1)
t2.1.14<-t2.1.14 %>% 
  mutate(id=ifelse(t2.1.14$V1 %in% c(tR00_R99$V1),1,0))%>%
  filter(id==0) %>% select(-id)
t2.1.14<-t2.1.14[1:10] %>% 
  mutate(`%`=N/egr_total,Tasa=N*10000/proyeccion_poblacional_adulta) %>% 
  mutate(Causas=ifelse(V1=="K80","Colelitiasis","0")) %>%
  mutate(Causas=ifelse(V1=="K35","Apendicitis aguda",Causas)) %>% 
  mutate(Causas=ifelse(V1=="J18","Neumonía, organismo no especificado",Causas)) %>% 
  mutate(Causas=ifelse(V1=="N39","Otros trastornos del sistema urinario",Causas)) %>% 
  mutate(Causas=ifelse(V1=="A09","Otras gastroenteritis y colitis de origen infeccioso y no especificado",Causas)) %>% 
  mutate(Causas=ifelse(V1=="S82","Fractura de la pierna, inclusive del tobillo",Causas)) %>% 
  mutate(Causas=ifelse(V1=="U07","COVID 19 virus identificado y no identificado",Causas)) %>% 
  mutate(Causas=ifelse(V1=="K40","Hernia inguinal",Causas)) %>% 
  mutate(Causas=ifelse(V1=="S52","Fractura del antebrazo",Causas)) %>%
  mutate(Causas=ifelse(V1=="O65","Trabajo de parto obstruido",Causas))
t2.1.14<-as.data.table(cbind(`Código CIE-10`= c(t2.1.14$V1),`Causas`=c(t2.1.14$Causas),`Número de egresos`= c(t2.1.14$N),`%`=c(t2.1.14$`%`),`Tasa`=c(t2.1.14$Tasa)))
t2.1.14
## Serie 3.1.1 Población estimada, número de camas disponibles, egresos hospitalarios, defunciones hospitalarias, días de estada,índices y tasas,  según regiones y provincias año 2022.----
proyeccion_por_provincia<-c(909576,212832,290502,189424,500633,532088,732526,660021,4505476,488326,
                            530692,943300,1585359,204896,139157,120127,3340041,603342,125422,34505,240575,164768,474249,418498,43552)
prov_camas_disp<-table(bdd_camas$prov_ubi,bdd_camas$camas_disp)
prov_camas_disp<-data.table(prov_camas_disp)
prov_camas_disp_1<-prov_camas_disp %>% 
  filter(V1=="01") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_1<-sum(prov_camas_disp_1$prov)
prov_camas_disp_2<-prov_camas_disp %>% 
  filter(V1=="02") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_2<-sum(prov_camas_disp_2$prov)
prov_camas_disp_3<-prov_camas_disp %>% 
  filter(V1=="03") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_3<-sum(prov_camas_disp_3$prov)
prov_camas_disp_4<-prov_camas_disp %>% 
  filter(V1=="04") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_4<-sum(prov_camas_disp_4$prov)
prov_camas_disp_5<-prov_camas_disp %>% 
  filter(V1=="05") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_5<-sum(prov_camas_disp_5$prov)
prov_camas_disp_6<-prov_camas_disp %>% 
  filter(V1=="06") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_6<-sum(prov_camas_disp_6$prov)
prov_camas_disp_7<-prov_camas_disp %>% 
  filter(V1=="07") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_7<-sum(prov_camas_disp_7$prov)
prov_camas_disp_8<-prov_camas_disp %>% 
  filter(V1=="08") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_8<-sum(prov_camas_disp_8$prov)
prov_camas_disp_9<-prov_camas_disp %>% 
  filter(V1=="09") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_9<-sum(prov_camas_disp_9$prov)
prov_camas_disp_10<-prov_camas_disp %>% 
  filter(V1=="10") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_10<-sum(prov_camas_disp_10$prov)
prov_camas_disp_11<-prov_camas_disp %>% 
  filter(V1=="11") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_11<-sum(prov_camas_disp_11$prov)
prov_camas_disp_12<-prov_camas_disp %>% 
  filter(V1=="12") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_12<-sum(prov_camas_disp_12$prov)
prov_camas_disp_13<-prov_camas_disp %>% 
  filter(V1=="13") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_13<-sum(prov_camas_disp_13$prov)
prov_camas_disp_14<-prov_camas_disp %>% 
  filter(V1=="14") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_14<-sum(prov_camas_disp_14$prov)
prov_camas_disp_15<-prov_camas_disp %>% 
  filter(V1=="15") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_15<-sum(prov_camas_disp_15$prov)
prov_camas_disp_16<-prov_camas_disp %>% 
  filter(V1=="16") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_16<-sum(prov_camas_disp_16$prov)
prov_camas_disp_17<-prov_camas_disp %>% 
  filter(V1=="17") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_17<-sum(prov_camas_disp_17$prov)
prov_camas_disp_18<-prov_camas_disp %>% 
  filter(V1=="18") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_18<-sum(prov_camas_disp_18$prov)
prov_camas_disp_19<-prov_camas_disp %>% 
  filter(V1=="19") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_19<-sum(prov_camas_disp_19$prov)
prov_camas_disp_20<-prov_camas_disp %>% 
  filter(V1=="20") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_20<-sum(prov_camas_disp_20$prov)
prov_camas_disp_21<-prov_camas_disp %>% 
  filter(V1=="21") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_21<-sum(prov_camas_disp_21$prov)
prov_camas_disp_22<-prov_camas_disp %>% 
  filter(V1=="22") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_22<-sum(prov_camas_disp_22$prov)
prov_camas_disp_23<-prov_camas_disp %>% 
  filter(V1=="23") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_23<-sum(prov_camas_disp_23$prov)
prov_camas_disp_24<-prov_camas_disp %>% 
  filter(V1=="24") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
prov_camas_disp_24<-sum(prov_camas_disp_24$prov)
`Número de camas hospitalarias disponibles`<-c(prov_camas_disp_1,prov_camas_disp_2,prov_camas_disp_3,prov_camas_disp_4
                                               ,prov_camas_disp_5,prov_camas_disp_6,prov_camas_disp_7,prov_camas_disp_8,prov_camas_disp_9
                                               ,prov_camas_disp_10,prov_camas_disp_11,prov_camas_disp_12,prov_camas_disp_13,prov_camas_disp_14
                                               ,prov_camas_disp_15,prov_camas_disp_16,prov_camas_disp_17,prov_camas_disp_18,prov_camas_disp_19
                                               ,prov_camas_disp_20,prov_camas_disp_21,prov_camas_disp_22,prov_camas_disp_23,prov_camas_disp_24)
rm(prov_camas_disp,prov_camas_disp_1,prov_camas_disp_2,prov_camas_disp_3,prov_camas_disp_4,prov_camas_disp_5
   ,prov_camas_disp_6,prov_camas_disp_7,prov_camas_disp_8,prov_camas_disp_9,prov_camas_disp_10
   ,prov_camas_disp_11,prov_camas_disp_12,prov_camas_disp_13,prov_camas_disp_14,prov_camas_disp_15,prov_camas_disp_16
   ,prov_camas_disp_17,prov_camas_disp_18,prov_camas_disp_19,prov_camas_disp_20,prov_camas_disp_21,prov_camas_disp_22
   ,prov_camas_disp_23,prov_camas_disp_24)
`Egresos hospitalarios`<-data.table(table(bdd_eh$prov_ubi))
`Defunciones hospitalarias`<-bdd_eh %>% 
  filter(con_egrpa>=2)
`Defunciones hospitalarias`<-data.table(table(`Defunciones hospitalarias`$prov_ubi))
`Egresos hospitalarios`<-`Egresos hospitalarios`$N
`Defunciones hospitalarias`<-`Defunciones hospitalarias`$N
egresos_dias_estada<-as.data.table(table(bdd_eh$prov_ubi,bdd_eh$dia_estad))
egresos_dias_estada_1<-egresos_dias_estada %>% 
  filter(V1=="01") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_1<-sum(egresos_dias_estada_1$prov)
egresos_dias_estada_2<-egresos_dias_estada %>% 
  filter(V1=="02") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_2<-sum(egresos_dias_estada_2$prov)
egresos_dias_estada_3<-egresos_dias_estada %>% 
  filter(V1=="03") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_3<-sum(egresos_dias_estada_3$prov)
egresos_dias_estada_4<-egresos_dias_estada %>% 
  filter(V1=="04") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_4<-sum(egresos_dias_estada_4$prov)
egresos_dias_estada_5<-egresos_dias_estada %>% 
  filter(V1=="05") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_5<-sum(egresos_dias_estada_5$prov)
egresos_dias_estada_6<-egresos_dias_estada %>% 
  filter(V1=="06") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_6<-sum(egresos_dias_estada_6$prov)
egresos_dias_estada_7<-egresos_dias_estada %>% 
  filter(V1=="07") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_7<-sum(egresos_dias_estada_7$prov)
egresos_dias_estada_8<-egresos_dias_estada %>% 
  filter(V1=="08") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_8<-sum(egresos_dias_estada_8$prov)
egresos_dias_estada_9<-egresos_dias_estada %>% 
  filter(V1=="09") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_9<-sum(egresos_dias_estada_9$prov)
egresos_dias_estada_10<-egresos_dias_estada %>% 
  filter(V1=="10") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_10<-sum(egresos_dias_estada_10$prov)
egresos_dias_estada_11<-egresos_dias_estada %>% 
  filter(V1=="11") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_11<-sum(egresos_dias_estada_11$prov)
egresos_dias_estada_12<-egresos_dias_estada %>% 
  filter(V1=="12") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_12<-sum(egresos_dias_estada_12$prov)
egresos_dias_estada_13<-egresos_dias_estada %>% 
  filter(V1=="13") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_13<-sum(egresos_dias_estada_13$prov)
egresos_dias_estada_14<-egresos_dias_estada %>% 
  filter(V1=="14") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_14<-sum(egresos_dias_estada_14$prov)
egresos_dias_estada_15<-egresos_dias_estada %>% 
  filter(V1=="15") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_15<-sum(egresos_dias_estada_15$prov)
egresos_dias_estada_16<-egresos_dias_estada %>% 
  filter(V1=="16") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_16<-sum(egresos_dias_estada_16$prov)
egresos_dias_estada_17<-egresos_dias_estada %>% 
  filter(V1=="17") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_17<-sum(egresos_dias_estada_17$prov)
egresos_dias_estada_18<-egresos_dias_estada %>% 
  filter(V1=="18") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_18<-sum(egresos_dias_estada_18$prov)
egresos_dias_estada_19<-egresos_dias_estada %>% 
  filter(V1=="19") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_19<-sum(egresos_dias_estada_19$prov)
egresos_dias_estada_20<-egresos_dias_estada %>% 
  filter(V1=="20") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_20<-sum(egresos_dias_estada_20$prov)
egresos_dias_estada_21<-egresos_dias_estada %>% 
  filter(V1=="21") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_21<-sum(egresos_dias_estada_21$prov)
egresos_dias_estada_22<-egresos_dias_estada %>% 
  filter(V1=="22") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_22<-sum(egresos_dias_estada_22$prov)
egresos_dias_estada_23<-egresos_dias_estada %>% 
  filter(V1=="23") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_23<-sum(egresos_dias_estada_23$prov)
egresos_dias_estada_24<-egresos_dias_estada %>% 
  filter(V1=="24") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
egresos_dias_estada_24<-sum(egresos_dias_estada_24$prov)
`Días de estada`<-c(egresos_dias_estada_1,egresos_dias_estada_2,egresos_dias_estada_3,egresos_dias_estada_4
                    ,egresos_dias_estada_5,egresos_dias_estada_6,egresos_dias_estada_7,egresos_dias_estada_8,egresos_dias_estada_9
                    ,egresos_dias_estada_10,egresos_dias_estada_11,egresos_dias_estada_12,egresos_dias_estada_13,egresos_dias_estada_14
                    ,egresos_dias_estada_15,egresos_dias_estada_16,egresos_dias_estada_17,egresos_dias_estada_18,egresos_dias_estada_19
                    ,egresos_dias_estada_20,egresos_dias_estada_21,egresos_dias_estada_22,egresos_dias_estada_23,egresos_dias_estada_24)
rm(egresos_dias_estada,egresos_dias_estada_1,egresos_dias_estada_2,egresos_dias_estada_3,egresos_dias_estada_4,egresos_dias_estada_5
   ,egresos_dias_estada_6,egresos_dias_estada_7,egresos_dias_estada_8,egresos_dias_estada_9,egresos_dias_estada_10
   ,egresos_dias_estada_11,egresos_dias_estada_12,egresos_dias_estada_13,egresos_dias_estada_14,egresos_dias_estada_15,egresos_dias_estada_16
   ,egresos_dias_estada_17,egresos_dias_estada_18,egresos_dias_estada_19,egresos_dias_estada_20,egresos_dias_estada_21,egresos_dias_estada_22
   ,egresos_dias_estada_23,egresos_dias_estada_24)
camas_disponibles_prov<-as.data.table(table(bdd_camas$prov_ubi,bdd_camas$dias_cdis))
camas_disponibles_prov_1<-camas_disponibles_prov %>% 
  filter(V1=="01") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_1<-sum(camas_disponibles_prov_1$prov)
camas_disponibles_prov_2<-camas_disponibles_prov %>% 
  filter(V1=="02") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_2<-sum(camas_disponibles_prov_2$prov)
camas_disponibles_prov_3<-camas_disponibles_prov %>% 
  filter(V1=="03") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_3<-sum(camas_disponibles_prov_3$prov)
camas_disponibles_prov_4<-camas_disponibles_prov %>% 
  filter(V1=="04") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_4<-sum(camas_disponibles_prov_4$prov)
camas_disponibles_prov_5<-camas_disponibles_prov %>% 
  filter(V1=="05") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_5<-sum(camas_disponibles_prov_5$prov)
camas_disponibles_prov_6<-camas_disponibles_prov %>% 
  filter(V1=="06") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_6<-sum(camas_disponibles_prov_6$prov)
camas_disponibles_prov_7<-camas_disponibles_prov %>% 
  filter(V1=="07") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_7<-sum(camas_disponibles_prov_7$prov)
camas_disponibles_prov_8<-camas_disponibles_prov %>% 
  filter(V1=="08") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_8<-sum(camas_disponibles_prov_8$prov)
camas_disponibles_prov_9<-camas_disponibles_prov %>% 
  filter(V1=="09") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_9<-sum(camas_disponibles_prov_9$prov)
camas_disponibles_prov_10<-camas_disponibles_prov %>% 
  filter(V1=="10") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_10<-sum(camas_disponibles_prov_10$prov)
camas_disponibles_prov_11<-camas_disponibles_prov %>% 
  filter(V1=="11") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_11<-sum(camas_disponibles_prov_11$prov)
camas_disponibles_prov_12<-camas_disponibles_prov %>% 
  filter(V1=="12") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_12<-sum(camas_disponibles_prov_12$prov)
camas_disponibles_prov_13<-camas_disponibles_prov %>% 
  filter(V1=="13") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_13<-sum(camas_disponibles_prov_13$prov)
camas_disponibles_prov_14<-camas_disponibles_prov %>% 
  filter(V1=="14") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_14<-sum(camas_disponibles_prov_14$prov)
camas_disponibles_prov_15<-camas_disponibles_prov %>% 
  filter(V1=="15") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_15<-sum(camas_disponibles_prov_15$prov)
camas_disponibles_prov_16<-camas_disponibles_prov %>% 
  filter(V1=="16") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_16<-sum(camas_disponibles_prov_16$prov)
camas_disponibles_prov_17<-camas_disponibles_prov %>% 
  filter(V1=="17") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_17<-sum(camas_disponibles_prov_17$prov)
camas_disponibles_prov_18<-camas_disponibles_prov %>% 
  filter(V1=="18") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_18<-sum(camas_disponibles_prov_18$prov)
camas_disponibles_prov_19<-camas_disponibles_prov %>% 
  filter(V1=="19") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_19<-sum(camas_disponibles_prov_19$prov)
camas_disponibles_prov_20<-camas_disponibles_prov %>% 
  filter(V1=="20") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_20<-sum(camas_disponibles_prov_20$prov)
camas_disponibles_prov_21<-camas_disponibles_prov %>% 
  filter(V1=="21") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_21<-sum(camas_disponibles_prov_21$prov)
camas_disponibles_prov_22<-camas_disponibles_prov %>% 
  filter(V1=="22") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_22<-sum(camas_disponibles_prov_22$prov)
camas_disponibles_prov_23<-camas_disponibles_prov %>% 
  filter(V1=="23") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_23<-sum(camas_disponibles_prov_23$prov)
camas_disponibles_prov_24<-camas_disponibles_prov %>% 
  filter(V1=="24") %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(prov=V2*N)
camas_disponibles_prov_24<-sum(camas_disponibles_prov_24$prov)
`Días - cama disponibles`<-c(camas_disponibles_prov_1,camas_disponibles_prov_2,camas_disponibles_prov_3,camas_disponibles_prov_4
                             ,camas_disponibles_prov_5,camas_disponibles_prov_6,camas_disponibles_prov_7,camas_disponibles_prov_8,camas_disponibles_prov_9
                             ,camas_disponibles_prov_10,camas_disponibles_prov_11,camas_disponibles_prov_12,camas_disponibles_prov_13,camas_disponibles_prov_14
                             ,camas_disponibles_prov_15,camas_disponibles_prov_16,camas_disponibles_prov_17,camas_disponibles_prov_18,camas_disponibles_prov_19
                             ,camas_disponibles_prov_20,camas_disponibles_prov_21,camas_disponibles_prov_22,camas_disponibles_prov_23,camas_disponibles_prov_24)
rm(camas_disponibles_prov,camas_disponibles_prov_1,camas_disponibles_prov_2,camas_disponibles_prov_3,camas_disponibles_prov_4,camas_disponibles_prov_5
   ,camas_disponibles_prov_6,camas_disponibles_prov_7,camas_disponibles_prov_8,camas_disponibles_prov_9,camas_disponibles_prov_10
   ,camas_disponibles_prov_11,camas_disponibles_prov_12,camas_disponibles_prov_13,camas_disponibles_prov_14,camas_disponibles_prov_15,camas_disponibles_prov_16
   ,camas_disponibles_prov_17,camas_disponibles_prov_18,camas_disponibles_prov_19,camas_disponibles_prov_20,camas_disponibles_prov_21,camas_disponibles_prov_22
   ,camas_disponibles_prov_23,camas_disponibles_prov_24)
Provincia<-c(1:25)
Provincia<-factor(Provincia,
                  labels=c("AZUAY","BOLIVAR","CAÑAR","CARCHI","COTOPAXI","CHIMBORAZO","EL ORO",
                           "ESMERALDAS","GUAYAS","IMBABURA","LOJA ","LOS RIOS","MANABI","MORONA SANTIAGO",
                           "NAPO","PASTAZA","PICHINCHA","TUNGURAHUA","ZAMORA CHINCHIPE","GALAPAGOS","SUCUMBIOS",
                           "ORELLANA","SANTO DOMINGO DE LOS TSACHILAS","SANTA ELENA","ZONAS NO DELIMITADAS"),
                  ordered = T)

`Número de camas hospitalarias disponibles`<-as.data.frame(`Número de camas hospitalarias disponibles`)
`Número de camas hospitalarias disponibles` [nrow (`Número de camas hospitalarias disponibles`) + 1,] = 0
`Días de estada`<-as.data.frame(`Días de estada`)
`Días de estada` [nrow (`Días de estada`) + 1,] = 0
`Días - cama disponibles`<-as.data.frame(`Días - cama disponibles`)
`Días - cama disponibles` [nrow (`Días - cama disponibles`) + 1,] = 0
`Defunciones hospitalarias`<-as.data.frame(`Defunciones hospitalarias`)
`Defunciones hospitalarias` [nrow (`Defunciones hospitalarias`) + 1,] = 0
`Egresos hospitalarios`<-as.data.frame(`Egresos hospitalarios`)
`Egresos hospitalarios` [nrow (`Egresos hospitalarios`) + 1,] = 0
proyeccion_por_provincia<-as.data.frame(proyeccion_por_provincia)
t3.1.1<-data.frame(Provincia,proyeccion_por_provincia, `Número de camas hospitalarias disponibles`,`Egresos hospitalarios`,`Defunciones hospitalarias`,`Días de estada`,`Días - cama disponibles`)

t3.1.1<-t3.1.1 %>% 
  mutate(
    `Camas disponibles por 1.000 habitantes`= Número.de.camas.hospitalarias.disponibles*1000/proyeccion_por_provincia,
    `Porcentaje de ocupación de días camas disponibles 2/`=Días.de.estada*100/Días...cama.disponibles,
    `Rendimiento o giros de camas`=Egresos.hospitalarios/Número.de.camas.hospitalarias.disponibles,
    `Egresos por 1.000 habitantes`=Egresos.hospitalarios/proyeccion_por_provincia,
    `Promedio días de estada`=Días.de.estada/Egresos.hospitalarios,
    `Defunciones hospitalarias por 1.000 habitantes`=Defunciones.hospitalarias*1000/proyeccion_por_provincia)
t3.1.1

## Serie 3.1.2 Establecimientos hospitalarios, por número de egresos, días y promedio de estadía, número de camas hospitalarias disponibles, días-cama disponibles, porcentaje de ocupación y giro de camas, según sector, clase de establecimiento y entidad a la que pertenecen año 2022.----
#Hospital de especialidades.
bdd_camas<-bdd_camas %>% 
  mutate(publico=sector==1,
         privado=sector>=2) %>% 
  mutate(`Hospital de especialidades`=ifelse( publico==1 & clase==11,1,0))
Hospital_de_especialidades1<-as.data.table(table(bdd_camas$entidad,bdd_camas$`Hospital de especialidades`))
Hospital_de_especialidades1<-Hospital_de_especialidades1 %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(n=V2*N) %>% 
  filter(n!=0) %>% 
  select(V1,n)
bdd_eh<-bdd_eh %>% 
  mutate(publico=sector==1,
         privado=sector>=2) %>% 
  mutate(`Hospital de especialidades`=ifelse( publico==1 & clase==11,1,0))
Hospital_de_especialidades2<-as.data.table(table(bdd_eh$entidad,bdd_eh$`Hospital de especialidades`))
Hospital_de_especialidades2<-Hospital_de_especialidades2 %>%
  mutate(V2=as.numeric(V2)) %>% mutate(n=V2*N) %>% filter(n!=0) %>% select(n)
bdd_eh_hospital_especialidades<-bdd_eh %>% filter(`Hospital de especialidades`==1)
Hospital_de_especialidades3<-as.data.table(table(bdd_eh_hospital_especialidades$entidad,bdd_eh_hospital_especialidades$dia_estad)) %>% 
  mutate(V2=as.numeric(V2)) %>% mutate(n=V2*N)%>% filter(n!=0)
Hospital01<-Hospital_de_especialidades3 %>% filter(V1=="01")
Hospital01<-sum(Hospital01$n)
Hospital03<-Hospital_de_especialidades3 %>% filter(V1=="03")
Hospital03<-sum(Hospital03$n)
Hospital06<-Hospital_de_especialidades3 %>% filter(V1=="06")
Hospital06<-sum(Hospital06$n)
Hospital09<-Hospital_de_especialidades3 %>% filter(V1=="09")
Hospital09<-sum(Hospital09$n)
Hospital_de_especialidades3<-data.table(Hospital01,Hospital03,Hospital06,Hospital09)
Hospital_de_especialidades3<-t(Hospital_de_especialidades3)
Hospital_de_especialidadesT<-cbind(Hospital_de_especialidades1,`egr`=Hospital_de_especialidades2,`egr`=Hospital_de_especialidades3)
Hospital_de_especialidadesT$`Promedio días de estada`<-Hospital_de_especialidadesT$egr.V1/Hospital_de_especialidadesT$egr.n
bdd_camas_especialidades<-bdd_camas %>% filter(`Hospital de especialidades`==1)
Hospital_de_especialidades1<-as.data.table(table(bdd_camas_especialidades$entidad,bdd_camas_especialidades$camas_disp))
Hospital_de_especialidades1<-Hospital_de_especialidades1 %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(n=V2*N) %>% 
  filter(n!=0)
Hospital01<-Hospital_de_especialidades1 %>% filter(V1==1)
Hospital01<-sum(Hospital01$n)
Hospital03<-Hospital_de_especialidades1 %>% filter(V1==3)
Hospital03<-sum(Hospital03$n)
Hospital06<-Hospital_de_especialidades1 %>% filter(V1==6)
Hospital06<-sum(Hospital06$n)
Hospital09<-Hospital_de_especialidades1 %>% filter(V1==9)
Hospital09<-sum(Hospital09$n)
Hospital_de_especialidades1<-data.table(Hospital01,Hospital03,Hospital06,Hospital09)
Hospital_de_especialidades1<-t(Hospital_de_especialidades1)

Hospital_de_especialidades2<-as.data.table(table(bdd_camas_especialidades$entidad,bdd_camas_especialidades$dias_cdis))
Hospital_de_especialidades2<-Hospital_de_especialidades2 %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(n=V2*N) %>% 
  filter(n!=0)
Hospital01<-Hospital_de_especialidades2 %>% filter(V1==1)
Hospital01<-sum(Hospital01$n)
Hospital03<-Hospital_de_especialidades2 %>% filter(V1==3)
Hospital03<-sum(Hospital03$n)
Hospital06<-Hospital_de_especialidades2 %>% filter(V1==6)
Hospital06<-sum(Hospital06$n)
Hospital09<-Hospital_de_especialidades2 %>% filter(V1==9)
Hospital09<-sum(Hospital09$n)
Hospital_de_especialidades2<-data.table(Hospital01,Hospital03,Hospital06,Hospital09)
Hospital_de_especialidades2<-t(Hospital_de_especialidades2)

Hospital_de_especialidadesT<-cbind(Hospital_de_especialidadesT,`camas_disponibles`=Hospital_de_especialidades1,`dias_camas_disponibles`=Hospital_de_especialidades2) 
Hospital_de_especialidadesT<-Hospital_de_especialidadesT %>%
  mutate(`%ocupacion_de_camas_disponibles`=egr.V1/dias_camas_disponibles.V1,
         `Rendimiento o giro de camas`=egr.n/camas_disponibles.V1)
#Hospital Especializado.
bdd_camas<-bdd_camas %>%
  mutate(clase=as.numeric(clase)) %>% 
  mutate(Hospital_especializado=ifelse( publico==1 & (clase>=3 & clase<=10),1,0)) 
Hospital_especializado1<-as.data.table(table(bdd_camas$entidad,bdd_camas$Hospital_especializado))
Hospital_especializado1<-Hospital_especializado1 %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(n=V2*N) %>% 
  filter(n!=0) %>% 
  select(V1,n)
bdd_eh<-bdd_eh %>%
  mutate(clase=as.numeric(clase)) %>% 
  mutate(publico=sector==1,
         privado=sector>=2) %>% 
  mutate(Hospital_especializado=ifelse(publico==1 & (clase>=3 & clase<=10),1,0))
Hospital_especializado2<-as.data.table(table(bdd_eh$entidad,bdd_eh$Hospital_especializado))
Hospital_especializado2<-Hospital_especializado2 %>%
  mutate(V2=as.numeric(V2)) %>% mutate(n=V2*N) %>% filter(n!=0) %>% select(n)
bdd_eh_hospital_especializado<-bdd_eh %>% filter(Hospital_especializado==1)
Hospital_especializado3<-as.data.table(table(bdd_eh_hospital_especializado$entidad,bdd_eh_hospital_especializado$dia_estad)) %>% 
  mutate(V2=as.numeric(V2)) %>% mutate(n=V2*N)%>% filter(n!=0)
Hospital01<-Hospital_especializado3 %>% filter(V1=="01")
Hospital01<-sum(Hospital01$n)
Hospital11<-Hospital_especializado3 %>% filter(V1=="11")
Hospital11<-sum(Hospital11$n)
Hospital_especializado3<- cbind(Hospital01,Hospital11)
Hospital_especializado3[nrow (Hospital01) + 1,] =Hospital11 
Hospital_especializado3<-t(Hospital_especializado3)
Hospital_especializadoT<-cbind(Hospital_especializado1,`egr`=Hospital_especializado2,`egr`=Hospital_especializado3)
Hospital_especializadoT$`Promedio días de estada`<-Hospital_especializadoT$egr.V1/Hospital_especializadoT$egr.n
bdd_camas_especializado<-bdd_camas %>% filter(Hospital_especializado==1)
Hospital_especializado1<-as.data.table(table(bdd_camas_especializado$entidad,bdd_camas_especializado$camas_disp))
Hospital_especializado1<-Hospital_especializado1 %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(n=V2*N) %>% 
  filter(n!=0)
Hospital01<-Hospital_especializado1 %>% filter(V1==1)
Hospital01<-sum(Hospital01$n)
Hospital11<-Hospital_especializado1 %>% filter(V1==11)
Hospital11<-sum(Hospital11$n)
Hospital_especializado1<-data.table(Hospital01,Hospital11)
Hospital_especializado1<-t(Hospital_especializado1)
Hospital_especializado2<-as.data.table(table(bdd_camas_especializado$entidad,bdd_camas_especializado$dias_cdis))
Hospital_especializado2<-Hospital_especializado2 %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(n=V2*N) %>% 
  filter(n!=0)
Hospital01<-Hospital_especializado2 %>% filter(V1==1)
Hospital01<-sum(Hospital01$n)
Hospital11<-Hospital_especializado2 %>% filter(V1==11)
Hospital11<-sum(Hospital11$n)
Hospital_especializado2<-data.table(Hospital01,Hospital11)
Hospital_especializado2<-t(Hospital_especializado2)
Hospital_especializadoT<-cbind(Hospital_especializadoT,`camas_disponibles`=Hospital_especializado1,`dias_camas_disponibles`=Hospital_especializado2) 
Hospital_especializadoT<-Hospital_especializadoT %>%
  mutate(`%ocupacion_de_camas_disponibles`=egr.V1/dias_camas_disponibles.V1,
         `Rendimiento o giro de camas`=egr.n/camas_disponibles.V1)
#Hospital general.
bdd_camas<-bdd_camas %>%
  mutate(clase=as.numeric(clase)) %>% 
  mutate(Hospital_general=ifelse( publico==1 & (clase==2),1,0)) 
Hospital_general1<-as.data.table(table(bdd_camas$entidad,bdd_camas$Hospital_general))
Hospital_general1<-Hospital_general1 %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(n=V2*N) %>% 
  filter(n!=0) %>% 
  select(V1,n)
bdd_eh<-bdd_eh %>% 
  mutate(Hospital_general=ifelse(publico==1 & (clase==2),1,0))
Hospital_general2<-as.data.table(table(bdd_eh$entidad,bdd_eh$Hospital_general))
Hospital_general2<-Hospital_general2 %>%
  mutate(V2=as.numeric(V2)) %>% mutate(n=V2*N) %>% filter(n!=0) %>% select(n)
bdd_eh_Hospital_general<-bdd_eh %>% filter(Hospital_general==1)
Hospital_general3<-as.data.table(table(bdd_eh_Hospital_general$entidad,bdd_eh_Hospital_general$dia_estad)) %>% 
  mutate(V2=as.numeric(V2)) %>% mutate(n=V2*N)%>% filter(n!=0)
#cambian las instituciones
Hospital01<-Hospital_general3 %>% filter(V1=="01")
Hospital01<-sum(Hospital01$n)
Hospital03<-Hospital_general3 %>% filter(V1=="03")
Hospital03<-sum(Hospital03$n)
Hospital06<-Hospital_general3 %>% filter(V1=="06")
Hospital06<-sum(Hospital06$n)
Hospital09<-Hospital_general3 %>% filter(V1=="09")
Hospital09<-sum(Hospital09$n)
Hospital_general3<- cbind(Hospital01,Hospital03,Hospital06,Hospital09)
Hospital_general3<-t(Hospital_general3)

Hospital_generalT<-cbind(Hospital_general1,`egr`=Hospital_general2,`egr`=Hospital_general3)
Hospital_generalT$`Promedio días de estada`<-Hospital_generalT$egr.V1/Hospital_generalT$egr.n
bdd_camas_general<-bdd_camas %>% filter(Hospital_general==1)
Hospital_general1<-as.data.table(table(bdd_camas_general$entidad,bdd_camas_general$camas_disp))
Hospital_general1<-Hospital_general1 %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(n=V2*N) %>% 
  filter(n!=0)
#cambian las instituciones
Hospital01<-Hospital_general1 %>% filter(V1==1)
Hospital01<-sum(Hospital01$n)
Hospital03<-Hospital_general1 %>% filter(V1==3)
Hospital03<-sum(Hospital03$n)
Hospital06<-Hospital_general1 %>% filter(V1==6)
Hospital06<-sum(Hospital06$n)
Hospital09<-Hospital_general1 %>% filter(V1==9)
Hospital09<-sum(Hospital09$n)
Hospital_general1<-data.table(Hospital01,Hospital03,Hospital06,Hospital09)
Hospital_general1<-t(Hospital_general1)

Hospital_general2<-as.data.table(table(bdd_camas_general$entidad,bdd_camas_general$dias_cdis))
Hospital_general2<-Hospital_general2 %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(n=V2*N) %>% 
  filter(n!=0)
#cambian las instituciones
Hospital01<-Hospital_general2 %>% filter(V1==1)
Hospital01<-sum(Hospital01$n)
Hospital03<-Hospital_general2 %>% filter(V1==3)
Hospital03<-sum(Hospital03$n)
Hospital06<-Hospital_general2 %>% filter(V1==6)
Hospital06<-sum(Hospital06$n)
Hospital09<-Hospital_general2 %>% filter(V1==9)
Hospital09<-sum(Hospital09$n)
Hospital_general2<-data.table(Hospital01,Hospital03,Hospital06,Hospital09)
Hospital_general2<-t(Hospital_general2)

Hospital_generalT<-cbind(Hospital_generalT,`camas_disponibles`=Hospital_general1,`dias_camas_disponibles`=Hospital_general2) 
Hospital_generalT<-Hospital_generalT %>%
  mutate(`%ocupacion_de_camas_disponibles`=egr.V1/dias_camas_disponibles.V1,
         `Rendimiento o giro de camas`=egr.n/camas_disponibles.V1)
#Hospital básico.
bdd_camas<-bdd_camas %>%
  mutate(clase=as.numeric(clase)) %>% 
  mutate(Hospital_basico=ifelse( publico==1 & (clase==1 | clase==32),1,0)) 
Hospital_basico1<-as.data.table(table(bdd_camas$entidad,bdd_camas$Hospital_basico))
Hospital_basico1<-Hospital_basico1 %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(n=V2*N) %>% 
  filter(n!=0) %>% 
  select(V1,n)
bdd_eh<-bdd_eh %>% 
  mutate(Hospital_basico=ifelse(publico==1 & (clase==1 | clase==32),1,0))
Hospital_basico2<-as.data.table(table(bdd_eh$entidad,bdd_eh$Hospital_basico))
Hospital_basico2<-Hospital_basico2 %>%
  mutate(V2=as.numeric(V2)) %>% mutate(n=V2*N) %>% filter(n!=0) %>% select(n)
bdd_eh_Hospital_basico<-bdd_eh %>% filter(Hospital_basico==1)
Hospital_basico3<-as.data.table(table(bdd_eh_Hospital_basico$entidad,bdd_eh_Hospital_basico$dia_estad)) %>% 
  mutate(V2=as.numeric(V2)) %>% mutate(n=V2*N)%>% filter(n!=0)
#cambian las instituciones
Hospital01<-Hospital_basico3 %>% filter(V1=="01")
Hospital01<-sum(Hospital01$n)
Hospital03<-Hospital_basico3 %>% filter(V1=="03")
Hospital03<-sum(Hospital03$n)
Hospital06<-Hospital_basico3 %>% filter(V1=="06")
Hospital06<-sum(Hospital06$n)
Hospital09<-Hospital_basico3 %>% filter(V1=="09")
Hospital09<-sum(Hospital09$n)
Hospital11<-Hospital_basico3 %>% filter(V1=="11")
Hospital11<-sum(Hospital11$n)
Hospital16<-Hospital_basico3 %>% filter(V1=="16")
Hospital16<-sum(Hospital16$n)

Hospital_basico3<- cbind(Hospital01,Hospital03,Hospital06,Hospital09,Hospital11,Hospital16)
Hospital_basico3<-t(Hospital_basico3)

Hospital_basicoT<-cbind(Hospital_basico1,`egr`=Hospital_basico2,`egr`=Hospital_basico3)
Hospital_basicoT$`Promedio días de estada`<-Hospital_basicoT$egr.V1/Hospital_basicoT$egr.n
bdd_camas_basico<-bdd_camas %>% filter(Hospital_basico==1)
Hospital_basico1<-as.data.table(table(bdd_camas_basico$entidad,bdd_camas_basico$camas_disp))
Hospital_basico1<-Hospital_basico1 %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(n=V2*N) %>% 
  filter(n!=0)
#cambian las instituciones
Hospital01<-Hospital_basico1 %>% filter(V1==1)
Hospital01<-sum(Hospital01$n)
Hospital03<-Hospital_basico1 %>% filter(V1==3)
Hospital03<-sum(Hospital03$n)
Hospital06<-Hospital_basico1 %>% filter(V1==6)
Hospital06<-sum(Hospital06$n)
Hospital09<-Hospital_basico1 %>% filter(V1==9)
Hospital09<-sum(Hospital09$n)
Hospital11<-Hospital_basico1 %>% filter(V1==11)
Hospital11<-sum(Hospital11$n)
Hospital16<-Hospital_basico1 %>% filter(V1==16)
Hospital16<-sum(Hospital16$n)
Hospital_basico1<-data.table(Hospital01,Hospital03,Hospital06,Hospital09,Hospital11,Hospital16)
Hospital_basico1<-t(Hospital_basico1)
Hospital_basico2<-as.data.table(table(bdd_camas_basico$entidad,bdd_camas_basico$dias_cdis))
Hospital_basico2<-Hospital_basico2 %>%
  mutate(V2=as.numeric(V2)) %>% 
  mutate(n=V2*N) %>% 
  filter(n!=0)
#cambian las instituciones
Hospital01<-Hospital_basico2 %>% filter(V1==1)
Hospital01<-sum(Hospital01$n)
Hospital03<-Hospital_basico2 %>% filter(V1==3)
Hospital03<-sum(Hospital03$n)
Hospital06<-Hospital_basico2 %>% filter(V1==6)
Hospital06<-sum(Hospital06$n)
Hospital09<-Hospital_basico2 %>% filter(V1==9)
Hospital09<-sum(Hospital09$n)
Hospital11<-Hospital_basico2 %>% filter(V1==11)
Hospital11<-sum(Hospital11$n)
Hospital16<-Hospital_basico2 %>% filter(V1==16)
Hospital16<-sum(Hospital16$n)
Hospital_basico2<-data.table(Hospital01,Hospital03,Hospital06,Hospital09,Hospital11,Hospital16)
Hospital_basico2<-t(Hospital_basico2)
Hospital_basicoT<-cbind(Hospital_basicoT,`camas_disponibles`=Hospital_basico1,`dias_camas_disponibles`=Hospital_basico2) 
  Hospital_basicoT<-Hospital_basicoT %>%
  mutate(`%ocupacion_de_camas_disponibles`=egr.V1/dias_camas_disponibles.V1,
         `Rendimiento o giro de camas`=egr.n/camas_disponibles.V1)
#Hospital SFL.
  #Primera columna.
  bdd_camas<-bdd_camas %>%
    mutate(P_SFL=ifelse((sector == 3) & (entidad==12 | entidad ==17 | entidad ==13 | entidad ==15) & (clase ==1 | clase ==2  | clase ==3  | clase ==4  | clase ==5  | 
    clase ==6  | clase == 7  | clase == 8 | clase == 9 | clase == 10 | clase == 11 | clase==32),19,0)) %>% 
    mutate(P_SFL=ifelse((sector == 3) & entidad == 17  &  (clase == 13  | clase == 14 | clase == 15 | clase == 16 | clase == 17 ),20,P_SFL)) %>% 
    mutate(P_SFL=ifelse((sector == 3) & (entidad == 17) & (clase == 12 ),21,P_SFL)) 
  Hospital_SFL1<-as.data.table(table(bdd_camas$P_SFL))
  Hospital_SFL1<-Hospital_SFL1 %>%
    mutate(V1=as.numeric(V1)) %>%
    mutate(n=N) %>% 
    filter(V1!=0) %>% 
    select(V1,n)
  bdd_eh<-bdd_eh %>%
    mutate(P_SFL=ifelse((sector == 3) & (entidad==12 | entidad ==17 | entidad ==13 | entidad ==15) & (clase ==1 | clase ==2  | clase ==3  | clase ==4  | clase ==5  | 
    clase ==6  | clase == 7  | clase == 8 | clase == 9 | clase == 10 | clase == 11 | clase==32),19,0)) %>% 
    mutate(P_SFL=ifelse((sector == 3) & entidad == 17  &  (clase == 13  | clase == 14 | clase == 15 | clase == 16 | clase == 17 ),20,P_SFL)) %>% 
    mutate(P_SFL=ifelse((sector == 3) & (entidad == 17) & (clase == 12 ),21,P_SFL)) 
  #Segunda columna.
  Hospital_SFL2<-as.data.table(table(bdd_eh$P_SFL))
  Hospital_SFL2<-Hospital_SFL2 %>%
    mutate(V1=as.numeric(V1)) %>%
    mutate(n=N) %>% 
    filter(V1!=0) %>% 
    select(n)
  #Tercera columna.
  Hospital_SFL3<-as.data.table(table(bdd_eh$P_SFL,bdd_eh$dia_estad)) %>% 
    mutate(V1=as.numeric(V1),V2=as.numeric(V2)) %>% mutate(n=V2*N)%>% filter(n!=0)   
  Hospital19<-Hospital_SFL3 %>% filter(V1==19)
  Hospital19<-sum(Hospital19$n)
  
  Hospital20<-Hospital_SFL3 %>% filter(V1==20)
  Hospital20<-sum(Hospital20$n)
  
  Hospital21<-Hospital_SFL3 %>% filter(V1==21)
  Hospital21<-sum(Hospital21$n)
  
  Hospital_SFL3<-t(data.table(Hospital19,Hospital20,Hospital21))
  
  Hospital_SFLT<-cbind(Hospital_SFL1,`egr`=Hospital_SFL2,`egr`=Hospital_SFL3)
  Hospital_SFLT$`Promedio días de estada`<-Hospital_SFLT$egr.V1/Hospital_SFLT$egr.n
  
  #Quinta columna.
  Hospital_SFL1<-as.data.table(table(bdd_camas$P_SFL,bdd_camas$camas_disp))
  Hospital_SFL1<-Hospital_SFL1 %>%
    mutate(V1=as.numeric(V1),
           V2=as.numeric(V2)) %>% 
    mutate(n=V2*N) %>% 
    filter(n!=0)
  #cambian las instituciones
  
  Hospital19<-Hospital_SFL1 %>% filter(V1==19)
  Hospital19<-sum(Hospital19$n)
  
  Hospital20<-Hospital_SFL1 %>% filter(V1==20)
  Hospital20<-sum(Hospital20$n)
  
  Hospital21<-Hospital_SFL1 %>% filter(V1==21)
  Hospital21<-sum(Hospital21$n)
  
  Hospital_SFL1<-t(data.table(Hospital19,Hospital20,Hospital21))
  
  #Sexta columna.
  Hospital_SFL2<-as.data.table(table(bdd_camas$P_SFL,bdd_camas$dias_cdis))
  Hospital_SFL2<-Hospital_SFL2 %>%
    mutate(V1=as.numeric(V1),
           V2=as.numeric(V2)) %>% 
    mutate(n=V2*N) %>% 
    filter(n!=0)
  #cambian las instituciones
  
  Hospital19<-Hospital_SFL2 %>% filter(V1==19)
  Hospital19<-sum(Hospital19$n)
  
  Hospital20<-Hospital_SFL2 %>% filter(V1==20)
  Hospital20<-sum(Hospital20$n)
  
  Hospital21<-Hospital_SFL2 %>% filter(V1==21)
  Hospital21<-sum(Hospital21$n)
  
  Hospital_SFL2<-t(data.table(Hospital19,Hospital20,Hospital21))
  
  Hospital_SFLT<-cbind(Hospital_SFLT,`camas_disponibles`=Hospital_SFL1,`dias_camas_disponibles`=Hospital_SFL2) 
  Hospital_SFLT<-Hospital_SFLT %>%
    mutate(`%ocupacion_de_camas_disponibles`=egr.V1/dias_camas_disponibles.V1,
           `Rendimiento o giro de camas`=egr.n/camas_disponibles.V1)
  
  #Hospital CFL.
  bdd_camas<-bdd_camas %>%
    mutate(P_CFL=ifelse((sector == 2) & (entidad==12 | entidad == 18)  &  (clase == 1 | clase == 2  | clase == 3  | clase == 4  | clase == 5 
    | clase == 6  | clase == 7  | clase == 8 | clase == 9 | clase == 10 | clase == 11  | clase==32 ),22,0)) %>%
    mutate(P_CFL=ifelse((sector == 2) & entidad == 18  &  (clase == 13  | clase == 14 | clase == 15 | clase == 16 | clase == 17),23,P_CFL)) %>% 
    mutate(P_CFL=ifelse((sector == 2) & entidad == 18  &  (clase == 12 ),24,P_CFL)) 
  Hospital_CFL1<-as.data.table(table(bdd_camas$P_CFL))
  Hospital_CFL1<-Hospital_CFL1 %>%
    mutate(V1=as.numeric(V1)) %>%
    mutate(n=N) %>% 
    filter(V1!=0) %>% 
    select(V1,n)
  bdd_eh<-bdd_eh %>%
    mutate(P_CFL=ifelse((sector == 2) & (entidad==12 | entidad == 18)  &  (clase == 1 | clase == 2  | clase == 3  | clase == 4  | clase == 5 
    | clase == 6  | clase == 7  | clase == 8 | clase == 9 | clase == 10 | clase == 11  | clase==32 ),22,0)) %>%
    mutate(P_CFL=ifelse((sector == 2) & entidad == 18  &  (clase == 13  | clase == 14 | clase == 15 | clase == 16 | clase == 17),23,P_CFL)) %>% 
    mutate(P_CFL=ifelse((sector == 2) & entidad == 18  &  (clase == 12 ),24,P_CFL)) 
  #Segunda columna.
  Hospital_CFL2<-as.data.table(table(bdd_eh$P_CFL))
  Hospital_CFL2<-Hospital_CFL2 %>%
    mutate(V1=as.numeric(V1)) %>%
    mutate(n=N) %>% 
    filter(V1!=0) %>% 
    select(n)
  #Tercera columna.
  Hospital_CFL3<-as.data.table(table(bdd_eh$P_CFL,bdd_eh$dia_estad)) %>% 
    mutate(V1=as.numeric(V1),V2=as.numeric(V2)) %>% mutate(n=V2*N)%>% filter(n!=0)   
  Hospital22<-Hospital_CFL3 %>% filter(V1==22)
  Hospital22<-sum(Hospital22$n)
  
  Hospital23<-Hospital_CFL3 %>% filter(V1==23)
  Hospital23<-sum(Hospital23$n)
  
  Hospital24<-Hospital_CFL3 %>% filter(V1==24)
  Hospital24<-sum(Hospital24$n)
  
  Hospital_CFL3<-t(data.table(Hospital22,Hospital23,Hospital24))
  
  Hospital_CFLT<-cbind(Hospital_CFL1,`egr`=Hospital_CFL2,`egr`=Hospital_CFL3)
  Hospital_CFLT$`Promedio días de estada`<-Hospital_CFLT$egr.V1/Hospital_CFLT$egr.n
  
  #Quinta columna.
  Hospital_CFL1<-as.data.table(table(bdd_camas$P_CFL,bdd_camas$camas_disp))
  Hospital_CFL1<-Hospital_CFL1 %>%
    mutate(V1=as.numeric(V1),
           V2=as.numeric(V2)) %>% 
    mutate(n=V2*N) %>% 
    filter(n!=0)
  #cambian las instituciones
  
  Hospital22<-Hospital_CFL1 %>% filter(V1==22)
  Hospital22<-sum(Hospital22$n)
  
  Hospital23<-Hospital_CFL1 %>% filter(V1==23)
  Hospital23<-sum(Hospital23$n)
  
  Hospital24<-Hospital_CFL1 %>% filter(V1==24)
  Hospital24<-sum(Hospital24$n)
  
  Hospital_CFL1<-t(data.table(Hospital22,Hospital23,Hospital24))
  
  #Sexta columna.
  Hospital_CFL2<-as.data.table(table(bdd_camas$P_CFL,bdd_camas$dias_cdis))
  Hospital_CFL2<-Hospital_CFL2 %>%
    mutate(V1=as.numeric(V1),
           V2=as.numeric(V2)) %>% 
    mutate(n=V2*N) %>% 
    filter(n!=0)
  #cambian las instituciones
  
  Hospital22<-Hospital_CFL2 %>% filter(V1==22)
  Hospital22<-sum(Hospital22$n)
  
  Hospital23<-Hospital_CFL2 %>% filter(V1==23)
  Hospital23<-sum(Hospital23$n)
  
  Hospital24<-Hospital_CFL2 %>% filter(V1==24)
  Hospital24<-sum(Hospital24$n)
  
  Hospital_CFL2<-t(data.table(Hospital22,Hospital23,Hospital24))
  
  Hospital_CFLT<-cbind(Hospital_CFLT,`camas_disponibles`=Hospital_CFL1,`dias_camas_disponibles`=Hospital_CFL2) 
  Hospital_CFLT<-Hospital_CFLT %>%
    mutate(`%ocupacion_de_camas_disponibles`=egr.V1/dias_camas_disponibles.V1,
           `Rendimiento o giro de camas`=egr.n/camas_disponibles.V1)
  
  #Entidades Públicas.
  #Primera columna.
  bdd_camas_p<-bdd_camas %>% filter(entidad==16 |entidad<13)
  Hospital_P1<-as.data.table(table(bdd_camas_p$entidad))
  Hospital_P1<-Hospital_P1 %>% 
  mutate(V1=as.numeric(V1)) %>%
    mutate(n=N) %>% 
    filter(V1!=0) %>% 
    select(V1,n)
 #Segunda Columna.
  #Segunda columna.
  bdd_eh_p<-bdd_eh %>% filter(entidad==16 |entidad<13)
  Hospital_P2<-as.data.table(table(bdd_eh_p$entidad))
  Hospital_P2<-Hospital_P2 %>%
    mutate(V1=as.numeric(V1)) %>%
    mutate(n=N) %>% 
    filter(V1!=0) %>% 
    select(n)
  #Tercera columna.
  Hospital_P3<-as.data.table(table(bdd_eh_p$entidad,bdd_eh_p$dia_estad))%>% 
    mutate(V1=as.numeric(V1),V2=as.numeric(V2)) %>% mutate(n=V2*N)%>% filter(n!=0)
  Hospital01<-Hospital_P3 %>% filter(V1==1)
  Hospital01<-sum(Hospital01$n)
  Hospital03<-Hospital_P3 %>% filter(V1==3)
  Hospital03<-sum(Hospital03$n)
  Hospital06<-Hospital_P3 %>% filter(V1==6)
  Hospital06<-sum(Hospital06$n)
  Hospital09<-Hospital_P3 %>% filter(V1==9)
  Hospital09<-sum(Hospital09$n)
  Hospital11<-Hospital_P3 %>% filter(V1==11)
  Hospital11<-sum(Hospital11$n)
  Hospital16<-Hospital_P3 %>% filter(V1==16)
  Hospital16<-sum(Hospital16$n)
  Hospital_P3<-t(data.table(Hospital01,Hospital03,Hospital06,Hospital09,Hospital11,Hospital16))
  Hospital_PT<-cbind(Hospital_P1,`egr`=Hospital_P2,`egr`=Hospital_P3)
  Hospital_PT$`Promedio días de estada`<-Hospital_PT$egr.V1/Hospital_PT$egr.n
  
  #Quinta columna.
  Hospital_P1<-as.data.table(table(bdd_camas_p$entidad,bdd_camas_p$camas_disp))
  Hospital_P1<-Hospital_P1 %>%
    mutate(V1=as.numeric(V1),
           V2=as.numeric(V2)) %>% 
    mutate(n=V2*N) %>% 
    filter(n!=0)
  #cambian las instituciones
  Hospital01<-Hospital_P1 %>% filter(V1==1)
  Hospital01<-sum(Hospital01$n)
  Hospital03<-Hospital_P1 %>% filter(V1==3)
  Hospital03<-sum(Hospital03$n)
  Hospital06<-Hospital_P1 %>% filter(V1==6)
  Hospital06<-sum(Hospital06$n)
  Hospital09<-Hospital_P1 %>% filter(V1==9)
  Hospital09<-sum(Hospital09$n)
  Hospital11<-Hospital_P1 %>% filter(V1==11)
  Hospital11<-sum(Hospital11$n)
  Hospital16<-Hospital_P1 %>% filter(V1==16)
  Hospital16<-sum(Hospital16$n)
  Hospital_P1<-t(data.table(Hospital01,Hospital03,Hospital06,Hospital09,Hospital11,Hospital16))
  
  #Sexta columna.
  Hospital_P2<-as.data.table(table(bdd_camas_p$entidad,bdd_camas_p$dias_cdis))
  Hospital_P2<-Hospital_P2 %>%
    mutate(V1=as.numeric(V1),
           V2=as.numeric(V2)) %>% 
    mutate(n=V2*N) %>% 
    filter(n!=0)
  #cambian las instituciones
  Hospital01<-Hospital_P2 %>% filter(V1==1)
  Hospital01<-sum(Hospital01$n)
  Hospital03<-Hospital_P2 %>% filter(V1==3)
  Hospital03<-sum(Hospital03$n)
  Hospital06<-Hospital_P2 %>% filter(V1==6)
  Hospital06<-sum(Hospital06$n)
  Hospital09<-Hospital_P2 %>% filter(V1==9)
  Hospital09<-sum(Hospital09$n)
  Hospital11<-Hospital_P2 %>% filter(V1==11)
  Hospital11<-sum(Hospital11$n)
  Hospital16<-Hospital_P2 %>% filter(V1==16)
  Hospital16<-sum(Hospital16$n)
  Hospital_P2<-t(data.table(Hospital01,Hospital03,Hospital06,Hospital09,Hospital11,Hospital16))

  Hospital_PT<-cbind(Hospital_PT,`camas_disponibles`=Hospital_P1,`dias_camas_disponibles`=Hospital_P2) 
  Hospital_PT<-Hospital_PT %>%
    mutate(`%ocupacion_de_camas_disponibles`=egr.V1/dias_camas_disponibles.V1,
           `Rendimiento o giro de camas`=egr.n/camas_disponibles.V1)
  #Unir todo.
  #Sector Privado.
  Privado<-data.frame(`V1`=32,`n`=sum(Hospital_SFLT$n)+sum(Hospital_CFLT$n),`egr.n`=sum(Hospital_SFLT$egr.n)+sum(Hospital_CFLT$egr.n),`egr.V1`=sum(Hospital_SFLT$egr.V1)+sum(Hospital_CFLT$egr.V1)) %>% 
    mutate(`Promedio días de estada`=egr.V1/egr.n)
  Privado1<-data.frame(`camas_disponibles.V1`=sum(Hospital_SFLT$camas_disponibles.V1)+sum(Hospital_CFLT$camas_disponibles.V1),`dias_camas_disponibles.V1`=sum(Hospital_SFLT$dias_camas_disponibles.V1)+sum(Hospital_CFLT$dias_camas_disponibles.V1))
  Privado<-cbind(Privado,Privado1) %>% 
    mutate(`%ocupacion_de_camas_disponibles`=egr.V1/dias_camas_disponibles.V1,
           `Rendimiento o giro de camas`=egr.n/camas_disponibles.V1)
  #Hospital especialidades.
  Hospital_de_especialidadesT1<-data.frame(`V1`=25,`n`=sum(Hospital_de_especialidadesT$n),`egr.n`=sum(Hospital_de_especialidadesT$egr.n),`egr.V1`=sum(Hospital_de_especialidadesT$egr.V1)) %>% 
  mutate(`Promedio días de estada`=egr.V1/egr.n)
  Hospital_de_especialidadesT2<-data.frame(`camas_disponibles.V1`=sum(Hospital_de_especialidadesT$camas_disponibles.V1),`dias_camas_disponibles.V1`=sum(Hospital_de_especialidadesT$dias_camas_disponibles.V1))
  Hospital_de_especialidadesT1<-cbind(Hospital_de_especialidadesT1,Hospital_de_especialidadesT2) %>% 
    mutate(`%ocupacion_de_camas_disponibles`=egr.V1/dias_camas_disponibles.V1,
           `Rendimiento o giro de camas`=egr.n/camas_disponibles.V1)
  rm(Hospital_de_especialidadesT2)
  Hospital_de_especialidadesT<-rbind(Hospital_de_especialidadesT1,as.data.frame(Hospital_de_especialidadesT))
  #Hospital especializado.
  Hospital_especializadoT1<-data.frame(`V1`=26,`n`=sum(Hospital_especializadoT$n),`egr.n`=sum(Hospital_especializadoT$egr.n),`egr.V1`=sum(Hospital_especializadoT$egr.V1)) %>% 
    mutate(`Promedio días de estada`=egr.V1/egr.n)
  Hospital_especializadoT2<-data.frame(`camas_disponibles.V1`=sum(Hospital_especializadoT$camas_disponibles.V1),`dias_camas_disponibles.V1`=sum(Hospital_especializadoT$dias_camas_disponibles.V1))
  Hospital_especializadoT1<-cbind(Hospital_especializadoT1,Hospital_especializadoT2) %>% 
    mutate(`%ocupacion_de_camas_disponibles`=egr.V1/dias_camas_disponibles.V1,
           `Rendimiento o giro de camas`=egr.n/camas_disponibles.V1)
  rm(Hospital_especializadoT2)
  Hospital_especializadoT<-rbind(Hospital_especializadoT1,as.data.frame(Hospital_especializadoT))
  #Hospital general.
  Hospital_generalT1<-data.frame(`V1`=27,`n`=sum(Hospital_generalT$n),`egr.n`=sum(Hospital_generalT$egr.n),`egr.V1`=sum(Hospital_generalT$egr.V1)) %>% 
    mutate(`Promedio días de estada`=egr.V1/egr.n)
  Hospital_generalT2<-data.frame(`camas_disponibles.V1`=sum(Hospital_generalT$camas_disponibles.V1),`dias_camas_disponibles.V1`=sum(Hospital_generalT$dias_camas_disponibles.V1))
  Hospital_generalT1<-cbind(Hospital_generalT1,Hospital_generalT2) %>% 
    mutate(`%ocupacion_de_camas_disponibles`=egr.V1/dias_camas_disponibles.V1,
           `Rendimiento o giro de camas`=egr.n/camas_disponibles.V1)
  rm(Hospital_generalT2)
  Hospital_generalT<-rbind(Hospital_generalT1,as.data.frame(Hospital_generalT))
  #Hospital Básico.
  Hospital_basicoT1<-data.frame(`V1`=28,`n`=sum(Hospital_basicoT$n),`egr.n`=sum(Hospital_basicoT$egr.n),`egr.V1`=sum(Hospital_basicoT$egr.V1)) %>% 
    mutate(`Promedio días de estada`=egr.V1/egr.n)
  Hospital_basicoT2<-data.frame(`camas_disponibles.V1`=sum(Hospital_basicoT$camas_disponibles.V1),`dias_camas_disponibles.V1`=sum(Hospital_basicoT$dias_camas_disponibles.V1))
  Hospital_basicoT1<-cbind(Hospital_basicoT1,Hospital_basicoT2) %>% 
    mutate(`%ocupacion_de_camas_disponibles`=egr.V1/dias_camas_disponibles.V1,
           `Rendimiento o giro de camas`=egr.n/camas_disponibles.V1)
  rm(Hospital_basicoT2)
  Hospital_basicoT<-rbind(Hospital_basicoT1,as.data.frame(Hospital_basicoT))
  #Hospital sin fines de lucro.
  Hospital_SFLT1<-data.frame(`V1`=29,`n`=sum(Hospital_SFLT$n),`egr.n`=sum(Hospital_SFLT$egr.n),`egr.V1`=sum(Hospital_SFLT$egr.V1)) %>% 
    mutate(`Promedio días de estada`=egr.V1/egr.n)
  Hospital_SFLT2<-data.frame(`camas_disponibles.V1`=sum(Hospital_SFLT$camas_disponibles.V1),`dias_camas_disponibles.V1`=sum(Hospital_SFLT$dias_camas_disponibles.V1))
  Hospital_SFLT1<-cbind(Hospital_SFLT1,Hospital_SFLT2) %>% 
    mutate(`%ocupacion_de_camas_disponibles`=egr.V1/dias_camas_disponibles.V1,
           `Rendimiento o giro de camas`=egr.n/camas_disponibles.V1)
  rm(Hospital_SFLT2)
  Hospital_SFLT<-rbind(Hospital_SFLT1,as.data.frame(Hospital_SFLT))
  #Hospital con fines de lucro.
  Hospital_CFLT1<-data.frame(`V1`=30,`n`=sum(Hospital_CFLT$n),`egr.n`=sum(Hospital_CFLT$egr.n),`egr.V1`=sum(Hospital_CFLT$egr.V1)) %>% 
    mutate(`Promedio días de estada`=egr.V1/egr.n)
  Hospital_CFLT2<-data.frame(`camas_disponibles.V1`=sum(Hospital_CFLT$camas_disponibles.V1),`dias_camas_disponibles.V1`=sum(Hospital_CFLT$dias_camas_disponibles.V1))
  Hospital_CFLT1<-cbind(Hospital_CFLT1,Hospital_CFLT2) %>% 
    mutate(`%ocupacion_de_camas_disponibles`=egr.V1/dias_camas_disponibles.V1,
           `Rendimiento o giro de camas`=egr.n/camas_disponibles.V1)
  rm(Hospital_CFLT2)
  Hospital_CFLT<-rbind(Hospital_CFLT1,as.data.frame(Hospital_CFLT))
  #Sector Público.
  Hospital_PT1<-data.frame(`V1`=31,`n`=sum(Hospital_PT$n),`egr.n`=sum(Hospital_PT$egr.n),`egr.V1`=sum(Hospital_PT$egr.V1)) %>% 
    mutate(`Promedio días de estada`=egr.V1/egr.n)
  Hospital_PT2<-data.frame(`camas_disponibles.V1`=sum(Hospital_PT$camas_disponibles.V1),`dias_camas_disponibles.V1`=sum(Hospital_PT$dias_camas_disponibles.V1))
  Hospital_PT1<-cbind(Hospital_PT1,Hospital_PT2) %>% 
    mutate(`%ocupacion_de_camas_disponibles`=egr.V1/dias_camas_disponibles.V1,
           `Rendimiento o giro de camas`=egr.n/camas_disponibles.V1)
  rm(Hospital_PT2)
  Hospital_PT<-rbind(Hospital_PT1,as.data.frame(Hospital_PT))
  Publico<-Hospital_PT[1,]
  #Total
  Total<-data.frame(`V1`=33,`n`=sum(Privado$n)+sum(Publico$n),`egr.n`=sum(Privado$egr.n)+sum(Publico$egr.n),`egr.V1`=sum(Privado$egr.V1)+sum(Publico$egr.V1)) %>% 
    mutate(`Promedio días de estada`=egr.V1/egr.n)
  Total1<-data.frame(`camas_disponibles.V1`=sum(Privado$camas_disponibles.V1)+sum(Publico$camas_disponibles.V1),`dias_camas_disponibles.V1`=sum(Privado$dias_camas_disponibles.V1)+sum(Publico$dias_camas_disponibles.V1))
  Total<-cbind(Total,Total1) %>% 
    mutate(`%ocupacion_de_camas_disponibles`=egr.V1/dias_camas_disponibles.V1,
           `Rendimiento o giro de camas`=egr.n/camas_disponibles.V1)
  rm(Hospital_PT2,Hospital_CFLT2,Hospital_SFLT2,Hospital_basicoT2,Hospital_generalT2,Hospital_especializadoT2,Hospital_de_especialidadesT2,Hospital_basicoT1,Hospital_CFLT1,Hospital_de_especialidadesT1,Hospital_especializadoT1,Hospital_generalT1,Hospital_PrivT1,Hospital_especializado2,Hospital_de_especialidades1,Hospital_de_especialidades3)
  t3.1.2<-rbind(Total,Hospital_de_especialidadesT,Hospital_especializadoT,Hospital_generalT,Hospital_basicoT,Privado,Hospital_SFLT,Hospital_CFLT,Hospital_PT)
  t3.1.2$V1<-factor(t3.1.2$V1,
                    levels=c(1,3,6,9,11,16,19,20,21,22,23,24,25,26,27,28,29,29,30,31,32,33),
                    labels= c("Ministerio de Salud Pública"
                              ,"Ministerio de Defensa Nacional"
                              ,"Instituto Ecuatoriano de Seguridad Social"
                              ,"Otros públicos"
                              ,"Municipios"
                              ,"Fiscomisionales"
                              ,"Hospitales privados SFL"
                              ,"Clínica especializada SFL"
                              ,"Clínica general SFL"
                              ,"Hospitales privados CFL"
                              ,"Clínica especializada CFL"
                              ,"Clínica general CFL"
                              ,"Hospital de especialidades"
                              ,"Hospital especializado"
                              ,"Hospital general"
                              ,"Hospital Básico"
                              ,"Total SFL"
                              ,"Hospital sin fines de lucro"
                              ,"Total CFL"
                              ,"Sector público"
                              ,"Sector privado"
                              ,"Total"),ordered = T)
  rename(t3.1.2,`Sector, entidad y clase`=  V1,`Número de establecimiento`=n,`Número de egresos`=egr.n,`Días de estada`=egr.V1,`Número de camas hospitalarias disponibles`=camas_disponibles.V1,`Días - cama disponibles`=dias_camas_disponibles.V1)
t3.1.2 
## Serie 3.1.3 Número de establecimientos y número de camas hospitalarias disponibles, por clase de establecimiento,según regiones y provincias año 2022.----
bdd_camas<-bdd_camas %>% mutate(especialidades_c=ifelse(clase==11,1,0),
                                agudo_c=ifelse(clase == 3 | clase == 4 | clase == 5,1,0),
                                cronico_c=ifelse(clase == 6 | clase == 7 | clase == 8 | clase == 9 | clase == 10,1,0),
                                Hospital_general_c=ifelse(clase ==2 ,1,0),
                                Hospital_basico_c=ifelse((clase == 1 | clase==32) ,1,0),
                                Clinica_especializada_c=ifelse((clase == 13 | clase == 14 | clase == 15 | clase == 16 | clase == 17),1,0),
                                Clinica_general_c=ifelse(clase == 12,1,0))
#Total.
Total3.1.3<-data.table(table(bdd_camas$prov_ubi))  
Total3.1.3_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_disp,bdd_camas$especialidades_c==1)) %>%
  mutate(V2=as.numeric(V2),n=V2*N)  
Total3.1.3_1<-as.data.frame(Total3.1.3_1)
camas_disponibles_total <- numeric()
for(i in Total3.1.3_1$V1) {
  camas_disponibles_total<- c(camas_disponibles_total,sum(Total3.1.3_1$n[which(Total3.1.3_1$V1==i)]))  
}
camas_disponibles_total<- data.frame(cbind(Total3.1.3_1$V1,camas_disponibles_total))
camas_disponibles_total <- camas_disponibles_total[!duplicated(camas_disponibles_total$V1),] %>% select(-V1)
Total3.1.3<-cbind(Total3.1.3,camas_disponibles_total)
#Hospital Especialidades.
Especialidades3.1.3<-data.table(table(bdd_camas$prov_ubi,bdd_camas$especialidades_c==1)) %>% filter(V2==T) %>% select(-V2)  
Especialidades3.1.3_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_disp,bdd_camas$especialidades_c==1)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
Especialidades3.1.3_1<-as.data.frame(Especialidades3.1.3_1)
camas_disponibles_especialidades <- numeric()
for(i in Especialidades3.1.3_1$V1) {
  camas_disponibles_especialidades<- c(camas_disponibles_especialidades,sum(Especialidades3.1.3_1$n[which(Especialidades3.1.3_1$V1==i)]))  
}
camas_disponibles_especialidades<- data.frame(cbind(Especialidades3.1.3_1$V1,camas_disponibles_especialidades))
camas_disponibles_especialidades <- camas_disponibles_especialidades[!duplicated(camas_disponibles_especialidades$V1),] %>% select(-V1)
Especialidades3.1.3<-cbind(Especialidades3.1.3,camas_disponibles_especialidades) %>% select(-V1)
#Hospital Especializado.
#Agudo
agudo_c3.1.3<-data.table(table(bdd_camas$prov_ubi,bdd_camas$agudo_c==1)) %>% filter(V2==T) %>% select(-V2)  
agudo_c3.1.3_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_disp,bdd_camas$agudo_c==1)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
agudo_c3.1.3_1<-as.data.frame(agudo_c3.1.3_1)
camas_disponibles_agudo_c <- numeric()
for(i in agudo_c3.1.3_1$V1) {
  camas_disponibles_agudo_c<- c(camas_disponibles_agudo_c,sum(agudo_c3.1.3_1$n[which(agudo_c3.1.3_1$V1==i)]))  
}
camas_disponibles_agudo_c<- data.frame(cbind(agudo_c3.1.3_1$V1,camas_disponibles_agudo_c))
camas_disponibles_agudo_c <- camas_disponibles_agudo_c[!duplicated(camas_disponibles_agudo_c$V1),] %>% select(-V1)
agudo_c3.1.3<-cbind(agudo_c3.1.3,camas_disponibles_agudo_c) %>% select(-V1)
#Crónico.
cronico_c3.1.3<-data.table(table(bdd_camas$prov_ubi,bdd_camas$cronico_c==1)) %>% filter(V2==T) %>% select(-V2)  
cronico_c3.1.3_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_disp,bdd_camas$cronico_c==1)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
cronico_c3.1.3_1<-as.data.frame(cronico_c3.1.3_1)
camas_disponibles_cronico_c <- numeric()
for(i in cronico_c3.1.3_1$V1) {
  camas_disponibles_cronico_c<- c(camas_disponibles_cronico_c,sum(cronico_c3.1.3_1$n[which(cronico_c3.1.3_1$V1==i)]))  
}
camas_disponibles_cronico_c<- data.frame(cbind(cronico_c3.1.3_1$V1,camas_disponibles_cronico_c))
camas_disponibles_cronico_c <- camas_disponibles_cronico_c[!duplicated(camas_disponibles_cronico_c$V1),] %>% select(-V1)
cronico_c3.1.3<-cbind(cronico_c3.1.3,camas_disponibles_cronico_c) %>% select(-V1)
#Hospital General.
Hospital_general_c3.1.3<-data.table(table(bdd_camas$prov_ubi,bdd_camas$Hospital_general_c==1)) %>% filter(V2==T) %>% select(-V2)  
Hospital_general_c3.1.3_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_disp,bdd_camas$Hospital_general_c==1)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
Hospital_general_c3.1.3_1<-as.data.frame(Hospital_general_c3.1.3_1)
camas_disponibles_Hospital_general_c <- numeric()
for(i in Hospital_general_c3.1.3_1$V1) {
  camas_disponibles_Hospital_general_c<- c(camas_disponibles_Hospital_general_c,sum(Hospital_general_c3.1.3_1$n[which(Hospital_general_c3.1.3_1$V1==i)]))  
}
camas_disponibles_Hospital_general_c<- data.frame(cbind(Hospital_general_c3.1.3_1$V1,camas_disponibles_Hospital_general_c))
camas_disponibles_Hospital_general_c <- camas_disponibles_Hospital_general_c[!duplicated(camas_disponibles_Hospital_general_c$V1),] %>% select(-V1)
Hospital_general_c3.1.3<-cbind(Hospital_general_c3.1.3,camas_disponibles_Hospital_general_c) %>% select(-V1)
#Hospital Básico.
Hospital_basico_c3.1.3<-data.table(table(bdd_camas$prov_ubi,bdd_camas$Hospital_basico_c==1)) %>% filter(V2==T) %>% select(-V2)  
Hospital_basico_c3.1.3_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_disp,bdd_camas$Hospital_basico_c==1)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
Hospital_basico_c3.1.3_1<-as.data.frame(Hospital_basico_c3.1.3_1)
camas_disponibles_Hospital_basico_c <- numeric()
for(i in Hospital_basico_c3.1.3_1$V1) {
  camas_disponibles_Hospital_basico_c<- c(camas_disponibles_Hospital_basico_c,sum(Hospital_basico_c3.1.3_1$n[which(Hospital_basico_c3.1.3_1$V1==i)]))  
}
camas_disponibles_Hospital_basico_c<- data.frame(cbind(Hospital_basico_c3.1.3_1$V1,camas_disponibles_Hospital_basico_c))
camas_disponibles_Hospital_basico_c <- camas_disponibles_Hospital_basico_c[!duplicated(camas_disponibles_Hospital_basico_c$V1),] %>% select(-V1)
Hospital_basico_c3.1.3<-cbind(Hospital_basico_c3.1.3,camas_disponibles_Hospital_basico_c) %>% select(-V1)
#Clínica Especializada.
Clinica_especializada_c3.1.3<-data.table(table(bdd_camas$prov_ubi,bdd_camas$Clinica_especializada_c==1)) %>% filter(V2==T) %>% select(-V2)  
Clinica_especializada_c3.1.3_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_disp,bdd_camas$Clinica_especializada_c==1)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
Clinica_especializada_c3.1.3_1<-as.data.frame(Clinica_especializada_c3.1.3_1)
camas_disponibles_Clinica_especializada_c <- numeric()
for(i in Clinica_especializada_c3.1.3_1$V1) {
  camas_disponibles_Clinica_especializada_c<- c(camas_disponibles_Clinica_especializada_c,sum(Clinica_especializada_c3.1.3_1$n[which(Clinica_especializada_c3.1.3_1$V1==i)]))  
}
camas_disponibles_Clinica_especializada_c<- data.frame(cbind(Clinica_especializada_c3.1.3_1$V1,camas_disponibles_Clinica_especializada_c))
camas_disponibles_Clinica_especializada_c <- camas_disponibles_Clinica_especializada_c[!duplicated(camas_disponibles_Clinica_especializada_c$V1),] %>% select(-V1)
Clinica_especializada_c3.1.3<-cbind(Clinica_especializada_c3.1.3,camas_disponibles_Clinica_especializada_c) %>% select(-V1)
#Clínica General.
Clinica_general_c3.1.3<-data.table(table(bdd_camas$prov_ubi,bdd_camas$Clinica_general_c==1)) %>% filter(V2==T) %>% select(-V2)  
Clinica_general_c3.1.3_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_disp,bdd_camas$Clinica_general_c==1)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
Clinica_general_c3.1.3_1<-as.data.frame(Clinica_general_c3.1.3_1)
camas_disponibles_Clinica_general_c <- numeric()
for(i in Clinica_general_c3.1.3_1$V1) {
  camas_disponibles_Clinica_general_c<- c(camas_disponibles_Clinica_general_c,sum(Clinica_general_c3.1.3_1$n[which(Clinica_general_c3.1.3_1$V1==i)]))  
}
camas_disponibles_Clinica_general_c<- data.frame(cbind(Clinica_general_c3.1.3_1$V1,camas_disponibles_Clinica_general_c))
camas_disponibles_Clinica_general_c <- camas_disponibles_Clinica_general_c[!duplicated(camas_disponibles_Clinica_general_c$V1),] %>% select(-V1)
Clinica_general_c3.1.3<-cbind(Clinica_general_c3.1.3,camas_disponibles_Clinica_general_c) %>% select(-V1)
#Unir 
t3.1.3<-cbind(Total3.1.3,Especialidades3.1.3,agudo_c3.1.3,cronico_c3.1.3,Hospital_general_c3.1.3,Hospital_basico_c3.1.3,Clinica_especializada_c3.1.3,Clinica_general_c3.1.3)
t3.1.3$V1<-factor(t3.1.3$V1,levels=c("01","02","03","04","05","06","07","08","09","10",
                                     "11","12","13","14","15","16","17","18","19","20",
                                     "21","22","23","24"),
                  labels=c("AZUAY","BOLIVAR","CAÑAR","CARCHI","COTOPAXI","CHIMBORAZO","EL ORO",
                           "ESMERALDAS","GUAYAS","IMBABURA","LOJA ","LOS RIOS","MANABI","MORONA SANTIAGO",
                           "NAPO","PASTAZA","PICHINCHA","TUNGURAHUA","ZAMORA CHINCHIPE","GALAPAGOS","SUCUMBIOS",
                           "ORELLANA","SANTO DOMINGO DE LOS TSACHILAS","SANTA ELENA"),
                  ordered = T)
t3.1.3
## Serie 3.1.4 Número de establecimientos y número de camas de dotación normal, por clase de establecimiento,según regiones y provincias año 2022.----
#Total.
Total3.1.4<-data.table(table(bdd_camas$prov_ubi))  
Total3.1.4_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_dnor,bdd_camas$especialidades_c==1)) %>%
  mutate(V2=as.numeric(V2),n=V2*N)  
Total3.1.4_1<-as.data.frame(Total3.1.4_1)
camas_dnormal_total <- numeric()
for(i in Total3.1.4_1$V1) {
  camas_dnormal_total<- c(camas_dnormal_total,sum(Total3.1.4_1$n[which(Total3.1.4_1$V1==i)]))  
}
camas_dnormal_total<- data.frame(cbind(Total3.1.4_1$V1,camas_dnormal_total))
camas_dnormal_total <- camas_dnormal_total[!duplicated(camas_dnormal_total$V1),] %>% select(-V1)
Total3.1.4<-cbind(Total3.1.4,camas_dnormal_total)
#Hospital Especialidades.
Especialidades3.1.4<-data.table(table(bdd_camas$prov_ubi,bdd_camas$especialidades_c==1)) %>% filter(V2==T) %>% select(-V2)  
Especialidades3.1.4_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_dnor,bdd_camas$especialidades_c==1)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
Especialidades3.1.4_1<-as.data.frame(Especialidades3.1.4_1)
camas_dnormal_especialidades <- numeric()
for(i in Especialidades3.1.4_1$V1) {
  camas_dnormal_especialidades<- c(camas_dnormal_especialidades,sum(Especialidades3.1.4_1$n[which(Especialidades3.1.4_1$V1==i)]))  
}
camas_dnormal_especialidades<- data.frame(cbind(Especialidades3.1.4_1$V1,camas_dnormal_especialidades))
camas_dnormal_especialidades <- camas_dnormal_especialidades[!duplicated(camas_dnormal_especialidades$V1),] %>% select(-V1)
Especialidades3.1.4<-cbind(Especialidades3.1.4,camas_dnormal_especialidades)%>% select(-V1)
#Hospital Especializado.
#Agudo
agudo_c3.1.4<-data.table(table(bdd_camas$prov_ubi,bdd_camas$agudo_c==1)) %>% filter(V2==T) %>% select(-V2)  
agudo_c3.1.4_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_dnor,bdd_camas$agudo_c==1)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
agudo_c3.1.4_1<-as.data.frame(agudo_c3.1.4_1)
camas_dnormal_agudo_c <- numeric()
for(i in agudo_c3.1.4_1$V1) {
  camas_dnormal_agudo_c<- c(camas_dnormal_agudo_c,sum(agudo_c3.1.4_1$n[which(agudo_c3.1.4_1$V1==i)]))  
}
camas_dnormal_agudo_c<- data.frame(cbind(agudo_c3.1.4_1$V1,camas_dnormal_agudo_c))
camas_dnormal_agudo_c <- camas_dnormal_agudo_c[!duplicated(camas_dnormal_agudo_c$V1),] %>% select(-V1)
agudo_c3.1.4<-cbind(agudo_c3.1.4,camas_dnormal_agudo_c) %>% select(-V1)
#Crónico.
cronico_c3.1.4<-data.table(table(bdd_camas$prov_ubi,bdd_camas$cronico_c==1)) %>% filter(V2==T) %>% select(-V2)  
cronico_c3.1.4_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_dnor,bdd_camas$cronico_c==1)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
cronico_c3.1.4_1<-as.data.frame(cronico_c3.1.4_1)
camas_dnormal_cronico_c <- numeric()
for(i in cronico_c3.1.4_1$V1) {
  camas_dnormal_cronico_c<- c(camas_dnormal_cronico_c,sum(cronico_c3.1.4_1$n[which(cronico_c3.1.4_1$V1==i)]))  
}
camas_dnormal_cronico_c<- data.frame(cbind(cronico_c3.1.4_1$V1,camas_dnormal_cronico_c))
camas_dnormal_cronico_c <- camas_dnormal_cronico_c[!duplicated(camas_dnormal_cronico_c$V1),] %>% select(-V1)
cronico_c3.1.4<-cbind(cronico_c3.1.4,camas_dnormal_cronico_c) %>% select(-V1)
#Hospital General.
Hospital_general_c3.1.4<-data.table(table(bdd_camas$prov_ubi,bdd_camas$Hospital_general_c==1)) %>% filter(V2==T) %>% select(-V2)  
Hospital_general_c3.1.4_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_dnor,bdd_camas$Hospital_general_c==1)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
Hospital_general_c3.1.4_1<-as.data.frame(Hospital_general_c3.1.4_1)
camas_dnormal_Hospital_general_c <- numeric()
for(i in Hospital_general_c3.1.4_1$V1) {
  camas_dnormal_Hospital_general_c<- c(camas_dnormal_Hospital_general_c,sum(Hospital_general_c3.1.4_1$n[which(Hospital_general_c3.1.4_1$V1==i)]))  
}
camas_dnormal_Hospital_general_c<- data.frame(cbind(Hospital_general_c3.1.4_1$V1,camas_dnormal_Hospital_general_c))
camas_dnormal_Hospital_general_c <- camas_dnormal_Hospital_general_c[!duplicated(camas_dnormal_Hospital_general_c$V1),] %>% select(-V1)
Hospital_general_c3.1.4<-cbind(Hospital_general_c3.1.4,camas_dnormal_Hospital_general_c) %>% select(-V1)
#Hospital Básico.
Hospital_basico_c3.1.4<-data.table(table(bdd_camas$prov_ubi,bdd_camas$Hospital_basico_c==1)) %>% filter(V2==T) %>% select(-V2)  
Hospital_basico_c3.1.4_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_dnor,bdd_camas$Hospital_basico_c==1)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
Hospital_basico_c3.1.4_1<-as.data.frame(Hospital_basico_c3.1.4_1)
camas_dnormal_Hospital_basico_c <- numeric()
for(i in Hospital_basico_c3.1.4_1$V1) {
  camas_dnormal_Hospital_basico_c<- c(camas_dnormal_Hospital_basico_c,sum(Hospital_basico_c3.1.4_1$n[which(Hospital_basico_c3.1.4_1$V1==i)]))  
}
camas_dnormal_Hospital_basico_c<- data.frame(cbind(Hospital_basico_c3.1.4_1$V1,camas_dnormal_Hospital_basico_c))
camas_dnormal_Hospital_basico_c <- camas_dnormal_Hospital_basico_c[!duplicated(camas_dnormal_Hospital_basico_c$V1),] %>% select(-V1)
Hospital_basico_c3.1.4<-cbind(Hospital_basico_c3.1.4,camas_dnormal_Hospital_basico_c) %>% select(-V1)
#Clínica Especializada.
Clinica_especializada_c3.1.4<-data.table(table(bdd_camas$prov_ubi,bdd_camas$Clinica_especializada_c==1)) %>% filter(V2==T) %>% select(-V2)  
Clinica_especializada_c3.1.4_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_dnor,bdd_camas$Clinica_especializada_c==1)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
Clinica_especializada_c3.1.4_1<-as.data.frame(Clinica_especializada_c3.1.4_1)
camas_dnormal_Clinica_especializada_c <- numeric()
for(i in Clinica_especializada_c3.1.4_1$V1) {
  camas_dnormal_Clinica_especializada_c<- c(camas_dnormal_Clinica_especializada_c,sum(Clinica_especializada_c3.1.4_1$n[which(Clinica_especializada_c3.1.4_1$V1==i)]))  
}
camas_dnormal_Clinica_especializada_c<- data.frame(cbind(Clinica_especializada_c3.1.4_1$V1,camas_dnormal_Clinica_especializada_c))
camas_dnormal_Clinica_especializada_c <- camas_dnormal_Clinica_especializada_c[!duplicated(camas_dnormal_Clinica_especializada_c$V1),] %>% select(-V1)
Clinica_especializada_c3.1.4<-cbind(Clinica_especializada_c3.1.4,camas_dnormal_Clinica_especializada_c) %>% select(-V1)
#Clínica General.
Clinica_general_c3.1.4<-data.table(table(bdd_camas$prov_ubi,bdd_camas$Clinica_general_c==1)) %>% filter(V2==T) %>% select(-V2)  
Clinica_general_c3.1.4_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_dnor,bdd_camas$Clinica_general_c==1)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
Clinica_general_c3.1.4_1<-as.data.frame(Clinica_general_c3.1.4_1)
camas_dnormal_Clinica_general_c <- numeric()
for(i in Clinica_general_c3.1.4_1$V1) {
  camas_dnormal_Clinica_general_c<- c(camas_dnormal_Clinica_general_c,sum(Clinica_general_c3.1.4_1$n[which(Clinica_general_c3.1.4_1$V1==i)]))  
}
camas_dnormal_Clinica_general_c<- data.frame(cbind(Clinica_general_c3.1.4_1$V1,camas_dnormal_Clinica_general_c))
camas_dnormal_Clinica_general_c <- camas_dnormal_Clinica_general_c[!duplicated(camas_dnormal_Clinica_general_c$V1),] %>% select(-V1)
Clinica_general_c3.1.4<-cbind(Clinica_general_c3.1.4,camas_dnormal_Clinica_general_c) %>% select(-V1)
#Unir 
t3.1.4<-cbind(Total3.1.4,Especialidades3.1.4,agudo_c3.1.4,cronico_c3.1.4,Hospital_general_c3.1.4,Hospital_basico_c3.1.4,Clinica_especializada_c3.1.4,Clinica_general_c3.1.4)
t3.1.4$V1<-factor(t3.1.4$V1,levels=c("01","02","03","04","05","06","07","08","09","10",
                                     "11","12","13","14","15","16","17","18","19","20",
                                     "21","22","23","24"),
                  labels=c("AZUAY","BOLIVAR","CAÑAR","CARCHI","COTOPAXI","CHIMBORAZO","EL ORO",
                           "ESMERALDAS","GUAYAS","IMBABURA","LOJA ","LOS RIOS","MANABI","MORONA SANTIAGO",
                           "NAPO","PASTAZA","PICHINCHA","TUNGURAHUA","ZAMORA CHINCHIPE","GALAPAGOS","SUCUMBIOS",
                           "ORELLANA","SANTO DOMINGO DE LOS TSACHILAS","SANTA ELENA"),
                  ordered = T)
t3.1.4
## Serie 3.1.5 Número de establecimientos hospitalarios y número de camas hospitalarias disponibles por sector y entidad a la que pertenecen,según regiones y  provincias año 2022.----
#Total.
Total3.1.5<-data.table(table(bdd_camas$prov_ubi))  
Total3.1.5_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_disp,bdd_camas$entidad==1)) %>%
  mutate(V2=as.numeric(V2),n=V2*N)  
Total3.1.5_1<-as.data.frame(Total3.1.5_1)
camas_disponibles_total <- numeric()
for(i in Total3.1.5_1$V1) {
  camas_disponibles_total<- c(camas_disponibles_total,sum(Total3.1.5_1$n[which(Total3.1.5_1$V1==i)]))  
}
camas_disponibles_total<- data.frame(cbind(Total3.1.5_1$V1,camas_disponibles_total))
camas_disponibles_total <- camas_disponibles_total[!duplicated(camas_disponibles_total$V1),] %>% select(-V1)
Total3.1.5<-cbind(Total3.1.5,camas_disponibles_total)
#Sector Público
#Ministerio de Salud.
MSP3.1.5<-data.table(table(bdd_camas$prov_ubi,bdd_camas$entidad==1)) %>% filter(V2==T) %>% select(-V2)  
MSP3.1.5_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_disp,bdd_camas$entidad==1)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
MSP3.1.5_1<-as.data.frame(MSP3.1.5_1)
camas_disponibles_MSP <- numeric()
for(i in MSP3.1.5_1$V1) {
  camas_disponibles_MSP<- c(camas_disponibles_MSP,sum(MSP3.1.5_1$n[which(MSP3.1.5_1$V1==i)]))  
}
camas_disponibles_MSP<- data.frame(cbind(MSP3.1.5_1$V1,camas_disponibles_MSP))
camas_disponibles_MSP <- camas_disponibles_MSP[!duplicated(camas_disponibles_MSP$V1),] %>% select(-V1)
MSP3.1.5<-cbind(MSP3.1.5,camas_disponibles_MSP) %>% select(-V1)
#Ministerio de Defensa Nacional
MDN3.1.5<-data.table(table(bdd_camas$prov_ubi,bdd_camas$entidad==3)) %>% filter(V2==T) %>% select(-V2)  
MDN3.1.5_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_disp,bdd_camas$entidad==3)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
MDN3.1.5_1<-as.data.frame(MDN3.1.5_1)
camas_disponibles_MDN <- numeric()
for(i in MDN3.1.5_1$V1) {
  camas_disponibles_MDN<- c(camas_disponibles_MDN,sum(MDN3.1.5_1$n[which(MDN3.1.5_1$V1==i)]))  
}
camas_disponibles_MDN<- data.frame(cbind(MDN3.1.5_1$V1,camas_disponibles_MDN))
camas_disponibles_MDN <- camas_disponibles_MDN[!duplicated(camas_disponibles_MDN$V1),] %>% select(-V1)
MDN3.1.5<-cbind(MDN3.1.5,camas_disponibles_MDN) %>% select(-V1)
#IESS.
IESS3.1.5<-data.table(table(bdd_camas$prov_ubi,bdd_camas$entidad==6)) %>% filter(V2==T) %>% select(-V2)  
IESS3.1.5_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_disp,bdd_camas$entidad==6)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
IESS3.1.5_1<-as.data.frame(IESS3.1.5_1)
camas_disponibles_IESS <- numeric()
for(i in IESS3.1.5_1$V1) {
  camas_disponibles_IESS<- c(camas_disponibles_IESS,sum(IESS3.1.5_1$n[which(IESS3.1.5_1$V1==i)]))  
}
camas_disponibles_IESS<- data.frame(cbind(IESS3.1.5_1$V1,camas_disponibles_IESS))
camas_disponibles_IESS <- camas_disponibles_IESS[!duplicated(camas_disponibles_IESS$V1),] %>% select(-V1)
IESS3.1.5<-cbind(IESS3.1.5,camas_disponibles_IESS) %>% select(-V1)
#Otros.
bdd_camas$otros<-ifelse(bdd_camas$entidad==9|bdd_camas$entidad==11|bdd_camas$entidad==16,1,0)
otros3.1.5<-data.table(table(bdd_camas$prov_ubi,bdd_camas$otros==1)) %>% filter(V2==T) %>% select(-V2)  
otros3.1.5_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_disp,bdd_camas$otros==1)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
otros3.1.5_1<-as.data.frame(otros3.1.5_1)
camas_disponibles_otros <- numeric()
for(i in otros3.1.5_1$V1) {
  camas_disponibles_otros<- c(camas_disponibles_otros,sum(otros3.1.5_1$n[which(otros3.1.5_1$V1==i)]))  
}
camas_disponibles_otros<- data.frame(cbind(otros3.1.5_1$V1,camas_disponibles_otros))
camas_disponibles_otros <- camas_disponibles_otros[!duplicated(camas_disponibles_otros$V1),] %>% select(-V1)
otros3.1.5<-cbind(otros3.1.5,camas_disponibles_otros) %>% select(-V1)
#SFL.
bdd_camas<-bdd_camas %>%
  mutate(P_SFL=ifelse((sector == 3) & (entidad==12 | entidad ==17 | entidad ==13 | entidad ==15) & (clase ==1 | clase ==2  | clase ==3  | clase ==4  | clase ==5  |                                                                                                 clase ==6  | clase == 7  | clase == 8 | clase == 9 | clase == 10 | clase == 11 | clase==32),19,0)) %>% 
  mutate(P_SFL=ifelse((sector == 3) & entidad == 17  &  (clase == 13  | clase == 14 | clase == 15 | clase == 16 | clase == 17 ),20,P_SFL)) %>% 
  mutate(P_SFL=ifelse((sector == 3) & (entidad == 17) & (clase == 12 ),21,P_SFL))
SFL3.1.5<-data.table(table(bdd_camas$prov_ubi,bdd_camas$P_SFL>=19)) %>% filter(V2==T) %>% select(-V2)  
SFL3.1.5_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_disp,bdd_camas$P_SFL>=19)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
SFL3.1.5_1<-as.data.frame(SFL3.1.5_1)
camas_disponibles_SFL <- numeric()
for(i in SFL3.1.5_1$V1) {
  camas_disponibles_SFL<- c(camas_disponibles_SFL,sum(SFL3.1.5_1$n[which(SFL3.1.5_1$V1==i)]))  
}
camas_disponibles_SFL<- data.frame(cbind(SFL3.1.5_1$V1,camas_disponibles_SFL))
camas_disponibles_SFL <- camas_disponibles_SFL[!duplicated(camas_disponibles_SFL$V1),] %>% select(-V1)
SFL3.1.5<-cbind(SFL3.1.5,camas_disponibles_SFL) %>% select(-V1)
#CFL.
CFL3.1.5<-data.table(table(bdd_camas$prov_ubi,bdd_camas$entidad==18)) %>% filter(V2==T) %>% select(-V2)  
CFL3.1.5_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_disp,bdd_camas$entidad==18)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
CFL3.1.5_1<-as.data.frame(CFL3.1.5_1)
camas_disponibles_CFL <- numeric()
for(i in CFL3.1.5_1$V1) {
  camas_disponibles_CFL<- c(camas_disponibles_CFL,sum(CFL3.1.5_1$n[which(CFL3.1.5_1$V1==i)]))  
}
camas_disponibles_CFL<- data.frame(cbind(CFL3.1.5_1$V1,camas_disponibles_CFL))
camas_disponibles_CFL <- camas_disponibles_CFL[!duplicated(camas_disponibles_CFL$V1),] %>% select(-V1)
CFL3.1.5<-cbind(CFL3.1.5,camas_disponibles_CFL) %>% select(-V1)
#Unir 
t3.1.5<-cbind(Total3.1.5,MSP3.1.5,MDN3.1.5,IESS3.1.5,otros3.1.5,SFL3.1.5,CFL3.1.5)
t3.1.5$V1<-factor(t3.1.5$V1,levels=c("01","02","03","04","05","06","07","08","09","10",
                                     "11","12","13","14","15","16","17","18","19","20",
                                     "21","22","23","24"),
                  labels=c("AZUAY","BOLIVAR","CAÑAR","CARCHI","COTOPAXI","CHIMBORAZO","EL ORO",
                           "ESMERALDAS","GUAYAS","IMBABURA","LOJA ","LOS RIOS","MANABI","MORONA SANTIAGO",
                           "NAPO","PASTAZA","PICHINCHA","TUNGURAHUA","ZAMORA CHINCHIPE","GALAPAGOS","SUCUMBIOS",
                           "ORELLANA","SANTO DOMINGO DE LOS TSACHILAS","SANTA ELENA"),
                  ordered = T)
t3.1.5

## Serie 3.1.6 Número de establecimientos hospitalarios y número de camas hospitalarias de dotación normal,por sector y entidad a la que pertenecen, según regiones y  provincias año 2022.----
#Total.
Total3.1.6<-data.table(table(bdd_camas$prov_ubi))  
Total3.1.6_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_dnor,bdd_camas$entidad==1)) %>%
  mutate(V2=as.numeric(V2),n=V2*N)  
Total3.1.6_1<-as.data.frame(Total3.1.6_1)
camas_dnoronibles_total <- numeric()
for(i in Total3.1.6_1$V1) {
  camas_dnoronibles_total<- c(camas_dnoronibles_total,sum(Total3.1.6_1$n[which(Total3.1.6_1$V1==i)]))  
}
camas_dnoronibles_total<- data.frame(cbind(Total3.1.6_1$V1,camas_dnoronibles_total))
camas_dnoronibles_total <- camas_dnoronibles_total[!duplicated(camas_dnoronibles_total$V1),] %>% select(-V1)
Total3.1.6<-cbind(Total3.1.6,camas_dnoronibles_total)
#Sector Público
#Ministerio de Salud.
MSP3.1.6<-data.table(table(bdd_camas$prov_ubi,bdd_camas$entidad==1)) %>% filter(V2==T) %>% select(-V2)  
MSP3.1.6_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_dnor,bdd_camas$entidad==1)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
MSP3.1.6_1<-as.data.frame(MSP3.1.6_1)
camas_dnoronibles_MSP <- numeric()
for(i in MSP3.1.6_1$V1) {
  camas_dnoronibles_MSP<- c(camas_dnoronibles_MSP,sum(MSP3.1.6_1$n[which(MSP3.1.6_1$V1==i)]))  
}
camas_dnoronibles_MSP<- data.frame(cbind(MSP3.1.6_1$V1,camas_dnoronibles_MSP))
camas_dnoronibles_MSP <- camas_dnoronibles_MSP[!duplicated(camas_dnoronibles_MSP$V1),] %>% select(-V1)
MSP3.1.6<-cbind(MSP3.1.6,camas_dnoronibles_MSP) %>% select(-V1)
#Ministerio de Defensa Nacional
MDN3.1.6<-data.table(table(bdd_camas$prov_ubi,bdd_camas$entidad==3)) %>% filter(V2==T) %>% select(-V2)  
MDN3.1.6_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_dnor,bdd_camas$entidad==3)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
MDN3.1.6_1<-as.data.frame(MDN3.1.6_1)
camas_dnoronibles_MDN <- numeric()
for(i in MDN3.1.6_1$V1) {
  camas_dnoronibles_MDN<- c(camas_dnoronibles_MDN,sum(MDN3.1.6_1$n[which(MDN3.1.6_1$V1==i)]))  
}
camas_dnoronibles_MDN<- data.frame(cbind(MDN3.1.6_1$V1,camas_dnoronibles_MDN))
camas_dnoronibles_MDN <- camas_dnoronibles_MDN[!duplicated(camas_dnoronibles_MDN$V1),] %>% select(-V1)
MDN3.1.6<-cbind(MDN3.1.6,camas_dnoronibles_MDN) %>% select(-V1)
#IESS.
IESS3.1.6<-data.table(table(bdd_camas$prov_ubi,bdd_camas$entidad==6)) %>% filter(V2==T) %>% select(-V2)  
IESS3.1.6_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_dnor,bdd_camas$entidad==6)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
IESS3.1.6_1<-as.data.frame(IESS3.1.6_1)
camas_dnoronibles_IESS <- numeric()
for(i in IESS3.1.6_1$V1) {
  camas_dnoronibles_IESS<- c(camas_dnoronibles_IESS,sum(IESS3.1.6_1$n[which(IESS3.1.6_1$V1==i)]))  
}
camas_dnoronibles_IESS<- data.frame(cbind(IESS3.1.6_1$V1,camas_dnoronibles_IESS))
camas_dnoronibles_IESS <- camas_dnoronibles_IESS[!duplicated(camas_dnoronibles_IESS$V1),] %>% select(-V1)
IESS3.1.6<-cbind(IESS3.1.6,camas_dnoronibles_IESS) %>% select(-V1)
#Otros.
bdd_camas$otros<-ifelse(bdd_camas$entidad==9|bdd_camas$entidad==11|bdd_camas$entidad==16,1,0)
otros3.1.6<-data.table(table(bdd_camas$prov_ubi,bdd_camas$otros==1)) %>% filter(V2==T) %>% select(-V2)  
otros3.1.6_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_dnor,bdd_camas$otros==1)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
otros3.1.6_1<-as.data.frame(otros3.1.6_1)
camas_dnoronibles_otros <- numeric()
for(i in otros3.1.6_1$V1) {
  camas_dnoronibles_otros<- c(camas_dnoronibles_otros,sum(otros3.1.6_1$n[which(otros3.1.6_1$V1==i)]))  
}
camas_dnoronibles_otros<- data.frame(cbind(otros3.1.6_1$V1,camas_dnoronibles_otros))
camas_dnoronibles_otros <- camas_dnoronibles_otros[!duplicated(camas_dnoronibles_otros$V1),] %>% select(-V1)
otros3.1.6<-cbind(otros3.1.6,camas_dnoronibles_otros) %>% select(-V1)
#SFL.
bdd_camas<-bdd_camas %>%
  mutate(P_SFL=ifelse((sector == 3) & (entidad==12 | entidad ==17 | entidad ==13 | entidad ==15) & (clase ==1 | clase ==2  | clase ==3  | clase ==4  | clase ==5  |                                                                                                 clase ==6  | clase == 7  | clase == 8 | clase == 9 | clase == 10 | clase == 11 | clase==32),19,0)) %>% 
  mutate(P_SFL=ifelse((sector == 3) & entidad == 17  &  (clase == 13  | clase == 14 | clase == 15 | clase == 16 | clase == 17 ),20,P_SFL)) %>% 
  mutate(P_SFL=ifelse((sector == 3) & (entidad == 17) & (clase == 12 ),21,P_SFL))
SFL3.1.6<-data.table(table(bdd_camas$prov_ubi,bdd_camas$P_SFL>=19)) %>% filter(V2==T) %>% select(-V2)  
SFL3.1.6_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_dnor,bdd_camas$P_SFL>=19)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
SFL3.1.6_1<-as.data.frame(SFL3.1.6_1)
camas_dnoronibles_SFL <- numeric()
for(i in SFL3.1.6_1$V1) {
  camas_dnoronibles_SFL<- c(camas_dnoronibles_SFL,sum(SFL3.1.6_1$n[which(SFL3.1.6_1$V1==i)]))  
}
camas_dnoronibles_SFL<- data.frame(cbind(SFL3.1.6_1$V1,camas_dnoronibles_SFL))
camas_dnoronibles_SFL <- camas_dnoronibles_SFL[!duplicated(camas_dnoronibles_SFL$V1),] %>% select(-V1)
SFL3.1.6<-cbind(SFL3.1.6,camas_dnoronibles_SFL) %>% select(-V1)
#CFL.
CFL3.1.6<-data.table(table(bdd_camas$prov_ubi,bdd_camas$entidad==18)) %>% filter(V2==T) %>% select(-V2)  
CFL3.1.6_1<-data.table(table(bdd_camas$prov_ubi,bdd_camas$camas_dnor,bdd_camas$entidad==18)) %>%
  mutate(N=ifelse(V3==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),n=V2*N)  
CFL3.1.6_1<-as.data.frame(CFL3.1.6_1)
camas_dnoronibles_CFL <- numeric()
for(i in CFL3.1.6_1$V1) {
  camas_dnoronibles_CFL<- c(camas_dnoronibles_CFL,sum(CFL3.1.6_1$n[which(CFL3.1.6_1$V1==i)]))  
}
camas_dnoronibles_CFL<- data.frame(cbind(CFL3.1.6_1$V1,camas_dnoronibles_CFL))
camas_dnoronibles_CFL <- camas_dnoronibles_CFL[!duplicated(camas_dnoronibles_CFL$V1),] %>% select(-V1)
CFL3.1.6<-cbind(CFL3.1.6,camas_dnoronibles_CFL) %>% select(-V1)
#Unir 
t3.1.6<-cbind(Total3.1.6,MSP3.1.6,MDN3.1.6,IESS3.1.6,otros3.1.6,SFL3.1.6,CFL3.1.6)
t3.1.6$V1<-factor(t3.1.6$V1,levels=c("01","02","03","04","05","06","07","08","09","10",
                                     "11","12","13","14","15","16","17","18","19","20",
                                     "21","22","23","24"),
                  labels=c("AZUAY","BOLIVAR","CAÑAR","CARCHI","COTOPAXI","CHIMBORAZO","EL ORO",
                           "ESMERALDAS","GUAYAS","IMBABURA","LOJA ","LOS RIOS","MANABI","MORONA SANTIAGO",
                           "NAPO","PASTAZA","PICHINCHA","TUNGURAHUA","ZAMORA CHINCHIPE","GALAPAGOS","SUCUMBIOS",
                           "ORELLANA","SANTO DOMINGO DE LOS TSACHILAS","SANTA ELENA"),
                  ordered = T)
t3.1.6

## Serie 3.1.7 Camas hospitalarias de dotación normal por servicios, de emergencia y cuidados intensivos , según regiones, provincias, sector y entidad año 2022.----
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="01",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p01<-"01"
p01<-cbind(`Provincia`=p01,bdd_camas1_b,bdd_camas1_c,bdd_camas1_e,bdd_camas1_f,bdd_camas1_g,bdd_camas1_h,bdd_camas1_i,bdd_camas1_j,
           bdd_camas1_k,bdd_camas1_l,bdd_camas1_ll,bdd_camas1_m,bdd_camas1_n,bdd_camas1_o,bdd_camas1_p,bdd_camas1_pp,bdd_camas1_r,bdd_camas1_s,bdd_camas1_t,bdd_camas1_tt,bdd_camas1_ttt
           ,bdd_camas1_tttt,bdd_camas1_ttttt,bdd_camas1_tttttt,bdd_camas1_ttttttt,bdd_camas1_tttttttt,bdd_camas1_ttttttttt,bdd_camas1_tttttttttt,bdd_camas1_ttttttttttt,bdd_camas1_tttttttttttt,bdd_camas1_ttttttttttttt,bdd_camas1_tttttttttttttt
           ,bdd_camas1_ttttttttttttttt,bdd_camas1_tttttttttttttttt,bdd_camas1_ttttttttttttttttt,bdd_camas1_tttttttttttttttttt,bdd_camas1_ttttttttttttttttttt,bdd_camas1_tttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttt,
           bdd_camas1_tttttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttttt,bdd_camas1_tttttttttttttttttttttttt,bdd_camas1_rr,bdd_camas1_ss,bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)        



#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="02",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p02<-"02"
p02<-cbind(`Provincia`=p02,bdd_camas1_b,bdd_camas1_c,bdd_camas1_e,bdd_camas1_f,bdd_camas1_g,bdd_camas1_h,bdd_camas1_i,bdd_camas1_j,
           bdd_camas1_k,bdd_camas1_l,bdd_camas1_ll,bdd_camas1_m,bdd_camas1_n,bdd_camas1_o,bdd_camas1_p,bdd_camas1_pp,bdd_camas1_r,bdd_camas1_s,bdd_camas1_t,bdd_camas1_tt,bdd_camas1_ttt
           ,bdd_camas1_tttt,bdd_camas1_ttttt,bdd_camas1_tttttt,bdd_camas1_ttttttt,bdd_camas1_tttttttt,bdd_camas1_ttttttttt,bdd_camas1_tttttttttt,bdd_camas1_ttttttttttt,bdd_camas1_tttttttttttt,bdd_camas1_ttttttttttttt,bdd_camas1_tttttttttttttt
           ,bdd_camas1_ttttttttttttttt,bdd_camas1_tttttttttttttttt,bdd_camas1_ttttttttttttttttt,bdd_camas1_tttttttttttttttttt,bdd_camas1_ttttttttttttttttttt,bdd_camas1_tttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttt,
           bdd_camas1_tttttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttttt,bdd_camas1_tttttttttttttttttttttttt,bdd_camas1_rr,bdd_camas1_ss,bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)        

#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="03",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p03<-"03"
p03<-cbind(`Provincia`=p03,bdd_camas1_b,bdd_camas1_c,bdd_camas1_e,bdd_camas1_f,bdd_camas1_g,bdd_camas1_h,bdd_camas1_i,bdd_camas1_j,
           bdd_camas1_k,bdd_camas1_l,bdd_camas1_ll,bdd_camas1_m,bdd_camas1_n,bdd_camas1_o,bdd_camas1_p,bdd_camas1_pp,bdd_camas1_r,bdd_camas1_s,bdd_camas1_t,bdd_camas1_tt,bdd_camas1_ttt
           ,bdd_camas1_tttt,bdd_camas1_ttttt,bdd_camas1_tttttt,bdd_camas1_ttttttt,bdd_camas1_tttttttt,bdd_camas1_ttttttttt,bdd_camas1_tttttttttt,bdd_camas1_ttttttttttt,bdd_camas1_tttttttttttt,bdd_camas1_ttttttttttttt,bdd_camas1_tttttttttttttt
           ,bdd_camas1_ttttttttttttttt,bdd_camas1_tttttttttttttttt,bdd_camas1_ttttttttttttttttt,bdd_camas1_tttttttttttttttttt,bdd_camas1_ttttttttttttttttttt,bdd_camas1_tttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttt,
           bdd_camas1_tttttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttttt,bdd_camas1_tttttttttttttttttttttttt,bdd_camas1_rr,bdd_camas1_ss,bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)        


#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="04",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p04<-"04"
p04<-cbind(`Provincia`=p04,bdd_camas1_b,bdd_camas1_c,bdd_camas1_e,bdd_camas1_f,bdd_camas1_g,bdd_camas1_h,bdd_camas1_i,bdd_camas1_j,
           bdd_camas1_k,bdd_camas1_l,bdd_camas1_ll,bdd_camas1_m,bdd_camas1_n,bdd_camas1_o,bdd_camas1_p,bdd_camas1_pp,bdd_camas1_r,bdd_camas1_s,bdd_camas1_t,bdd_camas1_tt,bdd_camas1_ttt
           ,bdd_camas1_tttt,bdd_camas1_ttttt,bdd_camas1_tttttt,bdd_camas1_ttttttt,bdd_camas1_tttttttt,bdd_camas1_ttttttttt,bdd_camas1_tttttttttt,bdd_camas1_ttttttttttt,bdd_camas1_tttttttttttt,bdd_camas1_ttttttttttttt,bdd_camas1_tttttttttttttt
           ,bdd_camas1_ttttttttttttttt,bdd_camas1_tttttttttttttttt,bdd_camas1_ttttttttttttttttt,bdd_camas1_tttttttttttttttttt,bdd_camas1_ttttttttttttttttttt,bdd_camas1_tttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttt,
           bdd_camas1_tttttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttttt,bdd_camas1_tttttttttttttttttttttttt,bdd_camas1_rr,bdd_camas1_ss,bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)        


#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="05",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p05<-"05"
p05<-cbind(`Provincia`=p05,bdd_camas1_b,bdd_camas1_c,bdd_camas1_e,bdd_camas1_f,bdd_camas1_g,bdd_camas1_h,bdd_camas1_i,bdd_camas1_j,
           bdd_camas1_k,bdd_camas1_l,bdd_camas1_ll,bdd_camas1_m,bdd_camas1_n,bdd_camas1_o,bdd_camas1_p,bdd_camas1_pp,bdd_camas1_r,bdd_camas1_s,bdd_camas1_t,bdd_camas1_tt,bdd_camas1_ttt
           ,bdd_camas1_tttt,bdd_camas1_ttttt,bdd_camas1_tttttt,bdd_camas1_ttttttt,bdd_camas1_tttttttt,bdd_camas1_ttttttttt,bdd_camas1_tttttttttt,bdd_camas1_ttttttttttt,bdd_camas1_tttttttttttt,bdd_camas1_ttttttttttttt,bdd_camas1_tttttttttttttt
           ,bdd_camas1_ttttttttttttttt,bdd_camas1_tttttttttttttttt,bdd_camas1_ttttttttttttttttt,bdd_camas1_tttttttttttttttttt,bdd_camas1_ttttttttttttttttttt,bdd_camas1_tttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttt,
           bdd_camas1_tttttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttttt,bdd_camas1_tttttttttttttttttttttttt,bdd_camas1_rr,bdd_camas1_ss,bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)        

#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="06",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p06<-"06"
p06<-cbind(`Provincia`=p06,bdd_camas1_b,bdd_camas1_c,bdd_camas1_e,bdd_camas1_f,bdd_camas1_g,bdd_camas1_h,bdd_camas1_i,bdd_camas1_j,
           bdd_camas1_k,bdd_camas1_l,bdd_camas1_ll,bdd_camas1_m,bdd_camas1_n,bdd_camas1_o,bdd_camas1_p,bdd_camas1_pp,bdd_camas1_r,bdd_camas1_s,bdd_camas1_t,bdd_camas1_tt,bdd_camas1_ttt
           ,bdd_camas1_tttt,bdd_camas1_ttttt,bdd_camas1_tttttt,bdd_camas1_ttttttt,bdd_camas1_tttttttt,bdd_camas1_ttttttttt,bdd_camas1_tttttttttt,bdd_camas1_ttttttttttt,bdd_camas1_tttttttttttt,bdd_camas1_ttttttttttttt,bdd_camas1_tttttttttttttt
           ,bdd_camas1_ttttttttttttttt,bdd_camas1_tttttttttttttttt,bdd_camas1_ttttttttttttttttt,bdd_camas1_tttttttttttttttttt,bdd_camas1_ttttttttttttttttttt,bdd_camas1_tttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttt,
           bdd_camas1_tttttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttttt,bdd_camas1_tttttttttttttttttttttttt,bdd_camas1_rr,bdd_camas1_ss,bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)        



#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="07",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p07<-"07"
p07<-cbind(`Provincia`=p07,bdd_camas1_b,bdd_camas1_c,bdd_camas1_e,bdd_camas1_f,bdd_camas1_g,bdd_camas1_h,bdd_camas1_i,bdd_camas1_j,
           bdd_camas1_k,bdd_camas1_l,bdd_camas1_ll,bdd_camas1_m,bdd_camas1_n,bdd_camas1_o,bdd_camas1_p,bdd_camas1_pp,bdd_camas1_r,bdd_camas1_s,bdd_camas1_t,bdd_camas1_tt,bdd_camas1_ttt
           ,bdd_camas1_tttt,bdd_camas1_ttttt,bdd_camas1_tttttt,bdd_camas1_ttttttt,bdd_camas1_tttttttt,bdd_camas1_ttttttttt,bdd_camas1_tttttttttt,bdd_camas1_ttttttttttt,bdd_camas1_tttttttttttt,bdd_camas1_ttttttttttttt,bdd_camas1_tttttttttttttt
           ,bdd_camas1_ttttttttttttttt,bdd_camas1_tttttttttttttttt,bdd_camas1_ttttttttttttttttt,bdd_camas1_tttttttttttttttttt,bdd_camas1_ttttttttttttttttttt,bdd_camas1_tttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttt,
           bdd_camas1_tttttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttttt,bdd_camas1_tttttttttttttttttttttttt,bdd_camas1_rr,bdd_camas1_ss,bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)        
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="08",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p08<-"08"
p08<-cbind(`Provincia`=p08,bdd_camas1_b,bdd_camas1_c,bdd_camas1_e,bdd_camas1_f,bdd_camas1_g,bdd_camas1_h,bdd_camas1_i,bdd_camas1_j,
           bdd_camas1_k,bdd_camas1_l,bdd_camas1_ll,bdd_camas1_m,bdd_camas1_n,bdd_camas1_o,bdd_camas1_p,bdd_camas1_pp,bdd_camas1_r,bdd_camas1_s,bdd_camas1_t,bdd_camas1_tt,bdd_camas1_ttt
           ,bdd_camas1_tttt,bdd_camas1_ttttt,bdd_camas1_tttttt,bdd_camas1_ttttttt,bdd_camas1_tttttttt,bdd_camas1_ttttttttt,bdd_camas1_tttttttttt,bdd_camas1_ttttttttttt,bdd_camas1_tttttttttttt,bdd_camas1_ttttttttttttt,bdd_camas1_tttttttttttttt
           ,bdd_camas1_ttttttttttttttt,bdd_camas1_tttttttttttttttt,bdd_camas1_ttttttttttttttttt,bdd_camas1_tttttttttttttttttt,bdd_camas1_ttttttttttttttttttt,bdd_camas1_tttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttt,
           bdd_camas1_tttttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttttt,bdd_camas1_tttttttttttttttttttttttt,bdd_camas1_rr,bdd_camas1_ss,bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)        


#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="09",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p09<-"09"
p09<-cbind(`Provincia`=p09,bdd_camas1_b,bdd_camas1_c,bdd_camas1_e,bdd_camas1_f,bdd_camas1_g,bdd_camas1_h,bdd_camas1_i,bdd_camas1_j,
           bdd_camas1_k,bdd_camas1_l,bdd_camas1_ll,bdd_camas1_m,bdd_camas1_n,bdd_camas1_o,bdd_camas1_p,bdd_camas1_pp,bdd_camas1_r,bdd_camas1_s,bdd_camas1_t,bdd_camas1_tt,bdd_camas1_ttt
           ,bdd_camas1_tttt,bdd_camas1_ttttt,bdd_camas1_tttttt,bdd_camas1_ttttttt,bdd_camas1_tttttttt,bdd_camas1_ttttttttt,bdd_camas1_tttttttttt,bdd_camas1_ttttttttttt,bdd_camas1_tttttttttttt,bdd_camas1_ttttttttttttt,bdd_camas1_tttttttttttttt
           ,bdd_camas1_ttttttttttttttt,bdd_camas1_tttttttttttttttt,bdd_camas1_ttttttttttttttttt,bdd_camas1_tttttttttttttttttt,bdd_camas1_ttttttttttttttttttt,bdd_camas1_tttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttt,
           bdd_camas1_tttttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttttt,bdd_camas1_tttttttttttttttttttttttt,bdd_camas1_rr,bdd_camas1_ss,bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)        


#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="10",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p10<-"10"
p10<-cbind(`Provincia`=p10,bdd_camas1_b,bdd_camas1_c,bdd_camas1_e,bdd_camas1_f,bdd_camas1_g,bdd_camas1_h,bdd_camas1_i,bdd_camas1_j,
           bdd_camas1_k,bdd_camas1_l,bdd_camas1_ll,bdd_camas1_m,bdd_camas1_n,bdd_camas1_o,bdd_camas1_p,bdd_camas1_pp,bdd_camas1_r,bdd_camas1_s,bdd_camas1_t,bdd_camas1_tt,bdd_camas1_ttt
           ,bdd_camas1_tttt,bdd_camas1_ttttt,bdd_camas1_tttttt,bdd_camas1_ttttttt,bdd_camas1_tttttttt,bdd_camas1_ttttttttt,bdd_camas1_tttttttttt,bdd_camas1_ttttttttttt,bdd_camas1_tttttttttttt,bdd_camas1_ttttttttttttt,bdd_camas1_tttttttttttttt
           ,bdd_camas1_ttttttttttttttt,bdd_camas1_tttttttttttttttt,bdd_camas1_ttttttttttttttttt,bdd_camas1_tttttttttttttttttt,bdd_camas1_ttttttttttttttttttt,bdd_camas1_tttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttt,
           bdd_camas1_tttttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttttt,bdd_camas1_tttttttttttttttttttttttt,bdd_camas1_rr,bdd_camas1_ss,bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)        
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="11",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p11<-"11"
p11<-cbind(`Provincia`=p11,bdd_camas1_b,bdd_camas1_c,bdd_camas1_e,bdd_camas1_f,bdd_camas1_g,bdd_camas1_h,bdd_camas1_i,bdd_camas1_j,
           bdd_camas1_k,bdd_camas1_l,bdd_camas1_ll,bdd_camas1_m,bdd_camas1_n,bdd_camas1_o,bdd_camas1_p,bdd_camas1_pp,bdd_camas1_r,bdd_camas1_s,bdd_camas1_t,bdd_camas1_tt,bdd_camas1_ttt
           ,bdd_camas1_tttt,bdd_camas1_ttttt,bdd_camas1_tttttt,bdd_camas1_ttttttt,bdd_camas1_tttttttt,bdd_camas1_ttttttttt,bdd_camas1_tttttttttt,bdd_camas1_ttttttttttt,bdd_camas1_tttttttttttt,bdd_camas1_ttttttttttttt,bdd_camas1_tttttttttttttt
           ,bdd_camas1_ttttttttttttttt,bdd_camas1_tttttttttttttttt,bdd_camas1_ttttttttttttttttt,bdd_camas1_tttttttttttttttttt,bdd_camas1_ttttttttttttttttttt,bdd_camas1_tttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttt,
           bdd_camas1_tttttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttttt,bdd_camas1_tttttttttttttttttttttttt,bdd_camas1_rr,bdd_camas1_ss,bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)        


#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="12",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p12<-"12"
p12<-cbind(`Provincia`=p12,bdd_camas1_b,bdd_camas1_c,bdd_camas1_e,bdd_camas1_f,bdd_camas1_g,bdd_camas1_h,bdd_camas1_i,bdd_camas1_j,
           bdd_camas1_k,bdd_camas1_l,bdd_camas1_ll,bdd_camas1_m,bdd_camas1_n,bdd_camas1_o,bdd_camas1_p,bdd_camas1_pp,bdd_camas1_r,bdd_camas1_s,bdd_camas1_t,bdd_camas1_tt,bdd_camas1_ttt
           ,bdd_camas1_tttt,bdd_camas1_ttttt,bdd_camas1_tttttt,bdd_camas1_ttttttt,bdd_camas1_tttttttt,bdd_camas1_ttttttttt,bdd_camas1_tttttttttt,bdd_camas1_ttttttttttt,bdd_camas1_tttttttttttt,bdd_camas1_ttttttttttttt,bdd_camas1_tttttttttttttt
           ,bdd_camas1_ttttttttttttttt,bdd_camas1_tttttttttttttttt,bdd_camas1_ttttttttttttttttt,bdd_camas1_tttttttttttttttttt,bdd_camas1_ttttttttttttttttttt,bdd_camas1_tttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttt,
           bdd_camas1_tttttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttttt,bdd_camas1_tttttttttttttttttttttttt,bdd_camas1_rr,bdd_camas1_ss,bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)        
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="13",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p13<-"13"
p13<-cbind(`Provincia`=p13,bdd_camas1_b,bdd_camas1_c,bdd_camas1_e,bdd_camas1_f,bdd_camas1_g,bdd_camas1_h,bdd_camas1_i,bdd_camas1_j,
           bdd_camas1_k,bdd_camas1_l,bdd_camas1_ll,bdd_camas1_m,bdd_camas1_n,bdd_camas1_o,bdd_camas1_p,bdd_camas1_pp,bdd_camas1_r,bdd_camas1_s,bdd_camas1_t,bdd_camas1_tt,bdd_camas1_ttt
           ,bdd_camas1_tttt,bdd_camas1_ttttt,bdd_camas1_tttttt,bdd_camas1_ttttttt,bdd_camas1_tttttttt,bdd_camas1_ttttttttt,bdd_camas1_tttttttttt,bdd_camas1_ttttttttttt,bdd_camas1_tttttttttttt,bdd_camas1_ttttttttttttt,bdd_camas1_tttttttttttttt
           ,bdd_camas1_ttttttttttttttt,bdd_camas1_tttttttttttttttt,bdd_camas1_ttttttttttttttttt,bdd_camas1_tttttttttttttttttt,bdd_camas1_ttttttttttttttttttt,bdd_camas1_tttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttt,
           bdd_camas1_tttttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttttt,bdd_camas1_tttttttttttttttttttttttt,bdd_camas1_rr,bdd_camas1_ss,bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)        

#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="14",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p14<-"14"
p14<-cbind(`Provincia`=p14,bdd_camas1_b,bdd_camas1_c,bdd_camas1_e,bdd_camas1_f,bdd_camas1_g,bdd_camas1_h,bdd_camas1_i,bdd_camas1_j,
           bdd_camas1_k,bdd_camas1_l,bdd_camas1_ll,bdd_camas1_m,bdd_camas1_n,bdd_camas1_o,bdd_camas1_p,bdd_camas1_pp,bdd_camas1_r,bdd_camas1_s,bdd_camas1_t,bdd_camas1_tt,bdd_camas1_ttt
           ,bdd_camas1_tttt,bdd_camas1_ttttt,bdd_camas1_tttttt,bdd_camas1_ttttttt,bdd_camas1_tttttttt,bdd_camas1_ttttttttt,bdd_camas1_tttttttttt,bdd_camas1_ttttttttttt,bdd_camas1_tttttttttttt,bdd_camas1_ttttttttttttt,bdd_camas1_tttttttttttttt
           ,bdd_camas1_ttttttttttttttt,bdd_camas1_tttttttttttttttt,bdd_camas1_ttttttttttttttttt,bdd_camas1_tttttttttttttttttt,bdd_camas1_ttttttttttttttttttt,bdd_camas1_tttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttt,
           bdd_camas1_tttttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttttt,bdd_camas1_tttttttttttttttttttttttt,bdd_camas1_rr,bdd_camas1_ss,bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)        
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="15",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p15<-"15"
p15<-cbind(`Provincia`=p15,bdd_camas1_b,bdd_camas1_c,bdd_camas1_e,bdd_camas1_f,bdd_camas1_g,bdd_camas1_h,bdd_camas1_i,bdd_camas1_j,
           bdd_camas1_k,bdd_camas1_l,bdd_camas1_ll,bdd_camas1_m,bdd_camas1_n,bdd_camas1_o,bdd_camas1_p,bdd_camas1_pp,bdd_camas1_r,bdd_camas1_s,bdd_camas1_t,bdd_camas1_tt,bdd_camas1_ttt
           ,bdd_camas1_tttt,bdd_camas1_ttttt,bdd_camas1_tttttt,bdd_camas1_ttttttt,bdd_camas1_tttttttt,bdd_camas1_ttttttttt,bdd_camas1_tttttttttt,bdd_camas1_ttttttttttt,bdd_camas1_tttttttttttt,bdd_camas1_ttttttttttttt,bdd_camas1_tttttttttttttt
           ,bdd_camas1_ttttttttttttttt,bdd_camas1_tttttttttttttttt,bdd_camas1_ttttttttttttttttt,bdd_camas1_tttttttttttttttttt,bdd_camas1_ttttttttttttttttttt,bdd_camas1_tttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttt,
           bdd_camas1_tttttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttttt,bdd_camas1_tttttttttttttttttttttttt,bdd_camas1_rr,bdd_camas1_ss,bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)        
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="16",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p16<-"16"
p16<-cbind(`Provincia`=p16,bdd_camas1_b,bdd_camas1_c,bdd_camas1_e,bdd_camas1_f,bdd_camas1_g,bdd_camas1_h,bdd_camas1_i,bdd_camas1_j,
           bdd_camas1_k,bdd_camas1_l,bdd_camas1_ll,bdd_camas1_m,bdd_camas1_n,bdd_camas1_o,bdd_camas1_p,bdd_camas1_pp,bdd_camas1_r,bdd_camas1_s,bdd_camas1_t,bdd_camas1_tt,bdd_camas1_ttt
           ,bdd_camas1_tttt,bdd_camas1_ttttt,bdd_camas1_tttttt,bdd_camas1_ttttttt,bdd_camas1_tttttttt,bdd_camas1_ttttttttt,bdd_camas1_tttttttttt,bdd_camas1_ttttttttttt,bdd_camas1_tttttttttttt,bdd_camas1_ttttttttttttt,bdd_camas1_tttttttttttttt
           ,bdd_camas1_ttttttttttttttt,bdd_camas1_tttttttttttttttt,bdd_camas1_ttttttttttttttttt,bdd_camas1_tttttttttttttttttt,bdd_camas1_ttttttttttttttttttt,bdd_camas1_tttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttt,
           bdd_camas1_tttttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttttt,bdd_camas1_tttttttttttttttttttttttt,bdd_camas1_rr,bdd_camas1_ss,bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)        


#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="17",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p17<-"17"
p17<-cbind(`Provincia`=p17,bdd_camas1_b,bdd_camas1_c,bdd_camas1_e,bdd_camas1_f,bdd_camas1_g,bdd_camas1_h,bdd_camas1_i,bdd_camas1_j,
           bdd_camas1_k,bdd_camas1_l,bdd_camas1_ll,bdd_camas1_m,bdd_camas1_n,bdd_camas1_o,bdd_camas1_p,bdd_camas1_pp,bdd_camas1_r,bdd_camas1_s,bdd_camas1_t,bdd_camas1_tt,bdd_camas1_ttt
           ,bdd_camas1_tttt,bdd_camas1_ttttt,bdd_camas1_tttttt,bdd_camas1_ttttttt,bdd_camas1_tttttttt,bdd_camas1_ttttttttt,bdd_camas1_tttttttttt,bdd_camas1_ttttttttttt,bdd_camas1_tttttttttttt,bdd_camas1_ttttttttttttt,bdd_camas1_tttttttttttttt
           ,bdd_camas1_ttttttttttttttt,bdd_camas1_tttttttttttttttt,bdd_camas1_ttttttttttttttttt,bdd_camas1_tttttttttttttttttt,bdd_camas1_ttttttttttttttttttt,bdd_camas1_tttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttt,
           bdd_camas1_tttttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttttt,bdd_camas1_tttttttttttttttttttttttt,bdd_camas1_rr,bdd_camas1_ss,bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)

#18


bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="18",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p18<-"18"
p18<-cbind(`Provincia`=p18,bdd_camas1_b,bdd_camas1_c,bdd_camas1_e,bdd_camas1_f,bdd_camas1_g,bdd_camas1_h,bdd_camas1_i,bdd_camas1_j,
           bdd_camas1_k,bdd_camas1_l,bdd_camas1_ll,bdd_camas1_m,bdd_camas1_n,bdd_camas1_o,bdd_camas1_p,bdd_camas1_pp,bdd_camas1_r,bdd_camas1_s,bdd_camas1_t,bdd_camas1_tt,bdd_camas1_ttt
           ,bdd_camas1_tttt,bdd_camas1_ttttt,bdd_camas1_tttttt,bdd_camas1_ttttttt,bdd_camas1_tttttttt,bdd_camas1_ttttttttt,bdd_camas1_tttttttttt,bdd_camas1_ttttttttttt,bdd_camas1_tttttttttttt,bdd_camas1_ttttttttttttt,bdd_camas1_tttttttttttttt
           ,bdd_camas1_ttttttttttttttt,bdd_camas1_tttttttttttttttt,bdd_camas1_ttttttttttttttttt,bdd_camas1_tttttttttttttttttt,bdd_camas1_ttttttttttttttttttt,bdd_camas1_tttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttt,
           bdd_camas1_tttttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttttt,bdd_camas1_tttttttttttttttttttttttt,bdd_camas1_rr,bdd_camas1_ss,bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)        



#19


bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="19",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p19<-"19"
p19<-cbind(`Provincia`=p19,bdd_camas1_b,bdd_camas1_c,bdd_camas1_e,bdd_camas1_f,bdd_camas1_g,bdd_camas1_h,bdd_camas1_i,bdd_camas1_j,
           bdd_camas1_k,bdd_camas1_l,bdd_camas1_ll,bdd_camas1_m,bdd_camas1_n,bdd_camas1_o,bdd_camas1_p,bdd_camas1_pp,bdd_camas1_r,bdd_camas1_s,bdd_camas1_t,bdd_camas1_tt,bdd_camas1_ttt
           ,bdd_camas1_tttt,bdd_camas1_ttttt,bdd_camas1_tttttt,bdd_camas1_ttttttt,bdd_camas1_tttttttt,bdd_camas1_ttttttttt,bdd_camas1_tttttttttt,bdd_camas1_ttttttttttt,bdd_camas1_tttttttttttt,bdd_camas1_ttttttttttttt,bdd_camas1_tttttttttttttt
           ,bdd_camas1_ttttttttttttttt,bdd_camas1_tttttttttttttttt,bdd_camas1_ttttttttttttttttt,bdd_camas1_tttttttttttttttttt,bdd_camas1_ttttttttttttttttttt,bdd_camas1_tttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttt,
           bdd_camas1_tttttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttttt,bdd_camas1_tttttttttttttttttttttttt,bdd_camas1_rr,bdd_camas1_ss,bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)        


#20

bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="20",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p20<-"20"
p20<-cbind(`Provincia`=p20,bdd_camas1_b,bdd_camas1_c,bdd_camas1_e,bdd_camas1_f,bdd_camas1_g,bdd_camas1_h,bdd_camas1_i,bdd_camas1_j,
           bdd_camas1_k,bdd_camas1_l,bdd_camas1_ll,bdd_camas1_m,bdd_camas1_n,bdd_camas1_o,bdd_camas1_p,bdd_camas1_pp,bdd_camas1_r,bdd_camas1_s,bdd_camas1_t,bdd_camas1_tt,bdd_camas1_ttt
           ,bdd_camas1_tttt,bdd_camas1_ttttt,bdd_camas1_tttttt,bdd_camas1_ttttttt,bdd_camas1_tttttttt,bdd_camas1_ttttttttt,bdd_camas1_tttttttttt,bdd_camas1_ttttttttttt,bdd_camas1_tttttttttttt,bdd_camas1_ttttttttttttt,bdd_camas1_tttttttttttttt
           ,bdd_camas1_ttttttttttttttt,bdd_camas1_tttttttttttttttt,bdd_camas1_ttttttttttttttttt,bdd_camas1_tttttttttttttttttt,bdd_camas1_ttttttttttttttttttt,bdd_camas1_tttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttt,
           bdd_camas1_tttttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttttt,bdd_camas1_tttttttttttttttttttttttt,bdd_camas1_rr,bdd_camas1_ss,bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)        



#21

bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="21",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p21<-"21"
p21<-cbind(`Provincia`=p21,bdd_camas1_b,bdd_camas1_c,bdd_camas1_e,bdd_camas1_f,bdd_camas1_g,bdd_camas1_h,bdd_camas1_i,bdd_camas1_j,
           bdd_camas1_k,bdd_camas1_l,bdd_camas1_ll,bdd_camas1_m,bdd_camas1_n,bdd_camas1_o,bdd_camas1_p,bdd_camas1_pp,bdd_camas1_r,bdd_camas1_s,bdd_camas1_t,bdd_camas1_tt,bdd_camas1_ttt
           ,bdd_camas1_tttt,bdd_camas1_ttttt,bdd_camas1_tttttt,bdd_camas1_ttttttt,bdd_camas1_tttttttt,bdd_camas1_ttttttttt,bdd_camas1_tttttttttt,bdd_camas1_ttttttttttt,bdd_camas1_tttttttttttt,bdd_camas1_ttttttttttttt,bdd_camas1_tttttttttttttt
           ,bdd_camas1_ttttttttttttttt,bdd_camas1_tttttttttttttttt,bdd_camas1_ttttttttttttttttt,bdd_camas1_tttttttttttttttttt,bdd_camas1_ttttttttttttttttttt,bdd_camas1_tttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttt,
           bdd_camas1_tttttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttttt,bdd_camas1_tttttttttttttttttttttttt,bdd_camas1_rr,bdd_camas1_ss,bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)        



#22

bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="22",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p22<-"22"
p22<-cbind(`Provincia`=p22,bdd_camas1_b,bdd_camas1_c,bdd_camas1_e,bdd_camas1_f,bdd_camas1_g,bdd_camas1_h,bdd_camas1_i,bdd_camas1_j,
           bdd_camas1_k,bdd_camas1_l,bdd_camas1_ll,bdd_camas1_m,bdd_camas1_n,bdd_camas1_o,bdd_camas1_p,bdd_camas1_pp,bdd_camas1_r,bdd_camas1_s,bdd_camas1_t,bdd_camas1_tt,bdd_camas1_ttt
           ,bdd_camas1_tttt,bdd_camas1_ttttt,bdd_camas1_tttttt,bdd_camas1_ttttttt,bdd_camas1_tttttttt,bdd_camas1_ttttttttt,bdd_camas1_tttttttttt,bdd_camas1_ttttttttttt,bdd_camas1_tttttttttttt,bdd_camas1_ttttttttttttt,bdd_camas1_tttttttttttttt
           ,bdd_camas1_ttttttttttttttt,bdd_camas1_tttttttttttttttt,bdd_camas1_ttttttttttttttttt,bdd_camas1_tttttttttttttttttt,bdd_camas1_ttttttttttttttttttt,bdd_camas1_tttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttt,
           bdd_camas1_tttttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttttt,bdd_camas1_tttttttttttttttttttttttt,bdd_camas1_rr,bdd_camas1_ss,bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)        



#23

bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="23",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p23<-"23"
p23<-cbind(`Provincia`=p23,bdd_camas1_b,bdd_camas1_c,bdd_camas1_e,bdd_camas1_f,bdd_camas1_g,bdd_camas1_h,bdd_camas1_i,bdd_camas1_j,
           bdd_camas1_k,bdd_camas1_l,bdd_camas1_ll,bdd_camas1_m,bdd_camas1_n,bdd_camas1_o,bdd_camas1_p,bdd_camas1_pp,bdd_camas1_r,bdd_camas1_s,bdd_camas1_t,bdd_camas1_tt,bdd_camas1_ttt
           ,bdd_camas1_tttt,bdd_camas1_ttttt,bdd_camas1_tttttt,bdd_camas1_ttttttt,bdd_camas1_tttttttt,bdd_camas1_ttttttttt,bdd_camas1_tttttttttt,bdd_camas1_ttttttttttt,bdd_camas1_tttttttttttt,bdd_camas1_ttttttttttttt,bdd_camas1_tttttttttttttt
           ,bdd_camas1_ttttttttttttttt,bdd_camas1_tttttttttttttttt,bdd_camas1_ttttttttttttttttt,bdd_camas1_tttttttttttttttttt,bdd_camas1_ttttttttttttttttttt,bdd_camas1_tttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttt,
           bdd_camas1_tttttttttttttttttttttt,bdd_camas1_ttttttttttttttttttttttt,bdd_camas1_tttttttttttttttttttttttt,bdd_camas1_rr,bdd_camas1_ss,bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)        



#24
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$camas_dnor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_b<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_b<- c(bdd_camas1_b,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_b <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_b))
bdd_camas1_b <- bdd_camas1_b[!duplicated(bdd_camas1_b$V1),] 
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotmedic)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_c<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_c<- c(bdd_camas1_c,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_c <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_c))
bdd_camas1_c <- bdd_camas1_c[!duplicated(bdd_camas1_c$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotgin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_e<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_e<- c(bdd_camas1_e,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_e <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_e))
bdd_camas1_e <- bdd_camas1_e[!duplicated(bdd_camas1_e$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_f<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_f<- c(bdd_camas1_f,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_f <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_f))
bdd_camas1_f <- bdd_camas1_f[!duplicated(bdd_camas1_f$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotneon)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_g<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_g<- c(bdd_camas1_g,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_g <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_g))
bdd_camas1_g <- bdd_camas1_g[!duplicated(bdd_camas1_g$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotcardi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_h<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_h<- c(bdd_camas1_h,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_h <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_h))
bdd_camas1_h <- bdd_camas1_h[!duplicated(bdd_camas1_h$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotneumo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_i<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_i<- c(bdd_camas1_i,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_i <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_i))
bdd_camas1_i <- bdd_camas1_i[!duplicated(bdd_camas1_i$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotpsiqu)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_j<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_j<- c(bdd_camas1_j,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_j <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_j))
bdd_camas1_j <- bdd_camas1_j[!duplicated(bdd_camas1_j$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dottraum)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_k<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_k<- c(bdd_camas1_k,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_k <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_k))
bdd_camas1_k <- bdd_camas1_k[!duplicated(bdd_camas1_k$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotinfec)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_l<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_l<- c(bdd_camas1_l,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_l <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_l))
bdd_camas1_l <- bdd_camas1_l[!duplicated(bdd_camas1_l$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotofta)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ll<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ll<- c(bdd_camas1_ll,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ll <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ll))
bdd_camas1_ll <- bdd_camas1_ll[!duplicated(bdd_camas1_ll$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dototo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_m<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_m<- c(bdd_camas1_m,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_m <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_m))
bdd_camas1_m <- bdd_camas1_m[!duplicated(bdd_camas1_m$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$doturolo)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_n<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_n<- c(bdd_camas1_n,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_n <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_n))
bdd_camas1_n <- bdd_camas1_n[!duplicated(bdd_camas1_n$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotgast)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_o<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_o<- c(bdd_camas1_o,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_o <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_o))
bdd_camas1_o <- bdd_camas1_o[!duplicated(bdd_camas1_o$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotquem)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_p<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_p<- c(bdd_camas1_p,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_p <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_p))
bdd_camas1_p <- bdd_camas1_p[!duplicated(bdd_camas1_p$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotneuroci)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_pp<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_pp<- c(bdd_camas1_pp,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_pp <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_pp))
bdd_camas1_pp <- bdd_camas1_pp[!duplicated(bdd_camas1_pp$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotnefro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_r<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_r<- c(bdd_camas1_r,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_r <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_r))
bdd_camas1_r <- bdd_camas1_r[!duplicated(bdd_camas1_r$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotonco)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_s<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_s<- c(bdd_camas1_s,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_s <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_s))
bdd_camas1_s <- bdd_camas1_s[!duplicated(bdd_camas1_s$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dothema)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_t<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_t<- c(bdd_camas1_t,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_t <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_t))
bdd_camas1_t <- bdd_camas1_t[!duplicated(bdd_camas1_t$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotaler)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tt<- c(bdd_camas1_tt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tt))
bdd_camas1_tt <- bdd_camas1_tt[!duplicated(bdd_camas1_tt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotatpri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttt<- c(bdd_camas1_ttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttt))
bdd_camas1_ttt <- bdd_camas1_ttt[!duplicated(bdd_camas1_ttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotcardipe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttt<- c(bdd_camas1_tttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttt))
bdd_camas1_tttt <- bdd_camas1_tttt[!duplicated(bdd_camas1_tttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotciruca)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttt<- c(bdd_camas1_ttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttt))
bdd_camas1_ttttt <- bdd_camas1_ttttt[!duplicated(bdd_camas1_ttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotcirutor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttt<- c(bdd_camas1_tttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttt))
bdd_camas1_tttttt <- bdd_camas1_tttttt[!duplicated(bdd_camas1_tttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotciruge)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttt<- c(bdd_camas1_ttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttt))
bdd_camas1_ttttttt <- bdd_camas1_ttttttt[!duplicated(bdd_camas1_ttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotcirumafa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttt<- c(bdd_camas1_tttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttt))
bdd_camas1_tttttttt <- bdd_camas1_tttttttt[!duplicated(bdd_camas1_tttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotciruonc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttt<- c(bdd_camas1_ttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttt))
bdd_camas1_ttttttttt <- bdd_camas1_ttttttttt[!duplicated(bdd_camas1_ttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotciruped)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttt<- c(bdd_camas1_tttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttt))
bdd_camas1_tttttttttt <- bdd_camas1_tttttttttt[!duplicated(bdd_camas1_tttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotciruplas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttt<- c(bdd_camas1_ttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttt))
bdd_camas1_ttttttttttt <- bdd_camas1_ttttttttttt[!duplicated(bdd_camas1_ttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotciruvas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttt<- c(bdd_camas1_tttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttt))
bdd_camas1_tttttttttttt <- bdd_camas1_tttttttttttt[!duplicated(bdd_camas1_tttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotclido)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttt<- c(bdd_camas1_ttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttt))
bdd_camas1_ttttttttttttt <- bdd_camas1_ttttttttttttt[!duplicated(bdd_camas1_ttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotderma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttt<- c(bdd_camas1_tttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttt))
bdd_camas1_tttttttttttttt <- bdd_camas1_tttttttttttttt[!duplicated(bdd_camas1_tttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotendoc)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttt<- c(bdd_camas1_ttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttt))
bdd_camas1_ttttttttttttttt <- bdd_camas1_ttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotendod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttt<- c(bdd_camas1_tttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttt))
bdd_camas1_tttttttttttttttt <- bdd_camas1_tttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotgen)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttt))
bdd_camas1_ttttttttttttttttt <- bdd_camas1_ttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotgeri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttt<- c(bdd_camas1_tttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_tttttttttttttttttt))
bdd_camas1_tttttttttttttttttt <- bdd_camas1_tttttttttttttttttt[!duplicated(bdd_camas1_tttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotgero)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttt<- c(bdd_camas1_ttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_ttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttt <- bdd_camas1_ttttttttttttttttttt[!duplicated(bdd_camas1_ttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotmedial)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotmedifa)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotmedifi)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotneurocli)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ttttttttttttttttttttttt<- c( bdd_camas1_ttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ttttttttttttttttttttttt))
bdd_camas1_ttttttttttttttttttttttt <-  bdd_camas1_ttttttttttttttttttttttt[!duplicated( bdd_camas1_ttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotneurops)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_tttttttttttttttttttttttt<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_tttttttttttttttttttttttt<- c( bdd_camas1_tttttttttttttttttttttttt,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_tttttttttttttttttttttttt <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_tttttttttttttttttttttttt))
bdd_camas1_tttttttttttttttttttttttt <-  bdd_camas1_tttttttttttttttttttttttt[!duplicated( bdd_camas1_tttttttttttttttttttttttt$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotneuro)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_rr<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_rr<- c(bdd_camas1_rr,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_rr <- data.frame(cbind(bdd_camas1_a$V2,bdd_camas1_rr))
bdd_camas1_rr <- bdd_camas1_rr[!duplicated(bdd_camas1_rr$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotodonpe)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ss<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ss<- c( bdd_camas1_ss,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ss <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ss))
bdd_camas1_ss <-  bdd_camas1_ss[!duplicated( bdd_camas1_ss$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotortod)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_u<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_u<- c( bdd_camas1_u,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_u <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_u))
bdd_camas1_u <-  bdd_camas1_u[!duplicated( bdd_camas1_u$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotperio)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_v<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_v<- c( bdd_camas1_v,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_v <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_v))
bdd_camas1_v <-  bdd_camas1_v[!duplicated( bdd_camas1_v$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotprocto)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_w<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_w<- c( bdd_camas1_w,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_w <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_w))
bdd_camas1_w <-  bdd_camas1_w[!duplicated( bdd_camas1_w$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotrehaor)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_x<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_x<- c( bdd_camas1_x,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_x <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_x))
bdd_camas1_x <-  bdd_camas1_x[!duplicated( bdd_camas1_x$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotreuma)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_y<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_y<- c( bdd_camas1_y,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_y <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_y))
bdd_camas1_y <-  bdd_camas1_y[!duplicated( bdd_camas1_y$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotobste)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_z<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_z<- c( bdd_camas1_z,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_z <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_z))
bdd_camas1_z <-  bdd_camas1_z[!duplicated( bdd_camas1_z$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotcirucard)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zz<- c( bdd_camas1_zz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zz))
bdd_camas1_zz <-  bdd_camas1_zz[!duplicated( bdd_camas1_zz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dototrse)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzz<- c( bdd_camas1_zzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzz))
bdd_camas1_zzz <-  bdd_camas1_zzz[!duplicated( bdd_camas1_zzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotserin)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_zzzz<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_zzzz<- c( bdd_camas1_zzzz,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_zzzz <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_zzzz))
bdd_camas1_zzzz <-  bdd_camas1_zzzz[!duplicated( bdd_camas1_zzzz$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotemerg)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_aa<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_aa<- c( bdd_camas1_aa,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_aa <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_aa))
bdd_camas1_aa <-  bdd_camas1_aa[!duplicated( bdd_camas1_aa$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotcbas)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_bb<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_bb<- c( bdd_camas1_bb,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_bb <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_bb))
bdd_camas1_bb <-  bdd_camas1_bb[!duplicated( bdd_camas1_bb$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotcinteradult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_cc<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_cc<- c( bdd_camas1_cc,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_cc <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_cc))
bdd_camas1_cc <-  bdd_camas1_cc[!duplicated( bdd_camas1_cc$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotcinterpediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_dd<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_dd<- c( bdd_camas1_dd,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_dd <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_dd))
bdd_camas1_dd <-  bdd_camas1_dd[!duplicated( bdd_camas1_dd$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotcinterneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ee<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ee<- c( bdd_camas1_ee,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ee <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ee))
bdd_camas1_ee <-  bdd_camas1_ee[!duplicated( bdd_camas1_ee$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotcinteadult)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ff<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ff<- c( bdd_camas1_ff,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ff <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ff))
bdd_camas1_ff <-  bdd_camas1_ff[!duplicated( bdd_camas1_ff$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotcintepediatri)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_gg<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_gg<- c( bdd_camas1_gg,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_gg <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_gg))
bdd_camas1_gg <-  bdd_camas1_gg[!duplicated( bdd_camas1_gg$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotcinteneonat)) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_hh<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_hh<- c( bdd_camas1_hh,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_hh <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_hh))
bdd_camas1_hh <-  bdd_camas1_hh[!duplicated( bdd_camas1_hh$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dotcrecup )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_ii<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_ii<- c( bdd_camas1_ii,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_ii <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_ii))
bdd_camas1_ii <-  bdd_camas1_ii[!duplicated( bdd_camas1_ii$V1),] %>% select (-V1)
#
bdd_camas1_a<-data.table(table(bdd_camas$prov_ubi=="24",bdd_camas$entidad,bdd_camas$dototrapo )) %>%
  mutate(N=ifelse(V1==T,N,0)) %>% 
  mutate(V2=as.numeric(V2),V3=as.numeric(V3),n=V3*N)  
bdd_camas1_jj<- numeric()
for(i in bdd_camas1_a$V2) {
  bdd_camas1_jj<- c( bdd_camas1_jj,sum(bdd_camas1_a$n[which(bdd_camas1_a$V2==i)]))  
}
bdd_camas1_jj <- data.frame(cbind(bdd_camas1_a$V2, bdd_camas1_jj))
bdd_camas1_jj <-  bdd_camas1_jj[!duplicated( bdd_camas1_jj$V1),] %>% select (-V1)
p24<-"24"
p24<-cbind(`Provincia`=p24,`Total Camas Dotacion Normal`=bdd_camas1_b,`Medicina interna`=bdd_camas1_c,`Ginecología`= bdd_camas1_e,`Pediatría`= bdd_camas1_f,`Neonatología`=bdd_camas1_g,`Cardiología`=bdd_camas1_h,`Neumología`=bdd_camas1_i,`Psiquiatría`=bdd_camas1_j,
           `Traumatología`=bdd_camas1_k,`Infectología`=bdd_camas1_l,`Oftalmología`= bdd_camas1_ll,`Otorrinolaringología`= bdd_camas1_m,`Urología`=bdd_camas1_n,`Gastroenterología`=bdd_camas1_o,`Unidad de quemados`=bdd_camas1_p,`Neurocirugía`=bdd_camas1_pp,`Nefrología`= bdd_camas1_r,`Oncología`=bdd_camas1_s,`Hematología`=bdd_camas1_t,`Alergología`=bdd_camas1_tt,`Atención Primaria de la Salud`= bdd_camas1_ttt
           ,`Cardiopediatría`= bdd_camas1_tttt,`Cirugía Cardiaca`=bdd_camas1_ttttt,`Cirugía Toráxica`=bdd_camas1_tttttt,`Cirugía General`=bdd_camas1_ttttttt,`Cirugía Máxilo Facial`= bdd_camas1_tttttttt,`Cirugía Oncológica`=bdd_camas1_ttttttttt,`Cirugía Pediátrica`=bdd_camas1_tttttttttt,`Cirugía Plástica`= bdd_camas1_ttttttttttt,`Cirugía Vascular`=bdd_camas1_tttttttttttt,`Clínica del Dolor`= bdd_camas1_ttttttttttttt,`Dermatología`= bdd_camas1_tttttttttttttt
           ,`Endocrinología`=bdd_camas1_ttttttttttttttt,`Endodoncia`= bdd_camas1_tttttttttttttttt,`Genética`=bdd_camas1_ttttttttttttttttt,`Geriatría`= bdd_camas1_tttttttttttttttttt,`Gerontología`=bdd_camas1_ttttttttttttttttttt,`Medicina Alternativa`=bdd_camas1_tttttttttttttttttttt,`Medicina Familiar`=bdd_camas1_ttttttttttttttttttttt,
          `Medicina Física y Rehabilitación`=bdd_camas1_tttttttttttttttttttttt,`Neurología Clínica`=bdd_camas1_ttttttttttttttttttttttt,
                    `Neuro Psicología`=bdd_camas1_tttttttttttttttttttttttt, `Neurología`=bdd_camas1_rr,`Odonto Pediatría`=bdd_camas1_ss,`Onco Hematología`= bdd_camas1_u,bdd_camas1_v,bdd_camas1_w,bdd_camas1_x,bdd_camas1_y,bdd_camas1_z
           ,bdd_camas1_zz,bdd_camas1_zzz,bdd_camas1_zzzz,bdd_camas1_aa,bdd_camas1_bb,bdd_camas1_cc,bdd_camas1_dd,bdd_camas1_ee,bdd_camas1_ff,bdd_camas1_gg,bdd_camas1_hh,bdd_camas1_ii,bdd_camas1_jj)
t3.1.7<-rbind(p01,p02,p03,p04,p05,p06,p07,p08,p09,p10,p11,p12,p13,p14,p15,p16,p17,p18,p19,p20,p21,p22,p23,p24)
t3.1.7$`Provincia`<-factor(t3.1.7$`Provincia`,levels=c("01","02","03","04","05","06","07","08","09","10",
                                                       "11","12","13","14","15","16","17","18","19","20",
                                                       "21","22","23","24"),
                           labels=c("AZUAY","BOLIVAR","CAÑAR","CARCHI","COTOPAXI","CHIMBORAZO","EL ORO",
                                    "ESMERALDAS","GUAYAS","IMBABURA","LOJA ","LOS RIOS","MANABI","MORONA SANTIAGO",
                                    "NAPO","PASTAZA","PICHINCHA","TUNGURAHUA","ZAMORA CHINCHIPE","GALAPAGOS","SUCUMBIOS",
                                    "ORELLANA","SANTO DOMINGO DE LOS TSACHILAS","SANTA ELENA"),
                           ordered = T)
t3.1.7$V1<-factor(t3.1.7$V1,
                  levels=c(1,3,6,9,11,13,15,16,17,18),
                  labels= c("Ministerio de Salud Pública"
                            ,"Ministerio de Defensa Nacional"
                            ,"Instituto Ecuatoriano de Seguridad Social"
                            ,"Otros públicos"
                            ,"Municipios"
                            ,"Junta Beneficencia de Guayaquil"
                            ,"Sociedad de Lucha Contra el Cancer"
                            ,"Fiscomisionales"
                            ,"Privados sin fines de lucro"
                            ,"Privados con fines de lucro"
                  ),ordered = T)
t3.1.7
#3.1.8 Egresos hospitalarios por condición al egreso, días y promedio de estada Tasas de mortalidad hospitalaria, según clase y entidad año 2022.----
#Total.
bdd_eh$entidad<-factor(bdd_eh$entidad,
                       levels=c(1,3,6,9,11,13,15,16,17,18),
                       labels= c("Ministerio de Salud Pública"
                                 ,"Ministerio de Defensa Nacional"
                                 ,"Instituto Ecuatoriano de Seguridad Social"
                                 ,"Otros públicos"
                                 ,"Municipios"
                                 ,"Junta Beneficencia de Guayaquil"
                                 ,"Sociedad de Lucha Contra el Cancer"
                                 ,"Fiscomisionales"
                                 ,"Privados sin fines de lucro"
                                 ,"Privados con fines de lucro"
                       ),ordered = T)
bdd_eh<-bdd_eh %>% 
  mutate(especialidades_c=ifelse(clase==11,1,0),
         especializado_c=ifelse(clase == 3 | clase == 4  | clase == 5  | clase == 6  | clase == 7  | clase == 8  | clase == 9  | clase == 10,1,0),
         Hospital_general_c=ifelse(clase ==2 ,1,0),
         Hospital_basico_c=ifelse((clase == 1 | clase==32) ,1,0),
         Clinica_especializada_c=ifelse((clase == 13 | clase == 14 | clase == 15 | clase == 16 | clase == 17),1,0),
         Clinica_general_c=ifelse(clase == 12,1,0))


bdd_eh<-bdd_eh %>% 
  mutate(dia_estad_vivos=ifelse(con_egrpa==1,dia_estad,0),
         dia_estad_muertos=ifelse(con_egrpa>=2,dia_estad,0))
bdd_eh<-bdd_eh %>% 
  mutate(tasa_m1= ifelse(con_egrpa==3 ,1,0)) %>% 
  mutate(tasa_m1=ifelse(tasa_m1==1 ,(tasa_m1*1000),0)) %>% 
  mutate(tasa_m2= ifelse(con_egrpa==2|con_egrpa==3 ,1,0)) %>%
  mutate(tasa_m2=ifelse(tasa_m2==1 ,(tasa_m2*1000),0))

#especialidades.
bdd_eh_especilidades<-bdd_eh %>% filter(especialidades_c==1)
t3.1.8_especialidades<-tabular((`especialidades`=n=1)+(entidad) ~ (`Egresos Hospitalarios`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Vivos`= con_egrpa==1)+(dia_estad_vivos)*(sum)+(dia_estad_vivos)*(mean)
                               +(`muertos`= con_egrpa>1)+(`muertos menos de 48 horas`= con_egrpa==2)+(`muertos màs de 48 horas`= con_egrpa==3)+(dia_estad_muertos)*(sum)+(dia_estad_muertos)*(mean)
                               +(`Tasa neta mortalidad hospitalaria por 1.000 egresos 1/`=tasa_m1)*(mean)+(`Tasa bruta mortalidad hospitalaria por 1.000 egresos 2/`=tasa_m2)*(mean)
                               ,data = bdd_eh_especilidades)
t3.1.8_especialidades
#especializado.
bdd_eh_especializado<-bdd_eh %>% filter(especializado_c==1)
t3.1.8_especializado<-tabular((`especializado`=n=1)+(entidad) ~ (`Egresos Hospitalarios`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Vivos`= con_egrpa==1)+(dia_estad_vivos)*(sum)+(dia_estad_vivos)*(mean)
                              +(`muertos`= con_egrpa>1)+(`muertos menos de 48 horas`= con_egrpa==2)+(`muertos màs de 48 horas`= con_egrpa==3)+(dia_estad_muertos)*(sum)+(dia_estad_muertos)*(mean)
                              +(`Tasa neta mortalidad hospitalaria por 1.000 egresos 1/`=tasa_m1)*(mean)+(`Tasa bruta mortalidad hospitalaria por 1.000 egresos 2/`=tasa_m2)*(mean)
                              ,data = bdd_eh_especializado)
t3.1.8_especializado
#Hospital_general.
bdd_eh_Hospital_general<-bdd_eh %>% filter(Hospital_general_c==1)
t3.1.8_Hospital_general<-tabular((`Hospital_general`=n=1)+(entidad) ~ (`Egresos Hospitalarios`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Vivos`= con_egrpa==1)+(dia_estad_vivos)*(sum)+(dia_estad_vivos)*(mean)
                                 +(`muertos`= con_egrpa>1)+(`muertos menos de 48 horas`= con_egrpa==2)+(`muertos màs de 48 horas`= con_egrpa==3)+(dia_estad_muertos)*(sum)+(dia_estad_muertos)*(mean)
                                 +(`Tasa neta mortalidad hospitalaria por 1.000 egresos 1/`=tasa_m1)*(mean)+(`Tasa bruta mortalidad hospitalaria por 1.000 egresos 2/`=tasa_m2)*(mean)
                                 ,data = bdd_eh_Hospital_general)
t3.1.8_Hospital_general
#Hospital_basico.
bdd_eh_Hospital_basico<-bdd_eh %>% filter(Hospital_basico_c==1)
t3.1.8_Hospital_basico<-tabular((`Hospital_basico`=n=1)+(entidad) ~ (`Egresos Hospitalarios`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Vivos`= con_egrpa==1)+(dia_estad_vivos)*(sum)+(dia_estad_vivos)*(mean)
                                +(`muertos`= con_egrpa>1)+(`muertos menos de 48 horas`= con_egrpa==2)+(`muertos màs de 48 horas`= con_egrpa==3)+(dia_estad_muertos)*(sum)+(dia_estad_muertos)*(mean)
                                +(`Tasa neta mortalidad hospitalaria por 1.000 egresos 1/`=tasa_m1)*(mean)+(`Tasa bruta mortalidad hospitalaria por 1.000 egresos 2/`=tasa_m2)*(mean)
                                ,data = bdd_eh_Hospital_basico)
t3.1.8_Hospital_basico
#Clinica_general.
bdd_eh_Clinica_general<-bdd_eh %>% filter(Clinica_general_c==1)
t3.1.8_Clinica_general<-tabular((`Clinica_general`=n=1)+(entidad) ~ (`Egresos Hospitalarios`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Vivos`= con_egrpa==1)+(dia_estad_vivos)*(sum)+(dia_estad_vivos)*(mean)
                                +(`muertos`= con_egrpa>1)+(`muertos menos de 48 horas`= con_egrpa==2)+(`muertos màs de 48 horas`= con_egrpa==3)+(dia_estad_muertos)*(sum)+(dia_estad_muertos)*(mean)
                                +(`Tasa neta mortalidad hospitalaria por 1.000 egresos 1/`=tasa_m1)*(mean)+(`Tasa bruta mortalidad hospitalaria por 1.000 egresos 2/`=tasa_m2)*(mean)
                                ,data = bdd_eh_Clinica_general)
t3.1.8_Clinica_general
#Clinica_especializada.
bdd_eh_Clinica_especializada<-bdd_eh %>% filter(Clinica_especializada_c==1)
t3.1.8_Clinica_especializada<-tabular((`Clinica_especializada`=n=1)+(entidad) ~ (`Egresos Hospitalarios`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Vivos`= con_egrpa==1)+(dia_estad_vivos)*(sum)+(dia_estad_vivos)*(mean)
                                      +(`muertos`= con_egrpa>1)+(`muertos menos de 48 horas`= con_egrpa==2)+(`muertos màs de 48 horas`= con_egrpa==3)+(dia_estad_muertos)*(sum)+(dia_estad_muertos)*(mean)
                                      +(`Tasa neta mortalidad hospitalaria por 1.000 egresos 1/`=tasa_m1)*(mean)+(`Tasa bruta mortalidad hospitalaria por 1.000 egresos 2/`=tasa_m2)*(mean)
                                      ,data = bdd_eh_Clinica_especializada)
t3.1.8_Clinica_especializada

#3.1.9 Egresos hospitalarios por condición al egreso y sexo, tasa de letalidad hospitalaria, según grupos de causa de morbilidad Lista de Agrupamiento de 298 causas - Cie - 10 año 2022.----
bdd_eh<-bdd_eh %>% 
  mutate(sexo_vivos=ifelse(con_egrpa==1,sexo,0),
         sexo_muertos=ifelse(con_egrpa>=2,sexo,0),
         cau298rx=as.factor(cau298rx),
         ) %>% 
  mutate(tasa_l1= ifelse(con_egrpa==2|con_egrpa==3 ,1,0)) %>%
  mutate(tasa_l1=ifelse(tasa_l1==1 ,(tasa_l1*100),0))

t3.1.9<-tabular((`Nacional`=n=1)+(`Causas de morbilidad`=cau298rx) ~ (`Total de Egresos`= con_egrpa>=1)+(`Hombres`=sexo==1)+(`Mujeres`=sexo==2)+(`Vivos`= con_egrpa==1)+(`Hombres vivos`= sexo_vivos==1)+(`Mujeres vivas`= sexo_vivos==2)
                +(`Muertos`= con_egrpa>=2)+(`Hombres muertos`= sexo_muertos==1)+(`Mujeres muertas`= sexo_muertos==2)+(`Tasa de letalidad hospitalaria por 100 egresos 1/`=tasa_l1 )*(mean), data= bdd_eh)
t3.1.9
#3.1.10 Egresos hospitalarios por provincia de residencia habitual, según grupos de causa de morbilidad Lista de Agrupamiento de 298 causas - CIE - 10 año 2022.----
bdd_eh$prov_res<-factor(bdd_eh$prov_res,levels=c("01","02","03","04","05","06","07","08","09","10",
                                                 "11","12","13","14","15","16","17","18","19","20",
                                                 "21","22","23","24"),
                        labels=c("AZUAY","BOLIVAR","CAÑAR","CARCHI","COTOPAXI","CHIMBORAZO","EL ORO",
                                 "ESMERALDAS","GUAYAS","IMBABURA","LOJA ","LOS RIOS","MANABI","MORONA SANTIAGO",
                                 "NAPO","PASTAZA","PICHINCHA","TUNGURAHUA","ZAMORA CHINCHIPE","GALAPAGOS","SUCUMBIOS",
                                 "ORELLANA","SANTO DOMINGO DE LOS TSACHILAS","SANTA ELENA"),
                        ordered = T)
t3.1.10<-tabular((`Nacional`=n=1)+(`Causas de morbilidad`=cau298rx) ~ (`Total de Egresos`= con_egrpa>=1)+(`Provincia`=prov_res),data = bdd_eh)
t3.1.10
#3.1.11 Egresos hospitalarios, días y promedio de estada, por grupos de edad, según causa de morbilidad Lista Internacional Detallada CIE - 10 año 2022.----
bdd_eh<-bdd_eh %>% 
  mutate(Grupo_edad=ifelse(cod_edad<=3,1,0)) %>%
  mutate(Grupo_edad=ifelse(cod_edad==4 & (edad>=1 & edad<=4) , 2,Grupo_edad))%>% 
  mutate(Grupo_edad=ifelse(cod_edad==4 & (edad>=5 & edad<=9),3 ,Grupo_edad))%>% 
  mutate(Grupo_edad=ifelse(cod_edad==4 & (edad>=10 & edad<=14),4 ,Grupo_edad))%>% 
  mutate(Grupo_edad=ifelse(cod_edad==4 & (edad>=15 & edad<=19),5 ,Grupo_edad))%>% 
  mutate(Grupo_edad=ifelse(cod_edad==4 & (edad>=20 & edad<=24),6 ,Grupo_edad))%>% 
  mutate(Grupo_edad=ifelse(cod_edad==4 & (edad>=25 & edad<=29),7 ,Grupo_edad))%>% 
  mutate(Grupo_edad=ifelse(cod_edad==4 & (edad>=30 & edad<=34),8 ,Grupo_edad))%>% 
  mutate(Grupo_edad=ifelse(cod_edad==4 & (edad>=35 & edad<=39),9 ,Grupo_edad))%>% 
  mutate(Grupo_edad=ifelse(cod_edad==4 & (edad>=40 & edad<=44),10 ,Grupo_edad))%>% 
  mutate(Grupo_edad=ifelse(cod_edad==4 & (edad>=45 & edad<=49),11 ,Grupo_edad))%>% 
  mutate(Grupo_edad=ifelse(cod_edad==4 & (edad>=50 & edad<=54),12 ,Grupo_edad))%>% 
  mutate(Grupo_edad=ifelse(cod_edad==4 & (edad>=55 & edad<=59),13 ,Grupo_edad))%>% 
  mutate(Grupo_edad=ifelse(cod_edad==4 & (edad>=60 & edad<=64),14 ,Grupo_edad))%>% 
  mutate(Grupo_edad=ifelse(cod_edad==4 & (edad>=65),15,Grupo_edad)) 
  
bdd_eh$Grupo_edad<-factor(bdd_eh$Grupo_edad,ordered = T, levels=c(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15),labels = c ("Menos de 1 año", 	
                                                                                                                   "1-4 años", 	
                                                                                                                   "5-9 años", 	
                                                                                                                   "10-14 años", 	
                                                                                                                   "15-19 años", 	
                                                                                                                   "20-24 años", 	
                                                                                                                   "25-29 años", 	
                                                                                                                   "30-34 años", 	
                                                                                                                   "35-39 años", 	
                                                                                                                   "40-44 años", 	
                                                                                                                   "45-49 años", 	
                                                                                                                   "50-54 años", 	
                                                                                                                   "55-59 años", 	
                                                                                                                   "60-64 años", 	
                                                                                                                   "65 y más años"))
cap1<-c("A00" ,"A01" ,"A02" ,"A03" ,"A04" ,"A05" ,"A06" ,"A07" ,"A08" ,"A09" ,"A15" ,"A16" ,"A17" ,"A18" ,"A19" ,"A20" ,"A21" ,"A22" ,"A23" ,"A24" ,"A25" ,"A26" ,"A27" ,"A28" ,"A30" ,"A31" ,"A32" ,"A33" ,"A34" ,"A35" ,"A36" ,"A37" ,"A38" ,"A39" ,"A40" ,"A41" ,"A42" ,"A43" ,"A44" ,"A46" ,"A48" ,"A49" ,"A50" ,"A51" ,"A52" ,"A53" ,"A54" ,"A55" ,"A56" ,"A57" ,"A58" ,"A59" ,"A60" ,"A63" ,"A64" ,"A65" ,"A66" ,"A67" ,"A68" ,"A69" ,"A70" ,"A71" ,"A74" ,"A75" ,"A77" ,"A78" ,"A79" ,"A80" ,"A81" ,"A82" ,"A83" ,"A84" ,"A85" ,"A86" ,"A87" ,"A88" ,"A89" ,"A92" ,"A93" ,"A94" ,"A95" ,"A96" ,"A97" ,"A98" ,"A99" ,"B00" ,"B01" ,"B02" ,"B03" ,"B04" ,"B05" ,"B06" ,"B07" ,"B08" ,"B09" ,"B15" ,"B16" ,"B17" ,"B18" ,"B19" ,"B20" ,"B21" ,"B22" ,"B23" ,"B24" ,"B25" ,"B26" ,"B27" ,"B30" ,"B33" ,"B34" ,"B35" ,"B36" ,"B37" ,"B38" ,"B39" ,"B40" ,"B41" ,"B42" ,"B43" ,"B44" ,"B45" ,"B46" ,"B47" ,"B48" ,"B49" ,"B50" ,"B51" ,"B52" ,"B53" ,"B54" ,"B55" ,"B56" ,"B57" ,"B58" ,"B59" ,"B60" ,"B64" ,"B65" ,"B66" ,"B67" ,"B68" ,"B69" ,"B70" ,"B71" ,"B72" ,"B73" ,"B74" ,"B75" ,"B76" ,"B77" ,"B78" ,"B79" ,"B80" ,"B81" ,"B82" ,"B83" ,"B85" ,"B86" ,"B87" ,"B88" ,"B89" ,"B90" ,"B91" ,"B92" ,"B94" ,"B95" ,"B96" ,"B97" ,"B99")
bdd_eh$cap1<-ifelse(causa3 %in% cap1,causa3,0)
bdd_eh$cap1<-as.factor(bdd_eh$cap1)
cap2<-c("C00"	,"C01"	,"C02"	,"C03"	,"C04"	,"C05"	,"C06"	,"C07"	,"C08"	,"C09"	,"C10"	,"C11"	,"C12"	,"C13"	,"C14"	,"C15"	,"C16"	,"C17"	,"C18"	,"C19"	,"C20"	,"C21"	,"C22"	,"C23"	,"C24"	,"C25"	,"C26"	,"C30"	,"C31"	,"C32"	,"C33"	,"C34"	,"C37"	,"C38"	,"C39"	,"C40"	,"C41"	,"C43"	,"C44"	,"C45"	,"C46"	,"C47"	,"C48"	,"C49"	,"C50"	,"C51"	,"C52"	,"C53"	,"C54"	,"C55"	,"C56"	,"C57"	,"C58"	,"C60"	,"C61"	,"C62"	,"C63"	,"C64"	,"C65"	,"C66"	,"C67"	,"C68"	,"C69"	,"C70"	,"C71"	,"C72"	,"C73"	,"C74"	,"C75"	,"C76"	,"C77"	,"C78"	,"C79"	,"C80"	,"C81"	,"C82"	,"C83"	,"C84"	,"C85"	,"C86"	,"C88"	,"C90"	,"C91"	,"C92"	,"C93"	,"C94"	,"C95"	,"C96"	,"C97"	,"D00"	,"D01"	,"D02"	,"D03"	,"D04"	,"D05"	,"D06"	,"D07"	,"D09"	,"D10"	,"D11"	,"D12"	,"D13"	,"D14"	,"D15"	,"D16"	,"D17"	,"D18"	,"D19"	,"D20"	,"D21"	,"D22"	,"D23"	,"D24"	,"D25"	,"D26"	,"D27"	,"D28"	,"D29"	,"D30"	,"D31"	,"D32"	,"D33"	,"D34"	,"D35"	,"D36"	,"D37"	,"D38"	,"D39"	,"D40"	,"D41"	,"D42"	,"D43"	,"D44"	,"D45"	,"D46"	,"D47"	,"D48")
bdd_eh$cap2<-ifelse(causa3 %in% cap2,causa3,0)
bdd_eh$cap2<-as.factor(bdd_eh$cap2)
cap3<-c("D50"	,"D51"	,"D52"	,"D53"	,"D55"	,"D56"	,"D57"	,"D58"	,"D59"	,"D60"	,"D61"	,"D62"	,"D63"	,"D64"	,"D65"	,"D66"	,"D67"	,"D68"	,"D69"	,"D70"	,"D71"	,"D72"	,"D73"	,"D74"	,"D75"	,"D76"	,"D77"	,"D80"	,"D81"	,"D82"	,"D83"	,"D84"	,"D86"	,"D89")
bdd_eh$cap3<-ifelse(causa3 %in% cap3,causa3,0)
bdd_eh$cap3<-as.factor(bdd_eh$cap3)
cap4<-c("E00"	,"E01"	,"E02"	,"E03"	,"E04"	,"E05"	,"E06"	,"E07"	,"E10"	,"E11"	,"E12"	,"E13"	,"E14"	,"E15"	,"E16"	,"E20"	,"E21"	,"E22"	,"E23"	,"E24"	,"E25"	,"E26"	,"E27"	,"E28"	,"E29"	,"E30"	,"E31"	,"E32"	,"E34"	,"E35"	,"E40"	,"E41"	,"E42"	,"E43"	,"E44"	,"E45"	,"E46"	,"E50"	,"E51"	,"E52"	,"E53"	,"E54"	,"E55"	,"E56"	,"E58"	,"E59"	,"E60"	,"E61"	,"E63"	,"E64"	,"E65"	,"E66"	,"E67"	,"E68"	,"E70"	,"E71"	,"E72"	,"E73"	,"E74"	,"E75"	,"E76"	,"E77"	,"E78"	,"E79"	,"E80"	,"E83"	,"E84"	,"E85"	,"E86"	,"E87"	,"E88"	,"E89"	,"E90")
bdd_eh$cap4<-ifelse(causa3 %in% cap4,causa3,0)
bdd_eh$cap4<-as.factor(bdd_eh$cap4)
cap5<-c("F00"	,"F01"	,"F02"	,"F03"	,"F04"	,"F05"	,"F06"	,"F07"	,"F09"	,"F10"	,"F11"	,"F12"	,"F13"	,"F14"	,"F15"	,"F16"	,"F17"	,"F18"	,"F19"	,"F20"	,"F21"	,"F22"	,"F23"	,"F24"	,"F25"	,"F28"	,"F29"	,"F30"	,"F31"	,"F32"	,"F33"	,"F34"	,"F38"	,"F39"	,"F40"	,"F41"	,"F42"	,"F43"	,"F44"	,"F45"	,"F48"	,"F50"	,"F51"	,"F52"	,"F53"	,"F54"	,"F55"	,"F59"	,"F60"	,"F61"	,"F62"	,"F63"	,"F64"	,"F65"	,"F66"	,"F68"	,"F69"	,"F70"	,"F71"	,"F72"	,"F73"	,"F78"	,"F79"	,"F80"	,"F81"	,"F82"	,"F83"	,"F84"	,"F88"	,"F89"	,"F90"	,"F91"	,"F92"	,"F93"	,"F94"	,"F95"	,"F98"	,"F99")
bdd_eh$cap5<-ifelse(causa3 %in% cap5,causa3,0)
bdd_eh$cap5<-as.factor(bdd_eh$cap5)
cap6<-c("G00","G01"	,"G02"	,"G03"	,"G04"	,"G05"	,"G06"	,"G07"	,"G08"	,"G09"	,"G10"	,"G11"	,"G12"	,"G13"	,"G20"	,"G21"	,"G22"	,"G23"	,"G24"	,"G25"	,"G26"	,"G30"	,"G31"	,"G32"	,"G35"	,"G36"	,"G37"	,"G40"	,"G41"	,"G43"	,"G44"	,"G45"	,"G46"	,"G47"	,"G50"	,"G51"	,"G52"	,"G53"	,"G54"	,"G55"	,"G56"	,"G57"	,"G58"	,"G59"	,"G60"	,"G61"	,"G62"	,"G63"	,"G64"	,"G70"	,"G71"	,"G72"	,"G73"	,"G80"	,"G81"	,"G82"	,"G83"	,"G90"	,"G91"	,"G92"	,"G93"	,"G94"	,"G95"	,"G96"	,"G97"	,"G98"	,"G99")
bdd_eh$cap6<-ifelse(causa3 %in% cap6,causa3,0)
bdd_eh$cap6<-as.factor(bdd_eh$cap6)
cap7<-c("H00","H01"	,"H02"	,"H03"	,"H04"	,"H05"	,"H06"	,"H10"	,"H11"	,"H13"	,"H15"	,"H16"	,"H17"	,"H18"	,"H19"	,"H20"	,"H21"	,"H22"	,"H25"	,"H26"	,"H27"	,"H28"	,"H30"	,"H31"	,"H33"	,"H34"	,"H35"	,"H36"	,"H40"	,"H42"	,"H43"	,"H44"	,"H45"	,"H46"	,"H47"	,"H48"	,"H49"	,"H50"	,"H51"	,"H52"	,"H53"	,"H54"	,"H55"	,"H57"	,"H58"	,"H59")
bdd_eh$cap7<-ifelse(causa3 %in% cap7,causa3,0)
bdd_eh$cap7<-as.factor(bdd_eh$cap7)
cap8<-c("H60","H61"	,"H62"	,"H65"	,"H66"	,"H68"	,"H67"	,"H69"	,"H70"	,"H71"	,"H72"	,"H73"	,"H74"	,"H75"	,"H80"	,"H81"	,"H82"	,"H83"	,"H90"	,"H91"	,"H92"	,"H93"	,"H94"	,"H95")
bdd_eh$cap8<-ifelse(causa3 %in% cap8,causa3,0)
bdd_eh$cap8<-as.factor(bdd_eh$cap8)
cap9<-c("I00"	,"I01"	,"I02"	,"I05"	,"I06"	,"I07"	,"I08"	,"I09"	,"I10"	,"I11"	,"I12"	,"I13"	,"I15"	,"I20"	,"I21"	,"I22"	,"I23"	,"I24"	,"I25"	,"I26"	,"I27"	,"I28"	,"I30"	,"I31"	,"I32"	,"I33"	,"I34"	,"I35"	,"I36"	,"I37"	,"I38"	,"I39"	,"I40"	,"I42"	,"I43"	,"I44"	,"I45"	,"I46"	,"I47"	,"I48"	,"I49"	,"I50"	,"I51"	,"I52"	,"I60"	,"I61"	,"I62"	,"I63"	,"I64"	,"I65"	,"I66"	,"I67"	,"I68"	,"I69"	,"I70"	,"I71"	,"I72"	,"I73"	,"I74"	,"I77"	,"I78"	,"I79"	,"I80"	,"I81"	,"I82"	,"I83"	,"I84"	,"I85"	,"I86"	,"I87"	,"I88"	,"I89"	,"I95"	,"I97"	,"I98"	,"I99")
bdd_eh$cap9<-ifelse(causa3 %in% cap9,causa3,0)
bdd_eh$cap9<-as.factor(bdd_eh$cap9)
cap10<-c("J00","J01"	,"J02"	,"J03"	,"J04"	,"J05"	,"J06"	,"J09"	,"J10"	,"J11"	,"J12"	,"J13"	,"J14"	,"J15"	,"J16"	,"J17"	,"J18"	,"J20"	,"J21"	,"J22"	,"J30"	,"J31"	,"J32"	,"J33"	,"J34"	,"J35"	,"J36"	,"J37"	,"J38"	,"J39"	,"J40"	,"J41"	,"J42"	,"J43"	,"J44"	,"J45"	,"J46"	,"J47"	,"J60"	,"J61"	,"J62"	,"J63"	,"J64"	,"J65"	,"J66"	,"J67"	,"J68"	,"J69"	,"J70"	,"J80"	,"J81"	,"J82"	,"J84"	,"J85"	,"J86"	,"J90"	,"J91"	,"J92"	,"J93"	,"J94"	,"J95"	,"J96"	,"J98"	,"J99")
bdd_eh$cap10<-ifelse(causa3 %in% cap10,causa3,0)
bdd_eh$cap10<-as.factor(bdd_eh$cap10)
cap11<-c("K00","K01"	,"K02"	,"K03"	,"K04"	,"K05"	,"K06"	,"K07"	,"K08"	,"K09"	,"K10"	,"K11"	,"K12"	,"K13"	,"K14"	,"K20"	,"K21"	,"K22"	,"K23"	,"K25"	,"K26"	,"K27"	,"K28"	,"K29"	,"K30"	,"K31"	,"K35"	,"K36"	,"K37"	,"K38"	,"K40"	,"K41"	,"K42"	,"K43"	,"K44"	,"K45"	,"K46"	,"K50"	,"K51"	,"K52"	,"K55"	,"K56"	,"K57"	,"K58"	,"K59"	,"K60"	,"K61"	,"K62"	,"K63"	,"K64"	,"K65"	,"K66"	,"K67"	,"K70"	,"K71"	,"K72"	,"K73"	,"K74"	,"K75"	,"K76"	,"K77"	,"K80"	,"K81"	,"K82"	,"K83"	,"K85"	,"K86"	,"K87"	,"K90"	,"K91"	,"K92"	,"K93")
bdd_eh$cap11<-ifelse(causa3 %in% cap11,causa3,0)
bdd_eh$cap11<-as.factor(bdd_eh$cap11)
cap12<-c("L00"	,"L01"	,"L02"	,"L03"	,"L04"	,"L05"	,"L08"	,"L10"	,"L11"	,"L12"	,"L13"	,"L20"	,"L21"	,"L22"	,"L23"	,"L24"	,"L25"	,"L26"	,"L27"	,"L28"	,"L29"	,"L30"	,"L40"	,"L41"	,"L42"	,"L43"	,"L44"	,"L50"	,"L51"	,"L52"	,"L53"	,"L55"	,"L56"	,"L57"	,"L58"	,"L59"	,"L60"	,"L62"	,"L63"	,"L64"	,"L65"	,"L66"	,"L67"	,"L68"	,"L70"	,"L71"	,"L72"	,"L73"	,"L74"	,"L75"	,"L80"	,"L81"	,"L82"	,"L83"	,"L84"	,"L85"	,"L87"	,"L88"	,"L89"	,"L90"	,"L91"	,"L92"	,"L93"	,"L94"	,"L95"	,"L97"	,"L98"	,"L99")
bdd_eh$cap12<-ifelse(causa3 %in% cap12,causa3,0)
bdd_eh$cap12<-as.factor(bdd_eh$cap12)
cap13<-c("M00","M01"	,"M02"	,"M03"	,"M05"	,"M06"	,"M07"	,"M08"	,"M09"	,"M10"	,"M11"	,"M12"	,"M13"	,"M14"	,"M15"	,"M16"	,"M17"	,"M18"	,"M19"	,"M20"	,"M21"	,"M22"	,"M23"	,"M24"	,"M25"	,"M30"	,"M31"	,"M32"	,"M33"	,"M34"	,"M35"	,"M36"	,"M40"	,"M41"	,"M42"	,"M43"	,"M45"	,"M46"	,"M47"	,"M48"	,"M49"	,"M50"	,"M51"	,"M53"	,"M54"	,"M60"	,"M61"	,"M62"	,"M63"	,"M65"	,"M66"	,"M67"	,"M68"	,"M70"	,"M71"	,"M72"	,"M73"	,"M75"	,"M76"	,"M77"	,"M79"	,"M80"	,"M81"	,"M82"	,"M83"	,"M84"	,"M85"	,"M86"	,"M87"	,"M88"	,"M89"	,"M90"	,"M91"	,"M92"	,"M93"	,"M94"	,"M95"	,"M96"	,"M99")
bdd_eh$cap13<-ifelse(causa3 %in% cap13,causa3,0)
bdd_eh$cap13<-as.factor(bdd_eh$cap13)
cap14<-c("N00"	,"N01"	,"N02"	,"N03"	,"N04"	,"N05"	,"N06"	,"N07"	,"N08"	,"N10"	,"N11"	,"N12"	,"N13"	,"N14"	,"N15"	,"N16"	,"N17"	,"N18"	,"N19"	,"N20"	,"N21"	,"N22"	,"N23"	,"N25"	,"N26"	,"N27"	,"N28"	,"N29"	,"N30"	,"N31"	,"N32"	,"N33"	,"N34"	,"N35"	,"N36"	,"N37"	,"N39"	,"N40"	,"N41"	,"N42"	,"N43"	,"N44"	,"N45"	,"N46"	,"N47"	,"N48"	,"N49"	,"N50"	,"N51"	,"N60"	,"N61"	,"N62"	,"N63"	,"N64"	,"N70"	,"N71"	,"N72"	,"N73"	,"N74"	,"N75"	,"N76"	,"N77"	,"N80"	,"N81"	,"N82"	,"N83"	,"N84"	,"N85"	,"N86"	,"N87"	,"N88"	,"N89"	,"N90"	,"N91"	,"N92"	,"N93"	,"N94"	,"N95"	,"N96"	,"N97"	,"N98"	,"N99")
bdd_eh$cap14<-ifelse(causa3 %in% cap14,causa3,0)
bdd_eh$cap14<-as.factor(bdd_eh$cap14)
cap15<-c("O00","O01"	,"O02"	,"O03"	,"O04"	,"O05"	,"O06"	,"O07"	,"O08"	,"O10"	,"O11"	,"O12"	,"O13"	,"O14"	,"O15"	,"O16"	,"O20"	,"O21"	,"O22"	,"O23"	,"O24"	,"O25"	,"O26"	,"O28"	,"O29"	,"O30"	,"O31"	,"O32"	,"O33"	,"O34"	,"O35"	,"O36"	,"O40"	,"O41"	,"O42"	,"O43"	,"O44"	,"O45"	,"O46"	,"O47"	,"O48"	,"O60"	,"O61"	,"O62"	,"O63"	,"O64"	,"O65"	,"O66"	,"O67"	,"O68"	,"O69"	,"O70"	,"O71"	,"O72"	,"O73"	,"O74"	,"O75"	,"O80"	,"O81"	,"O82"	,"O83"	,"O84"	,"O85"	,"O86"	,"O87"	,"O88"	,"O89"	,"O90"	,"O91"	,"O92"	,"O94"	,"O95"	,"O96"	,"O97"	,"O98"	,"O99")
bdd_eh$cap15<-ifelse(causa3 %in% cap15,causa3,0)
bdd_eh$cap15<-as.factor(bdd_eh$cap15)
cap16<-c("P00","P01"	,"P02"	,"P03"	,"P04"	,"P05"	,"P07"	,"P08"	,"P10"	,"P11"	,"P12"	,"P13"	,"P14"	,"P15"	,"P20"	,"P21"	,"P22"	,"P23"	,"P24"	,"P25"	,"P26"	,"P27"	,"P28"	,"P29"	,"P35"	,"P36"	,"P37"	,"P38"	,"P39"	,"P50"	,"P51"	,"P52"	,"P53"	,"P54"	,"P55"	,"P56"	,"P57"	,"P58"	,"P59"	,"P60"	,"P61"	,"P70"	,"P71"	,"P72"	,"P74"	,"P75"	,"P76"	,"P77"	,"P78"	,"P80"	,"P81"	,"P83"	,"P90"	,"P91"	,"P92"	,"P93"	,"P94"	,"P95"	,"P96")
bdd_eh$cap16<-ifelse(causa3 %in% cap16,causa3,0)
bdd_eh$cap16<-as.factor(bdd_eh$cap16)
cap17<-c("Q00","Q01"	,"Q02"	,"Q03"	,"Q04"	,"Q05"	,"Q06"	,"Q07"	,"Q10"	,"Q11"	,"Q12"	,"Q13"	,"Q14"	,"Q15"	,"Q16"	,"Q17"	,"Q18"	,"Q20"	,"Q21"	,"Q22"	,"Q23"	,"Q24"	,"Q25"	,"Q26"	,"Q27"	,"Q28"	,"Q30"	,"Q31"	,"Q32"	,"Q33"	,"Q34"	,"Q35"	,"Q36"	,"Q37"	,"Q38"	,"Q39"	,"Q40"	,"Q41"	,"Q42"	,"Q43"	,"Q44"	,"Q45"	,"Q50"	,"Q51"	,"Q52"	,"Q53"	,"Q54"	,"Q55"	,"Q56"	,"Q60"	,"Q61"	,"Q62"	,"Q63"	,"Q64"	,"Q65"	,"Q66"	,"Q67"	,"Q68"	,"Q69"	,"Q70"	,"Q71"	,"Q72"	,"Q73"	,"Q74"	,"Q75"	,"Q76"	,"Q77"	,"Q78"	,"Q79"	,"Q80"	,"Q81"	,"Q82"	,"Q83"	,"Q84"	,"Q85"	,"Q86"	,"Q87"	,"Q89"	,"Q90"	,"Q91"	,"Q92"	,"Q93"	,"Q95"	,"Q96"	,"Q97"	,"Q98"	,"Q99")
bdd_eh$cap17<-ifelse(causa3 %in% cap17,causa3,0)
bdd_eh$cap17<-as.factor(bdd_eh$cap17)
cap18<-c("R00","R01"	,"R02"	,"R03"	,"R04"	,"R05"	,"R06"	,"R07"	,"R09"	,"R10"	,"R11"	,"R12"	,"R13"	,"R14"	,"R15"	,"R16"	,"R17"	,"R18"	,"R19"	,"R20"	,"R21"	,"R22"	,"R23"	,"R25"	,"R26"	,"R27"	,"R29"	,"R30"	,"R31"	,"R32"	,"R33"	,"R34"	,"R35"	,"R36"	,"R39"	,"R40"	,"R41"	,"R42"	,"R43"	,"R44"	,"R45"	,"R46"	,"R47"	,"R48"	,"R49"	,"R50"	,"R51"	,"R52"	,"R53"	,"R54"	,"R55"	,"R56"	,"R57"	,"R58"	,"R59"	,"R60"	,"R61"	,"R62"	,"R63"	,"R64"	,"R68"	,"R69"	,"R70"	,"R71"	,"R72"	,"R73"	,"R74"	,"R75"	,"R76"	,"R77"	,"R78"	,"R79"	,"R80"	,"R81"	,"R82"	,"R83"	,"R84"	,"R85"	,"R86"	,"R87"	,"R89"	,"R90"	,"R91"	,"R92"	,"R93"	,"R94"	,"R95"	,"R96"	,"R98"	,"R99")
bdd_eh$cap18<-ifelse(causa3 %in% cap18,causa3,0)
bdd_eh$cap18<-as.factor(bdd_eh$cap18)
cap19<-c("S00","S01"	,"S02"	,"S03"	,"S04"	,"S05"	,"S06"	,"S07"	,"S08"	,"S09"	,"S10"	,"S11"	,"S12"	,"S13"	,"S14"	,"S15"	,"S16"	,"S17"	,"S18"	,"S19"	,"S20"	,"S21"	,"S22"	,"S23"	,"S24"	,"S25"	,"S26"	,"S27"	,"S28"	,"S29"	,"S30"	,"S31"	,"S32"	,"S33"	,"S34"	,"S35"	,"S36"	,"S37"	,"S38"	,"S39"	,"S40"	,"S41"	,"S42"	,"S43"	,"S44"	,"S45"	,"S46"	,"S47"	,"S48"	,"S49"	,"S50"	,"S51"	,"S52"	,"S53"	,"S54"	,"S55"	,"S56"	,"S57"	,"S58"	,"S59"	,"S60"	,"S61"	,"S62"	,"S63"	,"S64"	,"S65"	,"S66"	,"S67"	,"S68"	,"S69"	,"S70"	,"S71"	,"S72"	,"S73"	,"S74"	,"S75"	,"S76"	,"S77"	,"S78"	,"S79"	,"S80"	,"S81"	,"S82"	,"S83"	,"S84"	,"S85"	,"S86"	,"S87"	,"S88"	,"S89"	,"S90"	,"S91"	,"S92"	,"S93"	,"S94"	,"S95"	,"S96"	,"S97"	,"S98"	,"S99"	,"T00"	,"T01"	,"T02"	,"T03"	,"T04"	,"T05"	,"T06"	,"T07"	,"T08"	,"T09"	,"T10"	,"T11"	,"T12"	,"T13"	,"T14"	,"T15"	,"T16"	,"T17"	,"T18"	,"T19"	,"T20"	,"T21"	,"T22"	,"T23"	,"T24"	,"T25"	,"T26"	,"T27"	,"T28"	,"T29"	,"T30"	,"T31"	,"T32"	,"T33"	,"T34"	,"T35"	,"T36"	,"T37"	,"T38"	,"T39"	,"T40"	,"T41"	,"T42"	,"T43"	,"T44"	,"T45"	,"T46"	,"T47"	,"T48"	,"T49"	,"T50"	,"T51"	,"T52"	,"T53"	,"T54"	,"T55"	,"T56"	,"T57"	,"T58"	,"T59"	,"T60"	,"T61"	,"T62"	,"T63"	,"T64"	,"T65"	,"T66"	,"T67"	,"T68"	,"T69"	,"T70"	,"T71"	,"T73"	,"T74"	,"T75"	,"T78"	,"T79"	,"T80"	,"T81"	,"T82"	,"T83"	,"T84"	,"T85"	,"T86"	,"T87"	,"T88"	,"T90"	,"T91"	,"T92"	,"T93"	,"T94"	,"T95"	,"T96"	,"T97"	,"T98")
bdd_eh$cap19<-ifelse(causa3 %in% cap19,causa3,0)
bdd_eh$cap19<-as.factor(bdd_eh$cap19)
cap21<-c("Z00","Z01"	,"Z02"	,"Z03"	,"Z04"	,"Z08"	,"Z09"	,"Z10"	,"Z11"	,"Z12"	,"Z13"	,"Z20"	,"Z21"	,"Z22"	,"Z23"	,"Z24"	,"Z25"	,"Z26"	,"Z27"	,"Z28"	,"Z29"	,"Z30"	,"Z31"	,"Z32"	,"Z33"	,"Z34"	,"Z35"	,"Z36"	,"Z37"	,"Z38"	,"Z39"	,"Z40"	,"Z41"	,"Z42"	,"Z43"	,"Z44"	,"Z45"	,"Z46"	,"Z47"	,"Z48"	,"Z49"	,"Z50"	,"Z51"	,"Z52"	,"Z53"	,"Z54"	,"Z56"	,"Z57"	,"Z58"	,"Z60"	,"Z61"	,"Z63"	,"Z64"	,"Z65"	,"Z70"	,"Z71"	,"Z72"	,"Z73"	,"Z74"	,"Z75"	,"Z76"	,"Z80"	,"Z81"	,"Z82"	,"Z83"	,"Z84"	,"Z85"	,"Z86"	,"Z87"	,"Z88"	,"Z89"	,"Z90"	,"Z91"	,"Z92"	,"Z93"	,"Z94"	,"Z95"	,"Z96"	,"Z97"	,"Z98"	,"Z99")
bdd_eh$cap21<-ifelse(causa3 %in% cap21,causa3,0)
bdd_eh$cap21<-as.factor(bdd_eh$cap21)
cap22<-c("U07")
bdd_eh$cap22<-ifelse(causa3 %in% cap22,causa3,0)
bdd_eh$cap22<-as.factor(bdd_eh$cap22)
#cap1
t3.1.11_cap1<-tabular((`Causas de morbilidad`=cap1) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh)
#cap2
t3.1.11_cap2<-tabular((`Causas de morbilidad`=cap2) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh)
#cap3
t3.1.11_cap3<-tabular((`Causas de morbilidad`=cap3) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh)
#cap4
t3.1.11_cap4<-tabular((`Causas de morbilidad`=cap4) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh)
#cap5
t3.1.11_cap5<-tabular((`Causas de morbilidad`=cap5) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh)
#cap6
t3.1.11_cap6<-tabular((`Causas de morbilidad`=cap6) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh)
#cap7
t3.1.11_cap7<-tabular((`Causas de morbilidad`=cap7) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh)
#cap8
t3.1.11_cap8<-tabular((`Causas de morbilidad`=cap8) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh)
#cap9
t3.1.11_cap9<-tabular((`Causas de morbilidad`=cap9) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh)
#cap10
t3.1.11_cap10<-tabular((`Causas de morbilidad`=cap10) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh)
#cap11
t3.1.11_cap11<-tabular((`Causas de morbilidad`=cap11) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh)
#cap12
t3.1.11_cap12<-tabular((`Causas de morbilidad`=cap12) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh)
#cap13
t3.1.11_cap13<-tabular((`Causas de morbilidad`=cap13) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh)
#cap14
t3.1.11_cap14<-tabular((`Causas de morbilidad`=cap14) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh)
#cap15
t3.1.11_cap15<-tabular((`Causas de morbilidad`=cap15) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh)
#cap16
t3.1.11_cap16<-tabular((`Causas de morbilidad`=cap16) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh)
#cap17
t3.1.11_cap17<-tabular((`Causas de morbilidad`=cap17) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh)
#cap18
t3.1.11_cap18<-tabular((`Causas de morbilidad`=cap18) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh)
#cap19
t3.1.11_cap19<-tabular((`Causas de morbilidad`=cap19) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh)
#cap21
t3.1.11_cap21<-tabular((`Causas de morbilidad`=cap21) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh)
#cap22
t3.1.11_cap22<-tabular((`Causas de morbilidad`=cap22) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh)

t3.1.11_cap1
t3.1.11_cap2
t3.1.11_cap3
t3.1.11_cap4
t3.1.11_cap5
t3.1.11_cap6
t3.1.11_cap7
t3.1.11_cap8
t3.1.11_cap9
t3.1.11_cap10
t3.1.11_cap11
t3.1.11_cap12
t3.1.11_cap13
t3.1.11_cap14
t3.1.11_cap15
t3.1.11_cap16
t3.1.11_cap17
t3.1.11_cap18
t3.1.11_cap19
t3.1.11_cap21
t3.1.11_cap22
#3.1.12 Egresos hospitalarios, días y promedio de estada, por grupos de edad, según causa de morbilidad Lista Internacional Detallada CIE - 10, sexo masculino año 2022.----
bdd_eh_M<-bdd_eh %>% filter(sexo==1)
#cap1
t3.1.12_cap1<-tabular((`Causas de morbilidad`=cap1) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_M)
#cap2
t3.1.12_cap2<-tabular((`Causas de morbilidad`=cap2) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_M)
#cap3
t3.1.12_cap3<-tabular((`Causas de morbilidad`=cap3) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_M)
#cap4
t3.1.12_cap4<-tabular((`Causas de morbilidad`=cap4) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_M)
#cap5
t3.1.12_cap5<-tabular((`Causas de morbilidad`=cap5) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_M)
#cap6
t3.1.12_cap6<-tabular((`Causas de morbilidad`=cap6) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_M)
#cap7
t3.1.12_cap7<-tabular((`Causas de morbilidad`=cap7) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_M)
#cap8
t3.1.12_cap8<-tabular((`Causas de morbilidad`=cap8) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_M)
#cap9
t3.1.12_cap9<-tabular((`Causas de morbilidad`=cap9) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_M)
#cap10
t3.1.12_cap10<-tabular((`Causas de morbilidad`=cap10) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_M)
#cap11
t3.1.12_cap11<-tabular((`Causas de morbilidad`=cap11) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_M)
#cap12
t3.1.12_cap12<-tabular((`Causas de morbilidad`=cap12) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_M)
#cap13
t3.1.12_cap13<-tabular((`Causas de morbilidad`=cap13) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_M)
#cap14
t3.1.12_cap14<-tabular((`Causas de morbilidad`=cap14) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_M)
#cap15
t3.1.12_cap15<-tabular((`Causas de morbilidad`=cap15) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_M)
#cap16
t3.1.12_cap16<-tabular((`Causas de morbilidad`=cap16) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_M)
#cap17
t3.1.12_cap17<-tabular((`Causas de morbilidad`=cap17) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_M)
#cap18
t3.1.12_cap18<-tabular((`Causas de morbilidad`=cap18) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_M)
#cap19
t3.1.12_cap19<-tabular((`Causas de morbilidad`=cap19) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_M)
#cap21
t3.1.12_cap21<-tabular((`Causas de morbilidad`=cap21) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_M)
#cap22
t3.1.12_cap22<-tabular((`Causas de morbilidad`=cap22) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_M)

t3.1.12_cap1
t3.1.12_cap2
t3.1.12_cap3
t3.1.12_cap4
t3.1.12_cap5
t3.1.12_cap6
t3.1.12_cap7
t3.1.12_cap8
t3.1.12_cap9
t3.1.12_cap10
t3.1.12_cap11
t3.1.12_cap12
t3.1.12_cap13
t3.1.12_cap14
t3.1.12_cap15
t3.1.12_cap16
t3.1.12_cap17
t3.1.12_cap18
t3.1.12_cap19
t3.1.12_cap21
t3.1.12_cap22

#3.1.13 Egresos hospitalarios, días y promedio de estada, por grupos de edad, según causa de morbilidad Lista Internacional Detallada CIE - 10, sexo femenino año 2022.----
bdd_eh_F<-bdd_eh %>% filter(sexo==2)
#cap1
t3.1.13_cap1<-tabular((`Causas de morbilidad`=cap1) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_F)
#cap2
t3.1.13_cap2<-tabular((`Causas de morbilidad`=cap2) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_F)
#cap3
t3.1.13_cap3<-tabular((`Causas de morbilidad`=cap3) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_F)
#cap4
t3.1.13_cap4<-tabular((`Causas de morbilidad`=cap4) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_F)
#cap5
t3.1.13_cap5<-tabular((`Causas de morbilidad`=cap5) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_F)
#cap6
t3.1.13_cap6<-tabular((`Causas de morbilidad`=cap6) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_F)
#cap7
t3.1.13_cap7<-tabular((`Causas de morbilidad`=cap7) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_F)
#cap8
t3.1.13_cap8<-tabular((`Causas de morbilidad`=cap8) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_F)
#cap9
t3.1.13_cap9<-tabular((`Causas de morbilidad`=cap9) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_F)
#cap10
t3.1.13_cap10<-tabular((`Causas de morbilidad`=cap10) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_F)
#cap11
t3.1.13_cap11<-tabular((`Causas de morbilidad`=cap11) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_F)
#cap12
t3.1.13_cap12<-tabular((`Causas de morbilidad`=cap12) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_F)
#cap13
t3.1.13_cap13<-tabular((`Causas de morbilidad`=cap13) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_F)
#cap14
t3.1.13_cap14<-tabular((`Causas de morbilidad`=cap14) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_F)
#cap15
t3.1.13_cap15<-tabular((`Causas de morbilidad`=cap15) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_F)
#cap16
t3.1.13_cap16<-tabular((`Causas de morbilidad`=cap16) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_F)
#cap17
t3.1.13_cap17<-tabular((`Causas de morbilidad`=cap17) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_F)
#cap18
t3.1.13_cap18<-tabular((`Causas de morbilidad`=cap18) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_F)
#cap19
t3.1.13_cap19<-tabular((`Causas de morbilidad`=cap19) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_F)
#cap21
t3.1.13_cap21<-tabular((`Causas de morbilidad`=cap21) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_F)
#cap22
t3.1.13_cap22<-tabular((`Causas de morbilidad`=cap22) ~ ((`Total de Egresos`= con_egrpa>=1)+(dia_estad)*(sum)+(dia_estad)*(mean)+(`Grupos de edad`=Grupo_edad)),data = bdd_eh_F)

t3.1.13_cap1
t3.1.13_cap2
t3.1.13_cap3
t3.1.13_cap4
t3.1.13_cap5
t3.1.13_cap6
t3.1.13_cap7
t3.1.13_cap8
t3.1.13_cap9
t3.1.13_cap10
t3.1.13_cap11
t3.1.13_cap12
t3.1.13_cap13
t3.1.13_cap14
t3.1.13_cap15
t3.1.13_cap16
t3.1.13_cap17
t3.1.13_cap18
t3.1.13_cap19
t3.1.13_cap21
t3.1.13_cap22

#3.1.14 Egresos hospitalarios por condición al egreso y sexo, tasa de letalidad hospitalaria, según grupos de causa de morbilidad Lista de Agrupamiento de 298 causas - Cie - 10 Menores de un año 2022.----
bdd_eh_menores_anio<-bdd_eh %>% filter(cod_edad<=3)
t3.1.14<-tabular((`Nacional`=n=1)+(`Causas de morbilidad`=cau298rx) ~ (`Total de Egresos`= con_egrpa>=1)+(`Hombres`=sexo==1)+(`Mujeres`=sexo==2)+(`Vivos`= con_egrpa==1)+(`Hombres vivos`= sexo_vivos==1)+(`Mujeres vivas`= sexo_vivos==2)
                 +(`Muertos`= con_egrpa>=2)+(`Hombres muertos`= sexo_muertos==1)+(`Mujeres muertas`= sexo_muertos==2)+(`Tasa de letalidad hospitalaria por 100 egresos 1/`=tasa_l1 )*(mean), data= bdd_eh_menores_anio)     
#3.1.15 Número de egresos hospitalarios por autoidentificación étnica del paciente según sexo año 2022.----
bdd_eh$etnia<-factor(bdd_eh$etnia,levels=c(1,2,3,4,5,6,7,8,9), labels = c("Indígena","Afroecuatoriano/a Afrodescendiente","Negro/a","Mulato/a","Montubio/a",
                                                                          "Mestizo/a","Blanco/a","Otro/a","Ignorado/a"), ordered = T) 
t3.1.15<-tabular((`Autoidentificación étnica`=etnia)+ (`Nacional`=n=1) ~ ((`Total de Egresos`= con_egrpa>=1)+(`Hombre`=sexo==1)+(`Mujer`=sexo==2)), data=bdd_eh)
#3.1.16 Número de egresos por autoidentificación étnica del paciente según provincia de residencia del paciente año 2022.----
t3.1.16<-tabular((`Provincia`=prov_res) ~ (`Autoidentificación étnica`=etnia), data = bdd_eh)
#3.1.17 Número de egresos hospitalarios según cantón de residencia y condición de egreso del paciente.----
bdd_eh$cant_res<-factor(bdd_eh$cant_res, levels = c("0101"	,"0102"	,"0103"	,"0104"	,"0105"	,"0106"	,"0107"	,"0108"	,"0109"	,"0110"	,"0111"	,"0112"	,"0113"	,"0114"	,"0115"	,"0201"	,"0202"	,"0203"	,"0204"	,"0205"	,"0206"	,"0207"	,"0301"	,"0302"	,"0303"	,"0304"	,"0305"	,"0306"	,"0307"	,"0401"	,"0402"	,"0403"	,"0404"	,"0405"	,"0406"	,"0501"	,"0502"	,"0503"	,"0504"	,"0505"	,"0506"	,"0507"	,"0601"	,"0602"	,"0603"	,"0604"	,"0605"	,"0606"	,"0607"	,"0608"	,"0609"	,"0610"	,"0701"	,"0702"	,"0703"	,"0704"	,"0705"	,"0706"	,"0707"	,"0708"	,"0709"	,"0710"	,"0711"	,"0712"	,"0713"	,"0714"	,"0801"	,"0802"	,"0803"	,"0804"	,"0805"	,"0806"	,"0807"	,"0901"	,"0902"	,"0903"	,"0904"	,"0905"	,"0906"	,"0907"	,"0908"	,"0909"	,"0910"	,"0911"	,"0912"	,"0913"	,"0914"	,"0916"	,"0918"	,"0919"	,"0920"	,"0921"	,"0922"	,"0923"	,"0924"	,"0925"	,"0927"	,"0928"	,"1001"	,"1002"	,"1003"	,"1004"	,"1005"	,"1006"	,"1101"	,"1102"	,"1103"	,"1104"	,"1105"	,"1106"	,"1107"	,"1108"	,"1109"	,"1110"	,"1111"	,"1112"	,"1113"	,"1114"	,"1115"	,"1116"	,"1201"	,"1202"	,"1203"	,"1204"	,"1205"	,"1206"	,"1207"	,"1208"	,"1209"	,"1210"	,"1211"	,"1212"	,"1213"	,"1301"	,"1302"	,"1303"	,"1304"	,"1305"	,"1306"	,"1307"	,"1308"	,"1309"	,"1310"	,"1311"	,"1312"	,"1313"	,"1314"	,"1315"	,"1316"	,"1317"	,"1318"	,"1319"	,"1320"	,"1321"	,"1322"	,"1401"	,"1402"	,"1403"	,"1404"	,"1405"	,"1406"	,"1407"	,"1408"	,"1409"	,"1410"	,"1411"	,"1412"	,"1501"	,"1503"	,"1504"	,"1507"	,"1509"	,"1601"	,"1602"	,"1603"	,"1604"	,"1701"	,"1702"	,"1703"	,"1704"	,"1705"	,"1707"	,"1708"	,"1709"	,"1801"	,"1802"	,"1803"	,"1804"	,"1805"	,"1806"	,"1807"	,"1808"	,"1809"	,"1901"	,"1902"	,"1903"	,"1904"	,"1905"	,"1906"	,"1907"	,"1908"	,"1909"	,"2001"	,"2002"	,"2003"	,"2101"	,"2102"	,"2103"	,"2104"	,"2105"	,"2106"	,"2107"	,"2201"	,"2202"	,"2203"	,"2204"	,"2301"	,"2302"	,"2401"	,"2402"	,"2403"), 
                        labels = c("CUENCA","GIRÓN"	,"GUALACEO"	,"NABÓN"	,"PAUTE"	,"PUCARÁ"	,"SAN FERNANDO"	,"SANTA ISABEL"	,"SÍGSIG"	,"OÑA"	,"CHORDELEG"	,"EL PAN"	,"SEVILLA DE ORO"	,"GUACHAPALA"	,"CAMILO PONCE ENRÍQUEZ"	,"GUARANDA"	,"CHILLANES"	,"CHIMBO"	,"ECHEANDÍA"	,"SAN MIGUEL"	,"CALUMA"	,"LAS NAVES"	,"AZOGUES"	,"BIBLIÁN"	,"CAÑAR"	,"LA TRONCAL"	,"EL TAMBO"	,"DÉLEG"	,"SUSCAL"	,"TULCÁN"	,"BOLÍVAR"	,"ESPEJO"	,"MIRA"	,"MONTÚFAR"	,"SAN PEDRO DE HUACA"	,"LATACUNGA"	,"LA MANÁ"	,"PANGUA"	,"PUJILÍ"	,"SALCEDO"	,"SAQUISILÍ"	,"SIGCHOS"	,"RIOBAMBA"	,"ALAUSÍ"	,"COLTA"	,"CHAMBO"	,"CHUNCHI"	,"GUAMOTE"	,"GUANO"	,"PALLATANGA"	,"PENIPE"	,"CUMANDÁ"	,"MACHALA"	,"ARENILLAS"	,"ATAHUALPA"	,"BALSAS"	,"CHILLA"	,"EL GUABO"	,"HUAQUILLAS"	,"MARCABELÍ"	,"PASAJE"	,"PIÑAS"	,"PORTOVELO"	,"SANTA ROSA"	,"ZARUMA"	,"LAS LAJAS"	,"ESMERALDAS"	,"ELOY ALFARO"	,"MUISNE"	,"QUININDÉ"	,"SAN LORENZO"	,"ATACAMES"	,"RIOVERDE"	,"GUAYAQUIL"	,"ALFREDO BAQUERIZO MORENO (JUJÁN)"	,"BALAO"	,"BALZAR"	,"COLIMES"	,"DAULE"	,"DURÁN"	,"EL EMPALME"	,"EL TRIUNFO"	,"MILAGRO"	,"NARANJAL"	,"NARANJITO"	,"PALESTINA"	,"PEDRO CARBO"	,"SAMBORONDÓN"	,"SANTA LUCÍA"	,"SALITRE"	,"SAN JACINTO DE YAGUACHI"	,"PLAYAS"	,"SIMÓN BOLÍVAR"	,"CORONEL MARCELINO MARIDUEÑA"	,"LOMAS DE SARGENTILLO"	,"NOBOL"	,"GENERAL ANTONIO ELIZALDE"	,"ISIDRO AYORA"	,"IBARRA"	,"ANTONIO ANTE"	,"COTACACHI"	,"OTAVALO"	,"PIMAMPIRO"	,"SAN MIGUEL DE URCUQUÍ"	,"LOJA"	,"CALVAS"	,"CATAMAYO"	,"CELICA"	,"CHAGUARPAMBA"	,"ESPÍNDOLA"	,"GONZANAMÁ"	,"MACARÁ"	,"PALTAS"	,"PUYANGO"	,"SARAGURO"	,"SOZORANGA"	,"ZAPOTILLO"	,"PINDAL"	,"QUILANGA"	,"OLMEDO"	,"BABAHOYO"	,"BABA"	,"MONTALVO"	,"PUEBLOVIEJO"	,"QUEVEDO"	,"URDANETA"	,"VENTANAS"	,"VINCES"	,"PALENQUE"	,"BUENA FE"	,"VALENCIA"	,"MOCACHE"	,"QUINSALOMA"	,"PORTOVIEJO"	,"BOLÍVAR"	,"CHONE"	,"EL CARMEN"	,"FLAVIO ALFARO"	,"JIPIJAPA"	,"JUNÍN"	,"MANTA"	,"MONTECRISTI"	,"PAJÁN"	,"PICHINCHA"	,"ROCAFUERTE"	,"SANTA ANA"	,"SUCRE"	,"TOSAGUA"	,"24 DE MAYO"	,"PEDERNALES"	,"OLMEDO"	,"PUERTO LÓPEZ"	,"JAMA"	,"JARAMIJÓ"	,"SAN VICENTE"	,"MORONA"	,"GUALAQUIZA"	,"LIMÓN INDANZA"	,"PALORA"	,"SANTIAGO"	,"SUCÚA"	,"HUAMBOYA"	,"SAN JUAN BOSCO"	,"TAISHA"	,"LOGROÑO"	,"PABLO SEXTO"	,"TIWINTZA"	,"TENA"	,"ARCHIDONA"	,"EL CHACO"	,"QUIJOS"	,"CARLOS JULIO AROSEMENA TOLA"	,"PASTAZA"	,"MERA"	,"SANTA CLARA"	,"ARAJUNO"	,"DISTRITO METROPOLITANO DE QUITO"	,"CAYAMBE"	,"MEJÍA"	,"PEDRO MONCAYO"	,"RUMIÑAHUI"	,"SAN MIGUEL DE LOS BANCOS"	,"PEDRO VICENTE MALDONADO"	,"PUERTO QUITO"	,"AMBATO"	,"BAÑOS DE AGUA SANTA"	,"CEVALLOS"	,"MOCHA"	,"PATATE"	,"QUERO"	,"SAN PEDRO DE PELILEO"	,"SANTIAGO DE PÍLLARO"	,"TISALEO"	,"ZAMORA"	,"CHINCHIPE"	,"NANGARITZA"	,"YACUAMBI"	,"YANTZAZA"	,"EL PANGUI"	,"CENTINELA DEL CÓNDOR"	,"PALANDA"	,"PAQUISHA"	,"SAN CRISTÓBAL"	,"ISABELA"	,"SANTA CRUZ"	,"LAGO AGRIO"	,"GONZALO PIZARRO"	,"PUTUMAYO"	,"SHUSHUFINDI"	,"SUCUMBÍOS"	,"CASCALES"	,"CUYABENO"	,"FRANCISCO DE ORELLANA"	,"AGUARICO"	,"LA JOYA DE LOS SACHAS"	,"LORETO"	,"SANTO DOMINGO"	,"LA CONCORDIA"	,"SANTA ELENA"	,"LA LIBERTAD"	,"SALINAS")
                        ,ordered = T)
bdd_eh<-bdd_eh %>% 
  mutate(t=1,vivos=ifelse(con_egrpa==1,1,0),
         fallecidos=ifelse(con_egrpa>=2,1,0))  
t3.1.17_a<-data.table(table(bdd_eh$prov_res,bdd_eh$cant_res,bdd_eh$t)) %>% filter(N!=0) %>% select(-V3)
t3.1.17_b<-data.table(table(bdd_eh$prov_res,bdd_eh$cant_res,bdd_eh$vivos))%>% mutate(N1=N) 
t3.1.17_c<-data.table(table(bdd_eh$prov_res,bdd_eh$cant_res,bdd_eh$fallecidos))%>% mutate(N2=N) %>% select(N2) 
t3.1.17_b<-cbind(t3.1.17_b,t3.1.17_c)%>% filter(V3==1) %>% select(N1,N2) %>% filter(N1!=0)
t3.1.17<-cbind(t3.1.17_a,t3.1.17_b) 
rename(t3.1.17, `Provincia`= V1, `Canton`= V2,`Total egresos`= N, `Altas`= N1 , `Fallecidos`= N2)
t3.1.17
#3.1.18 Causas lista CIE_10 a tres caracteres, por provincia de residencia del paciente.---- 
t3.1.18<-tabular((`Causas`=causa3) ~ (`Provincia de residencia del paciente`=prov_res), data= bdd_eh)           
t3.1.18
#3.1.19 Causas lista CIE_10 a tres caracteres, por provincia de residencia del paciente y cantón.----
t3.1.19<-tabular((`Causas`=causa3) ~ (cant_res), data= bdd_eh)
t3.1.19

  
  
  
  
  
  
  
  
  
  
  
  
  

  
  

































































































