* Encoding: UTF-8.
* Encoding: .
*==============================================================================*.
* TTULO DE LA SINTAXIS:							   
* Tabulados	de Camas y Egresos Hospitalarios   				   
* OPERACIN ESTADSTICA:													   
* Camas y Egresos Hospitalarios (ECEH)				   
* UNIDAD TCNICA RESPONSABLE: 												   
* Direccin de Estadsticas Sociodemogrficas (DIES)						   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadstica y Censos (INEC)							   
*==============================================================================*.
* Fecha de elaboracin:          Febrero - 2016							   
* Fecha ltima modificacin:   Febrero - 2022				   .
*==============================================================================*.
* Elaborado por:													   
* Direccin de Estadsticas Sociodemogrficas (DIES)						   
* Unidad de Gestin de Estadsticas Sociodemogrficas en Base a Registros Administrativos (GESRA)  	   						   
* Aprobado por:													   
* Direccin de Estadsticas Sociodemogrficas (DIES)				       
* Unidad de Gestin de Estadsticas Sociodemogrficas en Base a Registros Administrativos (GESRA)								       
*==============================================================================*.
*Indicaciones.

*1- Descargue la Carpeta Base_de_datos_EEH_2022 y Base_de_datos_ECH_2022, base de datos egresos_hospitalarios_2022 y camas_hospitalarias_2022 de la pgina web: https://www.ecuadorencifras.gob.ec/camas-y-egresos-hospitalarios/

*2- Guarde la base y copie el directorio en:.
*get file = 'D:\....\egresos_hospitalarios_xxxx_xx.sav'.
*get file = 'D:\....\camas_hospitalarias_xxxx_xx.sav'.

*3- Cree una carpeta llamada Tabulados_2022.

*==============================================================================*.

GET FILE='D:\egresos_hospitalarios_2022.sav'.


filter off.
use all.
compute t = 1.
compute t1 = 1.
compute t2 = 1.


*------------------------------------------.
*   Definicin de Etiquetas.
*-----------------------------------------.
VARIABLE LABELS
t	'Total'
t1	'Total Repblica'
t2	'Total '.


if t=1 altas = 0.
if con_egrpa = 1 altas = 1.
if con_egrpa = 1 daltas = dia_estad.
if t=1 men48 = 0.
if con_egrpa = 2 men48 = 1.
if con_egrpa = 2 dmen48 = dia_estad.
if t=1 mas48 = 0.
if con_egrpa = 3 mas48 = 1.
if con_egrpa = 3 dmas48 = dia_estad.
if t=1 bajas = 0.
if con_egrpa = 2 or con_egrpa = 3 bajas = 1.
if con_egrpa = 2 or con_egrpa = 3 dbajas = dia_estad.
EXECUTE.

*   Definicin de Etiquetas.
*------------------------------------------.
VARIABLE LABELS 
daltas 'Altas'
/dbajas 'Fallecidos'
/dmen48 'Menos de 48 horas'
/dmas48 '48 Horas y ms'
/altas  'Egresos'
/bajas 'Fallecidos'
/men48  'Egresos menos de 48 horas'
/mas48  'Egresos 48 horas y ms'.


if t=1 fallecidos=0.
if (con_egrpa >= 2 and con_egrpa <= 3) fallecidos = 1.


if causa3 = "O80" parto_normal = 1.
if causa3 = "O82" parto_cesarea = 1.
if (causa3 = "O81"  or causa3 = "O83" or  causa3 = "O84" ) otros_part = 1.
if (causa3 >= "R00"  and causa3 <= "R99") sig_anor = 1.


string auxiliar_c3 (a3).
compute auxiliar_c3 = causa3.

RECODE auxiliar_c3("O80", "O82", "O81", "O83",  "O84" ,  "R00",  "R01" ,  "R02" ,  "R03" ,  "R04" ,  "R05" ,  "R06" 
,  "R07" ,  "R08" ,  "R09" ,  "R10" ,  "R11" ,  "R12" ,  "R13" ,  "R14" ,  "R15" ,  "R16" ,  "R17" ,  "R18" ,  "R19" ,  "R20" 
,  "R21" ,  "R22" ,  "R23" ,  "R24" ,  "R25" ,  "R26" ,  "R27" ,  "R28" ,  "R29" ,  "R30" ,  "R31" ,  "R32" ,  "R33" ,  "R34" 
,  "R35" ,  "R36" ,  "R37" ,  "R38" ,  "R39" ,  "R40" ,  "R41" ,  "R42" ,  "R43" ,  "R44" ,  "R45" ,  "R46" ,  "R47" ,  "R48" 
,  "R49" ,  "R50" ,  "R51" ,  "R52" ,  "R53" ,  "R54" ,  "R55" ,  "R56" ,  "R57" ,  "R58" ,  "R59" ,  "R60" ,  "R61" ,  "R62" 
,  "R63" ,  "R64" ,  "R65" ,  "R66" ,  "R67" ,  "R68" ,  "R69" ,  "R70" ,  "R71" ,  "R72" ,  "R73" ,  "R74" ,  "R75" ,  "R77" 
,  "R78" ,  "R79" ,  "R80" ,  "R81" ,  "R82" ,  "R83" ,  "R84" ,  "R85" ,  "R86" ,  "R87" ,  "R88" ,  "R89" ,  "R90" ,  "R91" 
,  "R92" ,  "R93" ,  "R94" ,  "R95" ,  "R96" ,  "R97" ,  "R98" ,  "R99" ,  "R76"  = "ttt" ).

EXECUTE.

VALUE LABELS 
/auxiliar_c3
"A00" "A00   Clera"
"A000" "A000   Clera debido a Vibrio cholerae 01, biotipo cholerae"
"A001" "A001   Clera debido a Vibrio cholerae 01, biotipo el Tor"
"A009" "A009   Clera, no especificado"
"A01" "A01   Fiebres tifoidea y paratifoidea"
"A010" "A010   Fiebre tifoidea"
"A011" "A011   Fiebre paratifoidea A"
"A012" "A012   Fiebre paratifoidea B"
"A013" "A013   Fiebre paratifoidea C"
"A014" "A014   Fiebre paratifoidea, no especificada"
"A02" "A02   Otras infecciones debidas a Salmonella"
"A020" "A020   Enteritis debida a Salmonella"
"A021" "A021   Sepsis debida a Salmonella"
"A022" "A022   Infecciones localizadas debidas a Salmonella"
"A028" "A028   Otras infecciones especificadas como debidas a Salmonella"
"A029" "A029   Infeccin debida a Salmonella, no especificada"
"A03" "A03   Shigelosis"
"A030" "A030   Shigelosis debida a Shigella dysenteriae"
"A031" "A031   Shigelosis debida a Shigella flexneri"
"A032" "A032   Shigelosis debida a Shigella boydii"
"A033" "A033   Shigelosis debida a Shigella sonnei"
"A038" "A038   Otras shigelosis"
"A039" "A039   Shigelosis de tipo no especificado"
"A04" "A04   Otras infecciones intestinales bacterianas"
"A040" "A040   Infeccin debida a Escherichia coli enteropatgena"
"A041" "A041   Infeccin debida a Escherichia coli enterotoxgena"
"A042" "A042   Infeccin debida a Escherichia coli enteroinvasiva"
"A043" "A043   Infeccin debida a Escherichia coli enterohemorrgica"
"A044" "A044   Otras infecciones intestinales debidas a Escherichia coli"
"A045" "A045   Enteritis debida a Campylobacter"
"A046" "A046   Enteritis debida a Yersinia enterocolitica"
"A047" "A047   Enterocolitis debida a Clostridium difficile"
"A048" "A048   Otras infecciones intestinales bacterianas especificadas"
"A049" "A049   Infeccin intestinal bacteriana, no especificada"
"A05" "A05   Otras intoxicaciones alimentarias bacterianas, no clasificadas en otra parte"
"A050" "A050   Intoxicacin alimentaria estafiloccica"
"A051" "A051   Botulismo"
"A052" "A052   Intoxicacin alimentaria debida a Clostridium perfringens [Clostridium welchii]"
"A053" "A053   Intoxicacin alimentaria debida a Vibrio parahaemolyticus"
"A054" "A054   Intoxicacin alimentaria debida a Bacillus cereus"
"A058" "A058   Otras intoxicaciones alimentarias debidas a bacterias especificadas"
"A059" "A059   Intoxicacin alimentaria bacteriana, no especificada"
"A06" "A06   Amebiasis"
"A060" "A060   Disentera amebiana aguda"
"A061" "A061   Amebiasis intestinal crnica"
"A062" "A062   Colitis amebiana no disentrica"
"A063" "A063   Ameboma intestinal"
"A064" "A064   Absceso amebiano del hgado"
"A065" "A065   Absceso amebiano del pulmn"
"A066" "A066   Absceso amebiano del cerebro"
"A067" "A067   Amebiasis cutnea"
"A068" "A068   Infeccin amebiana de otras localizaciones"
"A069" "A069   Amebiasis, no especificada"
"A07" "A07   Otras enfermedades intestinales debidas a protozoarios"
"A070" "A070   Balantidiasis"
"A071" "A071   Giardiasis [lambliasis]"
"A072" "A072   Criptosporidiosis"
"A073" "A073   Isosporiasis"
"A078" "A078   Otras enfermedades intestinales especificadas debidas a protozoarios"
"A079" "A079   Enfermedad intestinal debida a protozoarios, no especificada"
"A08" "A08   Infecciones intestinales debidas a virus y otros organismos especificados"
"A080" "A080   Enteritis debida a rotavirus"
"A081" "A081   Gastroenteropata aguda debida al agente de Norwalk"
"A082" "A082   Enteritis debida a adenovirus"
"A083" "A083   Otras enteritis virales"
"A084" "A084   Infeccin intestinal viral, sin otra especificacin"
"A085" "A085   Otras infecciones intestinales especificadas"
"A09" "A09   Otras gastroenteritis y colitis de origen infeccioso y no especificado"
"A090" "A090   Otras gastroenteritis y colitis de origen infeccioso"
"A099" "A099   Gastroenteritis y colitis de origen no especificado"
"A15" "A15   Tuberculosis respiratoria, confirmada bacteriolgica e histolgicamente"
"A150" "A150   Tuberculosis del pulmn, confirmada por hallazgo microscpico del bacilo tuberculoso en esputo, con o sin cultivo"
"A151" "A151   Tuberculosis del pulmn, confirmadanicamente por cultivo"
"A152" "A152   Tuberculosis del pulmn, confirmada histolgicamente"
"A153" "A153   Tuberculosis del pulmn, confirmada por medios no especificados"
"A154" "A154   Tuberculosis de ganglios linfticos intratorcicos, confirmada bacteriolgica e histolgicamente"
"A155" "A155   Tuberculosis de laringe, traquea y bronquios, confirmada bacteriolgica e histolgicamente"
"A156" "A156   Pleuresa tuberculosa, confirmada bacteriolgica e histolgicamente"
"A157" "A157   Tuberculosis respiratoria primaria, confirmada bacteriolgica e histolgicamente"
"A158" "A158   Otras tuberculosis respiratorias, confirmadas bacteriolgica e histolgicamente"
"A159" "A159   Tuberculosis respiratoria no especificada, confirmada bacteriolgica e histolgicamente"
"A16" "A16   Tuberculosis respiratoria, no confirmada bacteriolgica o histolgicamente"
"A160" "A160   Tuberculosis del pulmn, con examen bacteriolgico e histolgico negativos"
"A161" "A161   Tuberculosis de pulmn, sin examen bacteriolgico e histolgico"
"A162" "A162   Tuberculosis de pulmn, sin mencin de confirmacin bacteriolgica o histolgica"
"A163" "A163   Tuberculosis de ganglios linfticos intratorcicos, sin mencin de confirmacin bacteriolgica o histolgica"
"A164" "A164   Tuberculosis de laringe, traquea y bronquios, sin mencin de confirmacin bacteriolgica o histolgica"
"A165" "A165   Pleuresa tuberculosa, sin mencin de confirmacin bacteriolgica o histolgica"
"A167" "A167   Tuberculosis respiratoria primaria, sin mencin de confirmacin bacteriolgica o histolgica"
"A168" "A168   Otras tuberculosis respiratorias, sin mencin de confirmacin"
"A169" "A169   Tuberculosis respiratoria no especificada, sin mencin de confirmacin bacteriolgica o histolgica"
"A17" "A17   Tuberculosis del sistema nervioso"
"A170" "A170   Meningitis tuberculosa"
"A171" "A171   Tuberculoma menngeo"
"A178" "A178   Otras tuberculosis del sistema nervioso"
"A179" "A179   Tuberculosis del sistema nervioso, no especificada"
"A18" "A18   Tuberculosis de otros rganos"
"A180" "A180   Tuberculosis de huesos y articulaciones"
"A181" "A181   Tuberculosis del aparato genitourinario"
"A182" "A182   Linfadenopata perifrica tuberculosa"
"A183" "A183   Tuberculosis de los intestinos, el peritoneo y los ganglios mesentricos"
"A184" "A184   Tuberculosis de la piel y el tejido subcutneo"
"A185" "A185   Tuberculosis del ojo"
"A186" "A186   Tuberculosis del odo"
"A187" "A187   Tuberculosis de glndulas suprarrenales"
"A188" "A188   Tuberculosis de otros rganos especificados"
"A19" "A19   Tuberculosis miliar"
"A190" "A190   Tuberculosis miliar aguda de un solo sitio especificado"
"A191" "A191   Tuberculosis miliar aguda de sitios mltiples"
"A192" "A192   Tuberculosis miliar aguda, no especificada"
"A198" "A198   Otras tuberculosis miliares"
"A199" "A199   Tuberculosis miliar, sin otra especificacin"
"A20" "A20   Peste"
"A200" "A200   Peste bubnica"
"A201" "A201   Peste celulocutnea"
"A202" "A202   Peste neumnica"
"A203" "A203   Meningitis por peste"
"A207" "A207   Peste septicmica"
"A208" "A208   Otras formas de peste"
"A209" "A209   Peste, no especificada"
"A21" "A21   Tularemia"
"A210" "A210   Tularemia ulceroglandular"
"A211" "A211   Tularemia oculoglandular"
"A212" "A212   Tularemia pulmonar"
"A213" "A213   Tularemia gastrointestinal"
"A217" "A217   Tularemia generalizada"
"A218" "A218   Otras formas de tularemia"
"A219" "A219   Tularemia, no especificada"
"A22" "A22   Carbunco [ntrax]"
"A220" "A220   Carbunco cutneo"
"A221" "A221   Carbunco pulmonar"
"A222" "A222   Carbunco gastrointestinal"
"A227" "A227   Carbunco sptico"
"A228" "A228   Otras formas de carbunco"
"A229" "A229   Carbunco, no especificado"
"A23" "A23   Brucelosis"
"A230" "A230   Brucelosis debida a Brucella melitensis"
"A231" "A231   Brucelosis debida a Brucella abortus"
"A232" "A232   Brucelosis debida a Brucella suis"
"A233" "A233   Brucelosis debida a Brucella canis"
"A238" "A238   Otras brucelosis"
"A239" "A239   Brucelosis, no especificada"
"A24" "A24   Muermo y melioidosis"
"A240" "A240   Muermo"
"A241" "A241   Melioidosis aguda y fulminante"
"A242" "A242   Melioidosis subaguda y crnica"
"A243" "A243   Otras melioidosis"
"A244" "A244   Melioidosis, no especificada"
"A25" "A25   Fiebre por mordedura de rata"
"A250" "A250   Espirilosis"
"A251" "A251   Estreptobacilosis"
"A259" "A259   Fiebre por mordedura de rata, no especificada"
"A26" "A26   Erisipeloide"
"A260" "A260   Erisipeloide cutneo"
"A267" "A267   Sepsis por Erysipelothrix"
"A268" "A268   Otras formas de erisipeloide"
"A269" "A269   Erisipeloide, no especificada"
"A27" "A27   Leptospirosis"
"A270" "A270   Leptospirosis icterohemorrgica"
"A278" "A278   Otras formas de leptospirosis"
"A279" "A279   Leptospirosis, no especificada"
"A28" "A28   Otras enfermedades zoonticas bacterianas, no clasificadas en otra parte"
"A280" "A280   Pasteurelosis"
"A281" "A281   Enfermedad por rasguo de gato"
"A282" "A282   Yersiniosis extraintestinal"
"A288" "A288   Otras enfermedades zoonticas bacterianas especificadas, no clasificadas en otra parte"
"A289" "A289   Enfermedad zoontica bacteriana, sin otra especificacin"
"A30" "A30   Lepra [enfermedad de Hansen]"
"A300" "A300   Lepra indeterminada"
"A301" "A301   Lepra tuberculoide"
"A302" "A302   Lepra tuberculoide limtrofe"
"A303" "A303   Lepra limtrofe"
"A304" "A304   Lepra lepromatosa limtrofe"
"A305" "A305   Lepra lepromatosa"
"A308" "A308   Otras formas de lepra"
"A309" "A309   Lepra, no especificada"
"A31" "A31   Infecciones debidas a otras micobacterias"
"A310" "A310   Infecciones por micobacterias pulmonares"
"A311" "A311   Infeccin cutnea por micobacterias"
"A318" "A318   Otras infecciones por micobacterias"
"A319" "A319   Infeccin por micobacteria, no especificada"
"A32" "A32   Listeriosis"
"A320" "A320   Listeriosis cutnea"
"A321" "A321   Meningitis y meningoencefalitis listeriana"
"A327" "A327   Sepsis listeriana"
"A328" "A328   Otras formas de listeriosis"
"A329" "A329   Listeriosis, no especificada"
"A33" "A33   Ttanos neonatal"
"A34" "A34   Ttanos obsttrico"
"A35" "A35   Otros ttanos"
"A36" "A36   Difteria"
"A360" "A360   Difteria farngea"
"A361" "A361   Difteria nasofarngea"
"A362" "A362   Difteria larngea"
"A363" "A363   Difteria cutnea"
"A368" "A368   Otras difterias"
"A369" "A369   Difteria, no especificada"
"A37" "A37   Tos ferina [tos convulsiva]"
"A370" "A370   Tos ferina debida a Bordetella pertussis"
"A371" "A371   Tos ferina debida a Bordetella parapertussis"
"A378" "A378   Tos ferina debida a otras especies de Bordetella"
"A379" "A379   Tos ferina, no especificada"
"A38" "A38   Escarlatina"
"A39" "A39   Enfermedad meningoccica"
"A390" "A390   Meningitis meningoccica"
"A391" "A391   Sndrome de Waterhouse-Friderichsen"
"A392" "A392   Meningococemia aguda"
"A393" "A393   Meningococemia crnica"
"A394" "A394   Meningococemia, no especificada"
"A395" "A395   Enfermedad cardaca debida a meningococo"
"A398" "A398   Otras formas de enfermedad meningoccica"
"A399" "A399   Enfermedad meningoccica, no especificada"
"A40" "A40   Sepsis estreptoccica"
"A400" "A400   Sepsis debida a estreptococo, grupo A"
"A401" "A401   Sepsis debida a estreptococo, grupo B"
"A402" "A402   Sepsis debida a estreptococo, grupo D"
"A403" "A403   Sepsis debida a Streptococcus pneumoniae"
"A408" "A408   Otras sepsis estreptoccicas"
"A409" "A409   Sepsis estreptoccica, no especificada"
"A41" "A41   Otras sepsis"
"A410" "A410   Sepsis debida a Staphylococcus aureus"
"A411" "A411   Sepsis debida a otro estafilococo especificado"
"A412" "A412   Sepsis debida a estafilococo no especificado"
"A413" "A413   Sepsis debida a Haemophilus influenzae"
"A414" "A414   Sepsis debida a anaerobios"
"A415" "A415   Sepsis debida a otros organismos gramnegativos"
"A418" "A418   Otras sepsis especificadas"
"A419" "A419   Sepsis, no especificada"
"A42" "A42   Actinomicosis"
"A420" "A420   Actinomicosis pulmonar"
"A421" "A421   Actinomicosis abdominal"
"A422" "A422   Actinomicosis cervicofacial"
"A427" "A427   Sepsis actinomictica"
"A428" "A428   Otras formas de actinomicosis"
"A429" "A429   Actinomicosis, sin otra especificacin"
"A43" "A43   Nocardiosis"
"A430" "A430   Nocardiosis pulmonar"
"A431" "A431   Nocardiosis cutnea"
"A438" "A438   Otras formas de nocardiosis"
"A439" "A439   Nocardiosis, no especificada"
"A44" "A44   Bartonelosis"
"A440" "A440   Bartonelosis sistmica"
"A441" "A441   Bartonelosis cutnea y mucocutnea"
"A448" "A448   Otras formas de bartonelosis"
"A449" "A449   Bartonelosis, no especificada"
"A46" "A46   Erisipela"
"A48" "A48   Otras enfermedades bacterianas, no clasificadas en otra parte"
"A480" "A480   Gangrena gaseosa"
"A481" "A481   Enfermedad de los legionarios"
"A482" "A482   Enfermedad de los legionarios no neumnica (fiebre de Pontiac)"
"A483" "A483   Sndrome del choque txico"
"A484" "A484   Fiebre purprica brasilea"
"A488" "A488   Otras enfermedades bacterianas especificadas"
"A49" "A49   Infeccin bacteriana de sitio no especificado"
"A490" "A490   Infeccin estafiloccica, sitio no especificado "
"A491" "A491   Infeccin estreptoccica y enteroccica, sitio no especificado "
"A492" "A492   Infeccin por Haemophilus influenzae, sitio no especificado"
"A493" "A493   Infeccin por micoplasma, sitio no especificado"
"A498" "A498   Otras infecciones bacterianas de sitio no especificado"
"A499" "A499   Infeccin bacteriana, no especificada"
"A50" "A50   Sfilis congnita"
"A500" "A500   Sfilis congnita precoz, sintomtica"
"A501" "A501   Sfilis congnita precoz, latente"
"A502" "A502   Sfilis congnita precoz, sin otra especificacin"
"A503" "A503   Oculopata sifiltica congnita tarda"
"A504" "A504   Neurosfilis congnita tarda [neurosfilis juvenil]"
"A505" "A505   Otras formas de sfilis congnita tarda, sintomtica"
"A506" "A506   Sfilis congnita tarda, latente"
"A507" "A507   Sfilis congnita tarda, sin otra especificacin"
"A509" "A509   Sfilis congnita, sin otra especificacin"
"A51" "A51   Sfilis precoz"
"A510" "A510   Sfilis genital primaria"
"A511" "A511   Sfilis primaria anal"
"A512" "A512   Sfilis primaria en otros sitios"
"A513" "A513   Sfilis secundaria de piel y membranas mucosas"
"A514" "A514   Otras sfilis secundarias"
"A515" "A515   Sfilis precoz, latente"
"A519" "A519   Sfilis precoz, sin otra especificacin"
"A52" "A52   Sfilis tarda"
"A520" "A520   Sfilis cardiovascular"
"A521" "A521   Neurosfilis sintomtica"
"A522" "A522   Neurosfilis asintomtica"
"A523" "A523   Neurosfilis no especificada"
"A527" "A527   Otras sfilis tardas sintomticas"
"A528" "A528   Sfilis tarda, latente"
"A529" "A529   Sfilis tarda, no especificada"
"A53" "A53   Otras sfilis y las no especificadas"
"A530" "A530   Sfilis latente, no especificada como precoz o tarda"
"A539" "A539   Sfilis, no especificada"
"A54" "A54   Infeccin gonoccica"
"A540" "A540   Infeccin gonoccica del tracto genitourinario inferior sin absceso periuretral y de glndula accesoria"
"A541" "A541   Infeccin gonoccica del tracto genitourinario inferior con absceso periuretral y de glndulas accesorias"
"A542" "A542   Pelviperitonitis gonoccica y otras infecciones gonoccicas genitourinarias"
"A543" "A543   Infeccin gonoccica del ojo"
"A544" "A544   Infeccin gonoccica del sistema osteomuscular"
"A545" "A545   Faringitis gonoccica"
"A546" "A546   Infeccin gonoccica del ano y del recto"
"A548" "A548   Otras infecciones gonoccicas"
"A549" "A549   Infeccin gonoccica, no especificada"
"A55" "A55   Linfogranuloma (venreo) por clamidias"
"A56" "A56   Otras enfermedades de transmisin sexual debidas a clamidias"
"A560" "A560   Infeccin del tracto genitourinario inferior debida a clamidias"
"A561" "A561   Infeccin del pelviperitoneo y otros rganos genitourinarios debida a clamidias"
"A562" "A562   Infecciones del tracto genitourinario debidas a clamidias, sin otra especificacin"
"A563" "A563   Infeccin del ano y del recto debida a clamidias"
"A564" "A564   Infeccin de faringe debida a clamidias"
"A568" "A568   Infeccin de transmisin sexual de otros sitios debida a clamidias"
"A57" "A57   Chancro blando"
"A58" "A58   Granuloma inguinal"
"A59" "A59   Tricomoniasis"
"A590" "A590   Tricomoniasis urogenital"
"A598" "A598   Tricomoniasis de otros sitos"
"A599" "A599   Tricomoniasis, no especificada"
"A60" "A60   Infeccin anogenital debida a virus del herpes [herpes simple]"
"A600" "A600   Infeccin de genitales y trayecto urogenital debida a virus del herpes [herpes simple]"
"A601" "A601   Infeccin de la piel perianal y recto por virus del herpes simple"
"A609" "A609   Infeccin anogenital por virus del herpes simple, sin otra especificacin"
"A63" "A63   Otras enfermedades de transmisin predominantemente sexual, no clasificadas en otra parte"
"A630" "A630   Verrugas (venreas) anogenitales"
"A638" "A638   Otras enfermedades de transmisin predominantemente sexual, especificadas"
"A64" "A64   Enfermedad de transmisin sexual no especificada"
"A65" "A65   Sfilis no venrea"
"A66" "A66   Frambesia"
"A660" "A660   Lesiones iniciales de frambesia"
"A661" "A661   Lesiones papilomatosas mltiples y frambesia con paso de cangrejo"
"A662" "A662   Otras lesiones precoces de la piel en la frambesia"
"A663" "A663   Hiperqueratosis de frambesia"
"A664" "A664   Goma ylceras de frambesia"
"A665" "A665   Gangosa"
"A666" "A666   Lesiones frambsicas de los huesos y de las articulaciones"
"A667" "A667   Otras manifestaciones de frambesia"
"A668" "A668   Frambesia latente"
"A669" "A669   Frambesia, no especificada"
"A67" "A67   Pinta [carate]"
"A670" "A670   Lesiones primarias de la pinta"
"A671" "A671   Lesiones intermedias de la pinta"
"A672" "A672   Lesiones tardas de la pinta"
"A673" "A673   Lesiones mixtas de la pinta"
"A679" "A679   Pinta, no especificada"
"A68" "A68   Fiebres recurrentes"
"A680" "A680   Fiebre recurrente transmitida por piojos"
"A681" "A681   Fiebre recurrente transmitida por garrapatas"
"A689" "A689   Fiebre recurrente, no especificada"
"A69" "A69   Otras infecciones causadas por espiroquetas"
"A690" "A690   Estomatitis ulcerativa necrotizante"
"A691" "A691   Otras infecciones de Vincent"
"A692" "A692   Enfermedad de Lyme"
"A698" "A698   Otras infecciones especificadas por espiroquetas"
"A699" "A699   Infeccin por espiroqueta, no especificada"
"A70" "A70   Infeccion debida a Chlamydia psittaci"
"A71" "A71   Tracoma"
"A710" "A710   Estado inicial de tracoma"
"A711" "A711   Estado activo de tracoma"
"A719" "A719   Tracoma, no especificado"
"A74" "A74   Otras enfermedades causadas por clamidias"
"A740" "A740   Conjuntivitis por clamidias"
"A748" "A748   Otras enfermedades por clamidias"
"A749" "A749   Infeccin por clamidias, no especificada"
"A75" "A75   Tifus"
"A750" "A750   Tifus epidmico debido a Rickettsia prowazekii transmitido por piojos"
"A751" "A751   Tifus recrudescente [enfermedad de Brill]"
"A752" "A752   Tifus debido a Rickettsia typhi"
"A753" "A753   Tifus debido a Rickettsia tsutsugamushi"
"A759" "A759   Tifus, no especificado"
"A77" "A77   Fiebre maculosa [rickettsiosis transmitida por garrapatas]"
"A770" "A770   Fiebre maculosa debida a Rickettsia rickettsii"
"A771" "A771   Fiebre maculosa debida a Rickettsia conorii"
"A772" "A772   Fiebre maculosa debida a Rickettsia siberica"
"A773" "A773   Fiebre maculosa debida a Rickettsia australis"
"A778" "A778   Otras fiebres maculosas"
"A779" "A779   Fiebre maculosa, no especificada"
"A78" "A78   Fiebre Q"
"A79" "A79   Otras rickettsiosis"
"A790" "A790   Fiebre de las trincheras"
"A791" "A791   Rickettsiosis pustulosa debida a Rickettsia akari"
"A798" "A798   Otras rickettsiosis especificadas"
"A799" "A799   Rickettsiosis, no especificada"
"A80" "A80   Poliomielitis aguda"
"A800" "A800   Poliomielitis aguda paraltica, asociada a vacuna"
"A801" "A801   Poliomielitis aguda paraltica debida a virus salvaje importado"
"A802" "A802   Poliomielitis aguda paraltica debida a virus salvaje autctono"
"A803" "A803   Otras poliomielitis agudas paralticas y las no especificadas"
"A804" "A804   Poliomielitis aguda no paraltica"
"A809" "A809   Poliomielitis aguda, sin otra especificacin"
"A81" "A81   Infecciones del sistema nervioso central por virus atpico"
"A810" "A810   Enfermedad de Creutzfeldt-Jakob"
"A811" "A811   Panencefalitis esclerosante subaguda"
"A812" "A812   Leucoencefalopata multifocal progresiva"
"A818" "A818   Otras infecciones del sistema nervioso central por virus atpico"
"A819" "A819   Infecciones del sistema nervioso central por virus atpico, sin otra especificacin"
"A82" "A82   Rabia"
"A820" "A820   Rabia selvtica"
"A821" "A821   Rabia urbana"
"A829" "A829   Rabia, sin otra especificacin"
"A83" "A83   Encefalitis viral transmitida por mosquitos"
"A830" "A830   Encefalitis japonesa"
"A831" "A831   Encefalitis equina del oeste"
"A832" "A832   Encefalitis equina del este"
"A833" "A833   Encefalitis de San Luis"
"A834" "A834   Encefalitis australiana"
"A835" "A835   Encefalitis de California"
"A836" "A836   Enfermedad por virus Roco"
"A838" "A838   Otras encefalitis virales transmitidas por mosquitos"
"A839" "A839   Encefalitis viral transmitida por mosquitos, sin otra especificacin"
"A84" "A84   Encefalitis viral transmitida por garrapatas"
"A840" "A840   Encefalitis del Lejano Oriente transmitida por garrapatas [encefalitis primaveroestival rusa]"
"A841" "A841   Encefalitis centroeuropea transmitida por garrapatas"
"A848" "A848   Otras encefalitis virales transmitida por garrapatas"
"A849" "A849   Encefalitis viral transmitida por garrapatas, sin otra especificacin"
"A85" "A85   Otras encefalitis virales, no clasificadas en otra parte"
"A850" "A850   Encefalitis enteroviral"
"A851" "A851   Encefalitis por adenovirus"
"A852" "A852   Encefalitis viral transmitida por artrpodos, sin otra especifcacin"
"A858" "A858   Otras encefalitis virales especifcadas"
"A86" "A86   Encefalitis viral, no especificada"
"A87" "A87   Meningitis viral"
"A870" "A870   Meningitis enteroviral"
"A871" "A871   Meningitis debida a adenovirus"
"A872" "A872   Coriomeningitis linfoctica"
"A878" "A878   Otras meningitis virales"
"A879" "A879   Meningitis viral, sin otra especificacin"
"A88" "A88   Otras infecciones virales del sistema nervioso central, no clasificadas en otra parte"
"A880" "A880   Fiebre exantemtica enteroviral [exantema de Boston]"
"A881" "A881   Vrtigo epidmico"
"A888" "A888   Otras infecciones virales especificadas del sistema nervioso central"
"A89" "A89   Infeccin viral del sistema nervioso central, no especificada"
"A90" "A90   Fiebre del dengue [dengue clsico]"
"A91" "A91   Fiebre del dengue hemorrgico"
"A92" "A92   Otras fiebres virales transmitidas por mosquitos"
"A920" "A920   Enfermedad por virus Chikungunya"
"A921" "A921   Fiebre de Onyong-nyong"
"A922" "A922   Fiebre equina venezolana"
"A923" "A923   Infeccin por virus del oeste del Nilo"
"A924" "A924   Fiebre del valle del Rift"
"A928" "A928   Otras fiebres virales especificadas transmitidas por mosquitos"
"A929" "A929   Fiebre viral transmitida por mosquito, sin otra especificacin"
"A93" "A93   Otras fiebres virales transmitidas por artrpodos, no clasificadas en otra parte"
"A930" "A930   Enfermedad por virus de  Oropouche"
"A931" "A931   Fiebre transmitida por flebtomos"
"A932" "A932   Fiebre de Colorado transmitida por garrapatas"
"A938" "A938   Otras fiebres virales especificadas transmitidas por artrpodos"
"A94" "A94   Fiebre viral transmitida por artrpodos, no especificada"
"A95" "A95   Fiebre amarilla"
"A950" "A950   Fiebre amarilla selvtica"
"A951" "A951   Fiebre amarilla urbana"
"A959" "A959   Fiebre amarilla, no especificada"
"A96" "A96   Fiebre hemorrgica por arenavirus"
"A960" "A960   Fiebre hemorrgica de Junn"
"A961" "A961   Fiebre hemorrgica de Machupo"
"A962" "A962   Fiebre de Lassa"
"A968" "A968   Otras fiebres hemorrgicas por arenavirus"
"A969" "A969   Fiebre hemorrgica por arenavirus, sin otra especificacin"
"A97" "A97   Dengue"
"A970" "A970   Dengue sin signos de alarma"
"A971" "A971   Dengue con signos de alarma"
"A972" "A972   Dengue severo"
"A979" "A979   Dengue no especificado"
"A98" "A98   Otras fiebres virales hemorrgicas, no clasificadas en otra parte"
"A980" "A980   Fiebre hemorrgica de Crimea-Congo"
"A981" "A981   Fiebre hemorrgica de Omsk"
"A982" "A982   Enfermedad de la selva Kyasanur"
"A983" "A983   Enfermedad por el virus de Marburg"
"A984" "A984   Enfermedad por el virus de Ebola"
"A985" "A985   Fiebres hemorrgicas con sndrome renal"
"A988" "A988   Otras fiebres hemorrgicas virales especificadas"
"A99" "A99   Fiebre viral hemorrgica, no especificada"
"B00" "B00   Infecciones herptica [herpes simple]"
"B000" "B000   Eczema herptico"
"B001" "B001   Dermatitis vesicular herptica"
"B002" "B002   Gingivoestomatitis y faringoamigdalitis herptica"
"B003" "B003   Meningitis herptica"
"B004" "B004   Encefalitis herptica"
"B005" "B005   Oculopata herptica"
"B007" "B007   Enfermedad herptica diseminada"
"B008" "B008   Otras formas de infecciones herpticas"
"B009" "B009   Infeccin debida al virus del herpes, no especificada"
"B01" "B01   Varicela"
"B010" "B010   Meningitis debida a varicela"
"B011" "B011   Encefalitis debida a varicela"
"B012" "B012   Neumona debida a varicela"
"B018" "B018   Varicela con otras complicaciones"
"B019" "B019   Varicela sin complicaciones"
"B02" "B02   Herpes zoster"
"B020" "B020   Encefalitis debida a herpes zoster"
"B021" "B021   Meningitis debida a herpes zoster"
"B022" "B022   Herpes zoster con otros compromisos del sistema nervioso"
"B023" "B023   Herpes zoster ocular"
"B027" "B027   Herpes zoster diseminado"
"B028" "B028   Herpes zoster con otras complicaciones"
"B029" "B029   Herpes zoster sin complicaciones"
"B03" "B03   Viruela"
"B04" "B04   Viruela de los monos"
"B05" "B05   Sarampin"
"B050" "B050   Sarampin complicado con encefalitis"
"B051" "B051   Sarampin complicado con meningitis"
"B052" "B052   Sarampin complicado con neumona"
"B053" "B053   Sarampin complicado con otitis media"
"B054" "B054   Sarampin con complicaciones intestinales"
"B058" "B058   Sarampin con otras complicaciones"
"B059" "B059   Sarampin sin complicaciones"
"B06" "B06   Rubola [sarampin alemn]"
"B060" "B060   Rubola con complicaciones neurolgicas"
"B068" "B068   Rubola con otras complicaciones"
"B069" "B069   Rubola sin complicaciones"
"B07" "B07   Verrugas vricas"
"B08" "B08   Otras infeciones vricas caracterizadas por lesiones de la piel y de las membranas mucosas, no clasificadas en otra parte"
"B080" "B080   Otras infecciones debidas a ortopoxvirus"
"B081" "B081   Molusco contagioso"
"B082" "B082   Exantema sbito [sexta enfermedad]"
"B083" "B083   Eritema infeccioso [quinta enfermedad]"
"B084" "B084   Estomatitis vesicular enteroviral con exantema"
"B085" "B085   Faringitis vesicular enterovrica"
"B088" "B088   Otras infecciones virales especificadas, caracterizadas por lesiones de la piel y de las membranas mucosas"
"B09" "B09   Infeccin viral no especificada, caracterizada por lesiones de la piel y de las membranas mucosas"
"B15" "B15   Hepatitis aguda tipo A"
"B150" "B150   Hepatitis aguda tipo A, con coma heptico"
"B159" "B159   Hepatitis aguda tipo A, sin coma heptico"
"B16" "B16   Hepatitis aguda tipo B"
"B160" "B160   Hepatitis aguda tipo B, con agente delta (coinfeccin), con coma heptico"
"B161" "B161   Hepatitis aguda tipo B, con agente delta (coinfeccin), sin coma heptico"
"B162" "B162   Hepatitis aguda tipo B, sin agente delta, con coma heptico"
"B169" "B169   Hepatitis aguda tipo B, sin agente delta y sin coma heptico"
"B17" "B17   Otras hepatitis virales agudas"
"B170" "B170   Infeccin (superinfeccin) aguda por agente delta en el portador de hepatitis B"
"B171" "B171   Hepatitis aguda tipo C"
"B172" "B172   Hepatitis aguda tipo E"
"B178" "B178   Otras hepatitis virales agudas especificadas"
"B179" "B179   Hepatitis viral aguda no especificada"
"B18" "B18   Hepatitis viral crnica"
"B180" "B180   Hepatitis viral tipo B crnica, con agente delta"
"B181" "B181   Hepatitis viral tipo B crnica, sin agente delta"
"B182" "B182   Hepatitis viral tipo C crnica"
"B188" "B188   Otras hepatitis virales crnicas"
"B189" "B189   Hepatitis viral crnica, sin otra especificacin"
"B19" "B19   Hepatitis viral, sin otra especificacin"
"B190" "B190   Hepatitis viral no especificada con coma heptico"
"B199" "B199   Hepatitis viral no especificada sin coma heptico"
"B20" "B20   Enfermedad por virus de la inmunodeficiencia humana [VIH], resultante en enfermedades infecciosas y parasitarias"
"B200" "B200   Enfermedad por VIH, resultante en infeccin por micobacterias"
"B201" "B201   Enfermedad por VIH, resultante en otras infecciones bacterianas"
"B202" "B202   Enfermedad por VIH, resultante en enfermedad por citomegalovirus"
"B203" "B203   Enfermedad por VIH, resultante en otras infecciones virales"
"B204" "B204   Enfermedad por VIH, resultante en candidiasis"
"B205" "B205   Enfermedad por VIH, resultante en otras micosis"
"B206" "B206   Enfermedad por VIH, resultante en neumona por Pneumocystis carinii"
"B207" "B207   Enfermedad por VIH, resultante en infecciones mltiples"
"B208" "B208   Enfermedad por VIH, resultante en otras enfermedades infecciosas o parasitarias"
"B209" "B209   Enfermedad por VIH, resultante en enfermedad infecciosa o parasitaria no especificada"
"B21" "B21   Enfermedad por virus de la inmunodeficiencia humana [VIH], resultante  en tumores malignos"
"B210" "B210   Enfermedad por VIH, resultante en sarcoma de Kaposi"
"B211" "B211   Enfermedad por VIH, resultante en linfoma de Burkitt"
"B212" "B212   Enfermedad por VIH, resultante en otros tipos de linfoma no Hodgkin"
"B213" "B213   Enfermedad por VIH, resultante en otros tumores malignos del tejido linfoide, hematopoytico y tejidos relacionados"
"B217" "B217   Enfermedad por VIH, resultante en tumores malignos mltiples"
"B218" "B218   Enfermedad por VIH, resultante en otros tumores malignos"
"B219" "B219   Enfermedad por VIH, resultante en tumores malignos no especificados"
"B22" "B22   Enfermedad por virus de la inmunodeficiencia humana [VIH], resultante en otras enfermedades especificadas"
"B220" "B220   Enfermedad por VIH, resultante en encefalopata"
"B221" "B221   Enfermedad por VIH, resultante en neumonitis linfoide intersticial"
"B222" "B222   Enfermedad por VIH, resultante en sndrome caquctico"
"B227" "B227   Enfermedad por VIH, resultante en enfermedades mltiples clasificadas en otra parte"
"B23" "B23   Enfermedad por virus de la inmunodeficiencia humana [VIH], resultante en otras afecciones"
"B230" "B230   Sndrome de infeccin aguda debida a VIH"
"B231" "B231   Enfermedad por VIH, resultante en linfadenopata generalizada (persistente)"
"B232" "B232   Enfermedad por VIH, resultante en anormalidades inmunolgicas y hematolgicas, no clasificadas en otra parte"
"B238" "B238   Enfermedad por VIH, resultante en otras afecciones especificadas"
"B24" "B24   Enfermedad por virus de la inmunodeficiencia humana [VIH], sin otra especificacin"
"B25" "B25   Enfermedad debida a virus citomeglico"
"B250" "B250   Neumonitis debida a virus citomeglico"
"B251" "B251   Hepatitis debida a virus citomeglico"
"B252" "B252   Pancreatitis debida a virus citomeglico"
"B258" "B258   Otras enfermedades debidas a virus citomeglico"
"B259" "B259   Enfermedad por virus citomeglico, no especificada"
"B26" "B26   Parotiditis infecciosa"
"B260" "B260   Orquitis por parotiditis"
"B261" "B261   Meningitis por parotiditis"
"B262" "B262   Encefalitis por parotiditis"
"B263" "B263   Pancreatitis por parotiditis"
"B268" "B268   Parotiditis infecciosa con otras complicaciones"
"B269" "B269   Parotiditis, sin complicaciones"
"B27" "B27   Mononucleosis infecciosa"
"B270" "B270   Mononucleosis debida a herpes virus gamma"
"B271" "B271   Mononucleosis por citomegalovirus"
"B278" "B278   Otras mononucleosis infecciosas"
"B279" "B279   Mononucleosis infecciosa, no especificada"
"B30" "B30   Conjuntivitis viral"
"B300" "B300   Queratoconjuntivitis debida a adenovirus"
"B301" "B301   Conjuntivitis debida a adenovirus"
"B302" "B302   Faringoconjuntivitis viral"
"B303" "B303   Conjuntivitis epidmica aguda hemorrgica (enterovrica)"
"B308" "B308   Otras conjuntivitis virales"
"B309" "B309   Conjuntivitis viral, sin otra especificacin"
"B33" "B33   Otras enfermedades virales, no clasificadas en otra parte"
"B330" "B330   Mialgia epidmica"
"B331" "B331   Enfermedad del ro Ross"
"B332" "B332   Carditis viral"
"B333" "B333   Infecciones debidas a retrovirus, no clasificadas en otra parte"
"B334" "B334   Sndrome (cardio) pulmonar por hantavirus [SPH] [SCPH] "
"B338" "B338   Otras enfermedades virales especificadas"
"B34" "B34   Infeccin viral de sitio no especificado"
"B340" "B340   Infeccin debida a adenovirus, sin otra especificacin"
"B341" "B341   Infeccin debida a enterovirus, sin otra especificacin"
"B342" "B342   Infeccin debida a Coronavirus, sin otra especificacin"
"B343" "B343   Infeccin debida a Parvovirus, sin otra especificacin"
"B344" "B344   Infeccin debida a Papovavirus, sin otra especificacin"
"B348" "B348   Otras infecciones virales de sitio no especificado"
"B349" "B349   Infeccin viral, no especificada"
"B35" "B35   Dermatofitosis"
"B350" "B350   Tia de la barba y del cuero cabelludo"
"B351" "B351   Tia de las uas"
"B352" "B352   Tia de la mano"
"B353" "B353   Tia del pie [Tinea pedis]"
"B354" "B354   Tia del cuerpo [Tinea corporis]"
"B355" "B355   Tia imbricada [Tinea imbricata]"
"B356" "B356   Tia inguinal [Tinea cruris]"
"B358" "B358   Otras dermatofitosis"
"B359" "B359   Dermatofitosis, no especificada"
"B36" "B36   Otras micosis superficiales"
"B360" "B360   Pitiriasis versicolor"
"B361" "B361   Tia negra"
"B362" "B362   Piedra blanca"
"B363" "B363   Piedra negra"
"B368" "B368   Otras micosis superficiales especificadas"
"B369" "B369   Micosis superficial, sin otra especificacin"
"B37" "B37   Candidiasis"
"B370" "B370   Estomatitis candidisica"
"B371" "B371   Candidiasis pulmonar"
"B372" "B372   Candidiasis de la piel y las uas"
"B373" "B373   Candidiasis de la vulva y de la vagina"
"B374" "B374   Candidiasis de otras localizaciones urogenitales"
"B375" "B375   Meningitis debida a Candida"
"B376" "B376   Endocarditis debida a Candida"
"B377" "B377   Sepsis debida a Candida"
"B378" "B378   Candidiasis de otros sitios"
"B379" "B379   Candidiasis, no especificada"
"B38" "B38   Coccidioidomicosis"
"B380" "B380   Coccidioidomicosis pulmonar aguda"
"B381" "B381   Coccidioidomicosis pulmonar crnica"
"B382" "B382   Coccidioidomicosis pulmonar, sin otra especificacin"
"B383" "B383   Coccidioidomicosis cutnea"
"B384" "B384   Meningitis debida a coccidioidomicosis"
"B387" "B387   Coccidioidomicosis diseminada"
"B388" "B388   Otras formas de coccidioidomicosis"
"B389" "B389   Coccidioidomicosis, no especificada"
"B39" "B39   Histoplasmosis"
"B390" "B390   Infeccin pulmonar aguda debida a Histoplasma capsulatum"
"B391" "B391   Infeccin pulmonar crnica debida a Histoplasma capsulatum"
"B392" "B392   Infeccin pulmonar debida a Histoplasma capsulatum, sin otra especificacin"
"B393" "B393   Infeccin diseminada debida a Histoplasma capsulatum"
"B394" "B394   Histoplasmosis debida a Histoplasma capsulatum, sin otra especificacin"
"B395" "B395   Infeccin debida a Histoplasma duboisii"
"B399" "B399   Histoplasmosis, no especificada"
"B40" "B40   Blastomicosis"
"B400" "B400   Blastomicosis pulmonar aguda"
"B401" "B401   Blastomicosis pulmonar crnica"
"B402" "B402   Blastomicosis pulmonar, sin otra especificacin"
"B403" "B403   Blastomicosis cutnea"
"B407" "B407   Blastomicosis diseminada"
"B408" "B408   Otras formas de blastomicosis"
"B409" "B409   Blastomicosis, no especificada"
"B41" "B41   Paracoccidioidomicosis"
"B410" "B410   Paracoccidioidomicosis pulmonar"
"B417" "B417   Paracoccidioidomicosis diseminada"
"B418" "B418   Otras formas de paracoccidioidomicosis"
"B419" "B419   Paracoccidioidomicosis, no especificada"
"B42" "B42   Esporotricosis"
"B420" "B420   Esporotricosis pulmonar"
"B421" "B421   Esporotricosis linfocutnea"
"B427" "B427   Esporotricosis diseminada"
"B428" "B428   Otras formas de esporotricosis"
"B429" "B429   Esporotricosis, no especificada"
"B43" "B43   Cromomicosis y absceso feomictico"
"B430" "B430   Cromomicosis cutnea"
"B431" "B431   Absceso cerebral feomictico"
"B432" "B432   Absceso y quiste subcutneo feomictico"
"B438" "B438   Otras formas de cromomicosis"
"B439" "B439   Cromomicosis,no especificada"
"B44" "B44   Aspergilosis"
"B440" "B440   Aspergilosis pulmonar invasiva"
"B441" "B441   Otras aspergilosis pulmonares"
"B442" "B442   Aspergilosis amigdalina"
"B447" "B447   Aspergilosis diseminada"
"B448" "B448   Otras formas de aspergilosis"
"B449" "B449   Aspergilosis, no especificada"
"B45" "B45   Criptococosis"
"B450" "B450   Criptococosis pulmonar"
"B451" "B451   Criptococosis cerebral"
"B452" "B452   Criptococosis cutnea"
"B453" "B453   Criptococosis sea"
"B457" "B457   Criptococosis diseminada"
"B458" "B458   Otras formas de criptococosis"
"B459" "B459   Criptococosis, no especificada"
"B46" "B46   Cigomicosis"
"B460" "B460   Mucormicosis pulmonar"
"B461" "B461   Mucormicosis rinocerebral"
"B462" "B462   Mucormicosis gastrointestinal"
"B463" "B463   Mucormicosis cutnea"
"B464" "B464   Mucormicosis diseminada"
"B465" "B465   Mucormicosis, sin otra especificacin"
"B468" "B468   Otras cigomicosis"
"B469" "B469   Cigomicosis, no especificada"
"B47" "B47   Micetoma"
"B470" "B470   Eumicetoma"
"B471" "B471   Actinomicetoma"
"B479" "B479   Micetoma, no especificado"
"B48" "B48   Otras micosis, no clasificadas en otra parte"
"B480" "B480   Lobomicosis"
"B481" "B481   Rinosporidiosis"
"B482" "B482   Alesqueriasis"
"B483" "B483   Geotricosis"
"B484" "B484   Penicilosis"
"B487" "B487   Micosis oportunistas"
"B488" "B488   Otras micosis especificadas"
"B49" "B49   Micosis, no especificada"
"B50" "B50   Paludismo [malaria] debido a Plasmodium falciparum"
"B500" "B500   Paludismo debido a Plasmodium falciparum con complicaciones cerebrales"
"B508" "B508   Otro paludismo grave y complicado debido a Plasmodium falciparum"
"B509" "B509   Paludismo debido a Plasmodium falciparum, sin otra especificacin"
"B51" "B51   Paludismo [malaria] debido a Plasmodium vivax"
"B510" "B510   Paludismo debido a Plasmodium vivax con ruptura esplnica"
"B518" "B518   Paludismo debido a Plasmodium vivax con otras complicaciones"
"B519" "B519   Paludismo debido a Plasmodium vivax, sin complicaciones"
"B52" "B52   Paludismo [malaria] debido a Plasmodium malariae"
"B520" "B520   Paludismo debido a Plasmodium malariae con nefropata"
"B528" "B528   Paludismo debido a Plasmodium malariae con otras complicaciones"
"B529" "B529   Paludismo debido a Plasmodium malariae, sin complicaciones"
"B53" "B53   Otro paludismo [malaria] confirmado parasitolgicamente"
"B530" "B530   Paludismo debido a Plasmodium ovale"
"B531" "B531   Paludismo debido a plasmodios de los simios"
"B538" "B538   Otro paludismo confirmado parasitolgicamente, no clasificado en otra parte"
"B54" "B54   Paludismo [malaria] no especificado"
"B55" "B55   Leishmaniasis"
"B550" "B550   Leishmaniasis visceral"
"B551" "B551   Leishmaniasis cutnea"
"B552" "B552   Leishmaniasis mucocutnea"
"B559" "B559   Leishmaniasis, no especificada"
"B56" "B56   Tripanosomiasis africana"
"B560" "B560   Tripanosomiasis gambiense"
"B561" "B561   Tripanosomiasis rhodesiense"
"B569" "B569   Tripanosomiasis africana, sin otra especificacin"
"B57" "B57   Enfermedad de Chagas"
"B570" "B570   Enfermedad de Chagas aguda que afecta al corazn"
"B571" "B571   Enfermedad de Chagas aguda que no afecta al corazn"
"B572" "B572   Enfermedad de Chagas (crnica) que afecta al corazn"
"B573" "B573   Enfermedad de Chagas (crnica) que afecta al sistema digestivo"
"B574" "B574   Enfermedad de Chagas (crnica) que afecta al sistema nervioso"
"B575" "B575   Enfermedad de Chagas (crnica) que afecta otros rganos"
"B58" "B58   Toxoplasmosis"
"B580" "B580   Oculopata debida a toxoplasma"
"B581" "B581   Hepatitis debida a toxoplasma"
"B582" "B582   Meningoencefalitis debida a toxoplasma"
"B583" "B583   Toxoplasmosis pulmonar"
"B588" "B588   Toxoplasmosis con otro rgano afectado"
"B589" "B589   Toxoplasmosis, no especificada"
"B59" "B59   Neumocistosis"
"B60" "B60   Otras enfermedades debidas a protozoarios, no clasificadas en otra parte"
"B600" "B600   Babesiosis"
"B601" "B601   Acantamebiasis"
"B602" "B602   Naegleriasis"
"B608" "B608   Otras enfermedades especificadas debidas a protozoarios"
"B64" "B64   Enfermedad debida a protozoarios, no especificada"
"B65" "B65   Esquistosomiasis [bilharziasis]"
"B650" "B650   Esquistosomiasis debida a Schistosoma haematobium (esquistosomiasis urinaria)"
"B651" "B651   Esquistosomiasis debida a Schistosoma mansoni [esquistosomiasis intestinal]"
"B652" "B652   Esquistosomiasis debida a Schistosoma japonicum"
"B653" "B653   Dermatitis por cercarias"
"B658" "B658   Otras esquistosomiasis"
"B659" "B659   Esquistosomiasis, no especificada"
"B66" "B66   Otras infecciones debidas a trematodos"
"B660" "B660   Opistorquiasis"
"B661" "B661   Clonorquiasis"
"B662" "B662   Dicrocoeliasis"
"B663" "B663   Fascioliasis"
"B664" "B664   Paragonimiasis"
"B665" "B665   Fasciolopsiasis"
"B668" "B668   Otras infecciones especificadas debidas a trematodos"
"B669" "B669   Infeccin debida a trematodos, no especificada"
"B67" "B67   Equinococosis"
"B670" "B670   Infeccin del hgado debida a Echinococcus granulosus"
"B671" "B671   Infeccin del pulmn debida a Echinococcus granulosus"
"B672" "B672   Infeccin de hueso debida a Echinococcus granulosus"
"B673" "B673   Infeccin de otro rgano y de sitios mltiples debida a Echinococcus granulosus"
"B674" "B674   Infeccin debida a Echinococcus granulosus, sin otra especificacin"
"B675" "B675   Infeccin del hgado debida a Echinococcus multilocularis"
"B676" "B676   Infeccin de otro rgano y de sitios mltiples debida a Echinococcus multilocularis"
"B677" "B677   Infeccin debida a Echinococcus multilocularis, sin otra especificacin"
"B678" "B678   Equinococosis del hgado, no especificada"
"B679" "B679   Equinococosis, otra y la no especificada"
"B68" "B68   Teniasis"
"B680" "B680   Teniasis debida a Taenia solium"
"B681" "B681   Infeccin debida a Taenia saginata"
"B689" "B689   Teniasis, no especificada"
"B69" "B69   Cisticercosis"
"B690" "B690   Cisticercosis del sistema nervioso central"
"B691" "B691   Cisticercosis del ojo"
"B698" "B698   Cisticercosis de otros sitios"
"B699" "B699   Cisticercosis, no especificada"
"B70" "B70   Difilobotriasis y esparganosis"
"B700" "B700   Difilobotriasis intestinal"
"B701" "B701   Esparganosis"
"B71" "B71   Otras infecciones debidas a cestodos"
"B710" "B710   Himenolepiasis"
"B711" "B711   Dipilidiasis"
"B718" "B718   Otras infecciones debidas a cestodos especificadas"
"B719" "B719   Infecciones debidas a cestodos, no especificada"
"B72" "B72   Dracontiasis"
"B73" "B73   Oncocercosis"
"B74" "B74   Filariasis"
"B740" "B740   Filariasis debida a Wuchereria bancrofti"
"B741" "B741   Filariasis debida a Brugia malayi"
"B742" "B742   Filariasis debida a Brugia timori"
"B743" "B743   Loaiasis"
"B744" "B744   Mansoneliasis"
"B748" "B748   Otras filariasis"
"B749" "B749   Filariasis, no especificada"
"B75" "B75   Triquinosis"
"B76" "B76   Anquilostomiasis y necatoriasis"
"B760" "B760   Anquilostomiasis"
"B761" "B761   Necatoriasis"
"B768" "B768   Otras enfermedades debidas a anquilostomas"
"B769" "B769   Enfermedad debida a anquilostomas, no especificada"
"B77" "B77   Ascariasis"
"B770" "B770   Ascariasis con complicaciones intestinales"
"B778" "B778   Ascariasis con otras complicaciones"
"B779" "B779   Ascariasis, no especificada"
"B78" "B78   Estrongiloidiasis"
"B780" "B780   Estrongiloidiasis intestinal"
"B781" "B781   Estrongiloidiasis cutnea"
"B787" "B787   Estrongiloidiasis diseminada"
"B789" "B789   Estrongiloidiasis, no especificada"
"B79" "B79   Tricuriasis"
"B80" "B80   Enterobiasis"
"B81" "B81   Otras helmintiasis intestinales, no clasificadas en otra parte"
"B810" "B810   Anisaquiasis"
"B811" "B811   Capilariasis intestinal"
"B812" "B812   Tricoestrongiliasis"
"B813" "B813   Angioestrongiliasis intestinal"
"B814" "B814   Helmintiasis intestinal mixta"
"B818" "B818   Otras helmintiasis intestinales especificadas"
"B82" "B82   Parasitosis intestinal, sin otra especificacin"
"B820" "B820   Helmintiasis intestinal, sin otra especificacin"
"B829" "B829   Parasitosis intestinal, sin otra especificacin"
"B83" "B83   Otros helmintiasis"
"B830" "B830   Larva migrans visceral"
"B831" "B831   Gnatostomiasis"
"B832" "B832   Angioestrongiliasis debida a Parastrongylus cantonensis"
"B833" "B833   Singamiasis"
"B834" "B834   Hirudiniasis interna"
"B838" "B838   Otras helmintiasis especificadas"
"B839" "B839   Helmintiasis, no especificada"
"B85" "B85   Pediculosis y phthiriasis"
"B850" "B850   Pediculosis debida a Pediculus humanus capitis"
"B851" "B851   Pediculosis debida a Pediculus humanus corporis"
"B852" "B852   Pediculosis, sin otra especificacin"
"B853" "B853   Phthiriasis"
"B854" "B854   Pediculosis y phthiriasis mixtas"
"B86" "B86   Escabiosis"
"B87" "B87   Miasis"
"B870" "B870   Miasis cutnea"
"B871" "B871   Miasis en heridas"
"B872" "B872   Miasis ocular"
"B873" "B873   Miasis nasofarngea"
"B874" "B874   Miasis aural"
"B878" "B878   Miasis de otros sitios"
"B879" "B879   Miasis, no especificada"
"B88" "B88   Otras infestaciones"
"B880" "B880   Otras acariasis"
"B881" "B881   Tungiasis [infeccin debida a pulga de arena]"
"B882" "B882   Otras infestaciones debidas a artrpodos"
"B883" "B883   Hirudiniasis externa"
"B888" "B888   Otras infestaciones especificadas"
"B889" "B889   Infestacin, no especificada"
"B89" "B89   Enfermedad parasitaria, no especificada"
"B90" "B90   Secuelas de tuberculosis"
"B900" "B900   Secuelas de tuberculosis del sistema nervioso central"
"B901" "B901   Secuelas de tuberculosis genitourinaria"
"B902" "B902   Secuelas de tuberculosis de huesos y articulaciones"
"B908" "B908   Secuelas de tuberculosis de otros rganos especificados"
"B909" "B909   Secuelas de tuberculosis respiratoria y de tuberculosis no especificada"
"B91" "B91   Secuelas de poliomielitis"
"B92" "B92   Secuelas de lepra"
"B94" "B94   Secuelas de otras enfermedades infecciosas y parasitarias de los no especificadas"
"B940" "B940   Secuelas de tracoma"
"B941" "B941   Secuelas de encefalitis viral"
"B942" "B942   Secuelas de hepatitis viral"
"B948" "B948   Secuelas de otras enfermedades infecciosas y parasitarias especificadas"
"B949" "B949   Secuelas de enfermedades infecciosas y parasitarias no especificadas"
"B95" "B95   Estreptococos y estafilococos como causa de enfermedades clasificadas en otros captulos"
"B950" "B950   Estreptococo, grupo A, como causa de enfermedades clasificadas en otros captulos"
"B951" "B951   Estreptococo, grupo B, como causa de enfermedades clasificadas en otros captulos"
"B952" "B952   Estreptococo, grupo D, como causa de enfermedades clasificadas en otros captulos"
"B953" "B953   Streptococcus pneumoniae como causa de enfermedades clasificadas en otros captulos"
"B954" "B954   Otros estreptococos como causa de enfermedades clasificadas en otros captulos"
"B955" "B955   Estreptococo no especificado como causa de enfermedades clasificadas en otros captulos"
"B956" "B956   Staphylococcus aureus como causa de enfermedades clasificadas en otros captulos"
"B957" "B957   Otros estafilococos como causa de enfermedades clasificadas en otros captulos"
"B958" "B958   Estafilococo no especificado, como causa de enfermedades clasificadas en otros captulos"
"B96" "B96   Otros agentes bacterianos especificados como causa de enfermedades clasificadas en otros captulos"
"B960" "B960   Mycoplasma pneumoniae [M. pneumoniae] como causa de enfermedades clasificadas en otros captulos"
"B961" "B961   Klebsiella pneumoniae [K. pneumoniae] como causa de enfermedades clasificadas en otros captulos"
"B962" "B962   Escherichia coli [E. coli] como causa de enfermedades clasificadas en otros captulos"
"B963" "B963   Haemophilus influenzae [H. influenzae] como causa de enfermedades clasificadas en otros captulos"
"B964" "B964   Proteus (mirabilis) (morganii) como causa de enfermedades clasificadas en otros captulos"
"B965" "B965   Pseudomonas (aeruginosa) como causa de enfermedades clasificadas en otros captulos"
"B966" "B966   Bacillus fragilis  [B. fragilis] como causa de enfermedades clasificadas en otros captulos"
"B967" "B967   Clostridium perfringens [C. perfringens] como causa de enfermedades clasificadas en otros captulos"
"B968" "B968   Otros agentes bacterianos especificados como causa de enfermedades clasificadas en otros captulos"
"B97" "B97   Agentes virales como causa de enfermedades clasificadas en otros captulos"
"B970" "B970   Adenovirus como causa de enfermedades clasificadas en otros captulos"
"B971" "B971   Enterovirus como causa de enfermedades clasificadas en otros captulos"
"B972" "B972   Coronavirus como causa de enfermedades clasificadas en otros captulos"
"B973" "B973   Retrovirus como causa de enfermedades clasificadas en otros captulos"
"B974" "B974   Virus sincicial respiratorio como causa de enfermedades clasificadas en otros captulos"
"B975" "B975   Reovirus como causa de enfermedades clasificadas en otros captulos"
"B976" "B976   Parvovirus como causa de enfermedades clasificadas en otros captulos"
"B977" "B977   Papilomavirus como causa de enfermedades clasificadas en otros captulos"
"B978" "B978   Otros agentes virales como causa de enfermedades clasificadas en otros captulos"
"B98" "B98   Otros agentes infecciosos especificados como causa de enfermedades clasificadas en otros captulos"
"B980" "B980   Helicobacter pylori [H.pylori] como la causa de enfermedades clasificadas en otros captulos"
"B981" "B981   Vibrio vulnificus como la causa de enfermedades clasificadas en otros captulos"
"B99" "B99   Otras enfermedades infecciosas y las no especificadas"
"C00" "C00   Tumor maligno del labio"
"C000" "C000   Tumor maligno del labio superior, cara externa"
"C001" "C001   Tumor maligno del labio inferior, cara externa"
"C002" "C002   Tumor maligno del labio, cara externa, sin otra especificacin"
"C003" "C003   Tumor maligno del labio superior, cara interna"
"C004" "C004   Tumor maligno del labio inferior, cara interna"
"C005" "C005   Tumor maligno del labio, cara interna, sin otra especificacin"
"C006" "C006   Tumor maligno de la comisura labial"
"C008" "C008   Lesin de sitios contiguos del labio"
"C009" "C009   Tumor maligno del labio, parte no especificada"
"C01" "C01   Tumor maligno de la base de la lengua"
"C02" "C02   Tumor maligno de otras partes y de las no especificadas de la lengua"
"C020" "C020   Tumor maligno de la cara dorsal de la lengua"
"C021" "C021   Tumor maligno del borde de la lengua"
"C022" "C022   Tumor maligno de la cara ventral de la lengua"
"C023" "C023   Tumor maligno de los dos tercios anteriores de la lengua, parte no especificada"
"C024" "C024   Tumor maligno de la amgdala lingual"
"C028" "C028   Lesin de sitios contiguos de la lengua"
"C029" "C029   Tumor maligno de la lengua, parte no especificada"
"C03" "C03   Tumor maligno de la enca"
"C030" "C030   Tumor maligno de la enca superior"
"C031" "C031   Tumor maligno de la enca inferior"
"C039" "C039   Tumor maligno de la enca, parte no especificada"
"C04" "C04   Tumor maligno del piso de la boca"
"C040" "C040   Tumor maligno de la parte anterior del piso de la boca"
"C041" "C041   Tumor maligno de la parte lateral del piso de la boca"
"C048" "C048   Lesin de sitios contiguos del piso de la boca"
"C049" "C049   Tumor maligno del piso de la boca, parte no especificada"
"C05" "C05   Tumor maligno del paladar"
"C050" "C050   Tumor maligno del paladar duro"
"C051" "C051   Tumor maligno del paladar blando"
"C052" "C052   Tumor maligno de lavula"
"C058" "C058   Lesin de sitios contiguos del paladar"
"C059" "C059   Tumor maligno del paladar, parte no especificada"
"C06" "C06   Tumor maligno de otras partes y de las no especificadas de la boca"
"C060" "C060   Tumor maligno de la mucosa de la mejilla"
"C061" "C061   Tumor maligno del vestbulo de la boca"
"C062" "C062   Tumor maligno del rea retromolar"
"C068" "C068   Lesin de sitios contiguos de otras partes y de las no especificadas de la boca"
"C069" "C069   Tumor maligno de la boca, parte no especificada"
"C07" "C07   Tumor maligno de la glndula partida"
"C08" "C08   Tumor maligno de otras glndulas salivales mayores y de las no especificadas"
"C080" "C080   Tumor maligno de la glndula submaxilar"
"C081" "C081   Tumor maligno de la glndula sublingual"
"C088" "C088   Lesin de sitios contiguos de las glndulas salivales mayores"
"C089" "C089   Tumor maligno de glndula salival mayor, no especificada"
"C09" "C09   Tumor maligno de la amgdala"
"C090" "C090   Tumor maligno de la fosa amigdalina"
"C091" "C091   Tumor maligno del pilar amigdalino (anterior) (posterior)"
"C098" "C098   Lesin de sitios contiguos de la amgdala"
"C099" "C099   Tumor maligno de la amgdala, parte no especificada"
"C10" "C10   Tumor maligno de la orofaringe"
"C100" "C100   Tumor maligno de la valcula"
"C101" "C101   Tumor maligno de la cara anterior de la epiglotis"
"C102" "C102   Tumor maligno de la pared lateral de la orofaringe"
"C103" "C103   Tumor maligno de la pared posterior de la orofaringe"
"C104" "C104   Tumor maligno de la hendidura branquial"
"C108" "C108   Lesin de sitios contiguos de la orofaringe"
"C109" "C109   Tumor maligno de la orofaringe, parte no especificada"
"C11" "C11   Tumor maligno de la nasofaringe"
"C110" "C110   Tumor maligno de la pared superior de la nasofaringe"
"C111" "C111   Tumor maligno de la pared posterior de la nasofaringe"
"C112" "C112   Tumor maligno de la pared lateral de la nasofaringe"
"C113" "C113   Tumor maligno de la pared anterior de la nasofaringe"
"C118" "C118   Lesin de sitios contiguos de la nasofaringe"
"C119" "C119   Tumor maligno de la nasofaringe, parte no especificada"
"C12" "C12   Tumor maligno del seno piriforme"
"C13" "C13   Tumor maligno de la hipofaringe"
"C130" "C130   Tumor maligno de la regin postcricoidea"
"C131" "C131   Tumor maligno del pliegue aritenoepigltico, cara hipofarngea"
"C132" "C132   Tumor maligno de la pared posterior de la hipofaringe"
"C138" "C138   Lesin de sitios contiguos de la hipofaringe"
"C139" "C139   Tumor maligno de la hipofaringe, parte no especificada"
"C14" "C14   Tumor maligno de otros sitios y de los mal definidos del labio, de la cavidad bucal y de la faringe"
"C140" "C140   Tumor maligno de la faringe, parte no especificada"
"C142" "C142   Tumor maligno del anillo de Waldeyer"
"C148" "C148   Lesin de sitios contiguos del labio, de la cavidad bucal y de la faringe"
"C15" "C15   Tumor maligno del esfago"
"C150" "C150   Tumor maligno del esfago, porcin cervical"
"C151" "C151   Tumor maligno del esfago, porcin torcica"
"C152" "C152   Tumor maligno del esfago, porcin abdominal"
"C153" "C153   Tumor maligno del tercio superior del esfago"
"C154" "C154   Tumor maligno del tercio medio del esfago"
"C155" "C155   Tumor maligno del tercio inferior del esfago"
"C158" "C158   Lesin de sitios contiguos del esfago"
"C159" "C159   Tumor maligno del esfago, parte no especificada"
"C16" "C16   Tumor maligno del estmago"
"C160" "C160   Tumor maligno del cardias"
"C161" "C161   Tumor maligno del fundus gstrico"
"C162" "C162   Tumor maligno del cuerpo del estmago"
"C163" "C163   Tumor maligno del antro pilrico"
"C164" "C164   Tumor maligno del ploro"
"C165" "C165   Tumor maligno de la curvatura menor del estmago, sin otra especificacin"
"C166" "C166   Tumor maligno de la curvatura mayor del estmago, sin otra especificacin"
"C168" "C168   Lesin de sitios contiguos del estmago"
"C169" "C169   Tumor maligno del estmago, parte no especificada"
"C17" "C17   Tumor maligno del intestino delgado"
"C170" "C170   Tumor maligno del duodeno"
"C171" "C171   Tumor maligno del yeyuno"
"C172" "C172   Tumor maligno del leon"
"C173" "C173   Tumor maligno del divertculo de Meckel"
"C178" "C178   Lesin de sitios contiguos del intestino delgado"
"C179" "C179   Tumor maligno del intestino delgado, parte no especificada"
"C18" "C18   Tumor maligno del colon"
"C180" "C180   Tumor maligno del ciego"
"C181" "C181   Tumor maligno del apndice"
"C182" "C182   Tumor maligno del colon ascendente"
"C183" "C183   Tumor maligno del ngulo heptico"
"C184" "C184   Tumor maligno del colon transverso"
"C185" "C185   Tumor maligno del ngulo esplnico"
"C186" "C186   Tumor maligno del colon descendente"
"C187" "C187   Tumor maligno del colon sigmoide"
"C188" "C188   Lesin de sitios contiguos del colon"
"C189" "C189   Tumor maligno del colon, parte no especificada"
"C19" "C19   Tumor maligno de la unin rectosigmoidea"
"C20" "C20   Tumor maligno del recto"
"C21" "C21   Tumor maligno del ano y del conducto anal"
"C210" "C210   Tumor maligno del ano, parte no especificada"
"C211" "C211   Tumor maligno del conducto anal"
"C212" "C212   Tumor maligno de la zona cloacognica"
"C218" "C218   Lesin de sitios contiguos del ano, del conducto anal y del recto"
"C22" "C22   Tumor maligno del hgado y de las vas biliares intrahepticas"
"C220" "C220   Carcinoma de clulas hepticas"
"C221" "C221   Carcinoma de vas biliares intrahepticas"
"C222" "C222   Hepatoblastoma"
"C223" "C223   Angiosarcoma del hgado"
"C224" "C224   Otros sarcomas del hgado"
"C227" "C227   Otros carcinomas especificados del hgado"
"C229" "C229   Tumor maligno del hgado, no especificado"
"C23" "C23   Tumor maligno de la vescula biliar"
"C24" "C24   Tumor maligno de otras partes y de las no especificadas de las vas biliares"
"C240" "C240   Tumor maligno de las vas biliares extrahepticas"
"C241" "C241   Tumor maligno de la ampolla de Vater"
"C248" "C248   Lesin de sitios contiguos de las vas biliares"
"C249" "C249   Tumor maligno de las vas biliares, parte no especificada"
"C25" "C25   Tumor maligno del pncreas"
"C250" "C250   Tumor maligno de la cabeza del pncreas"
"C251" "C251   Tumor maligno del cuerpo del pncreas"
"C252" "C252   Tumor maligno de la cola del pncreas"
"C253" "C253   Tumor maligno del conducto pancretico"
"C254" "C254   Tumor maligno del pncreas endocrino"
"C257" "C257   Tumor maligno de otras partes especificadas del pncreas"
"C258" "C258   Lesin de sitios contiguos del pncreas"
"C259" "C259   Tumor maligno del pncreas, parte no especificada"
"C26" "C26   Tumor maligno de otros sitios y de los mal definidos de los rganos digestivos"
"C260" "C260   Tumor maligno del intestino, parte no especificada"
"C261" "C261   Tumor maligno del bazo"
"C268" "C268   Lesin de sitios contiguos de los rganos digestivos"
"C269" "C269   Tumor maligno de sitios mal definidos de los rganos digestivos"
"C30" "C30   Tumor maligno de las fosas nasales y del odo medio"
"C300" "C300   Tumor maligno de la fosa nasal"
"C301" "C301   Tumor maligno del odo medio"
"C31" "C31   Tumor maligno de los senos paranasales"
"C310" "C310   Tumor maligno del seno maxilar"
"C311" "C311   Tumor maligno del seno etmoidal"
"C312" "C312   Tumor maligno del seno frontal"
"C313" "C313   Tumor maligno del seno esfenoidal"
"C318" "C318   Lesin de sitios contiguos de los senos paranasales"
"C319" "C319   Tumor maligno de seno paranasal no especificado"
"C32" "C32   Tumor maligno de la laringe"
"C320" "C320   Tumor maligno de la glotis"
"C321" "C321   Tumor maligno de la regin supragltica"
"C322" "C322   Tumor maligno de la regin subgltica"
"C323" "C323   Tumor maligno del cartlago larngeo"
"C328" "C328   Lesin de sitios contiguos de la laringe"
"C329" "C329   Tumor maligno de la laringe, parte no especificada"
"C33" "C33   Tumor maligno de la trquea"
"C34" "C34   Tumor maligno de los bronquios y del pulmn"
"C340" "C340   Tumor maligno del bronquio principal"
"C341" "C341   Tumor maligno del lbulo superior, bronquio o pulmn"
"C342" "C342   Tumor maligno del lbulo medio, bronquio o pulmn"
"C343" "C343   Tumor maligno del lbulo inferior, bronquio o pulmn"
"C348" "C348   Lesin de sitios contiguos de los bronquios y del pulmn"
"C349" "C349   Tumor maligno de los bronquios o del pulmn, parte no especificada"
"C37" "C37   Tumor maligno del timo"
"C38" "C38   Tumor maligno del corazn, del mediastino y de la pleura"
"C380" "C380   Tumor maligno del corazn"
"C381" "C381   Tumor maligno del mediastino anterior"
"C382" "C382   Tumor maligno del mediastino posterior"
"C383" "C383   Tumor maligno del mediastino, parte no especificada"
"C384" "C384   Tumor maligno de la pleura"
"C388" "C388   Lesin de sitos contiguos del corazn, del mediastino y de la pleura"
"C39" "C39   Tumor maligno de otros sitios y de los mal definidos del sistema respiratorio y de los rganos intratorcicos"
"C390" "C390   Tumor maligno de la vas respiratoria superiores, parte no especificada"
"C398" "C398   Lesin de sitios contiguos de los rganos respiratorios e intratorcicos"
"C399" "C399   Tumor maligno de sitios mal definidos del sistema respiratorio"
"C40" "C40   Tumor maligno de los huesos y de los cartlagos articulares de los miembros"
"C400" "C400   Tumor maligno del omplato y de los huesos largos del miembro superior"
"C401" "C401   Tumor maligno de los huesos cortos del miembro superior"
"C402" "C402   Tumor maligno de los huesos largos del miembro inferior"
"C403" "C403   Tumor maligno de los huesos cortos del miembro inferior"
"C408" "C408   Lesin de sitios contiguos de los huesos y de los cartlagos articulares de los miembros"
"C409" "C409   Tumor maligno de los huesos y de los cartlagos articulares de los miembros, sin otra especificacin"
"C41" "C41   Tumor maligno de los huesos y de los cartlagos articulares, de otros sitios y de sitios no especificados"
"C410" "C410   Tumor maligno de los huesos del crneo y de la cara"
"C411" "C411   Tumor maligno del hueso del maxilar inferior"
"C412" "C412   Tumor maligno de la columna vertebral"
"C413" "C413   Tumor maligno de la costilla, esternn y clavcula"
"C414" "C414   Tumor maligno de los huesos de la pelvis, sacro y cccix"
"C418" "C418   Lesin de sitios contiguos del hueso y del cartlago articular"
"C419" "C419   Tumor maligno del hueso y del cartlago articular, no especificado"
"C43" "C43   Melanoma maligno de la piel"
"C430" "C430   Melanoma maligno del labio"
"C431" "C431   Melanoma maligno del prpado, incluida la comisura palpebral"
"C432" "C432   Melanoma maligno de la oreja y del conducto auditivo externo"
"C433" "C433   Melanoma maligno de las otras partes y las no especificadas de la cara"
"C434" "C434   Melanoma maligno del cuero cabelludo y del cuello"
"C435" "C435   Melanoma maligno del tronco"
"C436" "C436   Melanoma maligno del miembro superior, incluido el hombro"
"C437" "C437   Melanoma maligno del miembro inferior, incluida la cadera"
"C438" "C438   Melanoma maligno de sitios contiguos de la piel"
"C439" "C439   Melanoma maligno de piel, sitio no especificado"
"C44" "C44   Otros tumores malignos de la piel"
"C440" "C440   Tumor maligno de la piel del labio"
"C441" "C441   Tumor maligno de la piel del prpado, incluida la comisura palpebral"
"C442" "C442   Tumor maligno de la piel de la oreja y del conducto auditivo externo"
"C443" "C443   Tumor maligno de la piel de otras partes y de las no especificadas de la cara"
"C444" "C444   Tumor maligno de la piel del cuero cabelludo y del cuello"
"C445" "C445   Tumor maligno de la piel del tronco"
"C446" "C446   Tumor maligno de la piel del miembro superior, incluido el hombro"
"C447" "C447   Tumor maligno de la piel miembro inferior, incluida la cadera"
"C448" "C448   Lesin de sitios contiguos de la piel"
"C449" "C449   Tumor maligno de la piel, sitio no especificado"
"C45" "C45   Mesotelioma"
"C450" "C450   Mesotelioma de la pleura"
"C451" "C451   Mesotelioma del peritoneo"
"C452" "C452   Mesotelioma del pericardio"
"C457" "C457   Mesotelioma de otros sitios especificados"
"C459" "C459   Mesotelioma, de sitio no especificado"
"C46" "C46   Sarcoma de Kaposi"
"C460" "C460   Sarcoma de Kaposi de la piel"
"C461" "C461   Sarcoma de Kaposi del tejido blando"
"C462" "C462   Sarcoma de Kaposi del paladar"
"C463" "C463   Sarcoma de Kaposi de los ganglios linfticos"
"C467" "C467   Sarcoma de Kaposi de otros sitios especificados"
"C468" "C468   Sarcoma de Kaposi de mltiples rganos"
"C469" "C469   Sarcoma de Kaposi de sitio no especificado"
"C47" "C47   Tumor maligno de los nervios perifricos y del sistema nervioso autnomo"
"C470" "C470   Tumor maligno de los nervios perifricos de la cabeza, cara y cuello"
"C471" "C471   Tumor maligno de los nervios perifricos del miembro superior, incluido el hombro"
"C472" "C472   Tumor maligno de los nervios perifricos del miembro inferior, incluida la cadera"
"C473" "C473   Tumor maligno de los nervios perifricos del trax"
"C474" "C474   Tumor maligno de los nervios perifricos del abdomen"
"C475" "C475   Tumor maligno de los nervios perifricos de la pelvis"
"C476" "C476   Tumor maligno de los nervios perifricos del tronco, sin otra especificacin"
"C478" "C478   Lesin de sitios contiguos de los nervios perifricos y del sistema nervioso autnomo"
"C479" "C479   Tumor maligno de los nervios perifricos y del sistema nervioso autnomo, parte no especificada"
"C48" "C48   Tumor maligno del peritoneo y del retroperitoneo"
"C480" "C480   Tumor maligno del retroperitoneo"
"C481" "C481   Tumor maligno de parte especificada del peritoneo"
"C482" "C482   Tumor maligno del peritoneo, sin otra especificacin"
"C488" "C488   Lesin de sitios contiguos del peritoneo y del retroperitoneo"
"C49" "C49   Tumor maligno de otros tejidos conjuntivos y de tejidos blandos"
"C490" "C490   Tumor maligno del tejido conjuntivo y tejido blando de la cabeza, cara y cuello"
"C491" "C491   Tumor maligno del tejido conjuntivo y tejido blando del miembro superior, incluido el hombro"
"C492" "C492   Tumor maligno del tejido conjuntivo y tejido blando del miembro inferior, incluida la cadera"
"C493" "C493   Tumor maligno del tejido conjuntivo y tejido blando del trax"
"C494" "C494   Tumor maligno del tejido conjuntivo y tejido blando del abdomen"
"C495" "C495   Tumor maligno del tejido conjuntivo y tejido blando de la pelvis"
"C496" "C496   Tumor maligno del tejido conjuntivo y tejido blando del tronco, sin otra especificacin"
"C498" "C498   Lesin de sitios contiguos  del tejido conjuntivo y del tejido blando"
"C499" "C499   Tumor maligno del tejido conjuntivo y tejido blando, de sitio no especificado"
"C50" "C50   Tumor maligno de la mama"
"C500" "C500   Tumor maligno del pezn y arola mamaria"
"C501" "C501   Tumor maligno de la porcin central de la mama"
"C502" "C502   Tumor maligno del cuadrante superior interno de la mama"
"C503" "C503   Tumor maligno del cuadrante inferior interno de la mama"
"C504" "C504   Tumor maligno del cuadrante superior externo de la mama"
"C505" "C505   Tumor maligno del cuadrante inferior externo de la mama"
"C506" "C506   Tumor maligno de la prolongacin axilar de la mama"
"C508" "C508   Lesin de sitios contiguos de la mama"
"C509" "C509   Tumor maligno de la mama, parte no especificada"
"C51" "C51   Tumor maligno de la vulva"
"C510" "C510   Tumor maligno del labio mayor"
"C511" "C511   Tumor maligno del labio menor"
"C512" "C512   Tumor maligno del cltoris"
"C518" "C518   Lesin de sitios contiguos de la vulva"
"C519" "C519   Tumor maligno de la vulva, parte no especificada"
"C52" "C52   Tumor maligno de la vagina"
"C53" "C53   Tumor maligno del cuello deltero"
"C530" "C530   Tumor maligno del endocrvix"
"C531" "C531   Tumor maligno del exocrvix"
"C538" "C538   Lesin de sitios contiguos del cuello deltero"
"C539" "C539   Tumor maligno del cuello deltero, sin otra especificacin"
"C54" "C54   Tumor maligno del cuerpo deltero"
"C540" "C540   Tumor maligno del istmo uterino"
"C541" "C541   Tumor maligno del endometrio"
"C542" "C542   Tumor maligno del miometrio"
"C543" "C543   Tumor maligno del fondo deltero"
"C548" "C548   Lesin de sitios contiguos del cuerpo deltero"
"C549" "C549   Tumor maligno del cuerpo deltero, parte no especificada"
"C55" "C55   Tumor maligno deltero, parte no especificada"
"C56" "C56   Tumor maligno del ovario"
"C57" "C57   Tumor maligno de otros rganos genitales femeninos y de los no especificados"
"C570" "C570   Tumor maligno de la trompa de Falopio"
"C571" "C571   Tumor maligno del ligamento ancho"
"C572" "C572   Tumor maligno del ligamento redondo"
"C573" "C573   Tumor maligno del parametrio"
"C574" "C574   Tumor maligno de los anexos uterinos, sin otra especificacin"
"C577" "C577   Tumor maligno de otras partes especificadas de los rganos genitales femeninos"
"C578" "C578   Lesin de sitios contiguos de los rganos genitales femeninos"
"C579" "C579   Tumor maligno de rgano genital femenino, parte no especificada"
"C58" "C58   Tumor maligno de la placenta"
"C60" "C60   Tumor maligno del pene"
"C600" "C600   Tumor maligno del prepucio"
"C601" "C601   Tumor maligno del glande"
"C602" "C602   Tumor maligno del cuerpo del pene"
"C608" "C608   Lesin de sitios contiguos del pene"
"C609" "C609   Tumor maligno del pene, parte no especificada"
"C61" "C61   Tumor maligno de la prstata"
"C62" "C62   Tumor maligno del testculo"
"C620" "C620   Tumor maligno del testculo no descendido"
"C621" "C621   Tumor maligno del testculo descendido"
"C629" "C629   Tumor maligno del testculo, no especificado"
"C63" "C63   Tumor maligno de otros rganos genitales maculinos y de los no especificados"
"C630" "C630   Tumor maligno del epiddimo"
"C631" "C631   Tumor maligno del cordn espermtico"
"C632" "C632   Tumor maligno del escroto"
"C637" "C637   Tumor maligno de otras partes especificadas de los rganos genitales masculinos"
"C638" "C638   Lesin de sitios contiguos de los rganos genitales masculinos"
"C639" "C639   Tumor maligno de rgano genital masculino, parte no especificada"
"C64" "C64   Tumor maligno del rin, excepto de la pelvis renal"
"C65" "C65   Tumor maligno de la pelvis renal"
"C66" "C66   Tumor maligno del urter"
"C67" "C67   Tumor maligno de la vejiga urinaria"
"C670" "C670   Tumor maligno del trgono vesical"
"C671" "C671   Tumor maligno de la cpula vesical"
"C672" "C672   Tumor maligno de la pared lateral de la vejiga"
"C673" "C673   Tumor maligno de la pared anterior de la vejiga"
"C674" "C674   Tumor maligno de la pared posterior de la vejiga"
"C675" "C675   Tumor maligno del cuello de la vejiga"
"C676" "C676   Tumor maligno del orificio ureteral"
"C677" "C677   Tumor maligno del uraco"
"C678" "C678   Lesin de sitios contiguos de la vejiga"
"C679" "C679   Tumor maligno de la vejiga urinaria, parte no especificada"
"C68" "C68   Tumor maligno de otros ganos urinarios y de los no especificados"
"C680" "C680   Tumor maligno de la uretra"
"C681" "C681   Tumor maligno de las glndulas parauretrales"
"C688" "C688   Lesin de sitios contiguos de los rganos urinarios"
"C689" "C689   Tumor maligno de rgano urinario no especificado"
"C69" "C69   Tumor maligno del ojo y sus anexos"
"C690" "C690   Tumor maligno de la conjuntiva"
"C691" "C691   Tumor maligno de la crnea"
"C692" "C692   Tumor maligno de la retina"
"C693" "C693   Tumor maligno de la coroides"
"C694" "C694   Tumor maligno del cuerpo ciliar"
"C695" "C695   Tumor maligno de la glndula y conducto lagrimales"
"C696" "C696   Tumor maligno de la rbita"
"C698" "C698   Lesin de sitios contiguos del ojo y sus anexos"
"C699" "C699   Tumor maligno del ojo, parte no especificada"
"C70" "C70   Tumor maligno de las meninges"
"C700" "C700   Tumor maligno de las meninges cerebrales"
"C701" "C701   Tumor maligno de las meninges raqudeas"
"C709" "C709   Tumor maligno de las meninges, parte no especificada"
"C71" "C71   Tumor maligno del encfalo"
"C710" "C710   Tumor maligno del cerebro, excepto lbulos y ventrculos"
"C711" "C711   Tumor maligno del lbulo frontal"
"C712" "C712   Tumor maligno del lbulo temporal"
"C713" "C713   Tumor maligno del lbulo parietal"
"C714" "C714   Tumor maligno del lbulo occipital"
"C715" "C715   Tumor maligno del ventrculo cerebral"
"C716" "C716   Tumor maligno del cerebelo"
"C717" "C717   Tumor maligno del pednculo cerebral"
"C718" "C718   Lesin de sitios contiguos del encfalo"
"C719" "C719   Tumor maligno del encfalo, parte no especificada"
"C72" "C72   Tumor maligno de la mdula espinal, de los nervios craneales y de otras partes del sistema nervioso central"
"C720" "C720   Tumor maligno de la mdula espinal"
"C721" "C721   Tumor maligno de la cola de caballo"
"C722" "C722   Tumor maligno del nervio olfatorio"
"C723" "C723   Tumor maligno del nervio ptico"
"C724" "C724   Tumor maligno del nervio acstico"
"C725" "C725   Tumor maligno de otros nervios craneales y los no especificados"
"C728" "C728   Lesin de sitios contiguos del encfalo y otras partes del sistema nervioso central"
"C729" "C729   Tumor maligno del sistema nervioso central, sin otra especificacin"
"C73" "C73   Tumor maligno de la glndula tiroides"
"C74" "C74   Tumor maligno de la glndula suprarrenal"
"C740" "C740   Tumor maligno de la corteza de la glndula suprarrenal"
"C741" "C741   Tumor maligno de la mdula de la glndula suprarrenal"
"C749" "C749   Tumor maligno de la glndula suprarrenal, parte no especificada"
"C75" "C75   Tumor maligno de otras glndulas endocrinas y de estructuras afines"
"C750" "C750   Tumor maligno de la glndula paratiroides"
"C751" "C751   Tumor maligno de la hipfisis"
"C752" "C752   Tumor maligno del conducto craneofarngeo"
"C753" "C753   Tumor maligno de la glndula pineal"
"C754" "C754   Tumor maligno del cuerpo carotdeo"
"C755" "C755   Tumor maligno del cuerpo artico y otros cuerpos cromafines"
"C758" "C758   Tumor maligno pluriglandular, no especificado"
"C759" "C759   Tumor maligno de glndula endocrina no especificada"
"C76" "C76   Tumor maligno de otros sitios y de los sitios mal definidos"
"C760" "C760   Tumor maligno de la cabeza, cara y cuello"
"C761" "C761   Tumor maligno del trax"
"C762" "C762   Tumor maligno del abdomen"
"C763" "C763   Tumor maligno de la pelvis"
"C764" "C764   Tumor maligno del miembro superior"
"C765" "C765   Tumor maligno del miembro inferior"
"C767" "C767   Tumor maligno de otros sitios mal definidos"
"C768" "C768   Lesin de sitios contiguos mal definidos"
"C77" "C77   Tumor maligno secundario y el no especificado de los ganglios linfticos"
"C770" "C770   Tumor maligno de los ganglios linfticos de la cabeza, cara y cuello"
"C771" "C771   Tumor maligno de los ganglios linfticos intratorcicos"
"C772" "C772   Tumor maligno de los ganglios linfticos intraabdominales"
"C773" "C773   Tumor maligno de los ganglios linfticos de la axila y del miembro superior"
"C774" "C774   Tumor maligno de los ganglios linfticos de la regin inguinal y del miembro inferior"
"C775" "C775   Tumor maligno de los ganglios linfticos de la pelvis"
"C778" "C778   Tumor maligno de los ganglios linfticos de regiones mltiples"
"C779" "C779   Tumor maligno del ganglio linftico, sitio no especificado"
"C78" "C78   Tumor maligno secundario de los rganos respiratorios y digestivos"
"C780" "C780   Tumor maligno secundario del pulmn"
"C781" "C781   Tumor maligno secundario del mediastino"
"C782" "C782   Tumor maligno secundario de la pleura"
"C783" "C783   Tumor maligno secundario de otros rganos respiratorios y de los no especificados"
"C784" "C784   Tumor maligno secundario del intestino delgado"
"C785" "C785   Tumor maligno secundario del intestino grueso y del recto"
"C786" "C786   Tumor maligno secundario del peritoneo y del retroperitoneo"
"C787" "C787   Tumor maligno secundario del hgado y de los conductos biliares intrahepticos"
"C788" "C788   Tumor maligno secundario de otros rganos digestivos y de los no especificados"
"C79" "C79   Tumor maligno secundario de otros sitios y de sitios no especificados"
"C790" "C790   Tumor maligno secundario del rin y de la pelvis renal"
"C791" "C791   Tumor maligno secundario de la vejiga, y de otros rganos y los no especificados de las vas urinarias"
"C792" "C792   Tumor maligno secundario de la piel"
"C793" "C793   Tumor maligno secundario del encfalo y de las meninges cerebrales"
"C794" "C794   Tumor maligno secundario de otras partes del sistema nervioso y de las no especificadas"
"C795" "C795   Tumor maligno secundario de los huesos y de la mdula sea"
"C796" "C796   Tumor maligno secundario del ovario"
"C797" "C797   Tumor maligno secundario de la glndula suprarrenal"
"C798" "C798   Tumor maligno secundario de otros sitios especificados"
"C799" "C799   Tumor maligno secundario, sitio no especificado"
"C80" "C80   Tumor maligno de sitios no especificados"
"C800" "C800   Tumor maligno, de sitio primario desconocido, as descrito"
"C809" "C809   Tumor maligno, sitio primario no especificado"
"C81" "C81   Linfoma de Hodgkin"
"C810" "C810   Linfoma de Hodgkin nodular con predominio linfoctico "
"C811" "C811   Linfoma de Hodgkin clsico con esclerosis nodular"
"C812" "C812   Linfoma de Hodgkin clsico con celularidad mixta"
"C813" "C813   Linfoma de Hodgkin clsico con deplecin linfoctica"
"C814" "C814   Linfoma de Hodgkin clsico rico en linfocitos"
"C817" "C817   Otros tipos de linfomas de Hodgkin clsicos"
"C819" "C819   Linfoma de Hodgkin, no especificado"
"C82" "C82   Linfoma folicular"
"C820" "C820   Linfoma folicular grado I"
"C821" "C821   Linfoma folicular grado II"
"C822" "C822   Linfoma folicular grado III no especificado"
"C823" "C823   Linfoma folicular grado IIIa"
"C824" "C824   Linfoma folicular grado IIIb"
"C825" "C825   Linfoma centro folicular difuso"
"C826" "C826   Linfoma centro folicular cutneo"
"C827" "C827   Otros tipos especificados de linfoma folicular"
"C829" "C829   Linfoma folicular, sin otra especificacin"
"C83" "C83   Linfoma no folicular"
"C830" "C830   Linfoma de clulas B pequeas"
"C831" "C831   Linfoma de clulas del manto"
"C832" "C832   Linfoma no Hodgkin mixto, de clulas pequeas y grandes (difuso)"
"C833" "C833   Linfoma de clulas grandes B difuso"
"C834" "C834   Linfoma no Hodgkin inmunoblstico (difuso)"
"C835" "C835   Linfoma linfoblstico (difuso)"
"C836" "C836   Linfoma no Hodgkin indiferenciado (difuso)"
"C837" "C837   Linfoma de Burkitt"
"C838" "C838   Otros tipos especificados de linfoma no folicular"
"C839" "C839   Linfoma no folicular (difuso), sin otra especificacin"
"C84" "C84   Linfoma de clulas T/NK maduras "
"C840" "C840   Micosis fungoide"
"C841" "C841   Enfermedad de Szary"
"C842" "C842   Linfoma de zona T"
"C843" "C843   Linfoma linfoepitelioide"
"C844" "C844   Linfoma perifrico de clulas T, no clasificado en otra parte"
"C845" "C845   Otros linfomas de clulas T/NK maduras"
"C846" "C846   Linfoma anaplsico de clulas grandes ALK-positivo"
"C847" "C847   Linfoma anaplsico de clulas grandes ALK-negativo"
"C848" "C848   Linfoma cutneo de clulas T, no especificado"
"C849" "C849   Linfoma de clulas T/NK maduras, no especificado"
"C85" "C85   Linfoma no Hodgkin de otro tipo y el no especificado"
"C850" "C850   Linfosarcoma"
"C851" "C851   Linfoma de clulas B, sin otra especificacin"
"C852" "C852   Linfoma mediastinal de clulas B grandes (del timo)"
"C857" "C857   Otros tipos especificados de linfoma no Hodgkin"
"C859" "C859   Linfoma no Hodgkin, no especificado"
"C86" "C86   Otros tipos especificados de linfoma de clulas T/NK"
"C860" "C860   Linfoma extranodal de clulas T/NK, tipo nasal"
"C861" "C861   Linfoma hepatoesplnico de clulas T"
"C862" "C862   Linfoma de clulas T tipo enteropata (intestinal)"
"C863" "C863   Linfoma de clulas T tipo paniculitis subcutnea"
"C864" "C864   Linfoma blstico de clulas NK"
"C865" "C865   Linfoma angioinmunoblstico de clulas T"
"C866" "C866   Trastornos linfoproliferativos primario cutneos de clulas T CD30-positivo"
"C88" "C88   Enfermedades inmunoproliferativas malignas"
"C880" "C880   Macroglobulinemia de Waldenstrom"
"C881" "C881   Enfermedad de cadena pesada alfa"
"C882" "C882   Otras enfermedades de cadena pesada"
"C883" "C883   Enfermedad inmunoproliferativa del intestino delgado"
"C884" "C884   Linfoma de clulas B extranodal de zona marginal de tejido linfoide asociado a mucosas [Linfoma TLAM]"
"C887" "C887   Otras enfermedades inmunoproliferativas malignas"
"C889" "C889   Enfermedad inmunoproliferativa maligna, sin otra especificacin"
"C90" "C90   Mieloma mltiple y tumores malignos de clulas plasmticas"
"C900" "C900   Mieloma mltiple"
"C901" "C901   Leucemia de clulas plasmticas"
"C902" "C902   Plasmocitoma extramedular"
"C903" "C903   Plasmocitoma solitario"
"C91" "C91   Leucemia linfoide"
"C910" "C910   Leucemia linfoblstica aguda [LLA]"
"C911" "C911   Leucemia linfoctica crnica de clula tipo B"
"C912" "C912   Leucemia linfoctica subaguda"
"C913" "C913   Leucemia prolinfoctica de clula tipo B"
"C914" "C914   Leucemia de clulas vellosas"
"C915" "C915   Leucemia/linfoma de clulas T adultas [HTLV-1-asociado]"
"C916" "C916   Leucemia prolinfoctica de clulas tipo T"
"C917" "C917   Otras leucemias linfoides"
"C918" "C918   Leucemia tipo Burkitt de clulas B maduras"
"C919" "C919   Leucemia linfoide, sin otra especificacin"
"C92" "C92   Leucemia mieloide"
"C920" "C920   Leucemia mieloblstica aguda [LMA]"
"C921" "C921   Leucemia mieloide crnica [LMC], BCR/ABL-positivo"
"C922" "C922   Leucemia mieloide crnica atpica, BCR/ABL-negativo"
"C923" "C923   Sarcoma mieloide"
"C924" "C924   Leucemia promieloctica aguda [LPA]"
"C925" "C925   Leucemia mielomonoctica aguda"
"C926" "C926   Leucemia mieloide aguda con anormalidad 11q23"
"C927" "C927   Otras leucemias mieloides"
"C928" "C928   Leucemia mieloide aguda con displasia multilinaje"
"C929" "C929   Leucemia mieloide, sin otra especificacin"
"C93" "C93   Leucemia monoctica"
"C930" "C930   Leucemia monoctica/monoblstica aguda"
"C931" "C931   Leucemia mielomonoctica crnica"
"C932" "C932   Leucemia monoctica subaguda"
"C933" "C933   Leucemia mielomonoctica juvenil"
"C937" "C937   Otras leucemias monocticas"
"C939" "C939   Leucemia monoctica, sin otra especificacin"
"C94" "C94   Otras leucemias de tipo celular especificado"
"C940" "C940   Leucemia eritroide aguda"
"C941" "C941   Eritremia crnica"
"C942" "C942   Leucemia megacarioblstica aguda"
"C943" "C943   Leucemia de mastocitos"
"C944" "C944   Panmielosis aguda con mielofibrosis"
"C945" "C945   Mielofibrosis aguda"
"C946" "C946   Enfermedad mielodisplsica y mieloproliferativa, no clasificada en otra parte"
"C947" "C947   Otras leucemias especificadas"
"C95" "C95   Leucemia de clulas de tipo no especificado"
"C950" "C950   Leucemia aguda, clulas de tipo no especificado"
"C951" "C951   Leucemia crnica, clulas de tipo no especificado"
"C952" "C952   Leucemia subaguda, clulas de tipo no especificado"
"C957" "C957   Otras leucemias de clulas de tipo no especificado"
"C959" "C959   Leucemia, no especificada"
"C96" "C96   Otros tumores malignos y los no especificados del tejido linftico, de los rganos hematopoyticos y de tejidos afines"
"C960" "C960    Histiocitosis de clulas de Langerhans multifocal y multisistmica (diseminada) [Enfermedad de Letterer-Siwe]"
"C961" "C961   Histiocitosis maligna"
"C962" "C962   Tumor maligno de mastocitos"
"C963" "C963   Linfoma histioctico verdadero"
"C964" "C964   Sarcoma de clulas dendrticas (clulas accesorias)"
"C965" "C965   Histiocitosis de clulas de Langerhans multifocal y unisistmica"
"C966" "C966   Histiocitosis de clulas de Langerhans unifocal"
"C967" "C967   Otros tumores malignos especificados del tejido linftico, hematopoytico y tejidos afines"
"C968" "C968   Sarcoma histioctico"
"C969" "C969   Tumor maligno del tejido linftico, hematopoytico y tejidos afines, sin otra especificacin"
"C97" "C97   Tumores malignos (primarios) de sitios mltiples independientes"
"D00" "D00   Carcinoma in situ de la cavidad bucal, del esfago y del estmago"
"D000" "D000   Carcinoma in situ del labio, de la cavidad bucal y de la faringe"
"D001" "D001   Carcinoma in situ del esfago"
"D002" "D002   Carcinoma in situ del estmago"
"D01" "D01   Carcinoma in situ de otros rganos digestivos y de los no especificados"
"D010" "D010   Carcinoma in situ del colon"
"D011" "D011   Carcinoma in situ de la unin rectosigmoidea"
"D012" "D012   Carcinoma in situ del recto"
"D013" "D013   Carcinoma in situ del ano y del conducto anal"
"D014" "D014   Carcinoma in situ de otras partes y de las no especificadas del intestino"
"D015" "D015   Carcinoma in situ del hgado, de la vescula biliar y del conducto biliar"
"D017" "D017   Carcinoma in situ de otras partes especificadas de rganos digestivos"
"D019" "D019   Carcinoma in situ de rganos digestivos no especificados"
"D02" "D02   Carcinoma in situ del sistema respiratorio y del odo medio"
"D020" "D020   Carcinoma in situ de la laringe"
"D021" "D021   Carcinoma in situ de la trquea"
"D022" "D022   Carcinoma in situ del bronquio y del pulmn"
"D023" "D023   Carcinoma in situ de otras partes del sistema respiratorio"
"D024" "D024   Carcinoma in situ de rganos respiratorios no especificados"
"D03" "D03   Melanoma in situ"
"D030" "D030   Melanoma in situ del labio"
"D031" "D031   Melanoma in situ del prpado y de la comisura palpebral"
"D032" "D032   Melanoma in situ de la oreja y del conducto auditivo externo"
"D033" "D033   Melanoma in situ de otras partes y de las no especificadas de la cara"
"D034" "D034   Melanoma in situ del cuero cabelludo y del cuello"
"D035" "D035   Melanoma in situ del tronco"
"D036" "D036   Melanoma in situ del miembro superior, incluido el hombro"
"D037" "D037   Melanoma in situ del miembro inferior, incluida la cadera"
"D038" "D038   Melanoma in situ de otros sitios"
"D039" "D039   Melanoma in situ, sitio no especificado"
"D04" "D04   Carcinoma in situ de la piel"
"D040" "D040   Carcinoma in situ de la piel del labio"
"D041" "D041   Carcinoma in situ de la piel del prpado y de la comisura palpebral"
"D042" "D042   Carcinoma in situ de la piel de la oreja y del conducto auditivo externo"
"D043" "D043   Carcinoma in situ de la piel de otras partes y de las no especificadas de la cara"
"D044" "D044   Carcinoma in situ de la piel del cuero cabelludo y cuello"
"D045" "D045   Carcinoma in situ de la piel del tronco"
"D046" "D046   Carcinoma in situ de la piel del miembro superior, incluido el hombro"
"D047" "D047   Carcinoma in situ de la piel del miembro inferior, incluida la cadera"
"D048" "D048   Carcinoma in situ de la piel de otros sitios especificados"
"D049" "D049   Carcinoma in situ de la piel, sitio no especificado"
"D05" "D05   Carcinoma in situ de la mama"
"D050" "D050   Carcinoma in situ lobular"
"D051" "D051   Carcinoma in situ intracanalicular"
"D057" "D057   Otros carcinomas in situ de la mama"
"D059" "D059   Carcinoma in situ de la mama, parte no especificada"
"D06" "D06   Carcinoma in situ del cuello deltero"
"D060" "D060   Carcinoma in situ del endocrvix"
"D061" "D061   Carcinoma in situ del exocrvix"
"D067" "D067   Carcinoma in situ de otras partes especificadas del cuello deltero"
"D069" "D069   Carcinoma in situ del cuello deltero, parte no especificada"
"D07" "D07   Carcinoma in situ de otros rganos genitales y de los no especificados"
"D070" "D070   Carcinoma in situ del endometrio"
"D071" "D071   Carcinoma in situ de la vulva"
"D072" "D072   Carcinoma in situ de la vagina"
"D073" "D073   Carcinoma in situ de otros sitios de rganos genitales femeninos y de los no especificados"
"D074" "D074   Carcinoma in situ del pene"
"D075" "D075   Carcinoma in situ de la prstata"
"D076" "D076   Carcinoma in situ de otros rganos genitales masculinos y de los no especificados"
"D09" "D09   Carcinoma in situ de otros sitios y de los no especificados"
"D090" "D090   Carcinoma in situ de la vejiga"
"D091" "D091   Carcinoma in situ de otros rganos urinarios y de los no especificados"
"D092" "D092   Carcinoma in situ del ojo"
"D093" "D093   Carcinoma in situ de la glndula tiroides y de otras glndulas endocrinas"
"D097" "D097   Carcinoma in situ de otros sitios especificados"
"D099" "D099   Carcinoma in situ, sitio no especificado"
"D10" "D10   Tumor benigno de la boca y de la faringe"
"D100" "D100   Tumor benigno del labio"
"D101" "D101   Tumor benigno de la lengua"
"D102" "D102   Tumor benigno del piso de la boca"
"D103" "D103   Tumor benigno de otras partes y de las no especificadas de la boca"
"D104" "D104   Tumor benigno de la amgdala"
"D105" "D105   Tumor benigno de otras partes de la orofaringe"
"D106" "D106   Tumor benigno de la nasofaringe"
"D107" "D107   Tumor benigno de la hipofaringe"
"D109" "D109   Tumor benigno de la faringe, parte no especificada"
"D11" "D11   Tumor benigno de las glndulas salivales mayores"
"D110" "D110   Tumor benigno de la glndula partida"
"D117" "D117   Tumor benigno de otras glndulas salivales mayores especificadas"
"D119" "D119   Tumor benigno de la glndula salival mayor, sin otra especificacin"
"D12" "D12   Tumor benigno del colon, del recto, del conducto anal y del ano"
"D120" "D120   Tumor benigno del ciego"
"D121" "D121   Tumor benigno del apndice"
"D122" "D122   Tumor benigno del colon ascendente"
"D123" "D123   Tumor benigno del colon transverso"
"D124" "D124   Tumor benigno del colon descendente"
"D125" "D125   Tumor benigno del colon sigmoide"
"D126" "D126   Tumor benigno del colon, parte no especificada"
"D127" "D127   Tumor benigno de la unin rectosigmoidea"
"D128" "D128   Tumor benigno del recto"
"D129" "D129   Tumor benigno del conducto anal y del ano"
"D13" "D13   Tumor benigno de otras partes y de las mal definidas del sistema digestivo"
"D130" "D130   Tumor benigno del esfago"
"D131" "D131   Tumor benigno del estmago"
"D132" "D132   Tumor benigno del duodeno"
"D133" "D133   Tumor benigno de otras partes y de las no especificadas del intestino delgado"
"D134" "D134   Tumor benigno del hgado"
"D135" "D135   Tumor benigno de las vas biliares extrahepticas"
"D136" "D136   Tumor benigno del pncreas"
"D137" "D137   Tumor benigno del pncreas endocrino"
"D139" "D139   Tumor benigno de sitios mal definidos del sistema digestivo"
"D14" "D14   Tumor benigno del odo medio y del sistema respiratorio"
"D140" "D140   Tumor benigno del odo medio, de la cavidad nasal y de los senos paranasales"
"D141" "D141   Tumor benigno de la laringe"
"D142" "D142   Tumor benigno de la trquea"
"D143" "D143   Tumor benigno de los bronquios y del pulmn"
"D144" "D144   Tumor benigno del sistema respiratorio, sitio no especificado"
"D15" "D15   Tumor benigno de otros rganos intratorcicos y de los no especificados"
"D150" "D150   Tumor benigno del timo"
"D151" "D151   Tumor benigno del corazn"
"D152" "D152   Tumor benigno del mediastino"
"D157" "D157   Tumor benigno de otros rganos intratorcicos especificados"
"D159" "D159   Tumor benigno de rgano intratorcico no especificado"
"D16" "D16   Tumor benigno del hueso y del cartlago articular"
"D160" "D160   Tumor benigno del omplato y huesos largos del miembro superior"
"D161" "D161   Tumor benigno de los huesos cortos del miembro superior"
"D162" "D162   Tumor benigno de los huesos largos del miembro inferior"
"D163" "D163   Tumor benigno de los huesos cortos del miembro inferior"
"D164" "D164   Tumor benigno de los huesos del crneo y de la cara"
"D165" "D165   Tumor benigno del maxilar inferior"
"D166" "D166   Tumor benigno de la columna vertebral"
"D167" "D167   Tumor benigno de las costillas, esternn y clavcula"
"D168" "D168   Tumor benigno de los huesos plvicos, sacro y cccix"
"D169" "D169   Tumor benigno del hueso y del cartlago articular, sitio no especificado"
"D17" "D17   Tumores benignos lipomatosos"
"D170" "D170   Tumor benigno lipomatoso de piel y de tejido subcutneo de cabeza, cara y cuello"
"D171" "D171   Tumor benigno lipomatoso de piel y de tejido subcutneo del tronco"
"D172" "D172   Tumor benigno lipomatoso de piel y de tejido subcutneo de miembros"
"D173" "D173   Tumor benigno lipomatoso de piel y de tejido subcutneo de otros sitios y de los no especificados"
"D174" "D174   Tumor benigno lipomatoso de los rganos intratorcicos"
"D175" "D175   Tumor benigno lipomatoso de los rganos intraabdominales"
"D176" "D176   Tumor benigno lipomatoso del cordn espermtico"
"D177" "D177   Tumor benigno lipomatoso de otros sitios especificados"
"D179" "D179   Tumor benigno lipomatoso, de sitio no especificado"
"D18" "D18   Hemangioma y linfangioma de cualquier sitio"
"D180" "D180   Hemangioma, de cualquier sitio"
"D181" "D181   Linfangioma, de cualquier sitio"
"D19" "D19   Tumores benignos del tejido mesotelial"
"D190" "D190   Tumor benigno del tejido mesotelial de la pleura"
"D191" "D191   Tumor benigno del tejido mesotelial del peritoneo"
"D197" "D197   Tumor benigno del tejido mesotelial de otros sitios especificados"
"D199" "D199   Tumor benigno del tejido mesotelial, de sitio no especificado"
"D20" "D20   Tumor benigno del tejido blando del peritoneo y del retroperitoneo"
"D200" "D200   Tumor benigno del retroperitoneo"
"D201" "D201   Tumor benigno del peritoneo"
"D21" "D21   Otros tumores benignos del tejido conjuntivo y de los tejidos blandos"
"D210" "D210   Tumor benigno del tejido conjuntivo y de otros tejidos blandos de cabeza, cara y cuello"
"D211" "D211   Tumor benigno del tejido conjuntivo y de otros tejidos blandos del miembro superior, incluido el hombro"
"D212" "D212   Tumor benigno del tejido conjuntivo y de otros tejidos blandos del miembro inferior, incluida la cadera"
"D213" "D213   Tumor benigno del tejido conjuntivo y de otros tejidos blandos del trax"
"D214" "D214   Tumor benigno del tejido conjuntivo y otros tejidos blandos del abdomen"
"D215" "D215   Tumor benigno del tejido conjuntivo y otros tejidos blandos de la pelvis"
"D216" "D216   Tumor benigno del tejido conjuntivo y otros tejidos blandos del tronco, sin otra especificacin"
"D219" "D219   Tumor benigno del tejido conjuntivo y otros tejidos blandos, de sitio no especificado"
"D22" "D22   Nevo melanoctico"
"D220" "D220   Nevo melanoctico del labio"
"D221" "D221   Nevo melanoctico del prpado, incluida la comisura palpebral"
"D222" "D222   Nevo melanoctico de la oreja y del conducto auditivo externo"
"D223" "D223   Nevo melanoctico de otras partes y de las no especificadas de la cara"
"D224" "D224   Nevo melanoctico del cuero cabelludo y del cuello"
"D225" "D225   Nevo melanoctico del tronco"
"D226" "D226   Nevo melanoctico del miembro superior, incluido el hombro"
"D227" "D227   Nevo melanoctico del miembro inferior, incluida la cadera"
"D229" "D229   Nevo melanoctico, sitio no especificado"
"D23" "D23   Otros tumores benignos de la piel"
"D230" "D230   Tumor benigno de la piel del labio"
"D231" "D231   Tumor benigno de la piel del prpado, incluida la comisura palpebral"
"D232" "D232   Tumor benigno de la piel de la oreja y del conducto auditivo externo"
"D233" "D233   Tumor benigno de la piel de otras partes y de las no especificadas de la cara"
"D234" "D234   Tumor benigno de la piel del cuero cabelludo y del cuello"
"D235" "D235   Tumor benigno de la piel del tronco"
"D236" "D236   Tumor benigno de la piel del miembro superior, incluido el hombro"
"D237" "D237   Tumor benigno de la piel del miembro inferior, incluida la cadera"
"D239" "D239   Tumor benigno de la piel, sitio no especificado"
"D24" "D24   Tumor benigno de la mama"
"D25" "D25   Leiomioma deltero"
"D250" "D250   Leiomioma submucoso deltero"
"D251" "D251   Leiomioma intramural deltero"
"D252" "D252   Leiomioma subseroso deltero"
"D259" "D259   Leiomioma deltero, sin otra especificacin"
"D26" "D26   Otros tumores benignos deltero"
"D260" "D260   Tumor benigno del cuello deltero"
"D261" "D261   Tumor benigno del cuerpo deltero"
"D267" "D267   Tumor benigno de otras partes especificadas deltero"
"D269" "D269   Tumor benigno deltero, parte no especificada"
"D27" "D27   Tumor benigno del ovario"
"D28" "D28   Tumor benigno de otros rganos genitales femeninos y de los no especificados"
"D280" "D280   Tumor benigno de la vulva"
"D281" "D281   Tumor benigno de la vagina"
"D282" "D282   Tumor benigno de la trompa de Falopio y de los ligamentos uterinos"
"D287" "D287   Tumor benigno de otros sitios especificados de los rganos genitales femeninos"
"D289" "D289   Tumor benigno de rgano genital femenino, sitio no especificado"
"D29" "D29   Tumor benigno de los rganos genitales masculinos"
"D290" "D290   Tumor benigno del pene"
"D291" "D291   Tumor benigno de la prstata"
"D292" "D292   Tumor benigno de los testculos"
"D293" "D293   Tumor benigno del epiddimo"
"D294" "D294   Tumor benigno del escroto"
"D297" "D297   Tumor benigno de otros rganos genitales masculinos"
"D299" "D299   Tumor benigno de rgano genital masculino, sitio no especificado"
"D30" "D30   Tumor benigno de los rganos urinarios"
"D300" "D300   Tumor benigno del rin"
"D301" "D301   Tumor benigno de la pelvis renal"
"D302" "D302   Tumor benigno del urter"
"D303" "D303   Tumor benigno de la vejiga"
"D304" "D304   Tumor benigno de la uretra"
"D307" "D307   Tumor benigno de otros rganos urinarios"
"D309" "D309   Tumor benigno de rgano urinario no especificado"
"D31" "D31   Tumor benigno del ojo y sus anexos"
"D310" "D310   Tumor benigno de la conjuntiva"
"D311" "D311   Tumor benigno de la crnea"
"D312" "D312   Tumor benigno de la retina"
"D313" "D313   Tumor benigno de la coroides"
"D314" "D314   Tumor benigno del cuerpo ciliar"
"D315" "D315   Tumor benigno de las glndulas y de los conductos lagrimales"
"D316" "D316   Tumor benigno de la rbita, parte no especificada"
"D319" "D319   Tumor benigno del ojo, parte no especificada"
"D32" "D32   Tumores benignos de las meninges"
"D320" "D320   Tumor benigno de las meninges cerebrales"
"D321" "D321   Tumor benigno de las meninges raqudeas"
"D329" "D329   Tumor benigno de las meninges, parte no especificada"
"D33" "D33   Tumor benigno del encfalo y de otras partes del sistema nervioso central"
"D330" "D330   Tumor benigno del encfalo, supratentorial"
"D331" "D331   Tumor benigno del encfalo, infratentorial"
"D332" "D332   Tumor benigno del encfalo, parte no especificada"
"D333" "D333   Tumor benigno de los nervios craneales"
"D334" "D334   Tumor benigno de la mdula espinal"
"D337" "D337   Tumor benigno de otras partes especificadas del sistema nervioso central"
"D339" "D339   Tumor benigno del sistema nervioso central, sitio no especificado"
"D34" "D34   Tumor benigno de la glndula tiroides"
"D35" "D35   Tumor benigno de otras glndulas endocrinas y de las no especificadas"
"D350" "D350   Tumor benigno de la glndula suprarrenal"
"D351" "D351   Tumor benigno de la glndula paratiroides"
"D352" "D352   Tumor benigno de la hipfisis"
"D353" "D353   Tumor benigno del conducto craneofaringeo"
"D354" "D354   Tumor benigno de la glndula pineal"
"D355" "D355   Tumor benigno del cuerpo carotdeo"
"D356" "D356   Tumor benigno del cuerpo artico y de otros cuerpos cromafines"
"D357" "D357   Tumor benigno de otras glndulas endocrinas especificadas"
"D358" "D358   Tumor benigno pluriglandular"
"D359" "D359   Tumor benigno de glndula endocrina no especificada"
"D36" "D36   Tumor benigno de otros sitios y de los no especificados"
"D360" "D360   Tumor benigno de los ganglios linfticos"
"D361" "D361   Tumor benigno de los nervios perifricos y del sistema nervioso autnomo"
"D367" "D367   Tumor benigno de otros sitios especificados"
"D369" "D369   Tumor benigno de sitio no especificado"
"D37" "D37   Tumor de comportamiento incierto o desconocido de la cavidad bucal y de los rganos digestivos"
"D370" "D370   Tumor de comportamiento incierto o desconocido del labio, de la cavidad bucal y de la faringe"
"D371" "D371   Tumor de comportamiento incierto o desconocido del estmago"
"D372" "D372   Tumor de comportamiento incierto o desconocido del intestino delgado"
"D373" "D373   Tumor de comportamiento incierto o desconocido del apndice"
"D374" "D374   Tumor de comportamiento incierto o desconocido del colon"
"D375" "D375   Tumor de comportamiento incierto o desconocido del recto"
"D376" "D376   Tumor de comportamiento incierto o desconocido del hgado, de la vescula biliar y del conducto biliar"
"D377" "D377   Tumor de comportamiento incierto o desconocido de otros rganos digestivos especificados"
"D379" "D379   Tumor de comportamiento incierto o desconocido de rganos digestivos, sitio no especificado"
"D38" "D38   Tumor de comportamiento incierto o desconocido del odo medio y de los rganos respiratorios e intratorcicos"
"D380" "D380   Tumor de comportamiento incierto o desconocido de laringe"
"D381" "D381   Tumor de comportamiento incierto o desconocido de la trquea, de los bronquios y del pulmn"
"D382" "D382   Tumor de comportamiento incierto o desconocido de la pleura"
"D383" "D383   Tumor de comportamiento incierto o desconocido del mediastino"
"D384" "D384   Tumor de comportamiento incierto o desconocido del timo"
"D385" "D385   Tumor de comportamiento incierto o desconocido de otros rganos respiratorios y del odo medio"
"D386" "D386   Tumor de comportamiento incierto o desconocido de rganos respiratorios, sitio no especificado"
"D39" "D39   Tumor de comportamiento incierto o desconocido de los rganos genitales femeninos"
"D390" "D390   Tumor de comportamiento incierto o desconocido deltero"
"D391" "D391   Tumor de comportamiento incierto o desconocido del ovario"
"D392" "D392   Tumor de comportamiento incierto o desconocido de la placenta"
"D397" "D397   Tumor de comportamiento incierto o desconocido de otros rganos genitales femeninos"
"D399" "D399   Tumor de comportamiento incierto o desconocido de rgano genital femenino no especificado"
"D40" "D40   Tumor de comportamiento incierto o desconocido de los rganos genitales masculinos"
"D400" "D400   Tumor de comportamiento incierto o desconocido de la prstata"
"D401" "D401   Tumor de comportamiento incierto o desconocido del testculo"
"D407" "D407   Tumor de comportamiento incierto o desconocido de otros rganos genitales masculinos"
"D409" "D409   Tumor de comportamiento incierto o desconocido de rgano genital masculino no especificado"
"D41" "D41   Tumor de comportamiento incierto o desconocido de los rganos urinarios"
"D410" "D410   Tumor de comportamiento incierto o desconocido del rin"
"D411" "D411   Tumor de comportamiento incierto o desconocido de la pelvis renal"
"D412" "D412   Tumor de comportamiento incierto o desconocido del urter"
"D413" "D413   Tumor de comportamiento incierto o desconocido de la uretra"
"D414" "D414   Tumor de comportamiento incierto o desconocido de la vejiga"
"D417" "D417   Tumor de comportamiento incierto o desconocido de otros rganos urinarios"
"D419" "D419   Tumor de comportamiento incierto o desconocido de rgano urinario no especificado"
"D42" "D42   Tumor de comportamiento incierto o desconocido de las meninges"
"D420" "D420   Tumor de comportamiento incierto o desconocido de las meninges cerebrales"
"D421" "D421   Tumor de comportamiento incierto o desconocido de las meninges raqudeas"
"D429" "D429   Tumor de comportamiento incierto o desconocido de las meninges, parte no especificada"
"D43" "D43   Tumor de comportamiento incierto o desconocido del encfalo y del sistema nervioso central"
"D430" "D430   Tumor de comportamiento incierto o desconocido del encfalo, supratentorial"
"D431" "D431   Tumor de comportamiento incierto o desconocido del encfalo, infratentorial"
"D432" "D432   Tumor de comportamiento incierto o desconocido del encfalo, parte no especificada"
"D433" "D433   Tumor de comportamiento incierto o desconocido de los nervios craneales"
"D434" "D434   Tumor de comportamiento incierto o desconocido de la mdula espinal"
"D437" "D437   Tumor de comportamiento incierto o desconocido de otras partes especificadas del sistema nervioso central"
"D439" "D439   Tumor de comportamiento incierto o desconocido del sistema nervioso central, sitio no especificado"
"D44" "D44   Tumor de comportamiento incierto o desconocido de las glndulas endocrinas"
"D440" "D440   Tumor de comportamiento incierto o desconocido de la glndula tiroides"
"D441" "D441   Tumor de comportamiento incierto o desconocido de la glndula suprarrenal"
"D442" "D442   Tumor de comportamiento incierto o desconocido de la glndula paratiroides"
"D443" "D443   Tumor de comportamiento incierto o desconocido de la glndula hipfisis"
"D444" "D444   Tumor de comportamiento incierto o desconocido del conducto craneofarngeo"
"D445" "D445   Tumor de comportamiento incierto o desconocido de la glndula pineal"
"D446" "D446   Tumor de comportamiento incierto o desconocido del cuerpo carotdeo"
"D447" "D447   Tumor de comportamiento incierto o desconocido del cuerpo artico y otros cuerpos cromafines"
"D448" "D448   Tumor de comportamiento incierto o desconocido con afectacin pluriglandular"
"D449" "D449   Tumor de comportamiento incierto o desconocido de glndula endocrina no especificada"
"D45" "D45   Policitemia vera"
"D46" "D46   Sndromes mielodisplsicos"
"D460" "D460   Anemia refractaria sin sideroblastos en forma de anillo, as descrita"
"D461" "D461   Anemia refractaria con sideroblastos en forma de anillo"
"D462" "D462   Anemia refractaria con exceso de blastos [AREB]"
"D463" "D463   Anemia refractaria con exceso de blastos con transformacin"
"D464" "D464   Anemia refractaria, sin otra especificacin"
"D465" "D465   Anemia refractaria con displasia multilinaje"
"D466" "D466   Sndrome mielodisplsico con anormalidad cromosmica aislada del (5q)"
"D467" "D467   Otros sndromes mielodisplsicos"
"D469" "D469   Sndrome mielodisplsico, sin otra especificacin"
"D47" "D47   Otros tumores de comportamiento incierto o desconocido del tejido linftico, de los rganos hematopoyticos y de tejidos afines"
"D470" "D470   Tumor de comportamiento incierto o desconocido de los mastocitos e histiocitos"
"D471" "D471   Enfermedad mieloproliferativa crnica"
"D472" "D472   Gammopata monoclonal de significado incierto [GMSI]"
"D473" "D473   Trombocitopenia (hemorrgica) esencial"
"D474" "D474   Osteomielofibrosis"
"D475" "D475   Leucemia eosinoflica crnica [sndrome hipereosinoflico]"
"D477" "D477   Otros tumores especificados de comportamiento incierto o desconocido del tejido linftico, de los rganos hematopoyticos y de tejidos afines"
"D479" "D479   Tumores de comportamiento incierto o desconocido del tejido linftico, de los rganos hematopoyticos y de tejidos afines, no especificados"
"D48" "D48   Tumor de comportamiento incierto o desconocido de otros sitios y de los no especificados"
"D480" "D480   Tumor de comportamiento incierto o desconocido del hueso y cartlago articular"
"D481" "D481   Tumor de comportamiento incierto o desconocido del tejido conjuntivo y otro tejido blando"
"D482" "D482   Tumor de comportamiento incierto o desconocido de los nervios perifricos y del sistema nervioso autnomo"
"D483" "D483   Tumor de comportamiento incierto o desconocido del retroperitoneo"
"D484" "D484   Tumor de comportamiento incierto o desconocido del peritoneo"
"D485" "D485   Tumor de comportamiento incierto o desconocido de la piel"
"D486" "D486   Tumor de comportamiento incierto o desconocido de la mama"
"D487" "D487   Tumor de comportamiento incierto o desconocido de otros sitios especificados"
"D489" "D489   Tumor de comportamiento incierto o desconocido, de sitio no especificado"
"D50" "D50   Anemias por deficiencia de hierro"
"D500" "D500   Anemia por deficiencia de hierro secundaria a prdida de sangre (crnica)"
"D501" "D501   Disfagia sideropnica"
"D508" "D508   Otras anemias por deficiencia de hierro"
"D509" "D509   Anemia por deficiencia de hierro sin otra especificacin"
"D51" "D51   Anemia por deficiencia de vitamina B12"
"D510" "D510   Anemia por deficiencia de vitamina B12 debida a deficiencia del factor intrnseco"
"D511" "D511   Anemia por deficiencia de vitamina B12 debida a mala absorcin selectiva de vitamina B12 con proteinuria"
"D512" "D512   Deficiencia de trascobalamina II"
"D513" "D513   Otras anemias por deficiencia diettica de vitamina B12"
"D518" "D518   Otras anemias por deficiencia de vitamina B12"
"D519" "D519   Anemia por deficiencia de vitamina B12, sin otra especificacin"
"D52" "D52   Anemia por deficiencia de folatos"
"D520" "D520   Anemia por deficiencia diettica de folatos"
"D521" "D521   Anemia por deficiencia de folatos inducida por drogas"
"D528" "D528   Otras anemias por deficiencia de folatos"
"D529" "D529   Anemia por deficiencia de folatos, sin otra especificacin"
"D53" "D53   Otras anemias nutricionales"
"D530" "D530   Anemia por deficiencia de protenas"
"D531" "D531   Otras anemias megaloblsticas, no clasificadas en otra parte"
"D532" "D532   Anemia escorbtica"
"D538" "D538   Otras anemias nutricionales especificadas"
"D539" "D539   Anemia nutricional, no especificada"
"D55" "D55   Anemia debida a trastornos enzimticos"
"D550" "D550   Anemia debida a deficiencia de glucosa-6-fosfato deshidrogenasa [G6FD]"
"D551" "D551   Anemia debida a otros trastornos del metabolismo del glutatin"
"D552" "D552   Anemia debida a trastornos de las enzimas glucolticas"
"D553" "D553   Anemia debida a trastornos del metabolismo de los nucletidos"
"D558" "D558   Otras anemias debidas a trastornos enzimticos"
"D559" "D559   Anemia debida a trastornos enzimticos, sin otra especificacin"
"D56" "D56   Talasemia"
"D560" "D560   Alfa talasemia"
"D561" "D561   Beta talasemia"
"D562" "D562   Delta-beta talasemia"
"D563" "D563   Rasgo talasmico"
"D564" "D564   Persistencia hereditaria de la hemoglobina fetal [PHHF]"
"D568" "D568   Otras talasemias"
"D569" "D569   Talasemia, no especificada"
"D57" "D57   Trastornos falciformes"
"D570" "D570   Anemia falciforme con crisis"
"D571" "D571   Anemia falciforme  sin crisis"
"D572" "D572   Trastornos falciformes heterocigotos dobles"
"D573" "D573   Rasgo drepanoctico"
"D578" "D578   Otros trastornos falciformes"
"D58" "D58   Otras anemias hemolticas hereditarias"
"D580" "D580   Esferocitosis hereditaria"
"D581" "D581   Eliptocitosis hereditaria"
"D582" "D582   Otras hemoglobinopatas"
"D588" "D588   Otras anemias hemolticas hereditarias especificadas"
"D589" "D589   Anemia hemoltica hereditaria, sin otra especificacin"
"D59" "D59   Anemia hemoltica adquirida"
"D590" "D590   Anemia hemoltica autoinmune inducida por drogas"
"D591" "D591   Otras anemias hemolticas autoinmunes"
"D592" "D592   Anemia hemoltica no autoinmune inducida por drogas"
"D593" "D593   Sndrome hemoltico-urmico"
"D594" "D594   Otras anemias hemolticas no autoinmunes"
"D595" "D595   Hemoglobinuria paroxstica nocturna [Marchiafava- Micheli]"
"D596" "D596   Hemoglobinuria debida a hemlisis por otras causas externas"
"D598" "D598   Otras anemias hemolticas adquiridas"
"D599" "D599   Anemia hemoltica adquirida, sin otra especificacin"
"D60" "D60   Aplasia adquirida, exclusiva de la serie roja [eritroblastopenia]"
"D600" "D600   Aplasia crnica adquirida, exclusiva de la serie roja"
"D601" "D601   Aplasia transitoria adquirida, exclusiva de la serie roja"
"D608" "D608   Otras aplasias adquiridas, exclusivas de la serie roja"
"D609" "D609   Aplasia adquirida, exclusiva de la serie roja, no especificada"
"D61" "D61   Otras anemias aplsticas"
"D610" "D610   Anemia aplstica constitucional"
"D611" "D611   Anemia aplstica inducida por drogas"
"D612" "D612   Anemia aplstica debida a otros agentes externos"
"D613" "D613   Anemia aplstica idioptica"
"D618" "D618   Otras anemias aplsticas especificadas"
"D619" "D619   Anemia aplstica, sin otra especificacin"
"D62" "D62   Anemia posthemorrgica aguda"
"D63" "D63   Anemia en enfermedades crnicas clasificadas en otra parte"
"D630" "D630   Anemia en enfermedad neoplsica"
"D638" "D638   Anemia en otras enfermedades crnicas clasificadas en otra parte"
"D64" "D64   Otras anemias"
"D640" "D640   Anemia sideroblstica hereditaria"
"D641" "D641   Anemia sideroblstica secundaria a otra enfermedad"
"D642" "D642   Anemia sideroblstica secundaria, debida a drogas y toxinas"
"D643" "D643   Otras anemias sideroblsticas"
"D644" "D644   Anemia diseritropoytica congnita"
"D648" "D648   Otras anemias especificadas"
"D649" "D649   Anemia de tipo no especificado"
"D65" "D65   Coagulacin intravascular diseminada [sndrome de desfibrinacin]"
"D66" "D66   Deficiencia hereditaria del factor VIII"
"D67" "D67   Deficiencia hereditaria del factor IX"
"D68" "D68   Otros defectos de la coagulacin"
"D680" "D680   Enfermedad de von Willebrand"
"D681" "D681   Deficiencia hereditaria del factor XI"
"D682" "D682   Deficiencia hereditaria de otros factores de la coagulacin"
"D683" "D683   Trastorno hemorrgico debido a anticoagulantes circulantes"
"D684" "D684   Deficiencia adquirida de factores de la coagulacin"
"D685" "D685   Trombofilia primaria"
"D686" "D686   Otra trombofilia"
"D688" "D688   Otros defectos especificados de la coagulacin"
"D689" "D689   Defecto de la coagulacin, no especificado"
"D69" "D69   Prpura y otras afecciones hemorrgicas"
"D690" "D690   Prpura alrgica"
"D691" "D691   Defecto cualitativos de las plaquetas"
"D692" "D692   Otras prpuras no trombocitopnicas"
"D693" "D693   Prpura trombocitopnica idioptica"
"D694" "D694   Otras trombocitopenias primarias"
"D695" "D695   Trombocitopenia secundaria"
"D696" "D696   Trombocitopenia no especificada"
"D698" "D698   Otras afecciones hemorrgicas especificadas"
"D699" "D699   Afeccin hemorrgica, no especificada"
"D70" "D70   Agranulocitosis"
"D71" "D71   Trastornos funcionales de los polimorfonucleares neutrfilos"
"D72" "D72   Otros trastornos de los leucocitos"
"D720" "D720   Anomalas genticas de los leucocitos"
"D721" "D721   Eosinofilia"
"D728" "D728   Otros trastornos especificados de los leucocitos"
"D729" "D729   Trastorno de los leucocitos, no especificado"
"D73" "D73   Enfermedades del bazo"
"D730" "D730   Hipoesplenismo"
"D731" "D731   Hiperesplenismo"
"D732" "D732   Esplenomegalia congestiva crnica"
"D733" "D733   Absceso del bazo"
"D734" "D734   Quiste del bazo"
"D735" "D735   Infarto del bazo"
"D738" "D738   Otras enfermedades del bazo"
"D739" "D739   Enfermedad del bazo, no especificada"
"D74" "D74   Metahemoglobinemia"
"D740" "D740   Metahemoglobinemia congnita"
"D748" "D748   Otras metahemoglobinemias"
"D749" "D749   Metahemoglobinemia, no especificada"
"D75" "D75   Otras enfermedades de la sangre y de los rganos hematopoyticos"
"D750" "D750   Eritrocitosis familiar"
"D751" "D751   Policitemia secundaria"
"D752" "D752   Trombocitosis esencial"
"D758" "D758   Otras enfermedades especificadas de la sangre y de los rganos hematopoyticos"
"D759" "D759   Enfermedad de la sangre y de los rganos hematopoyticos, no especificada"
"D76" "D76   Otras enfermedades especificadas con participacin del tejido linforreticular y del tejido reticulohistioctico"
"D760" "D760   Histiocitosis de las clulas de Langerhans, no clasificada en otra parte"
"D761" "D761   Linfohistiocitosis hemofagoctica"
"D762" "D762   Sndrome hemofagoctico asociado a infeccin"
"D763" "D763   Otros sndromes histiocticos"
"D77" "D77   Otros trastornos de la sangre y de los rganos hematopoyticos en enfermedades clasificadas en otra parte"
"D80" "D80   Inmunodeficiencia con predominio de defectos de los anticuerpos"
"D800" "D800   Hipogammaglobulinemia hereditaria"
"D801" "D801   Hipogammaglobulinemia no familiar"
"D802" "D802   Deficiencia selectiva de inmunoglobulina A [IgA]"
"D803" "D803   Deficiencia selectiva de subclases de la inmunoglobulina G [IgG]"
"D804" "D804   Deficiencia selectiva de inmunoglobulina M [IgM]"
"D805" "D805   Inmunodeficiencia con incremento de inmunoglobulina M [IgM]"
"D806" "D806   Deficiencia de anticuerpos con inmunoglobulinas casi normales o con hiperinmunoglobulinemia"
"D807" "D807   Hipogammaglobulinemia transitoria de la infancia"
"D808" "D808   Otras inmunodeficiencias con predominio de defectos de los anticuerpos"
"D809" "D809   Inmunodeficiencia con predominio de defectos de los anticuerpos, no especificada"
"D81" "D81   Inmunodeficiencias combinadas"
"D810" "D810   Inmunodeficiencia combinada severa [IDCS] con disgenesia reticular"
"D811" "D811   Inmunodeficiencia combinada severa [IDCS] con linfocitopenia T y B"
"D812" "D812   Inmunodeficiencia combinada severa [IDCS] con cifra baja o normal de linfocitos B"
"D813" "D813   Deficiencia de la adenosina deaminasa [ADA]"
"D814" "D814   Sndrome de Nezelof"
"D815" "D815   Deficiencia de la fosforilasa purinonuclesida [FPN]"
"D816" "D816   Deficiencia de la clase I del complejo de histocompatibilidad mayor"
"D817" "D817   Deficiencia de la clase II del complejo de histocompatibilidad mayor"
"D818" "D818   Otras inmunodeficiencias combinadas"
"D819" "D819   Inmunodeficiencia combinada, no especificada"
"D82" "D82   Inmunodeficiencia asociada con otros defectos mayores"
"D820" "D820   Sndrome de Wiskott-Aldrich"
"D821" "D821   Sndrome de Di George"
"D822" "D822   Inmunodeficiencia con enanismo micromlico [miembros cortos]"
"D823" "D823   Inmunodeficiencia consecutiva a respuesta defectuosa hereditaria contra el virus de Epstein-Barr"
"D824" "D824   Sndrome de hiperinmunoglobulina E [IgE]"
"D828" "D828   Inmunodeficiencia asociada con otros defectos mayores especificados"
"D829" "D829   Inmunodeficiencia asociada con defectos mayores no especificados"
"D83" "D83   Inmunodeficiencia variable comn"
"D830" "D830   Inmunodeficiencia variable comn con predominio de anormalidades en el nmero y la funcin de los linfocitos B"
"D831" "D831   Inmunodeficiencia variable comn con predominio de trastornos inmunorreguladores de los linfocitos T"
"D832" "D832   Inmunodeficiencia variable comn con autoanticuerpos anti-B o anti-T"
"D838" "D838   Otras inmunodeficiencias variables comunes"
"D839" "D839   Inmunodeficiencia variable comn, no especificada"
"D84" "D84   Otras inmunodeficiencias"
"D840" "D840   Defecto de la funcin del antgeno-1 del linfocito [LFA-1]"
"D841" "D841   Defecto del sistema del complemento"
"D848" "D848   Otras inmunodeficiencias especificadas"
"D849" "D849   Inmunodeficiencia, no especificada"
"D86" "D86   Sarcoidosis"
"D860" "D860   Sarcoidosis del pulmn"
"D861" "D861   Sarcoidosis de los ganglios linfticos"
"D862" "D862   Sarcoidosis del pulmn y de los ganglios linfticos"
"D863" "D863   Sarcoidosis de la piel"
"D868" "D868   Sarcoidosis de otros sitios especificados o de sitios combinados"
"D869" "D869   Sarcoidosis de sitio no especificado"
"D89" "D89   Otros trastornos que afectan el mecanismo de la inmunidad, no clasificados en otra parte"
"D890" "D890   Hipergammaglobulinemia policlonal"
"D891" "D891   Crioglobulinemia"
"D892" "D892   Hipergammaglobulinemia, no especificada"
"D893" "D893   Sndrome de reconstitucin inmune"
"D898" "D898   Otros trastornos especificados que afectan el mecanismo de la inmunidad, no clasificados en otra parte"
"D899" "D899   Trastorno que afecta al mecanismo de la inmunidad, no especificado"
"E00" "E00   Sndrome congnito de deficiencia de yodo"
"E000" "E000   Sndrome congnito de deficiencia de yodo, tipo neurolgico"
"E001" "E001   Sndrome de deficiencia congnita de yodo, tipo mixedematoso"
"E002" "E002   Sndrome congnito de deficiencia de yodo, tipo mixto"
"E009" "E009   Sndrome congnito de deficiencia de yodo, no especificado"
"E01" "E01   Trastornos tiroideos vinculados a deficiencia de yodo y afecciones relacionadas"
"E010" "E010   Bocio difuso (endmico) relacionado con deficiencia de yodo"
"E011" "E011   Bocio multinodular (endmico) relacionado con deficiencia de yodo"
"E012" "E012   Bocio (endmico) relacionado con deficiencia de yodo, no especificado"
"E018" "E018   Otros trastornos de la tiroides relacionados con deficiencia de yodo y afecciones similares"
"E02" "E02   Hipotiroidismo subclnico por deficiencia de yodo"
"E03" "E03   Otros hipotiroidismos"
"E030" "E030   Hipotiroidismo congnito con bocio difuso"
"E031" "E031   Hipotiroidismo congnito sin bocio"
"E032" "E032   Hipotiroidismo debido a medicamentos y a otras sustancias exgenas"
"E033" "E033   Hipotiroidismo postinfeccioso"
"E034" "E034   Atrofia de tiroides (adquirida)"
"E035" "E035   Coma mixedematoso"
"E038" "E038   Otros hipotiroidismos especificados"
"E039" "E039   Hipotiroidismo, no especificado"
"E04" "E04   Otros bocios no txicos"
"E040" "E040   Bocio difuso no txico"
"E041" "E041   Ndulo tiroideo solitario no txico"
"E042" "E042   Bocio multinodular no txico"
"E048" "E048   Otros bocios no txicos especificados"
"E049" "E049   Bocio no txico, no especificado"
"E05" "E05   Tirotoxicosis [hipertiroidismo]"
"E050" "E050   Tirotoxicosis con bocio difuso"
"E051" "E051   Tirotoxicosis con ndulo solitario tiroideo txico"
"E052" "E052   Tirotoxicosis con bocio multinodular txico"
"E053" "E053   Tirotoxicosis por tejido tiroideo ectpico"
"E054" "E054   Tirotoxicosis facticia"
"E055" "E055   Crisis o tormenta tirotxica"
"E058" "E058   Otras tirotoxicosis"
"E059" "E059   Tirotoxicosis, no especificada"
"E06" "E06   Tiroiditis"
"E060" "E060   Tiroiditis aguda"
"E061" "E061   Tiroiditis subaguda"
"E062" "E062   Tiroiditis crnica con tirotoxicosis transitoria"
"E063" "E063   Tiroiditis autoinmune"
"E064" "E064   Tiroiditis inducida por drogas"
"E065" "E065   Otras tiroiditis crnicas"
"E069" "E069   Tiroiditis, no especificada"
"E07" "E07   Otros trastornos tiroideos"
"E070" "E070   Hipersecrecin de calcitonina"
"E071" "E071   Bocio dishormogentico"
"E078" "E078   Otros trastornos especificados de la glndula tiroides"
"E079" "E079   Trastorno de la glndula tiroides, no especificado"
"E10" "E10   Diabetes mellitus Tipo I"
"E100" "E100   Diabetes mellitus Tipo I, con coma"
"E101" "E101   Diabetes mellitus Tipo I, con cetoacidosis"
"E102" "E102   Diabetes mellitus Tipo I, con complicaciones renales"
"E103" "E103   Diabetes mellitus Tipo I, con complicaciones oftlmicas"
"E104" "E104   Diabetes mellitus Tipo I, con complicaciones neurolgicas"
"E105" "E105   Diabetes mellitus Tipo I, con complicaciones circulatorias perifricas"
"E106" "E106   Diabetes mellitus Tipo I, con otras complicaciones especificadas"
"E107" "E107   Diabetes mellitus Tipo I, con complicaciones mltiples"
"E108" "E108   Diabetes mellitus Tipo I, con complicaciones no especificadas"
"E109" "E109   Diabetes mellitus Tipo I, sin mencin de complicacin"
"E11" "E11   Diabetes mellitus Tipo II"
"E110" "E110   Diabetes mellitus Tipo II, con coma"
"E111" "E111   Diabetes mellitus Tipo II, con cetoacidosis"
"E112" "E112   Diabetes mellitus Tipo II, con complicaciones renales"
"E113" "E113   Diabetes mellitus Tipo II, con complicaciones oftlmicas"
"E114" "E114   Diabetes mellitus Tipo II, con complicaciones neurolgicas"
"E115" "E115   Diabetes mellitus Tipo II, con complicaciones circulatorias perifricas"
"E116" "E116   Diabetes mellitus Tipo II, con otras complicaciones especificadas"
"E117" "E117   Diabetes mellitus Tipo II, con complicaciones mltiples"
"E118" "E118   Diabetes mellitus Tipo II, con complicaciones no especificadas"
"E119" "E119   Diabetes mellitus Tipo II, sin mencin de complicacin"
"E12" "E12   Diabetes mellitus asociada con desnutricin"
"E120" "E120   Diabetes mellitus asociada con desnutricin, con coma"
"E121" "E121   Diabetes mellitus asociada con desnutricin, con cetoacidosis"
"E122" "E122   Diabetes mellitus asociada con desnutricin, con complicaciones renales"
"E123" "E123   Diabetes mellitus asociada con desnutricin, con complicaciones oftlmicas"
"E124" "E124   Diabetes mellitus asociada con desnutricin, con complicaciones neurolgicas"
"E125" "E125   Diabetes mellitus asociada con desnutricin, con complicaciones circulatorias perifricas"
"E126" "E126   Diabetes mellitus asociada con desnutricin, con otras complicaciones especificadas"
"E127" "E127   Diabetes mellitus asociada con desnutricin, con complicaciones mltiples"
"E128" "E128   Diabetes mellitus asociada con desnutricin, con complicaciones no especificadas"
"E129" "E129   Diabetes mellitus asociada con desnutricin, sin mencin de complicacin"
"E13" "E13   Otras diabetes mellitus especificadas"
"E130" "E130   Otras diabetes mellitus especificadas, con coma"
"E131" "E131   Otras Diabetes mellitus especificadas, con cetoacidosis"
"E132" "E132   Otras diabetes mellitus especificadas, con complicaciones renales"
"E133" "E133   Otras diabetes mellitus especificadas, con complicaciones oftlmicas"
"E134" "E134   Otras diabetes mellitus especificadas, con complicaciones neurolgicas"
"E135" "E135   Otras diabetes mellitus especificadas, con complicaciones circulatorias perifricas"
"E136" "E136   Otras diabetes mellitus especificadas, con otras complicaciones especificadas"
"E137" "E137   Otras diabetes mellitus especificadas, con complicaciones mltiples"
"E138" "E138   Otras diabetes mellitus especificadas, con complicaciones no especificadas"
"E139" "E139   Otras diabetes mellitus especificadas, sin mencin de complicacin"
"E14" "E14   Diabetes mellitus, no especificada"
"E140" "E140   Diabetes mellitus no especificada, con coma"
"E141" "E141   Diabetes mellitus no especificada, con cetoacidosis"
"E142" "E142   Diabetes mellitus no especificada, con complicaciones renales"
"E143" "E143   Diabetes mellitus no especificada, con complicaciones oftlmicas"
"E144" "E144   Diabetes mellitus no especificada, con complicaciones neurolgicas"
"E145" "E145   Diabetes mellitus no especificada, con complicaciones circulatorias perifricas"
"E146" "E146   Diabetes mellitus no especificada, con otras complicaciones especificadas"
"E147" "E147   Diabetes mellitus no especificada, con complicaciones mltiples"
"E148" "E148   Diabetes mellitus no especificada, con complicaciones no especificadas"
"E149" "E149   Diabetes mellitus no especificada, sin mencin de complicacin"
"E15" "E15   Coma hipoglicmico no diabtico"
"E16" "E16   Otros trastornos de la secrecin interna del pncreas"
"E160" "E160   Hipoglicemia sin coma, inducida por drogas"
"E161" "E161   Otras hipoglicemias"
"E162" "E162   Hipoglicemia, no especificada"
"E163" "E163   Secrecin exagerada del glucagn"
"E164" "E164   Secrecin anormal de gastrina"
"E168" "E168   Otros trastornos especificados de la secrecin interna del pncreas"
"E169" "E169   Trastornos de la secrecin interna del pncreas, sin otra especificacin"
"E20" "E20   Hipoparatiroidismo"
"E200" "E200   Hipoparatiroidismo idioptico"
"E201" "E201   Pseudohipoparatiroidismo"
"E208" "E208   Otros tipos de hipoparatiroidismo"
"E209" "E209   Hipoparatiroidismo, no especificado"
"E21" "E21   Hiperparatiroidismo y otros trastornos de la glndula paratiroides"
"E210" "E210   Hiperparatiroidismo primario"
"E211" "E211   Hiperparatiroidismo secundario no clasificado en otra parte"
"E212" "E212   Otros tipos de hiperparatiroidismo"
"E213" "E213   Hiperparatiroidismo, sin otra especificacin"
"E214" "E214   Otros trastornos especificados de la glndula paratiroides"
"E215" "E215   Trastorno de la glndula paratiroides, no especificado"
"E22" "E22   Hiperfuncin de la glndula hipfisis"
"E220" "E220   Acromegalia y gigantismo hipofisario"
"E221" "E221   Hiperprolactinemia"
"E222" "E222   Sndrome de secrecin inapropiada de hormona anitidiurtica"
"E228" "E228   Otras hiperfunciones de la glndula hipfisis"
"E229" "E229   Hiperfuncin de la glndula hipfisis, no especificada"
"E23" "E23   Hipofuncin y otros trastornos de la glndula hipfisis"
"E230" "E230   Hipopituitarismo"
"E231" "E231   Hipopituitarismo inducido por drogas"
"E232" "E232   Diabetes inspida"
"E233" "E233   Disfuncin hipotalmica, no clasificada en otra parte"
"E236" "E236   Otros trastornos de la glndula hipfisis"
"E237" "E237   Trastorno de la glndula hipfisis, no especificado"
"E24" "E24   Sndrome de Cushing"
"E240" "E240   Enfermedad de Cushing dependiente de la hipfisis"
"E241" "E241   Sndrome de Nelson"
"E242" "E242   Sndrome de Cushing inducido por drogas"
"E243" "E243   Sndrome de ACTH ectpico"
"E244" "E244   Sndrome de seudo-Cushing inducido por alcohol"
"E248" "E248   Otros tipos de sndrome de Cushing"
"E249" "E249   Sndrome de Cushing, no especificado"
"E25" "E25   Trastornos adrenogenitales"
"E250" "E250   Trastornos adrenogenitales congnitos con deficiencia enzimtica"
"E258" "E258   Otros trastornos adrenogenitales"
"E259" "E259   Trastorno adrenogenital, no especificado"
"E26" "E26   Hiperaldosteronismo"
"E260" "E260   Hiperaldosteronismo primario"
"E261" "E261   Hiperaldosteronismo secundario"
"E268" "E268   Otros tipos de hiperaldosteronismo"
"E269" "E269   Hiperaldosteronismo, no especificado"
"E27" "E27   Otros trastornos  de la glndula suprarrenal"
"E270" "E270   Otra hiperactividad corticosuprarrenal"
"E271" "E271   Insuficiencia corticosuprarrenal primaria"
"E272" "E272   Crisis addisoniana"
"E273" "E273   Insuficiencia corticosuprarrenal inducida por drogas"
"E274" "E274   Otras insuficiencias corticosuprarrenales y las no especificadas"
"E275" "E275   Hiperfuncin de la mdula suprarrenal"
"E278" "E278   Otros trastornos especificados de la glndula suprarrenal"
"E279" "E279   Trastorno de la glndula suprarrenal, no especificado"
"E28" "E28   Disfuncin ovrica"
"E280" "E280   Exceso de estrgenos"
"E281" "E281   Exceso de andrgenos"
"E282" "E282   Sndrome de ovario poliqustico"
"E283" "E283   Insuficiencia ovrica primaria"
"E288" "E288   Otras disfunciones ovricas"
"E289" "E289   Disfuncin ovrica, no especificada"
"E29" "E29   Disfuncin testicular"
"E290" "E290   Hiperfuncin testicular"
"E291" "E291   Hipofuncin testicular"
"E298" "E298   Otras disfunciones testiculares"
"E299" "E299   Disfuncin testicular, no especificada"
"E30" "E30   Trastornos de la pubertad, no clasificados en otra parte"
"E300" "E300   Pubertad retardada"
"E301" "E301   Pubertad precoz"
"E308" "E308   Otros trastornos de la pubertad"
"E309" "E309   Trastorno de la pubertad, no especificado"
"E31" "E31   Disfuncin poliglandular"
"E310" "E310   Insuficiencia poliglandular autoinmune"
"E311" "E311   Hiperfuncin poliglandular"
"E318" "E318   Otras disfunciones poliglandulares"
"E319" "E319   Disfuncin poliglandular, no especificada"
"E32" "E32   Enfermedades del timo"
"E320" "E320   Hiperplasia persistente del timo"
"E321" "E321   Absceso del timo"
"E328" "E328   Otras enfermedades del timo"
"E329" "E329   Enfermedad del timo, no especificada"
"E34" "E34   Otros trastornos endocrinos"
"E340" "E340   Sndrome carcinoide"
"E341" "E341   Otras hipersecreciones de hormonas intestinales"
"E342" "E342   Secrecin hormonal ectpica, no clasificada en otra parte"
"E343" "E343   Enanismo, no clasificado en otra parte"
"E344" "E344   Estatura alta constitucional"
"E345" "E345   Sndrome de resistencia andrognica"
"E348" "E348   Otros trastornos endocrinos especificados"
"E349" "E349   Trastorno endocrino, no especificado"
"E35" "E35   Trastornos endocrinos en enfermedades clasificadas en otra parte"
"E350" "E350   Trastornos de la glndula tiroides en enfermedades clasificadas en otra parte"
"E351" "E351   Trastornos de las glndulas suprarrenales en enfermedades clasificadas en otra parte"
"E358" "E358   Trastornos de otras glndulas endocrinas en enfermedades clasificadas en otra parte"
"E40" "E40   Kwashiorkor"
"E41" "E41   Marasmo nutricional"
"E42" "E42   Kwashiorkor marasmtico"
"E43" "E43   Desnutricin proteicocalrica severa, no especificada"
"E44" "E44   Desnutricin proteicocalrica de grado moderado y leve"
"E440" "E440   Desnutricin proteicocalrica moderada"
"E441" "E441   Desnutricin proteicocalrica leve"
"E45" "E45   Retardo del desarrollo debido a desnutricin proteicocalrica"
"E46" "E46   Desnutricin proteicocalrica, no especificada"
"E50" "E50   Deficiencia de vitamina A"
"E500" "E500   Deficiencia de vitamina A con xerosis conjuntival"
"E501" "E501   Deficiencia de vitamina A con mancha de Bitot y xerosis conjuntival"
"E502" "E502   Deficiencia de vitamina A con xerosis corneal"
"E503" "E503   Deficiencia de vitamina A con ulceracin corneal y xerosis"
"E504" "E504   Deficiencia de vitamina A con queratomalacia"
"E505" "E505   Deficiencia de vitamina A con ceguera nocturna"
"E506" "E506   Deficiencia de vitamina A con cicatrices xeroftlmicas de la crnea"
"E507" "E507   Otras manifestaciones oculares de deficiencia de vitamina A"
"E508" "E508   Otras manifestaciones de deficiencia de vitamina A"
"E509" "E509   Deficiencia de vitamina A, no especificada"
"E51" "E51   Deficiencia de tiamina"
"E511" "E511   Beriberi"
"E512" "E512   Encefalopata de Wernicke"
"E518" "E518   Otras manifestaciones de la deficiencia de tiamina"
"E519" "E519   Deficiencia de tiamina, no especificada"
"E52" "E52   Deficiencia de niacina [pelagra]"
"E53" "E53   Deficiencias de otras vitaminas del grupo B"
"E530" "E530   Deficiencia de riboflavina"
"E531" "E531   Deficiencia de piridoxina"
"E538" "E538   Deficiencia de otras vitaminas del grupo B"
"E539" "E539   Deficiencia de vitamina B, no especificada"
"E54" "E54   Deficiencia de cido ascrbico"
"E55" "E55   Deficiencia de vitamina D"
"E550" "E550   Raquitismo activo"
"E559" "E559   Deficiencia de vitamina D, no especificada"
"E56" "E56   Otras deficiencias de vitaminas"
"E560" "E560   Deficiencia de vitamina E"
"E561" "E561   Deficiencia de vitamina K"
"E568" "E568   Deficiencia de otras vitaminas"
"E569" "E569   Deficiencia de vitamina, no especificada"
"E58" "E58   Deficiencia diettica de calcio"
"E59" "E59   Deficiencia diettica de selenio"
"E60" "E60   Deficiencia diettica de zinc"
"E61" "E61   Deficiencias de otros elementos nutricionales"
"E610" "E610   Deficiencia de cobre"
"E611" "E611   Deficiencia de hierro"
"E612" "E612   Deficiencia de magnesio"
"E613" "E613   Deficiencia de manganeso"
"E614" "E614   Deficiencia de cromo"
"E615" "E615   Deficiencia de molibdeno"
"E616" "E616   Deficiencia de vanadio"
"E617" "E617   Deficiencia de mltiples elementos nutricionales"
"E618" "E618   Deficiencia de otros elementos nutricionales especificados"
"E619" "E619   Deficiencia de otro elemento nutricional, no especificado"
"E63" "E63   Otras deficiencias nutricionales"
"E630" "E630   Deficiencia de cidos grasos esenciales [AGE]"
"E631" "E631   Desequilibrio de los constituyentes en la dieta"
"E638" "E638   Otras deficiencias nutricionales especificadas"
"E639" "E639   Deficiencia nutricional, no especificada"
"E64" "E64   Secuelas de la desnutricin y de otras deficiencias nutricionales"
"E640" "E640   Secuelas de la desnutricin proteicocalrica"
"E641" "E641   Secuelas de la deficiencia de vitamina A"
"E642" "E642   Secuelas de la deficiencia de vitamina C"
"E643" "E643   Secuelas del raquitismo"
"E648" "E648   Secuelas de otras deficiencias nutricionales"
"E649" "E649   Secuelas de la deficiencia nutricional no especificada"
"E65" "E65   Adiposidad localizada"
"E66" "E66   Obesidad"
"E660" "E660   Obesidad debida a exceso de caloras"
"E661" "E661   Obesidad inducida por drogas"
"E662" "E662   Obesidad extrema con hipoventilacin alveolar"
"E668" "E668   Otros tipos de obesidad"
"E669" "E669   Obesidad, no especificada"
"E67" "E67   Otros tipos de hiperalimentacin"
"E670" "E670   Hipervitaminosis A"
"E671" "E671   Hipercarotinemia"
"E672" "E672   Sndrome de megavitamina B6"
"E673" "E673   Hipervitaminosis D"
"E678" "E678   Otros tipos de hiperalimentacin especificados"
"E68" "E68   Secuelas de hiperalimentacin"
"E70" "E70   Trastornos del metabolismo de los aminocidos aromticos"
"E700" "E700   Fenilcetonuria clsica"
"E701" "E701   Otras hiperfenilalaninemias"
"E702" "E702   Trastornos del metabolismo de la tirosina"
"E703" "E703   Albinismo"
"E708" "E708   Otros trastornos del metabolismo de los aminocidos aromticos"
"E709" "E709   Trastorno del metabolismo de los aminocidos aromticos, no especificado"
"E71" "E71   Trastornos del metabolismo de los aminocidos de cadena ramificada y de los cidos grasos"
"E710" "E710   Enfermedad de la orina en jarabe de arce"
"E711" "E711   Otros trastornos del metabolismo de los aminocidos de cadena ramificada"
"E712" "E712   Otros trastornos del metabolismo de los aminocidos de cadena ramificada, no especificados"
"E713" "E713   Trastornos del metabolismo de los cidos grasos"
"E72" "E72   Otros trastornos del metabolismo de los aminocidos"
"E720" "E720   Trastornos del transporte de los aminocidos"
"E721" "E721   Trastornos del metabolismo de los aminocidos azufrados"
"E722" "E722   Trastornos del metabolismo del ciclo de la urea"
"E723" "E723   Trastornos del metabolismo de la lisina y la hidroxilisina"
"E724" "E724   Trastornos del metabolismo de la ornitina"
"E725" "E725   Trastornos del metabolismo de la glicina"
"E728" "E728   Otros trastornos especificados del metabolismo de los aminocidos"
"E729" "E729   Trastorno del metabolismo de los aminocidos, no especificado"
"E73" "E73   Intolerancia a la lactosa"
"E730" "E730   Deficiencia congnita de lactasa"
"E731" "E731   Deficiencia secundaria de lactasa"
"E738" "E738   Otros tipos de intolerancia a la lactosa"
"E739" "E739   Intolerancia a la lactosa, no especificada"
"E74" "E74   Otros trastornos del metabolismo de los carbohidratos"
"E740" "E740   Enfermedad del almacenamiento de glucgeno"
"E741" "E741   Trastornos del metabolismo de la fructosa"
"E742" "E742   Trastorno del metabolismo de la galactosa"
"E743" "E743   Otros trastornos de la absorcin intestinal de carbohidratos"
"E744" "E744   Trastornos del metabolismo del piruvato y de la gluconeognesis"
"E748" "E748   Otros trastornos especificados del metabolismo de los carbohidratos"
"E749" "E749   Trastorno del metabolismo de los carbohidratos, no especificado"
"E75" "E75   Trastornos del metabolismo de los esfingolpidos y otros trastornos por almacenamiento de lpidos"
"E750" "E750   Gangliosidosis GM2"
"E751" "E751   Otras gangliosidosis"
"E752" "E752   Otras esfingolipidosis"
"E753" "E753   Esfingolipidosis, no especificada"
"E754" "E754   Lipofuscinosis ceroide neuronal"
"E755" "E755   Otros trastornos del almacenamiento de lpidos"
"E756" "E756   Trastorno del almacenamiento de lpidos, no especificado"
"E76" "E76   Trastornos del metabolismo de los glucosaminoglicanos"
"E760" "E760   Mucopolisacaridosis tipo I"
"E761" "E761   Mucopolisacaridosis tipo II"
"E762" "E762   Otras mucopolisacaridosis"
"E763" "E763   Mucopolisacaridosis no especificada"
"E768" "E768   Otros trastornos del metabolismo de los glucosaminoglicanos"
"E769" "E769   Trastorno del metabolismo de los glucosaminoglicanos, no especificado"
"E77" "E77   Trastornos del metabolismo de las glucoprotenas"
"E770" "E770   Defectos en la modificacin postraslacional de enzimas lisosomales"
"E771" "E771   Defectos de la degradacin de glucoprotenas"
"E778" "E778   Otros trastornos del metabolismo de las glucoprotenas"
"E779" "E779   Trastornos del metabolismo de las glucoprotenas, no especificado"
"E78" "E78   Trastornos del metabolismo de las lipoprotenas y otras lipidemias"
"E780" "E780   Hipercolesterolemia pura"
"E781" "E781   Hipergliceridemia pura"
"E782" "E782   Hiperlipidemia mixta"
"E783" "E783   Hiperquilomicronemia"
"E784" "E784   Otra hiperlipidemia"
"E785" "E785   Hiperlipidemia no especificada"
"E786" "E786   Deficiencia de lipoprotenas"
"E788" "E788   Otros trastornos del metabolismo de las lipoprotenas"
"E789" "E789   Trastorno del metabolismo de las lipoprotenas, no especificado"
"E79" "E79   Trastornos del metabolismo de las purinas y de las pirimidinas"
"E790" "E790   Hiperuricemia sin signos de artritis inflamatoria y enfermedad tofcea"
"E791" "E791   Sndrome de Lesch-Nyhan"
"E798" "E798   Otros trastornos del metabolismo de las purinas y de las pirimidinas"
"E799" "E799   Trastorno del metabolismo de las purinas y de las pirimidinas, no especificado"
"E80" "E80   Trastornos del metabolismo de las porfirinas y de la bilirrubina"
"E800" "E800   Porfiria eritropoytica hereditaria"
"E801" "E801   Porfiria cutnea tarda"
"E802" "E802   Otras porfirias"
"E803" "E803   Defectos de catalasa y peroxidasa"
"E804" "E804   Sndrome de Gilbert"
"E805" "E805   Sndrome de Crigler-Najjar"
"E806" "E806   Otros trastornos del metabolismo de la bilirrubina"
"E807" "E807   Trastorno del metabolismo de la bilirrubina, no especificado"
"E83" "E83   Trastornos del metabolismo de los minerales"
"E830" "E830   Trastornos del metabolismo del cobre"
"E831" "E831   Trastornos del metabolismo del hierro"
"E832" "E832   Trastornos del metabolismo del zinc"
"E833" "E833   Trastornos del metabolismo del fsforo y fosfatasa"
"E834" "E834   Trastornos del metabolismo del magnesio"
"E835" "E835   Trastornos del metabolismo del calcio"
"E838" "E838   Otros trastornos del metabolismo de los minerales"
"E839" "E839   Trastorno del metabolismo de los minerales, no especificado"
"E84" "E84   Fibrosis qustica"
"E840" "E840   Fibrosis qustica con manifestaciones pulmonares"
"E841" "E841   Fibrosis qustica con manifestaciones intestinales"
"E848" "E848   Fibrosis qustica con otras manifestaciones"
"E849" "E849   Fibrosis qustica, sin otra especificacin"
"E85" "E85   Amiloidosis"
"E850" "E850   Amiloidosis heredofamiliar no neuroptica"
"E851" "E851   Amiloidosis heredofamiliar neuroptica"
"E852" "E852   Amiloidosis heredofamiliar no especificada"
"E853" "E853   Amiloidosis sistmica secundaria"
"E854" "E854   Amiloidosis limitada a un rgano"
"E858" "E858   Otras amiloidosis"
"E859" "E859   Amiloidosis, no especificada"
"E86" "E86   Deplecin del volumen"
"E87" "E87   Otros trastornos de los lquidos, de los electrlitos y del equilibrio cido-bsico"
"E870" "E870   Hiperosmolaridad e hipernatremia"
"E871" "E871   Hiposmolaridad e hiponatremia"
"E872" "E872   Acidosis"
"E873" "E873   Alcalosis"
"E874" "E874   Trastornos mixtos del balance cido-bsico"
"E875" "E875   Hiperpotasemia"
"E876" "E876   Hipopotasmia"
"E877" "E877   Sobrecarga de lquidos"
"E878" "E878   Otros trastornos del equilibrio de los electrlitos y de los lquidos, no clasificados en otra parte"
"E88" "E88   Otros trastornos metablicos"
"E880" "E880   Trastornos del metabolismo de las protenas plasmticas, no clasificados en otra parte"
"E881" "E881   Lipodistrofia, no clasificada en otra parte"
"E882" "E882   Lipomatosis, no clasificada en otra parte"
"E883" "E883   Sndrome de lisis tumoral"
"E888" "E888   Otros trastornos especificados del metabolismo"
"E889" "E889   Trastorno metablico, no especificado"
"E89" "E89   Trastornos endocrinos y metablicos consecutivos a procedimientos, no clasificados en otra parte"
"E890" "E890   Hipotiroidismo consecutivo a procedimientos"
"E891" "E891   Hipoinsulinemia consecutiva a procedimientos"
"E892" "E892   Hipoparatiroidismo consecutivo a procedimientos"
"E893" "E893   Hipopituitarismo consecutivo a procedimientos"
"E894" "E894   Insuficiencia ovrica consecutiva a procedimientos"
"E895" "E895   Hipofuncin testicular consecutiva a procedimientos"
"E896" "E896   Hipofuncin adrenocortical [mdula suprarrenal] consecutiva a procedimientos"
"E898" "E898   Otros trastornos metablicos y endocrinos consecutivos a procedimientos"
"E899" "E899   Trastorno endocrino y metablico consecutivo a procedimientos, no especificado"
"E90" "E90   Trastornos nutricionales y metablicos en enfermedades clasificadas en otra parte"
"F00" "F00   Demencia en la enfermedad de Alzheimer"
"F000" "F000   Demencia  en la enfermedad de Alzheimer, de comienzo temprano"
"F001" "F001   Demencia  en la enfermedad de Alzheimer, de comienzo tardo"
"F002" "F002   Demencia  en la enfermedad de Alzheimer, atpica o de tipo mixto"
"F009" "F009   Demencia  en la enfermedad de Alzheimer, no especificada"
"F01" "F01   Demencia vascular"
"F010" "F010   Demencia  vascular de comienzo agudo"
"F011" "F011   Demencia  vascular por infartos mltiples"
"F012" "F012   Demencia  vascular subcortical"
"F013" "F013   Demencia  vascular mixta, cortical y subcortical"
"F018" "F018   Otras demencia vasculares"
"F019" "F019   Demencia  vascular, no especificada"
"F02" "F02   Demencia en otras enfermedades clasificadas en otra parte"
"F020" "F020   Demencia  en la enfermedad de Pick"
"F021" "F021   Demencia  en la enfermedad de Creutzfeldt-Jakob"
"F022" "F022   Demencia  en la enfermedad de Huntington"
"F023" "F023   Demencia  en la enfermedad de Parkinson"
"F024" "F024   Demencia  en la enfermedad por virus de la inmunodeficiencia humana [VIH]"
"F028" "F028   Demencia  en otras enfermedades especificadas clasificadas en otra parte"
"F03" "F03   Demencia , no especificada"
"F04" "F04   Sndrome amnsico orgnico, no inducido por alcohol o por otras sustancias psicoactivas"
"F05" "F05   Delirio, no inducido por alcohol o por otras sustancias psicoactivas"
"F050" "F050   Delirio no superpuesto a un cuadro de demencia, as descrito"
"F051" "F051   Delirio superpuesto a un cuadro de demencia"
"F058" "F058   Otros delirios"
"F059" "F059   Delirio, no especificado"
"F06" "F06   Otros trastornos mentales debidos a lesin y disfuncin cerebral, y a enfermedad fsica"
"F060" "F060   Alucinosis orgnica"
"F061" "F061   Trastorno catatnico, orgnico"
"F062" "F062   Trastorno delirante [esquizofreniforme], orgnico"
"F063" "F063   Trastornos del humor [afectivos], orgnicos"
"F064" "F064   Trastorno de ansiedad, orgnico"
"F065" "F065   Trastorno disociativo, orgnico"
"F066" "F066   Trastorno de labilidad emocional [astnico], orgnico"
"F067" "F067   Trastorno cognoscitivo leve"
"F068" "F068   Otros trastornos mentales especificados debidos a lesin y disfuncin cerebral y a enfermedad fsica"
"F069" "F069   Trastorno mental no especificado debido a lesin y disfuncin cerebral y a enfermedad fsica"
"F07" "F07   Trastronos de la personalidad y del comportamiento debidos a enfermedad, lesin o disfuncin cerebral"
"F070" "F070   Trastorno de la personalidad, orgnico"
"F071" "F071   Sndrome postencefaltico"
"F072" "F072   Sndrome postconcusional"
"F078" "F078   Otros trastornos orgnicos de la personalidad y del comportamiento debidos a enfermedad, lesin y  disfuncin cerebrales"
"F079" "F079   Trastorno orgnico de la personalidad y del comportamiento, no especificado, debido a enfermedad, lesin y disfuncin cerebral"
"F09" "F09   Trastorno mental orgnico o sintomtico, no especificado"
"F10" "F10   Trastornos mentales y del comportamiento debidos al uso de alcohol"
"F100" "F100   Trastornos mentales y del comportamiento debidos al uso de alcohol, intoxicacin aguda"
"F101" "F101   Trastornos mentales y del comportamiento debidos al uso de alcohol, uso nocivo"
"F102" "F102   Trastornos mentales y del comportamiento debidos al uso de alcohol, sndrome de dependencia"
"F103" "F103   Trastornos mentales y del comportamiento debidos al uso de alcohol, estado de abstinencia"
"F104" "F104   Trastornos mentales y del comportamiento debidos al uso de alcohol, estado de abstinencia con delirio"
"F105" "F105   Trastornos mentales y del comportamiento debidos al uso de alcohol, trastorno psictico"
"F106" "F106   Trastornos mentales y del comportamiento debidos al uso de alcohol, sndrome amnsico"
"F107" "F107   Trastornos mentales y del comportamiento debidos al uso de alcohol, trastorno psictico residual y de comienzo tardo"
"F108" "F108   Trastornos mentales y del comportamiento debidos al uso de alcohol, otros trastornos mentales y del comportamiento"
"F109" "F109   Trastornos mentales y del comportamiento debidos al uso de alcohol, trastorno mental y del comportamiento, no especificado"
"F11" "F11   Trastornos mentales y del comportamiento debidos al uso de opiceos"
"F110" "F110   Trastornos mentales y del comportamiento debidos al uso de opiceos, intoxicacin aguda"
"F111" "F111   Trastornos mentales y del comportamiento debidos al uso de opiceos, uso nocivo"
"F112" "F112   Trastornos mentales y del comportamiento debidos al uso de opiceos, sndrome de dependencia"
"F113" "F113   Trastornos mentales y del comportamiento debidos al uso de opiceos, estado de abstinencia"
"F114" "F114   Trastornos mentales y del comportamiento debidos al uso de opiceos, estado de abstinencia con delirio"
"F115" "F115   Trastornos mentales y del comportamiento debidos al uso de opiceos, trastorno psictico"
"F116" "F116   Trastornos mentales y del comportamiento debidos al uso de opiceos, sndrome amnsico"
"F117" "F117   Trastornos mentales y del comportamiento debidos al uso de opiceos, trastorno psictico residual y de comienzo tardo"
"F118" "F118   Trastornos mentales y del comportamiento debidos al uso de opiceos, otros trastornos mentales y del comportamiento"
"F119" "F119   Trastornos mentales y del comportamiento debidos al uso de opiceos, trastorno mental y del comportamiento, no especificado"
"F12" "F12   Trastornos mentales y del comportamiento debidos al uso de cannabinoides"
"F120" "F120   Trastornos mentales y del comportamiento debidos al uso de cannabinoides, intoxicacin aguda"
"F121" "F121   Trastornos mentales y del comportamiento debidos al uso de cannabinoides, uso nocivo"
"F122" "F122   Trastornos mentales y del comportamiento debidos al uso de cannabinoides, sndrome de dependencia"
"F123" "F123   Trastornos mentales y del comportamiento debidos al uso de cannabinoides, estado de abstinencia"
"F124" "F124   Trastornos mentales y del comportamiento debidos al uso de cannabinoides, estado de abstinencia con delirio"
"F125" "F125   Trastornos mentales y del comportamiento debidos al uso de cannabinoides, trastorno psictico"
"F126" "F126   Trastornos mentales y del comportamiento debidos al uso de cannabinoides, sndrome amnsico"
"F127" "F127   Trastornos mentales y del comportamiento debidos al uso de cannabinoides, trastorno psictico residual y de comienzo tardo"
"F128" "F128   Trastornos mentales y del comportamiento debidos al uso de cannabinoides, otros trastornos mentales y del comportamiento"
"F129" "F129   Trastornos mentales y del comportamiento debidos al uso de cannabinoides, trastorno mental y del comportamiento, no especificado"
"F13" "F13   Trastornos mentales y del comportamiento debidos al uso de sedantes  o hipnticos"
"F130" "F130   Trastornos mentales y del comportamiento debidos al uso de sedantes o hipnticos, intoxicacin aguda"
"F131" "F131   Trastornos mentales y del comportamiento debidos al uso de sedantes o hipnticos, uso nocivo"
"F132" "F132   Trastornos mentales y del comportamiento debidos al uso de sedantes o hipnticos, sndrome de dependencia"
"F133" "F133   Trastornos mentales y del comportamiento debidos al uso de sedantes o hipnticos, estado de abstinencia"
"F134" "F134   Trastornos mentales y del comportamiento debidos al uso de sedantes o hipnticos, estado de abstinencia con delirio"
"F135" "F135   Trastornos mentales y del comportamiento debidos al uso de sedantes o hipnticos, trastorno psictico"
"F136" "F136   Trastornos mentales y del comportamiento debidos al uso de sedantes o hipnticos, sndrome amnsico"
"F137" "F137   Trastornos mentales y del comportamiento debidos al uso de sedantes o hipnticos, trastorno psictico residual y de comienzo  tardo"
"F138" "F138   Trastornos mentales y del comportamiento debidos al uso de sedantes o hipnticos, otros trastornos mentales y del comportamiento"
"F139" "F139   Trastornos mentales y del comportamiento debidos al uso de sedantes o hipnticos, trastornos mental y del comportamiento, no especificados"
"F14" "F14   Trastornos mentales y del comportamiento debidos al uso de cocana"
"F140" "F140   Trastornos mentales y del comportamiento debidos al uso de cocana, intoxicacin aguda"
"F141" "F141   Trastornos mentales y del comportamiento debidos al uso de cocana, uso nocivo"
"F142" "F142   Trastornos mentales y del comportamiento debidos al uso de cocana, sndrome de dependencia"
"F143" "F143   Trastornos mentales y del comportamiento debidos al uso de cocana, estado de abstinencia"
"F144" "F144   Trastornos mentales y del comportamiento debidos al uso de cocana, estado de abstinencia con delirio"
"F145" "F145   Trastornos mentales y del comportamiento debidos al uso de cocana, trastorno psictico"
"F146" "F146   Trastornos mentales y del comportamiento debidos al uso de cocana, sndrome amnsico"
"F147" "F147   Trastornos mentales y del comportamiento debidos al uso de cocana, trastorno psictico residual y de comienzo tardo"
"F148" "F148   Trastornos mentales y del comportamiento debidos al uso de cocana, otros trastornos mentales y del comportamiento"
"F149" "F149   Trastornos mentales y del comportamiento debidos al uso de cocana, trastorno mental y del comportamiento, no especificado"
"F15" "F15   Trastornos mentales y del comportamiento debidos al uso de otros estimilantes, incluida la cafena"
"F150" "F150   Trastornos mentales y del comportamiento debidos al uso de otros estimulantes, incluida la cafena, intoxicacin  aguda"
"F151" "F151   Trastornos mentales y del comportamiento debidos al uso de otros estimulantes, incluida la cafena, uso nocivo"
"F152" "F152   Trastornos mentales y del comportamiento  debidos al uso de otros estimulantes, incluida la cafena, sndrome de dependencia"
"F153" "F153   Trastornos mentales y del comportamiento  debidos al uso de otros estimulantes, incluida la cafena, estado de abstinencia"
"F154" "F154   Trastornos mentales y del comportamiento  debidos al uso de otros estimulantes, incluida la cafena, estado de abstinencia con delirio"
"F155" "F155   Trastornos mentales y del comportamiento debidos al uso de otros estimulantes, incluida la cafena, trastorno psictico"
"F156" "F156   Trastornos mentales y del comportamiento debidos al uso de otros estimulantes, incluida la cafena, sndrome amnsico"
"F157" "F157   Trastornos mentales y del comportamiento debidos al uso de otros estimulantes, incluida la cafena, trastorno psictico residual y de comienzo tardo"
"F158" "F158   Trastornos mentales y del comportamiento debidos al uso de otros estimulantes, incluida la cafena, otros trastornos mentales y del comportamiento"
"F159" "F159   Trastornos mentales y del comportamiento debidos al uso de otros estimulantes, incluida la cafena, trastorno mental y del comportamiento, no especificado"
"F16" "F16   Trastornos mentales y del comportamiento debidos al uso de alucingenos"
"F160" "F160   Trastornos mentales y del comportamiento debidos al uso de alucingenos, intoxicacin aguda"
"F161" "F161   Trastornos mentales y del comportamiento debidos al uso de alucingenos, uso nocivo"
"F162" "F162   Trastornos mentales y del comportamiento debidos al uso de alucingenos, sndrome de dependencia"
"F163" "F163   Trastornos mentales y del comportamiento debidos al uso de alucingenos, estado de abstinencia"
"F164" "F164   Trastornos mentales y del comportamiento debidos al uso de alucingenos, estado de abstinencia con delirio"
"F165" "F165   Trastornos mentales y del comportamiento debidos al uso de alucingenos, trastorno psictico"
"F166" "F166   Trastornos mentales y del comportamiento debidos al uso de alucingenos, sndrome amnsico"
"F167" "F167   Trastornos mentales y del comportamiento debidos al uso de alucingenos, trastorno psictico residual y de comienzo tardo"
"F168" "F168   Trastornos mentales y del comportamiento debidos al uso de alucingenos, otros trastorno mentales y del comportamiento"
"F169" "F169   Trastornos mentales y del comportamiento debidos al uso de alucingenos, trastorno mental y del comportamiento, no especificado"
"F17" "F17   Trastornos mentales y del comportamiento debidos al uso de tabaco"
"F170" "F170   Trastornos mentales y del comportamiento debidos al uso de tabaco, intoxicacin aguda"
"F171" "F171   Trastornos mentales y del comportamiento debidos al uso de tabaco, uso nocivo"
"F172" "F172   Trastornos mentales y del comportamiento debidos al uso de tabaco, sndrome de dependencia"
"F173" "F173   Trastornos mentales y del comportamiento debidos al uso de tabaco, estado de abstinencia"
"F174" "F174   Trastornos mentales y del comportamiento debidos al uso de tabaco, estado de abstinencia con delirio"
"F175" "F175   Trastornos mentales y del comportamiento debidos al uso de tabaco, trastorno psictico"
"F176" "F176   Trastornos mentales y del comportamiento debidos al uso de tabaco, sndrome amnsico"
"F177" "F177   Trastornos mentales y del comportamiento debidos al uso de tabaco, trastorno psictico residual y de comienzo tardio"
"F178" "F178   Trastornos mentales y del comportamiento debidos al uso de tabaco, otros trastornos mentales y del comportamiento"
"F179" "F179   Trastornos mentales y del comportamiento debidos al uso de tabaco, trastorno mental y del comportamiento, no especificado"
"F18" "F18   Trastornos mentales y del comportamiento debidos al uso de disolventes voltiles"
"F180" "F180   Trastornos mentales y del comportamiento debidos al uso de disolventes voltiles, intoxicacin aguda"
"F181" "F181   Trastornos mentales y del comportamiento debidos al uso de disolventes voltiles, uso nocivo"
"F182" "F182   Trastornos mentales y del comportamiento debidos al uso de disolventes voltiles, sndrome de dependencia"
"F183" "F183   Trastornos mentales y del comportamiento debidos al uso de disolventes voltiles, estado de abstinencia"
"F184" "F184   Trastornos mentales y del comportamiento debidos al uso de disolventes voltiles, estado de abstinencia con delirio"
"F185" "F185   Trastornos mentales y del comportamiento debidos al uso de disolventes voltiles, trastorno psictico"
"F186" "F186   Trastornos mentales y del comportamiento debidos al uso de disolventes voltiles,  sndrome amnsico"
"F187" "F187   Trastornos mentales y del comportamiento debidos al uso de disolventes voltiles, trastorno psictico residual y de comienzo tardo"
"F188" "F188   Trastornos mentales y del comportamiento debidos al uso de disolventes voltiles, otros trastornos mentales y del comportamiento"
"F189" "F189   Trastornos mentales y del comportamiento debidos al uso de disolventes voltiles, trastorno mental y del comportamiento, no especificado"
"F19" "F19   Trastornos mentales y del comportamiento debidos al uso de mltiples drogas y al uso de otras sustancias psicoactivas"
"F190" "F190   Trastornos mentales y del comportamiento debidos al uso de mltiples drogas y al uso de otras sustancias psicoactivas, intoxicacin aguda"
"F191" "F191   Trastornos mentales y del comportamiento debidos al uso de mltiples drogas y al uso de otras sustancias  psicoactivas, uso nocivo"
"F192" "F192   Trastornos mentales y del comportamiento debidos al uso de mltiples drogas y al uso de otras sustancias psicoactivas, sndrome de dependendencia"
"F193" "F193   Trastornos mentales y del comportamiento debidos al uso de mltiples drogas y al uso de otras sustancias psicoactivas, estado de abstinencia"
"F194" "F194   Trastornos mentales y del comportamiento debidos al uso de mltiples drogas y al uso de otras sustancias psicoactivas, estado de abstinencia con delirio"
"F195" "F195   Trastornos mentales y del comportamiento debidos al uso de mltiples drogas y al uso de otras sustancias psicoactivas, trastorno psictico"
"F196" "F196   Trastornos mentales y del comportamiento debidos al uso de mltiples drogas y al uso de otras sustancias psicoactivas, sndrome amnsico"
"F197" "F197   Trastornos mentales y del comportamiento debidos al uso de multiples drogas y al uso de otras sustancias psicoactivas, trastorno psictico residual y de comienzo tardo"
"F198" "F198   Trastornos mentales y del comportamiento debidos al uso de mltiples drogas  y al uso de otras sustancias psicoactivas, otros trastornos mentales y del comportamiento"
"F199" "F199   Trastornos mentales y del comportamiento debidos al uso de mltiples drogas y al uso de otras sustancias psicoactivas, trastorno mental y del comportamiento, no especificado"
"F20" "F20   Esquizofrenia"
"F200" "F200   Esquizofrenia paranoide"
"F201" "F201   Esquizofrenia hebefrnica"
"F202" "F202   Esquizofrenia catatnica"
"F203" "F203   Esquizofrenia indiferenciada"
"F204" "F204   Depresin postesquizofrnica"
"F205" "F205   Esquizofrenia residual"
"F206" "F206   Esquizofrenia simple"
"F208" "F208   Otras esquizofrenias"
"F209" "F209   Esquizofrenia, no especificada"
"F21" "F21   Trastorno esquizotpico"
"F22" "F22   Trastornos delirantes persistentes"
"F220" "F220   Trastorno delirante"
"F228" "F228   Otros trastornos delirantes persistentes"
"F229" "F229   Trastornos delirante persistente, no especificado"
"F23" "F23   Trastornos psicticos agudos y transitorios"
"F230" "F230   Trastorno psictico agudo polimorfo, sin sntomas de esquizofrenia"
"F231" "F231   Trastorno psictico agudo polimorfo, con sntomas de esquizofrenia"
"F232" "F232   Trastorno psictico agudo de tipo esquizofrnico"
"F233" "F233   Otro trastorno psictico agudo, con predominio de ideas delirantes"
"F238" "F238   Otros trastornos psicticos agudos y transitorios"
"F239" "F239   Trastorno psictico agudo y transitorio, no especificado"
"F24" "F24   Trastorno delirante inducido"
"F25" "F25   Trastornos esquizoafectivos"
"F250" "F250   Trastorno esquizoafectivo de tipo manaco"
"F251" "F251   Trastorno esquizoafectivo de tipo depresivo"
"F252" "F252   Trastorno esquizoafectivo de tipo mixto"
"F258" "F258   Otros trastornos esquizoafectivos"
"F259" "F259   Trastorno esquizoafectivo, no especificado"
"F28" "F28   Otros trastornos psicticos  de origen no orgnico"
"F29" "F29   Psicosis de origen no orgnico, no especificada"
"F30" "F30   Episodio manaco"
"F300" "F300   Hipomana"
"F301" "F301   Mana sin sntomas psicticos"
"F302" "F302   Mana con sntomas psicticos"
"F308" "F308   Otros episodios manacos"
"F309" "F309   Episodio manaco, no especificado"
"F31" "F31   Trastorno afectivo bipolar"
"F310" "F310   Trastorno afectivo bipolar, episodio hipomanaco presente"
"F311" "F311   Trastorno afectivo bipolar, episodio manaco presente sin sntomas psicticos"
"F312" "F312   Trastorno afectivo bipolar, episodio manaco presente con sntomas psicticos"
"F313" "F313   Trastorno afectivo bipolar, episodio depresivo presente leve o moderado"
"F314" "F314   Trastorno afectivo bipolar, episodio depresivo grave presente sin sntomas psicticos"
"F315" "F315   Trastorno afectivo bipolar, episodio depresivo grave presente con sntomas psicticos"
"F316" "F316   Trastorno afectivo bipolar, episodio mixto presente"
"F317" "F317   Trastorno afectivo bipolar, actualmente en remisin"
"F318" "F318   Otros trastornos afectivos bipolares"
"F319" "F319   Trastorno afectivo bipolar, no especificado"
"F32" "F32   Episodio depresivo"
"F320" "F320   Episodio depresivo leve"
"F321" "F321   Episodio depresivo moderado"
"F322" "F322   Episodio depresivo grave sin sntomas psicticos"
"F323" "F323   Episodio depresivo grave con sntomas psicticos"
"F328" "F328   Otros episodios depresivos"
"F329" "F329   Episodio depresivo, no especificado"
"F33" "F33   Trastorno depresivo recurrente"
"F330" "F330   Trastorno depresivo recurrente, episodio leve presente"
"F331" "F331   Trastorno depresivo recurrente, episodio moderado presente"
"F332" "F332   Trastorno depresivo recurrente, episodio depresivo grave presente sin sntomas psicticos"
"F333" "F333   Trastorno depresivo recurrente, episodio depresivo grave presente, con sntomas psicticos"
"F334" "F334   Trastorno depresivo recurrente actualmente en remisin"
"F338" "F338   Otros trastornos depresivos recurrentes"
"F339" "F339   Trastorno depresivo recurrente, no especificado"
"F34" "F34   Trastorno del humor [afectivos] persistentes"
"F340" "F340   Ciclotimia"
"F341" "F341   Distimia"
"F348" "F348   Otros trastornos del humor [afectivos] persistentes"
"F349" "F349   Trastorno persistente del humor [afectivo], no especificado"
"F38" "F38   Otros trastornos del humor [afectivos]"
"F380" "F380   Otros trastornos del humor [afectivos], aislados"
"F381" "F381   Otros trastornos del humor [afectivos], recurrentes"
"F388" "F388   Otros trastornos del humor [afectivos], especificados"
"F39" "F39   Trastorno del humor [afectivo], no especificado"
"F40" "F40   Trastornos fbicos de ansiedad"
"F400" "F400   Agorafobia"
"F401" "F401   Fobias sociales"
"F402" "F402   Fobias especficas (aisladas)"
"F408" "F408   Otros trastornos fbicos de ansiedad"
"F409" "F409   Trastorno fbico de ansiedad, no especificado"
"F41" "F41   Otros trastornos de ansiedad"
"F410" "F410   Trastorno de pnico [ansiedad paroxstica episdica]"
"F411" "F411   Trastorno de ansiedad generalizada"
"F412" "F412   Trastorno mixto de ansiedad y depresin"
"F413" "F413   Otros trastornos de ansiedad mixtos"
"F418" "F418   Otros trastornos de ansiedad especificados"
"F419" "F419   Trastorno de ansiedad, no especificado"
"F42" "F42   Trastorno obsesivo-compulsivo"
"F420" "F420   Predominio de pensamientos o rumiaciones obsesivas"
"F421" "F421   Predominio de actos compulsivos [rituales obsesivos]"
"F422" "F422   Actos e ideas obsesivas mixtos"
"F428" "F428   Otros trastornos obsesivo-compulsivos"
"F429" "F429   Trastorno obsesivo-compulsivo, no especificado"
"F43" "F43   Reaccin al estrs grave y trastornos de adaptacin"
"F430" "F430   Reaccin al estrs agudo"
"F431" "F431   Trastorno de estrs postraumtico"
"F432" "F432   Trastornos de adaptacin"
"F438" "F438   Otras reacciones al estrs grave"
"F439" "F439   Reaccin al estrs grave, no especificada"
"F44" "F44   Trastornos disociativos [de conversin]"
"F440" "F440   Amnesia disociativa"
"F441" "F441   Fuga disociativa"
"F442" "F442   Estupor disociativo"
"F443" "F443   Trastornos de trance y de posesin"
"F444" "F444   Trastornos disociativos del movimiento"
"F445" "F445   Convulsiones disociativas"
"F446" "F446   Anestesia disociativa y prdida sensorial"
"F447" "F447   Trastornos disociativos mixtos [y de conversin]"
"F448" "F448   Otros trastornos disociativos [de conversin]"
"F449" "F449   Trastorno disociativo [de conversin], no especificado"
"F45" "F45   Trastornos somatomorfos"
"F450" "F450   Trastorno de somatizacin"
"F451" "F451   Trastorno somatomorfo indiferenciado"
"F452" "F452   Trastorno hipocondraco"
"F453" "F453   Disfuncin autonmica somatomorfa"
"F454" "F454   Trastorno de dolor persistente somatomorfo"
"F458" "F458   Otros trastornos somatomorfos"
"F459" "F459   Trastorno somatomorfo, no especificado"
"F48" "F48   Otros trastornos neurticos"
"F480" "F480   Neurastenia"
"F481" "F481   Sndrome de despersonalizacin y desvinculacin de la realidad"
"F488" "F488   Otros trastornos neurticos especificados"
"F489" "F489   Trastorno neurtico, no especificado"
"F50" "F50   Trastornos de la ingestin de alimentos"
"F500" "F500   Anorexia nerviosa"
"F501" "F501   Anorexia nerviosa atpica"
"F502" "F502   Bulimia nerviosa"
"F503" "F503   Bulimia nerviosa atpica"
"F504" "F504   Hiperfagia asociada con otras alteraciones psicolgicas"
"F505" "F505   Vmitos asociados con otras alteraciones psicolgicas"
"F508" "F508   Otros trastornos de la ingestin de alimentos"
"F509" "F509   Trastorno de la ingestin de alimentos, no especificado"
"F51" "F51   Trastornos no orgnicos del sueo"
"F510" "F510   Insomnio no orgnico"
"F511" "F511   hipersomnio no orgnico"
"F512" "F512   Trastorno no orgnico del ciclo sueo-vigilia"
"F513" "F513   Sonambulismo"
"F514" "F514   Terrores del sueo [terrores nocturnos]"
"F515" "F515   Pesadillas"
"F518" "F518   Otros trastornos no orgnicos del sueo"
"F519" "F519   Trastorno no orgnico del sueo, no especificado"
"F52" "F52   Disfuncin sexual no ocasionada por trastorno ni enfermedad orgnicos"
"F520" "F520   Falta o prdida del deseo sexual"
"F521" "F521   Aversin al sexo y falta de goce sexual"
"F522" "F522   Falla de la respuesta genital"
"F523" "F523   Disfuncin orgsmica"
"F524" "F524   Eyaculacin precoz"
"F525" "F525   Vaginismo no orgnico"
"F526" "F526   Dispareunia no orgnica"
"F527" "F527   Impulso sexual excesivo"
"F528" "F528   Otras disfunciones sexuales, no ocasionadas por trastorno ni por enfermedad orgnicos"
"F529" "F529   Disfuncin sexual no ocasionada por trastorno ni por enfermedad orgnicos, no especificada"
"F53" "F53   Trastornos mentales y del comportamiento asociados con el puerperio, no clasificados en otra parte"
"F530" "F530   Trastornos mentales y del comportamiento leves, asociados con el puerperio, no clasificados en otra parte"
"F531" "F531   Trastornos mentales y del comportamiento graves, asociados con el puerperio, no clasificados en otra parte"
"F538" "F538   Otros trastornos mentales y del comportamiento asociados con el puerperio, no clasificados en otra parte"
"F539" "F539   Trastorno mental puerperal, no especificado"
"F54" "F54   Factores psicolgicos y del comportamiento asociados con trastornos o enfermedades clasificados en otra parte"
"F55" "F55   Abuso de sustancias que no producen dependencia"
"F59" "F59   Sndromes del comportamiento asociados con alteraciones fisiolgicas y factores fsicos, no especificados"
"F60" "F60   Trastornos especficos de la personalidad"
"F600" "F600   Trastorno paranoide de la personalidad"
"F601" "F601   Trastorno esquizoide de la personalidad"
"F602" "F602   Trastorno asocial de la personalidad"
"F603" "F603   Trastorno de la personalidad emocionalmente inestable"
"F604" "F604   Trastorno histrinico de la personalidad"
"F605" "F605   Trastorno anancstico de la personalidad"
"F606" "F606   Trastorno de la personalidad ansiosa (evasiva, elusiva)"
"F607" "F607   Trastorno de la personalidad dependiente"
"F608" "F608   Otros trastornos especficos de la personalidad"
"F609" "F609   Trastorno de la personalidad, no especificado"
"F61" "F61   Trastornos mixtos y otros trastornos de la personalidad"
"F62" "F62   Cambios perdurables de la personalidad, no atribuibles a lesin o a enfermedad cerebral"
"F620" "F620   Cambio perdurable de la personalidad despus de una experiencia catastrfica"
"F621" "F621   Cambio perdurable de la personalidad consecutivo a una enfermedad psiquitrica"
"F628" "F628   Otros cambios perdurables de la personalidad"
"F629" "F629   Cambio perdurable de la personalidad, no especificado"
"F63" "F63   Trastornos de los hbitos y de los impulsos"
"F630" "F630   Juego patolgico"
"F631" "F631   Piromana"
"F632" "F632   Hurto patolgico [cleptomana]"
"F633" "F633   Tricotilomana"
"F638" "F638   Otros trastornos de los hbitos y de los impulsos"
"F639" "F639   Trastorno de los hbitos y de los impulsos, no especificado"
"F64" "F64   Trastornos de la identidad de gnero"
"F640" "F640   Transexualismo"
"F641" "F641   Transvestismo de rol dual"
"F642" "F642   Trastorno de la identidad de gnero en la niez"
"F648" "F648   Otros trastornos de la identidad de gnero"
"F649" "F649   Trastorno de la identidad de gnero, no especificado"
"F65" "F65   Trastornos de la preferencia sexual"
"F650" "F650   Fetichismo"
"F651" "F651   Transvestismo fetichista"
"F652" "F652   Exhibicionismo"
"F653" "F653   Voyeurismo"
"F654" "F654   Pedofilia"
"F655" "F655   Sadomasoquismo"
"F656" "F656   Trastornos mltiples de la preferencia sexual"
"F658" "F658   Otros trastornos de la preferencia sexual"
"F659" "F659   Trastorno de la preferencia sexual, no especificado"
"F66" "F66   Trastornos psicolgicos y del comportamiento asociados con el desarrollo y con la orientacin sexuales"
"F660" "F660   Trastorno de la maduracin sexual"
"F661" "F661   Orientacin sexual egodistnica"
"F662" "F662   Trastorno de la relacin sexual"
"F668" "F668   Otros trastornos del desarrollo psicosexual"
"F669" "F669   Trastorno del desarrollo psicosexual, no especificado"
"F68" "F68   Otros trastornos de la personalidad y del comportamiento en adultos"
"F680" "F680   Elaboracin de sntomas fsicos por causas psicolgicas"
"F681" "F681   Produccin intencional o simulacin de sntomas o de incapacidades, tanto fsicas como psicolgicas [trastorno facticio]"
"F688" "F688   Otros trastornos especificados de la personalidad y del comportamiento en adultos"
"F69" "F69   Trastorno de la personalidad y del comportamiento en adultos, no especificado"
"F70" "F70   Retraso mental leve"
"F700" "F700   Retraso mental leve, deterioro del comportamiento nulo o mnimo"
"F701" "F701   Retraso mental leve, deterioro del comportamiento significativo, que requiere atencin o tratamiento"
"F708" "F708   Retraso mental leve, otros deterioros del comportamiento"
"F709" "F709   Retraso mental leve, deterioro del comportamiento de grado no especificado"
"F71" "F71   Retraso mental moderado"
"F710" "F710   Retraso mental moderado, deterioro del comportamiento nulo o mnimo"
"F711" "F711   Retraso mental moderado, deterioro del comportamiento significativo, que requiere atencin o tratamiento"
"F718" "F718   Retraso mental moderado, otros deterioros del comportamiento"
"F719" "F719   Retraso mental moderado, deterioro del comportamiento de grado no especificado"
"F72" "F72   Retraso mental grave"
"F720" "F720   Retraso mental grave, deterioro del comportamiento nulo o mnimo"
"F721" "F721   Retraso mental grave, deterioro del comportamiento significativo, que requiere atencin o tratamiento"
"F728" "F728   Retraso mental grave, otros deterioros del comportamiento"
"F729" "F729   Retraso mental grave, deterioro del comportamiento de grado no especificado"
"F73" "F73   Retraso mental profundo"
"F730" "F730   Retraso mental profundo, deterioro del comportamiento nulo o mnimo"
"F731" "F731   Retraso mental profundo, deterioro del comportamiento significativo, que requiere atencin o tratamiento"
"F738" "F738   Retraso mental profundo, otros deterioros del comportamiento"
"F739" "F739   Retraso mental profundo, deterioro del comportamiento de grado no especificado"
"F78" "F78   Otros tipos de retraso mental"
"F780" "F780   Otros tipos de retraso mental, deterioro del comportamiento nulo o mnimo"
"F781" "F781   Otros tipos de retraso mental, deterioro del comportamiento significativo, que requiere atencin o tratamiento"
"F788" "F788   Otros tipos de retraso mental, otros deterioros del comportamiento"
"F789" "F789   Otros tipos de retraso mental,  deterioro del comportamiento de grado no especificado"
"F79" "F79   Retraso mental, no especificado"
"F790" "F790   Retraso mental, no especificado, deterioro del comportamiento nulo o mnimo"
"F791" "F791   Retraso mental, no especificado, deterioro del comportamiento significativo, que requiere atencin o tratamiento"
"F798" "F798   Retraso mental, no especificado, otros deterioros del comportamiento"
"F799" "F799   Retraso mental, no especificado, deterioro del comportamiento de grado no especificado"
"F80" "F80   Trastornos especficos del desarrollo del habla y del lenguaje"
"F800" "F800   Trastorno especfico de la pronunciacin"
"F801" "F801   Trastorno del lenguaje expresivo"
"F802" "F802   Trastorno de la recepcin del lenguaje"
"F803" "F803   Afasia adquirida con epilepsia [Landau-Kleffner]"
"F808" "F808   Otros trastornos del desarrollo del habla y del lenguaje"
"F809" "F809   Trastorno del desarrollo del habla y del lenguaje no especificado"
"F81" "F81   Trastornos especficos del  desarrollo de las habilidades escolares"
"F810" "F810   Trastorno especfico de la lectura"
"F811" "F811   Trastorno especfico del deletreo [ortografa]"
"F812" "F812   Trastorno especfico de las habilidades aritmticas"
"F813" "F813   Trastorno mixto de las habilidades escolares"
"F818" "F818   Otros trastornos del desarrollo de las habilidades escolares"
"F819" "F819   Trastorno del desarrollo de las habilidades escolares, no especificado"
"F82" "F82   Trastorno especfico del desarrollo de la funcin motriz"
"F83" "F83   Trastornos especficos mixtos del desarrollo"
"F84" "F84   Trastornos generalizados del desarrollo"
"F840" "F840   Autismo en la niez"
"F841" "F841   Autismo atpico"
"F842" "F842   Sndrome de Rett"
"F843" "F843   Otro trastorno desintegrativo de la niez"
"F844" "F844   Trastorno hiperactivo asociado con retraso mental y movimientos estereotipados"
"F845" "F845   Sndrome de Asperger"
"F848" "F848   Otros trastornos generalizados del desarrollo"
"F849" "F849   Trastorno generalizado del desarrollo no especificado"
"F88" "F88   Otros trastornos del desarrollo psicolgico"
"F89" "F89   Trastorno del desarrollo psicolgico, no especificado"
"F90" "F90   Trastornos hipercinticos"
"F900" "F900   Perturbacin de la actividad y de la atencin"
"F901" "F901   Trastorno hipercintico de la conducta"
"F908" "F908   Otros trastornos hipercinticos"
"F909" "F909   Trastorno hipercintico, no especificado"
"F91" "F91   Trastornos de la conducta"
"F910" "F910   Trastorno de la conducta limitado al contexto familiar"
"F911" "F911   Trastorno de la conducta insociable"
"F912" "F912   Trastorno de la conducta sociable"
"F913" "F913   Trastorno opositor desafiante"
"F918" "F918   Otros trastornos de la conducta"
"F919" "F919   Trastorno de la conducta, no especificado"
"F92" "F92   Trastornos mixtos de la conducta y de las emociones"
"F920" "F920   Trastorno depresivo de la conducta"
"F928" "F928   Otros trastornos mixtos de la conducta y de las emociones"
"F929" "F929   Trastorno mixto de la conducta y de las emociones, no especificado"
"F93" "F93   Trastornos emocionales de comienzo especfico en la niez"
"F930" "F930   Trastorno de ansiedad de separacin en la niez"
"F931" "F931   Trastorno de ansiedad fbica en la niez"
"F932" "F932   Trastorno de ansiedad social en la niez"
"F933" "F933   Trastorno de rivalidad entre hermanos"
"F938" "F938   Otros trastornos emocionales en la niez"
"F939" "F939   Trastorno emocional en la niez, no especificado"
"F94" "F94   Trastornos del comportamiento social de comienzo especfico en la niez y en la adolescencia"
"F940" "F940   Mutismo electivo"
"F941" "F941   Trastorno de vinculacin reactiva en la niez"
"F942" "F942   Trastorno de vinculacin desinhibida en la niez"
"F948" "F948   Otros trastornos del comportamiento social en la niez"
"F949" "F949   Trastorno del comportamiento social en la niez, no especificado"
"F95" "F95   Trastornos por tics"
"F950" "F950   Trastorno por tic transitorio"
"F951" "F951   Trastorno por tic motor o vocal crnico"
"F952" "F952   Trastorno por tics motores y vocales mltiples combinados [de la Tourette]"
"F958" "F958   Otros trastornos por tics"
"F959" "F959   Trastorno por tic, no especificado"
"F98" "F98   Otros trastornos emocionales y del comportamiento que aparecen habitualmente en la niez y en la adolescencia"
"F980" "F980   Enuresis no orgnica"
"F981" "F981   Encopresis no orgnica"
"F982" "F982   Trastorno de la ingestin alimentaria en la infancia y la niez"
"F983" "F983   Pica en la infancia y la niez"
"F984" "F984   Trastornos de los movimientos estereotipados"
"F985" "F985   Tartamudez [espasmofemia]"
"F986" "F986   Farfulleo"
"F988" "F988   Otros trastornos emocionales y del comportamiento que aparecen habitualmente en la niez y en la adolescencia"
"F989" "F989   Trastornos no especificados, emocionales y del comportamiento, que aparecen habitualmente en la niez y en la adolescencia"
"F99" "F99   Trastorno mental, no especificado"
"G00" "G00   Meningitis bacteriana, no clasificada en otra parte"
"G000" "G000   Meningitis por hemfilos"
"G001" "G001   Meningitis  neumoccica"
"G002" "G002   Meningitis estreptoccica"
"G003" "G003   Meningitis estafiloccica"
"G008" "G008   Otras meningitis bacterianas"
"G009" "G009   Meningitis bacteriana, no especificada"
"G01" "G01   Meningitis en enfermedades bacterianas clasificadas en otra parte"
"G02" "G02   Meningitis en otras enfermedades infecciosas y parasitarias clasificada en otra parte"
"G020" "G020   Meningitis en enfermedades virales clasificadas en otra parte"
"G021" "G021   Meningitis en micosis"
"G028" "G028   Meningitis en otras enfermedades infecciosas y parasitarias especificadas clasificadas en otra parte"
"G03" "G03   Meningitis debida a otras causas y a las no especificadas"
"G030" "G030   Meningitis apigena"
"G031" "G031   Meningitis crnica"
"G032" "G032   Meningitis recurrente benigna [Mollaret]"
"G038" "G038   Meningitis debidas a otras causas especificadas"
"G039" "G039   Meningitis, no especificada"
"G04" "G04   Encefalitis, mielitis y encefalomielitis"
"G040" "G040   Encefalitis aguda diseminada"
"G041" "G041   Mielopata asociada al virus linfotrpico de clulas T humanas"
"G042" "G042   Meningoencefalitis y meningomielitis bacterianas, no clasificadas en otra parte"
"G048" "G048   Otras encefalitis, mielitis y encefalomielitis"
"G049" "G049   Encefalitis, mielitis y encefalomielitis, no especificadas"
"G05" "G05   Encefalitis, mielitis y encefalomielitis en enfermedades clasificadas en otra parte"
"G050" "G050   Encefalitis, mielitis y encefalomielitis en enfermedades bacterianas clasificadas en otra parte"
"G051" "G051   Encefalitis, mielitis y encefalomielitis en enfermedades virales clasificadas en otra parte"
"G052" "G052   Encefalitis, mielitis y encefalomielitis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte"
"G058" "G058   Encefalitis, mielitis y encefalomielitis en enfermedades clasificadas en otra parte"
"G06" "G06   Absceso y granuloma intracraneal e intrarraqudeo"
"G060" "G060   Absceso y granuloma intracraneal"
"G061" "G061   Absceso y granuloma intrarraqudeo"
"G062" "G062   Absceso extradural y subdural, no especificado"
"G07" "G07   Absceso y granuloma intracraneal e intrarraqudeo en enfermedades clasificadas en otra parte"
"G08" "G08   Flebitis y tromboflebitis intracraneal e intrarraqudea"
"G09" "G09   Secuelas de enfermedades inflamatorias del sistema nervioso central"
"G10" "G10   Enfermedad de Huntington"
"G11" "G11   Ataxia hereditaria"
"G110" "G110   Ataxia congnita no progresiva"
"G111" "G111   Ataxia cerebelosa de iniciacin temprana"
"G112" "G112   Ataxia cerebelosa de iniciacin tarda"
"G113" "G113   Ataxia cerebelosa con reparacin defectuosa del ADN"
"G114" "G114   Parapleja espstica hereditaria"
"G118" "G118   Otras ataxias hereditarias"
"G119" "G119   Ataxia hereditaria, no especificada"
"G12" "G12   Atrofia muscular espinal y sndromes afines"
"G120" "G120   Atrofia muscular espinal infantil, tipo I (Werdnig-Hoffman)"
"G121" "G121   Otras atrofias musculares espinales hereditarias"
"G122" "G122   Enfermedades de las neuronas motoras"
"G128" "G128   Otras atrofias musculares espinales y sndromes afines"
"G129" "G129   Atrofia muscular espinal, sin otra especificacin"
"G13" "G13   Atrofias sistmicas que afectan primariamente el sistema nervioso central en enfermedades clasificadas en otra parte"
"G130" "G130   Neuromiopata y neuropata paraneoplsica"
"G131" "G131   Otras atrofias sistmicas que afectan el sistema nervioso central en enfermedad neoplsica"
"G132" "G132   Atrofia sistmica que afecta primariamente el sistema nervioso central en el mixedema"
"G138" "G138   Atrofia sistmica que afecta primariamente el sistema nervioso central en otras enfermedades clasificadas en otra parte"
"G14" "G14   Sndrome postpolio"
"G20" "G20   Enfermedad de Parkinson"
"G21" "G21   Parkinsonismo secundario"
"G210" "G210   Sndrome neurolptico maligno"
"G211" "G211   Otro parkinsonismo secundario inducido por drogas"
"G212" "G212   Parkinsonismo secundario debido a otros agentes externos"
"G213" "G213   Parkinsonismo postencefaltico"
"G214" "G214   Parkinsonismo vascular"
"G218" "G218   Otros tipos de parkinsonismo secundario"
"G219" "G219   Parkinsonismo secundario, no especificado"
"G22" "G22   Parkinsonismo en enfermedades clasificadas en otra parte"
"G23" "G23   Otras enfermedades degenerativas de los ncleos de la base"
"G230" "G230   Enfermedad de Hallervorden-Spatz"
"G231" "G231   Oftalmopleja supranuclear progresiva [Steele-Richardson-Olszewski]"
"G232" "G232   Atrofia sistmica mltiple, tipo parkinsoniana [AMS-P]"
"G233" "G233   Atrofia multisistmica tipo cerebelosa [AMS-C]"
"G238" "G238   Otras enfermedades degenerativas especificas de los ncleos de la base"
"G239" "G239   Enfermedad degenerativa de los ncleos de la base, no especificada"
"G24" "G24   Distona"
"G240" "G240   Distona inducida por drogas"
"G241" "G241   Distona idioptica familiar"
"G242" "G242   Distona idioptica no familiar"
"G243" "G243   Tortcolis espasmdica"
"G244" "G244   Dispona bucofacial idioptica"
"G245" "G245   Blefarospasmo"
"G248" "G248   Otras distonas"
"G249" "G249   Distona, no especificada"
"G25" "G25   Otros trastornos extrapiramidales y del movimiento"
"G250" "G250   Temblor esencial"
"G251" "G251   Temblor inducido por drogas"
"G252" "G252   Otras formas especificadas de temblor"
"G253" "G253   Mioclona"
"G254" "G254   Corea inducida por drogas"
"G255" "G255   Otras coreas"
"G256" "G256   Tics inducidos por drogas y otros tics de origen orgnico"
"G258" "G258   Otros trastornos extrapiramidales y del movimiento"
"G259" "G259   Trastorno extrapiramidal y del movimiento, no especificado"
"G26" "G26   Trastornos extrapiramidales y del movimiento en enfermedades clasificadas en otra parte"
"G30" "G30   Enfermedad de Alzheimer"
"G300" "G300   Enfermedad de Alzheimer de comienzo temprano"
"G301" "G301   Enfermedad de Alzheimer de comienzo tardo"
"G308" "G308   Otros tipos de enfermedad de Alzheimer"
"G309" "G309   Enfermedad de Alzheimer, no especificada"
"G31" "G31   Otras enfermedades degenerativas del sistema nervioso, no clasificadas en otra parte"
"G310" "G310   Atrofia cerebral circunscrita"
"G311" "G311   Degeneracin cerebral senil no clasificada en otra parte"
"G312" "G312   Degeneracin del sistema nervioso debida al alcohol"
"G318" "G318   Otras enfermedades degenerativas especificadas del sistema nervioso"
"G319" "G319   Degeneracin del sistema nervioso, no especificada"
"G32" "G32   Otros trastornos degenerativos del sistema nervioso en enfermedades  clasificadas en otra parte"
"G320" "G320   Degeneracin combinada subaguda de la mdula espinal en enfermedades clasificadas en otra parte"
"G328" "G328   Otros trastornos degenerativos especificados del sistema nervioso en enfermedades  clasificadas en otra parte"
"G35" "G35   Esclerosis mltiple"
"G36" "G36   Otras desmielinizaciones diseminadas agudas"
"G360" "G360   Neuromielitis ptica [Devic]"
"G361" "G361   Leucoencefalitis hemorrgica aguda y subaguda [Hurst]"
"G368" "G368   Otras desmielinizaciones agudas diseminadas especificadas"
"G369" "G369   Desmielinizacin diseminada aguda, sin otra especificacin"
"G37" "G37   Otras enfermedades desmielinizantes del sistema nervioso central"
"G370" "G370   Esclerosis difusa"
"G371" "G371   Desmielinizacin central del cuerpo calloso"
"G372" "G372   Mielinlisis central pontina"
"G373" "G373   Mielitis transversa aguda en enfermedad desmielinizante del sistema nervioso central"
"G374" "G374   Mielitis necrotizante subaguda"
"G375" "G375   Esclerosis concntrica (Bal)"
"G378" "G378   Otras enfermedades desmielinizantes del sistema nervioso central, especificadas"
"G379" "G379   Enfermedad desmielinizante del sistema nervioso central, no especificada"
"G40" "G40   Epilepsia"
"G400" "G400   Epilepsia y sndromes epilpticos idiopticos relacionados con localizaciones (focales)(parciales) y con ataques de inicio localizado"
"G401" "G401   Epilepsia y sndromes epilpticos sintomticos relacionados con localizaciones (focales)(parciales) y con ataques parciales simples"
"G402" "G402   Epilepsia y sndromes epilpticos sintomticos relacionados con localizaciones (focales)(parciales) y con ataques parciales complejos"
"G403" "G403   Epilepsia y sndromes epilpticos idiopticos generalizados"
"G404" "G404   Otras epilepsias y sndromes epilpticos generalizados"
"G405" "G405   Sndromes epilpticos especiales"
"G406" "G406   Ataques de gran mal, no especificados (con o sin pequeo mal)"
"G407" "G407   Pequeo mal, no especificado (sin ataque de gran mal)"
"G408" "G408   Otras epilepsias"
"G409" "G409   Epilepsia, tipo no especificado"
"G41" "G41   Estado de mal epilptico"
"G410" "G410   Estado de gran mal epilptico"
"G411" "G411   Estado de pequeo mal epilptico"
"G412" "G412   Estado de mal epilptico parcial complejo"
"G418" "G418   Otros estados epilpticos"
"G419" "G419   Estado de mal epilptico de tipo no especificado"
"G43" "G43   Migraa"
"G430" "G430   Migraa sin aura [migraa comn]"
"G431" "G431   Migraa con aura [migraa clsica]"
"G432" "G432   Estado migraoso"
"G433" "G433   Migraa complicada"
"G438" "G438   Otras migraas"
"G439" "G439   Migraa, no especificada"
"G44" "G44   Otros sndromes de cefalea"
"G440" "G440   Sndrome de cefalea en racimos"
"G441" "G441   Cefalea vascular, NCOP"
"G442" "G442   Cefalea debida a tensin"
"G443" "G443   Cefalea postraumtica crnica"
"G444" "G444   Cefalea inducida por drogas, no clasificada en otra parte"
"G448" "G448   Otros sndromes de cefalea especificados"
"G45" "G45   Ataques de isquemia cerebral transitoria y sndromes afines"
"G450" "G450   Sndrome arterial vrtebro-basilar"
"G451" "G451   Sndrome de la arteria cartida (hemisfrico)"
"G452" "G452   Sndromes arteriales precerebrales bilaterales y mltiples"
"G453" "G453   Amaurosis fugaz"
"G454" "G454   Amnesia global transitoria"
"G458" "G458   Otras isquemias cerebrales transitorias y sndromes afines"
"G459" "G459   Isquemia cerebral transitoria, sin otra especificacin"
"G46" "G46   Sndromes vasculares enceflicos en enfermedades cerebrovasculares"
"G460" "G460   Sndrome de la arteria cerebral media"
"G461" "G461   Sndrome de la arteria cerebral anterior"
"G462" "G462   Sndrome de la arteria cerebral posterior"
"G463" "G463   Sndromes apoplticos del tallo enceflico"
"G464" "G464   Sndrome de infarto cerebeloso"
"G465" "G465   Sndrome lacunar motor puro"
"G466" "G466   Sndrome lacunar sensorial puro"
"G467" "G467   Otros sndromes lacunares"
"G468" "G468   Otros sndromes vasculares enceflicos en enfermedades cerebrovasculares"
"G47" "G47   Trastornos del sueo"
"G470" "G470   Trastornos del inicio y del mantenimiento del sueo [insomnios]"
"G471" "G471   Trastornos de somnolencia excesiva (hipersomnios)"
"G472" "G472   Trastornos del ritmo nictameral"
"G473" "G473   Apnea del sueo"
"G474" "G474   Narcolepsia y cataplexia"
"G478" "G478   Otros trastornos del sueo"
"G479" "G479   Trastorno del sueo, no especificado"
"G50" "G50   Trastornos del nervio trigmino"
"G500" "G500   Neuralgia del trigmino"
"G501" "G501   Dolor facial atpico"
"G508" "G508   Otros trastornos del trigmino"
"G509" "G509   Trastorno del trigmino, no especificado"
"G51" "G51   Trastornos del nervio facial"
"G510" "G510   Parlisis de Bell"
"G511" "G511   Ganglionitis geniculada"
"G512" "G512   Sndrome de Melkersson"
"G513" "G513   Espasmo hemifacial clnico"
"G514" "G514   Mioquimia facial"
"G518" "G518   Otros trastornos del nervio facial"
"G519" "G519   Trastorno del nervio facial, no especificado"
"G52" "G52   Trastornos de otros nervios craneales"
"G520" "G520   Trastornos del nervio olfatorio"
"G521" "G521   Trastornos del nervio glosofarngeo"
"G522" "G522   Trastornos del nervio vago"
"G523" "G523   Trastornos del nervio hipogloso"
"G527" "G527   Trastornos de mltiples nervios craneales"
"G528" "G528   Trastornos de otros nervios craneales especificados"
"G529" "G529   Trastorno de nervio craneal, no especificado"
"G53" "G53   Trastornos de los nervios craneales en enfermedades clasificadas en otra parte"
"G530" "G530   Neuralgia postherpes zoster"
"G531" "G531   Parlisis mltiple de los nervios craneales en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"G532" "G532   Parlisis mltiple de los nervios craneales, en la sarcoidosis"
"G533" "G533   Parlisis mltiple de los nervios craneales, en enfermedades neoplsicas"
"G538" "G538   Otros trastornos de los nervios craneales en otras enfermedades clasificadas en otra parte"
"G54" "G54   Trastornos de las races y de los plexos nerviosos"
"G540" "G540   Trastornos del plexo braquial"
"G541" "G541   Trastornos del plexo lumbosacro"
"G542" "G542   Trastornos de la raz cervical, no clasificados en otra parte"
"G543" "G543   Trastornos de la raz torcica, no clasificados en otra parte"
"G544" "G544   Trastornos de la raz lumbosacra, no clasificados en otra parte"
"G545" "G545   Amiotrofia neurlgica"
"G546" "G546   Sndrome del miembro fantasma con dolor"
"G547" "G547   Sndrome del miembro fantasma sin dolor"
"G548" "G548   Otros trastornos de las races y plexos nerviosos"
"G549" "G549   Trastorno de la raz y plexos nerviosos, no especificado"
"G55" "G55   Compresiones de las races y de los plexos nerviosos en enfermedades clasificadas en otra parte"
"G550" "G550   Compresiones de las races y  plexos nerviosos en enfermedades neoplsicas"
"G551" "G551   Compresiones de las races y  plexos nerviosos en trastornos de los discos intervertebrales"
"G552" "G552   Compresiones de las races y  plexos nerviosos en la espondilosis"
"G553" "G553   Compresiones de las races y  plexos nerviosos en otras dorsopatas"
"G558" "G558   Compresiones de las races y plexos nerviosos en otras enfermedades clasificadas en orta parte"
"G56" "G56   Mononeuropatas del miembro superior"
"G560" "G560   Sndrome del tnel carpiano"
"G561" "G561   Otras lesiones del nervio mediano"
"G562" "G562   Lesin del nervio cubital"
"G563" "G563   Lesin del nervio radial"
"G564" "G564   Causalgia"
"G568" "G568   Otras mononeuropatas del miembro superior"
"G569" "G569   Mononeuropata del miembro superior, sin otra especificacin"
"G57" "G57   Mononeuropatas del miembro inferior"
"G570" "G570   Lesin del nervio citico"
"G571" "G571   Meralgia parestsica"
"G572" "G572   Lesin del nervio crural"
"G573" "G573   Lesin del nervio citico poplteo externo"
"G574" "G574   Lesin del nervio citico poplteo interno"
"G575" "G575   Sndrome del tnel calcneo"
"G576" "G576   Lesin del nervio plantar"
"G578" "G578   Otras mononeuropatas del miembro inferior"
"G579" "G579   Mononeuropata del miembro inferior, sin otra especificacin"
"G58" "G58   Otras mononeuropatas"
"G580" "G580   Neuropata intercostal"
"G587" "G587   Mononeuritis mltiple"
"G588" "G588   Otras mononeuropatas especificadas"
"G589" "G589   Mononeuropata, no especificada"
"G59" "G59   Mononeuropata en enfermedades clasificadas en otra parte"
"G590" "G590   Mononeuropata diabtica"
"G598" "G598   Otras mononeuropatas en enfermedades clasificadas en otra parte"
"G60" "G60   Neuropata hereditaria e idioptica"
"G600" "G600   Neuropata hereditaria motora y sensorial"
"G601" "G601   Enfermedad de Refsum"
"G602" "G602   Neuropata asociada con ataxia hereditaria"
"G603" "G603   Neuropata progresiva idioptica"
"G608" "G608   Otras neuropatas hereditarias e idiopticas"
"G609" "G609   Neuropata hereditaria e idioptica, sin otra especificacin"
"G61" "G61   Polineuopata inflamatoria"
"G610" "G610   Sndrome de Guillain-Barr"
"G611" "G611   Neuropata al suero"
"G618" "G618   Otras polineuropatas inflamatorias"
"G619" "G619   Polineuropata inflamatoria, no especificada"
"G62" "G62   Otras polineuropatas"
"G620" "G620   Polineuropata inducida por drogas"
"G621" "G621   Polineuropata alcohlica"
"G622" "G622   Polineuropata debida a otro agente txico"
"G628" "G628   Otras polineuropatas especificadas"
"G629" "G629   Polineuropata, no especificada"
"G63" "G63   Polineuropatas en enfermedades clasificadas en otra parte"
"G630" "G630   Polineuropata en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"G631" "G631   Polineuropata en enfermedad neoplsica"
"G632" "G632   Polineuropata diabtica"
"G633" "G633   Polineuropata en otras enfermedades endocrinas y metablicas"
"G634" "G634   Polineuropata en deficiencia nutricional"
"G635" "G635   Polineuropata en trastornos del tejido conectivo sistmico"
"G636" "G636   Polineuropata en otros trastornos osteomusculares"
"G638" "G638   Polineuropata en otras enfermedades clasificadas en otra parte"
"G64" "G64   Otros trastornos del sistema nervioso perifrico"
"G70" "G70   Miastenia gravis y otros trastornos neuromusculares"
"G700" "G700   Miastenia gravis"
"G701" "G701   Trastornos txicos neuromusculares"
"G702" "G702   Miastenia congnita o del desarrollo"
"G708" "G708   Otros trastornos neuromusculares especificados"
"G709" "G709   Trastorno neuromuscular, no especificado"
"G71" "G71   Trastornos musculares primarios"
"G710" "G710   Distrofia muscular"
"G711" "G711   Trastornos miotnicos"
"G712" "G712   Miopatas congnitas"
"G713" "G713   Miopata mitocndrica, no clasificada en otra parte"
"G718" "G718   Otros trastornos primarios de los msculos"
"G719" "G719   Trastorno primario del msculo, tipo no especificado"
"G72" "G72   Otras miopatas"
"G720" "G720   Miopata inducida por drogas"
"G721" "G721   Miopata alcohlica"
"G722" "G722   Miopata debida a otros agentes txicos"
"G723" "G723   Parlisis peridica"
"G724" "G724   Miopata inflamatoria, no clasificada en otra parte"
"G728" "G728   Otras miopatas especificadas"
"G729" "G729   Miopata, no especificada"
"G73" "G73   Trastornos del msculo y de la unin neuromuscular en enfermedades clasificadas en otra parte"
"G730" "G730   Sndromes miastnicos en enfermedades endocrinas"
"G731" "G731   Sndrome de Eaton-Lambert (C00-D48)"
"G732" "G732   Otros sndromes miastnicos en enfermedad neoplsica"
"G733" "G733   Sndromes miastnicos en otras enfermedades clasificadas en otra parte"
"G734" "G734   Miopata en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"G735" "G735   Miopata en enfermedades endocrinas"
"G736" "G736   Miopata en enfermedades metablicas"
"G737" "G737   Miopata en otras enfermedades clasificadas en otra parte"
"G80" "G80   Parlisis cerebral "
"G800" "G800   Parlisis cerebral espstica cuadripljica"
"G801" "G801   Parlisis cerebral espstica dipljica"
"G802" "G802   Parlisis cerebral espstica hemipljica"
"G803" "G803   Parlisis cerebral discintica"
"G804" "G804   Parlisis cerebral atxica"
"G808" "G808   Otros tipos de parlisis cerebral "
"G809" "G809   Parlisis cerebral, sin otra especificacin"
"G81" "G81   Hemipleja"
"G810" "G810   Hemipleja flcida"
"G811" "G811   Hemipleja espstica"
"G819" "G819   Hemipleja, no especificada"
"G82" "G82   Parapleja y cuadripleja"
"G820" "G820   Parapleja flcida"
"G821" "G821   Parapleja espstica"
"G822" "G822   Parapleja, no especificada"
"G823" "G823   Cuadripleja flcida"
"G824" "G824   Cuadripleja espstica"
"G825" "G825   Cuadripleja, no especificada"
"G83" "G83   Otros sndromes paralticos"
"G830" "G830   Dipleja de los miembros superiores"
"G831" "G831   Monopleja de miembro inferior"
"G832" "G832   Monopleja de miembro superior"
"G833" "G833   Monopleja, no especificada"
"G834" "G834   Sndrome de la cola de caballo"
"G835" "G835   Sndrome de enclaustramiento"
"G838" "G838   Otros sndromes paralticos especificados"
"G839" "G839   Sndrome paraltico, no especificado"
"G90" "G90   Trastornos del sistema nervioso autnomo"
"G900" "G900   Neuropata autnoma perifrica idioptica"
"G901" "G901   Disautonoma familiar [Sndrome de Riley-Day]"
"G902" "G902   Sndrome de Horner"
"G903" "G903   Degeneracin de sistemas mltiples"
"G904" "G904   Disreflexia autonmica"
"G908" "G908   Otros Trastornos del sistema nervioso autnomo"
"G909" "G909   Trastorno del sistema nervioso autnomo, no especificado"
"G91" "G91   Hidrocfalo"
"G910" "G910   Hidrocfalo comunicante"
"G911" "G911   Hidrocfalo obstructivo"
"G912" "G912   Hidrocfalo de presin normal"
"G913" "G913   Hidrocfalo postraumtico, sin otra especificacin"
"G918" "G918   Otros tipos de hidrocfalo"
"G919" "G919   Hidrocfalo, no especificado"
"G92" "G92   Encefalopata txica"
"G93" "G93   Otros trastornos del encfalo"
"G930" "G930   Quiste cerebral"
"G931" "G931   Lesin cerebral anxica, no clasificada en otra parte"
"G932" "G932   Hipertensin intracraneal benigna"
"G933" "G933   Sndrome de fatiga postviral"
"G934" "G934   Encefalopata no especificada"
"G935" "G935   Compresin del encfalo"
"G936" "G936   Edema cerebral"
"G937" "G937   Sndrome de Reye"
"G938" "G938   Otros Trastornos especificados del encfalo"
"G939" "G939   Trastorno del encfalo, no especificado"
"G94" "G94   Otros trastornos del encfalo en enfermedades clasificadas en otra parte"
"G940" "G940   Hidrocfalo en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"G941" "G941   Hidrocfalo en enfermedad neoplsica"
"G942" "G942   Hidrocfalo en otras enfermedades clasificadas en otra parte"
"G948" "G948   Otros trastornos enceflicos especificados en enfermedades clasificadas en otra parte"
"G95" "G95   Otras enfermedades de la mdula espinal"
"G950" "G950   Siringomielia y siringobulbia"
"G951" "G951   Mielopatas vasculares"
"G952" "G952   Compresin medular, no especificada"
"G958" "G958   Otras enfermedades especificadas de la mdula espinal"
"G959" "G959   Enfermedad de la mdula espinal, no especificada"
"G96" "G96   Otros trastornos del sistema nervioso central"
"G960" "G960   Prdida de lquido cefalorraqudeo"
"G961" "G961   Trastornos de las meninges, no clasificados en otra parte"
"G968" "G968   Otros trastornos especificados del sistema nervioso central"
"G969" "G969   Trastorno del sistema nervioso central, no especificado"
"G97" "G97   Trastornos del sistema nervioso consecutivos a procedimientos, no clasificados en otra parte"
"G970" "G970   Prdida de lquido cefalorraqudeo por puncin espinal"
"G971" "G971   Otra reaccin a la puncin espinal y lumbar"
"G972" "G972   Hipotensin intracraneal posterior a anastomosis ventricular"
"G978" "G978   Otros trastornos del sistema nervioso consecutivos a procedimientos"
"G979" "G979   Trastornos no especificados del sistema nervioso, consecutivos a procedimientos"
"G98" "G98   Otros trastornos del sistema nervioso, no clasificados en otra parte"
"G99" "G99   Otros trastornos del sistema nervioso en enfermedades clasificadas en otra parte"
"G990" "G990   Neuropata autonmica en enfermedades metablica y endcrinas"
"G991" "G991   Otros trastornos del sistema nervioso autnomo en otras enfermedades clasificadas en otra parte"
"G992" "G992   Mielopata en enfermedades clasificadas en otra parte"
"G998" "G998   Otros trastornos especificados del sistema nervioso en enfermedades clasificadas en otra parte"
"H00" "H00   Orzuelo y calacio"
"H000" "H000   Orzuelo y otras inflamaciones profundas del prpado"
"H001" "H001   Calacio [chalazin]"
"H01" "H01   Otras inflamaciones del prpado"
"H010" "H010   Blefaritis"
"H011" "H011   Dermatosis no infecciosa del prpado"
"H018" "H018   Otras inflamaciones especificadas del prpado"
"H019" "H019   Inflamacin del prpado, no especificada"
"H02" "H02   Otros trastornos de los prpados"
"H020" "H020   Entropin y triquiasis palpebral"
"H021" "H021   Ectropin del prpado"
"H022" "H022   Lagoftalmos"
"H023" "H023   Blefarocalasia"
"H024" "H024   Blefaroptosis"
"H025" "H025   Otros trastornos funcionales del prpado"
"H026" "H026   Xantelasma del prpado"
"H027" "H027   Otros trastornos degenerativos del prpado y del rea periocular"
"H028" "H028   Otros trastornos especificados del prpado"
"H029" "H029   Trastorno del prpado, no especificado"
"H03" "H03   Trastornos del prpado en enfermedades clasificadas en otra parte"
"H030" "H030   Infeccin o infestacin parasitaria del prpado en enfermedades clasificadas en otra parte"
"H031" "H031   Compromiso del prpado en enfermedades infecciosas clasificadas en otra parte"
"H038" "H038   Compromiso del prpado en enfermedades clasificadas en otra parte"
"H04" "H04   Trastornos del aparato lagrimal"
"H040" "H040   Dacrioadenitis"
"H041" "H041   Otros trastornos de la glndula lagrimal"
"H042" "H042   Epfora"
"H043" "H043   Inflamacin aguda y la no especificada de las vas lagrimales"
"H044" "H044   Inflamacin crnica de las vas lagrimales"
"H045" "H045   Estenosis e insuficiencia de las vas lagrimales"
"H046" "H046   Otros cambios de las vas lagrimales"
"H048" "H048   Otros trastornos especificados del aparato lagrimal"
"H049" "H049   Trastorno del aparato lagrimal, no especificado"
"H05" "H05   Trastornos de la rbita"
"H050" "H050   Inflamacin aguda de la rbita"
"H051" "H051   Trastornos inflamatorios crnicos de la rbita"
"H052" "H052   Afecciones exoftlmicas"
"H053" "H053   Deformidad de la rbita"
"H054" "H054   Enoftalmia"
"H055" "H055   Retencin de cuerpo extrao (antiguo), consecutiva a herida penetrante de la rbita"
"H058" "H058   Otros trastornos de la rbita"
"H059" "H059   Trastorno de la rbita, no especificado"
"H06" "H06   Trastornos del aparato lagrimal y de la rbita en enfermedades clasificadas en otra parte"
"H060" "H060   Trastornos del aparato lagrimal en enfermedades clasificadas en otra parte"
"H061" "H061   Infeccin e infestacin parasitarias de la rbita en enfermedades clasificadas en otra parte"
"H062" "H062   Exoftalmia hipertiroidea"
"H063" "H063   Otros trastornos de la rbita en enfermedades clasificadas en otra parte"
"H10" "H10   Conjuntivitis"
"H100" "H100   Conjuntivitis mucopurulenta"
"H101" "H101   Conjuntivitis atpica aguda"
"H102" "H102   Otras conjuntivitis agudas"
"H103" "H103   Conjuntivitis aguda, no especificada"
"H104" "H104   Conjuntivitis crnica"
"H105" "H105   Blefaroconjuntivitis"
"H108" "H108   Otras conjuntivitis"
"H109" "H109   Conjuntivitis, no especificada"
"H11" "H11   Otros trastornos de la conjuntiva"
"H110" "H110   Pterigin"
"H111" "H111   Degeneraciones y depsitos conjuntivales"
"H112" "H112   Cicatrices conjuntivales"
"H113" "H113   Hemorragia conjuntival"
"H114" "H114   Otros trastornos vasculares y quistes conjuntivales"
"H118" "H118   Otros trastornos especificados de la conjuntiva"
"H119" "H119   Trastorno de la conjuntiva, no especificado"
"H13" "H13   Trastornos de la conjuntiva en enfermedades clasificadas en otra parte"
"H130" "H130   Infeccin filrica de la conjuntiva"
"H131" "H131   Conjuntivitis en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"H132" "H132   Conjuntivitis en otras enfermedades clasificadas en otra parte"
"H133" "H133   Penfigoide ocular"
"H138" "H138   Otros trastornos de la conjuntiva en enfermedades clasificadas en otra parte"
"H15" "H15   Trastornos de la esclertica"
"H150" "H150   Escleritis"
"H151" "H151   Episcleritis"
"H158" "H158   Otros trastornos de la esclertica"
"H159" "H159   Trastorno de la esclertica, no especificado"
"H16" "H16   Queratitis"
"H160" "H160   lcera de la crnea"
"H161" "H161   Otras queratitis superficiales sin conjuntivitis"
"H162" "H162   Queratoconjuntivitis"
"H163" "H163   Queratitis intersticial y profunda"
"H164" "H164   Neovascularizacin  de la crnea"
"H168" "H168   Otras queratitis"
"H169" "H169   Queratitis,no especificada"
"H17" "H17   Opacidades y cicatrices corneales"
"H170" "H170   Leucoma adherente"
"H171" "H171   Otras opacidades centrales de la crnea"
"H178" "H178   Otras opacidades o cicatrices de la crnea"
"H179" "H179   Cicatriz u opacidad de la crnea,  no especificada"
"H18" "H18   Otros trastornos de la crnea"
"H180" "H180   Pigmentaciones y depsitos en la crnea"
"H181" "H181   Queratopata vesicular"
"H182" "H182   Otros edemas de la crnea"
"H183" "H183   Cambios en las membranas de la crnea"
"H184" "H184   Degeneracin de la crnea"
"H185" "H185   Distrofia hereditaria de la crnea"
"H186" "H186   Queratocono"
"H187" "H187   Otras deformidades de la crnea"
"H188" "H188   Otros trastornos especificados de la crnea"
"H189" "H189   Trastorno de la crnea, no especificado"
"H19" "H19   Trastornos de la esclertica y de la crnea en enfermedades clasificadas en otra parte"
"H190" "H190   Escleritis y episcleritis en enfermedades clasificadas en otra parte"
"H191" "H191   Queratitis y queratoconjuntivitis por herpes simple"
"H192" "H192   Queratitis y queratoconjuntivitis en enfermedades infecciosas y parasitarias, clasificadas en otra parte"
"H193" "H193   Queratitis y queratoconjuntivitis en otras enfermedades clasificadas en otra parte"
"H198" "H198   Otros trastornos de la esclertica y de la crnea en enfermedades clasificadas en otra parte"
"H20" "H20   Iridociclitis"
"H200" "H200   Iridociclitis aguda y subaguda"
"H201" "H201   Iridociclitis crnica"
"H202" "H202   Iridociclitis inducida por trastorno del cristalino"
"H208" "H208   Otras iridociclitis especificadas"
"H209" "H209   Iridociclitis, no especificada"
"H21" "H21   Otros trastornos del iris y del cuerpo ciliar"
"H210" "H210   Hifema"
"H211" "H211   Otros trastornos vasculares del iris y del cuerpo ciliar"
"H212" "H212   Degeneracin del iris y del cuerpo ciliar"
"H213" "H213   Quiste del iris, del cuerpo ciliar y de la cmara anterior"
"H214" "H214   Membranas pupilares"
"H215" "H215   Otras adherencias y desgarros del iris y del cuerpo ciliar"
"H218" "H218   Otros trastornos especificados del iris y del cuerpo ciliar"
"H219" "H219   Trastorno del iris y del cuerpo ciliar, no especificado"
"H22" "H22   Trastornos del iris y del cuerpo ciliar en enfermedades clasificadas en otra parte"
"H220" "H220   Iridociclitis en enfermedades infecciosas y parasitarias  clasificadas en otra parte"
"H221" "H221   Iridociclitis en otras enfermedades clasificadas en otra parte"
"H228" "H228   Otros trastornos del iris y del cuerpo ciliar en enfermedades clasificadas en otra parte"
"H25" "H25   Catarata senil"
"H250" "H250   Catarata senil incipiente"
"H251" "H251   Catarata senil nuclear"
"H252" "H252   Catarata senil, tipo morgagnian"
"H258" "H258   Otras cataratas seniles"
"H259" "H259   Catarata senil, no especificada"
"H26" "H26   Otras cataratas"
"H260" "H260   Catarata infantil, juvenil y presenil"
"H261" "H261   Catarata traumtica"
"H262" "H262   Catarata complicada"
"H263" "H263   Catarata inducida por drogas"
"H264" "H264   Catarata residual"
"H268" "H268   Otras formas especificadas de catarata"
"H269" "H269   Catarata, no especificada"
"H27" "H27   Otros trastornos del cristalino"
"H270" "H270   Afaquia"
"H271" "H271   Luxacin del cristalino"
"H278" "H278   Otros trastornos especificados del cristalino"
"H279" "H279   Trastorno del cristalino, no especificado"
"H28" "H28   Catarata y otros trastornos del cristalino en enfermedades clasificadas en otra parte"
"H280" "H280   Catarata diabtica"
"H281" "H281   Catarata en otras enfermedades endocrinas, nutricionales y metablicas clasificadas en otra parte"
"H282" "H282   Catarata en otras enfermedades clasificadas en otra parte"
"H288" "H288   Otros trastornos del cristalino en enfermedades clasificadas en otra parte"
"H30" "H30   Inflamacin coriorretiniana"
"H300" "H300   Coriorretinitis focal"
"H301" "H301   Coriorretinitis diseminada"
"H302" "H302   Ciclitis posterior"
"H308" "H308   Otras coriorretinitis"
"H309" "H309   Coriorretinitis, no especificada"
"H31" "H31   Otros trastornos de la coroides"
"H310" "H310   Cicatrices coriorretinianas"
"H311" "H311   Degeneracin coroidea"
"H312" "H312   Distrofia coroidea hereditaria"
"H313" "H313   Hemorragia y ruptura de la coroides"
"H314" "H314   Desprendimiento de la coroides"
"H318" "H318   Otros trastornos especificados de la coroides"
"H319" "H319   Trastorno de la coroides, no especificado"
"H32" "H32   Trastornos coriorretinianos en enfermedades clasificadas en otra parte"
"H320" "H320   Inflamacin coriorretiniana en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"H328" "H328   Otros trastornos coriorretinianos en enfermedades clasificadas en otra parte"
"H33" "H33   Desprendimiento y desgarro de la retina"
"H330" "H330   Desprendimiento de la retina con ruptura"
"H331" "H331   Retinosquisis y quistes de la retina"
"H332" "H332   Desprendimiento seroso de la retina"
"H333" "H333   Desgarro de la retina sin desprendimiento"
"H334" "H334   Desprendimiento de la retina por traccin"
"H335" "H335   Otros desprendimientos de la retina"
"H34" "H34   Oclusin vascular de la retina"
"H340" "H340   Oclusin arterial transitoria de la retina"
"H341" "H341   Oclusin de la arteria central de la retina"
"H342" "H342   Otras formas de oclusin de la arteria de la retina"
"H348" "H348   Otras oclusiones vasculares retinianas"
"H349" "H349   Oclusin vascular retiniana, sin otra especificacin"
"H35" "H35   Otros trastornos de la retina"
"H350" "H350   Retinopatas del fondo y cambios vasculares retinianos"
"H351" "H351   Retinopata de la prematuridad"
"H352" "H352   Otras retinopatas proliferativas"
"H353" "H353   Degeneracin de la mcula y del polo posterior del ojo"
"H354" "H354   Degeneracin perifrica de la retina"
"H355" "H355   Distrofia hereditaria de la retina"
"H356" "H356   Hemorragia retiniana"
"H357" "H357   Separacin de las capas de la retina"
"H358" "H358   Otros trastornos especificados de la retina"
"H359" "H359   Trastorno de la retina, no especificado"
"H36" "H36   Trastornos de la retina en enfermedades clasificadas en otra parte"
"H360" "H360   Retinopata diabtica"
"H368" "H368   Otros trastornos de la retina en enfermedades clasificadas en otra parte"
"H40" "H40   Glaucoma"
"H400" "H400   Sospecha de glaucoma"
"H401" "H401   Glaucoma primario de ngulo abierto"
"H402" "H402   Glaucoma primario de ngulo cerrado"
"H403" "H403   Glaucoma secundario a traumatismo ocular"
"H404" "H404   Glaucoma secundario a inflamacin ocular"
"H405" "H405   Glaucoma secundario a otros trastornos del ojo"
"H406" "H406   Glaucoma secundario a drogas"
"H408" "H408   Otros glaucomas"
"H409" "H409   Glaucoma, no especificado"
"H42" "H42   Glaucoma en enfermedades clasificadas en otra parte"
"H420" "H420   Glaucoma en enfermedades endocrinas, nutricionales y metablicas clasificadas en otra parte"
"H428" "H428   Glaucoma en otras enfermedades clasificadas en otra parte"
"H43" "H43   Trastornos del cuerpo vtreo"
"H430" "H430   Prolapso del vtreo"
"H431" "H431   Hemorragia del vtreo"
"H432" "H432   Depsitos cristalinos en el cuerpo vtreo"
"H433" "H433   Otras opacidades vtreas"
"H438" "H438   Otros trastornos del cuerpo vtreo"
"H439" "H439   Trastorno del cuerpo vtreo, no especificado"
"H44" "H44   Trastornos del globo ocular"
"H440" "H440   Endoftalmitis purulenta"
"H441" "H441   Otras endoftalmitis"
"H442" "H442   Miopa degenerativa"
"H443" "H443   Otros trastornos degenerativos del globo ocular"
"H444" "H444   Hipotona ocular"
"H445" "H445   Afecciones degenerativas del globo ocular"
"H446" "H446   Retencin intraocular de cuerpo extrao magntico (antiguo)"
"H447" "H447   Retencin intraocular de cuerpo extrao no magntico (antiguo)"
"H448" "H448   Otros trastornos del globo ocular"
"H449" "H449   Trastorno del globo ocular, no especificado"
"H45" "H45   Trastornos del cuerpo vtreo y del globo ocular en enfermedades clasificadas en otra parte"
"H450" "H450   Hemorragia del vtreo en enfermedades clasificadas en otra parte"
"H451" "H451   Endoftalmitis en enfermedades clasificadas en otra parte"
"H458" "H458   Otros trastornos del cuerpo vtreo y del globo ocular en enfermedades clasificadas en otra parte"
"H46" "H46   Neuritis ptica"
"H47" "H47   Otros trastornos del nervio ptico [II par] y de las vas pticas"
"H470" "H470   Trastornos del nervio ptico, no clasificados en otra parte"
"H471" "H471   Papiledema, no especificado"
"H472" "H472   Atrofia ptica"
"H473" "H473   Otros trastornos del disco ptico"
"H474" "H474   Trastornos del quiasma ptico"
"H475" "H475   Trastornos de otras vas pticas"
"H476" "H476   Trastornos de la corteza visual"
"H477" "H477   Trastorno de las vas pticas, no especificado"
"H48" "H48   Trastornos del nervio ptico [II par] y de las vas pticas en enfermedades clasificadas en otra parte"
"H480" "H480   Atrofia ptica en enfermedades clasificadas en otra parte"
"H481" "H481   Neuritis retrobulbar en enfermedades clasificadas en otra parte"
"H488" "H488   Otros trastornos del nervio ptico y de las vas pticas en enfermedades clasificadas en otra parte"
"H49" "H49   Estrabismo paraltico"
"H490" "H490   Parlisis del nervio motor ocular comn [III par]"
"H491" "H491   Parlisis del nervio pattico [IV par]"
"H492" "H492   Parlisis del nervio motor ocular externo [VI par]"
"H493" "H493   Oftalmopleja total (externa)"
"H494" "H494   Oftalmopleja externa progresiva"
"H498" "H498   Otros estrabismos paralticos"
"H499" "H499   Estrabismo paraltico, no especificado"
"H50" "H50   Otros estrabismos"
"H500" "H500   Estrabismo concomitante convergente"
"H501" "H501   Estrabismo concomitante divergente"
"H502" "H502   Estrabismo vertical"
"H503" "H503   Heterotropa intermitente"
"H504" "H504   Otras heterotropas o las no especificadas"
"H505" "H505   Heteroforia"
"H506" "H506   Estrabismo mecnico"
"H508" "H508   Otros estrabismos especificados"
"H509" "H509   Estrabismo, no especificado"
"H51" "H51   Otros trastornos de los movimientos binoculares"
"H510" "H510   Parlisis de la conjugacin de la mirada"
"H511" "H511   Exceso e insuficiencia de la convergencia ocular"
"H512" "H512   Oftalmopleja internuclear"
"H518" "H518   Otros trastornos especificados de los movimientos binoculares"
"H519" "H519   Trastorno del movimiento binocular, no especificado"
"H52" "H52   Trastornos de la acomodacin y de la refraccin"
"H520" "H520   Hipermetropa"
"H521" "H521   Miopa"
"H522" "H522   Astigmatismo"
"H523" "H523   Anisometropa y aniseicona"
"H524" "H524   Presbicia"
"H525" "H525   Trastornos de la acomodacin"
"H526" "H526   Otros trastornos de la refraccin"
"H527" "H527   Trastorno de la refraccin, no especificado"
"H53" "H53   Alteraciones de la visin"
"H530" "H530   Ambliopa ex anopsia"
"H531" "H531   Alteraciones visuales subjetivas"
"H532" "H532   Diplopa"
"H533" "H533   Otros trastornos de la visin binocular"
"H534" "H534   Defectos del campo visual"
"H535" "H535   Deficiencia de la visin cromtica"
"H536" "H536   Ceguera nocturna"
"H538" "H538   Otras alteraciones visuales"
"H539" "H539   Alteracin visual, no especificada"
"H54" "H54   Ceguera y deficiencia visual (binicular o monocular)"
"H540" "H540   Ceguera binocular"
"H541" "H541   Deficiencia visual severa, binocular"
"H542" "H542   Deficiencia visual moderada, binocular"
"H543" "H543   Deficiencia visual leve o ausente, binocular"
"H544" "H544   Ceguera monocular"
"H545" "H545   Deficiencia visual severa, monocular"
"H546" "H546   Deficiencia visual moderada, monocular"
"H547" "H547   Disminucin de la agudeza visual, sin especificacin"
"H549" "H549   Deficiencia visual no especificada (binocular)"
"H55" "H55   Nistagmo y otros movimientos oculares irregulares"
"H57" "H57   Otros trastornos del ojo y sus anexos"
"H570" "H570   Anomalas de la funcin pupilar"
"H571" "H571   Dolor ocular"
"H578" "H578   Otros trastornos especificados del ojo y sus anexos"
"H579" "H579   Trastorno del ojo y sus anexos, no especificado"
"H58" "H58   Otros trastornos del ojo y sus anexos en enfermedades clasificadas en otra parte"
"H580" "H580   Anomalas de la funcin pupilar en enfermedades clasificadas en otra parte"
"H581" "H581   Alteraciones de la visin en enfermedades clasificadas en otra parte"
"H588" "H588   Otros trastornos especificados del ojo en enfermedades clasificadas en otra parte"
"H59" "H59   Trastornos del ojo y sus anexos consecutivos a procedimientos, no clasificados en otra parte"
"H590" "H590   Queratopata (bullosa afquica) consecutiva a ciruga de catarata"
"H598" "H598   Otros trastornos del ojo y sus anexos, consecutivos a procedimientos"
"H599" "H599   Trastorno no especificado del ojo y sus anexos, consecutivo a procedimientos"
"H60" "H60   Otitis externa"
"H600" "H600   Absceso del odo externo"
"H601" "H601   Celulitis del odo externo"
"H602" "H602   Otitis externa maligna"
"H603" "H603   Otras otitis externas infecciosas"
"H604" "H604   Colesteatoma del odo externo"
"H605" "H605   Otitis externa aguda, no infecciosa"
"H608" "H608   Otras otitis externas"
"H609" "H609   Otitis externa, sin otra especificacin"
"H61" "H61   Otros trastornos del odo externo"
"H610" "H610   Pericondritis del odo externo"
"H611" "H611   Afecciones no infecciosas del pabelln auditivo"
"H612" "H612   Cerumen impactado"
"H613" "H613   Estenosis adquirida del conducto auditivo externo"
"H618" "H618   Otros trastornos especificados del odo externo"
"H619" "H619   Trastorno del odo externo, no especificado"
"H62" "H62   Trastornos del odo externo en enfermedades clasificadas en otra parte"
"H620" "H620   Otitis externa en enfermedades bacterianas clasificadas en otra parte"
"H621" "H621   Otitits externa en enfermedades vrales clasificadas en otra parte"
"H622" "H622   Otitits externa en micosis"
"H623" "H623   Otitits externa en otras enfermedades infecciosas y parasitarias clasificadas en otra parte"
"H624" "H624   Otitits externa en otras enfermedades clasificadas en otra parte"
"H628" "H628   Otros trastornos del odo externo en enfermedades clasificadas en otra parte"
"H65" "H65   Otitis media no supurativa"
"H650" "H650   Otitis media aguda serosa"
"H651" "H651   Otra otitis media aguda, no supurativa"
"H652" "H652   Otitis media crnica serosa"
"H653" "H653   Otitis media crnica mucoide"
"H654" "H654   Otras otitis medias crnicas no supurativas"
"H659" "H659   Otitis media no supurativa, sin otra especificacin"
"H66" "H66   Otitis media supurativa y la no especificada"
"H660" "H660   Otitis media supurativa aguda"
"H661" "H661   Otitis media tubotimpnica supurativa crnica"
"H662" "H662   Otitis media supurativa crnica aticoantral"
"H663" "H663   Otras otitis medias crnicas supurativas"
"H664" "H664   Otitis media supurativa, sin otra especificacin"
"H669" "H669   Otitis media, no especificada"
"H67" "H67   Otitis media en enfermedades clasificadas en otra parte"
"H670" "H670   Otitis media en enfermedades bacterianas clasificadas en otra parte"
"H671" "H671   Otitis media en enfermedades virales clasificadas en otra parte"
"H678" "H678   Otitis media en otras enfermedades clasificadas en otra parte"
"H68" "H68   Inflamacin y obstruccin de la trompa de Eustaquio"
"H680" "H680   Salpingitis eustaquiana"
"H681" "H681   Obstruccin de la trompa de Eustaquio"
"H69" "H69   Otros trastornos de la trompa de Eustaquio"
"H690" "H690   Distensin de la trompa de Eustaquio"
"H698" "H698   Otros trastornos especificados de la trompa de Eustaquio"
"H699" "H699   Trastorno de la trompa de Eustaquio, no especificado"
"H70" "H70   Mastoiditis y afecciones relacionadas"
"H700" "H700   Mastoiditis aguda"
"H701" "H701   Mastoiditis crnica"
"H702" "H702   Petrositis"
"H708" "H708   Otras mastoiditis y afecciones relacionadas"
"H709" "H709   Mastoiditis, no especificada"
"H71" "H71   Colesteatoma del odo medio"
"H72" "H72   Perforacin de la membrana timpnica"
"H720" "H720   Perforacin central de la membrana timpnica"
"H721" "H721   Perforacin tica de la membrana timpnica"
"H722" "H722   Otras perforaciones marginales de la membrana timpnica"
"H728" "H728   Otras perforaciones de la membrana timpnica"
"H729" "H729   Perforacin de la membrana timpnica, sin otra especificacin"
"H73" "H73   Otros trastornos de la membrana timpnica"
"H730" "H730   Miringitis aguda"
"H731" "H731   Miringitis crnica"
"H738" "H738   Otros trastornos especificados de la membrana timpnica"
"H739" "H739   Trastorno de la membrana timpnica, no especificado"
"H74" "H74   Otros trastornos del odo medio y de la apfisis mastoides"
"H740" "H740   Timpanosclerosis"
"H741" "H741   Enfermedad adhesiva del odo medio"
"H742" "H742   Discontinuidad y dislocacin de los huesecillos del odo"
"H743" "H743   Otras anormalidades adquiridas de los huesecillos del odo"
"H744" "H744   Plipo del odo medio"
"H748" "H748   Otros trastornos especificados del odo medio y de la apfisis mastoides"
"H749" "H749   Trastorno del odo medio y de la apfisis mastoides, no especificado"
"H75" "H75   Otros trastornos del odo medio y de la apfisis mastoides en enfermedades clasificadas en otra parte"
"H750" "H750   Mastoiditis en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"H758" "H758   Otros trastornos especificados del odo medio y de la apofisis mastoides en enfermedades clasificadas en otra parte"
"H80" "H80   Otosclerosis"
"H800" "H800   Otosclerosis que afecta la ventana oval, no obliterante"
"H801" "H801   Otosclerosis que afecta la ventana oval, obliterante"
"H802" "H802   Otosclerosis coclear"
"H808" "H808   Otras otosclerosis"
"H809" "H809   Otosclerosis, no especificada"
"H81" "H81   Trastornos de la funcin vestibular"
"H810" "H810   Enfermedad de meniere"
"H811" "H811   Vrtigo paroxstico benigno"
"H812" "H812   Neuronitis vestibular"
"H813" "H813   Otros vrtigos perifricos"
"H814" "H814   Vrtigo de origen central"
"H818" "H818   Otros trastornos de la funcin vestibular"
"H819" "H819   Trastorno de la funcin vestibular, no especificado"
"H82" "H82   Sndromes vertiginosos en enfermedades clasificadas en otra parte"
"H83" "H83   Otros trastornos del odo interno"
"H830" "H830   Laberintitis"
"H831" "H831   Fstula del laberinto"
"H832" "H832   Disfuncin del laberinto"
"H833" "H833   Efectos del ruido sobre el odo interno"
"H838" "H838   Otros trastornos especificados del odo interno"
"H839" "H839   Trastorno del odo interno, no especificado"
"H90" "H90   Hipocausia conductiva y neurosensorial"
"H900" "H900   Hipoacusia conductiva bilateral"
"H901" "H901   Hipoacusia conductiva, unilateral con audicin irrestricta contralateral"
"H902" "H902   Hipoacusia conductiva, sin otra especificacin"
"H903" "H903   Hipoacusia neurosensorial, bilateral"
"H904" "H904   Hipoacusia neurosensorial, unilateral con audicin irrestricta contralateral"
"H905" "H905   Hipoacusia neurosensorial, sin otra especificacin"
"H906" "H906   Hipoacusia mixta conductiva y neurosensorial, bilateral"
"H907" "H907   Hipoacusia mixta conductiva y neurosensorial, unilateral con audicin irrestricta contralateral"
"H908" "H908   Hipoacusia mixta conductiva y neurosensorial, no especificada"
"H91" "H91   Otras hipoacusias"
"H910" "H910   Hipoacusia ototxica"
"H911" "H911   Presbiacusia"
"H912" "H912   Hipoacusia sbita idioptica"
"H913" "H913   Sordomudez, no clasificada en otra parte"
"H918" "H918   Otras hipoacusias especificadas"
"H919" "H919   Hipoacusia, no especificada"
"H92" "H92   Otalgia y secrecin del odo"
"H920" "H920   Otalgia"
"H921" "H921   Otorrea"
"H922" "H922   Otorragia"
"H93" "H93   Otros trastornos del odo, no clasificados en otra parte"
"H930" "H930   Trastornos degenerativos y vasculares del odo"
"H931" "H931   Tinnitus"
"H932" "H932   Otras percepciones auditivas anormales"
"H933" "H933   Trastornos del nervio auditivo"
"H938" "H938   Otros trastornos especificados del odo"
"H939" "H939   Trastorno del odo, no especificado"
"H94" "H94   Otros trastornos del odo en enfermedades clasificadas en otra parte"
"H940" "H940   Neuritis del nervio auditivo en enfermedades infecciosas y parasitarias  clasificadas en otra parte"
"H948" "H948   Otros trastornos especificados del odo en enfermedades clasificadas en otra parte"
"H95" "H95   Trastornos del odo y de la apfisis mastoides consecutivos a procedimientos, no clasificados en otra parte"
"H950" "H950   Colesteatoma recurrente de la cavidad resultante de la mastoidectoma"
"H951" "H951   Otros trastornos posteriores  a la mastoidectoma"
"H958" "H958   Otros trastornos del odo y de la apfisis mastoides, consecutivos a procedimientos"
"H959" "H959   Trastornos no especificados del odo y de la apfisis mastoides, consecutivos a procedimientos"
"I00" "I00   Fiebre reumtica sin mencin de complicacin cardaca"
"I01" "I01   Fiebre reumtica con complicacin cardaca"
"I010" "I010   Pericarditis reumtica aguda"
"I011" "I011   Endocarditis reumtica aguda"
"I012" "I012   Miocarditis reumtica aguda"
"I018" "I018   Otras enfermedades reumticas agudas del corazn"
"I019" "I019   Enfermedad reumtica aguda del corazn, no especificada"
"I02" "I02   Corea reumtica"
"I020" "I020   Corea reumtica con complicacin cardaca"
"I029" "I029   Corea reumtica sin mencin de complicacin cardaca"
"I05" "I05   Enfermedades reumticas de la vlvula mitral"
"I050" "I050   Estenosis mitral"
"I051" "I051   Insuficiencia mitral reumtica"
"I052" "I052   Estenosis mitral con insuficiencia"
"I058" "I058   Otras enfermedades de la vlvula mitral"
"I059" "I059   Enfermedad valvular mitral, no especificada"
"I06" "I06   Enfermedades reumticas de la vlvula artica"
"I060" "I060   Estenosis artica reumtica"
"I061" "I061   Insuficiencia artica reumtica"
"I062" "I062   Estenosis artica reumtica con insuficiencia"
"I068" "I068   Otras enfermedades reumticas de la vlvula artica"
"I069" "I069   Enfermedad valvular artica reumtica, no especificada"
"I07" "I07   Enfermedades reumticas de la vlvula tricspide"
"I070" "I070   Estenosis tricspide"
"I071" "I071   Insuficiencia tricspide"
"I072" "I072   Estenosis e insuficiencia tricspide"
"I078" "I078   Otras enfermedades de la vlvula tricspide"
"I079" "I079   Enfermedad de la vlvula tricspide, no especificada"
"I08" "I08   Enfermedades valvulares mltiples"
"I080" "I080   Trastornos de las vlvulas mitral y artica"
"I081" "I081   Trastornos de las vlvulas mitral y tricspide"
"I082" "I082   Trastornos de las vlvulas artica y tricspide"
"I083" "I083   Trastornos combinados de las vlvulas mitral, tricspide y artica"
"I088" "I088   Otras enfermedades de mltiples vlvulas"
"I089" "I089   Enfermedad de mltiples vlvulas, no especificada"
"I09" "I09   Otras enfermedades reumticas del corazn"
"I090" "I090   Miocarditis reumtica"
"I091" "I091   Enfermedades reumticas del endocardio, vlvula no especificada"
"I092" "I092   Pericarditis reumtica crnica"
"I098" "I098   Otras enfermedades reumticas especificadas del corazn"
"I099" "I099   Enfermedad reumtica del corazn, no especificada"
"I10" "I10   Hipertensin esencial (primaria)"
"I11" "I11   Enfermedad cardaca hipertensiva"
"I110" "I110   Enfermedad cardaca hipertensiva con insuficiencia cardaca (congestiva)"
"I119" "I119   Enfermedad cardaca hipertensiva sin insuficiencia cardaca (congestiva)"
"I12" "I12   Enfermedad renal hipertensiva"
"I120" "I120   Enfermedad renal hipertensiva con insuficiencia renal"
"I129" "I129   Enfermedad renal hipertensiva sin insuficiencia renal"
"I13" "I13   Enfermedad cardiorrenal hipertensiva"
"I130" "I130   Enfermedad cardiorrenal hipertensiva con insuficiencia cardaca (congestiva)"
"I131" "I131   Enfermedad cardiorrenal hipertensiva con insuficiencia renal"
"I132" "I132   Enfermedad cardiorrenal hipertensiva con insuficiencia cardaca (congestiva) e insuficiencia renal "
"I139" "I139   Enfermedad cardiorrenal hipertensiva, no especificada"
"I15" "I15   Hipertensin secundaria"
"I150" "I150   Hipertensin renovascular"
"I151" "I151   Hipertensin secundaria a otros trastornos renales"
"I152" "I152   Hipertensin secundaria  a trastornos endocrinos"
"I158" "I158   otros tipos de hipertensin secundaria"
"I159" "I159   Hipertensin secundaria, no especificada"
"I20" "I20   Angina de pecho"
"I200" "I200   Angina inestable"
"I201" "I201   Angina de pecho con espasmo documentado"
"I208" "I208   Otras formas especificadas de angina de pecho"
"I209" "I209   Angina de pecho, no especificada"
"I21" "I21   Infarto agudo del miocardio"
"I210" "I210   Infarto transmural agudo del miocardio de la pared anterior"
"I211" "I211   Infarto transmural agudo del miocardio de la pared inferior"
"I212" "I212   Infarto agudo transmural del miocardio de otros sitios"
"I213" "I213   Infarto transmural agudo del miocardio, de sitio no especificado"
"I214" "I214   Infarto subendocrdico agudo del miocardio"
"I219" "I219   Infarto agudo del miocardio, sin otra especificacin"
"I22" "I22   Infarto subsecuente del miocardio"
"I220" "I220   Infarto subsecuente del miocardio de la pared anterior"
"I221" "I221   Infarto subsecuente del miocardio de la pared inferior"
"I228" "I228   Infarto subsecuente del miocardio de otros sitios"
"I229" "I229   Infarto subsecuente del miocardio, de parte no especificada"
"I23" "I23   Ciertas complicaciones presentes posteriores al infarto agudo del miocardio"
"I230" "I230   Hemopericardio como complicacin presente posterior al infarto agudo del miocardio"
"I231" "I231   Defecto del tabique auricular como complicacin presente posterior al infarto del miocardio"
"I232" "I232   Defecto del tabique ventricular como complicacin presente posterior al infarto del miocardio"
"I233" "I233   Ruptura de la pared cardaca sin hemopericardio como complicacin presente posterior al infarto agudo del miocardio"
"I234" "I234   Ruptura de las cuerdas tendinosas como complicacin presente posterior al infarto agudo del miocardio"
"I235" "I235   Ruptura de msculo papilar como complicacin presente posterior al infarto agudo del miocardio"
"I236" "I236   Trombosis de la aurcula, apndice  auricular y ventrculo como complicacin presente posterior al infarto agudo del miocardio"
"I238" "I238   Otras complicaciones presentes posteriores al infarto agudo del miocardio"
"I24" "I24   Otras enfermedades isqumicas agudas del corazn"
"I240" "I240   Trombosis coronaria que no resulta en infarto del miocardio"
"I241" "I241   Sndrome de Dressler"
"I248" "I248   Otras formas de enfermedad isqumica aguda del corazn"
"I249" "I249   Enfermedad isqumica aguda del corazn, no especificada"
"I25" "I25   Enfermedad isqumica crnica del corazn"
"I250" "I250   Enfermedad cardiovascular aterosclertica, as descrita"
"I251" "I251   Enfermedad aterosclertica del corazn"
"I252" "I252   Infarto antiguo del miocardio"
"I253" "I253   Aneurisma cardaco"
"I254" "I254   Aneurisma de arteria coronaria"
"I255" "I255   Cardiomiopata isqumica"
"I256" "I256   Isquemia silente del miocardio"
"I258" "I258   Otras formas de enfermedad isqumica crnica del corazn"
"I259" "I259   Enfermedad isqumica crnica del corazn, no especificada"
"I26" "I26   Embolia pulmonar"
"I260" "I260   Embolia pulmonar con mencin de corazn pulmonar agudo"
"I269" "I269   Embolia pulmonar sin mencin de corazn pulmonar agudo"
"I27" "I27   Otras enfermedades cardiopulmonares"
"I270" "I270   Hipertensin pulmonar primaria"
"I271" "I271   Enfermedad cifoscolitica del corazn"
"I272" "I272   Otras hipertensiones pulmonares secundarias"
"I278" "I278   Otras enfermedades cardiopulmonares especificadas"
"I279" "I279   Enfermedad pulmonar del corazn, no especificada"
"I28" "I28   Otras enfermedades de los vasos pulmonares"
"I280" "I280   Fstula arteriovenosa de los vasos pulmonares"
"I281" "I281   Aneurisma de la arteria pulmonar"
"I288" "I288   Otras enfermedades especificadas de los vasos pulmonares"
"I289" "I289   Enfermedad de los vasos pulmonares, no especificada"
"I30" "I30   Pericarditis aguda"
"I300" "I300   Pericarditis idioptica aguda inespecfica"
"I301" "I301   Pericarditis infecciosa"
"I308" "I308   Otras formas de pericarditis aguda"
"I309" "I309   Pericarditis aguda, no especificada"
"I31" "I31   Otras enfermedades del pericardio"
"I310" "I310   Pericarditis crnica adhesiva"
"I311" "I311   Pericarditis constrictiva crnica"
"I312" "I312   Hemopericardio, no clasificado en otra parte"
"I313" "I313   Derrame pericrdico (no inflamatorio)"
"I318" "I318   Otras enfermedades especificadas del pericardio"
"I319" "I319   Enfermedad del pericardio, no especificada"
"I32" "I32   Pericarditis en enfermedades clasificadas en otra parte"
"I320" "I320   Pericarditis en enfermedades bacterianas clasificadas en otra parte"
"I321" "I321   Pericarditis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte"
"I328" "I328   Pericarditis en otras enfermedades clasificadas en otras parte"
"I33" "I33   Endocarditis aguda y subaguda"
"I330" "I330   Endocarditis infecciosa aguda y subaguda"
"I339" "I339   Endocarditis aguda, no especificada"
"I34" "I34   Trastornos no reumticos de la vlvula mitral"
"I340" "I340   Insuficiencia (de la vlvula) mitral"
"I341" "I341   Prolapso (de la vlvula) mitral"
"I342" "I342   Estenosis (de la vlvula) mitral, no reumtica"
"I348" "I348   Otros trastornos no reumticos de la vlvula mitral"
"I349" "I349   Trastorno mitral no reumtico, no especificado"
"I35" "I35   Trastornos no reumticos de la vlvula artica"
"I350" "I350   Estenosis (de la vlvula) artica"
"I351" "I351   Insuficiencia (de la vlvula) artica"
"I352" "I352   Estenosis (de la vlvula) artica con insuficiencia"
"I358" "I358   Otros trastornos de la vlvula artica"
"I359" "I359   Trastorno de la vlvula artica, no especificado"
"I36" "I36   Trastornos no reumticos de la vlvula tricspide"
"I360" "I360   Estenosis no reumtica (de la vlvula) tricspide"
"I361" "I361   Insuficiencia no reumtica (de la vlvula) tricspide"
"I362" "I362   Estenosis con insuficiencia no reumtica (de la vlvula) tricspide"
"I368" "I368   Otros trastornos no reumticos de la vlvula tricspide"
"I369" "I369   Trastorno no reumtico de la vlvula tricspide, no especificado"
"I37" "I37   Trastornos de la vlvula pulmonar"
"I370" "I370   Estenosis de la vlvula pulmonar"
"I371" "I371   Insuficiencia de la vlvula pulmonar"
"I372" "I372   Estenosis de la vlvula pulmonar con insuficiencia"
"I378" "I378   Otros trastornos de la vlvula pulmonar"
"I379" "I379   Trastorno de la vlvula pulmonar, no especificado"
"I38" "I38   Endocarditis, vlvula no especificada"
"I39" "I39   Endocarditis y trastornos valvulares en enfermedades clasificadas en otra parte"
"I390" "I390   Trastornos de la vlvula mitral en enfermedades clasificadas en otra parte"
"I391" "I391   Trastornos de la vlvula artica en enfermedades clasificadas en otra parte"
"I392" "I392   Trastornos de la vlvula tricspide en enfermedades clasificadas en otra parte"
"I393" "I393   Trastornos de la vlvula pulmonar en enfermedades clasificadas en otra parte"
"I394" "I394   Trastornos valvulares mltiples en enfermedades clasificadas en otras parte"
"I398" "I398   Endocarditis, vlvula no especificada, en enfermedades clasificadas en otra parte"
"I40" "I40   Miocarditis aguda"
"I400" "I400   Miocarditis infecciosa"
"I401" "I401   Miocarditis aislada"
"I408" "I408   Otras miocarditis agudas"
"I409" "I409   Miocarditis aguda, no especificada"
"I41" "I41   Miocarditis en enfermedades clasificadas en otra parte"
"I410" "I410   Miocarditis en enfermedades bacterianas clasificadas en otra parte"
"I411" "I411   Miocarditis en enfermedades virales clasificadas en otra parte"
"I412" "I412   Miocarditis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte"
"I418" "I418   Miocarditis en otras enfermedades clasificadas en otra parte"
"I42" "I42   Cardiomiopata"
"I420" "I420   Cardiomiopata dilatada"
"I421" "I421   Cardiomiopata hipertrfica obstructiva"
"I422" "I422   Otras cardiomiopatas hipertrficas"
"I423" "I423   Enfermedad endomiocrdica (eosinoflica)"
"I424" "I424   Fibroelastosis endocrdica"
"I425" "I425   Otras cardiomiopatas restrictivas"
"I426" "I426   Cardiomiopata alcohlica"
"I427" "I427   Cardiomiopata debida a drogas y otros agentes externos"
"I428" "I428   Otras cardiomiopatas"
"I429" "I429   Cardiomiopata, no especificada"
"I43" "I43   Cardiomiopata en enfermedades clasificadas en otra parte"
"I430" "I430   Cardiomiopata en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"I431" "I431   Cardiomiopata en enfermedades metablicas"
"I432" "I432   Cardiomiopata en enfermedades nutricionales"
"I438" "I438   Cardiomiopata en otras enfermedades clasificadas en otra parte"
"I44" "I44   Bloqueo auriculoventricular y de rama izquierda del haz"
"I440" "I440   Bloqueo auriculoventricular de primer grado"
"I441" "I441   Bloqueo auriculoventricular de segundo grado"
"I442" "I442   Bloqueo auriculoventricular completo"
"I443" "I443   Otros tipos de bloqueo auriculoventricular y los no especificados"
"I444" "I444   Bloqueo fascicular anterior izquierdo"
"I445" "I445   Bloqueo fascicular posterior izquierdo"
"I446" "I446   Otros tipos de bloqueo fascicular y los no especificados"
"I447" "I447   Bloqueo de rama izquierda del haz, sin otra especificacin"
"I45" "I45   Otros trastornos de la conduccin"
"I450" "I450   Bloqueo fascicular derecho"
"I451" "I451   Otros tipos de bloqueo de rama derecha del haz y los no especificados"
"I452" "I452   Bloqueo bifascicular"
"I453" "I453   Bloqueo trifascicular"
"I454" "I454   Bloqueo intraventricular no especificado"
"I455" "I455   Otros tipos especificados de bloqueo del corazn"
"I456" "I456   Sndrome de preexcitacin"
"I458" "I458   Otros trastornos especificados de la conduccin"
"I459" "I459   Trastorno de la conduccin, no especificado"
"I46" "I46   Paro cardaco"
"I460" "I460   Paro cardaco con resucitacin exitosa"
"I461" "I461   Muerte cardaca sbita, as descrita"
"I469" "I469   Paro cardaco, no especificado"
"I47" "I47   Taquicardia paroxstica"
"I470" "I470   Arritmia por reentrada ventricular"
"I471" "I471   Taquicardia supraventricular"
"I472" "I472   Taquicardia ventricular"
"I479" "I479   Taquicardia paroxstica, no especificada"
"I48" "I48   Fibrilacin y aleteo auricular"
"I480" "I480   Fibrilacin auricular paroxstica"
"I481" "I481   Fibrilacin auricular persistente"
"I482" "I482   Fibrilacin auricular crnica"
"I483" "I483   Aleteo auricular tpico"
"I484" "I484   Aleteo auricular atpico"
"I489" "I489   Fibrilacin y aleteo auricular, no especificado"
"I49" "I49   Otras arritmias cardiacas"
"I490" "I490   Fibrilacin y aleteo ventricular"
"I491" "I491   Despolarizacin auricular prematura"
"I492" "I492   Despolarizacin prematura nodal"
"I493" "I493   Despolarizacin ventricular prematura"
"I494" "I494   Otros tipos de despolarizacin prematura y los no especificados"
"I495" "I495   Sndrome del seno enfermo"
"I498" "I498   Otras arritmias cardiacas especificadas"
"I499" "I499   Arritmia cardaca, no especificada"
"I50" "I50   Insuficiencia cardaca"
"I500" "I500   Insuficiencia cardaca congestiva"
"I501" "I501   Insuficiencia ventricular izquierda"
"I509" "I509   Insuficiencia cardaca, no especificada"
"I51" "I51   Complicaciones y descripciones mal definidas de enfermedad cardaca"
"I510" "I510   Defecto del tabique cardaco, adquirido"
"I511" "I511   Ruptura de cuerda tendinosa, no clasificada en otra parte"
"I512" "I512   Ruptura de msculo papilar, no clasificada en otra parte"
"I513" "I513   Trombosis intracardaca, no clasificada en otra parte"
"I514" "I514   Miocarditis, no especificada"
"I515" "I515   Degeneracin miocrdica"
"I516" "I516   Enfermedad cardiovascular, no especificada"
"I517" "I517   Cardiomegalia"
"I518" "I518   Otras enfermedades cardiacas mal definidas"
"I519" "I519   Enfermedad cardaca, no especificada"
"I52" "I52   Otros trastornos cardacos en enfermedades clasificadas en otra parte"
"I520" "I520   Otros trastornos cardacos en enfermedades bacterianas clasificadas en otra parte"
"I521" "I521   Otros trastornos cardacos en otras enfermedades infecciosas y parasitarias clasificadas en otra parte"
"I528" "I528   Otros trastornos cardacos en otras enfermedades clasificadas en otra parte"
"I60" "I60   Hemorragia subaracnoidea"
"I600" "I600   Hemorragia subaracnoidea de sifn y bifurcacin carotdea"
"I601" "I601   Hemorragia subaracnoidea de arteria cerebral media"
"I602" "I602   Hemorragia subaracnoidea de arteria comunicante anterior"
"I603" "I603   Hemorragia subaracnoidea de arteria comunicante posterior"
"I604" "I604   Hemorragia subaracnoidea de arteria basilar"
"I605" "I605   Hemorragia subaracnoidea de arteria vertebral"
"I606" "I606   Hemorragia subaracnoidea de otras arterias intracraneales"
"I607" "I607   Hemorragia subaracnoidea de arteria intracraneal no especificada"
"I608" "I608   Otras hemorragias subaracnoideas"
"I609" "I609   Hemorragia subaracnoidea, no especificada"
"I61" "I61   Hemorragia intraenceflica"
"I610" "I610   Hemorragia intracerebral en hemisferio, subcortical"
"I611" "I611   Hemorragia intracerebral en hemisferio, cortical"
"I612" "I612   Hemorragia intracerebral en hemisferio, no especificada"
"I613" "I613   Hemorragia intraenceflica en tallo cerebral"
"I614" "I614   Hemorragia intraenceflica en cerebelo"
"I615" "I615   Hemorragia intraenceflica, intraventricular"
"I616" "I616   Hemorragia intraenceflica de localizaciones mltiples"
"I618" "I618   Otras hemorragias intraenceflicas"
"I619" "I619   Hemorragia intraenceflica, no especificada"
"I62" "I62   Otras hemorragias intracraneales no traumticas"
"I620" "I620   Hemorragia subdural (aguda) (no traumtica)"
"I621" "I621   Hemorragia extradural no traumtica"
"I629" "I629   Hemorragia intracraneal (no traumtica), no especificada"
"I63" "I63   Infarto cerebral"
"I630" "I630   Infarto cerebral debido a trombosis de arterias precerebrales"
"I631" "I631   Infarto cerebral debido a embolia de arterias precerebrales"
"I632" "I632   Infarto cerebral debido a oclusin o estenosis no especificada de arterias precerebrales"
"I633" "I633   Infarto cerebral debido a trombosis de arterias cerebrales"
"I634" "I634   Infarto cerebral debido a embolia de arterias cerebrales"
"I635" "I635   Infarto cerebral debido a oclusin o estenosis no especificada de arterias cerebrales"
"I636" "I636   Infarto cerebral debido a trombosis de venas cerebrales, no pigeno"
"I638" "I638   Otros Infartos cerebrales"
"I639" "I639   Infarto cerebral, no especificado"
"I64" "I64   Accidente vascular enceflico agudo, no especificado como hemorrgico o isqumico"
"I65" "I65   Oclusin y estenosis de las arterias precerebrales sin  ocasionar infarto cerebral"
"I650" "I650   Oclusin y estenosis de arteria vertebral"
"I651" "I651   Oclusin y estenosis de arteria basilar"
"I652" "I652   Oclusin y estenosis de arteria cartida"
"I653" "I653   Oclusin y estenosis mltiple bilateral de arterias precerebrales"
"I658" "I658   Oclusin y estenosis de otras arterias precerebrales"
"I659" "I659   Oclusin y estenosis de arteria precerebral no especificada"
"I66" "I66   Oclusin y estenosis de las arterias cerebrales sin  ocasionar infarto cerebral"
"I660" "I660   Oclusin y estenosis de la arteria cerebral media"
"I661" "I661   Oclusin y estenosis de la arteria cerebral anterior"
"I662" "I662   Oclusin y estenosis de la arteria cerebral posterior"
"I663" "I663   Oclusin y estenosis de arterias cerebelosas"
"I664" "I664   Oclusin y estenosis mltiple bilateral de arterias cerebrales"
"I668" "I668   Oclusin y estenosis de otras arterias cerebrales"
"I669" "I669   Oclusin y estenosis de arteria cerebral no especificada"
"I67" "I67   Otras enfermedades cerebrovasculares"
"I670" "I670   Diseccin de arterias cerebrales, sin ruptura"
"I671" "I671   Aneurisma cerebral, sin ruptura"
"I672" "I672   Aterosclerosis cerebral"
"I673" "I673   Leucoencefalopata vascular progresiva"
"I674" "I674   Encefalopata hipertensiva"
"I675" "I675   Enfermedad de Moyamoya"
"I676" "I676   Trombosis apigena del sistema venoso intracraneal"
"I677" "I677   Arteritis cerebral, no clasificada en otra parte"
"I678" "I678   Otras enfermedades cerebrovasculares especificadas"
"I679" "I679   Enfermedad cerebrovascular, no especificada"
"I68" "I68   Trastornos cerebrovasculares en enfermedades clasificadas en otra parte"
"I680" "I680   Angiopata cerebral amiloide"
"I681" "I681   Arteritis cerebral en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"I682" "I682   Arteritis cerebral en otras enfermedades clasificadas en otra parte"
"I688" "I688   Otros trastornos cerebrovasculares en enfermedades clasificadas en otra parte"
"I69" "I69   Secuelas de enfermedad cerebrovascular"
"I690" "I690   Secuelas de hemorragia subaracnoidea"
"I691" "I691   Secuelas de hemorragia intraenceflica"
"I692" "I692   Secuelas de otras hemorragias intracraneales no traumticas"
"I693" "I693   Secuelas de infarto cerebral"
"I694" "I694   Secuelas de accidente vascular encfalico, no especificado como hemorrgico o isqumico"
"I698" "I698   Secuelas de otras enfermedades cerebrovasculares y de las no especificadas "
"I70" "I70   Aterosclerosis"
"I700" "I700   Aterosclerosis de la aorta"
"I701" "I701   Aterosclerosis de la arteria renal"
"I702" "I702   Aterosclerosis de las arterias de los miembros"
"I708" "I708   Aterosclerosis de otras arterias"
"I709" "I709   Aterosclerosis generalizada y la no especificada"
"I71" "I71   Aneurisma y diseccin articos"
"I710" "I710   Diseccin de aorta (cualquier parte)"
"I711" "I711   Ruptura de aneurisma de la aorta torcica"
"I712" "I712   Aneurisma de la aorta torcica, sin mencin de ruptura"
"I713" "I713   Ruptura de aneurisma de la aorta abdominal"
"I714" "I714   Aneurisma de la aorta abdominal, sin mencin de ruptura"
"I715" "I715   Ruptura de aneurisma de la aorta toracoabdominal"
"I716" "I716   Aneurisma de la aorta toracoabdominal, sin mencin de ruptura"
"I718" "I718   Ruptura de aneurisma artico, sitio no especificado"
"I719" "I719   Aneurisma de la aorta, sitio no especificado, sin mencin de ruptura"
"I72" "I72   Otros aneurismas y aneurismas disecantes"
"I720" "I720   Aneurisma y diseccin de la arteria cartida"
"I721" "I721   Aneurisma y diseccin de arteria del miembro superior"
"I722" "I722   Aneurisma y diseccin de arteria renal"
"I723" "I723   Aneurisma y diseccin de arteria ilaca"
"I724" "I724   Aneurisma y diseccin de arteria del miembro inferior"
"I725" "I725   Aneurisma y diseccin de otras arterias precerebrales"
"I726" "I726   Aneurisma y diseccin de arteria vertebral"
"I728" "I728   Aneurisma y diseccin de otras arterias especificadas"
"I729" "I729   Aneurisma y diseccin de sitio no especificado"
"I73" "I73   Otras enfermedades vasculares perifricas"
"I730" "I730   Sndrome de Raynaud"
"I731" "I731   Tromboangetis obliterante [Buerger]"
"I738" "I738   Otras enfermedades vasculares perifricas especificadas"
"I739" "I739   Enfermedad vascular perifrica, no especificada"
"I74" "I74   Embolia y trombosis arteriales"
"I740" "I740   Embolia y trombosis de la aorta abdominal"
"I741" "I741   Embolia y trombosis de otras porciones y las no especificadas de la aorta"
"I742" "I742   Embolia y trombosis de arterias de los miembros superiores"
"I743" "I743   Embolia y trombosis de arterias de los miembros inferiores"
"I744" "I744   Embolia y trombosis de arterias de los miembros, no especificadas"
"I745" "I745   Embolia y trombosis de arteria ilaca"
"I748" "I748   Embolia y trombosis de otras arterias"
"I749" "I749   Embolia y trombosis de arteria no especificada"
"I77" "I77   Otros trastornos arteriales o arteriolares"
"I770" "I770   Fstula arteriovenosa, adquirida"
"I771" "I771   Estrechez arterial"
"I772" "I772   Ruptura arterial"
"I773" "I773   Displasia fibromuscular arterial"
"I774" "I774   Sndrome de compresin del tronco celaco"
"I775" "I775   Necrosis arterial"
"I776" "I776   Arteritis, no especificada"
"I778" "I778   Otros trastornos especificados de arterias y arteriolas"
"I779" "I779   Trastorno de arterias y arteriolas, no especificado"
"I78" "I78   Enfermedades de los vasos capilares"
"I780" "I780   Telangiectasia hemorrgica hereditaria"
"I781" "I781   Nevo, no neoplsico"
"I788" "I788   Otras enfermedades de los capilares"
"I789" "I789   Enfermedad de los vasos capilares, no especificada"
"I79" "I79   Trastornos de las arterias, de las arteriolas y de los vasos capilares en enfermedades clasificadas en otra parte"
"I790" "I790   Aneurisma de la aorta en enfermedades clasificadas en otra parte"
"I791" "I791   Aortitis en enfermedades clasificadas en otra parte"
"I792" "I792   Angiopata perifrica en enfermedades clasificadas en otra parte"
"I798" "I798   Otros trastornos de arterias, arteriolas y vasos capilares  en enfermedades clasificadas en otra parte"
"I80" "I80   Flebitis y tromboflebitis"
"I800" "I800   Flebitis y tromboflebitis de vasos superficiales de los miembros inferiores"
"I801" "I801   Flebitis y tromboflebitis de la vena femoral"
"I802" "I802   Flebitis y tromboflebitis de otros vasos profundos de los miembros inferiores"
"I803" "I803   Flebitis y tromboflebitis de los miembros inferiores, no especificada"
"I808" "I808   Flebitis y tromboflebitis de otros sitios"
"I809" "I809   Flebitis y tromboflebitis de sitio no especificado"
"I81" "I81   Trombosis de la vena porta"
"I82" "I82   Otras embolias y trombosis venosas"
"I820" "I820   Sndrome de Budd-Chiari"
"I821" "I821   Tromboflebitis migratoria"
"I822" "I822   Embolia y trombosis de vena cava"
"I823" "I823   Embolia y trombosis de vena renal"
"I828" "I828   Embolia y trombosis de otras venas especificadas"
"I829" "I829   Embolia y trombosis de vena no especificada"
"I83" "I83   Venas varicosas de los miembros inferiores"
"I830" "I830   Venas varicosas de los miembros inferiores conlcera"
"I831" "I831   Venas varicosas de los miembros inferiores con inflamacin"
"I832" "I832   Venas varicosas de los miembros inferiores conlcera e inflamacin"
"I839" "I839   Venas varicosas de los miembros inferiores sinlcera ni inflamacin"
"I84" "I84   Hemorroides"
"I840" "I840   Hemorroides internas trombosadas"
"I841" "I841   Hemorroides internas con otras complicaciones"
"I842" "I842   Hemorroides internas sin complicacin"
"I843" "I843   Hemorroides externas trombosadas"
"I844" "I844   Hemorroides externas con otras complicaciones"
"I845" "I845   Hemorroides externas sin complicacin"
"I846" "I846   Prominencias cutneas, residuo de hemorroides"
"I847" "I847   Hemorroides trombosadas no especificadas"
"I848" "I848   Hemorroides no especificadas, con otras complicaciones"
"I849" "I849   Hemorroides no especificadas, sin complicacin"
"I85" "I85   Vrices esofgicas"
"I850" "I850   Vrices esofgicas con hemorragia"
"I859" "I859   Vrices esofgicas sin hemorragia"
"I86" "I86   Vrices de otros sitios"
"I860" "I860   Vrices sublinguales"
"I861" "I861   Vrices escrotales"
"I862" "I862   Vrices plvicas"
"I863" "I863   Vrices de la vulva"
"I864" "I864   Vrices gstricas"
"I868" "I868   Vrices en otros sitios especificados"
"I87" "I87   Otros trastornos de las venas"
"I870" "I870   Sndrome postrombtico"
"I871" "I871   Compresin de vena"
"I872" "I872   Insuficiencia venosa (crnica) (perifrica)"
"I878" "I878   Otros trastornos venosos especificados"
"I879" "I879   Trastorno venoso, no especificado"
"I88" "I88   Linfadenitis inespecfica"
"I880" "I880   Linfadenitis mesentrica inespecfica"
"I881" "I881   Linfadenitis crnica, excepto la mesentrica"
"I888" "I888   Otras linfadenitis inespecficas"
"I889" "I889   Linfadenitis inespecfica no especificada"
"I89" "I89   Otros trastornos no infecciosos de los vasos y ganglios linfticos"
"I890" "I890   Linfedema, no clasificado en otra parte"
"I891" "I891   Linfangitis"
"I898" "I898   Otros trastornos especificados no infecciosos de los vasos y ganglios linfticos"
"I899" "I899   Trastorno no infeccioso de vasos y ganglios linfticos, no especificado"
"I95" "I95   Hipotensin"
"I950" "I950   Hipotensin idioptica"
"I951" "I951   Hipotensin ortosttica"
"I952" "I952   Hipotensin debida a drogas"
"I958" "I958   Otros tipos de hipotensin"
"I959" "I959   Hipotensin, no especificada"
"I97" "I97   Trastornos del sistema circulatorio consecutivos a procedimientos, no clasificados en otra parte"
"I970" "I970   Sndrome de postcardiotoma"
"I971" "I971   Otras alteraciones funcionales consecutivas a ciruga cardaca"
"I972" "I972   Sndrome de linfedema postmastectoma"
"I978" "I978   Otros trastornos del sistema circulatorio consecutivos a procedimientos, no clasificados en otra parte"
"I979" "I979   Trastorno no especificado del sistema circulatorio consecutivo a procedimientos"
"I98" "I98   Otros trastornos del sistema circulatorio en enfermedades clasificadas en otra parte"
"I980" "I980   Sfilis cardiovascular"
"I981" "I981   Trastornos cardiovasculares en otras enfermedades infecciosas y parasitarias clasificadas en otra parte"
"I982" "I982   Vrices esofgicas sin hemorragia en enfermedades clasificadas en otra parte"
"I983" "I983   Vrices esofgicas con hemorragia en enfermedades clasificadas en otra parte"
"I988" "I988   Otros trastornos especificados del aparato circulatorio en enfermedades clasificadas en otra parte"
"I99" "I99   Otros trastornos y los no especificados del sistema circulatorio"
"J00" "J00   Rinofaringitis aguda [resfriado comn]"
"J01" "J01   Sinusitis aguda"
"J010" "J010   Sinusitis maxilar aguda"
"J011" "J011   Sinusitis frontal aguda"
"J012" "J012   Sinusitis etmoidal aguda"
"J013" "J013   Sinusitis esfenoidal aguda"
"J014" "J014   Pansinusitis aguda"
"J018" "J018   Otras sinusitis agudas"
"J019" "J019   Sinusitis aguda, no especificada"
"J02" "J02   Faringitis aguda"
"J020" "J020   Faringitis estreptoccica"
"J028" "J028   Faringitis aguda debida a otros microorganismos especificados"
"J029" "J029   Faringitis aguda, no especificada"
"J03" "J03   Amigdalitis aguda"
"J030" "J030   Amigdalitis estreptoccica"
"J038" "J038   Amigdalitis aguda debida a otros microorganismos especificados"
"J039" "J039   Amigdalitis aguda, no especificada"
"J04" "J04   Laringitis y traquetis agudas"
"J040" "J040   Laringitis aguda"
"J041" "J041   Traquetis aguda"
"J042" "J042   Laringotraquetis aguda"
"J05" "J05   Laringitis obstructiva aguda [crup] y epiglotitis"
"J050" "J050   Laringitis obstructiva, aguda [crup]"
"J051" "J051   Epiglotitis aguda"
"J06" "J06   Infecciones agudas de las vas respiratorias superiores, de sitios mltiples o no especificados"
"J060" "J060   Laringofaringitis aguda"
"J068" "J068   Otras infecciones agudas de sitios mltiples de las vas respiratorias superiores"
"J069" "J069   Infeccin aguda de las vas respiratorias superiores, no especificada"
"J09" "J09   Influenza debida a virus de la influenza zoontico o pandmico identificados"
"J10" "J10   Influenza debida a otro virus de la influenza estacional identificado"
"J100" "J100   Influenza con neumona, debida a otro virus de la influenza identificado"
"J101" "J101   Influenza con otras manifestaciones respiratorias, debida a otro virus de la influenza identificado"
"J108" "J108   Influenza, con otras manifestaciones, debida a otro virus de la influenza identificado"
"J11" "J11   Influenza debida a virus no identificado"
"J110" "J110   Influenza con neumona, virus no identificado"
"J111" "J111   Influenza con otras manifestaciones respiratorias, virus no identificado"
"J118" "J118   Influenza con otras manifestaciones, virus no identificado"
"J12" "J12   Neumona viral, no clasificada en otra parte"
"J120" "J120   Neumona debida a adenovirus"
"J121" "J121   Neumona debida a virus sincitial respiratorio"
"J122" "J122   Neumona debida a virus parainfluenza"
"J123" "J123   Neumona debida a metaneumovirus humano"
"J128" "J128   Neumona debida a otros virus"
"J129" "J129   Neumona viral, no especificada"
"J13" "J13   Neumona debida a Streptococcus pneumoniae"
"J14" "J14   Neumona debida a Haemophilus influenzae"
"J15" "J15   Neumona bacteriana, no clasificada en otra parte"
"J150" "J150   Neumona debida a Klebsiella pneumoniae"
"J151" "J151   Neumona debida a pseudomonas"
"J152" "J152   Neumona debida a estafilococos"
"J153" "J153   Neumona debida a estreptococos del grupo B"
"J154" "J154   Neumona debida a otros estreptococos"
"J155" "J155   Neumona debida a Escherichia coli"
"J156" "J156   Neumona debida a otras bacterias gramnegativas"
"J157" "J157   Neumona debida a Mycoplasma pneumoniae"
"J158" "J158   Otras neumonas bacterianas"
"J159" "J159   Neumona bacteriana, no especificada"
"J16" "J16   Neumona debida a otros microorganismos infecciosos, no clasificados en otra parte"
"J160" "J160   Neumona debida a clamidias"
"J168" "J168   Neumona debida a otros microorganismos infecciosos especificados"
"J17" "J17   Neumona en enfermedades clasificadas en otra parte"
"J170" "J170   Neumona en enfermedades bacterianas clasificadas en otra parte"
"J171" "J171   Neumona en enfermedades virales clasificadas en otra parte"
"J172" "J172   Neumona en micosis"
"J173" "J173   Neumona en enfermedades parasitarias"
"J178" "J178   Neumona en otras enfermedades clasificadas en otra parte"
"J18" "J18   Neumona, organismo no especificado"
"J180" "J180   Bronconeumona, no especificada"
"J181" "J181   Neumona lobar, no especificada"
"J182" "J182   Neumona hiposttica, no especificada"
"J188" "J188   Otras neumonas, de microorganismo no especificado"
"J189" "J189   Neumona, no especificada"
"J20" "J20   Bronquitis aguda"
"J200" "J200   Bronquitis aguda debida a Mycoplasma pneumoniae"
"J201" "J201   Bronquitis aguda debida a Haemophilus influenzae"
"J202" "J202   Bronquitis aguda debida a estreptococos"
"J203" "J203   Bronquitis aguda debida a virus Coxsackie"
"J204" "J204   Bronquitis aguda debida a virus parainfluenza"
"J205" "J205   Bronquitis aguda debida a virus sincitial respiratorio"
"J206" "J206   Bronquitis aguda debida a rinovirus"
"J207" "J207   Bronquitis aguda debida a virus ECHO"
"J208" "J208   Bronquitis aguda debida a otros microorganismos especificados"
"J209" "J209   Bronquitis aguda, no especificada"
"J21" "J21   Bronquiolitis aguda"
"J210" "J210   Bronquiolitis aguda debida a virus sincitial respiratorio"
"J211" "J211   Bronquiolitis aguda debida a metaneumovirus humano"
"J218" "J218   Bronquiolitis aguda debida a otros microorganismos especificados"
"J219" "J219   Bronquiolitis aguda, no especificada"
"J22" "J22   Infeccin aguda no especificada de las vas respiratorias inferiores"
"J30" "J30   Rinitis alrgica y vasomotora"
"J300" "J300   Rinitis vasomotora"
"J301" "J301   Rinitis alrgica debida al polen"
"J302" "J302   Otra rinitis alrgica estacional"
"J303" "J303   Otras rinitis alrgicas"
"J304" "J304   Rinitis alrgica, no especificada"
"J31" "J31   Rinitis, rinofaringitis y faringitis crnicas"
"J310" "J310   Rinitis crnica"
"J311" "J311   Rinofaringitis crnica"
"J312" "J312   Faringitis crnica"
"J32" "J32   Sinusitis crnica"
"J320" "J320   Sinusitis maxilar crnica"
"J321" "J321   Sinusitis frontal crnica"
"J322" "J322   Sinusitis etmoidal crnica"
"J323" "J323   Sinusitis esfenoidal crnica"
"J324" "J324   Pansinusitis crnica"
"J328" "J328   Otras sinusitis crnicas"
"J329" "J329   Sinusitis crnica, no especificada"
"J33" "J33   Plipo nasal"
"J330" "J330   Plipo de la cavidad nasal"
"J331" "J331   Degeneracin polipoide de seno paranasal"
"J338" "J338   Otros plipos de los senos paranasales"
"J339" "J339   Plipo nasal, no especificado"
"J34" "J34   Otros trastornos de la nariz y de los senos paranasales"
"J340" "J340   Absceso, furnculo y carbunco de la nariz"
"J341" "J341   Quiste y mucocele de la nariz y del seno paranasal"
"J342" "J342   Desviacin del tabique nasal"
"J343" "J343   Hipertrofia de los cornetes nasales"
"J348" "J348   Otros trastornos especificados de la nariz y de los senos paranasales"
"J35" "J35   Enfermedades crnicas de las amgdalas y de las adenoides"
"J350" "J350   Amigdalitis crnica"
"J351" "J351   Hipertrofia de las amgdalas"
"J352" "J352   Hipertrofia de las adenoides"
"J353" "J353   Hipertrofia de las amgdalas con hipertrofia de las adenoides"
"J358" "J358   Otras enfermedades crnicas de las amgdalas y de las adenoides"
"J359" "J359   Enfermedad crnica de las amgdalas y de las adenoides, no especificada"
"J36" "J36   Absceso periamigdalino"
"J37" "J37   Laringitis y laringotraquetis crnicas"
"J370" "J370   Laringitis crnica"
"J371" "J371   Laringotraquetis crnica"
"J38" "J38   Enfermedades de las cuerdas vocales y de la laringe, no clasificadas en otra parte"
"J380" "J380   Parlisis de las cuerdas vocales y de la laringe"
"J381" "J381   Plipo de las cuerdas vocales y de la laringe"
"J382" "J382   Ndulos de las cuerdas vocales"
"J383" "J383   Otras enfermedades de las cuerdas vocales"
"J384" "J384   Edema de laringe"
"J385" "J385   Espasmo larngeo"
"J386" "J386   Estenosis larngea"
"J387" "J387   Otras enfermedades de la laringe"
"J39" "J39   Otras enfermedades de las vas respiratorias superiores"
"J390" "J390   Absceso retrofarngeo y parafarngeo"
"J391" "J391   Otros abscesos de la faringe"
"J392" "J392   Otras enfermedades de la faringe"
"J393" "J393   Reaccin de hipersensibilidad de las vas respiratorias superiores, sitio no especificado"
"J398" "J398   Otras enfermedades especificadas de las vas respiratorias superiores"
"J399" "J399   Enfermedad de las vas respiratorias superiores, no especificada"
"J40" "J40   Bronquitis, no especificada como aguda o crnica"
"J41" "J41   Bronquitis crnica simple y mucopurulenta"
"J410" "J410   Bronquitis crnica simple"
"J411" "J411   Bronquitis crnica mucopurulenta"
"J418" "J418   Bronquitis crnica mixta simple y mucopurulenta"
"J42" "J42   Bronquitis crnica no especificada"
"J43" "J43   Enfisema"
"J430" "J430   Sndrome de MacLeod"
"J431" "J431   Enfisema panlobular"
"J432" "J432   Enfisema centrolobular"
"J438" "J438   Otros tipos de enfisema"
"J439" "J439   Enfisema, no especificado"
"J44" "J44   Otras enfermedades pulmonares obstructivas crnicas"
"J440" "J440   Enfermedad pulmonar obstructiva crnica con infeccin aguda de las vas respiratorias inferiores"
"J441" "J441   Enfermedad pulmonar obstructiva crnica con exacerbacin aguda, no especificada"
"J448" "J448   Otras enfermedades pulmonares obstructivas crnicas especificadas"
"J449" "J449   Enfermedad pulmonar obstructiva crnica, no especificada"
"J45" "J45   Asma"
"J450" "J450   Asma predominantemente alrgica"
"J451" "J451   Asma no alrgica"
"J458" "J458   Asma mixta"
"J459" "J459   Asma, no especificado"
"J46" "J46   Estado asmtico"
"J47" "J47   Bronquiectasia"
"J60" "J60   Neumoconiosis de los mineros del carbn"
"J61" "J61   Neumoconiosis debida al asbesto y a otras fibras minerales"
"J62" "J62   Neumoconiosis debida a polvo de slice"
"J620" "J620   Neumoconiosis debida a polvo de talco"
"J628" "J628   Neumoconiosis debida a otros polvos que contienen slice"
"J63" "J63   Neumoconiosis debida a otros polvos inorgnicos"
"J630" "J630   Aluminosis (del pulmn)"
"J631" "J631   Fibrosis (del pulmn) debida a bauxita"
"J632" "J632   Beriliosis"
"J633" "J633   Fibrosis (del pulmn) debida a grafito"
"J634" "J634   Siderosis"
"J635" "J635   Estaosis"
"J638" "J638   Neumoconiosis debida a otros polvos inorgnicos especificados"
"J64" "J64   Neumoconiosis, no especificada"
"J65" "J65   Neumoconiosis asociada con tuberculosis"
"J66" "J66   Enfermedades de las vas areas debidas a polvos orgnicos especficos"
"J660" "J660   Bisinosis"
"J661" "J661   Enfermedad de los trabajadores del lino"
"J662" "J662   Canabinosis"
"J668" "J668   Enfermedad de las vas areas debida a otros polvos orgnicos especficos"
"J67" "J67   Neumonitis debida a hipersensibilidad al polvo orgnico"
"J670" "J670   Pulmn del granjero"
"J671" "J671   Bagazosis"
"J672" "J672   Pulmn del ornitfilo"
"J673" "J673   Suberosis"
"J674" "J674   Pulmn del manipulador de malta"
"J675" "J675   Pulmn del manipulador de hongos"
"J676" "J676   Pulmn del descortezador del arce"
"J677" "J677   Neumonitis de la ventilacin debida al acondicionador y humidificador del aire"
"J678" "J678   Neumonitis debidas a hipersensibilidad a otros polvos orgnicos"
"J679" "J679   Neumonitis debida a hipersensibilidad a polvo orgnico no especificado"
"J68" "J68   Afecciones respiratorias debidas a inhalacin de gases, humos, vapores y sustancias qumicas"
"J680" "J680   Bronquitis y neumonitis debidas a inhalacin de gases, humos, vapores y sustancias qumicas"
"J681" "J681   Edema pulmonar agudo debido a inhalacin de gases, humos, vapores y sustancias qumicas"
"J682" "J682   Inflamacin respiratoria superior debida a inhalacin de gases, humos, vapores y sustancias qumicas, no clasificadas en otra parte"
"J683" "J683   Otras afecciones respiratorias agudas y subagudas debidas a inhalacin de gases, humos, vapores y sustancias qumicas"
"J684" "J684   Afecciones respiratorias crnicas debidas a inhalacin de gases, humos, vapores y sustancias qumicas"
"J688" "J688   Otras afecciones respiratorias debidas a inhalacin de gases, humos, vapores y sustancias qumicas"
"J689" "J689   Afeccin respiratoria no especificada, debida a inhalacin de gases, humos, vapores y sustancias qumicas"
"J69" "J69   Neumonitis debida a slidos y lquidos"
"J690" "J690   Neumonitis debida a aspiracin de alimento o vmito"
"J691" "J691   Neumonitis debida a aspiracin de aceites y esencias"
"J698" "J698   Neumonitis debida a aspiracin de otros slidos y lquidos"
"J70" "J70   Afecciones respiratorias debidas a otros agentes externos"
"J700" "J700   Manifestaciones pulmonares agudas debidas a radiacin"
"J701" "J701   Manifestaciones pulmonares crnicas y otras manifestaciones debidas a radiacin"
"J702" "J702   Trastornos pulmonares intersticiales agudos inducidos por drogas"
"J703" "J703   Trastornos pulmonares intersticiales crnicos inducidos por drogas"
"J704" "J704   Trastornos pulmonares intersticiales no especificados inducidos por drogas"
"J708" "J708   Afecciones respiratorias debidas a otros agentes externos especificados"
"J709" "J709   Afecciones respiratorias debidas a agentes externos no especificados"
"J80" "J80   Sndrome de dificultad respiratoria del adulto"
"J81" "J81   Edema pulmonar"
"J82" "J82   Eosinofilia pulmonar, no clasificada en otra parte"
"J84" "J84   Otras enfermedades pulmonares intersticiales"
"J840" "J840   Afecciones alveolares y alveoloparietales"
"J841" "J841   Otras enfermedades pulmonares intersticiales con fibrosis"
"J848" "J848   Otras enfermedades pulmonares intersticiales especificadas"
"J849" "J849   Enfermedad pulmonar intersticial, no especificada"
"J85" "J85   Absceso del pulmn y del mediastino"
"J850" "J850   Gangrena y necrosis del pulmn"
"J851" "J851   Absceso del pulmn con neumona"
"J852" "J852   Absceso del pulmn sin neumona"
"J853" "J853   Absceso del mediastino"
"J86" "J86   Piotrax"
"J860" "J860   Piotrax con fstula"
"J869" "J869   Piotrax sin fstula"
"J90" "J90   Derrame pleural no clasificado en otra parte"
"J91" "J91   Derrame pleural en afecciones clasificadas en otra parte"
"J92" "J92   Paquipleuritis"
"J920" "J920   Paquipleuritis con asbestosis"
"J929" "J929   Paquipleuritis sin asbestosis"
"J93" "J93   Neumotrax"
"J930" "J930   Neumtorax espontneo a presin"
"J931" "J931   Otros tipos de neumotrax espontneo"
"J938" "J938   Otros neumotrax"
"J939" "J939   Neumotrax, no especificado"
"J94" "J94   Otras afecciones de la pleura"
"J940" "J940   Quilotrax"
"J941" "J941   Fibrotrax"
"J942" "J942   Hemotrax"
"J948" "J948   Otras afecciones especificadas de la pleura"
"J949" "J949   Afeccin pleural, no especificada"
"J95" "J95   Trastornos del sistema respiratorio consecutivos a procedimientos, no clasificados en otra parte"
"J950" "J950   Funcionamiento defectuoso de la traqueostoma"
"J951" "J951   Insuficiencia pulmonar aguda consecutiva a ciruga torcica"
"J952" "J952   Insuficiencia pulmonar aguda consecutiva debida a ciruga extratorcica"
"J953" "J953   Insuficiencia pulmonar crnica consecutiva a ciruga"
"J954" "J954   Sndrome de Mendelson"
"J955" "J955   Estenosis subgltica consecutiva a procedimientos"
"J958" "J958   Otros trastornos respiratorios consecutivos a procedimientos"
"J959" "J959   Trastorno no especificado del sistema respiratorio, consecutivo a procedimientos"
"J96" "J96   Insuficiencia respiratoria, no clasificada en otra parte"
"J960" "J960   Insuficiencia respiratoria aguda"
"J961" "J961   Insuficiencia respiratoria crnica"
"J969" "J969   Insuficiencia respiratoria, no especificada"
"J98" "J98   Otros trastornos respiratorios"
"J980" "J980   Enfermedades de la trquea y de los bronquios, no clasificadas en otra parte"
"J981" "J981   Colapso pulmonar"
"J982" "J982   Enfisema intersticial"
"J983" "J983   Enfisema compensatorio"
"J984" "J984   Otros trastornos del pulmn"
"J985" "J985   Enfermedades del mediastino, no clasificadas en otra parte"
"J986" "J986   Trastornos del diafragma"
"J988" "J988   Otros trastornos respiratorios especificados"
"J989" "J989   Trastorno respiratorio, no especificado"
"J99" "J99   Trastornos respiratorios en enfermedades clasificadas en otra parte"
"J990" "J990   Enfermedad pulmonar reumatoide"
"J991" "J991   Trastornos respiratorios en otros trastornos difusos del tejido conjuntivo"
"J998" "J998   Trastornos respiratorios en otras enfermedades clasificadas en otra parte"
"K00" "K00   Trastornos del desarrollo y de la erupcin de los dientes"
"K000" "K000   Anodoncia"
"K001" "K001   Dientes supernumerarios"
"K002" "K002   Anomalas del tamao y de la forma del diente"
"K003" "K003   Dientes moteados"
"K004" "K004   Alteraciones en la formacin dentaria"
"K005" "K005   Alteraciones hereditarias de la estructura dentaria, no clasificadas en otra parte"
"K006" "K006   Alteraciones en la erupcin dentaria"
"K007" "K007   Sndrome de la erupcin dentaria"
"K008" "K008   Otros trastornos del desarrollo de los dientes"
"K009" "K009   Trastorno del desarrollo de los dientes, no especificado"
"K01" "K01   Dientes incluidos e impactados"
"K010" "K010   Dientes incluidos"
"K011" "K011   Dientes impactados"
"K02" "K02   Caries dental"
"K020" "K020   Caries limitada al esmalte"
"K021" "K021   Caries de la dentina"
"K022" "K022   Caries del cemento"
"K023" "K023   Caries dentaria detenida"
"K024" "K024   Odontoclasia"
"K025" "K025   Caries con exposicin pulpar"
"K028" "K028   Otras caries dentales"
"K029" "K029   Caries dental, no especificada"
"K03" "K03   Otras enfermedades de los tejidos duros de los dientes"
"K030" "K030   Atricin excesiva de los dientes"
"K031" "K031   Abrasin de los dientes"
"K032" "K032   Erosin de los dientes"
"K033" "K033   Reabsorcin patolgica de los dientes"
"K034" "K034   Hipercementosis"
"K035" "K035   Anquilosis dental"
"K036" "K036   Depsitos [acreciones] en los dientes"
"K037" "K037   Cambios posteruptivos del color de los tejidos dentales duros"
"K038" "K038   Otras enfermedades especificadas de los tejidos duros de los dientes"
"K039" "K039   Enfermedad no especificada de los tejidos dentales duros"
"K04" "K04   Enfermedades de la pulpa y de los tejidos periapicales"
"K040" "K040   Pulpitis"
"K041" "K041   Necrosis de la pulpa"
"K042" "K042   Degeneracin de la pulpa"
"K043" "K043   Formacin anormal de tejido duro en la pulpa"
"K044" "K044   Periodontitis apical aguda originada en la pulpa"
"K045" "K045   Periodontitis apical crnica"
"K046" "K046   Absceso periapical con fstula"
"K047" "K047   Absceso periapical sin fstula"
"K048" "K048   Quiste radicular"
"K049" "K049   Otras enfermedades y las no especificadas de la pulpa y del tejido periapical"
"K05" "K05   Gingivitis y enfermedades periodontales"
"K050" "K050   Gingivitis aguda"
"K051" "K051   Gingivitis crnica"
"K052" "K052   Periodontitis aguda"
"K053" "K053   Periodontitis crnica"
"K054" "K054   Periodontosis"
"K055" "K055   Otras enfermedades periodontales"
"K056" "K056   Enfermedad del periodonto, no especificada"
"K06" "K06   Otros trastornos de la enca y de la zona edntula"
"K060" "K060   Retraccin gingival"
"K061" "K061   Hiperplasia gingival"
"K062" "K062   Lesiones de la enca y de la zona edntula asociadas con traumatismo"
"K068" "K068   Otros trastornos especificados de la enca y de la zona edntula"
"K069" "K069   Trastorno no especificado de la enca y de la zona edntula"
"K07" "K07   Anomalas dentofaciales (incluso la maloclusin)"
"K070" "K070   Anomalas evidentes del tamao de los maxilares"
"K071" "K071   Anomalas de la relacin maxilobasilar"
"K072" "K072   Anomalas de la relacin entre los arcos dentarios"
"K073" "K073   Anomalas de la posicin del diente"
"K074" "K074   Maloclusin de tipo no especificado"
"K075" "K075   Anomalas dentofaciales funcionales"
"K076" "K076   Trastornos de la articulacin temporomaxilar"
"K078" "K078   Otras anomalas dentofaciales"
"K079" "K079   Anomala dentofacial, no especificada"
"K08" "K08   Otros trastornos de los dientes y de sus estructuras de sostn"
"K080" "K080   Exfoliacin de los dientes debida a causas sistmicas"
"K081" "K081   Perdida de dientes debida a accidente, extraccin o enfermedad periodontal local"
"K082" "K082   Atrofia del reborde alveolar desdentado"
"K083" "K083   Raz dental retenida"
"K088" "K088   Otras afecciones especificadas de los dientes y de sus estructuras de sostn"
"K089" "K089   Trastorno de los dientes y de sus estruturas de sostn, no especificado"
"K09" "K09   Quites de la regin bucal, no clasificados en otra parte"
"K090" "K090   Quistes originados por el desarrollo de los dientes"
"K091" "K091   Quistes de las fisuras de la regin oral (no odontognicos)"
"K092" "K092   Otros quistes de los maxilares"
"K098" "K098   Otros quistes de la regin bucal, no clasificados en otra parte"
"K099" "K099   Quiste de la regin bucal, sin otra especificacin"
"K10" "K10   Otras enfermedades de los maxilares"
"K100" "K100   Trastornos del desarrollo de los maxilares"
"K101" "K101   Granuloma central de clulas gigantes"
"K102" "K102   Afecciones inflamatorias de los maxilares"
"K103" "K103   Alveolitis del maxilar"
"K108" "K108   Otras enfermedades especificadas de los maxilares"
"K109" "K109   Enfermedad de los maxilares, no especificada"
"K11" "K11   Enfermedades de las glndulas salivales"
"K110" "K110   Atrofia de glndula salival"
"K111" "K111   Hipertrofia de glndula salival"
"K112" "K112   Sialadenitis"
"K113" "K113   Absceso de glndula salival"
"K114" "K114   Fstula de glndula salival"
"K115" "K115   Sialolitiasis"
"K116" "K116   Mucocele de glndula salival"
"K117" "K117   Alteraciones de la secrecin salival"
"K118" "K118   Otras enfermedades de las glndulas salivales"
"K119" "K119   Enfermedad de glndula salival, no especificada"
"K12" "K12   Estomatitis y lesiones afines"
"K120" "K120   Estomatitis aftosa recurrente"
"K121" "K121   Otras formas de estomatitis"
"K122" "K122   Celulitis y absceso de boca"
"K123" "K123   Mucositis oral (ulcerativa)"
"K13" "K13   Otras enfermedades de los labios y de la mucosa bucal"
"K130" "K130   Enfermedades de los labios"
"K131" "K131   Mordedura del labio y de la mejilla"
"K132" "K132   Leucoplasia y otras alteraciones del epitelio bucal, incluyendo la lengua"
"K133" "K133   Leucoplasia pilosa"
"K134" "K134   Granuloma y lesiones semejantes de la mucosa bucal"
"K135" "K135   Fibrosis de la submucosa bucal"
"K136" "K136   Hiperplasia irritativa de la mucosa bucal"
"K137" "K137   Otras lesiones y las no especificadas de la mucosa bucal"
"K14" "K14   Enfermedades de la lengua"
"K140" "K140   Glositis"
"K141" "K141   Lengua geogrfica"
"K142" "K142   Glositis romboidea mediana"
"K143" "K143   Hipertrofia de las papilas linguales"
"K144" "K144   Atrofia de las papilas linguales"
"K145" "K145   Lengua plegada"
"K146" "K146   Glosodinia"
"K148" "K148   Otras enfermedades de la lengua"
"K149" "K149   Enfermedad de la lengua, no especificada"
"K20" "K20   Esofagitis"
"K21" "K21   Enfermedad del reflujo gastroesofgico"
"K210" "K210   Enfermedad del reflujo gastroesofgico con esofagitis"
"K219" "K219   Enfermedad del reflujo gastroesofgico sin esofagitis"
"K22" "K22   Otras enfermedades del esfago"
"K220" "K220   Acalasia del cardias"
"K221" "K221   lcera del esfago"
"K222" "K222   Obstruccin del esfago"
"K223" "K223   Perforacin del esfago"
"K224" "K224   Disquinesia del esfago"
"K225" "K225   Divertculo del esfago, adquirido"
"K226" "K226   Sndrome de laceracin y hemorragia gastroesofgicas"
"K227" "K227   Esfago de Barrett        "
"K228" "K228   Otras enfermedades especificadas del esfago"
"K229" "K229   Enfermedad del esfago, no especificada"
"K23" "K23   Trastornos del esfago en enfermedades clasificadas en otra parte"
"K230" "K230   Esofagitis tuberculosa"
"K231" "K231   Megaesfago en la enfermedad de Chagas"
"K238" "K238   Trastornos del esfago en otras enfermedades clasificadas en otra parte"
"K25" "K25   lcera gstrica"
"K250" "K250   lcera gstrica, aguda con hemorragia"
"K251" "K251   lcera gastrica, aguda con perforacin"
"K252" "K252   lcera gstrica, aguda con hemorragia y perforacin"
"K253" "K253   lcera gstrica, aguda sin hemorragia ni perforacin"
"K254" "K254   lcera gstrica, crnica o no especificada, con hemorragia"
"K255" "K255   lcera gstrica, crnica o no especificada, con perforacin"
"K256" "K256   lcera gstrica, crnica o no especificada, con hemorragia y perforacin"
"K257" "K257   lcera gstrica, crnica sin hemorragia ni perforacin"
"K259" "K259   lcera gstrica, no especificada como aguda ni crnica, sin hemorragia ni perforacin"
"K26" "K26   lcera duodenal"
"K260" "K260   lcera duodenal, aguda con hemorragia"
"K261" "K261   lcera duodenal, aguda con perforacin"
"K262" "K262   lcera duodenal, aguda con hemorragia y perforacin"
"K263" "K263   lcera duodenal, aguda sin hemorragia ni perforacin"
"K264" "K264   lcera duodenal, crnica o no especificada, con hemorragia"
"K265" "K265   lcera duodenal, crnica o no especificada, con perforacin"
"K266" "K266   lcera duodenal, crnica o no especificada, con hemorragia y perforacin"
"K267" "K267   lcera duodenal, crnica sin hemorragia ni perforacin"
"K269" "K269   lcera duodenal, no especificada como aguda ni crnica, sin hemorragia ni perforacin"
"K27" "K27   lcera pptica, de sitio no especificado"
"K270" "K270   lcera pptica, de sitio no especificado, aguda con hemorragia"
"K271" "K271   lcera pptica, de sitio no especificado, aguda con perforacin"
"K272" "K272   lcera pptica, de sitio no especificado, aguda con hemorragia y perforacin"
"K273" "K273   lcera pptica, de sitio no especificado, aguda sin hemorragia ni perforacin"
"K274" "K274   lcera pptica, de sitio no especificado, crnica o no especificada, con hemorragia"
"K275" "K275   lcera pptica, de sitio no especificado, crnica o no especificada, con perforacin"
"K276" "K276   lcera pptica, de sitio no especificado, crnica o no especificada, con hemorragia y perforacin"
"K277" "K277   lcera pptica, de sitio no especificado, crnica sin  hemorragia ni perforacin"
"K279" "K279   lcera pptica, de sitio no especificado, no especificada como aguda ni crnica, sin  hemorragia ni perforacin"
"K28" "K28   lcera gastroyeyunal"
"K280" "K280   lcera gastroyeyunal, aguda con hemorragia"
"K281" "K281   lcera gastroyeyunal, aguda con perforacin"
"K282" "K282   lcera gastroyeyunal, aguda con hemorragia y perforacin"
"K283" "K283   lcera gastroyeyunal, aguda sin hemorragia ni perforacin"
"K284" "K284   lcera gastroyeyunal, crnica o no especificada, con hemorragia"
"K285" "K285   lcera gastroyeyunal, crnica o no especificada, con perforacin"
"K286" "K286   lcera gastroyeyunal, crnica o no especificada, con hemorragia y perforacin"
"K287" "K287   lcera gastroyeyunal, crnica sin hemorragia ni perforacin"
"K289" "K289   lcera gastroyeyunal, no especificada como aguda ni crnica, sin hemorragia ni perforacin"
"K29" "K29   Gastritis y duodenitis"
"K290" "K290   Gastritis aguda hemorrgica"
"K291" "K291   Otras gastritis agudas"
"K292" "K292   Gastritis alcohlica"
"K293" "K293   Gastritis crnica superficial"
"K294" "K294   Gastritis crnica atrfica"
"K295" "K295   Gastritis crnica, no especificada"
"K296" "K296   Otras gastritis"
"K297" "K297   Gastritis, no especificada"
"K298" "K298   Duodenitis"
"K299" "K299   Gastroduodenitis, no especificada"
"K30" "K30   Dispepsia funcional"
"K31" "K31   Otras enfermedades del estmago y del duodeno"
"K310" "K310   Dilatacin aguda del estmago"
"K311" "K311   Estenosis pilrica hipertrfica del adulto"
"K312" "K312   Estrechez o estenosis del estmago en reloj de arena"
"K313" "K313   Espasmo del ploro, no clasificado en otra parte"
"K314" "K314   Divertculo gstrico"
"K315" "K315   Obstruccin del duodeno"
"K316" "K316   Fstula del estmago y del duodeno"
"K317" "K317   Plipo del estmago y del duodeno"
"K318" "K318   Otras enfermedades especificadas del estmago y del duodeno"
"K319" "K319   Enfermedad del estmago y del duodeno, no especificada"
"K35" "K35   Apendicitis aguda"
"K350" "K350   Apendicitis aguda con peritonitis generalizada"
"K351" "K351   Apendicitis aguda con absceso peritoneal"
"K352" "K352   Apendicitis aguda con peritonitis generalizada"
"K353" "K353   Apendicitis aguda con peritonitis localizada"
"K358" "K358   Otras apendicitis agudas, y las no especificadas"
"K359" "K359   Apendicitis aguda, no especificada"
"K36" "K36   Otros tipos de apendicitis"
"K37" "K37   Apendicitis, no especificada"
"K38" "K38   Otras enfermedades del apndice"
"K380" "K380   Hiperplasia del apndice"
"K381" "K381   Concreciones apendiculares"
"K382" "K382   Divertculo del apndice"
"K383" "K383   Fstula del apndice"
"K388" "K388   Otras enfermedades especificadas del apndice"
"K389" "K389   Enfermedad del apndice, no especificada"
"K40" "K40   Hernia inguinal"
"K400" "K400   Hernia inguinal bilateral con obstruccin, sin gangrena"
"K401" "K401   Hernia inguinal bilateral, con gangrena"
"K402" "K402   Hernia inguinal bilateral, sin obstruccin ni gangrena"
"K403" "K403   Hernia inguinal unilateral o no especificada, con obstruccin, sin gangrena"
"K404" "K404   Hernia inguinal unilateral o no especificada, con gangrena"
"K409" "K409   Hernia inguinal unilateral o no especificada, sin obstruccin ni gangrena"
"K41" "K41   Hernia femoral"
"K410" "K410   Hernia femoral bilateral, con obstruccin, sin gangrena"
"K411" "K411   Hernia femoral bilateral, con gangrena"
"K412" "K412   Hernia femoral bilateral, sin obstruccin ni gangrena"
"K413" "K413   Hernia femoral unilateral o no especificada, con obstruccin, sin gangrena"
"K414" "K414   Hernia femoral unilateral o no especificada, con gangrena"
"K419" "K419   Hernia femoral unilateral o no especificada, sin obstruccin ni gangrena"
"K42" "K42   Hernia umbilical"
"K420" "K420   Hernia umbilical con obstruccin, sin gangrena"
"K421" "K421   Hernia umbilical con gangrena"
"K429" "K429   Hernia umbilical sin obstruccin ni gangrena"
"K43" "K43   Hernia ventral"
"K430" "K430   Hernia incisional con obstruccin, sin gangrena"
"K431" "K431   Hernia incisional con gangrena"
"K432" "K432   Hernia incisional sin obstruccin o gangrena"
"K433" "K433   Hernia paraestomal con obstruccin, sin gangrena"
"K434" "K434   Hernia paraestomal con gangrena"
"K435" "K435   Hernia paraestomal sin obstruccin o gangrena"
"K436" "K436   Otras hernias ventrales y las no especificadas con obstruccin, sin gangrena"
"K437" "K437   Otras hernias ventrales y las no especificadas con gangrena"
"K439" "K439   Otras hernias ventrales y las no especificadas sin obstruccin o gangrena"
"K44" "K44   Hernia diafragmtica"
"K440" "K440   Hernia diafragmtica con obstruccin, sin gangrena"
"K441" "K441   Hernia diafragmtica con gangrena"
"K449" "K449   Hernia diafragmtica sin obstruccin ni gangrena"
"K45" "K45   Otras hernias de la cavidad abdominal"
"K450" "K450   Otras hernias de la cavidad abdominal especificadas, con obstruccin, sin gangrena"
"K451" "K451   Otras hernias de la cavidad abdominal especificadas, con gangrena"
"K458" "K458   Otras hernias de la cavidad abdominal especificadas, sin obstruccin ni gangrena"
"K46" "K46   Hernia no especificada de la cavidad abdominal"
"K460" "K460   Hernia abdominal no especificada, con obstruccin, sin gangrena"
"K461" "K461   Hernia abdominal no especificada, con gangrena"
"K469" "K469   Hernia abdominal no especificada, sin obstruccin ni gangrena"
"K50" "K50   Enfermedad de Crohn [enteritis regional]"
"K500" "K500   Enfermedad de Crohn del intestino delgado"
"K501" "K501   Enfermedad de Crohn del intestino grueso"
"K508" "K508   Otros tipos de enfermedad de Crohn"
"K509" "K509   Enfermedad de Crohn, no especificada"
"K51" "K51   Colitis Ulcerativa"
"K510" "K510   Pancolitis ulcerativa (crnica) "
"K511" "K511   Ileocolitis (crnica) ulcerativa"
"K512" "K512   Proctitis (crnica) ulcerativa"
"K513" "K513   Rectosigmoiditis (crnica) ulcerativa"
"K514" "K514   Plipos inflamatorios"
"K515" "K515   Colitis del lado izquierdo"
"K518" "K518   Otras colitis ulcerativas"
"K519" "K519   Colitis Ulcerativa, sin otra especificacin"
"K52" "K52   Otras colitis y gastroenteritis no infecciosas"
"K520" "K520   Colitis y gastroenteritis debidas a radiacin"
"K521" "K521   Colitis y gastroenteritis txicas"
"K522" "K522   Colitis y gastroenteritis alrgicas y dietticas"
"K523" "K523   Colitis de etiologa indeterminada"
"K528" "K528   Otras colitis y gastroenteritis no infecciosas especificadas"
"K529" "K529   Colitis y gastroenteritis no infecciosas, no especificadas"
"K55" "K55   Trastornos vasculares de los intestinos"
"K550" "K550   Trastorno vascular agudo de los intestinos"
"K551" "K551   Trastorno vascular crnico del intestino"
"K552" "K552   Angiodisplasia del colon"
"K558" "K558   Otros trastornos vasculares del intestino"
"K559" "K559   Trastorno vascular del intestino, no especificado"
"K56" "K56   Ileo paraltico y obstruccin intestinal sin hernia"
"K560" "K560   leo paraltico"
"K561" "K561   Invaginacin"
"K562" "K562   Vlvulo"
"K563" "K563   leo por clculo biliar"
"K564" "K564   Otras obstrucciones del intestino"
"K565" "K565   Adherencias [bridas] intestinales con obstruccin"
"K566" "K566   Otras obstrucciones intestinales y las no especificadas"
"K567" "K567   leo, no especificado"
"K57" "K57   Enfermedad diverticular del intestino"
"K570" "K570   Enfermedad diverticular del intestino delgado con perforacin y absceso"
"K571" "K571   Enfermedad diverticular del intestino delgado sin perforacin ni absceso"
"K572" "K572   Enfermedad diverticular del intestino grueso con perforacin y absceso"
"K573" "K573   Enfermedad diverticular del intestino grueso sin perforacin ni absceso"
"K574" "K574   Enfermedad diverticular de ambos intestinos con perforacin y absceso"
"K575" "K575   Enfermedad diverticular de ambos intestinos, sin perforacin ni absceso"
"K578" "K578   Enfermedad diverticular del intestino, parte no especificada, con perforacin y absceso"
"K579" "K579   Enfermedad diverticular del intestino, parte no especificada, sin perforacin ni absceso"
"K58" "K58   Sndrome del colon irritable"
"K580" "K580   Sndrome del colon irritable con diarrea"
"K589" "K589   Sndrome del colon irritable sin diarrea"
"K59" "K59   Otros trastornos funcionles del intestino"
"K590" "K590   Constipacin"
"K591" "K591   Diarrea funcional"
"K592" "K592   Intestino neurognico, no clasificado en otra parte"
"K593" "K593   Megacolon, no clasificado en otra parte"
"K594" "K594   Espasmo anal"
"K598" "K598   Otros trastornos funcionales especificados del intestino"
"K599" "K599   Trastorno funcional intestinal, no especificado"
"K60" "K60   Fisura y fstula de las regiones anal y rectal"
"K600" "K600   Fisura anal aguda"
"K601" "K601   Fisura anal crnica"
"K602" "K602   Fisura anal, no especificada"
"K603" "K603   Fstula anal"
"K604" "K604   Fstula rectal"
"K605" "K605   Fstula anorrectal"
"K61" "K61   Absceso de las regiones anal y rectal"
"K610" "K610   Absceso anal"
"K611" "K611   Absceso rectal"
"K612" "K612   Absceso anorrectal"
"K613" "K613   Absceso isquiorrectal"
"K614" "K614   Absceso intraesfinteriano"
"K62" "K62   Otras enfermedades del ano y del recto"
"K620" "K620   Plipo anal"
"K621" "K621   Plipo rectal"
"K622" "K622   Prolapso anal"
"K623" "K623   Prolapso rectal"
"K624" "K624   Estenosis del ano y del recto"
"K625" "K625   Hemorragia del ano y del recto"
"K626" "K626   lcera del ano y del recto"
"K627" "K627   Proctitis por radiacin"
"K628" "K628   Otras enfermedades especificadas del ano y del recto"
"K629" "K629   Enfermedad del ano y del recto, no especificada"
"K63" "K63   Otras enfermedades de los intestinos"
"K630" "K630   Absceso del intestino"
"K631" "K631   Perforacin del intestino (no traumtica)"
"K632" "K632   Fstula del intestino"
"K633" "K633   lcera del intestino"
"K634" "K634   Enteroptosis"
"K635" "K635   Plipo del colon"
"K638" "K638   Otras enfermedades especificadas del intestino"
"K639" "K639   Enfermedad del intestino, no especificada"
"K64" "K64   Hemorroides y trombosis venosa perianal"
"K640" "K640   Hemorroides de primer grado"
"K641" "K641   Hemorroides de segundo grado"
"K642" "K642   Hemorroides de tercer grado"
"K643" "K643   Hemorroides de cuarto grado"
"K644" "K644   Marcas residuales en la piel, de hemorroides"
"K645" "K645   Trombosis venosa perianal"
"K648" "K648   Otras hemorroides especificadas"
"K649" "K649   Hemorroides, sin otra especificacin"
"K65" "K65   Peritonitis"
"K650" "K650   Peritonitis aguda"
"K658" "K658   Otras peritonitis"
"K659" "K659   Peritonitis, no especificada"
"K66" "K66   Otros trastornos del peritoneo"
"K660" "K660   Adherencias peritoneales"
"K661" "K661   Hemoperitoneo"
"K668" "K668   Otros trastornos especificados del peritoneo"
"K669" "K669   Trastorno del peritoneo, no especificado"
"K67" "K67   Trastornos del peritoneo en enfermedades infecciosas clasificadas en otra parte"
"K670" "K670   Peritonitis por clamidias"
"K671" "K671   Peritonitis gonoccica"
"K672" "K672   Peritonitis sifiltica"
"K673" "K673   Peritonitis tuberculosa"
"K678" "K678   Otros trastornos del peritoneo en enfermedades infecciosas clasificadas en otra parte"
"K70" "K70   Enfermedad alcohlica del hgado"
"K700" "K700   Hgado alcohlico adiposo"
"K701" "K701   Hepatitis alcohlica"
"K702" "K702   Fibrosis y esclerosis del hgado, alcohlica"
"K703" "K703   Cirrosis heptica alcohlica"
"K704" "K704   Insuficiencia heptica alcohlica"
"K709" "K709   Enfermedad heptica alcohlica, no especificada"
"K71" "K71   Enfermedad txica del hgado"
"K710" "K710   Enfermedad txica del hgado, con colestasis"
"K711" "K711   Enfermedad txica del hgado con necrosis heptica"
"K712" "K712   Enfermedad txica del hgado con hepatitis aguda"
"K713" "K713   Enfermedad txica del hgado con hepatitis crnica persistente"
"K714" "K714   Enfermedad txica del hgado con hepatitis crnica lobular"
"K715" "K715   Enfermedad txica del hgado con hepatitis crnica activa"
"K716" "K716   Enfermedad txica del hgado con hepatitis no clasificada en otra parte"
"K717" "K717   Enfermedad txica del hgado con cirrosis y fibrosis del hgado"
"K718" "K718   Enfermedad txica del hgado con otros trastornos hepticos"
"K719" "K719   Enfermedad txica del hgado, no especificada"
"K72" "K72   Insuficiencia heptica, no clasificada en otra parte"
"K720" "K720   Insuficiencia heptica aguda o subaguda"
"K721" "K721   Insuficiencia heptica crnica"
"K729" "K729   Insuficiencia heptica, no especificada"
"K73" "K73   Hepatitis crnica, no clasificada en otra parte"
"K730" "K730   Hepatitis crnica persistente, no clasificada en otra parte"
"K731" "K731   Hepatitis crnica lobular, no clasificada en otra parte"
"K732" "K732   Hepatitis crnica activa, no clasificada en otra parte"
"K738" "K738   Otras hepatitis crnicas, no clasificadas en otra parte"
"K739" "K739   Hepatitis crnica, no especificada"
"K74" "K74   Fibrosis y cirrosis del hgado"
"K740" "K740   Fibrosis heptica"
"K741" "K741   Esclerosis heptica"
"K742" "K742   Fibrosis heptica con esclerosis heptica"
"K743" "K743   Cirrosis biliar primaria"
"K744" "K744   Cirrosis biliar secundaria"
"K745" "K745   Cirrosis biliar, no especificada"
"K746" "K746   Otras cirrosis del hgado y las no especificadas"
"K75" "K75   Otras enfermedades inflamatorias del hgado"
"K750" "K750   Absceso del hgado"
"K751" "K751   Flebitis de la vena porta"
"K752" "K752   Hepatitis reactiva no especificada"
"K753" "K753   Hepatitis granulomatosa, no clasificada en otra parte"
"K754" "K754   Hepatitis autoinmune"
"K758" "K758   Otras enfermedades inflamatorias del hgado, especificadas"
"K759" "K759   Enfermedad inflamatoria del hgado, no especificada"
"K76" "K76   Otras enfermedades del hgado"
"K760" "K760   Degeneracin grasa del hgado, no clasificada en otra parte"
"K761" "K761   Congestin pasiva crnica del hgado"
"K762" "K762   Necrosis hemorrgica central del hgado"
"K763" "K763   Infarto del hgado"
"K764" "K764   Peliosis heptica"
"K765" "K765   Enfermedad veno-oclusiva del hgado"
"K766" "K766   Hipertensin portal"
"K767" "K767   Sndrome hepatorrenal"
"K768" "K768   Otras enfermedades especificadas del hgado"
"K769" "K769   Enfermedad del hgado, no especificada"
"K77" "K77   Trastornos del hgado en enfermedades clasificadas en otra parte"
"K770" "K770   Trastornos del hgado en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"K778" "K778   Trastornos del hgado en otras enfermedades clasificadas en otra parte"
"K80" "K80   Colelitiasis"
"K800" "K800   Clculo de la vescula biliar con colecistitis aguda"
"K801" "K801   Clculo de la vescula biliar con otra colecistitis"
"K802" "K802   Clculo de la vescula biliar sin colecistitis"
"K803" "K803   Clculo de conducto biliar con colangitis"
"K804" "K804   Clculo de conducto biliar con colecistitis"
"K805" "K805   Clculo de conducto biliar sin colangitis ni colecistitis"
"K808" "K808   Otras colelitiasis"
"K81" "K81   Colecistitis"
"K810" "K810   Colecistitis aguda"
"K811" "K811   Colecistitis crnica"
"K818" "K818   Otras colecistitis"
"K819" "K819   Colecistitis, no especificada"
"K82" "K82   Otras enfermedades de la vescula biliar"
"K820" "K820   Obstruccin de la vescula biliar"
"K821" "K821   Hidropesa de la vescula biliar"
"K822" "K822   Perforacin de la vescula biliar"
"K823" "K823   Fstula de la vescula biliar"
"K824" "K824   Colesterolosis de la vescula biliar"
"K828" "K828   Otras enfermedades especificadas de la vescula biliar"
"K829" "K829   Enfermedad de la vescula biliar, no especificada"
"K83" "K83   Otras enfermedades de las vas biliares"
"K830" "K830   Colangitis"
"K831" "K831   Obstruccin del conducto biliar"
"K832" "K832   Perforacin del conducto biliar"
"K833" "K833   Fstula del conducto biliar"
"K834" "K834   Espasmo del esfnter de Oddi"
"K835" "K835   Quiste biliar"
"K838" "K838   Otras enfermedades especificadas de las vas biliares"
"K839" "K839   Enfermedad de las vas biliares, no especificada"
"K85" "K85   Pancreatitis aguda"
"K850" "K850   Pancreatitis idioptica aguda"
"K851" "K851   Pancreatitis biliar aguda"
"K852" "K852   Pancreatitis aguda inducida por alcohol"
"K853" "K853   Pancreatitits aguda inducida por drogas"
"K858" "K858   Otras pancreatitis agudas"
"K859" "K859   Pancreatitis aguda, no especificada"
"K86" "K86   Otras enfermedades del pncreas"
"K860" "K860   Pancreatitis crnica inducida por el alcohol"
"K861" "K861   Otras pancreatitis crnicas"
"K862" "K862   Quiste del pncreas"
"K863" "K863   Seudoquiste del pncreas"
"K868" "K868   Otras enfermedades especificadas del pncreas"
"K869" "K869   Enfermedad del pncreas, no especificada"
"K87" "K87   Trastornos de la vescula biliar, de las vas biliares y del pncreas en enfermedades clasificadas en otra parte"
"K870" "K870   Trastornos de la vescula biliar y de las vas biliares en enfermedades clasificadas en otra parte"
"K871" "K871   Trastornos del pncreas en enfermedades clasificadas en otra parte"
"K90" "K90   Malabsorcin intestinal"
"K900" "K900   Enfermedad celaca"
"K901" "K901   Esprue tropical"
"K902" "K902   Sndrome del asa ciega, no clasificado en otra parte"
"K903" "K903   Esteatorrea pancretica"
"K904" "K904   Malabsorcin debida a intolerancia, no clasificada en otra parte"
"K908" "K908   Otros tipos de malabsorcin intestinal"
"K909" "K909   Malabsorcin intestinal, no especificada"
"K91" "K91   Trastornos del sistema digestivo consecutivos a procedimientos, no clasificados en otra parte"
"K910" "K910   Vmito postciruga gastrointestinal"
"K911" "K911   Sndromes consecutivos a la ciruga gstrica"
"K912" "K912   Malabsorcin postquirrgica, no clasificada en otra parte"
"K913" "K913   Obstruccin intestinal postoperatoria"
"K914" "K914   Disfuncin de colostoma o enterostoma"
"K915" "K915   Sndrome de postcolecistectoma"
"K918" "K918   Otros trastornos del sistema digestivo consecutivos a procedimientos, no clasificados en otra parte"
"K919" "K919   Trastorno no especificado del sistema digestivo consecutivo a procedimientos"
"K92" "K92   Otras enfermedades del sistema digestivo"
"K920" "K920   Hematemesis"
"K921" "K921   Melena"
"K922" "K922   Hemorragia gastrointestinal, no especificada"
"K928" "K928   Otras enfermedades especificadas del sistema digestivo"
"K929" "K929   Enfermedad del sistema digestivo, no especificada"
"K93" "K93   Trastornos de otros rganos digestivos en enfermedades clasificadas en otra parte"
"K930" "K930   Trastornos tuberculosos del intestino, peritoneo y ganglios mesentricos"
"K931" "K931   Megacolon en la enfermedad de Chagas"
"K938" "K938   Trastornos de otros rganos digestivos especificados en enfermedades clasificadas en otra parte"
"L00" "L00   Sndrome estafiloccico de la piel escaldada"
"L01" "L01   Imptigo"
"L010" "L010   Imptigo [cualquier sitio anatmico] [cualquier organismo]"
"L011" "L011   Impetiginizacin de otras dermatosis"
"L02" "L02   Absceso cutneo, furnculo y ntrax"
"L020" "L020   Absceso cutneo, furnculo y ntrax de la cara"
"L021" "L021   Absceso cutneo, furnculo y ntrax del cuello"
"L022" "L022   Absceso cutneo, furnculo y ntrax del tronco"
"L023" "L023   Absceso cutneo, furnculo y ntrax de glteos"
"L024" "L024   Absceso cutneo, furnculo y ntrax de miembro"
"L028" "L028   Absceso cutneo, furnculo y ntrax de otros sitios"
"L029" "L029   Absceso cutneo, furnculo y ntrax de sitio no especificado"
"L03" "L03   Celulitis"
"L030" "L030   Celulitis de los dedos de la mano y del pie"
"L031" "L031   Celulitis de otras partes de los miembros"
"L032" "L032   Celulitis de la cara"
"L033" "L033   Celulitis del tronco"
"L038" "L038   Celulitis de otros sitios"
"L039" "L039   Celulitis de sitio no especificado"
"L04" "L04   Linfadenitis aguda"
"L040" "L040   Linfadenitis aguda de cara, cabeza y cuello"
"L041" "L041   Linfadenitis aguda del tronco"
"L042" "L042   Linfadenitis aguda del miembro superior"
"L043" "L043   Linfadenitis aguda del miembro inferior"
"L048" "L048   Linfadenitis aguda de otros sitios"
"L049" "L049   Linfadenitis aguda de sitio no especificado"
"L05" "L05   Quiste pilonidal"
"L050" "L050   Quiste pilonidal con absceso"
"L059" "L059   Quiste pilonidal sin absceso"
"L08" "L08   Otras infecciones locales de la piel y del tejido subcutneo"
"L080" "L080   Pioderma"
"L081" "L081   Eritrasma"
"L088" "L088   Otras infecciones locales especificadas de la piel y del tejido subcutneo"
"L089" "L089   Infeccin local de la piel y del tejido subcutneo, no especificada"
"L10" "L10   Pnfigo"
"L100" "L100   Pnfigo vulgar"
"L101" "L101   Pnfigo vegetante"
"L102" "L102   Pnfigo foliceo"
"L103" "L103   Pnfigo brasileo [fogo selvagem]"
"L104" "L104   Pnfigo eritematoso"
"L105" "L105   Pnfigo inducido por drogas"
"L108" "L108   Otros pnfigos"
"L109" "L109   Pnfigo, no especificado"
"L11" "L11   Otros trastornos acantolticos"
"L110" "L110   Queratosis folicular adquirida"
"L111" "L111   Dermatosis acantoltica transitoria [Grover]"
"L118" "L118   Otros trastornos acantolticos especificados"
"L119" "L119   Trastorno acantoltico, no especificado"
"L12" "L12   Penfigoide"
"L120" "L120   Penfigoide flictenular"
"L121" "L121   Penfigoide cicatricial"
"L122" "L122   Enfermedad flictenular crnica de la infancia"
"L123" "L123   Epidermlisis bullosa adquirida"
"L128" "L128   Otros penfigoides"
"L129" "L129   Penfigoide, no especificado"
"L13" "L13   Otros trastornos flictenulares"
"L130" "L130   Dermatitis herpetiforme"
"L131" "L131   Dermatitis pustulosa subcorneal"
"L138" "L138   Otros trastornos flictenulares especificados"
"L139" "L139   Trastorno flictenular, no especificado"
"L14" "L14   Trastornos flictenulares en enfermedades clasificadas en otra parte"
"L20" "L20   Dermatitis atpica"
"L200" "L200   Prurigo de Besnier"
"L208" "L208   Otras dermatitis atpicas"
"L209" "L209   Dermatitis atpica, no especificada"
"L21" "L21   Dermatitis seborreica"
"L210" "L210   Seborrea capitis"
"L211" "L211   Dermatitis seborreica infantil"
"L218" "L218   Otras dermatitis seborreicas"
"L219" "L219   Dermatitis seborreica, no especificada"
"L22" "L22   Dermatitis del paal"
"L23" "L23   Dermatitis alrgica de contacto"
"L230" "L230   Dermatitis alrgica de contacto debida a metales"
"L231" "L231   Dermatitis alrgica de contacto debida a adhesivos"
"L232" "L232   Dermatitis alrgica de contacto debida a cosmticos"
"L233" "L233   Dermatitis alrgica de contacto debida a drogas en contacto con la piel"
"L234" "L234   Dermatitis alrgica de contacto debida a colorantes"
"L235" "L235   Dermatitis alrgica de contacto debida a otros productos qumicos"
"L236" "L236   Dermatitis alrgica de contacto debida a alimentos en contacto con la piel"
"L237" "L237   Dermatitis alrgica de contacto debida a plantas, excepto las alimenticias"
"L238" "L238   Dermatitis alrgica de contacto debida a otros agentes"
"L239" "L239   Dermatitis alrgica de contacto, de causa no especificada"
"L24" "L24   Dermatitis de contacto por irritantes"
"L240" "L240   Dermatitis de contacto por irritantes, debida a detergentes"
"L241" "L241   Dermatitis de contacto por irritantes, debida a aceites y grasas"
"L242" "L242   Dermatitis de contacto por irritantes, debida a disolventes"
"L243" "L243   Dermatitis de contacto por irritantes, debida a cosmticos"
"L244" "L244   Dermatitis de contacto por irritantes, debida a drogas en contacto con la piel"
"L245" "L245   Dermatitis de contacto por irritantes, debida a otros productos qumicos"
"L246" "L246   Dermatitis de contacto por irritantes, debida a alimentos en contacto con la piel"
"L247" "L247   Dermatitis de contacto por irritantes, debida a plantas, excepto las alimenticias"
"L248" "L248   Dermatitis de contacto por irritantes, debida a otros agentes"
"L249" "L249   Dermatitis de contacto por irritantes, de causa no especificada"
"L25" "L25   Dermatitis de contacto, forma no especificada"
"L250" "L250   Dermatitis de contacto, forma no especificada, debida a cosmticos"
"L251" "L251   Dermatitis de contacto, forma no especificada, debida a drogas en contacto con la piel"
"L252" "L252   Dermatitis de contacto, forma no especificada, debida a colorantes"
"L253" "L253   Dermatitis de contacto, forma no especificada, debida a otros productos qumicos"
"L254" "L254   Dermatitis de contacto, forma no especificada, debida a alimentos en contacto con la piel"
"L255" "L255   Dermatitis de contacto, forma no especificada, debida a plantas, excepto las alimenticias"
"L258" "L258   Dermatitis de contacto, forma no especificada, debida a otros agentes"
"L259" "L259   Dermatitis de contacto, forma y causa no especificadas"
"L26" "L26   Dermatitis exfoliativa"
"L27" "L27   Dermatitis debida a sustancias ingeridas"
"L270" "L270   Erupcin cutnea generalizada debida a drogas y medicamentos"
"L271" "L271   Erupcin cutnea localizada debida a drogas y medicamentos"
"L272" "L272   Dermatitis debida a ingestin de alimentos"
"L278" "L278   Dermatitis debida a otras sustancias ingeridas"
"L279" "L279   Dermatitis debida a sustancias ingeridas no especificadas"
"L28" "L28   Liquen simple crnico y prurigo"
"L280" "L280   Liquen simple crnico"
"L281" "L281   Prurigo nodular"
"L282" "L282   Otros prurigos"
"L29" "L29   Prurito"
"L290" "L290   Prurito anal"
"L291" "L291   Prurito escrotal"
"L292" "L292   Prurito vulvar"
"L293" "L293   Prurito anogenital, no especificado"
"L298" "L298   Otros pruritos"
"L299" "L299   Prurito, no especificado"
"L30" "L30   Otras dermatitis"
"L300" "L300   Dermatitis numular"
"L301" "L301   Dishidrosis [ponflix]"
"L302" "L302   Autosensibilizacin cutnea"
"L303" "L303   Dermatitis infecciosa"
"L304" "L304   Eritema intertrigo"
"L305" "L305   Pitiriasis alba"
"L308" "L308   Otras dermatitis especificadas"
"L309" "L309   Dermatitis, no especificada"
"L40" "L40   Psoriasis"
"L400" "L400   Psoriasis vulgar"
"L401" "L401   Psoriasis pustulosa generalizada"
"L402" "L402   Acrodermatitis continua"
"L403" "L403   Pustulosis palmar y plantar"
"L404" "L404   Psoriasis guttata"
"L405" "L405   Artropata psorisica"
"L408" "L408   Otras psoriasis"
"L409" "L409   Psoriasis, no especificada"
"L41" "L41   Parapsoriasis"
"L410" "L410   Pitiriasis liquenoide y varioliforme aguda"
"L411" "L411   Pitiriasis liquenoide crnica"
"L412" "L412   Papulosis linfomatoide"
"L413" "L413   Parapsoriasis en placas pequeas"
"L414" "L414   Parapsoriasis en placas grandes"
"L415" "L415   Parapsoriasis retiforme"
"L418" "L418   Otras parapsoriasis"
"L419" "L419   Parapsoriasis, no especificada"
"L42" "L42   Pitiriasis rosada"
"L43" "L43   Liquen plano"
"L430" "L430   Liquen plano hipertrfico"
"L431" "L431   Liquen plano flictenular"
"L432" "L432   Reaccin liquenoide debida a drogas"
"L433" "L433   Liquen plano subagudo (activo)"
"L438" "L438   Otros lquenes planos"
"L439" "L439   Liquen plano, no especificado"
"L44" "L44   Otros trastornos papuloescamosos"
"L440" "L440   Pitiriasis rubra pilaris"
"L441" "L441   Liquen ntido"
"L442" "L442   Liquen estriado"
"L443" "L443   Liquen rojo moniliforme"
"L444" "L444   Acrodermatitis papular infantil [Giannotti-Crosti]"
"L448" "L448   Otros trastornos papuloescamosos especificados"
"L449" "L449   Trastorno papuloescamoso, no especificado"
"L45" "L45   Trastornos papuloescamosos en enfermedades clasificadas en otra parte"
"L50" "L50   Urticaria"
"L500" "L500   Urticaria alrgica"
"L501" "L501   Urticaria idioptica"
"L502" "L502   Urticaria debida al calor y al fro"
"L503" "L503   Urticaria dermatogrfica"
"L504" "L504   Urticaria vibratoria"
"L505" "L505   Urticaria colinrgica"
"L506" "L506   Urticaria por contacto"
"L508" "L508   Otras urticarias"
"L509" "L509   Urticaria, no especificada"
"L51" "L51   Eritema multiforme"
"L510" "L510   Eritema multiforme no flictenular"
"L511" "L511   Eritema multiforme flictenular"
"L512" "L512   Necrlisis epidrmica txica [Lyell]"
"L518" "L518   Otros eritemas multiformes"
"L519" "L519   Eritema multiforme, no especificado"
"L52" "L52   Eritema nudoso"
"L53" "L53   Otras afecciones eritematosas"
"L530" "L530   Eritema txico"
"L531" "L531   Eritema anular centrfugo"
"L532" "L532   Eritema marginado"
"L533" "L533   Otros eritemas figurados crnicos"
"L538" "L538   Otras afecciones eritematosas especificadas"
"L539" "L539   Afeccin eritematosa, no especificada"
"L54" "L54   Eritema en enfermedades clasificadas en otra parte"
"L540" "L540   Eritema marginado en la fiebre reumtica aguda"
"L548" "L548   Eritema en otras enfermedades clasificadas en otra parte"
"L55" "L55   Quemadura solar"
"L550" "L550   Quemadura solar de primer grado"
"L551" "L551   Quemadura solar de segundo grado"
"L552" "L552   Quemadura solar de tercer grado"
"L558" "L558   Otras quemaduras solares"
"L559" "L559   Quemadura solar, no especificada"
"L56" "L56   Otros cambios agudos de la piel debidos a radiacin ultravioleta"
"L560" "L560   Respuesta fototxica a drogas"
"L561" "L561   Respuesta fotoalrgica a drogas"
"L562" "L562   Dermatitis por fotocontacto [dermatitis de berloque]"
"L563" "L563   Urticaria solar"
"L564" "L564   Erupcin polimorfa a la luz"
"L568" "L568   Otros cambios agudos especificados de la piel debidos a radiacin ultravioleta"
"L569" "L569   Cambio agudo de la piel debido a radiacin ultravioleta, sin otra especificacin"
"L57" "L57   Cambios de la piel debidos a exposicin crnica a radiacin no ionizante"
"L570" "L570   Queratosis actnica"
"L571" "L571   Reticuloide actnico"
"L572" "L572   Piel romboidal de la nuca"
"L573" "L573   Poiquilodermia de Civatte"
"L574" "L574   Piel laxa senil"
"L575" "L575   Granuloma actnico"
"L578" "L578   Otros cambios de la piel debidos a exposicin crnica a radiacin no ionizante"
"L579" "L579   Cambios de la piel debidos a exposicin crnica a radiacin no ionizante, sin otra especificacin"
"L58" "L58   Radiodermatitis"
"L580" "L580   Radiodermatitis aguda"
"L581" "L581   Radiodermatitis crnica"
"L589" "L589   Radiodermatitis, no especificada"
"L59" "L59   Otros trastornos de la piel y del tejido subcutneo relacionados con radiacin"
"L590" "L590   Eritema ab igne [dermatitis ab igne]"
"L598" "L598   Otros trastornos especificados de la piel y del tejido subcutneo relacionados con radiacin"
"L599" "L599   Trastornos no especificados de la piel y del tejido subcutneo relacionados con radiacin"
"L60" "L60   Trastornos de las uas"
"L600" "L600   Ua encarnada"
"L601" "L601   Oniclisis"
"L602" "L602   Onicogriposis"
"L603" "L603   Distrofia ungueal"
"L604" "L604   Lneas de Beau"
"L605" "L605   Sndrome de la ua amarilla"
"L608" "L608   Otros trastornos de las uas"
"L609" "L609   Trastorno de la ua, no especificado"
"L62" "L62   Trastornos de las uas en enfermedades clasificadas en otra parte"
"L620" "L620   Ua deforme de la paquidermoperiostosis"
"L628" "L628   Trastornos de las uas en otras enfermedades clasificadas en otra parte"
"L63" "L63   Alopecia areata"
"L630" "L630   Alopecia (capitis) total"
"L631" "L631   Alopecia universal"
"L632" "L632   Ofiasis"
"L638" "L638   Otras alopecias areatas"
"L639" "L639   Alopecia areata, no especificada"
"L64" "L64   Alopecia andrgena"
"L640" "L640   Alopecia andrgena, inducida por drogas"
"L648" "L648   Otras alopecias andrgenas"
"L649" "L649   Alopecia andrgena, no especificada"
"L65" "L65   Otra prdida no cicatricial del pelo"
"L650" "L650   Prdida capilar telgena"
"L651" "L651   Prdida capilar angena"
"L652" "L652   Alopecia mucinosa"
"L658" "L658   Otras prdidas especificadas no cicatriciales del pelo"
"L659" "L659   Perdida no cicatricial del pelo, sin otra especificacin"
"L66" "L66   Alopecia cicatricial [prdida cicatricial del pelo]"
"L660" "L660   Seudopelada"
"L661" "L661   Liquen plano pilaris"
"L662" "L662   Foliculitis decalvante"
"L663" "L663   Perifoliculitis capitis abscedens"
"L664" "L664   Foliculitis uleritematosa reticulada"
"L668" "L668   Otras alopecias cicatriciales"
"L669" "L669   Alopecia cicatricial, no especificada"
"L67" "L67   Anormalidades del tallo y del color del pelo"
"L670" "L670   Tricorrexis nudosa"
"L671" "L671   Variacin del color del pelo"
"L678" "L678   Otras anormalidades del tallo y del color del pelo"
"L679" "L679   Anormalidad no especificada del tallo y del color del pelo"
"L68" "L68   Hipertricosis"
"L680" "L680   Hirsutismo"
"L681" "L681   Hipertricosis lanuginosa adquirida"
"L682" "L682   Hipertricosis localizada"
"L683" "L683   Politriquia"
"L688" "L688   Otras hipertricosis"
"L689" "L689   Hipertricosis, no especificada"
"L70" "L70   Acn"
"L700" "L700   Acn vulgar"
"L701" "L701   Acn conglobado"
"L702" "L702   Acn varioliforme"
"L703" "L703   Acn tropical"
"L704" "L704   Acn infantil"
"L705" "L705   Acn excoriado de la mujer joven"
"L708" "L708   Otros acns"
"L709" "L709   Acn, no especificado"
"L71" "L71   Rossea"
"L710" "L710   Dermatitis peribucal"
"L711" "L711   Rinofima"
"L718" "L718   Otras rosceas"
"L719" "L719   Roscea, no especificada"
"L72" "L72   Quiste folicular de la piel y del tejido subcutneo"
"L720" "L720   Quiste epidrmico"
"L721" "L721   Quiste tricodrmico"
"L722" "L722   Esteatocistoma mltiple"
"L728" "L728   Otros quistes foliculares de la piel y del tejido subcutneo"
"L729" "L729   Quiste folicular de la piel y del tejido subcutneo, sin otra especificacin"
"L73" "L73   Otros trastornos foliculares"
"L730" "L730   Acn queloide"
"L731" "L731   Seudofoliculitis de la barba"
"L732" "L732   Hidradenitis supurativa"
"L738" "L738   Otros trastornos foliculares especificados"
"L739" "L739   Trastorno folicular, no especificado"
"L74" "L74   Trastornos sudorparos ecrinos"
"L740" "L740   Miliaria rubra"
"L741" "L741   Miliaria cristalina"
"L742" "L742   Miliaria profunda"
"L743" "L743   Miliaria, no especificada"
"L744" "L744   Anhidrosis"
"L748" "L748   Otros trastornos sudorparos ecrinos"
"L749" "L749   Trastorno sudorparo ecrino, no especificado"
"L75" "L75   Trastornos sudorparos apocrinos"
"L750" "L750   Bromhidrosis"
"L751" "L751   Cromhidrosis"
"L752" "L752   Miliaria apocrina"
"L758" "L758   Otros trastornos sudorparos apocrinos"
"L759" "L759   Trastorno sudorparo apocrino, no especificado"
"L80" "L80   Vitligo"
"L81" "L81   Otros trastornos de la pigmentacin"
"L810" "L810   Hiperpigmentacin postinflamatoria"
"L811" "L811   Cloasma"
"L812" "L812   Eflide"
"L813" "L813   Manchas caf con leche"
"L814" "L814   Otros tipos de hiperpigmentacin melanodrmica"
"L815" "L815   Leucoderma, no clasificada en otra parte"
"L816" "L816   Otros trastornos de disminucin de la formacin de la melanina"
"L817" "L817   Dermatosis purprica pigmentada"
"L818" "L818   Otros trastornos especificados de la pigmentacin"
"L819" "L819   Trastorno de la pigmentacin, no especificado"
"L82" "L82   Queratosis seborreica"
"L83" "L83   Acantosis nigricans"
"L84" "L84   Callos y callosidades"
"L85" "L85   Otros tipos de engrosamiento epidrmico"
"L850" "L850   Ictiosis adquirida"
"L851" "L851   Queratosis [queratodermia] palmar y plantar adquirida"
"L852" "L852   Queratosis punctata (palmar y plantar)"
"L853" "L853   Xerosis del cutis"
"L858" "L858   Otros engrosamientos epidrmicos especificados"
"L859" "L859   Engrosamiento epidrmico, no especificado"
"L86" "L86   Queratoderma en enfermedades clasificadas en otra parte"
"L87" "L87   Trastornos de la eliminacin transepidrmica"
"L870" "L870   Queratosis folicular y parafolicular penetrante del cutis [Kyrle]"
"L871" "L871   Colagenosis perforante reactiva"
"L872" "L872   Elastosis serpiginosa perforante"
"L878" "L878   Otros trastornos de la eliminacin transepidrmica"
"L879" "L879   Trastorno de la eliminacin transepidrmica, no especificado"
"L88" "L88   Pioderma gangrenoso"
"L89" "L89   lcera de decbito y por rea de presin"
"L890" "L890   lcera de decbito y por rea de presin, etapa I"
"L891" "L891   lcera de decbito, etapa II"
"L892" "L892   lcera de decbito, etapa III"
"L893" "L893   lcera de decbito, etapa IV"
"L899" "L899   lcera de decbito y por rea de presin, no especificada"
"L90" "L90   Trastornos atrficos de la piel"
"L900" "L900   Liquen escleroso y atrfico"
"L901" "L901   Anetodermia de Schweninger-Buzzi"
"L902" "L902   Anetodermia de Jadassohn-Pellizzari"
"L903" "L903   Atrofoderma de Pasini y Prerini"
"L904" "L904   Acrodermatitis crnica atrfica"
"L905" "L905   Fibrosis y afecciones cicatriciales de la piel"
"L906" "L906   Estras atrficas"
"L908" "L908   Otros trastornos atrficos de la piel"
"L909" "L909   Trastorno atrfico de la piel, no especificado"
"L91" "L91   Trastornos hipertrficos de la piel"
"L910" "L910   Cicatriz hipertrfica"
"L918" "L918   Otros trastornos hipertrficos de la piel"
"L919" "L919   Trastorno hipertrfico de la piel, no especificado"
"L92" "L92   Trastornos granulomatosos de la piel y del tejido subcutneo"
"L920" "L920   Granuloma anular"
"L921" "L921   Necrobiosis lipdica, no clasificada en otra parte"
"L922" "L922   Granuloma facial (granuloma eosinfilo de la piel)"
"L923" "L923   Granuloma por cuerpo extrao en la piel y en el tejido subcutneo"
"L928" "L928   Otros trastornos granulomatosos de la piel y del tejido subcutneo"
"L929" "L929   Trastorno granulomatoso de la piel y del tejido subcutneo, no especificado"
"L93" "L93   Lupus eritematoso"
"L930" "L930   Lupus eritematoso discoide"
"L931" "L931   Lupus eritematoso cutneo subagudo"
"L932" "L932   Otros lupus eritematosos localizados"
"L94" "L94   Otros trastornos localizados del tejido conjuntivo"
"L940" "L940   Escleroderma localizado [morfea]"
"L941" "L941   Escleroderma lineal"
"L942" "L942   Calcinosis de la piel"
"L943" "L943   Esclerodactilia"
"L944" "L944   Ppulas de Gottron"
"L945" "L945   Poiquilodermia vascular atrfica"
"L946" "L946   Ainhum"
"L948" "L948   Otros trastornos localizados especificados del tejido conjuntivo"
"L949" "L949   Trastorno localizado del tejido conjuntivo, no especificado"
"L95" "L95   Vasculitis limitada a la piel, no clasificada en otra parte"
"L950" "L950   Vasculitis livedoide"
"L951" "L951   Eritema elevatum diutinum"
"L958" "L958   Otras vasculitis limitadas a la piel"
"L959" "L959   Vasculitis limitada a la piel, sin otra especificacin"
"L97" "L97   lcera de miembro inferior, no clasificada en otra parte"
"L98" "L98   Otros trastornos de la piel y del tejido subcutneo no clasificados en otra parte"
"L980" "L980   Granuloma pigeno"
"L981" "L981   Dermatitis facticia"
"L982" "L982   Dermatosis neutrfila febril [Sweet]"
"L983" "L983   Celulitis eosinfilia [Wells]"
"L984" "L984   lcera crnica de la piel, no clasificada en otra parte"
"L985" "L985   Mucinosis de la piel"
"L986" "L986   Otros trastornos infiltrativos de la piel y del tejido subcutneo"
"L987" "L987   Piel y del tejido subcutneo excesivo y redundante"
"L988" "L988   Otros trastornos especificados de la piel y del tejido subcutneo"
"L989" "L989   Trastorno de la piel y del tejido subcutneo, no especificado"
"L99" "L99   Otros trastornos de la piel y del tejido subcutneo en enfermedades clasificadas en otra parte"
"L990" "L990   Amiloidosis de la piel"
"L998" "L998   Otros trastornos de la piel y del tejido subcutneo en enfermedades clasificadas en otra parte"
"M00" "M00   Artritis pigena"
"M000" "M000   Artritis y poliartritis estafiloccica"
"M0000" "M0000   Artritis y poliartritis estafiloccica, sitios mltiples"
"M0001" "M0001   Artritis y poliartritis estafiloccica, regin del hombro"
"M0002" "M0002   Artritis y poliartritis estafiloccica, brazo"
"M0003" "M0003   Artritis y poliartritis estafiloccica, antebrazo"
"M0004" "M0004   Artritis y poliartritis estafiloccica, mano"
"M0005" "M0005   Artritis y poliartritis estafiloccica, regin pelviana y muslo"
"M0006" "M0006   Artritis y poliartritis estafiloccica, pierna"
"M0007" "M0007   Artritis y poliartritis estafiloccica, tobillo y pie"
"M0008" "M0008   Artritis y poliartritis estafiloccica, otros"
"M0009" "M0009   Artritis y poliartritis estafiloccica, sitio no especificado"
"M001" "M001   Artritis y poliartritis neumoccica"
"M0010" "M0010   Artritis y poliartritis neumoccica, sitios mltiples"
"M0011" "M0011   Artritis y poliartritis neumoccica, regin del hombro"
"M0012" "M0012   Artritis y poliartritis neumoccica, brazo"
"M0013" "M0013   Artritis y poliartritis neumoccica, antebrazo"
"M0014" "M0014   Artritis y poliartritis neumoccica, mano"
"M0015" "M0015   Artritis y poliartritis neumoccica, regin pelviana y muslo"
"M0016" "M0016   Artritis y poliartritis neumoccica, pierna"
"M0017" "M0017   Artritis y poliartritis neumoccica, tobillo y pie"
"M0018" "M0018   Artritis y poliartritis neumoccica, otros"
"M0019" "M0019   Artritis y poliartritis neumoccica, sitio no especificado"
"M002" "M002   Otras artritis y poliartritis estreptoccicas"
"M0020" "M0020   Otras artritis y poliartritis estreptoccicas, sitios mltiples"
"M0021" "M0021   Otras artritis y poliartritis estreptoccicas, regin del hombro"
"M0022" "M0022   Otras artritis y poliartritis estreptoccicas, brazo"
"M0023" "M0023   Otras artritis y poliartritis estreptoccicas, antebrazo"
"M0024" "M0024   Otras artritis y poliartritis estreptoccicas, mano"
"M0025" "M0025   Otras artritis y poliartritis estreptoccicas, regin pelviana y muslo"
"M0026" "M0026   Otras artritis y poliartritis estreptoccicas, pierna"
"M0027" "M0027   Otras artritis y poliartritis estreptoccicas, tobillo y pie"
"M0028" "M0028   Otras artritis y poliartritis estreptoccicas, otros"
"M0029" "M0029   Otras artritis y poliartritis estreptoccicas, sitio no especificado"
"M008" "M008   Artritis y poliartritis debidas a otros agentes bacterianos especificados"
"M0080" "M0080   Artritis y poliartritis debidas a otros agentes bacterianos especificados, sitios mltiples"
"M0081" "M0081   Artritis y poliartritis debidas a otros agentes bacterianos especificados, regin del hombro"
"M0082" "M0082   Artritis y poliartritis debidas a otros agentes bacterianos especificados, brazo"
"M0083" "M0083   Artritis y poliartritis debidas a otros agentes bacterianos especificados, antebrazo"
"M0084" "M0084   Artritis y poliartritis debidas a otros agentes bacterianos especificados, mano"
"M0085" "M0085   Artritis y poliartritis debidas a otros agentes bacterianos especificados, regin pelviana y muslo"
"M0086" "M0086   Artritis y poliartritis debidas a otros agentes bacterianos especificados, pierna"
"M0087" "M0087   Artritis y poliartritis debidas a otros agentes bacterianos especificados, tobillo y pie"
"M0088" "M0088   Artritis y poliartritis debidas a otros agentes bacterianos especificados, otros"
"M0089" "M0089   Artritis y poliartritis debidas a otros agentes bacterianos especificados, sitio no especificado"
"M009" "M009   Artritis pigena, no especificada"
"M0090" "M0090   Artritis pigena, no especificada, sitios mltiples"
"M0091" "M0091   Artritis pigena, no especificada, regin del hombro"
"M0092" "M0092   Artritis pigena, no especificada, brazo"
"M0093" "M0093   Artritis pigena, no especificada, antebrazo"
"M0094" "M0094   Artritis pigena, no especificada, mano"
"M0095" "M0095   Artritis pigena, no especificada, regin pelviana y muslo"
"M0096" "M0096   Artritis pigena, no especificada, pierna"
"M0097" "M0097   Artritis pigena, no especificada, tobillo y pie"
"M0098" "M0098   Artritis pigena, no especificada, otros"
"M0099" "M0099   Artritis pigena, no especificada, sitio no especificado"
"M01" "M01   Infecciones directas de la articulacin en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"M010" "M010   Artritis meningoccica"
"M0100" "M0100   Artritis meningoccica, sitios mltiples"
"M0101" "M0101   Artritis meningoccica, regin del hombro"
"M0102" "M0102   Artritis meningoccica, brazo"
"M0103" "M0103   Artritis meningoccica, antebrazo"
"M0104" "M0104   Artritis meningoccica, mano"
"M0105" "M0105   Artritis meningoccica, regin pelviana y muslo"
"M0106" "M0106   Artritis meningoccica, pierna"
"M0107" "M0107   Artritis meningoccica, tobillo y pie"
"M0108" "M0108   Artritis meningoccica, otros"
"M0109" "M0109   Artritis meningoccica, sitio no especificado"
"M011" "M011   Artritis tuberculosa"
"M0110" "M0110   Artritis tuberculosa, sitios mltiples"
"M0111" "M0111   Artritis tuberculosa, regin del hombro"
"M0112" "M0112   Artritis tuberculosa, brazo"
"M0113" "M0113   Artritis tuberculosa, antebrazo"
"M0114" "M0114   Artritis tuberculosa, mano"
"M0115" "M0115   Artritis tuberculosa, regin pelviana y muslo"
"M0116" "M0116   Artritis tuberculosa, pierna"
"M0117" "M0117   Artritis tuberculosa, tobillo y pie"
"M0118" "M0118   Artritis tuberculosa, otros"
"M0119" "M0119   Artritis tuberculosa, sitio no especificado"
"M012" "M012   Artritis en la enfermedad de Lyme"
"M0120" "M0120   Artritis en la enfermedad de Lyme, sitios mltiples"
"M0121" "M0121   Artritis en la enfermedad de Lyme, regin del hombro"
"M0122" "M0122   Artritis en la enfermedad de Lyme, brazo"
"M0123" "M0123   Artritis en la enfermedad de Lyme, antebrazo"
"M0124" "M0124   Artritis en la enfermedad de Lyme, mano"
"M0125" "M0125   Artritis en la enfermedad de Lyme, regin pelviana y muslo"
"M0126" "M0126   Artritis en la enfermedad de Lyme, pierna"
"M0127" "M0127   Artritis en la enfermedad de Lyme, tobillo y pie"
"M0128" "M0128   Artritis en la enfermedad de Lyme, otros"
"M0129" "M0129   Artritis en la enfermedad de Lyme, sitio no especificado"
"M013" "M013   Artritis en otras enfermedades bacterianas clasificadas en otra parte"
"M0130" "M0130   Artritis en otras enfermedades bacterianas clasificadas en otra parte, sitios mltiples"
"M0131" "M0131   Artritis en otras enfermedades bacterianas clasificadas en otra parte, regin del hombro"
"M0132" "M0132   Artritis en otras enfermedades bacterianas clasificadas en otra parte, brazo"
"M0133" "M0133   Artritis en otras enfermedades bacterianas clasificadas en otra parte, antebrazo"
"M0134" "M0134   Artritis en otras enfermedades bacterianas clasificadas en otra parte, mano"
"M0135" "M0135   Artritis en otras enfermedades bacterianas clasificadas en otra parte, regin pelviana y muslo"
"M0136" "M0136   Artritis en otras enfermedades bacterianas clasificadas en otra parte, pierna"
"M0137" "M0137   Artritis en otras enfermedades bacterianas clasificadas en otra parte, tobillo y pie"
"M0138" "M0138   Artritis en otras enfermedades bacterianas clasificadas en otra parte, otros"
"M0139" "M0139   Artritis en otras enfermedades bacterianas clasificadas en otra parte, sitio no especificado"
"M014" "M014   Artritis en rubola"
"M0140" "M0140   Artritis en rubola, sitios mltiples"
"M0141" "M0141   Artritis en rubola, regin del hombro"
"M0142" "M0142   Artritis en rubola, brazo"
"M0143" "M0143   Artritis en rubola, antebrazo"
"M0144" "M0144   Artritis en rubola, mano"
"M0145" "M0145   Artritis en rubola, regin pelviana y muslo"
"M0146" "M0146   Artritis en rubola, pierna"
"M0147" "M0147   Artritis en rubola, tobillo y pie"
"M0148" "M0148   Artritis en rubola, otros"
"M0149" "M0149   Artritis en rubola, sitio no especificado"
"M015" "M015   Artritis en otras enfermedades virales clasificadas en otra parte"
"M0150" "M0150   Artritis en otras enfermedades virales clasificadas en otra parte, sitios mltiples"
"M0151" "M0151   Artritis en otras enfermedades virales clasificadas en otra parte, regin del hombro"
"M0152" "M0152   Artritis en otras enfermedades virales clasificadas en otra parte, brazo"
"M0153" "M0153   Artritis en otras enfermedades virales clasificadas en otra parte, antebrazo"
"M0154" "M0154   Artritis en otras enfermedades virales clasificadas en otra parte, mano"
"M0155" "M0155   Artritis en otras enfermedades virales clasificadas en otra parte, regin pelviana y muslo"
"M0156" "M0156   Artritis en otras enfermedades virales clasificadas en otra parte, pierna"
"M0157" "M0157   Artritis en otras enfermedades virales clasificadas en otra parte, tobillo y pie"
"M0158" "M0158   Artritis en otras enfermedades virales clasificadas en otra parte, otros"
"M0159" "M0159   Artritis en otras enfermedades virales clasificadas en otra parte, sitio no especificado"
"M016" "M016   Artritis en micosis"
"M0160" "M0160   Artritis en micosis, sitios mltiples"
"M0161" "M0161   Artritis en micosis, regin del hombro"
"M0162" "M0162   Artritis en micosis, brazo"
"M0163" "M0163   Artritis en micosis, antebrazo"
"M0164" "M0164   Artritis en micosis, mano"
"M0165" "M0165   Artritis en micosis, regin pelviana y muslo"
"M0166" "M0166   Artritis en micosis, pierna"
"M0167" "M0167   Artritis en micosis, tobillo y pie"
"M0168" "M0168   Artritis en micosis, otros"
"M0169" "M0169   Artritis en micosis, sitio no especificado"
"M018" "M018   Artritis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte"
"M0180" "M0180   Artritis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, sitios mltiples"
"M0181" "M0181   Artritis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, regin del hombro"
"M0182" "M0182   Artritis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, brazo"
"M0183" "M0183   Artritis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, antebrazo"
"M0184" "M0184   Artritis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, mano"
"M0185" "M0185   Artritis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, regin pelviana y muslo"
"M0186" "M0186   Artritis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, pierna"
"M0187" "M0187   Artritis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, tobillo y pie"
"M0188" "M0188   Artritis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, otros"
"M0189" "M0189   Artritis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, sitio no especificado"
"M02" "M02   Artropatas reactivas"
"M020" "M020   Artropata consecutiva a derivacin intestinal"
"M0200" "M0200   Artropata consecutiva a derivacin intestinal, sitios mltiples"
"M0201" "M0201   Artropata consecutiva a derivacin intestinal, regin del hombro"
"M0202" "M0202   Artropata consecutiva a derivacin intestinal, brazo"
"M0203" "M0203   Artropata consecutiva a derivacin intestinal, antebrazo"
"M0204" "M0204   Artropata consecutiva a derivacin intestinal, mano"
"M0205" "M0205   Artropata consecutiva a derivacin intestinal, regin pelviana y muslo"
"M0206" "M0206   Artropata consecutiva a derivacin intestinal, pierna"
"M0207" "M0207   Artropata consecutiva a derivacin intestinal, tobillo y pie"
"M0208" "M0208   Artropata consecutiva a derivacin intestinal, otros"
"M0209" "M0209   Artropata consecutiva a derivacin intestinal, sitio no especificado"
"M021" "M021   Artropata postdisentrica"
"M0210" "M0210   Artropata postdisentrica, sitios mltiples"
"M0211" "M0211   Artropata postdisentrica, regin del hombro"
"M0212" "M0212   Artropata postdisentrica, brazo"
"M0213" "M0213   Artropata postdisentrica, antebrazo"
"M0214" "M0214   Artropata postdisentrica, mano"
"M0215" "M0215   Artropata postdisentrica, regin pelviana y muslo"
"M0216" "M0216   Artropata postdisentrica, pierna"
"M0217" "M0217   Artropata postdisentrica, tobillo y pie"
"M0218" "M0218   Artropata postdisentrica, otros"
"M0219" "M0219   Artropata postdisentrica, sitio no especificado"
"M022" "M022   Artropata postinmunizacin"
"M0220" "M0220   Artropata postinmunizacin, sitios mltiples"
"M0221" "M0221   Artropata postinmunizacin, regin del hombro"
"M0222" "M0222   Artropata postinmunizacin, brazo"
"M0223" "M0223   Artropata postinmunizacin, antebrazo"
"M0224" "M0224   Artropata postinmunizacin, mano"
"M0225" "M0225   Artropata postinmunizacin, regin pelviana y muslo"
"M0226" "M0226   Artropata postinmunizacin, pierna"
"M0227" "M0227   Artropata postinmunizacin, tobillo y pie"
"M0228" "M0228   Artropata postinmunizacin, otros"
"M0229" "M0229   Artropata postinmunizacin, sitio no especificado"
"M023" "M023   Enfermedad de Reiter"
"M0230" "M0230   Enfermedad de Reiter, sitios mltiples"
"M0231" "M0231   Enfermedad de Reiter, regin del hombro"
"M0232" "M0232   Enfermedad de Reiter, brazo"
"M0233" "M0233   Enfermedad de Reiter, antebrazo"
"M0234" "M0234   Enfermedad de Reiter, mano"
"M0235" "M0235   Enfermedad de Reiter, regin pelviana y muslo"
"M0236" "M0236   Enfermedad de Reiter, pierna"
"M0237" "M0237   Enfermedad de Reiter, tobillo y pie"
"M0238" "M0238   Enfermedad de Reiter, otros"
"M0239" "M0239   Enfermedad de Reiter, sitio no especificado"
"M028" "M028   Otras artropatas reactivas"
"M0280" "M0280   Otras artropatas reactivas, sitios mltiples"
"M0281" "M0281   Otras artropatas reactivas, regin del hombro"
"M0282" "M0282   Otras artropatas reactivas, brazo"
"M0283" "M0283   Otras artropatas reactivas, antebrazo"
"M0284" "M0284   Otras artropatas reactivas, mano"
"M0285" "M0285   Otras artropatas reactivas, regin pelviana y muslo"
"M0286" "M0286   Otras artropatas reactivas, pierna"
"M0287" "M0287   Otras artropatas reactivas, tobillo y pie"
"M0288" "M0288   Otras artropatas reactivas, otros"
"M0289" "M0289   Otras artropatas reactivas, sitio no especificado"
"M029" "M029   Artropata reactiva, no especificada"
"M0290" "M0290   Artropata reactiva, no especificada, sitios mltiples"
"M0291" "M0291   Artropata reactiva, no especificada, regin del hombro"
"M0292" "M0292   Artropata reactiva, no especificada, brazo"
"M0293" "M0293   Artropata reactiva, no especificada, antebrazo"
"M0294" "M0294   Artropata reactiva, no especificada, mano"
"M0295" "M0295   Artropata reactiva, no especificada, regin pelviana y muslo"
"M0296" "M0296   Artropata reactiva, no especificada, pierna"
"M0297" "M0297   Artropata reactiva, no especificada, tobillo y pie"
"M0298" "M0298   Artropata reactiva, no especificada, otros"
"M0299" "M0299   Artropata reactiva, no especificada, sitio no especificado"
"M03" "M03   Artropatas postinfecciosas y reactivas en enfermedades clasificadas en otra parte"
"M030" "M030   Artritis postmeningoccica"
"M0300" "M0300   Artritis postmeningoccica, sitios mltiples"
"M0301" "M0301   Artritis postmeningoccica, regin del hombro"
"M0302" "M0302   Artritis postmeningoccica, brazo"
"M0303" "M0303   Artritis postmeningoccica, antebrazo"
"M0304" "M0304   Artritis postmeningoccica, mano"
"M0305" "M0305   Artritis postmeningoccica, regin pelviana y muslo"
"M0306" "M0306   Artritis postmeningoccica, pierna"
"M0307" "M0307   Artritis postmeningoccica, tobillo y pie"
"M0308" "M0308   Artritis postmeningoccica, otros"
"M0309" "M0309   Artritis postmeningoccica, sitio no especificado"
"M031" "M031   Artropata postinfecciosa en sfilis"
"M0310" "M0310   Artropata postinfecciosa en sfilis, sitios mltiples"
"M0311" "M0311   Artropata postinfecciosa en sfilis, regin del hombro"
"M0312" "M0312   Artropata postinfecciosa en sfilis, brazo"
"M0313" "M0313   Artropata postinfecciosa en sfilis, antebrazo"
"M0314" "M0314   Artropata postinfecciosa en sfilis, mano"
"M0315" "M0315   Artropata postinfecciosa en sfilis, regin pelviana y muslo"
"M0316" "M0316   Artropata postinfecciosa en sfilis, pierna"
"M0317" "M0317   Artropata postinfecciosa en sfilis, tobillo y pie"
"M0318" "M0318   Artropata postinfecciosa en sfilis, otros"
"M0319" "M0319   Artropata postinfecciosa en sfilis, sitio no especificado"
"M032" "M032   Otras artropatas postinfecciosas en enfermedades clasificadas en otra parte"
"M0320" "M0320   Otras artropatas postinfecciosas en enfermedades clasificadas en otra parte, sitios mltiples"
"M0321" "M0321   Otras artropatas postinfecciosas en enfermedades clasificadas en otra parte, regin del hombro"
"M0322" "M0322   Otras artropatas postinfecciosas en enfermedades clasificadas en otra parte, brazo"
"M0323" "M0323   Otras artropatas postinfecciosas en enfermedades clasificadas en otra parte, antebrazo"
"M0324" "M0324   Otras artropatas postinfecciosas en enfermedades clasificadas en otra parte, mano"
"M0325" "M0325   Otras artropatas postinfecciosas en enfermedades clasificadas en otra parte, regin pelviana y muslo"
"M0326" "M0326   Otras artropatas postinfecciosas en enfermedades clasificadas en otra parte, pierna"
"M0327" "M0327   Otras artropatas postinfecciosas en enfermedades clasificadas en otra parte, tobillo y pie"
"M0328" "M0328   Otras artropatas postinfecciosas en enfermedades clasificadas en otra parte, otros"
"M0329" "M0329   Otras artropatas postinfecciosas en enfermedades clasificadas en otra parte, sitio no especificado"
"M036" "M036   Artropata reactiva en otras enfermedades clasificadas en otra parte"
"M0360" "M0360   Artropata reactiva en otras enfermedades clasificadas en otra parte, sitios mltiples"
"M0361" "M0361   Artropata reactiva en otras enfermedades clasificadas en otra parte, regin del hombro"
"M0362" "M0362   Artropata reactiva en otras enfermedades clasificadas en otra parte, brazo"
"M0363" "M0363   Artropata reactiva en otras enfermedades clasificadas en otra parte, antebrazo"
"M0364" "M0364   Artropata reactiva en otras enfermedades clasificadas en otra parte, mano"
"M0365" "M0365   Artropata reactiva en otras enfermedades clasificadas en otra parte, regin pelviana y muslo"
"M0366" "M0366   Artropata reactiva en otras enfermedades clasificadas en otra parte, pierna"
"M0367" "M0367   Artropata reactiva en otras enfermedades clasificadas en otra parte, tobillo y pie"
"M0368" "M0368   Artropata reactiva en otras enfermedades clasificadas en otra parte, otros"
"M0369" "M0369   Artropata reactiva en otras enfermedades clasificadas en otra parte, sitio no especificado"
"M05" "M05   Artritis reumatoide seropositiva"
"M050" "M050   Sndrome de Felty"
"M0500" "M0500   Sndrome de Felty, sitios mltiples"
"M0501" "M0501   Sndrome de Felty, regin del hombro"
"M0502" "M0502   Sndrome de Felty, brazo"
"M0503" "M0503   Sndrome de Felty, antebrazo"
"M0504" "M0504   Sndrome de Felty, mano"
"M0505" "M0505   Sndrome de Felty, regin pelviana y muslo"
"M0506" "M0506   Sndrome de Felty, pierna"
"M0507" "M0507   Sndrome de Felty, tobillo y pie"
"M0508" "M0508   Sndrome de Felty, otros"
"M0509" "M0509   Sndrome de Felty, sitio no especificado"
"M051" "M051   Enfermedad reumatoide del pulmn"
"M0510" "M0510   Enfermedad reumatoide del pulmn, sitios mltiples"
"M0511" "M0511   Enfermedad reumatoide del pulmn, regin del hombro"
"M0512" "M0512   Enfermedad reumatoide del pulmn, brazo"
"M0513" "M0513   Enfermedad reumatoide del pulmn, antebrazo"
"M0514" "M0514   Enfermedad reumatoide del pulmn, mano"
"M0515" "M0515   Enfermedad reumatoide del pulmn, regin pelviana y muslo"
"M0516" "M0516   Enfermedad reumatoide del pulmn, pierna"
"M0517" "M0517   Enfermedad reumatoide del pulmn, tobillo y pie"
"M0518" "M0518   Enfermedad reumatoide del pulmn, otros"
"M0519" "M0519   Enfermedad reumatoide del pulmn, sitio no especificado"
"M052" "M052   Vasculitis reumatoide"
"M0520" "M0520   Vasculitis reumatoide, sitios mltiples"
"M0521" "M0521   Vasculitis reumatoide, regin del hombro"
"M0522" "M0522   Vasculitis reumatoide, brazo"
"M0523" "M0523   Vasculitis reumatoide, antebrazo"
"M0524" "M0524   Vasculitis reumatoide, mano"
"M0525" "M0525   Vasculitis reumatoide, regin pelviana y muslo"
"M0526" "M0526   Vasculitis reumatoide, pierna"
"M0527" "M0527   Vasculitis reumatoide, tobillo y pie"
"M0528" "M0528   Vasculitis reumatoide, otros"
"M0529" "M0529   Vasculitis reumatoide, sitio no especificado"
"M053" "M053   Artritis reumatoide con compromiso de otros rganos o sistemas"
"M0530" "M0530   Artritis reumatoide con compromiso de otros rganos o sistemas, sitios mltiples"
"M0531" "M0531   Artritis reumatoide con compromiso de otros rganos o sistemas, regin del hombro"
"M0532" "M0532   Artritis reumatoide con compromiso de otros rganos o sistemas, brazo"
"M0533" "M0533   Artritis reumatoide con compromiso de otros rganos o sistemas, antebrazo"
"M0534" "M0534   Artritis reumatoide con compromiso de otros rganos o sistemas, mano"
"M0535" "M0535   Artritis reumatoide con compromiso de otros rganos o sistemas, regin pelviana y muslo"
"M0536" "M0536   Artritis reumatoide con compromiso de otros rganos o sistemas, pierna"
"M0537" "M0537   Artritis reumatoide con compromiso de otros rganos o sistemas, tobillo y pie"
"M0538" "M0538   Artritis reumatoide con compromiso de otros rganos o sistemas, otros"
"M0539" "M0539   Artritis reumatoide con compromiso de otros rganos o sistemas, sitio no especificado"
"M058" "M058   Otras artritis reumatoideas seropositivas"
"M0580" "M0580   Otras artritis reumatoideas seropositivas, sitios mltiples"
"M0581" "M0581   Otras artritis reumatoideas seropositivas, regin del hombro"
"M0582" "M0582   Otras artritis reumatoideas seropositivas, brazo"
"M0583" "M0583   Otras artritis reumatoideas seropositivas, antebrazo"
"M0584" "M0584   Otras artritis reumatoideas seropositivas, mano"
"M0585" "M0585   Otras artritis reumatoideas seropositivas, regin pelviana y muslo"
"M0586" "M0586   Otras artritis reumatoideas seropositivas, pierna"
"M0587" "M0587   Otras artritis reumatoideas seropositivas, tobillo y pie"
"M0588" "M0588   Otras artritis reumatoideas seropositivas, otros"
"M0589" "M0589   Otras artritis reumatoideas seropositivas, sitio no especificado"
"M059" "M059   Artritis reumatoidea seropositiva, sin otra especificacin"
"M0590" "M0590   Artritis reumatoidea seropositiva, sin otra especificacin, sitios mltiples"
"M0591" "M0591   Artritis reumatoidea seropositiva, sin otra especificacin, regin del hombro"
"M0592" "M0592   Artritis reumatoidea seropositiva, sin otra especificacin, brazo"
"M0593" "M0593   Artritis reumatoidea seropositiva, sin otra especificacin, antebrazo"
"M0594" "M0594   Artritis reumatoidea seropositiva, sin otra especificacin, mano"
"M0595" "M0595   Artritis reumatoidea seropositiva, sin otra especificacin, regin pelviana y muslo"
"M0596" "M0596   Artritis reumatoidea seropositiva, sin otra especificacin, pierna"
"M0597" "M0597   Artritis reumatoidea seropositiva, sin otra especificacin, tobillo y pie"
"M0598" "M0598   Artritis reumatoidea seropositiva, sin otra especificacin, otros"
"M0599" "M0599   Artritis reumatoidea seropositiva, sin otra especificacin, sitio no especificado"
"M06" "M06   Otras artritis reumatoides"
"M060" "M060   Artritis reumatoide seronegativa"
"M0600" "M0600   Artritis reumatoide seronegativa, sitios mltiples"
"M0601" "M0601   Artritis reumatoide seronegativa, regin del hombro"
"M0602" "M0602   Artritis reumatoide seronegativa, brazo"
"M0603" "M0603   Artritis reumatoide seronegativa, antebrazo"
"M0604" "M0604   Artritis reumatoide seronegativa, mano"
"M0605" "M0605   Artritis reumatoide seronegativa, regin pelviana y muslo"
"M0606" "M0606   Artritis reumatoide seronegativa, pierna"
"M0607" "M0607   Artritis reumatoide seronegativa, tobillo y pie"
"M0608" "M0608   Artritis reumatoide seronegativa, otros"
"M0609" "M0609   Artritis reumatoide seronegativa, sitio no especificado"
"M061" "M061   Enfermedad de Still de comienzo en el adulto"
"M0610" "M0610   Enfermedad de Still de comienzo en el adulto, sitios mltiples"
"M0611" "M0611   Enfermedad de Still de comienzo en el adulto, regin del hombro"
"M0612" "M0612   Enfermedad de Still de comienzo en el adulto, brazo"
"M0613" "M0613   Enfermedad de Still de comienzo en el adulto, antebrazo"
"M0614" "M0614   Enfermedad de Still de comienzo en el adulto, mano"
"M0615" "M0615   Enfermedad de Still de comienzo en el adulto, regin pelviana y muslo"
"M0616" "M0616   Enfermedad de Still de comienzo en el adulto, pierna"
"M0617" "M0617   Enfermedad de Still de comienzo en el adulto, tobillo y pie"
"M0618" "M0618   Enfermedad de Still de comienzo en el adulto, otros"
"M0619" "M0619   Enfermedad de Still de comienzo en el adulto, sitio no especificado"
"M062" "M062   Bursitis reumatoide"
"M0620" "M0620   Bursitis reumatoide, sitios mltiples"
"M0621" "M0621   Bursitis reumatoide, regin del hombro"
"M0622" "M0622   Bursitis reumatoide, brazo"
"M0623" "M0623   Bursitis reumatoide, antebrazo"
"M0624" "M0624   Bursitis reumatoide, mano"
"M0625" "M0625   Bursitis reumatoide, regin pelviana y muslo"
"M0626" "M0626   Bursitis reumatoide, pierna"
"M0627" "M0627   Bursitis reumatoide, tobillo y pie"
"M0628" "M0628   Bursitis reumatoide, otros"
"M0629" "M0629   Bursitis reumatoide, sitio no especificado"
"M063" "M063   Ndulo reumatoide"
"M0630" "M0630   Ndulo reumatoide, sitios mltiples"
"M0631" "M0631   Ndulo reumatoide, regin del hombro"
"M0632" "M0632   Ndulo reumatoide, brazo"
"M0633" "M0633   Ndulo reumatoide, antebrazo"
"M0634" "M0634   Ndulo reumatoide, mano"
"M0635" "M0635   Ndulo reumatoide, regin pelviana y muslo"
"M0636" "M0636   Ndulo reumatoide, pierna"
"M0637" "M0637   Ndulo reumatoide, tobillo y pie"
"M0638" "M0638   Ndulo reumatoide, otros"
"M0639" "M0639   Ndulo reumatoide, sitio no especificado"
"M064" "M064   Poliartropata inflamatoria"
"M0640" "M0640   Poliartropata inflamatoria, sitios mltiples"
"M0641" "M0641   Poliartropata inflamatoria, regin del hombro"
"M0642" "M0642   Poliartropata inflamatoria, brazo"
"M0643" "M0643   Poliartropata inflamatoria, antebrazo"
"M0644" "M0644   Poliartropata inflamatoria, mano"
"M0645" "M0645   Poliartropata inflamatoria, regin pelviana y muslo"
"M0646" "M0646   Poliartropata inflamatoria, pierna"
"M0647" "M0647   Poliartropata inflamatoria, tobillo y pie"
"M0648" "M0648   Poliartropata inflamatoria, otros"
"M0649" "M0649   Poliartropata inflamatoria, sitio no especificado"
"M068" "M068   Otras artritis reumatoides especificadas"
"M0680" "M0680   Otras artritis reumatoides especificadas, sitios mltiples"
"M0681" "M0681   Otras artritis reumatoides especificadas, regin del hombro"
"M0682" "M0682   Otras artritis reumatoides especificadas, brazo"
"M0683" "M0683   Otras artritis reumatoides especificadas, antebrazo"
"M0684" "M0684   Otras artritis reumatoides especificadas, mano"
"M0685" "M0685   Otras artritis reumatoides especificadas, regin pelviana y muslo"
"M0686" "M0686   Otras artritis reumatoides especificadas, pierna"
"M0687" "M0687   Otras artritis reumatoides especificadas, tobillo y pie"
"M0688" "M0688   Otras artritis reumatoides especificadas, otros"
"M0689" "M0689   Otras artritis reumatoides especificadas, sitio no especificado"
"M069" "M069   Artritis reumatoide, no especificada"
"M0690" "M0690   Artritis reumatoide, no especificada, sitios mltiples"
"M0691" "M0691   Artritis reumatoide, no especificada, regin del hombro"
"M0692" "M0692   Artritis reumatoide, no especificada, brazo"
"M0693" "M0693   Artritis reumatoide, no especificada, antebrazo"
"M0694" "M0694   Artritis reumatoide, no especificada, mano"
"M0695" "M0695   Artritis reumatoide, no especificada, regin pelviana y muslo"
"M0696" "M0696   Artritis reumatoide, no especificada, pierna"
"M0697" "M0697   Artritis reumatoide, no especificada, tobillo y pie"
"M0698" "M0698   Artritis reumatoide, no especificada, otros"
"M0699" "M0699   Artritis reumatoide, no especificada, sitio no especificado"
"M07" "M07   Artropatas psorisicas y enteropticas"
"M070" "M070   Artropata psorisica interfalngica distal"
"M0700" "M0700   Artropata psorisica interfalngica distal, sitios mltiples"
"M0701" "M0701   Artropata psorisica interfalngica distal, regin del hombro"
"M0702" "M0702   Artropata psorisica interfalngica distal, brazo"
"M0703" "M0703   Artropata psorisica interfalngica distal, antebrazo"
"M0704" "M0704   Artropata psorisica interfalngica distal, mano"
"M0705" "M0705   Artropata psorisica interfalngica distal, regin pelviana y muslo"
"M0706" "M0706   Artropata psorisica interfalngica distal, pierna"
"M0707" "M0707   Artropata psorisica interfalngica distal, tobillo y pie"
"M0708" "M0708   Artropata psorisica interfalngica distal, otros"
"M0709" "M0709   Artropata psorisica interfalngica distal, sitio no especificado"
"M071" "M071   Artritis mutilante"
"M0710" "M0710   Artritis mutilante, sitios mltiples"
"M0711" "M0711   Artritis mutilante, regin del hombro"
"M0712" "M0712   Artritis mutilante, brazo"
"M0713" "M0713   Artritis mutilante, antebrazo"
"M0714" "M0714   Artritis mutilante, mano"
"M0715" "M0715   Artritis mutilante, regin pelviana y muslo"
"M0716" "M0716   Artritis mutilante, pierna"
"M0717" "M0717   Artritis mutilante, tobillo y pie"
"M0718" "M0718   Artritis mutilante, otros"
"M0719" "M0719   Artritis mutilante, sitio no especificado"
"M072" "M072   Espondilitis psorisica"
"M0720" "M0720   Espondilitis psorisica, sitios mltiples"
"M0721" "M0721   Espondilitis psorisica, regin del hombro"
"M0722" "M0722   Espondilitis psorisica, brazo"
"M0723" "M0723   Espondilitis psorisica, antebrazo"
"M0724" "M0724   Espondilitis psorisica, mano"
"M0725" "M0725   Espondilitis psorisica, regin pelviana y muslo"
"M0726" "M0726   Espondilitis psorisica, pierna"
"M0727" "M0727   Espondilitis psorisica, tobillo y pie"
"M0728" "M0728   Espondilitis psorisica, otros"
"M0729" "M0729   Espondilitis psorisica, sitio no especificado"
"M073" "M073   Otras artropatas psorisicas"
"M0730" "M0730   Otras artropatas psorisicas, sitios mltiples"
"M0731" "M0731   Otras artropatas psorisicas, regin del hombro"
"M0732" "M0732   Otras artropatas psorisicas, brazo"
"M0733" "M0733   Otras artropatas psorisicas, antebrazo"
"M0734" "M0734   Otras artropatas psorisicas, mano"
"M0735" "M0735   Otras artropatas psorisicas, regin pelviana y muslo"
"M0736" "M0736   Otras artropatas psorisicas, pierna"
"M0737" "M0737   Otras artropatas psorisicas, tobillo y pie"
"M0738" "M0738   Otras artropatas psorisicas, otros"
"M0739" "M0739   Otras artropatas psorisicas, sitio no especificado"
"M074" "M074   Artropata en la enfermedad de Crohn [enteritis regional]"
"M0740" "M0740   Artropata en la enfermedad de Crohn [enteritis regional], sitios mltiples"
"M0741" "M0741   Artropata en la enfermedad de Crohn [enteritis regional], regin del hombro"
"M0742" "M0742   Artropata en la enfermedad de Crohn [enteritis regional], brazo"
"M0743" "M0743   Artropata en la enfermedad de Crohn [enteritis regional], antebrazo"
"M0744" "M0744   Artropata en la enfermedad de Crohn [enteritis regional], mano"
"M0745" "M0745   Artropata en la enfermedad de Crohn [enteritis regional], regin pelviana y muslo"
"M0746" "M0746   Artropata en la enfermedad de Crohn [enteritis regional], pierna"
"M0747" "M0747   Artropata en la enfermedad de Crohn [enteritis regional], tobillo y pie"
"M0748" "M0748   Artropata en la enfermedad de Crohn [enteritis regional], otros"
"M0749" "M0749   Artropata en la enfermedad de Crohn [enteritis regional], sitio no especificado"
"M075" "M075   Artropata en la colitis ulcerativa"
"M0750" "M0750   Artropata en la colitis ulcerativa, sitios mltiples"
"M0751" "M0751   Artropata en la colitis ulcerativa, regin del hombro"
"M0752" "M0752   Artropata en la colitis ulcerativa, brazo"
"M0753" "M0753   Artropata en la colitis ulcerativa, antebrazo"
"M0754" "M0754   Artropata en la colitis ulcerativa, mano"
"M0755" "M0755   Artropata en la colitis ulcerativa, regin pelviana y muslo"
"M0756" "M0756   Artropata en la colitis ulcerativa, pierna"
"M0757" "M0757   Artropata en la colitis ulcerativa, tobillo y pie"
"M0758" "M0758   Artropata en la colitis ulcerativa, otros"
"M0759" "M0759   Artropata en la colitis ulcerativa, sitio no especificado"
"M076" "M076   Otras artropatas enteropticas"
"M0760" "M0760   Otras artropatas enteropticas, sitios mltiples"
"M0761" "M0761   Otras artropatas enteropticas, regin del hombro"
"M0762" "M0762   Otras artropatas enteropticas, brazo"
"M0763" "M0763   Otras artropatas enteropticas, antebrazo"
"M0764" "M0764   Otras artropatas enteropticas, mano"
"M0765" "M0765   Otras artropatas enteropticas, regin pelviana y muslo"
"M0766" "M0766   Otras artropatas enteropticas, pierna"
"M0767" "M0767   Otras artropatas enteropticas, tobillo y pie"
"M0768" "M0768   Otras artropatas enteropticas, otros"
"M0769" "M0769   Otras artropatas enteropticas, sitio no especificado"
"M08" "M08   Artritis juvenil"
"M080" "M080   Artritis reumatoide juvenil"
"M0800" "M0800   Artritis reumatoide juvenil, sitios mltiples"
"M0801" "M0801   Artritis reumatoide juvenil, regin del hombro"
"M0802" "M0802   Artritis reumatoide juvenil, brazo"
"M0803" "M0803   Artritis reumatoide juvenil, antebrazo"
"M0804" "M0804   Artritis reumatoide juvenil, mano"
"M0805" "M0805   Artritis reumatoide juvenil, regin pelviana y muslo"
"M0806" "M0806   Artritis reumatoide juvenil, pierna"
"M0807" "M0807   Artritis reumatoide juvenil, tobillo y pie"
"M0808" "M0808   Artritis reumatoide juvenil, otros"
"M0809" "M0809   Artritis reumatoide juvenil, sitio no especificado"
"M081" "M081   Espondilitis anquilosante juvenil"
"M0810" "M0810   Espondilitis anquilosante juvenil, sitios mltiples"
"M0811" "M0811   Espondilitis anquilosante juvenil, regin del hombro"
"M0812" "M0812   Espondilitis anquilosante juvenil, brazo"
"M0813" "M0813   Espondilitis anquilosante juvenil, antebrazo"
"M0814" "M0814   Espondilitis anquilosante juvenil, mano"
"M0815" "M0815   Espondilitis anquilosante juvenil, regin pelviana y muslo"
"M0816" "M0816   Espondilitis anquilosante juvenil, pierna"
"M0817" "M0817   Espondilitis anquilosante juvenil, tobillo y pie"
"M0818" "M0818   Espondilitis anquilosante juvenil, otros"
"M0819" "M0819   Espondilitis anquilosante juvenil, sitio no especificado"
"M082" "M082   Artritis juvenil de comienzo generalizado"
"M0820" "M0820   Artritis juvenil de comienzo generalizado, sitios mltiples"
"M0821" "M0821   Artritis juvenil de comienzo generalizado, regin del hombro"
"M0822" "M0822   Artritis juvenil de comienzo generalizado, brazo"
"M0823" "M0823   Artritis juvenil de comienzo generalizado, antebrazo"
"M0824" "M0824   Artritis juvenil de comienzo generalizado, mano"
"M0825" "M0825   Artritis juvenil de comienzo generalizado, regin pelviana y muslo"
"M0826" "M0826   Artritis juvenil de comienzo generalizado, pierna"
"M0827" "M0827   Artritis juvenil de comienzo generalizado, tobillo y pie"
"M0828" "M0828   Artritis juvenil de comienzo generalizado, otros"
"M0829" "M0829   Artritis juvenil de comienzo generalizado, sitio no especificado"
"M083" "M083   Poliartritis juvenil (seronegativa)"
"M0830" "M0830   Poliartritis juvenil (seronegativa), sitios mltiples"
"M0831" "M0831   Poliartritis juvenil (seronegativa), regin del hombro"
"M0832" "M0832   Poliartritis juvenil (seronegativa), brazo"
"M0833" "M0833   Poliartritis juvenil (seronegativa), antebrazo"
"M0834" "M0834   Poliartritis juvenil (seronegativa), mano"
"M0835" "M0835   Poliartritis juvenil (seronegativa), regin pelviana y muslo"
"M0836" "M0836   Poliartritis juvenil (seronegativa), pierna"
"M0837" "M0837   Poliartritis juvenil (seronegativa), tobillo y pie"
"M0838" "M0838   Poliartritis juvenil (seronegativa), otros"
"M0839" "M0839   Poliartritis juvenil (seronegativa), sitio no especificado"
"M084" "M084   Artritis juvenil pauciarticular"
"M0840" "M0840   Artritis juvenil pauciarticular, sitios mltiples"
"M0841" "M0841   Artritis juvenil pauciarticular, regin del hombro"
"M0842" "M0842   Artritis juvenil pauciarticular, brazo"
"M0843" "M0843   Artritis juvenil pauciarticular, antebrazo"
"M0844" "M0844   Artritis juvenil pauciarticular, mano"
"M0845" "M0845   Artritis juvenil pauciarticular, regin pelviana y muslo"
"M0846" "M0846   Artritis juvenil pauciarticular, pierna"
"M0847" "M0847   Artritis juvenil pauciarticular, tobillo y pie"
"M0848" "M0848   Artritis juvenil pauciarticular, otros"
"M0849" "M0849   Artritis juvenil pauciarticular, sitio no especificado"
"M088" "M088   Otras artritis juveniles"
"M0880" "M0880   Otras artritis juveniles, sitios mltiples"
"M0881" "M0881   Otras artritis juveniles, regin del hombro"
"M0882" "M0882   Otras artritis juveniles, brazo"
"M0883" "M0883   Otras artritis juveniles, antebrazo"
"M0884" "M0884   Otras artritis juveniles, mano"
"M0885" "M0885   Otras artritis juveniles, regin pelviana y muslo"
"M0886" "M0886   Otras artritis juveniles, pierna"
"M0887" "M0887   Otras artritis juveniles, tobillo y pie"
"M0888" "M0888   Otras artritis juveniles, otros"
"M0889" "M0889   Otras artritis juveniles, sitio no especificado"
"M089" "M089   Artritis juvenil, no especificada"
"M0890" "M0890   Artritis juvenil, no especificada, sitios mltiples"
"M0891" "M0891   Artritis juvenil, no especificada, regin del hombro"
"M0892" "M0892   Artritis juvenil, no especificada, brazo"
"M0893" "M0893   Artritis juvenil, no especificada, antebrazo"
"M0894" "M0894   Artritis juvenil, no especificada, mano"
"M0895" "M0895   Artritis juvenil, no especificada, regin pelviana y muslo"
"M0896" "M0896   Artritis juvenil, no especificada, pierna"
"M0897" "M0897   Artritis juvenil, no especificada, tobillo y pie"
"M0898" "M0898   Artritis juvenil, no especificada, otros"
"M0899" "M0899   Artritis juvenil, no especificada, sitio no especificado"
"M09" "M09   Artritis juvenil en enfermedades clasificadas en otra parte"
"M090" "M090   Artritis juvenil en la psoriasis"
"M0900" "M0900   Artritis juvenil en la psoriasis, sitios mltiples"
"M0901" "M0901   Artritis juvenil en la psoriasis, regin del hombro"
"M0902" "M0902   Artritis juvenil en la psoriasis, brazo"
"M0903" "M0903   Artritis juvenil en la psoriasis, antebrazo"
"M0904" "M0904   Artritis juvenil en la psoriasis, mano"
"M0905" "M0905   Artritis juvenil en la psoriasis, regin pelviana y muslo"
"M0906" "M0906   Artritis juvenil en la psoriasis, pierna"
"M0907" "M0907   Artritis juvenil en la psoriasis, tobillo y pie"
"M0908" "M0908   Artritis juvenil en la psoriasis, otros"
"M0909" "M0909   Artritis juvenil en la psoriasis, sitio no especificado"
"M091" "M091   Artritis juvenil en la enfermedad de Crohn [enteritis regional]"
"M0910" "M0910   Artritis juvenil en la enfermedad de Crohn [enteritis regional], sitios mltiples"
"M0911" "M0911   Artritis juvenil en la enfermedad de Crohn [enteritis regional], regin del hombro"
"M0912" "M0912   Artritis juvenil en la enfermedad de Crohn [enteritis regional], brazo"
"M0913" "M0913   Artritis juvenil en la enfermedad de Crohn [enteritis regional], antebrazo"
"M0914" "M0914   Artritis juvenil en la enfermedad de Crohn [enteritis regional], mano"
"M0915" "M0915   Artritis juvenil en la enfermedad de Crohn [enteritis regional], regin pelviana y muslo"
"M0916" "M0916   Artritis juvenil en la enfermedad de Crohn [enteritis regional], pierna"
"M0917" "M0917   Artritis juvenil en la enfermedad de Crohn [enteritis regional], tobillo y pie"
"M0918" "M0918   Artritis juvenil en la enfermedad de Crohn [enteritis regional], otros"
"M0919" "M0919   Artritis juvenil en la enfermedad de Crohn [enteritis regional], sitio no especificado"
"M092" "M092   Artritis juvenil en la colitis ulcerativa"
"M0920" "M0920   Artritis juvenil en la colitis ulcerativa, sitios mltiples"
"M0921" "M0921   Artritis juvenil en la colitis ulcerativa, regin del hombro"
"M0922" "M0922   Artritis juvenil en la colitis ulcerativa, brazo"
"M0923" "M0923   Artritis juvenil en la colitis ulcerativa, antebrazo"
"M0924" "M0924   Artritis juvenil en la colitis ulcerativa, mano"
"M0925" "M0925   Artritis juvenil en la colitis ulcerativa, regin pelviana y muslo"
"M0926" "M0926   Artritis juvenil en la colitis ulcerativa, pierna"
"M0927" "M0927   Artritis juvenil en la colitis ulcerativa, tobillo y pie"
"M0928" "M0928   Artritis juvenil en la colitis ulcerativa, otros"
"M0929" "M0929   Artritis juvenil en la colitis ulcerativa, sitio no especificado"
"M098" "M098   Artritis juvenil en otras enfermedades clasificadas en otra parte"
"M0980" "M0980   Artritis juvenil en otras enfermedades clasificadas en otra parte, sitios mltiples"
"M0981" "M0981   Artritis juvenil en otras enfermedades clasificadas en otra parte, regin del hombro"
"M0982" "M0982   Artritis juvenil en otras enfermedades clasificadas en otra parte, brazo"
"M0983" "M0983   Artritis juvenil en otras enfermedades clasificadas en otra parte, antebrazo"
"M0984" "M0984   Artritis juvenil en otras enfermedades clasificadas en otra parte, mano"
"M0985" "M0985   Artritis juvenil en otras enfermedades clasificadas en otra parte, regin pelviana y muslo"
"M0986" "M0986   Artritis juvenil en otras enfermedades clasificadas en otra parte, pierna"
"M0987" "M0987   Artritis juvenil en otras enfermedades clasificadas en otra parte, tobillo y pie"
"M0988" "M0988   Artritis juvenil en otras enfermedades clasificadas en otra parte, otros"
"M0989" "M0989   Artritis juvenil en otras enfermedades clasificadas en otra parte, sitio no especificado"
"M10" "M10   Gota"
"M100" "M100   Gota idioptica"
"M1000" "M1000   Gota idioptica, sitios mltiples"
"M1001" "M1001   Gota idioptica, regin del hombro"
"M1002" "M1002   Gota idioptica, brazo"
"M1003" "M1003   Gota idioptica, antebrazo"
"M1004" "M1004   Gota idioptica, mano"
"M1005" "M1005   Gota idioptica, regin pelviana y muslo"
"M1006" "M1006   Gota idioptica, pierna"
"M1007" "M1007   Gota idioptica, tobillo y pie"
"M1008" "M1008   Gota idioptica, otros"
"M1009" "M1009   Gota idioptica, sitio no especificado"
"M101" "M101   Gota saturnina"
"M1010" "M1010   Gota saturnina, sitios mltiples"
"M1011" "M1011   Gota saturnina, regin del hombro"
"M1012" "M1012   Gota saturnina, brazo"
"M1013" "M1013   Gota saturnina, antebrazo"
"M1014" "M1014   Gota saturnina, mano"
"M1015" "M1015   Gota saturnina, regin pelviana y muslo"
"M1016" "M1016   Gota saturnina, pierna"
"M1017" "M1017   Gota saturnina, tobillo y pie"
"M1018" "M1018   Gota saturnina, otros"
"M1019" "M1019   Gota saturnina, sitio no especificado"
"M102" "M102   Gota inducida por drogas"
"M1020" "M1020   Gota inducida por drogas, sitios mltiples"
"M1021" "M1021   Gota inducida por drogas, regin del hombro"
"M1022" "M1022   Gota inducida por drogas, brazo"
"M1023" "M1023   Gota inducida por drogas, antebrazo"
"M1024" "M1024   Gota inducida por drogas, mano"
"M1025" "M1025   Gota inducida por drogas, regin pelviana y muslo"
"M1026" "M1026   Gota inducida por drogas, pierna"
"M1027" "M1027   Gota inducida por drogas, tobillo y pie"
"M1028" "M1028   Gota inducida por drogas, otros"
"M1029" "M1029   Gota inducida por drogas, sitio no especificado"
"M103" "M103   Gota debida a alteracin de la funcin renal"
"M1030" "M1030   Gota debida a alteracin renal, sitios mltiples"
"M1031" "M1031   Gota debida a alteracin renal, regin del hombro"
"M1032" "M1032   Gota debida a alteracin renal, brazo"
"M1033" "M1033   Gota debida a alteracin renal, antebrazo"
"M1034" "M1034   Gota debida a alteracin renal, mano"
"M1035" "M1035   Gota debida a alteracin renal, regin pelviana y muslo"
"M1036" "M1036   Gota debida a alteracin renal, pierna"
"M1037" "M1037   Gota debida a alteracin renal, tobillo y pie"
"M1038" "M1038   Gota debida a alteracin renal, otros"
"M1039" "M1039   Gota debida a alteracin renal, sitio no especificado"
"M104" "M104   Otras gotas secundarias"
"M1040" "M1040   Otras gotas secundarias, sitios mltiples"
"M1041" "M1041   Otras gotas secundarias, regin del hombro"
"M1042" "M1042   Otras gotas secundarias, brazo"
"M1043" "M1043   Otras gotas secundarias, antebrazo"
"M1044" "M1044   Otras gotas secundarias, mano"
"M1045" "M1045   Otras gotas secundarias, regin pelviana y muslo"
"M1046" "M1046   Otras gotas secundarias, pierna"
"M1047" "M1047   Otras gotas secundarias, tobillo y pie"
"M1048" "M1048   Otras gotas secundarias, otros"
"M1049" "M1049   Otras gotas secundarias, sitio no especificado"
"M109" "M109   Gota, no especificada"
"M1090" "M1090   Gota, no especificada, sitios mltiples"
"M1091" "M1091   Gota, no especificada, regin del hombro"
"M1092" "M1092   Gota, no especificada, brazo"
"M1093" "M1093   Gota, no especificada, antebrazo"
"M1094" "M1094   Gota, no especificada, mano"
"M1095" "M1095   Gota, no especificada, regin pelviana y muslo"
"M1096" "M1096   Gota, no especificada, pierna"
"M1097" "M1097   Gota, no especificada, tobillo y pie"
"M1098" "M1098   Gota, no especificada, otros"
"M1099" "M1099   Gota, no especificada, sitio no especificado"
"M11" "M11   Otras artropatas por cristales"
"M110" "M110   Enfermedad por depsito de hidroxiapatita"
"M1100" "M1100   Enfermedad por depsito de hidroxiapatita, sitios mltiples"
"M1101" "M1101   Enfermedad por depsito de hidroxiapatita, regin del hombro"
"M1102" "M1102   Enfermedad por depsito de hidroxiapatita, brazo"
"M1103" "M1103   Enfermedad por depsito de hidroxiapatita, antebrazo"
"M1104" "M1104   Enfermedad por depsito de hidroxiapatita, mano"
"M1105" "M1105   Enfermedad por depsito de hidroxiapatita, regin pelviana y muslo"
"M1106" "M1106   Enfermedad por depsito de hidroxiapatita, pierna"
"M1107" "M1107   Enfermedad por depsito de hidroxiapatita, tobillo y pie"
"M1108" "M1108   Enfermedad por depsito de hidroxiapatita, otros"
"M1109" "M1109   Enfermedad por depsito de hidroxiapatita, sitio no especificado"
"M111" "M111   Condrocalcinosis familiar"
"M1110" "M1110   Condrocalcinosis familiar, sitios mltiples"
"M1111" "M1111   Condrocalcinosis familiar, regin del hombro"
"M1112" "M1112   Condrocalcinosis familiar, brazo"
"M1113" "M1113   Condrocalcinosis familiar, antebrazo"
"M1114" "M1114   Condrocalcinosis familiar, mano"
"M1115" "M1115   Condrocalcinosis familiar, regin pelviana y muslo"
"M1116" "M1116   Condrocalcinosis familiar, pierna"
"M1117" "M1117   Condrocalcinosis familiar, tobillo y pie"
"M1118" "M1118   Condrocalcinosis familiar, otros"
"M1119" "M1119   Condrocalcinosis familiar, sitio no especificado"
"M112" "M112   Otras condrocalcinosis"
"M1120" "M1120   Otras condrocalcinosis, sitios mltiples"
"M1121" "M1121   Otras condrocalcinosis, regin del hombro"
"M1122" "M1122   Otras condrocalcinosis, brazo"
"M1123" "M1123   Otras condrocalcinosis, antebrazo"
"M1124" "M1124   Otras condrocalcinosis, mano"
"M1125" "M1125   Otras condrocalcinosis, regin pelviana y muslo"
"M1126" "M1126   Otras condrocalcinosis, pierna"
"M1127" "M1127   Otras condrocalcinosis, tobillo y pie"
"M1128" "M1128   Otras condrocalcinosis, otros"
"M1129" "M1129   Otras condrocalcinosis, sitio no especificado"
"M118" "M118   Otras artropatas por cristales, especificadas"
"M1180" "M1180   Otras artropatas por cristales, especificadas, sitios mltiples"
"M1181" "M1181   Otras artropatas por cristales, especificadas, regin del hombro"
"M1182" "M1182   Otras artropatas por cristales, especificadas, brazo"
"M1183" "M1183   Otras artropatas por cristales, especificadas, antebrazo"
"M1184" "M1184   Otras artropatas por cristales, especificadas, mano"
"M1185" "M1185   Otras artropatas por cristales, especificadas, regin pelviana y muslo"
"M1186" "M1186   Otras artropatas por cristales, especificadas, pierna"
"M1187" "M1187   Otras artropatas por cristales, especificadas, tobillo y pie"
"M1188" "M1188   Otras artropatas por cristales, especificadas, otros"
"M1189" "M1189   Otras artropatas por cristales, especificadas, sitio no especificado"
"M119" "M119   Artropata por cristales, no especificada"
"M1190" "M1190   Artropata por cristales, no especificada, sitios mltiples"
"M1191" "M1191   Artropata por cristales, no especificada, regin del hombro"
"M1192" "M1192   Artropata por cristales, no especificada, brazo"
"M1193" "M1193   Artropata por cristales, no especificada, antebrazo"
"M1194" "M1194   Artropata por cristales, no especificada, mano"
"M1195" "M1195   Artropata por cristales, no especificada, regin pelviana y muslo"
"M1196" "M1196   Artropata por cristales, no especificada, pierna"
"M1197" "M1197   Artropata por cristales, no especificada, tobillo y pie"
"M1198" "M1198   Artropata por cristales, no especificada, otros"
"M1199" "M1199   Artropata por cristales, no especificada, sitio no especificado"
"M12" "M12   Otras artropatas especficas"
"M120" "M120   Artropata postraumtica crnica [de Jaccoud]"
"M1200" "M1200   Artropata postraumtica crnica [de Jaccoud], sitios mltiples"
"M1201" "M1201   Artropata postraumtica crnica [de Jaccoud], regin del hombro"
"M1202" "M1202   Artropata postraumtica crnica [de Jaccoud], brazo"
"M1203" "M1203   Artropata postraumtica crnica [de Jaccoud], antebrazo"
"M1204" "M1204   Artropata postraumtica crnica [de Jaccoud], mano"
"M1205" "M1205   Artropata postraumtica crnica [de Jaccoud], regin pelviana y muslo"
"M1206" "M1206   Artropata postraumtica crnica [de Jaccoud], pierna"
"M1207" "M1207   Artropata postraumtica crnica [de Jaccoud], tobillo y pie"
"M1208" "M1208   Artropata postraumtica crnica [de Jaccoud], otros"
"M1209" "M1209   Artropata postraumtica crnica [de Jaccoud], sitio no especificado"
"M121" "M121   Enfermedad de Kaschin-Beck"
"M1210" "M1210   Enfermedad de Kaschin-Beck, sitios mltiples"
"M1211" "M1211   Enfermedad de Kaschin-Beck, regin del hombro"
"M1212" "M1212   Enfermedad de Kaschin-Beck, brazo"
"M1213" "M1213   Enfermedad de Kaschin-Beck, antebrazo"
"M1214" "M1214   Enfermedad de Kaschin-Beck, mano"
"M1215" "M1215   Enfermedad de Kaschin-Beck, regin pelviana y muslo"
"M1216" "M1216   Enfermedad de Kaschin-Beck, pierna"
"M1217" "M1217   Enfermedad de Kaschin-Beck, tobillo y pie"
"M1218" "M1218   Enfermedad de Kaschin-Beck, otros"
"M1219" "M1219   Enfermedad de Kaschin-Beck, sitio no especificado"
"M122" "M122   Sinovitis vellonodular (pigmentada)"
"M1220" "M1220   Sinovitis vellonodular (pigmentada), sitios mltiples"
"M1221" "M1221   Sinovitis vellonodular (pigmentada), regin del hombro"
"M1222" "M1222   Sinovitis vellonodular (pigmentada), brazo"
"M1223" "M1223   Sinovitis vellonodular (pigmentada), antebrazo"
"M1224" "M1224   Sinovitis vellonodular (pigmentada), mano"
"M1225" "M1225   Sinovitis vellonodular (pigmentada), regin pelviana y muslo"
"M1226" "M1226   Sinovitis vellonodular (pigmentada), pierna"
"M1227" "M1227   Sinovitis vellonodular (pigmentada), tobillo y pie"
"M1228" "M1228   Sinovitis vellonodular (pigmentada), otros"
"M1229" "M1229   Sinovitis vellonodular (pigmentada), sitio no especificado"
"M123" "M123   Reumatismo palindrmico"
"M1230" "M1230   Reumatismo palindrmico, sitios mltiples"
"M1231" "M1231   Reumatismo palindrmico, regin del hombro"
"M1232" "M1232   Reumatismo palindrmico, brazo"
"M1233" "M1233   Reumatismo palindrmico, antebrazo"
"M1234" "M1234   Reumatismo palindrmico, mano"
"M1235" "M1235   Reumatismo palindrmico, regin pelviana y muslo"
"M1236" "M1236   Reumatismo palindrmico, pierna"
"M1237" "M1237   Reumatismo palindrmico, tobillo y pie"
"M1238" "M1238   Reumatismo palindrmico, otros"
"M1239" "M1239   Reumatismo palindrmico, sitio no especificado"
"M124" "M124   Hidrartrosis intermitente"
"M1240" "M1240   Hidrartrosis intermitente, sitios mltiples"
"M1241" "M1241   Hidrartrosis intermitente, regin del hombro"
"M1242" "M1242   Hidrartrosis intermitente, brazo"
"M1243" "M1243   Hidrartrosis intermitente, antebrazo"
"M1244" "M1244   Hidrartrosis intermitente, mano"
"M1245" "M1245   Hidrartrosis intermitente, regin pelviana y muslo"
"M1246" "M1246   Hidrartrosis intermitente, pierna"
"M1247" "M1247   Hidrartrosis intermitente, tobillo y pie"
"M1248" "M1248   Hidrartrosis intermitente, otros"
"M1249" "M1249   Hidrartrosis intermitente, sitio no especificado"
"M125" "M125   Artropata traumtica"
"M1250" "M1250   Artropata traumtica, sitios mltiples"
"M1251" "M1251   Artropata traumtica, regin del hombro"
"M1252" "M1252   Artropata traumtica, brazo"
"M1253" "M1253   Artropata traumtica, antebrazo"
"M1254" "M1254   Artropata traumtica, mano"
"M1255" "M1255   Artropata traumtica, regin pelviana y muslo"
"M1256" "M1256   Artropata traumtica, pierna"
"M1257" "M1257   Artropata traumtica, tobillo y pie"
"M1258" "M1258   Artropata traumtica, otros"
"M1259" "M1259   Artropata traumtica, sitio no especificado"
"M128" "M128   Otras artropatas especficas, no clasificadas en otra parte"
"M1280" "M1280   Otras artropatas especficas, no clasificadas en otra parte, sitios mltiples"
"M1281" "M1281   Otras artropatas especficas, no clasificadas en otra parte, regin del hombro"
"M1282" "M1282   Otras artropatas especficas, no clasificadas en otra parte, brazo"
"M1283" "M1283   Otras artropatas especficas, no clasificadas en otra parte, antebrazo"
"M1284" "M1284   Otras artropatas especficas, no clasificadas en otra parte, mano"
"M1285" "M1285   Otras artropatas especficas, no clasificadas en otra parte, regin pelviana y muslo"
"M1286" "M1286   Otras artropatas especficas, no clasificadas en otra parte, pierna"
"M1287" "M1287   Otras artropatas especficas, no clasificadas en otra parte, tobillo y pie"
"M1288" "M1288   Otras artropatas especficas, no clasificadas en otra parte, otros"
"M1289" "M1289   Otras artropatas especficas, no clasificadas en otra parte, sitio no especificado"
"M13" "M13   Otras artritis"
"M130" "M130   Poliartritis, no especificada"
"M1300" "M1300   Poliartritis, no especificada, sitios mltiples"
"M1301" "M1301   Poliartritis, no especificada, regin del hombro"
"M1302" "M1302   Poliartritis, no especificada, brazo"
"M1303" "M1303   Poliartritis, no especificada, antebrazo"
"M1304" "M1304   Poliartritis, no especificada, mano"
"M1305" "M1305   Poliartritis, no especificada, regin pelviana y muslo"
"M1306" "M1306   Poliartritis, no especificada, pierna"
"M1307" "M1307   Poliartritis, no especificada, tobillo y pie"
"M1308" "M1308   Poliartritis, no especificada, otros"
"M1309" "M1309   Poliartritis, no especificada, sitio no especificado"
"M131" "M131   Monoartritis, no clasificada en otra parte"
"M1310" "M1310   Monoartritis, no clasificada en otra parte, sitios mltiples"
"M1311" "M1311   Monoartritis, no clasificada en otra parte, regin del hombro"
"M1312" "M1312   Monoartritis, no clasificada en otra parte, brazo"
"M1313" "M1313   Monoartritis, no clasificada en otra parte, antebrazo"
"M1314" "M1314   Monoartritis, no clasificada en otra parte, mano"
"M1315" "M1315   Monoartritis, no clasificada en otra parte, regin pelviana y muslo"
"M1316" "M1316   Monoartritis, no clasificada en otra parte, pierna"
"M1317" "M1317   Monoartritis, no clasificada en otra parte, tobillo y pie"
"M1318" "M1318   Monoartritis, no clasificada en otra parte, otros"
"M1319" "M1319   Monoartritis, no clasificada en otra parte, sitio no especificado"
"M138" "M138   Otras artritis especificadas"
"M1380" "M1380   Otras artritis especificadas, sitios mltiples"
"M1381" "M1381   Otras artritis especificadas, regin del hombro"
"M1382" "M1382   Otras artritis especificadas, brazo"
"M1383" "M1383   Otras artritis especificadas, antebrazo"
"M1384" "M1384   Otras artritis especificadas, mano"
"M1385" "M1385   Otras artritis especificadas, regin pelviana y muslo"
"M1386" "M1386   Otras artritis especificadas, pierna"
"M1387" "M1387   Otras artritis especificadas, tobillo y pie"
"M1388" "M1388   Otras artritis especificadas, otros"
"M1389" "M1389   Otras artritis especificadas, sitio no especificado"
"M139" "M139   Artritis, no especificada"
"M1390" "M1390   Artritis, no especificada, sitios mltiples"
"M1391" "M1391   Artritis, no especificada, regin del hombro"
"M1392" "M1392   Artritis, no especificada, brazo"
"M1393" "M1393   Artritis, no especificada, antebrazo"
"M1394" "M1394   Artritis, no especificada, mano"
"M1395" "M1395   Artritis, no especificada, regin pelviana y muslo"
"M1396" "M1396   Artritis, no especificada, pierna"
"M1397" "M1397   Artritis, no especificada, tobillo y pie"
"M1398" "M1398   Artritis, no especificada, otros"
"M1399" "M1399   Artritis, no especificada, sitio no especificado"
"M14" "M14   Artropata en otras enfermedades clasificadas en otra parte"
"M140" "M140   Artropata gotosa debida a defectos enzimticos y a otros trastornos hereditarios, clasificados en otra parte"
"M141" "M141   Artropata por cristales en otros trastornos metablicos"
"M142" "M142   Artropata diabtica"
"M143" "M143   Dermatoartritis lipoide"
"M144" "M144   Artropata en la amiloidosis"
"M145" "M145   Artropata en otros trastornos endocrinos, metablicos y nutricionales"
"M146" "M146   Artropata neuroptica"
"M148" "M148   Artropata en otras enfermedades especificadas, clasificadas en otra parte"
"M15" "M15   Poliartrosis"
"M150" "M150   (Osteo)artrosis primaria generalizada"
"M151" "M151   Ndulos de Heberden (con artropata)"
"M152" "M152   Ndulos de Bouchard (con artropata)"
"M153" "M153   Artrosis secundaria mltiple"
"M154" "M154   (Osteo)artrosis erosiva"
"M158" "M158   Otras poliartrosis"
"M159" "M159   Poliartrosis, no especificada"
"M16" "M16   Coxartrosis [artrosis de la cadera]"
"M160" "M160   Coxartrosis primaria, bilateral"
"M161" "M161   Otras coxartrosis primarias"
"M162" "M162   Coxartrosis a consecuencia de displasia, bilateral"
"M163" "M163   Otras coxartrosis displsicas"
"M164" "M164   Coxartrosis postraumtica, bilateral"
"M165" "M165   Otra coxartrosis postraumtica"
"M166" "M166   Otra coxartrosis secundaria, bilateral"
"M167" "M167   Otras coxartrosis secundarias"
"M169" "M169   Coxartrosis, no especificada"
"M17" "M17   Gonartrosis [artrosis de la rodilla]"
"M170" "M170   Gonartrosis primaria, bilateral"
"M171" "M171   Otras gonartrosis primarias"
"M172" "M172   Gonartrosis postraumtica, bilateral"
"M173" "M173   Otras gonartrosis postraumticas"
"M174" "M174   Otras gonartrosis secundarias, bilaterales"
"M175" "M175   Otras gonartrosis secundarias"
"M179" "M179   Gonartrosis, no especificada"
"M18" "M18   Artrosis de la primera articulacin carpometacarpiana"
"M180" "M180   Artrosis primaria de la primera articulacin carpometacarpiana, bilateral"
"M181" "M181   Otras artrosis primarias de la primera articulacin carpometacarpiana"
"M182" "M182   Artrosis postraumtica de la primera articulacin carpometacarpiana, bilateral"
"M183" "M183   Otras artrosis postraumticas de la primera articulacin carpometacarpiana"
"M184" "M184   Otras artrosis secundarias de la primera articulacin carpometacarpiana, bilaterales"
"M185" "M185   Otras artrosis secundarias de la primera articulacin carpometacarpiana"
"M189" "M189   Artrosis de la primera articulacin carpometacarpiana, sin otra especificacin"
"M19" "M19   Otras artrosis"
"M190" "M190   Artrosis primaria de otras articulaciones"
"M1900" "M1900   Artrosis primaria de otras articulaciones, sitios mltiples"
"M1901" "M1901   Artrosis primaria de otras articulaciones, regin del hombro"
"M1902" "M1902   Artrosis primaria de otras articulaciones, brazo"
"M1903" "M1903   Artrosis primaria de otras articulaciones, antebrazo"
"M1904" "M1904   Artrosis primaria de otras articulaciones, mano"
"M1905" "M1905   Artrosis primaria de otras articulaciones, regin pelviana y muslo"
"M1906" "M1906   Artrosis primaria de otras articulaciones, pierna"
"M1907" "M1907   Artrosis primaria de otras articulaciones, tobillo y pie"
"M1908" "M1908   Artrosis primaria de otras articulaciones, otros"
"M1909" "M1909   Artrosis primaria de otras articulaciones, sitio no especificado"
"M191" "M191   Artrosis postraumtica de otras articulaciones"
"M1910" "M1910   Artrosis postraumtica de otras articulaciones, sitios mltiples"
"M1911" "M1911   Artrosis postraumtica de otras articulaciones, regin del hombro"
"M1912" "M1912   Artrosis postraumtica de otras articulaciones, brazo"
"M1913" "M1913   Artrosis postraumtica de otras articulaciones, antebrazo"
"M1914" "M1914   Artrosis postraumtica de otras articulaciones, mano"
"M1915" "M1915   Artrosis postraumtica de otras articulaciones, regin pelviana y muslo"
"M1916" "M1916   Artrosis postraumtica de otras articulaciones, pierna"
"M1917" "M1917   Artrosis postraumtica de otras articulaciones, tobillo y pie"
"M1918" "M1918   Artrosis postraumtica de otras articulaciones, otros"
"M1919" "M1919   Artrosis postraumtica de otras articulaciones, sitio no especificado"
"M192" "M192   Otras artrosis secundarias"
"M1920" "M1920   Otras artrosis secundarias, sitios mltiples"
"M1921" "M1921   Otras artrosis secundarias, regin del hombro"
"M1922" "M1922   Otras artrosis secundarias, brazo"
"M1923" "M1923   Otras artrosis secundarias, antebrazo"
"M1924" "M1924   Otras artrosis secundarias, mano"
"M1925" "M1925   Otras artrosis secundarias, regin pelviana y muslo"
"M1926" "M1926   Otras artrosis secundarias, pierna"
"M1927" "M1927   Otras artrosis secundarias, tobillo y pie"
"M1928" "M1928   Otras artrosis secundarias, otros"
"M1929" "M1929   Otras artrosis secundarias, sitio no especificado"
"M198" "M198   Otras artrosis especificadas"
"M1980" "M1980   Otras artrosis especificadas, sitios mltiples"
"M1981" "M1981   Otras artrosis especificadas, regin del hombro"
"M1982" "M1982   Otras artrosis especificadas, brazo"
"M1983" "M1983   Otras artrosis especificadas, antebrazo"
"M1984" "M1984   Otras artrosis especificadas, mano"
"M1985" "M1985   Otras artrosis especificadas, regin pelviana y muslo"
"M1986" "M1986   Otras artrosis especificadas, pierna"
"M1987" "M1987   Otras artrosis especificadas, tobillo y pie"
"M1988" "M1988   Otras artrosis especificadas, otros"
"M1989" "M1989   Otras artrosis especificadas, sitio no especificado"
"M199" "M199   Artrosis, no especificada"
"M1990" "M1990   Artrosis, no especificada, sitios mltiples"
"M1991" "M1991   Artrosis, no especificada, regin del hombro"
"M1992" "M1992   Artrosis, no especificada, brazo"
"M1993" "M1993   Artrosis, no especificada, antebrazo"
"M1994" "M1994   Artrosis, no especificada, mano"
"M1995" "M1995   Artrosis, no especificada, regin pelviana y muslo"
"M1996" "M1996   Artrosis, no especificada, pierna"
"M1997" "M1997   Artrosis, no especificada, tobillo y pie"
"M1998" "M1998   Artrosis, no especificada, otros"
"M1999" "M1999   Artrosis, no especificada, sitio no especificado"
"M20" "M20   Deformidades adquiridas de los dedos de la mano y del pie"
"M200" "M200   Deformidad de dedo(s) de la mano"
"M201" "M201   Hallux valgus (adquirido)"
"M202" "M202   Hallux rigidus"
"M203" "M203   Otras deformidades del hallux (adquiridas)"
"M204" "M204   Otro(s) dedo(s) del pie en martillo (adquiridos)"
"M205" "M205   Otras deformidades (adquiridas) del (de los) dedo(s) del pie"
"M206" "M206   Deformidades adquiridas de los dedos del pie, no especificadas"
"M21" "M21   Otras deformidades adquiridas de los miembros"
"M210" "M210   Deformidad en valgo, no clasificada en otra parte"
"M2100" "M2100   Deformidad en valgo, no clasificada en otra parte, sitios mltiples"
"M2101" "M2101   Deformidad en valgo, no clasificada en otra parte, regin del hombro"
"M2102" "M2102   Deformidad en valgo, no clasificada en otra parte, brazo"
"M2103" "M2103   Deformidad en valgo, no clasificada en otra parte, antebrazo"
"M2104" "M2104   Deformidad en valgo, no clasificada en otra parte, mano"
"M2105" "M2105   Deformidad en valgo, no clasificada en otra parte, regin pelviana y muslo"
"M2106" "M2106   Deformidad en valgo, no clasificada en otra parte, pierna"
"M2107" "M2107   Deformidad en valgo, no clasificada en otra parte, tobillo y pie"
"M2108" "M2108   Deformidad en valgo, no clasificada en otra parte, otros"
"M2109" "M2109   Deformidad en valgo, no clasificada en otra parte, sitio no especificado"
"M211" "M211   Deformidad en varo, no clasificada en otra parte"
"M2110" "M2110   Deformidad en varo, no clasificada en otra parte, sitios mltiples"
"M2111" "M2111   Deformidad en varo, no clasificada en otra parte, regin del hombro"
"M2112" "M2112   Deformidad en varo, no clasificada en otra parte, brazo"
"M2113" "M2113   Deformidad en varo, no clasificada en otra parte, antebrazo"
"M2114" "M2114   Deformidad en varo, no clasificada en otra parte, mano"
"M2115" "M2115   Deformidad en varo, no clasificada en otra parte, regin pelviana y muslo"
"M2116" "M2116   Deformidad en varo, no clasificada en otra parte, pierna"
"M2117" "M2117   Deformidad en varo, no clasificada en otra parte, tobillo y pie"
"M2118" "M2118   Deformidad en varo, no clasificada en otra parte, otros"
"M2119" "M2119   Deformidad en varo, no clasificada en otra parte, sitio no especificado"
"M212" "M212   Deformidad en flexin"
"M2120" "M2120   Deformidad en flexin, sitios mltiples"
"M2121" "M2121   Deformidad en flexin, regin del hombro"
"M2122" "M2122   Deformidad en flexin, brazo"
"M2123" "M2123   Deformidad en flexin, antebrazo"
"M2124" "M2124   Deformidad en flexin, mano"
"M2125" "M2125   Deformidad en flexin, regin pelviana y muslo"
"M2126" "M2126   Deformidad en flexin, pierna"
"M2127" "M2127   Deformidad en flexin, tobillo y pie"
"M2128" "M2128   Deformidad en flexin, otros"
"M2129" "M2129   Deformidad en flexin, sitio no especificado"
"M213" "M213   Mueca o pie en pndulo (adquirido)"
"M2130" "M2130   Mueca o pie en pndulo (adquirido), sitios mltiples"
"M2131" "M2131   Mueca o pie en pndulo (adquirido), regin del hombro"
"M2132" "M2132   Mueca o pie en pndulo (adquirido), brazo"
"M2133" "M2133   Mueca o pie en pndulo (adquirido), antebrazo"
"M2134" "M2134   Mueca o pie en pndulo (adquirido), mano"
"M2135" "M2135   Mueca o pie en pndulo (adquirido), regin pelviana y muslo"
"M2136" "M2136   Mueca o pie en pndulo (adquirido), pierna"
"M2137" "M2137   Mueca o pie en pndulo (adquirido), tobillo y pie"
"M2138" "M2138   Mueca o pie en pndulo (adquirido), otros"
"M2139" "M2139   Mueca o pie en pndulo (adquirido), sitio no especificado"
"M214" "M214   Pie plano [pes planus] (adquirido)"
"M2140" "M2140   Pie plano [pes planus] (adquirido), sitios mltiples"
"M2141" "M2141   Pie plano [pes planus] (adquirido), regin del hombro"
"M2142" "M2142   Pie plano [pes planus] (adquirido), brazo"
"M2143" "M2143   Pie plano [pes planus] (adquirido), antebrazo"
"M2144" "M2144   Pie plano [pes planus] (adquirido), mano"
"M2145" "M2145   Pie plano [pes planus] (adquirido), regin pelviana y muslo"
"M2146" "M2146   Pie plano [pes planus] (adquirido), pierna"
"M2147" "M2147   Pie plano [pes planus] (adquirido), tobillo y pie"
"M2148" "M2148   Pie plano [pes planus] (adquirido), otros"
"M2149" "M2149   Pie plano [pes planus] (adquirido), sitio no especificado"
"M215" "M215   Mano o pie en garra o en talipes, pie equinovaro o zambo adquiridos"
"M2150" "M2150   Mano o pie en garra o en talipes, pie equinovaro o zambo adquiridos, sitios mltiples"
"M2151" "M2151   Mano o pie en garra o en talipes, pie equinovaro o zambo adquiridos, regin del hombro"
"M2152" "M2152   Mano o pie en garra o en talipes, pie equinovaro o zambo adquiridos, brazo"
"M2153" "M2153   Mano o pie en garra o en talipes, pie equinovaro o zambo adquiridos, antebrazo"
"M2154" "M2154   Mano o pie en garra o en talipes, pie equinovaro o zambo adquiridos, mano"
"M2155" "M2155   Mano o pie en garra o en talipes, pie equinovaro o zambo adquiridos, regin pelviana y muslo"
"M2156" "M2156   Mano o pie en garra o en talipes, pie equinovaro o zambo adquiridos, pierna"
"M2157" "M2157   Mano o pie en garra o en talipes, pie equinovaro o zambo adquiridos, tobillo y pie"
"M2158" "M2158   Mano o pie en garra o en talipes, pie equinovaro o zambo adquiridos, otros"
"M2159" "M2159   Mano o pie en garra o en talipes, pie equinovaro o zambo adquiridos, sitio no especificado"
"M216" "M216   Otras deformidades adquiridas del tobillo y del pie"
"M2160" "M2160   Otras deformidades adquiridas del tobillo y del pie, sitios mltiples"
"M2161" "M2161   Otras deformidades adquiridas del tobillo y del pie, regin del hombro"
"M2162" "M2162   Otras deformidades adquiridas del tobillo y del pie, brazo"
"M2163" "M2163   Otras deformidades adquiridas del tobillo y del pie, antebrazo"
"M2164" "M2164   Otras deformidades adquiridas del tobillo y del pie, mano"
"M2165" "M2165   Otras deformidades adquiridas del tobillo y del pie, regin pelviana y muslo"
"M2166" "M2166   Otras deformidades adquiridas del tobillo y del pie, pierna"
"M2167" "M2167   Otras deformidades adquiridas del tobillo y del pie, tobillo y pie"
"M2168" "M2168   Otras deformidades adquiridas del tobillo y del pie, otros"
"M2169" "M2169   Otras deformidades adquiridas del tobillo y del pie, sitio no especificado"
"M217" "M217   Longitud desigual de los miembros (adquirida)"
"M2170" "M2170   Longitud desigual de los miembros (adquirida), sitios mltiples"
"M2171" "M2171   Longitud desigual de los miembros (adquirida), regin del hombro"
"M2172" "M2172   Longitud desigual de los miembros (adquirida), brazo"
"M2173" "M2173   Longitud desigual de los miembros (adquirida), antebrazo"
"M2174" "M2174   Longitud desigual de los miembros (adquirida), mano"
"M2175" "M2175   Longitud desigual de los miembros (adquirida), regin pelviana y muslo"
"M2176" "M2176   Longitud desigual de los miembros (adquirida), pierna"
"M2177" "M2177   Longitud desigual de los miembros (adquirida), tobillo y pie"
"M2178" "M2178   Longitud desigual de los miembros (adquirida), otros"
"M2179" "M2179   Longitud desigual de los miembros (adquirida), sitio no especificado"
"M218" "M218   Otras deformidades adquiridas de los miembros, especificadas"
"M2180" "M2180   Otras deformidades adquiridas de los miembros, especificadas, sitios mltiples"
"M2181" "M2181   Otras deformidades adquiridas de los miembros, especificadas, regin del hombro"
"M2182" "M2182   Otras deformidades adquiridas de los miembros, especificadas, brazo"
"M2183" "M2183   Otras deformidades adquiridas de los miembros, especificadas, antebrazo"
"M2184" "M2184   Otras deformidades adquiridas de los miembros, especificadas, mano"
"M2185" "M2185   Otras deformidades adquiridas de los miembros, especificadas, regin pelviana y muslo"
"M2186" "M2186   Otras deformidades adquiridas de los miembros, especificadas, pierna"
"M2187" "M2187   Otras deformidades adquiridas de los miembros, especificadas, tobillo y pie"
"M2188" "M2188   Otras deformidades adquiridas de los miembros, especificadas, otros"
"M2189" "M2189   Otras deformidades adquiridas de los miembros, especificadas, sitio no especificado"
"M219" "M219   Deformidad adquirida del miembro, no especificada"
"M2190" "M2190   Deformidad adquirida del miembro, no especificada, sitios mltiples"
"M2191" "M2191   Deformidad adquirida del miembro, no especificada, regin del hombro"
"M2192" "M2192   Deformidad adquirida del miembro, no especificada, brazo"
"M2193" "M2193   Deformidad adquirida del miembro, no especificada, antebrazo"
"M2194" "M2194   Deformidad adquirida del miembro, no especificada, mano"
"M2195" "M2195   Deformidad adquirida del miembro, no especificada, regin pelviana y muslo"
"M2196" "M2196   Deformidad adquirida del miembro, no especificada, pierna"
"M2197" "M2197   Deformidad adquirida del miembro, no especificada, tobillo y pie"
"M2198" "M2198   Deformidad adquirida del miembro, no especificada, otros"
"M2199" "M2199   Deformidad adquirida del miembro, no especificada, sitio no especificado"
"M22" "M22   Trastornos de la rtula"
"M220" "M220   Luxacin recidivante de la rtula"
"M221" "M221   Subluxacin recidivante de la rtula"
"M222" "M222   Trastornos rotulofemorales"
"M223" "M223   Otros desarreglos de la rtula"
"M224" "M224   Condromalacia de la rtula"
"M228" "M228   Otros trastornos de la rtula"
"M229" "M229   Trastorno de la rtula, no especificado"
"M23" "M23   Trastorno interno de la rodilla"
"M230" "M230   Menisco qustico"
"M2300" "M2300   Menisco qustico, sitios mltiples"
"M2301" "M2301   Menisco qustico, ligamento cruzado anterior o asta anterior del menisco interno"
"M2302" "M2302   Menisco qustico, ligamento cruzado posterior o asta posterior del menisco interno"
"M2303" "M2303   Menisco qustico, ligamento colateral interno u otro menisco interno y el no especificado"
"M2304" "M2304   Menisco qustico, ligamento colateral externo o asta anterior del menisco externo"
"M2305" "M2305   Menisco qustico, ligamento colateral externo o asta posterior del menisco externo"
"M2306" "M2306   Menisco qustico, ligamento colateral externo u otro menisco externo y el no especificado"
"M2307" "M2307   Menisco qustico, ligamento capsular"
"M2309" "M2309   Menisco qustico, ligamento no especificado o menisco no especificado"
"M231" "M231   Menisco discoide (congnito)"
"M2310" "M2310   Menisco discoide (congnito), sitios mltiples"
"M2311" "M2311   Menisco discoide (congnito), ligamento cruzado anterior o asta anterior del menisco interno"
"M2312" "M2312   Menisco discoide (congnito), ligamento cruzado posterior o asta posterior del menisco interno"
"M2313" "M2313   Menisco discoide (congnito), ligamento colateral interno u otro menisco interno y el no especificado"
"M2314" "M2314   Menisco discoide (congnito), ligamento colateral externo o asta anterior del menisco externo"
"M2315" "M2315   Menisco discoide (congnito), ligamento colateral externo o asta posterior del menisco externo"
"M2316" "M2316   Menisco discoide (congnito), ligamento colateral externo u otro menisco externo y el no especificado"
"M2317" "M2317   Menisco discoide (congnito), ligamento capsular"
"M2319" "M2319   Menisco discoide (congnito), ligamento no especificado o menisco no especificado"
"M232" "M232   Trastorno de menisco debido a desgarro o lesin antigua"
"M2320" "M2320   Trastorno de menisco debido a desgarro o lesin antigua, sitios mltiples"
"M2321" "M2321   Trastorno de menisco debido a desgarro o lesin antigua, ligamento cruzado anterior o asta anterior del menisco interno"
"M2322" "M2322   Trastorno de menisco debido a desgarro o lesin antigua, ligamento cruzado posterior o asta posterior del menisco interno"
"M2323" "M2323   Trastorno de menisco debido a desgarro o lesin antigua, ligamento colateral interno u otro menisco interno y el no especificado"
"M2324" "M2324   Trastorno de menisco debido a desgarro o lesin antigua, ligamento colateral externo o asta anterior del menisco externo"
"M2325" "M2325   Trastorno de menisco debido a desgarro o lesin antigua, ligamento colateral externo o asta posterior del menisco externo"
"M2326" "M2326   Trastorno de menisco debido a desgarro o lesin antigua, ligamento colateral externo u otro menisco externo y el no especificado"
"M2327" "M2327   Trastorno de menisco debido a desgarro o lesin antigua, ligamento capsular"
"M2329" "M2329   Trastorno de menisco debido a desgarro o lesin antigua, ligamento no especificado o menisco no especificado"
"M233" "M233   Otros trastornos de los meniscos"
"M2330" "M2330   Otros trastornos de los meniscos, sitios mltiples"
"M2331" "M2331   Otros trastornos de los meniscos, ligamento cruzado anterior o asta anterior del menisco interno"
"M2332" "M2332   Otros trastornos de los meniscos, ligamento cruzado posterior o asta posterior del menisco interno"
"M2333" "M2333   Otros trastornos de los meniscos, ligamento colateral interno u otro menisco interno y el no especificado"
"M2334" "M2334   Otros trastornos de los meniscos, ligamento colateral externo o asta anterior del menisco externo"
"M2335" "M2335   Otros trastornos de los meniscos, ligamento colateral externo o asta posterior del menisco externo"
"M2336" "M2336   Otros trastornos de los meniscos, ligamento colateral externo u otro menisco externo y el no especificado"
"M2337" "M2337   Otros trastornos de los meniscos, ligamento capsular"
"M2339" "M2339   Otros trastornos de los meniscos, ligamento no especificado o menisco no especificado"
"M234" "M234   Cuerpo flotante en la rodilla"
"M2340" "M2340   Cuerpo flotante en la rodilla, sitios mltiples"
"M2341" "M2341   Cuerpo flotante en la rodilla, ligamento cruzado anterior o asta anterior del menisco interno"
"M2342" "M2342   Cuerpo flotante en la rodilla, ligamento cruzado posterior o asta posterior del menisco interno"
"M2343" "M2343   Cuerpo flotante en la rodilla, ligamento colateral interno u otro menisco interno y el no especificado"
"M2344" "M2344   Cuerpo flotante en la rodilla, ligamento colateral externo o asta anterior del menisco externo"
"M2345" "M2345   Cuerpo flotante en la rodilla, ligamento colateral externo o asta posterior del menisco externo"
"M2346" "M2346   Cuerpo flotante en la rodilla, ligamento colateral externo u otro menisco externo y el no especificado"
"M2347" "M2347   Cuerpo flotante en la rodilla, ligamento capsular"
"M2349" "M2349   Cuerpo flotante en la rodilla, ligamento no especificado o menisco no especificado"
"M235" "M235   Inestabilidad crnica de la rodilla"
"M2350" "M2350   Inestabilidad crnica de la rodilla, sitios mltiples"
"M2351" "M2351   Inestabilidad crnica de la rodilla, ligamento cruzado anterior o asta anterior del menisco interno"
"M2352" "M2352   Inestabilidad crnica de la rodilla, ligamento cruzado posterior o asta posterior del menisco interno"
"M2353" "M2353   Inestabilidad crnica de la rodilla, ligamento colateral interno u otro menisco interno y el no especificado"
"M2354" "M2354   Inestabilidad crnica de la rodilla, ligamento colateral externo o asta anterior del menisco externo"
"M2355" "M2355   Inestabilidad crnica de la rodilla, ligamento colateral externo o asta posterior del menisco externo"
"M2356" "M2356   Inestabilidad crnica de la rodilla, ligamento colateral externo u otro menisco externo y el no especificado"
"M2357" "M2357   Inestabilidad crnica de la rodilla, ligamento capsular"
"M2359" "M2359   Inestabilidad crnica de la rodilla, ligamento no especificado o menisco no especificado"
"M236" "M236   Otra ruptura espontnea del (de los) ligamento(s) de la rodilla"
"M2360" "M2360   Otra ruptura espontnea del (de los) ligamento(s) de la rodilla, sitios mltiples"
"M2361" "M2361   Otra ruptura espontnea del (de los) ligamento(s) de la rodilla, ligamento cruzado anterior o asta anterior del menisco interno"
"M2362" "M2362   Otra ruptura espontnea del (de los) ligamento(s) de la rodilla, ligamento cruzado posterior o asta posterior del menisco interno"
"M2363" "M2363   Otra ruptura espontnea del (de los) ligamento(s) de la rodilla, ligamento colateral interno u otro menisco interno y el no especificado"
"M2364" "M2364   Otra ruptura espontnea del (de los) ligamento(s) de la rodilla, ligamento colateral externo o asta anterior del menisco externo"
"M2365" "M2365   Otra ruptura espontnea del (de los) ligamento(s) de la rodilla, ligamento colateral externo o asta posterior del menisco externo"
"M2366" "M2366   Otra ruptura espontnea del (de los) ligamento(s) de la rodilla, ligamento colateral externo u otro menisco externo y el no especificado"
"M2367" "M2367   Otra ruptura espontnea del (de los) ligamento(s) de la rodilla, ligamento capsular"
"M2369" "M2369   Otra ruptura espontnea del (de los) ligamento(s) de la rodilla, ligamento no especificado o menisco no especificado"
"M238" "M238   Otros trastornos internos de la rodilla"
"M2380" "M2380   Otros trastornos internos de la rodilla, sitios mltiples"
"M2381" "M2381   Otros trastornos internos de la rodilla, ligamento cruzado anterior o asta anterior del menisco interno"
"M2382" "M2382   Otros trastornos internos de la rodilla, ligamento cruzado posterior o asta posterior del menisco interno"
"M2383" "M2383   Otros trastornos internos de la rodilla, ligamento colateral interno u otro menisco interno y el no especificado"
"M2384" "M2384   Otros trastornos internos de la rodilla, ligamento colateral externo o asta anterior del menisco externo"
"M2385" "M2385   Otros trastornos internos de la rodilla, ligamento colateral externo o asta posterior del menisco externo"
"M2386" "M2386   Otros trastornos internos de la rodilla, ligamento colateral externo u otro menisco externo y el no especificado"
"M2387" "M2387   Otros trastornos internos de la rodilla, ligamento capsular"
"M2389" "M2389   Otros trastornos internos de la rodilla, ligamento no especificado o menisco no especificado"
"M239" "M239   Trastorno interno de la rodilla, no especificado"
"M2390" "M2390   Trastorno interno de la rodilla, no especificado, sitios mltiples"
"M2391" "M2391   Trastorno interno de la rodilla, no especificado, ligamento cruzado anterior o asta anterior del menisco interno"
"M2392" "M2392   Trastorno interno de la rodilla, no especificado, ligamento cruzado posterior o asta posterior del menisco interno"
"M2393" "M2393   Trastorno interno de la rodilla, no especificado, ligamento colateral interno u otro menisco interno y el no especificado"
"M2394" "M2394   Trastorno interno de la rodilla, no especificado, ligamento colateral externo o asta anterior del menisco externo"
"M2395" "M2395   Trastorno interno de la rodilla, no especificado, ligamento colateral externo o asta posterior del menisco externo"
"M2396" "M2396   Trastorno interno de la rodilla, no especificado, ligamento colateral externo u otro menisco externo y el no especificado"
"M2397" "M2397   Trastorno interno de la rodilla, no especificado, ligamento capsular"
"M2399" "M2399   Trastorno interno de la rodilla, no especificado, ligamento no especificado o menisco no especificado"
"M24" "M24   Otros trastornos articulares especficos"
"M240" "M240   Cuerpo flotante articular"
"M2400" "M2400   Cuerpo flotante articular, sitios mltiples"
"M2401" "M2401   Cuerpo flotante articular, regin del hombro"
"M2402" "M2402   Cuerpo flotante articular, brazo"
"M2403" "M2403   Cuerpo flotante articular, antebrazo"
"M2404" "M2404   Cuerpo flotante articular, mano"
"M2405" "M2405   Cuerpo flotante articular, regin pelviana y muslo"
"M2406" "M2406   Cuerpo flotante articular, pierna"
"M2407" "M2407   Cuerpo flotante articular, tobillo y pie"
"M2408" "M2408   Cuerpo flotante articular, otros"
"M2409" "M2409   Cuerpo flotante articular, sitio no especificado"
"M241" "M241   Otros trastornos del cartlago articular"
"M2410" "M2410   Otros trastornos del cartlago articular, sitios mltiples"
"M2411" "M2411   Otros trastornos del cartlago articular, regin del hombro"
"M2412" "M2412   Otros trastornos del cartlago articular, brazo"
"M2413" "M2413   Otros trastornos del cartlago articular, antebrazo"
"M2414" "M2414   Otros trastornos del cartlago articular, mano"
"M2415" "M2415   Otros trastornos del cartlago articular, regin pelviana y muslo"
"M2416" "M2416   Otros trastornos del cartlago articular, pierna"
"M2417" "M2417   Otros trastornos del cartlago articular, tobillo y pie"
"M2418" "M2418   Otros trastornos del cartlago articular, otros"
"M2419" "M2419   Otros trastornos del cartlago articular, sitio no especificado"
"M242" "M242   Trastorno del ligamento"
"M2420" "M2420   Trastorno del ligamento, sitios mltiples"
"M2421" "M2421   Trastorno del ligamento, regin del hombro"
"M2422" "M2422   Trastorno del ligamento, brazo"
"M2423" "M2423   Trastorno del ligamento, antebrazo"
"M2424" "M2424   Trastorno del ligamento, mano"
"M2425" "M2425   Trastorno del ligamento, regin pelviana y muslo"
"M2426" "M2426   Trastorno del ligamento, pierna"
"M2427" "M2427   Trastorno del ligamento, tobillo y pie"
"M2428" "M2428   Trastorno del ligamento, otros"
"M2429" "M2429   Trastorno del ligamento, sitio no especificado"
"M243" "M243   Luxacin y subluxacin patolgica de la articulacin, no clasificada en otra parte"
"M2430" "M2430   Luxacin y subluxacin patolgica de la articulacin, no clasificada en otra parte, sitios mltiples"
"M2431" "M2431   Luxacin y subluxacin patolgica de la articulacin, no clasificada en otra parte, regin del hombro"
"M2432" "M2432   Luxacin y subluxacin patolgica de la articulacin, no clasificada en otra parte, brazo"
"M2433" "M2433   Luxacin y subluxacin patolgica de la articulacin, no clasificada en otra parte, antebrazo"
"M2434" "M2434   Luxacin y subluxacin patolgica de la articulacin, no clasificada en otra parte, mano"
"M2435" "M2435   Luxacin y subluxacin patolgica de la articulacin, no clasificada en otra parte, regin pelviana y muslo"
"M2436" "M2436   Luxacin y subluxacin patolgica de la articulacin, no clasificada en otra parte, pierna"
"M2437" "M2437   Luxacin y subluxacin patolgica de la articulacin, no clasificada en otra parte, tobillo y pie"
"M2438" "M2438   Luxacin y subluxacin patolgica de la articulacin, no clasificada en otra parte, otros"
"M2439" "M2439   Luxacin y subluxacin patolgica de la articulacin, no clasificada en otra parte, sitio no especificado"
"M244" "M244   Luxacin y subluxacin recidivante de la articulacin"
"M2440" "M2440   Luxacin y subluxacin recidivante de la articulacin, sitios mltiples"
"M2441" "M2441   Luxacin y subluxacin recidivante de la articulacin, regin del hombro"
"M2442" "M2442   Luxacin y subluxacin recidivante de la articulacin, brazo"
"M2443" "M2443   Luxacin y subluxacin recidivante de la articulacin, antebrazo"
"M2444" "M2444   Luxacin y subluxacin recidivante de la articulacin, mano"
"M2445" "M2445   Luxacin y subluxacin recidivante de la articulacin, regin pelviana y muslo"
"M2446" "M2446   Luxacin y subluxacin recidivante de la articulacin, pierna"
"M2447" "M2447   Luxacin y subluxacin recidivante de la articulacin, tobillo y pie"
"M2448" "M2448   Luxacin y subluxacin recidivante de la articulacin, otros"
"M2449" "M2449   Luxacin y subluxacin recidivante de la articulacin, sitio no especificado"
"M245" "M245   Contractura articular"
"M2450" "M2450   Contractura articular, sitios mltiples"
"M2451" "M2451   Contractura articular, regin del hombro"
"M2452" "M2452   Contractura articular, brazo"
"M2453" "M2453   Contractura articular, antebrazo"
"M2454" "M2454   Contractura articular, mano"
"M2455" "M2455   Contractura articular, regin pelviana y muslo"
"M2456" "M2456   Contractura articular, pierna"
"M2457" "M2457   Contractura articular, tobillo y pie"
"M2458" "M2458   Contractura articular, otros"
"M2459" "M2459   Contractura articular, sitio no especificado"
"M246" "M246   Anquilosis articular"
"M2460" "M2460   Anquilosis articular, sitios mltiples"
"M2461" "M2461   Anquilosis articular, regin del hombro"
"M2462" "M2462   Anquilosis articular, brazo"
"M2463" "M2463   Anquilosis articular, antebrazo"
"M2464" "M2464   Anquilosis articular, mano"
"M2465" "M2465   Anquilosis articular, regin pelviana y muslo"
"M2466" "M2466   Anquilosis articular, pierna"
"M2467" "M2467   Anquilosis articular, tobillo y pie"
"M2468" "M2468   Anquilosis articular, otros"
"M2469" "M2469   Anquilosis articular, sitio no especificado"
"M247" "M247   Protrusin de acetbulo"
"M2470" "M2470   Protrusin de acetbulo, sitios mltiples"
"M2471" "M2471   Protrusin de acetbulo, regin del hombro"
"M2472" "M2472   Protrusin de acetbulo, brazo"
"M2473" "M2473   Protrusin de acetbulo, antebrazo"
"M2474" "M2474   Protrusin de acetbulo, mano"
"M2475" "M2475   Protrusin de acetbulo, regin pelviana y muslo"
"M2476" "M2476   Protrusin de acetbulo, pierna"
"M2477" "M2477   Protrusin de acetbulo, tobillo y pie"
"M2478" "M2478   Protrusin de acetbulo, otros"
"M2479" "M2479   Protrusin de acetbulo, sitio no especificado"
"M248" "M248   Otras lesiones articulares especficas, no clasificadas en otra parte"
"M2480" "M2480   Otras lesiones articulares especficas, no clasificadas en otra parte, sitios mltiples"
"M2481" "M2481   Otras lesiones articulares especficas, no clasificadas en otra parte, regin del hombro"
"M2482" "M2482   Otras lesiones articulares especficas, no clasificadas en otra parte, brazo"
"M2483" "M2483   Otras lesiones articulares especficas, no clasificadas en otra parte, antebrazo"
"M2484" "M2484   Otras lesiones articulares especficas, no clasificadas en otra parte, mano"
"M2485" "M2485   Otras lesiones articulares especficas, no clasificadas en otra parte, regin pelviana y muslo"
"M2486" "M2486   Otras lesiones articulares especficas, no clasificadas en otra parte, pierna"
"M2487" "M2487   Otras lesiones articulares especficas, no clasificadas en otra parte, tobillo y pie"
"M2488" "M2488   Otras lesiones articulares especficas, no clasificadas en otra parte, otros"
"M2489" "M2489   Otras lesiones articulares especficas, no clasificadas en otra parte, sitio no especificado"
"M249" "M249   Desarreglo articular, no especificado"
"M2490" "M2490   Desarreglo articular, no especificado, sitios mltiples"
"M2491" "M2491   Desarreglo articular, no especificado, regin del hombro"
"M2492" "M2492   Desarreglo articular, no especificado, brazo"
"M2493" "M2493   Desarreglo articular, no especificado, antebrazo"
"M2494" "M2494   Desarreglo articular, no especificado, mano"
"M2495" "M2495   Desarreglo articular, no especificado, regin pelviana y muslo"
"M2496" "M2496   Desarreglo articular, no especificado, pierna"
"M2497" "M2497   Desarreglo articular, no especificado, tobillo y pie"
"M2498" "M2498   Desarreglo articular, no especificado, otros"
"M2499" "M2499   Desarreglo articular, no especificado, sitio no especificado"
"M25" "M25   Otros trastornos articulares, no clasificados en otra parte"
"M250" "M250   Hemartrosis"
"M2500" "M2500   Hemartrosis, sitios mltiples"
"M2501" "M2501   Hemartrosis, regin del hombro"
"M2502" "M2502   Hemartrosis, brazo"
"M2503" "M2503   Hemartrosis, antebrazo"
"M2504" "M2504   Hemartrosis, mano"
"M2505" "M2505   Hemartrosis, regin pelviana y muslo"
"M2506" "M2506   Hemartrosis, pierna"
"M2507" "M2507   Hemartrosis, tobillo y pie"
"M2508" "M2508   Hemartrosis, otros"
"M2509" "M2509   Hemartrosis, sitio no especificado"
"M251" "M251   Fstula articular"
"M2510" "M2510   Fstula articular, sitios mltiples"
"M2511" "M2511   Fstula articular, regin del hombro"
"M2512" "M2512   Fstula articular, brazo"
"M2513" "M2513   Fstula articular, antebrazo"
"M2514" "M2514   Fstula articular, mano"
"M2515" "M2515   Fstula articular, regin pelviana y muslo"
"M2516" "M2516   Fstula articular, pierna"
"M2517" "M2517   Fstula articular, tobillo y pie"
"M2518" "M2518   Fstula articular, otros"
"M2519" "M2519   Fstula articular, sitio no especificado"
"M252" "M252   Articulacin inestable"
"M2520" "M2520   Articulacin inestable, sitios mltiples"
"M2521" "M2521   Articulacin inestable, regin del hombro"
"M2522" "M2522   Articulacin inestable, brazo"
"M2523" "M2523   Articulacin inestable, antebrazo"
"M2524" "M2524   Articulacin inestable, mano"
"M2525" "M2525   Articulacin inestable, regin pelviana y muslo"
"M2526" "M2526   Articulacin inestable, pierna"
"M2527" "M2527   Articulacin inestable, tobillo y pie"
"M2528" "M2528   Articulacin inestable, otros"
"M2529" "M2529   Articulacin inestable, sitio no especificado"
"M253" "M253   Otras inestabilidades articulares"
"M2530" "M2530   Otras inestabilidades articulares, sitios mltiples"
"M2531" "M2531   Otras inestabilidades articulares, regin del hombro"
"M2532" "M2532   Otras inestabilidades articulares, brazo"
"M2533" "M2533   Otras inestabilidades articulares, antebrazo"
"M2534" "M2534   Otras inestabilidades articulares, mano"
"M2535" "M2535   Otras inestabilidades articulares, regin pelviana y muslo"
"M2536" "M2536   Otras inestabilidades articulares, pierna"
"M2537" "M2537   Otras inestabilidades articulares, tobillo y pie"
"M2538" "M2538   Otras inestabilidades articulares, otros"
"M2539" "M2539   Otras inestabilidades articulares, sitio no especificado"
"M254" "M254   Derrame articular"
"M2540" "M2540   Derrame articular, sitios mltiples"
"M2541" "M2541   Derrame articular, regin del hombro"
"M2542" "M2542   Derrame articular, brazo"
"M2543" "M2543   Derrame articular, antebrazo"
"M2544" "M2544   Derrame articular, mano"
"M2545" "M2545   Derrame articular, regin pelviana y muslo"
"M2546" "M2546   Derrame articular, pierna"
"M2547" "M2547   Derrame articular, tobillo y pie"
"M2548" "M2548   Derrame articular, otros"
"M2549" "M2549   Derrame articular, sitio no especificado"
"M255" "M255   Dolor en articulacin"
"M2550" "M2550   Dolor en articulacin, sitios mltiples"
"M2551" "M2551   Dolor en articulacin, regin del hombro"
"M2552" "M2552   Dolor en articulacin, brazo"
"M2553" "M2553   Dolor en articulacin, antebrazo"
"M2554" "M2554   Dolor en articulacin, mano"
"M2555" "M2555   Dolor en articulacin, regin pelviana y muslo"
"M2556" "M2556   Dolor en articulacin, pierna"
"M2557" "M2557   Dolor en articulacin, tobillo y pie"
"M2558" "M2558   Dolor en articulacin, otros"
"M2559" "M2559   Dolor en articulacin, sitio no especificado"
"M256" "M256   Rigidez articular, no clasificada en otra parte"
"M2560" "M2560   Rigidez articular, no clasificada en otra parte, sitios mltiples"
"M2561" "M2561   Rigidez articular, no clasificada en otra parte, regin del hombro"
"M2562" "M2562   Rigidez articular, no clasificada en otra parte, brazo"
"M2563" "M2563   Rigidez articular, no clasificada en otra parte, antebrazo"
"M2564" "M2564   Rigidez articular, no clasificada en otra parte, mano"
"M2565" "M2565   Rigidez articular, no clasificada en otra parte, regin pelviana y muslo"
"M2566" "M2566   Rigidez articular, no clasificada en otra parte, pierna"
"M2567" "M2567   Rigidez articular, no clasificada en otra parte, tobillo y pie"
"M2568" "M2568   Rigidez articular, no clasificada en otra parte, otros"
"M2569" "M2569   Rigidez articular, no clasificada en otra parte, sitio no especificado"
"M257" "M257   Osteofito"
"M2570" "M2570   Osteofito, sitios mltiples"
"M2571" "M2571   Osteofito, regin del hombro"
"M2572" "M2572   Osteofito, brazo"
"M2573" "M2573   Osteofito, antebrazo"
"M2574" "M2574   Osteofito, mano"
"M2575" "M2575   Osteofito, regin pelviana y muslo"
"M2576" "M2576   Osteofito, pierna"
"M2577" "M2577   Osteofito, tobillo y pie"
"M2578" "M2578   Osteofito, otros"
"M2579" "M2579   Osteofito, sitio no especificado"
"M258" "M258   Otros trastornos articulares especificados"
"M2580" "M2580   Otros trastornos articulares especificados, sitios mltiples"
"M2581" "M2581   Otros trastornos articulares especificados, regin del hombro"
"M2582" "M2582   Otros trastornos articulares especificados, brazo"
"M2583" "M2583   Otros trastornos articulares especificados, antebrazo"
"M2584" "M2584   Otros trastornos articulares especificados, mano"
"M2585" "M2585   Otros trastornos articulares especificados, regin pelviana y muslo"
"M2586" "M2586   Otros trastornos articulares especificados, pierna"
"M2587" "M2587   Otros trastornos articulares especificados, tobillo y pie"
"M2588" "M2588   Otros trastornos articulares especificados, otros"
"M2589" "M2589   Otros trastornos articulares especificados, sitio no especificado"
"M259" "M259   Trastorno articular, no especificado"
"M2590" "M2590   Trastorno articular, no especificado, sitios mltiples"
"M2591" "M2591   Trastorno articular, no especificado, regin del hombro"
"M2592" "M2592   Trastorno articular, no especificado, brazo"
"M2593" "M2593   Trastorno articular, no especificado, antebrazo"
"M2594" "M2594   Trastorno articular, no especificado, mano"
"M2595" "M2595   Trastorno articular, no especificado, regin pelviana y muslo"
"M2596" "M2596   Trastorno articular, no especificado, pierna"
"M2597" "M2597   Trastorno articular, no especificado, tobillo y pie"
"M2598" "M2598   Trastorno articular, no especificado, otros"
"M2599" "M2599   Trastorno articular, no especificado, sitio no especificado"
"M30" "M30   Poliarteritis nudosa y afecciones relacionadas"
"M300" "M300   Poliarteritis nudosa"
"M301" "M301   Poliarteritis con compromiso pulmonar [Churg-Strauss]"
"M302" "M302   Poliarteritis juvenil"
"M303" "M303   Sndrome mucocutneo linfonodular [Kawasaki]"
"M308" "M308   Otras afecciones relacionadas con la poliarteritis nudosa"
"M31" "M31   Otras vasculopatas necrotizantes"
"M310" "M310   Angitis debida a hipersensibilidad"
"M311" "M311   Microangiopata trombtica"
"M312" "M312   Granuloma letal de la lnea media"
"M313" "M313   Granulomatosis de Wegener"
"M314" "M314   Sndrome del cayado de la aorta [Takayasu]"
"M315" "M315   Arteritis de clulas gigantes con polimialgia reumtica"
"M316" "M316   Otras arteritis de clulas gigantes"
"M317" "M317   Poliangitis microscpica"
"M318" "M318   Otras vasculopatas necrotizantes especificadas"
"M319" "M319   Vasculopata necrotizante, no especificada"
"M32" "M32   Lupus eritematoso sistmico"
"M320" "M320   Lupus eritematoso sistmico, inducido por drogas"
"M321" "M321   Lupus eritematoso sistmico con compromiso de rganos o sistemas"
"M328" "M328   Otras formas de lupus eritematoso sistmico"
"M329" "M329   Lupus eritematoso sistmico, sin otra especificacin"
"M33" "M33   Dermatopolimiositis"
"M330" "M330   Dermatomiositis juvenil"
"M331" "M331   Otras dermatomiositis"
"M332" "M332   Polimiositis"
"M339" "M339   Dermatopolimiositis, no especificada"
"M34" "M34   Esclerosis sistmica"
"M340" "M340   Esclerosis sistmica progresiva"
"M341" "M341   Sndrome CR(E)ST"
"M342" "M342   Esclerosis sistmica inducida por drogas o productos qumicos"
"M348" "M348   Otras formas de esclerosis sistmica"
"M349" "M349   Esclerosis sistmica, no especificada"
"M35" "M35   Otro compromiso sistmico del tejido conjuntivo"
"M350" "M350   Sndrome seco [Sjogren]"
"M351" "M351   Otros sndromes superpuestos"
"M352" "M352   Enfermedad de Behcet"
"M353" "M353   Polimialgia reumtica"
"M354" "M354   Fascitis difusa (eosinoflica)"
"M355" "M355   Fibrosclerosis multifocal"
"M356" "M356   Paniculitis recidivante [Weber-Christian]"
"M357" "M357   Sndrome de hipermovilidad"
"M358" "M358   Otras enfermedades especificadas con compromiso sistmico del tejido conjuntivo"
"M359" "M359   Compromiso sistmico del tejido conjuntivo, no especificado"
"M36" "M36   Trastornos sistmicos del tejido conjuntivo en enfermedades clasificadas en otra parte"
"M360" "M360   Dermato(poli)miositis en enfermedad neoplsica"
"M361" "M361   Artropata en enfermedad neoplsica"
"M362" "M362   Artropata hemoflica"
"M363" "M363   Artropata en otros trastornos de la sangre"
"M364" "M364   Artropata en reacciones de hipersensibilidad clasificadas en otra parte"
"M368" "M368   Trastornos sistmicos del tejido conjuntivo en otras enfermedades clasificadas en otra parte"
"M40" "M40   Cifosis y lordosis"
"M400" "M400   Cifosis postural"
"M4000" "M4000   Cifosis postural, sitios mltiples de la columna vertebral"
"M4001" "M4001   Cifosis postural, regin occipitocervical"
"M4002" "M4002   Cifosis postural, regin cervical"
"M4003" "M4003   Cifosis postural, regin cervicotorcica"
"M4004" "M4004   Cifosis postural, regin torcica"
"M4005" "M4005   Cifosis postural, regin toracolumbar"
"M4006" "M4006   Cifosis postural, regin lumbar"
"M4007" "M4007   Cifosis postural, regin lumbosacra"
"M4008" "M4008   Cifosis postural, regin sacra y sacrococcgea"
"M4009" "M4009   Cifosis postural, sitio no especificado"
"M401" "M401   Otras cifosis secundarias"
"M4010" "M4010   Otras cifosis secundarias, sitios mltiples de la columna vertebral"
"M4011" "M4011   Otras cifosis secundarias, regin occipitocervical"
"M4012" "M4012   Otras cifosis secundarias, regin cervical"
"M4013" "M4013   Otras cifosis secundarias, regin cervicotorcica"
"M4014" "M4014   Otras cifosis secundarias, regin torcica"
"M4015" "M4015   Otras cifosis secundarias, regin toracolumbar"
"M4016" "M4016   Otras cifosis secundarias, regin lumbar"
"M4017" "M4017   Otras cifosis secundarias, regin lumbosacra"
"M4018" "M4018   Otras cifosis secundarias, regin sacra y sacrococcgea"
"M4019" "M4019   Otras cifosis secundarias, sitio no especificado"
"M402" "M402   Otras cifosis y las no especificadas"
"M4020" "M4020   Otras cifosis y las no especificadas, sitios mltiples de la columna vertebral"
"M4021" "M4021   Otras cifosis y las no especificadas, regin occipitocervical"
"M4022" "M4022   Otras cifosis y las no especificadas, regin cervical"
"M4023" "M4023   Otras cifosis y las no especificadas, regin cervicotorcica"
"M4024" "M4024   Otras cifosis y las no especificadas, regin torcica"
"M4025" "M4025   Otras cifosis y las no especificadas, regin toracolumbar"
"M4026" "M4026   Otras cifosis y las no especificadas, regin lumbar"
"M4027" "M4027   Otras cifosis y las no especificadas, regin lumbosacra"
"M4028" "M4028   Otras cifosis y las no especificadas, regin sacra y sacrococcgea"
"M4029" "M4029   Otras cifosis y las no especificadas, sitio no especificado"
"M403" "M403   Sndrome de espalda plana"
"M4030" "M4030   Sndrome de espalda plana, sitios mltiples de la columna vertebral"
"M4031" "M4031   Sndrome de espalda plana, regin occipitocervical"
"M4032" "M4032   Sndrome de espalda plana, regin cervical"
"M4033" "M4033   Sndrome de espalda plana, regin cervicotorcica"
"M4034" "M4034   Sndrome de espalda plana, regin torcica"
"M4035" "M4035   Sndrome de espalda plana, regin toracolumbar"
"M4036" "M4036   Sndrome de espalda plana, regin lumbar"
"M4037" "M4037   Sndrome de espalda plana, regin lumbosacra"
"M4038" "M4038   Sndrome de espalda plana, regin sacra y sacrococcgea"
"M4039" "M4039   Sndrome de espalda plana, sitio no especificado"
"M404" "M404   Otras lordosis"
"M4040" "M4040   Otras lordosis, sitios mltiples de la columna vertebral"
"M4041" "M4041   Otras lordosis, regin occipitocervical"
"M4042" "M4042   Otras lordosis, regin cervical"
"M4043" "M4043   Otras lordosis, regin cervicotorcica"
"M4044" "M4044   Otras lordosis, regin torcica"
"M4045" "M4045   Otras lordosis, regin toracolumbar"
"M4046" "M4046   Otras lordosis, regin lumbar"
"M4047" "M4047   Otras lordosis, regin lumbosacra"
"M4048" "M4048   Otras lordosis, regin sacra y sacrococcgea"
"M4049" "M4049   Otras lordosis, sitio no especificado"
"M405" "M405   Lordosis, no especificada"
"M4050" "M4050   Lordosis, no especificada, sitios mltiples de la columna vertebral"
"M4051" "M4051   Lordosis, no especificada, regin occipitocervical"
"M4052" "M4052   Lordosis, no especificada, regin cervical"
"M4053" "M4053   Lordosis, no especificada, regin cervicotorcica"
"M4054" "M4054   Lordosis, no especificada, regin torcica"
"M4055" "M4055   Lordosis, no especificada, regin toracolumbar"
"M4056" "M4056   Lordosis, no especificada, regin lumbar"
"M4057" "M4057   Lordosis, no especificada, regin lumbosacra"
"M4058" "M4058   Lordosis, no especificada, regin sacra y sacrococcgea"
"M4059" "M4059   Lordosis, no especificada, sitio no especificado"
"M41" "M41   Escoliosis"
"M410" "M410   Escoliosis idioptica infantil"
"M4100" "M4100   Escoliosis idioptica infantil, sitios mltiples de la columna vertebral"
"M4101" "M4101   Escoliosis idioptica infantil, regin occipitocervical"
"M4102" "M4102   Escoliosis idioptica infantil, regin cervical"
"M4103" "M4103   Escoliosis idioptica infantil, regin cervicotorcica"
"M4104" "M4104   Escoliosis idioptica infantil, regin torcica"
"M4105" "M4105   Escoliosis idioptica infantil, regin toracolumbar"
"M4106" "M4106   Escoliosis idioptica infantil, regin lumbar"
"M4107" "M4107   Escoliosis idioptica infantil, regin lumbosacra"
"M4108" "M4108   Escoliosis idioptica infantil, regin sacra y sacrococcgea"
"M4109" "M4109   Escoliosis idioptica infantil, sitio no especificado"
"M411" "M411   Escoliosis idioptica juvenil"
"M4110" "M4110   Escoliosis idioptica juvenil, sitios mltiples de la columna vertebral"
"M4111" "M4111   Escoliosis idioptica juvenil, regin occipitocervical"
"M4112" "M4112   Escoliosis idioptica juvenil, regin cervical"
"M4113" "M4113   Escoliosis idioptica juvenil, regin cervicotorcica"
"M4114" "M4114   Escoliosis idioptica juvenil, regin torcica"
"M4115" "M4115   Escoliosis idioptica juvenil, regin toracolumbar"
"M4116" "M4116   Escoliosis idioptica juvenil, regin lumbar"
"M4117" "M4117   Escoliosis idioptica juvenil, regin lumbosacra"
"M4118" "M4118   Escoliosis idioptica juvenil, regin sacra y sacrococcgea"
"M4119" "M4119   Escoliosis idioptica juvenil, sitio no especificado"
"M412" "M412   Otras escoliosis idiopticas"
"M4120" "M4120   Otras escoliosis idiopticas, sitios mltiples de la columna vertebral"
"M4121" "M4121   Otras escoliosis idiopticas, regin occipitocervical"
"M4122" "M4122   Otras escoliosis idiopticas, regin cervical"
"M4123" "M4123   Otras escoliosis idiopticas, regin cervicotorcica"
"M4124" "M4124   Otras escoliosis idiopticas, regin torcica"
"M4125" "M4125   Otras escoliosis idiopticas, regin toracolumbar"
"M4126" "M4126   Otras escoliosis idiopticas, regin lumbar"
"M4127" "M4127   Otras escoliosis idiopticas, regin lumbosacra"
"M4128" "M4128   Otras escoliosis idiopticas, regin sacra y sacrococcgea"
"M4129" "M4129   Otras escoliosis idiopticas, sitio no especificado"
"M413" "M413   Escoliosis toracognica"
"M4130" "M4130   Escoliosis toracognica, sitios mltiples de la columna vertebral"
"M4131" "M4131   Escoliosis toracognica, regin occipitocervical"
"M4132" "M4132   Escoliosis toracognica, regin cervical"
"M4133" "M4133   Escoliosis toracognica, regin cervicotorcica"
"M4134" "M4134   Escoliosis toracognica, regin torcica"
"M4135" "M4135   Escoliosis toracognica, regin toracolumbar"
"M4136" "M4136   Escoliosis toracognica, regin lumbar"
"M4137" "M4137   Escoliosis toracognica, regin lumbosacra"
"M4138" "M4138   Escoliosis toracognica, regin sacra y sacrococcgea"
"M4139" "M4139   Escoliosis toracognica, sitio no especificado"
"M414" "M414   Escoliosis neuromuscular"
"M4140" "M4140   Escoliosis neuromuscular, sitios mltiples de la columna vertebral"
"M4141" "M4141   Escoliosis neuromuscular, regin occipitocervical"
"M4142" "M4142   Escoliosis neuromuscular, regin cervical"
"M4143" "M4143   Escoliosis neuromuscular, regin cervicotorcica"
"M4144" "M4144   Escoliosis neuromuscular, regin torcica"
"M4145" "M4145   Escoliosis neuromuscular, regin toracolumbar"
"M4146" "M4146   Escoliosis neuromuscular, regin lumbar"
"M4147" "M4147   Escoliosis neuromuscular, regin lumbosacra"
"M4148" "M4148   Escoliosis neuromuscular, regin sacra y sacrococcgea"
"M4149" "M4149   Escoliosis neuromuscular, sitio no especificado"
"M415" "M415   Otras escoliosis secundarias"
"M4150" "M4150   Otras escoliosis secundarias, sitios mltiples de la columna vertebral"
"M4151" "M4151   Otras escoliosis secundarias, regin occipitocervical"
"M4152" "M4152   Otras escoliosis secundarias, regin cervical"
"M4153" "M4153   Otras escoliosis secundarias, regin cervicotorcica"
"M4154" "M4154   Otras escoliosis secundarias, regin torcica"
"M4155" "M4155   Otras escoliosis secundarias, regin toracolumbar"
"M4156" "M4156   Otras escoliosis secundarias, regin lumbar"
"M4157" "M4157   Otras escoliosis secundarias, regin lumbosacra"
"M4158" "M4158   Otras escoliosis secundarias, regin sacra y sacrococcgea"
"M4159" "M4159   Otras escoliosis secundarias, sitio no especificado"
"M418" "M418   Otras formas de escoliosis"
"M4180" "M4180   Otras formas de escoliosis, sitios mltiples de la columna vertebral"
"M4181" "M4181   Otras formas de escoliosis, regin occipitocervical"
"M4182" "M4182   Otras formas de escoliosis, regin cervical"
"M4183" "M4183   Otras formas de escoliosis, regin cervicotorcica"
"M4184" "M4184   Otras formas de escoliosis, regin torcica"
"M4185" "M4185   Otras formas de escoliosis, regin toracolumbar"
"M4186" "M4186   Otras formas de escoliosis, regin lumbar"
"M4187" "M4187   Otras formas de escoliosis, regin lumbosacra"
"M4188" "M4188   Otras formas de escoliosis, regin sacra y sacrococcgea"
"M4189" "M4189   Otras formas de escoliosis, sitio no especificado"
"M419" "M419   Escoliosis, no especificada"
"M4190" "M4190   Escoliosis, no especificada, sitios mltiples de la columna vertebral"
"M4191" "M4191   Escoliosis, no especificada, regin occipitocervical"
"M4192" "M4192   Escoliosis, no especificada, regin cervical"
"M4193" "M4193   Escoliosis, no especificada, regin cervicotorcica"
"M4194" "M4194   Escoliosis, no especificada, regin torcica"
"M4195" "M4195   Escoliosis, no especificada, regin toracolumbar"
"M4196" "M4196   Escoliosis, no especificada, regin lumbar"
"M4197" "M4197   Escoliosis, no especificada, regin lumbosacra"
"M4198" "M4198   Escoliosis, no especificada, regin sacra y sacrococcgea"
"M4199" "M4199   Escoliosis, no especificada, sitio no especificado"
"M42" "M42   Osteocondrosis de la columna vertebral"
"M420" "M420   Osteocondrosis juvenil de la columna vertebral"
"M4200" "M4200   Osteocondrosis juvenil de la columna vertebral, sitios mltiples de la columna vertebral"
"M4201" "M4201   Osteocondrosis juvenil de la columna vertebral, regin occipitocervical"
"M4202" "M4202   Osteocondrosis juvenil de la columna vertebral, regin cervical"
"M4203" "M4203   Osteocondrosis juvenil de la columna vertebral, regin cervicotorcica"
"M4204" "M4204   Osteocondrosis juvenil de la columna vertebral, regin torcica"
"M4205" "M4205   Osteocondrosis juvenil de la columna vertebral, regin toracolumbar"
"M4206" "M4206   Osteocondrosis juvenil de la columna vertebral, regin lumbar"
"M4207" "M4207   Osteocondrosis juvenil de la columna vertebral, regin lumbosacra"
"M4208" "M4208   Osteocondrosis juvenil de la columna vertebral, regin sacra y sacrococcgea"
"M4209" "M4209   Osteocondrosis juvenil de la columna vertebral, sitio no especificado"
"M421" "M421   Osteocondrosis de la columna vertebral del adulto"
"M4210" "M4210   Osteocondrosis de la columna vertebral del adulto, sitios mltiples de la columna vertebral"
"M4211" "M4211   Osteocondrosis de la columna vertebral del adulto, regin occipitocervical"
"M4212" "M4212   Osteocondrosis de la columna vertebral del adulto, regin cervical"
"M4213" "M4213   Osteocondrosis de la columna vertebral del adulto, regin cervicotorcica"
"M4214" "M4214   Osteocondrosis de la columna vertebral del adulto, regin torcica"
"M4215" "M4215   Osteocondrosis de la columna vertebral del adulto, regin toracolumbar"
"M4216" "M4216   Osteocondrosis de la columna vertebral del adulto, regin lumbar"
"M4217" "M4217   Osteocondrosis de la columna vertebral del adulto, regin lumbosacra"
"M4218" "M4218   Osteocondrosis de la columna vertebral del adulto, regin sacra y sacrococcgea"
"M4219" "M4219   Osteocondrosis de la columna vertebral del adulto, sitio no especificado"
"M429" "M429   Osteocondrosis vertebral, no especificada"
"M4290" "M4290   Osteocondrosis vertebral, no especificada, sitios mltiples de la columna vertebral"
"M4291" "M4291   Osteocondrosis vertebral, no especificada, regin occipitocervical"
"M4292" "M4292   Osteocondrosis vertebral, no especificada, regin cervical"
"M4293" "M4293   Osteocondrosis vertebral, no especificada, regin cervicotorcica"
"M4294" "M4294   Osteocondrosis vertebral, no especificada, regin torcica"
"M4295" "M4295   Osteocondrosis vertebral, no especificada, regin toracolumbar"
"M4296" "M4296   Osteocondrosis vertebral, no especificada, regin lumbar"
"M4297" "M4297   Osteocondrosis vertebral, no especificada, regin lumbosacra"
"M4298" "M4298   Osteocondrosis vertebral, no especificada, regin sacra y sacrococcgea"
"M4299" "M4299   Osteocondrosis vertebral, no especificada, sitio no especificado"
"M43" "M43   Otras dorsopatas deformantes"
"M430" "M430   Espondillisis"
"M4300" "M4300   Espondillisis, sitios mltiples de la columna vertebral"
"M4301" "M4301   Espondillisis, regin occipitocervical"
"M4302" "M4302   Espondillisis, regin cervical"
"M4303" "M4303   Espondillisis, regin cervicotorcica"
"M4304" "M4304   Espondillisis, regin torcica"
"M4305" "M4305   Espondillisis, regin toracolumbar"
"M4306" "M4306   Espondillisis, regin lumbar"
"M4307" "M4307   Espondillisis, regin lumbosacra"
"M4308" "M4308   Espondillisis, regin sacra y sacrococcgea"
"M4309" "M4309   Espondillisis, sitio no especificado"
"M431" "M431   Espondilolistesis"
"M4310" "M4310   Espondilolistesis, sitios mltiples de la columna vertebral"
"M4311" "M4311   Espondilolistesis, regin occipitocervical"
"M4312" "M4312   Espondilolistesis, regin cervical"
"M4313" "M4313   Espondilolistesis, regin cervicotorcica"
"M4314" "M4314   Espondilolistesis, regin torcica"
"M4315" "M4315   Espondilolistesis, regin toracolumbar"
"M4316" "M4316   Espondilolistesis, regin lumbar"
"M4317" "M4317   Espondilolistesis, regin lumbosacra"
"M4318" "M4318   Espondilolistesis, regin sacra y sacrococcgea"
"M4319" "M4319   Espondilolistesis, sitio no especificado"
"M432" "M432   Otras fusiones de la columna vertebral"
"M4320" "M4320   Otras fusiones de la columna vertebral, sitios mltiples de la columna vertebral"
"M4321" "M4321   Otras fusiones de la columna vertebral, regin occipitocervical"
"M4322" "M4322   Otras fusiones de la columna vertebral, regin cervical"
"M4323" "M4323   Otras fusiones de la columna vertebral, regin cervicotorcica"
"M4324" "M4324   Otras fusiones de la columna vertebral, regin torcica"
"M4325" "M4325   Otras fusiones de la columna vertebral, regin toracolumbar"
"M4326" "M4326   Otras fusiones de la columna vertebral, regin lumbar"
"M4327" "M4327   Otras fusiones de la columna vertebral, regin lumbosacra"
"M4328" "M4328   Otras fusiones de la columna vertebral, regin sacra y sacrococcgea"
"M4329" "M4329   Otras fusiones de la columna vertebral, sitio no especificado"
"M433" "M433   Subluxacin atlanto-axoidea recurrente, con mielopata"
"M4330" "M4330   Subluxacin atlanto-axoidea recurrente, con mielopata, sitios mltiples de la columna vertebral"
"M4331" "M4331   Subluxacin atlanto-axoidea recurrente, con mielopata, regin occipitocervical"
"M4332" "M4332   Subluxacin atlanto-axoidea recurrente, con mielopata, regin cervical"
"M4333" "M4333   Subluxacin atlanto-axoidea recurrente, con mielopata, regin cervicotorcica"
"M4334" "M4334   Subluxacin atlanto-axoidea recurrente, con mielopata, regin torcica"
"M4335" "M4335   Subluxacin atlanto-axoidea recurrente, con mielopata, regin toracolumbar"
"M4336" "M4336   Subluxacin atlanto-axoidea recurrente, con mielopata, regin lumbar"
"M4337" "M4337   Subluxacin atlanto-axoidea recurrente, con mielopata, regin lumbosacra"
"M4338" "M4338   Subluxacin atlanto-axoidea recurrente, con mielopata, regin sacra y sacrococcgea"
"M4339" "M4339   Subluxacin atlanto-axoidea recurrente, con mielopata, sitio no especificado"
"M434" "M434   Otras subluxaciones atlanto-axoideas recurrentes"
"M4340" "M4340   Otras subluxaciones atlanto-axoideas recurrentes, sitios mltiples de la columna vertebral"
"M4341" "M4341   Otras subluxaciones atlanto-axoideas recurrentes, regin occipitocervical"
"M4342" "M4342   Otras subluxaciones atlanto-axoideas recurrentes, regin cervical"
"M4343" "M4343   Otras subluxaciones atlanto-axoideas recurrentes, regin cervicotorcica"
"M4344" "M4344   Otras subluxaciones atlanto-axoideas recurrentes, regin torcica"
"M4345" "M4345   Otras subluxaciones atlanto-axoideas recurrentes, regin toracolumbar"
"M4346" "M4346   Otras subluxaciones atlanto-axoideas recurrentes, regin lumbar"
"M4347" "M4347   Otras subluxaciones atlanto-axoideas recurrentes, regin lumbosacra"
"M4348" "M4348   Otras subluxaciones atlanto-axoideas recurrentes, regin sacra y sacrococcgea"
"M4349" "M4349   Otras subluxaciones atlanto-axoideas recurrentes, sitio no especificado"
"M435" "M435   Otras subluxaciones vertebrales recurrentes"
"M4350" "M4350   Otras subluxaciones vertebrales recurrentes, sitios mltiples de la columna vertebral"
"M4351" "M4351   Otras subluxaciones vertebrales recurrentes, regin occipitocervical"
"M4352" "M4352   Otras subluxaciones vertebrales recurrentes, regin cervical"
"M4353" "M4353   Otras subluxaciones vertebrales recurrentes, regin cervicotorcica"
"M4354" "M4354   Otras subluxaciones vertebrales recurrentes, regin torcica"
"M4355" "M4355   Otras subluxaciones vertebrales recurrentes, regin toracolumbar"
"M4356" "M4356   Otras subluxaciones vertebrales recurrentes, regin lumbar"
"M4357" "M4357   Otras subluxaciones vertebrales recurrentes, regin lumbosacra"
"M4358" "M4358   Otras subluxaciones vertebrales recurrentes, regin sacra y sacrococcgea"
"M4359" "M4359   Otras subluxaciones vertebrales recurrentes, sitio no especificado"
"M436" "M436   Tortcolis"
"M4360" "M4360   Tortcolis, sitios mltiples de la columna vertebral"
"M4361" "M4361   Tortcolis, regin occipitocervical"
"M4362" "M4362   Tortcolis, regin cervical"
"M4363" "M4363   Tortcolis, regin cervicotorcica"
"M4364" "M4364   Tortcolis, regin torcica"
"M4365" "M4365   Tortcolis, regin toracolumbar"
"M4366" "M4366   Tortcolis, regin lumbar"
"M4367" "M4367   Tortcolis, regin lumbosacra"
"M4368" "M4368   Tortcolis, regin sacra y sacrococcgea"
"M4369" "M4369   Tortcolis, sitio no especificado"
"M438" "M438   Otras dorsopatas deformantes de la columna vertebral especificadas"
"M4380" "M4380   Otras dorsopatas deformantes de la columna vertebral especificadas, sitios mltiples de la columna vertebral"
"M4381" "M4381   Otras dorsopatas deformantes de la columna vertebral especificadas, regin occipitocervical"
"M4382" "M4382   Otras dorsopatas deformantes de la columna vertebral especificadas, regin cervical"
"M4383" "M4383   Otras dorsopatas deformantes de la columna vertebral especificadas, regin cervicotorcica"
"M4384" "M4384   Otras dorsopatas deformantes de la columna vertebral especificadas, regin torcica"
"M4385" "M4385   Otras dorsopatas deformantes de la columna vertebral especificadas, regin toracolumbar"
"M4386" "M4386   Otras dorsopatas deformantes de la columna vertebral especificadas, regin lumbar"
"M4387" "M4387   Otras dorsopatas deformantes de la columna vertebral especificadas, regin lumbosacra"
"M4388" "M4388   Otras dorsopatas deformantes de la columna vertebral especificadas, regin sacra y sacrococcgea"
"M4389" "M4389   Otras dorsopatas deformantes de la columna vertebral especificadas, sitio no especificado"
"M439" "M439   Dorsopata deformante, no especificada"
"M4390" "M4390   Dorsopata deformante, no especificada, sitios mltiples de la columna vertebral"
"M4391" "M4391   Dorsopata deformante, no especificada, regin occipitocervical"
"M4392" "M4392   Dorsopata deformante, no especificada, regin cervical"
"M4393" "M4393   Dorsopata deformante, no especificada, regin cervicotorcica"
"M4394" "M4394   Dorsopata deformante, no especificada, regin torcica"
"M4395" "M4395   Dorsopata deformante, no especificada, regin toracolumbar"
"M4396" "M4396   Dorsopata deformante, no especificada, regin lumbar"
"M4397" "M4397   Dorsopata deformante, no especificada, regin lumbosacra"
"M4398" "M4398   Dorsopata deformante, no especificada, regin sacra y sacrococcgea"
"M4399" "M4399   Dorsopata deformante, no especificada, sitio no especificado"
"M45" "M45   Espondilitis anquilosante"
"M450" "M450   Espondilitis anquilosante, sitios mltiples de la columna vertebral"
"M451" "M451   Espondilitis anquilosante, regin occipitocervical"
"M452" "M452   Espondilitis anquilosante, regin cervical"
"M453" "M453   Espondilitis anquilosante, regin cervicotorcica"
"M454" "M454   Espondilitis anquilosante, regin torcica"
"M455" "M455   Espondilitis anquilosante, regin toracolumbar"
"M456" "M456   Espondilitis anquilosante, regin lumbar"
"M457" "M457   Espondilitis anquilosante, regin lumbosacra"
"M458" "M458   Espondilitis anquilosante, regin sacra y sacrococcgea"
"M459" "M459   Espondilitis anquilosante, sitio no especificado"
"M46" "M46   Otras espondilopatas inflamatorias"
"M460" "M460   Entesopata vertebral"
"M4600" "M4600   Entesopata vertebral, sitios mltiples de la columna vertebral"
"M4601" "M4601   Entesopata vertebral, regin occipitocervical"
"M4602" "M4602   Entesopata vertebral, regin cervical"
"M4603" "M4603   Entesopata vertebral, regin cervicotorcica"
"M4604" "M4604   Entesopata vertebral, regin torcica"
"M4605" "M4605   Entesopata vertebral, regin toracolumbar"
"M4606" "M4606   Entesopata vertebral, regin lumbar"
"M4607" "M4607   Entesopata vertebral, regin lumbosacra"
"M4608" "M4608   Entesopata vertebral, regin sacra y sacrococcgea"
"M4609" "M4609   Entesopata vertebral, sitio no especificado"
"M461" "M461   Sacroilitis, no clasificada en otra parte"
"M4610" "M4610   Sacroilitis, no clasificada en otra parte, sitios mltiples de la columna vertebral"
"M4611" "M4611   Sacroilitis, no clasificada en otra parte, regin occipitocervical"
"M4612" "M4612   Sacroilitis, no clasificada en otra parte, regin cervical"
"M4613" "M4613   Sacroilitis, no clasificada en otra parte, regin cervicotorcica"
"M4614" "M4614   Sacroilitis, no clasificada en otra parte, regin torcica"
"M4615" "M4615   Sacroilitis, no clasificada en otra parte, regin toracolumbar"
"M4616" "M4616   Sacroilitis, no clasificada en otra parte, regin lumbar"
"M4617" "M4617   Sacroilitis, no clasificada en otra parte, regin lumbosacra"
"M4618" "M4618   Sacroilitis, no clasificada en otra parte, regin sacra y sacrococcgea"
"M4619" "M4619   Sacroilitis, no clasificada en otra parte, sitio no especificado"
"M462" "M462   Osteomielitis de vrtebra"
"M4620" "M4620   Osteomielitis de vrtebra, sitios mltiples de la columna vertebral"
"M4621" "M4621   Osteomielitis de vrtebra, regin occipitocervical"
"M4622" "M4622   Osteomielitis de vrtebra, regin cervical"
"M4623" "M4623   Osteomielitis de vrtebra, regin cervicotorcica"
"M4624" "M4624   Osteomielitis de vrtebra, regin torcica"
"M4625" "M4625   Osteomielitis de vrtebra, regin toracolumbar"
"M4626" "M4626   Osteomielitis de vrtebra, regin lumbar"
"M4627" "M4627   Osteomielitis de vrtebra, regin lumbosacra"
"M4628" "M4628   Osteomielitis de vrtebra, regin sacra y sacrococcgea"
"M4629" "M4629   Osteomielitis de vrtebra, sitio no especificado"
"M463" "M463   Infeccin de disco intervertebral (pigena)"
"M4630" "M4630   Infeccin de disco intervertebral (pigena), sitios mltiples de la columna vertebral"
"M4631" "M4631   Infeccin de disco intervertebral (pigena), regin occipitocervical"
"M4632" "M4632   Infeccin de disco intervertebral (pigena), regin cervical"
"M4633" "M4633   Infeccin de disco intervertebral (pigena), regin cervicotorcica"
"M4634" "M4634   Infeccin de disco intervertebral (pigena), regin torcica"
"M4635" "M4635   Infeccin de disco intervertebral (pigena), regin toracolumbar"
"M4636" "M4636   Infeccin de disco intervertebral (pigena), regin lumbar"
"M4637" "M4637   Infeccin de disco intervertebral (pigena), regin lumbosacra"
"M4638" "M4638   Infeccin de disco intervertebral (pigena), regin sacra y sacrococcgea"
"M4639" "M4639   Infeccin de disco intervertebral (pigena), sitio no especificado"
"M464" "M464   Discitis, no especificada"
"M4640" "M4640   Discitis, no especificada, sitios mltiples de la columna vertebral"
"M4641" "M4641   Discitis, no especificada, regin occipitocervical"
"M4642" "M4642   Discitis, no especificada, regin cervical"
"M4643" "M4643   Discitis, no especificada, regin cervicotorcica"
"M4644" "M4644   Discitis, no especificada, regin torcica"
"M4645" "M4645   Discitis, no especificada, regin toracolumbar"
"M4646" "M4646   Discitis, no especificada, regin lumbar"
"M4647" "M4647   Discitis, no especificada, regin lumbosacra"
"M4648" "M4648   Discitis, no especificada, regin sacra y sacrococcgea"
"M4649" "M4649   Discitis, no especificada, sitio no especificado"
"M465" "M465   Otras espondilopatas infecciosas"
"M4650" "M4650   Otras espondilopatas infecciosas, sitios mltiples de la columna vertebral"
"M4651" "M4651   Otras espondilopatas infecciosas, regin occipitocervical"
"M4652" "M4652   Otras espondilopatas infecciosas, regin cervical"
"M4653" "M4653   Otras espondilopatas infecciosas, regin cervicotorcica"
"M4654" "M4654   Otras espondilopatas infecciosas, regin torcica"
"M4655" "M4655   Otras espondilopatas infecciosas, regin toracolumbar"
"M4656" "M4656   Otras espondilopatas infecciosas, regin lumbar"
"M4657" "M4657   Otras espondilopatas infecciosas, regin lumbosacra"
"M4658" "M4658   Otras espondilopatas infecciosas, regin sacra y sacrococcgea"
"M4659" "M4659   Otras espondilopatas infecciosas, sitio no especificado"
"M468" "M468   Otras espondilopatas inflamatorias especificadas"
"M4680" "M4680   Otras espondilopatas inflamatorias especificadas, sitios mltiples de la columna vertebral"
"M4681" "M4681   Otras espondilopatas inflamatorias especificadas, regin occipitocervical"
"M4682" "M4682   Otras espondilopatas inflamatorias especificadas, regin cervical"
"M4683" "M4683   Otras espondilopatas inflamatorias especificadas, regin cervicotorcica"
"M4684" "M4684   Otras espondilopatas inflamatorias especificadas, regin torcica"
"M4685" "M4685   Otras espondilopatas inflamatorias especificadas, regin toracolumbar"
"M4686" "M4686   Otras espondilopatas inflamatorias especificadas, regin lumbar"
"M4687" "M4687   Otras espondilopatas inflamatorias especificadas, regin lumbosacra"
"M4688" "M4688   Otras espondilopatas inflamatorias especificadas, regin sacra y sacrococcgea"
"M4689" "M4689   Otras espondilopatas inflamatorias especificadas, sitio no especificado"
"M469" "M469   Espondilopata inflamatoria, no especificada"
"M4690" "M4690   Espondilopata inflamatoria, no especificada, sitios mltiples de la columna vertebral"
"M4691" "M4691   Espondilopata inflamatoria, no especificada, regin occipitocervical"
"M4692" "M4692   Espondilopata inflamatoria, no especificada, regin cervical"
"M4693" "M4693   Espondilopata inflamatoria, no especificada, regin cervicotorcica"
"M4694" "M4694   Espondilopata inflamatoria, no especificada, regin torcica"
"M4695" "M4695   Espondilopata inflamatoria, no especificada, regin toracolumbar"
"M4696" "M4696   Espondilopata inflamatoria, no especificada, regin lumbar"
"M4697" "M4697   Espondilopata inflamatoria, no especificada, regin lumbosacra"
"M4698" "M4698   Espondilopata inflamatoria, no especificada, regin sacra y sacrococcgea"
"M4699" "M4699   Espondilopata inflamatoria, no especificada, sitio no especificado"
"M47" "M47   Espondilosis"
"M470" "M470   Sndromes de compresin de la arteria espinal o vertebral anterior"
"M4700" "M4700   Sndromes de compresin de la arteria espinal o vertebral anterior, sitios mltiples de la columna vertebral"
"M4701" "M4701   Sndromes de compresin de la arteria espinal o vertebral anterior, regin occipitocervical"
"M4702" "M4702   Sndromes de compresin de la arteria espinal o vertebral anterior, regin cervical"
"M4703" "M4703   Sndromes de compresin de la arteria espinal o vertebral anterior, regin cervicotorcica"
"M4704" "M4704   Sndromes de compresin de la arteria espinal o vertebral anterior, regin torcica"
"M4705" "M4705   Sndromes de compresin de la arteria espinal o vertebral anterior, regin toracolumbar"
"M4706" "M4706   Sndromes de compresin de la arteria espinal o vertebral anterior, regin lumbar"
"M4707" "M4707   Sndromes de compresin de la arteria espinal o vertebral anterior, regin lumbosacra"
"M4708" "M4708   Sndromes de compresin de la arteria espinal o vertebral anterior, regin sacra y sacrococcgea"
"M4709" "M4709   Sndromes de compresin de la arteria espinal o vertebral anterior, sitio no especificado"
"M471" "M471   Otras espondilosis con mielopata"
"M4710" "M4710   Otras espondilosis con mielopata, sitios mltiples de la columna vertebral"
"M4711" "M4711   Otras espondilosis con mielopata, regin occipitocervical"
"M4712" "M4712   Otras espondilosis con mielopata, regin cervical"
"M4713" "M4713   Otras espondilosis con mielopata, regin cervicotorcica"
"M4714" "M4714   Otras espondilosis con mielopata, regin torcica"
"M4715" "M4715   Otras espondilosis con mielopata, regin toracolumbar"
"M4716" "M4716   Otras espondilosis con mielopata, regin lumbar"
"M4717" "M4717   Otras espondilosis con mielopata, regin lumbosacra"
"M4718" "M4718   Otras espondilosis con mielopata, regin sacra y sacrococcgea"
"M4719" "M4719   Otras espondilosis con mielopata, sitio no especificado"
"M472" "M472   Otras espondilosis con radiculopata"
"M4720" "M4720   Otras espondilosis con radiculopata, sitios mltiples de la columna vertebral"
"M4721" "M4721   Otras espondilosis con radiculopata, regin occipitocervical"
"M4722" "M4722   Otras espondilosis con radiculopata, regin cervical"
"M4723" "M4723   Otras espondilosis con radiculopata, regin cervicotorcica"
"M4724" "M4724   Otras espondilosis con radiculopata, regin torcica"
"M4725" "M4725   Otras espondilosis con radiculopata, regin toracolumbar"
"M4726" "M4726   Otras espondilosis con radiculopata, regin lumbar"
"M4727" "M4727   Otras espondilosis con radiculopata, regin lumbosacra"
"M4728" "M4728   Otras espondilosis con radiculopata, regin sacra y sacrococcgea"
"M4729" "M4729   Otras espondilosis con radiculopata, sitio no especificado"
"M478" "M478   Otras espondilosis"
"M4780" "M4780   Otras espondilosis, sitios mltiples de la columna vertebral"
"M4781" "M4781   Otras espondilosis, regin occipitocervical"
"M4782" "M4782   Otras espondilosis, regin cervical"
"M4783" "M4783   Otras espondilosis, regin cervicotorcica"
"M4784" "M4784   Otras espondilosis, regin torcica"
"M4785" "M4785   Otras espondilosis, regin toracolumbar"
"M4786" "M4786   Otras espondilosis, regin lumbar"
"M4787" "M4787   Otras espondilosis, regin lumbosacra"
"M4788" "M4788   Otras espondilosis, regin sacra y sacrococcgea"
"M4789" "M4789   Otras espondilosis, sitio no especificado"
"M479" "M479   Espondilosis, no especificada"
"M4790" "M4790   Espondilosis, no especificada, sitios mltiples de la columna vertebral"
"M4791" "M4791   Espondilosis, no especificada, regin occipitocervical"
"M4792" "M4792   Espondilosis, no especificada, regin cervical"
"M4793" "M4793   Espondilosis, no especificada, regin cervicotorcica"
"M4794" "M4794   Espondilosis, no especificada, regin torcica"
"M4795" "M4795   Espondilosis, no especificada, regin toracolumbar"
"M4796" "M4796   Espondilosis, no especificada, regin lumbar"
"M4797" "M4797   Espondilosis, no especificada, regin lumbosacra"
"M4798" "M4798   Espondilosis, no especificada, regin sacra y sacrococcgea"
"M4799" "M4799   Espondilosis, no especificada, sitio no especificado"
"M48" "M48   Otras espondilopatas"
"M480" "M480   Estenosis espinal"
"M4800" "M4800   Estenosis espinal, sitios mltiples de la columna vertebral"
"M4801" "M4801   Estenosis espinal, regin occipitocervical"
"M4802" "M4802   Estenosis espinal, regin cervical"
"M4803" "M4803   Estenosis espinal, regin cervicotorcica"
"M4804" "M4804   Estenosis espinal, regin torcica"
"M4805" "M4805   Estenosis espinal, regin toracolumbar"
"M4806" "M4806   Estenosis espinal, regin lumbar"
"M4807" "M4807   Estenosis espinal, regin lumbosacra"
"M4808" "M4808   Estenosis espinal, regin sacra y sacrococcgea"
"M4809" "M4809   Estenosis espinal, sitio no especificado"
"M481" "M481   Hiperostosis anquilosante [Forestier]"
"M4810" "M4810   Hiperostosis anquilosante [Forestier], sitios mltiples de la columna vertebral"
"M4811" "M4811   Hiperostosis anquilosante [Forestier], regin occipitocervical"
"M4812" "M4812   Hiperostosis anquilosante [Forestier], regin cervical"
"M4813" "M4813   Hiperostosis anquilosante [Forestier], regin cervicotorcica"
"M4814" "M4814   Hiperostosis anquilosante [Forestier], regin torcica"
"M4815" "M4815   Hiperostosis anquilosante [Forestier], regin toracolumbar"
"M4816" "M4816   Hiperostosis anquilosante [Forestier], regin lumbar"
"M4817" "M4817   Hiperostosis anquilosante [Forestier], regin lumbosacra"
"M4818" "M4818   Hiperostosis anquilosante [Forestier], regin sacra y sacrococcgea"
"M4819" "M4819   Hiperostosis anquilosante [Forestier], sitio no especificado"
"M482" "M482   Espondilopata interespinosa (vrtebras en beso)"
"M4820" "M4820   Espondilopata interespinosa vrtebras en beso, sitios mltiples de la columna vertebral"
"M4821" "M4821   Espondilopata interespinosa vrtebras en beso, regin occipitocervical"
"M4822" "M4822   Espondilopata interespinosa vrtebras en beso, regin cervical"
"M4823" "M4823   Espondilopata interespinosa vrtebras en beso, regin cervicotorcica"
"M4824" "M4824   Espondilopata interespinosa vrtebras en beso, regin torcica"
"M4825" "M4825   Espondilopata interespinosa vrtebras en beso, regin toracolumbar"
"M4826" "M4826   Espondilopata interespinosa vrtebras en beso, regin lumbar"
"M4827" "M4827   Espondilopata interespinosa vrtebras en beso, regin lumbosacra"
"M4828" "M4828   Espondilopata interespinosa vrtebras en beso, regin sacra y sacrococcgea"
"M4829" "M4829   Espondilopata interespinosa vrtebras en beso, sitio no especificado"
"M483" "M483   Espondilopata traumtica"
"M4830" "M4830   Espondilopata traumtica, sitios mltiples de la columna vertebral"
"M4831" "M4831   Espondilopata traumtica, regin occipitocervical"
"M4832" "M4832   Espondilopata traumtica, regin cervical"
"M4833" "M4833   Espondilopata traumtica, regin cervicotorcica"
"M4834" "M4834   Espondilopata traumtica, regin torcica"
"M4835" "M4835   Espondilopata traumtica, regin toracolumbar"
"M4836" "M4836   Espondilopata traumtica, regin lumbar"
"M4837" "M4837   Espondilopata traumtica, regin lumbosacra"
"M4838" "M4838   Espondilopata traumtica, regin sacra y sacrococcgea"
"M4839" "M4839   Espondilopata traumtica, sitio no especificado"
"M484" "M484   Fractura de vrtebra por fatiga"
"M4840" "M4840   Fractura de vrtebra por fatiga, sitios mltiples de la columna vertebral"
"M4841" "M4841   Fractura de vrtebra por fatiga, regin occipitocervical"
"M4842" "M4842   Fractura de vrtebra por fatiga, regin cervical"
"M4843" "M4843   Fractura de vrtebra por fatiga, regin cervicotorcica"
"M4844" "M4844   Fractura de vrtebra por fatiga, regin torcica"
"M4845" "M4845   Fractura de vrtebra por fatiga, regin toracolumbar"
"M4846" "M4846   Fractura de vrtebra por fatiga, regin lumbar"
"M4847" "M4847   Fractura de vrtebra por fatiga, regin lumbosacra"
"M4848" "M4848   Fractura de vrtebra por fatiga, regin sacra y sacrococcgea"
"M4849" "M4849   Fractura de vrtebra por fatiga, sitio no especificado"
"M485" "M485   Vrtebra colapsada, no clasificada en otra parte"
"M4850" "M4850   Vrtebra colapsada, no clasificada en otra parte, sitios mltiples de la columna vertebral"
"M4851" "M4851   Vrtebra colapsada, no clasificada en otra parte, regin occipitocervical"
"M4852" "M4852   Vrtebra colapsada, no clasificada en otra parte, regin cervical"
"M4853" "M4853   Vrtebra colapsada, no clasificada en otra parte, regin cervicotorcica"
"M4854" "M4854   Vrtebra colapsada, no clasificada en otra parte, regin torcica"
"M4855" "M4855   Vrtebra colapsada, no clasificada en otra parte, regin toracolumbar"
"M4856" "M4856   Vrtebra colapsada, no clasificada en otra parte, regin lumbar"
"M4857" "M4857   Vrtebra colapsada, no clasificada en otra parte, regin lumbosacra"
"M4858" "M4858   Vrtebra colapsada, no clasificada en otra parte, regin sacra y sacrococcgea"
"M4859" "M4859   Vrtebra colapsada, no clasificada en otra parte, sitio no especificado"
"M488" "M488   Otras espondilopatas especificadas"
"M4880" "M4880   Otras espondilopatas especificadas, sitios mltiples de la columna vertebral"
"M4881" "M4881   Otras espondilopatas especificadas, regin occipitocervical"
"M4882" "M4882   Otras espondilopatas especificadas, regin cervical"
"M4883" "M4883   Otras espondilopatas especificadas, regin cervicotorcica"
"M4884" "M4884   Otras espondilopatas especificadas, regin torcica"
"M4885" "M4885   Otras espondilopatas especificadas, regin toracolumbar"
"M4886" "M4886   Otras espondilopatas especificadas, regin lumbar"
"M4887" "M4887   Otras espondilopatas especificadas, regin lumbosacra"
"M4888" "M4888   Otras espondilopatas especificadas, regin sacra y sacrococcgea"
"M4889" "M4889   Otras espondilopatas especificadas, sitio no especificado"
"M489" "M489   Espondilopata, no especificada"
"M4890" "M4890   Espondilopata, no especificada, sitios mltiples de la columna vertebral"
"M4891" "M4891   Espondilopata, no especificada, regin occipitocervical"
"M4892" "M4892   Espondilopata, no especificada, regin cervical"
"M4893" "M4893   Espondilopata, no especificada, regin cervicotorcica"
"M4894" "M4894   Espondilopata, no especificada, regin torcica"
"M4895" "M4895   Espondilopata, no especificada, regin toracolumbar"
"M4896" "M4896   Espondilopata, no especificada, regin lumbar"
"M4897" "M4897   Espondilopata, no especificada, regin lumbosacra"
"M4898" "M4898   Espondilopata, no especificada, regin sacra y sacrococcgea"
"M4899" "M4899   Espondilopata, no especificada, sitio no especificado"
"M49" "M49   Espondilopatas en enfermedades clasificadas en otra parte"
"M490" "M490   Tuberculosis de la columna vertebral"
"M4900" "M4900   Tuberculosis de la columna vertebral, sitios mltiples de la columna vertebral"
"M4901" "M4901   Tuberculosis de la columna vertebral, regin occipitocervical"
"M4902" "M4902   Tuberculosis de la columna vertebral, regin cervical"
"M4903" "M4903   Tuberculosis de la columna vertebral, regin cervicotorcica"
"M4904" "M4904   Tuberculosis de la columna vertebral, regin torcica"
"M4905" "M4905   Tuberculosis de la columna vertebral, regin toracolumbar"
"M4906" "M4906   Tuberculosis de la columna vertebral, regin lumbar"
"M4907" "M4907   Tuberculosis de la columna vertebral, regin lumbosacra"
"M4908" "M4908   Tuberculosis de la columna vertebral, regin sacra y sacrococcgea"
"M4909" "M4909   Tuberculosis de la columna vertebral, sitio no especificado"
"M491" "M491   Espondilitis por brucelosis"
"M4910" "M4910   Espondilitis por brucelosis, sitios mltiples de la columna vertebral"
"M4911" "M4911   Espondilitis por brucelosis, regin occipitocervical"
"M4912" "M4912   Espondilitis por brucelosis, regin cervical"
"M4913" "M4913   Espondilitis por brucelosis, regin cervicotorcica"
"M4914" "M4914   Espondilitis por brucelosis, regin torcica"
"M4915" "M4915   Espondilitis por brucelosis, regin toracolumbar"
"M4916" "M4916   Espondilitis por brucelosis, regin lumbar"
"M4917" "M4917   Espondilitis por brucelosis, regin lumbosacra"
"M4918" "M4918   Espondilitis por brucelosis, regin sacra y sacrococcgea"
"M4919" "M4919   Espondilitis por brucelosis, sitio no especificado"
"M492" "M492   Espondilitis por enterobacterias"
"M4920" "M4920   Espondilitis por enterobacterias, sitios mltiples de la columna vertebral"
"M4921" "M4921   Espondilitis por enterobacterias, regin occipitocervical"
"M4922" "M4922   Espondilitis por enterobacterias, regin cervical"
"M4923" "M4923   Espondilitis por enterobacterias, regin cervicotorcica"
"M4924" "M4924   Espondilitis por enterobacterias, regin torcica"
"M4925" "M4925   Espondilitis por enterobacterias, regin toracolumbar"
"M4926" "M4926   Espondilitis por enterobacterias, regin lumbar"
"M4927" "M4927   Espondilitis por enterobacterias, regin lumbosacra"
"M4928" "M4928   Espondilitis por enterobacterias, regin sacra y sacrococcgea"
"M4929" "M4929   Espondilitis por enterobacterias, sitio no especificado"
"M493" "M493   Espondilopata en otras enfermedades infecciosas y parasitarias clasificadas en otra parte"
"M4930" "M4930   Espondilopata en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, sitios mltiples de la columna vertebral"
"M4931" "M4931   Espondilopata en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, regin occipitocervical"
"M4932" "M4932   Espondilopata en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, regin cervical"
"M4933" "M4933   Espondilopata en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, regin cervicotorcica"
"M4934" "M4934   Espondilopata en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, regin torcica"
"M4935" "M4935   Espondilopata en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, regin toracolumbar"
"M4936" "M4936   Espondilopata en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, regin lumbar"
"M4937" "M4937   Espondilopata en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, regin lumbosacra"
"M4938" "M4938   Espondilopata en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, regin sacra y sacrococcgea"
"M4939" "M4939   Espondilopata en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, sitio no especificado"
"M494" "M494   Espondilopata neuroptica"
"M4940" "M4940   Espondilopata neuroptica, sitios mltiples de la columna vertebral"
"M4941" "M4941   Espondilopata neuroptica, regin occipitocervical"
"M4942" "M4942   Espondilopata neuroptica, regin cervical"
"M4943" "M4943   Espondilopata neuroptica, regin cervicotorcica"
"M4944" "M4944   Espondilopata neuroptica, regin torcica"
"M4945" "M4945   Espondilopata neuroptica, regin toracolumbar"
"M4946" "M4946   Espondilopata neuroptica, regin lumbar"
"M4947" "M4947   Espondilopata neuroptica, regin lumbosacra"
"M4948" "M4948   Espondilopata neuroptica, regin sacra y sacrococcgea"
"M4949" "M4949   Espondilopata neuroptica, sitio no especificado"
"M495" "M495   Vrtebra colapsada en enfermedades clasificadas en otra parte"
"M4950" "M4950   Vrtebra colapsada en enfermedades clasificadas en otra parte, sitios mltiples de la columna vertebral"
"M4951" "M4951   Vrtebra colapsada en enfermedades clasificadas en otra parte, regin occipitocervical"
"M4952" "M4952   Vrtebra colapsada en enfermedades clasificadas en otra parte, regin cervical"
"M4953" "M4953   Vrtebra colapsada en enfermedades clasificadas en otra parte, regin cervicotorcica"
"M4954" "M4954   Vrtebra colapsada en enfermedades clasificadas en otra parte, regin torcica"
"M4955" "M4955   Vrtebra colapsada en enfermedades clasificadas en otra parte, regin toracolumbar"
"M4956" "M4956   Vrtebra colapsada en enfermedades clasificadas en otra parte, regin lumbar"
"M4957" "M4957   Vrtebra colapsada en enfermedades clasificadas en otra parte, regin lumbosacra"
"M4958" "M4958   Vrtebra colapsada en enfermedades clasificadas en otra parte, regin sacra y sacrococcgea"
"M4959" "M4959   Vrtebra colapsada en enfermedades clasificadas en otra parte, sitio no especificado"
"M498" "M498   Espondilopata en otras enfermedades clasificadas en otra parte"
"M4980" "M4980   Espondilopata en otras enfermedades clasificadas en otra parte, sitios mltiples de la columna vertebral"
"M4981" "M4981   Espondilopata en otras enfermedades clasificadas en otra parte, regin occipitocervical"
"M4982" "M4982   Espondilopata en otras enfermedades clasificadas en otra parte, regin cervical"
"M4983" "M4983   Espondilopata en otras enfermedades clasificadas en otra parte, regin cervicotorcica"
"M4984" "M4984   Espondilopata en otras enfermedades clasificadas en otra parte, regin torcica"
"M4985" "M4985   Espondilopata en otras enfermedades clasificadas en otra parte, regin toracolumbar"
"M4986" "M4986   Espondilopata en otras enfermedades clasificadas en otra parte, regin lumbar"
"M4987" "M4987   Espondilopata en otras enfermedades clasificadas en otra parte, regin lumbosacra"
"M4988" "M4988   Espondilopata en otras enfermedades clasificadas en otra parte, regin sacra y sacrococcgea"
"M4989" "M4989   Espondilopata en otras enfermedades clasificadas en otra parte, sitio no especificado"
"M50" "M50   Trastornos de disco cervical"
"M500" "M500   Trastorno de disco cervical con mielopata"
"M501" "M501   Trastorno de disco cervical con radiculopata"
"M502" "M502   Otros desplazamientos de disco cervical"
"M503" "M503   Otras degeneraciones de disco cervical"
"M508" "M508   Otros trastornos de disco cervical"
"M509" "M509   Trastorno de disco cervical, no especificado"
"M51" "M51   Otros trastornos de los discos intervertebrales"
"M510" "M510   Trastornos de discos intervertebrales lumbares y otros, con mielopata"
"M511" "M511   Trastornos de disco lumbar y otros, con radiculopata"
"M512" "M512   Otros desplazamientos especificados de disco intervertebral "
"M513" "M513   Otras degeneraciones especificadas de disco intervertebral"
"M514" "M514   Ndulos de Schmorl"
"M518" "M518   Otros trastornos especificados de los discos intervertebrales"
"M519" "M519   Trastorno de los discos intervertebrales, no especificado"
"M53" "M53   Otras dorsopatas, no clasificadas en otra parte"
"M530" "M530   Sndrome cervicocraneal"
"M5300" "M5300   Sndrome cervicocraneal, sitios mltiples de la columna vertebral"
"M5301" "M5301   Sndrome cervicocraneal, regin occipitocervical"
"M5302" "M5302   Sndrome cervicocraneal, regin cervical"
"M5303" "M5303   Sndrome cervicocraneal, regin cervicotorcica"
"M5304" "M5304   Sndrome cervicocraneal, regin torcica"
"M5305" "M5305   Sndrome cervicocraneal, regin toracolumbar"
"M5306" "M5306   Sndrome cervicocraneal, regin lumbar"
"M5307" "M5307   Sndrome cervicocraneal, regin lumbosacra"
"M5308" "M5308   Sndrome cervicocraneal, regin sacra y sacrococcgea"
"M5309" "M5309   Sndrome cervicocraneal, sitio no especificado"
"M531" "M531   Sndrome cervicobraquial"
"M5310" "M5310   Sndrome cervicobraquial, sitios mltiples de la columna vertebral"
"M5311" "M5311   Sndrome cervicobraquial, regin occipitocervical"
"M5312" "M5312   Sndrome cervicobraquial, regin cervical"
"M5313" "M5313   Sndrome cervicobraquial, regin cervicotorcica"
"M5314" "M5314   Sndrome cervicobraquial, regin torcica"
"M5315" "M5315   Sndrome cervicobraquial, regin toracolumbar"
"M5316" "M5316   Sndrome cervicobraquial, regin lumbar"
"M5317" "M5317   Sndrome cervicobraquial, regin lumbosacra"
"M5318" "M5318   Sndrome cervicobraquial, regin sacra y sacrococcgea"
"M5319" "M5319   Sndrome cervicobraquial, sitio no especificado"
"M532" "M532   Inestabilidad de la columna vertebral"
"M5320" "M5320   Inestabilidad de la columna vertebral, sitios mltiples de la columna vertebral"
"M5321" "M5321   Inestabilidad de la columna vertebral, regin occipitocervical"
"M5322" "M5322   Inestabilidad de la columna vertebral, regin cervical"
"M5323" "M5323   Inestabilidad de la columna vertebral, regin cervicotorcica"
"M5324" "M5324   Inestabilidad de la columna vertebral, regin torcica"
"M5325" "M5325   Inestabilidad de la columna vertebral, regin toracolumbar"
"M5326" "M5326   Inestabilidad de la columna vertebral, regin lumbar"
"M5327" "M5327   Inestabilidad de la columna vertebral, regin lumbosacra"
"M5328" "M5328   Inestabilidad de la columna vertebral, regin sacra y sacrococcgea"
"M5329" "M5329   Inestabilidad de la columna vertebral, sitio no especificado"
"M533" "M533   Trastornos sacrococcgeos, no clasificados en otra parte"
"M5330" "M5330   Trastornos sacrococcgeos, no clasificados en otra parte, sitios mltiples de la columna vertebral"
"M5331" "M5331   Trastornos sacrococcgeos, no clasificados en otra parte, regin occipitocervical"
"M5332" "M5332   Trastornos sacrococcgeos, no clasificados en otra parte, regin cervical"
"M5333" "M5333   Trastornos sacrococcgeos, no clasificados en otra parte, regin cervicotorcica"
"M5334" "M5334   Trastornos sacrococcgeos, no clasificados en otra parte, regin torcica"
"M5335" "M5335   Trastornos sacrococcgeos, no clasificados en otra parte, regin toracolumbar"
"M5336" "M5336   Trastornos sacrococcgeos, no clasificados en otra parte, regin lumbar"
"M5337" "M5337   Trastornos sacrococcgeos, no clasificados en otra parte, regin lumbosacra"
"M5338" "M5338   Trastornos sacrococcgeos, no clasificados en otra parte, regin sacra y sacrococcgea"
"M5339" "M5339   Trastornos sacrococcgeos, no clasificados en otra parte, sitio no especificado"
"M538" "M538   Otras dorsopatas especificadas"
"M5380" "M5380   Otras dorsopatas especificadas, sitios mltiples de la columna vertebral"
"M5381" "M5381   Otras dorsopatas especificadas, regin occipitocervical"
"M5382" "M5382   Otras dorsopatas especificadas, regin cervical"
"M5383" "M5383   Otras dorsopatas especificadas, regin cervicotorcica"
"M5384" "M5384   Otras dorsopatas especificadas, regin torcica"
"M5385" "M5385   Otras dorsopatas especificadas, regin toracolumbar"
"M5386" "M5386   Otras dorsopatas especificadas, regin lumbar"
"M5387" "M5387   Otras dorsopatas especificadas, regin lumbosacra"
"M5388" "M5388   Otras dorsopatas especificadas, regin sacra y sacrococcgea"
"M5389" "M5389   Otras dorsopatas especificadas, sitio no especificado"
"M539" "M539   Dorsopata, no especificada"
"M5390" "M5390   Dorsopata, no especificada, sitios mltiples de la columna vertebral"
"M5391" "M5391   Dorsopata, no especificada, regin occipitocervical"
"M5392" "M5392   Dorsopata, no especificada, regin cervical"
"M5393" "M5393   Dorsopata, no especificada, regin cervicotorcica"
"M5394" "M5394   Dorsopata, no especificada, regin torcica"
"M5395" "M5395   Dorsopata, no especificada, regin toracolumbar"
"M5396" "M5396   Dorsopata, no especificada, regin lumbar"
"M5397" "M5397   Dorsopata, no especificada, regin lumbosacra"
"M5398" "M5398   Dorsopata, no especificada, regin sacra y sacrococcgea"
"M5399" "M5399   Dorsopata, no especificada, sitio no especificado"
"M54" "M54   Dorsalgia"
"M540" "M540   Paniculitis que afecta regiones del cuello y de la espalda"
"M5400" "M5400   Paniculitis que afecta regiones del cuello y de la espalda, sitios mltiples de la columna vertebral"
"M5401" "M5401   Paniculitis que afecta regiones del cuello y de la espalda, regin occipitocervical"
"M5402" "M5402   Paniculitis que afecta regiones del cuello y de la espalda, regin cervical"
"M5403" "M5403   Paniculitis que afecta regiones del cuello y de la espalda, regin cervicotorcica"
"M5404" "M5404   Paniculitis que afecta regiones del cuello y de la espalda, regin torcica"
"M5405" "M5405   Paniculitis que afecta regiones del cuello y de la espalda, regin toracolumbar"
"M5406" "M5406   Paniculitis que afecta regiones del cuello y de la espalda, regin lumbar"
"M5407" "M5407   Paniculitis que afecta regiones del cuello y de la espalda, regin lumbosacra"
"M5408" "M5408   Paniculitis que afecta regiones del cuello y de la espalda, regin sacra y sacrococcgea"
"M5409" "M5409   Paniculitis que afecta regiones del cuello y de la espalda, sitio no especificado"
"M541" "M541   Radiculopata"
"M5410" "M5410   Radiculopata, sitios mltiples de la columna vertebral"
"M5411" "M5411   Radiculopata, regin occipitocervical"
"M5412" "M5412   Radiculopata, regin cervical"
"M5413" "M5413   Radiculopata, regin cervicotorcica"
"M5414" "M5414   Radiculopata, regin torcica"
"M5415" "M5415   Radiculopata, regin toracolumbar"
"M5416" "M5416   Radiculopata, regin lumbar"
"M5417" "M5417   Radiculopata, regin lumbosacra"
"M5418" "M5418   Radiculopata, regin sacra y sacrococcgea"
"M5419" "M5419   Radiculopata, sitio no especificado"
"M542" "M542   Cervicalgia"
"M5420" "M5420   Cervicalgia, sitios mltiples de la columna vertebral"
"M5421" "M5421   Cervicalgia, regin occipitocervical"
"M5422" "M5422   Cervicalgia, regin cervical"
"M5423" "M5423   Cervicalgia, regin cervicotorcica"
"M5424" "M5424   Cervicalgia, regin torcica"
"M5425" "M5425   Cervicalgia, regin toracolumbar"
"M5426" "M5426   Cervicalgia, regin lumbar"
"M5427" "M5427   Cervicalgia, regin lumbosacra"
"M5428" "M5428   Cervicalgia, regin sacra y sacrococcgea"
"M5429" "M5429   Cervicalgia, sitio no especificado"
"M543" "M543   Citica"
"M5430" "M5430   Citica, sitios mltiples de la columna vertebral"
"M5431" "M5431   Citica, regin occipitocervical"
"M5432" "M5432   Citica, regin cervical"
"M5433" "M5433   Citica, regin cervicotorcica"
"M5434" "M5434   Citica, regin torcica"
"M5435" "M5435   Citica, regin toracolumbar"
"M5436" "M5436   Citica, regin lumbar"
"M5437" "M5437   Citica, regin lumbosacra"
"M5438" "M5438   Citica, regin sacra y sacrococcgea"
"M5439" "M5439   Citica, sitio no especificado"
"M544" "M544   Lumbago con citica"
"M5440" "M5440   Lumbago con citica, sitios mltiples de la columna vertebral"
"M5441" "M5441   Lumbago con citica, regin occipitocervical"
"M5442" "M5442   Lumbago con citica, regin cervical"
"M5443" "M5443   Lumbago con citica, regin cervicotorcica"
"M5444" "M5444   Lumbago con citica, regin torcica"
"M5445" "M5445   Lumbago con citica, regin toracolumbar"
"M5446" "M5446   Lumbago con citica, regin lumbar"
"M5447" "M5447   Lumbago con citica, regin lumbosacra"
"M5448" "M5448   Lumbago con citica, regin sacra y sacrococcgea"
"M5449" "M5449   Lumbago con citica, sitio no especificado"
"M545" "M545   Lumbago no especificado"
"M5450" "M5450   Lumbago no especificado, sitios mltiples de la columna vertebral"
"M5451" "M5451   Lumbago no especificado, regin occipitocervical"
"M5452" "M5452   Lumbago no especificado, regin cervical"
"M5453" "M5453   Lumbago no especificado, regin cervicotorcica"
"M5454" "M5454   Lumbago no especificado, regin torcica"
"M5455" "M5455   Lumbago no especificado, regin toracolumbar"
"M5456" "M5456   Lumbago no especificado, regin lumbar"
"M5457" "M5457   Lumbago no especificado, regin lumbosacra"
"M5458" "M5458   Lumbago no especificado, regin sacra y sacrococcgea"
"M5459" "M5459   Lumbago no especificado, sitio no especificado"
"M546" "M546   Dolor en la columna dorsal"
"M5460" "M5460   Dolor en la columna dorsal, sitios mltiples de la columna vertebral"
"M5461" "M5461   Dolor en la columna dorsal, regin occipitocervical"
"M5462" "M5462   Dolor en la columna dorsal, regin cervical"
"M5463" "M5463   Dolor en la columna dorsal, regin cervicotorcica"
"M5464" "M5464   Dolor en la columna dorsal, regin torcica"
"M5465" "M5465   Dolor en la columna dorsal, regin toracolumbar"
"M5466" "M5466   Dolor en la columna dorsal, regin lumbar"
"M5467" "M5467   Dolor en la columna dorsal, regin lumbosacra"
"M5468" "M5468   Dolor en la columna dorsal, regin sacra y sacrococcgea"
"M5469" "M5469   Dolor en la columna dorsal, sitio no especificado"
"M548" "M548   Otras dorsalgias"
"M5480" "M5480   Otras dorsalgias, sitios mltiples de la columna vertebral"
"M5481" "M5481   Otras dorsalgias, regin occipitocervical"
"M5482" "M5482   Otras dorsalgias, regin cervical"
"M5483" "M5483   Otras dorsalgias, regin cervicotorcica"
"M5484" "M5484   Otras dorsalgias, regin torcica"
"M5485" "M5485   Otras dorsalgias, regin toracolumbar"
"M5486" "M5486   Otras dorsalgias, regin lumbar"
"M5487" "M5487   Otras dorsalgias, regin lumbosacra"
"M5488" "M5488   Otras dorsalgias, regin sacra y sacrococcgea"
"M5489" "M5489   Otras dorsalgias, sitio no especificado"
"M549" "M549   Dorsalgia, no especificada"
"M5490" "M5490   Dorsalgia, no especificada, sitios mltiples de la columna vertebral"
"M5491" "M5491   Dorsalgia, no especificada, regin occipitocervical"
"M5492" "M5492   Dorsalgia, no especificada, regin cervical"
"M5493" "M5493   Dorsalgia, no especificada, regin cervicotorcica"
"M5494" "M5494   Dorsalgia, no especificada, regin torcica"
"M5495" "M5495   Dorsalgia, no especificada, regin toracolumbar"
"M5496" "M5496   Dorsalgia, no especificada, regin lumbar"
"M5497" "M5497   Dorsalgia, no especificada, regin lumbosacra"
"M5498" "M5498   Dorsalgia, no especificada, regin sacra y sacrococcgea"
"M5499" "M5499   Dorsalgia, no especificada, sitio no especificado"
"M60" "M60   Miositis"
"M600" "M600   Miositis infecciosa"
"M6000" "M6000   Miositis infecciosa, sitios mltiples"
"M6001" "M6001   Miositis infecciosa, regin del hombro"
"M6002" "M6002   Miositis infecciosa, brazo"
"M6003" "M6003   Miositis infecciosa, antebrazo"
"M6004" "M6004   Miositis infecciosa, mano"
"M6005" "M6005   Miositis infecciosa, regin pelviana y muslo"
"M6006" "M6006   Miositis infecciosa, pierna"
"M6007" "M6007   Miositis infecciosa, tobillo y pie"
"M6008" "M6008   Miositis infecciosa, otros"
"M6009" "M6009   Miositis infecciosa, sitio no especificado"
"M601" "M601   Miositis intersticial"
"M6010" "M6010   Miositis intersticial, sitios mltiples"
"M6011" "M6011   Miositis intersticial, regin del hombro"
"M6012" "M6012   Miositis intersticial, brazo"
"M6013" "M6013   Miositis intersticial, antebrazo"
"M6014" "M6014   Miositis intersticial, mano"
"M6015" "M6015   Miositis intersticial, regin pelviana y muslo"
"M6016" "M6016   Miositis intersticial, pierna"
"M6017" "M6017   Miositis intersticial, tobillo y pie"
"M6018" "M6018   Miositis intersticial, otros"
"M6019" "M6019   Miositis intersticial, sitio no especificado"
"M602" "M602   Granuloma por cuerpo extrao en tejido blando, no clasificado en otra parte"
"M6020" "M6020   Granuloma por cuerpo extrao en tejido blando, no clasificado en otra parte, sitios mltiples"
"M6021" "M6021   Granuloma por cuerpo extrao en tejido blando, no clasificado en otra parte, regin del hombro"
"M6022" "M6022   Granuloma por cuerpo extrao en tejido blando, no clasificado en otra parte, brazo"
"M6023" "M6023   Granuloma por cuerpo extrao en tejido blando, no clasificado en otra parte, antebrazo"
"M6024" "M6024   Granuloma por cuerpo extrao en tejido blando, no clasificado en otra parte, mano"
"M6025" "M6025   Granuloma por cuerpo extrao en tejido blando, no clasificado en otra parte, regin pelviana y muslo"
"M6026" "M6026   Granuloma por cuerpo extrao en tejido blando, no clasificado en otra parte, pierna"
"M6027" "M6027   Granuloma por cuerpo extrao en tejido blando, no clasificado en otra parte, tobillo y pie"
"M6028" "M6028   Granuloma por cuerpo extrao en tejido blando, no clasificado en otra parte, otros"
"M6029" "M6029   Granuloma por cuerpo extrao en tejido blando, no clasificado en otra parte, sitio no especificado"
"M608" "M608   Otras miositis"
"M6080" "M6080   Otras miositis, sitios mltiples"
"M6081" "M6081   Otras miositis, regin del hombro"
"M6082" "M6082   Otras miositis, brazo"
"M6083" "M6083   Otras miositis, antebrazo"
"M6084" "M6084   Otras miositis, mano"
"M6085" "M6085   Otras miositis, regin pelviana y muslo"
"M6086" "M6086   Otras miositis, pierna"
"M6087" "M6087   Otras miositis, tobillo y pie"
"M6088" "M6088   Otras miositis, otros"
"M6089" "M6089   Otras miositis, sitio no especificado"
"M609" "M609   Miositis, no especificada"
"M6090" "M6090   Miositis, no especificada, sitios mltiples"
"M6091" "M6091   Miositis, no especificada, regin del hombro"
"M6092" "M6092   Miositis, no especificada, brazo"
"M6093" "M6093   Miositis, no especificada, antebrazo"
"M6094" "M6094   Miositis, no especificada, mano"
"M6095" "M6095   Miositis, no especificada, regin pelviana y muslo"
"M6096" "M6096   Miositis, no especificada, pierna"
"M6097" "M6097   Miositis, no especificada, tobillo y pie"
"M6098" "M6098   Miositis, no especificada, otros"
"M6099" "M6099   Miositis, no especificada, sitio no especificado"
"M61" "M61   Calcificacin y osificacin del msculo"
"M610" "M610   Miositis osificante traumtica"
"M6100" "M6100   Miositis osificante traumtica, sitios mltiples"
"M6101" "M6101   Miositis osificante traumtica, regin del hombro"
"M6102" "M6102   Miositis osificante traumtica, brazo"
"M6103" "M6103   Miositis osificante traumtica, antebrazo"
"M6104" "M6104   Miositis osificante traumtica, mano"
"M6105" "M6105   Miositis osificante traumtica, regin pelviana y muslo"
"M6106" "M6106   Miositis osificante traumtica, pierna"
"M6107" "M6107   Miositis osificante traumtica, tobillo y pie"
"M6108" "M6108   Miositis osificante traumtica, otros"
"M6109" "M6109   Miositis osificante traumtica, sitio no especificado"
"M611" "M611   Miositis osificante progresiva"
"M6110" "M6110   Miositis osificante progresiva, sitios mltiples"
"M6111" "M6111   Miositis osificante progresiva, regin del hombro"
"M6112" "M6112   Miositis osificante progresiva, brazo"
"M6113" "M6113   Miositis osificante progresiva, antebrazo"
"M6114" "M6114   Miositis osificante progresiva, mano"
"M6115" "M6115   Miositis osificante progresiva, regin pelviana y muslo"
"M6116" "M6116   Miositis osificante progresiva, pierna"
"M6117" "M6117   Miositis osificante progresiva, tobillo y pie"
"M6118" "M6118   Miositis osificante progresiva, otros"
"M6119" "M6119   Miositis osificante progresiva, sitio no especificado"
"M612" "M612   Calcificacin y osificacin paraltica del msculo"
"M6120" "M6120   Calcificacin y osificacin paraltica del msculo, sitios mltiples"
"M6121" "M6121   Calcificacin y osificacin paraltica del msculo, regin del hombro"
"M6122" "M6122   Calcificacin y osificacin paraltica del msculo, brazo"
"M6123" "M6123   Calcificacin y osificacin paraltica del msculo, antebrazo"
"M6124" "M6124   Calcificacin y osificacin paraltica del msculo, mano"
"M6125" "M6125   Calcificacin y osificacin paraltica del msculo, regin pelviana y muslo"
"M6126" "M6126   Calcificacin y osificacin paraltica del msculo, pierna"
"M6127" "M6127   Calcificacin y osificacin paraltica del msculo, tobillo y pie"
"M6128" "M6128   Calcificacin y osificacin paraltica del msculo, otros"
"M6129" "M6129   Calcificacin y osificacin paraltica del msculo, sitio no especificado"
"M613" "M613   Calcificacin y osificacin de los msculos asociadas con quemaduras"
"M6130" "M6130   Calcificacin y osificacin de los msculos asociadas con quemaduras, sitios mltiples"
"M6131" "M6131   Calcificacin y osificacin de los msculos asociadas con quemaduras, regin del hombro"
"M6132" "M6132   Calcificacin y osificacin de los msculos asociadas con quemaduras, brazo"
"M6133" "M6133   Calcificacin y osificacin de los msculos asociadas con quemaduras, antebrazo"
"M6134" "M6134   Calcificacin y osificacin de los msculos asociadas con quemaduras, mano"
"M6135" "M6135   Calcificacin y osificacin de los msculos asociadas con quemaduras, regin pelviana y muslo"
"M6136" "M6136   Calcificacin y osificacin de los msculos asociadas con quemaduras, pierna"
"M6137" "M6137   Calcificacin y osificacin de los msculos asociadas con quemaduras, tobillo y pie"
"M6138" "M6138   Calcificacin y osificacin de los msculos asociadas con quemaduras, otros"
"M6139" "M6139   Calcificacin y osificacin de los msculos asociadas con quemaduras, sitio no especificado"
"M614" "M614   Otras calcificaciones del msculo"
"M6140" "M6140   Otras calcificaciones del msculo, sitios mltiples"
"M6141" "M6141   Otras calcificaciones del msculo, regin del hombro"
"M6142" "M6142   Otras calcificaciones del msculo, brazo"
"M6143" "M6143   Otras calcificaciones del msculo, antebrazo"
"M6144" "M6144   Otras calcificaciones del msculo, mano"
"M6145" "M6145   Otras calcificaciones del msculo, regin pelviana y muslo"
"M6146" "M6146   Otras calcificaciones del msculo, pierna"
"M6147" "M6147   Otras calcificaciones del msculo, tobillo y pie"
"M6148" "M6148   Otras calcificaciones del msculo, otros"
"M6149" "M6149   Otras calcificaciones del msculo, sitio no especificado"
"M615" "M615   Otras osificaciones del msculo"
"M6150" "M6150   Otras osificaciones del msculo, sitios mltiples"
"M6151" "M6151   Otras osificaciones del msculo, regin del hombro"
"M6152" "M6152   Otras osificaciones del msculo, brazo"
"M6153" "M6153   Otras osificaciones del msculo, antebrazo"
"M6154" "M6154   Otras osificaciones del msculo, mano"
"M6155" "M6155   Otras osificaciones del msculo, regin pelviana y muslo"
"M6156" "M6156   Otras osificaciones del msculo, pierna"
"M6157" "M6157   Otras osificaciones del msculo, tobillo y pie"
"M6158" "M6158   Otras osificaciones del msculo, otros"
"M6159" "M6159   Otras osificaciones del msculo, sitio no especificado"
"M619" "M619   Calcificacin y osificacin del msculo, no especificada"
"M6190" "M6190   Calcificacin y osificacin del msculo, no especificada, sitios mltiples"
"M6191" "M6191   Calcificacin y osificacin del msculo, no especificada, regin del hombro"
"M6192" "M6192   Calcificacin y osificacin del msculo, no especificada, brazo"
"M6193" "M6193   Calcificacin y osificacin del msculo, no especificada, antebrazo"
"M6194" "M6194   Calcificacin y osificacin del msculo, no especificada, mano"
"M6195" "M6195   Calcificacin y osificacin del msculo, no especificada, regin pelviana y muslo"
"M6196" "M6196   Calcificacin y osificacin del msculo, no especificada, pierna"
"M6197" "M6197   Calcificacin y osificacin del msculo, no especificada, tobillo y pie"
"M6198" "M6198   Calcificacin y osificacin del msculo, no especificada, otros"
"M6199" "M6199   Calcificacin y osificacin del msculo, no especificada, sitio no especificado"
"M62" "M62   Otros trastornos de los msculos"
"M620" "M620   Distasis del msculo"
"M6200" "M6200   Distasis del msculo, sitios mltiples"
"M6201" "M6201   Distasis del msculo, regin del hombro"
"M6202" "M6202   Distasis del msculo, brazo"
"M6203" "M6203   Distasis del msculo, antebrazo"
"M6204" "M6204   Distasis del msculo, mano"
"M6205" "M6205   Distasis del msculo, regin pelviana y muslo"
"M6206" "M6206   Distasis del msculo, pierna"
"M6207" "M6207   Distasis del msculo, tobillo y pie"
"M6208" "M6208   Distasis del msculo, otros"
"M6209" "M6209   Distasis del msculo, sitio no especificado"
"M621" "M621   Otros desgarros (no traumticos) del msculo"
"M6210" "M6210   Otros desgarros (no traumticos) del msculo, sitios mltiples"
"M6211" "M6211   Otros desgarros (no traumticos) del msculo, regin del hombro"
"M6212" "M6212   Otros desgarros (no traumticos) del msculo, brazo"
"M6213" "M6213   Otros desgarros (no traumticos) del msculo, antebrazo"
"M6214" "M6214   Otros desgarros (no traumticos) del msculo, mano"
"M6215" "M6215   Otros desgarros (no traumticos) del msculo, regin pelviana y muslo"
"M6216" "M6216   Otros desgarros (no traumticos) del msculo, pierna"
"M6217" "M6217   Otros desgarros (no traumticos) del msculo, tobillo y pie"
"M6218" "M6218   Otros desgarros (no traumticos) del msculo, otros"
"M6219" "M6219   Otros desgarros (no traumticos) del msculo, sitio no especificado"
"M622" "M622   Infarto isqumico del msculo"
"M6220" "M6220   Infarto isqumico del msculo, sitios mltiples"
"M6221" "M6221   Infarto isqumico del msculo, regin del hombro"
"M6222" "M6222   Infarto isqumico del msculo, brazo"
"M6223" "M6223   Infarto isqumico del msculo, antebrazo"
"M6224" "M6224   Infarto isqumico del msculo, mano"
"M6225" "M6225   Infarto isqumico del msculo, regin pelviana y muslo"
"M6226" "M6226   Infarto isqumico del msculo, pierna"
"M6227" "M6227   Infarto isqumico del msculo, tobillo y pie"
"M6228" "M6228   Infarto isqumico del msculo, otros"
"M6229" "M6229   Infarto isqumico del msculo, sitio no especificado"
"M623" "M623   Sndrome de inmovilidad (parapljico)"
"M6230" "M6230   Sndrome de inmovilidad (parapljico), sitios mltiples"
"M6231" "M6231   Sndrome de inmovilidad (parapljico), regin del hombro"
"M6232" "M6232   Sndrome de inmovilidad (parapljico), brazo"
"M6233" "M6233   Sndrome de inmovilidad (parapljico), antebrazo"
"M6234" "M6234   Sndrome de inmovilidad (parapljico), mano"
"M6235" "M6235   Sndrome de inmovilidad (parapljico), regin pelviana y muslo"
"M6236" "M6236   Sndrome de inmovilidad (parapljico), pierna"
"M6237" "M6237   Sndrome de inmovilidad (parapljico), tobillo y pie"
"M6238" "M6238   Sndrome de inmovilidad (parapljico), otros"
"M6239" "M6239   Sndrome de inmovilidad (parapljico), sitio no especificado"
"M624" "M624   Contractura muscular"
"M6240" "M6240   Contractura muscular, sitios mltiples"
"M6241" "M6241   Contractura muscular, regin del hombro"
"M6242" "M6242   Contractura muscular, brazo"
"M6243" "M6243   Contractura muscular, antebrazo"
"M6244" "M6244   Contractura muscular, mano"
"M6245" "M6245   Contractura muscular, regin pelviana y muslo"
"M6246" "M6246   Contractura muscular, pierna"
"M6247" "M6247   Contractura muscular, tobillo y pie"
"M6248" "M6248   Contractura muscular, otros"
"M6249" "M6249   Contractura muscular, sitio no especificado"
"M625" "M625   Atrofia y desgaste musculares, no clasificados en otra parte"
"M6250" "M6250   Atrofia y desgaste musculares, no clasificados en otra parte, sitios mltiples"
"M6251" "M6251   Atrofia y desgaste musculares, no clasificados en otra parte, regin del hombro"
"M6252" "M6252   Atrofia y desgaste musculares, no clasificados en otra parte, brazo"
"M6253" "M6253   Atrofia y desgaste musculares, no clasificados en otra parte, antebrazo"
"M6254" "M6254   Atrofia y desgaste musculares, no clasificados en otra parte, mano"
"M6255" "M6255   Atrofia y desgaste musculares, no clasificados en otra parte, regin pelviana y muslo"
"M6256" "M6256   Atrofia y desgaste musculares, no clasificados en otra parte, pierna"
"M6257" "M6257   Atrofia y desgaste musculares, no clasificados en otra parte, tobillo y pie"
"M6258" "M6258   Atrofia y desgaste musculares, no clasificados en otra parte, otros"
"M6259" "M6259   Atrofia y desgaste musculares, no clasificados en otra parte, sitio no especificado"
"M626" "M626   Distensin muscular"
"M6260" "M6260   Distensin muscular, sitios mltiples"
"M6261" "M6261   Distensin muscular, regin del hombro"
"M6262" "M6262   Distensin muscular, brazo"
"M6263" "M6263   Distensin muscular, antebrazo"
"M6264" "M6264   Distensin muscular, mano"
"M6265" "M6265   Distensin muscular, regin pelviana y muslo"
"M6266" "M6266   Distensin muscular, pierna"
"M6267" "M6267   Distensin muscular, tobillo y pie"
"M6268" "M6268   Distensin muscular, otros"
"M6269" "M6269   Distensin muscular, sitio no especificado"
"M628" "M628   Otros trastornos especificados de los msculos"
"M6280" "M6280   Otros trastornos especificados de los msculos, sitios mltiples"
"M6281" "M6281   Otros trastornos especificados de los msculos, regin del hombro"
"M6282" "M6282   Otros trastornos especificados de los msculos, brazo"
"M6283" "M6283   Otros trastornos especificados de los msculos, antebrazo"
"M6284" "M6284   Otros trastornos especificados de los msculos, mano"
"M6285" "M6285   Otros trastornos especificados de los msculos, regin pelviana y muslo"
"M6286" "M6286   Otros trastornos especificados de los msculos, pierna"
"M6287" "M6287   Otros trastornos especificados de los msculos, tobillo y pie"
"M6288" "M6288   Otros trastornos especificados de los msculos, otros"
"M6289" "M6289   Otros trastornos especificados de los msculos, sitio no especificado"
"M629" "M629   Trastorno muscular, no especificado"
"M6290" "M6290   Trastorno muscular, no especificado, sitios mltiples"
"M6291" "M6291   Trastorno muscular, no especificado, regin del hombro"
"M6292" "M6292   Trastorno muscular, no especificado, brazo"
"M6293" "M6293   Trastorno muscular, no especificado, antebrazo"
"M6294" "M6294   Trastorno muscular, no especificado, mano"
"M6295" "M6295   Trastorno muscular, no especificado, regin pelviana y muslo"
"M6296" "M6296   Trastorno muscular, no especificado, pierna"
"M6297" "M6297   Trastorno muscular, no especificado, tobillo y pie"
"M6298" "M6298   Trastorno muscular, no especificado, otros"
"M6299" "M6299   Trastorno muscular, no especificado, sitio no especificado"
"M63" "M63   Trastornos de los msculos en enfermedades clasificadas en otra parte"
"M630" "M630   Miositis en enfermedades bacterianas clasificadas en otra parte"
"M631" "M631   Miositis en infecciones por protozoarios y parsitos clasificados en otra parte"
"M632" "M632   Miositis en otras enfermedades infecciosas clasificadas en otra parte"
"M633" "M633   Miositis en sarcoidosis"
"M638" "M638   Otros trastornos de los msculos en enfermedades clasificadas en otra parte"
"M65" "M65   Sinovitis y tenosinovitis"
"M650" "M650   Absceso de vaina tendinosa"
"M6500" "M6500   Absceso de vaina tendinosa, sitios mltiples"
"M6501" "M6501   Absceso de vaina tendinosa, regin del hombro"
"M6502" "M6502   Absceso de vaina tendinosa, brazo"
"M6503" "M6503   Absceso de vaina tendinosa, antebrazo"
"M6504" "M6504   Absceso de vaina tendinosa, mano"
"M6505" "M6505   Absceso de vaina tendinosa, regin pelviana y muslo"
"M6506" "M6506   Absceso de vaina tendinosa, pierna"
"M6507" "M6507   Absceso de vaina tendinosa, tobillo y pie"
"M6508" "M6508   Absceso de vaina tendinosa, otros"
"M6509" "M6509   Absceso de vaina tendinosa, sitio no especificado"
"M651" "M651   Otras (teno)sinovitis infecciosas"
"M6510" "M6510   Otras (teno)sinovitis infecciosas, sitios mltiples"
"M6511" "M6511   Otras (teno)sinovitis infecciosas, regin del hombro"
"M6512" "M6512   Otras (teno)sinovitis infecciosas, brazo"
"M6513" "M6513   Otras (teno)sinovitis infecciosas, antebrazo"
"M6514" "M6514   Otras (teno)sinovitis infecciosas, mano"
"M6515" "M6515   Otras (teno)sinovitis infecciosas, regin pelviana y muslo"
"M6516" "M6516   Otras (teno)sinovitis infecciosas, pierna"
"M6517" "M6517   Otras (teno)sinovitis infecciosas, tobillo y pie"
"M6518" "M6518   Otras (teno)sinovitis infecciosas, otros"
"M6519" "M6519   Otras (teno)sinovitis infecciosas, sitio no especificado"
"M652" "M652   Tendinitis calcificada"
"M6520" "M6520   Tendinitis calcificada, sitios mltiples"
"M6521" "M6521   Tendinitis calcificada, regin del hombro"
"M6522" "M6522   Tendinitis calcificada, brazo"
"M6523" "M6523   Tendinitis calcificada, antebrazo"
"M6524" "M6524   Tendinitis calcificada, mano"
"M6525" "M6525   Tendinitis calcificada, regin pelviana y muslo"
"M6526" "M6526   Tendinitis calcificada, pierna"
"M6527" "M6527   Tendinitis calcificada, tobillo y pie"
"M6528" "M6528   Tendinitis calcificada, otros"
"M6529" "M6529   Tendinitis calcificada, sitio no especificado"
"M653" "M653   Dedo en gatillo"
"M6530" "M6530   Dedo en gatillo, sitios mltiples"
"M6531" "M6531   Dedo en gatillo, regin del hombro"
"M6532" "M6532   Dedo en gatillo, brazo"
"M6533" "M6533   Dedo en gatillo, antebrazo"
"M6534" "M6534   Dedo en gatillo, mano"
"M6535" "M6535   Dedo en gatillo, regin pelviana y muslo"
"M6536" "M6536   Dedo en gatillo, pierna"
"M6537" "M6537   Dedo en gatillo, tobillo y pie"
"M6538" "M6538   Dedo en gatillo, otros"
"M6539" "M6539   Dedo en gatillo, sitio no especificado"
"M654" "M654   Tenosinovitis de estiloides radial [de Quervain]"
"M6540" "M6540   Tenosinovitis de estiloides radial [de Quervain], sitios mltiples"
"M6541" "M6541   Tenosinovitis de estiloides radial [de Quervain], regin del hombro"
"M6542" "M6542   Tenosinovitis de estiloides radial [de Quervain], brazo"
"M6543" "M6543   Tenosinovitis de estiloides radial [de Quervain], antebrazo"
"M6544" "M6544   Tenosinovitis de estiloides radial [de Quervain], mano"
"M6545" "M6545   Tenosinovitis de estiloides radial [de Quervain], regin pelviana y muslo"
"M6546" "M6546   Tenosinovitis de estiloides radial [de Quervain], pierna"
"M6547" "M6547   Tenosinovitis de estiloides radial [de Quervain], tobillo y pie"
"M6548" "M6548   Tenosinovitis de estiloides radial [de Quervain], otros"
"M6549" "M6549   Tenosinovitis de estiloides radial [de Quervain], sitio no especificado"
"M658" "M658   Otras sinovitis y tenosinovitis"
"M6580" "M6580   Otras sinovitis y tenosinovitis, sitios mltiples"
"M6581" "M6581   Otras sinovitis y tenosinovitis, regin del hombro"
"M6582" "M6582   Otras sinovitis y tenosinovitis, brazo"
"M6583" "M6583   Otras sinovitis y tenosinovitis, antebrazo"
"M6584" "M6584   Otras sinovitis y tenosinovitis, mano"
"M6585" "M6585   Otras sinovitis y tenosinovitis, regin pelviana y muslo"
"M6586" "M6586   Otras sinovitis y tenosinovitis, pierna"
"M6587" "M6587   Otras sinovitis y tenosinovitis, tobillo y pie"
"M6588" "M6588   Otras sinovitis y tenosinovitis, otros"
"M6589" "M6589   Otras sinovitis y tenosinovitis, sitio no especificado"
"M659" "M659   Sinovitis y tenosinovitis, no especificada"
"M6590" "M6590   Sinovitis y tenosinovitis, no especificada, sitios mltiples"
"M6591" "M6591   Sinovitis y tenosinovitis, no especificada, regin del hombro"
"M6592" "M6592   Sinovitis y tenosinovitis, no especificada, brazo"
"M6593" "M6593   Sinovitis y tenosinovitis, no especificada, antebrazo"
"M6594" "M6594   Sinovitis y tenosinovitis, no especificada, mano"
"M6595" "M6595   Sinovitis y tenosinovitis, no especificada, regin pelviana y muslo"
"M6596" "M6596   Sinovitis y tenosinovitis, no especificada, pierna"
"M6597" "M6597   Sinovitis y tenosinovitis, no especificada, tobillo y pie"
"M6598" "M6598   Sinovitis y tenosinovitis, no especificada, otros"
"M6599" "M6599   Sinovitis y tenosinovitis, no especificada, sitio no especificado"
"M66" "M66   Ruptura espontnea de la sinovia y del tendn"
"M660" "M660   Ruptura de quiste sinovial poplteo"
"M6600" "M6600   Ruptura de quiste sinovial poplteo, sitios mltiples"
"M6601" "M6601   Ruptura de quiste sinovial poplteo, regin del hombro"
"M6602" "M6602   Ruptura de quiste sinovial poplteo, brazo"
"M6603" "M6603   Ruptura de quiste sinovial poplteo, antebrazo"
"M6604" "M6604   Ruptura de quiste sinovial poplteo, mano"
"M6605" "M6605   Ruptura de quiste sinovial poplteo, regin pelviana y muslo"
"M6606" "M6606   Ruptura de quiste sinovial poplteo, pierna"
"M6607" "M6607   Ruptura de quiste sinovial poplteo, tobillo y pie"
"M6608" "M6608   Ruptura de quiste sinovial poplteo, otros"
"M6609" "M6609   Ruptura de quiste sinovial poplteo, sitio no especificado"
"M661" "M661   Ruptura de la sinovia"
"M6610" "M6610   Ruptura de la sinovia, sitios mltiples"
"M6611" "M6611   Ruptura de la sinovia, regin del hombro"
"M6612" "M6612   Ruptura de la sinovia, brazo"
"M6613" "M6613   Ruptura de la sinovia, antebrazo"
"M6614" "M6614   Ruptura de la sinovia, mano"
"M6615" "M6615   Ruptura de la sinovia, regin pelviana y muslo"
"M6616" "M6616   Ruptura de la sinovia, pierna"
"M6617" "M6617   Ruptura de la sinovia, tobillo y pie"
"M6618" "M6618   Ruptura de la sinovia, otros"
"M6619" "M6619   Ruptura de la sinovia, sitio no especificado"
"M662" "M662   Ruptura espontnea de tendones extensores"
"M6620" "M6620   Ruptura espontnea de tendones extensores, sitios mltiples"
"M6621" "M6621   Ruptura espontnea de tendones extensores, regin del hombro"
"M6622" "M6622   Ruptura espontnea de tendones extensores, brazo"
"M6623" "M6623   Ruptura espontnea de tendones extensores, antebrazo"
"M6624" "M6624   Ruptura espontnea de tendones extensores, mano"
"M6625" "M6625   Ruptura espontnea de tendones extensores, regin pelviana y muslo"
"M6626" "M6626   Ruptura espontnea de tendones extensores, pierna"
"M6627" "M6627   Ruptura espontnea de tendones extensores, tobillo y pie"
"M6628" "M6628   Ruptura espontnea de tendones extensores, otros"
"M6629" "M6629   Ruptura espontnea de tendones extensores, sitio no especificado"
"M663" "M663   Ruptura espontnea de tendones flexores"
"M6630" "M6630   Ruptura espontnea de tendones flexores, sitios mltiples"
"M6631" "M6631   Ruptura espontnea de tendones flexores, regin del hombro"
"M6632" "M6632   Ruptura espontnea de tendones flexores, brazo"
"M6633" "M6633   Ruptura espontnea de tendones flexores, antebrazo"
"M6634" "M6634   Ruptura espontnea de tendones flexores, mano"
"M6635" "M6635   Ruptura espontnea de tendones flexores, regin pelviana y muslo"
"M6636" "M6636   Ruptura espontnea de tendones flexores, pierna"
"M6637" "M6637   Ruptura espontnea de tendones flexores, tobillo y pie"
"M6638" "M6638   Ruptura espontnea de tendones flexores, otros"
"M6639" "M6639   Ruptura espontnea de tendones flexores, sitio no especificado"
"M664" "M664   Ruptura espontnea de otros tendones"
"M6640" "M6640   Ruptura espontnea de otros tendones, sitios mltiples"
"M6641" "M6641   Ruptura espontnea de otros tendones, regin del hombro"
"M6642" "M6642   Ruptura espontnea de otros tendones, brazo"
"M6643" "M6643   Ruptura espontnea de otros tendones, antebrazo"
"M6644" "M6644   Ruptura espontnea de otros tendones, mano"
"M6645" "M6645   Ruptura espontnea de otros tendones, regin pelviana y muslo"
"M6646" "M6646   Ruptura espontnea de otros tendones, pierna"
"M6647" "M6647   Ruptura espontnea de otros tendones, tobillo y pie"
"M6648" "M6648   Ruptura espontnea de otros tendones, otros"
"M6649" "M6649   Ruptura espontnea de otros tendones, sitio no especificado"
"M665" "M665   Ruptura espontnea de tendn no especificado"
"M6650" "M6650   Ruptura espontnea de tendn no especificado, sitios mltiples"
"M6651" "M6651   Ruptura espontnea de tendn no especificado, regin del hombro"
"M6652" "M6652   Ruptura espontnea de tendn no especificado, brazo"
"M6653" "M6653   Ruptura espontnea de tendn no especificado, antebrazo"
"M6654" "M6654   Ruptura espontnea de tendn no especificado, mano"
"M6655" "M6655   Ruptura espontnea de tendn no especificado, regin pelviana y muslo"
"M6656" "M6656   Ruptura espontnea de tendn no especificado, pierna"
"M6657" "M6657   Ruptura espontnea de tendn no especificado, tobillo y pie"
"M6658" "M6658   Ruptura espontnea de tendn no especificado, otros"
"M6659" "M6659   Ruptura espontnea de tendn no especificado, sitio no especificado"
"M67" "M67   Otros trastornos de la sinovia y del tendn"
"M670" "M670   Acortamiento del tendn de Aquiles (adquirido)"
"M671" "M671   Otras contracturas de tendn (vaina)"
"M672" "M672   Hipertrofia sinovial, no clasificada en otra parte"
"M673" "M673   Sinovitis transitoria"
"M674" "M674   Ganglin"
"M678" "M678   Otros trastornos especificados de la sinovia y del tendn"
"M679" "M679   Trastorno sinovial y tendinoso, no especificado"
"M68" "M68   Trastornos de los tendones y de la sinovia en enfermedades clasificadas en otra parte"
"M680" "M680   Sinovitis y tenosinovitis en enfermedades bacterianas clasificadas en otra parte"
"M688" "M688   Otros trastornos sinoviales y tendinosos en enfermedades clasificadas en otra parte"
"M70" "M70   Trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin"
"M700" "M700   Sinovitis crepitante crnica de la mano y de la mueca"
"M7000" "M7000   Sinovitis crepitante crnica de la mano y de la mueca, sitios mltiples"
"M7001" "M7001   Sinovitis crepitante crnica de la mano y de la mueca, regin del hombro"
"M7002" "M7002   Sinovitis crepitante crnica de la mano y de la mueca, brazo"
"M7003" "M7003   Sinovitis crepitante crnica de la mano y de la mueca, antebrazo"
"M7004" "M7004   Sinovitis crepitante crnica de la mano y de la mueca, mano"
"M7005" "M7005   Sinovitis crepitante crnica de la mano y de la mueca, regin pelviana y muslo"
"M7006" "M7006   Sinovitis crepitante crnica de la mano y de la mueca, pierna"
"M7007" "M7007   Sinovitis crepitante crnica de la mano y de la mueca, tobillo y pie"
"M7008" "M7008   Sinovitis crepitante crnica de la mano y de la mueca, otros"
"M7009" "M7009   Sinovitis crepitante crnica de la mano y de la mueca, sitio no especificado"
"M701" "M701   Bursitis de la mano"
"M7010" "M7010   Bursitis de la mano, sitios mltiples"
"M7011" "M7011   Bursitis de la mano, regin del hombro"
"M7012" "M7012   Bursitis de la mano, brazo"
"M7013" "M7013   Bursitis de la mano, antebrazo"
"M7014" "M7014   Bursitis de la mano, mano"
"M7015" "M7015   Bursitis de la mano, regin pelviana y muslo"
"M7016" "M7016   Bursitis de la mano, pierna"
"M7017" "M7017   Bursitis de la mano, tobillo y pie"
"M7018" "M7018   Bursitis de la mano, otros"
"M7019" "M7019   Bursitis de la mano, sitio no especificado"
"M702" "M702   Bursitis del olcranon"
"M7020" "M7020   Bursitis del olcranon, sitios mltiples"
"M7021" "M7021   Bursitis del olcranon, regin del hombro"
"M7022" "M7022   Bursitis del olcranon, brazo"
"M7023" "M7023   Bursitis del olcranon, antebrazo"
"M7024" "M7024   Bursitis del olcranon, mano"
"M7025" "M7025   Bursitis del olcranon, regin pelviana y muslo"
"M7026" "M7026   Bursitis del olcranon, pierna"
"M7027" "M7027   Bursitis del olcranon, tobillo y pie"
"M7028" "M7028   Bursitis del olcranon, otros"
"M7029" "M7029   Bursitis del olcranon, sitio no especificado"
"M703" "M703   Otras bursitis del codo"
"M7030" "M7030   Otras bursitis del codo, sitios mltiples"
"M7031" "M7031   Otras bursitis del codo, regin del hombro"
"M7032" "M7032   Otras bursitis del codo, brazo"
"M7033" "M7033   Otras bursitis del codo, antebrazo"
"M7034" "M7034   Otras bursitis del codo, mano"
"M7035" "M7035   Otras bursitis del codo, regin pelviana y muslo"
"M7036" "M7036   Otras bursitis del codo, pierna"
"M7037" "M7037   Otras bursitis del codo, tobillo y pie"
"M7038" "M7038   Otras bursitis del codo, otros"
"M7039" "M7039   Otras bursitis del codo, sitio no especificado"
"M704" "M704   Otras bursitis prerrotulianas"
"M7040" "M7040   Otras bursitis prerrotulianas, sitios mltiples"
"M7041" "M7041   Otras bursitis prerrotulianas, regin del hombro"
"M7042" "M7042   Otras bursitis prerrotulianas, brazo"
"M7043" "M7043   Otras bursitis prerrotulianas, antebrazo"
"M7044" "M7044   Otras bursitis prerrotulianas, mano"
"M7045" "M7045   Otras bursitis prerrotulianas, regin pelviana y muslo"
"M7046" "M7046   Otras bursitis prerrotulianas, pierna"
"M7047" "M7047   Otras bursitis prerrotulianas, tobillo y pie"
"M7048" "M7048   Otras bursitis prerrotulianas, otros"
"M7049" "M7049   Otras bursitis prerrotulianas, sitio no especificado"
"M705" "M705   Otras bursitis de la rodilla"
"M7050" "M7050   Otras bursitis de la rodilla, sitios mltiples"
"M7051" "M7051   Otras bursitis de la rodilla, regin del hombro"
"M7052" "M7052   Otras bursitis de la rodilla, brazo"
"M7053" "M7053   Otras bursitis de la rodilla, antebrazo"
"M7054" "M7054   Otras bursitis de la rodilla, mano"
"M7055" "M7055   Otras bursitis de la rodilla, regin pelviana y muslo"
"M7056" "M7056   Otras bursitis de la rodilla, pierna"
"M7057" "M7057   Otras bursitis de la rodilla, tobillo y pie"
"M7058" "M7058   Otras bursitis de la rodilla, otros"
"M7059" "M7059   Otras bursitis de la rodilla, sitio no especificado"
"M706" "M706   Bursitis del trocnter"
"M7060" "M7060   Bursitis del trocnter, sitios mltiples"
"M7061" "M7061   Bursitis del trocnter, regin del hombro"
"M7062" "M7062   Bursitis del trocnter, brazo"
"M7063" "M7063   Bursitis del trocnter, antebrazo"
"M7064" "M7064   Bursitis del trocnter, mano"
"M7065" "M7065   Bursitis del trocnter, regin pelviana y muslo"
"M7066" "M7066   Bursitis del trocnter, pierna"
"M7067" "M7067   Bursitis del trocnter, tobillo y pie"
"M7068" "M7068   Bursitis del trocnter, otros"
"M7069" "M7069   Bursitis del trocnter, sitio no especificado"
"M707" "M707   Otras bursitis de la cadera"
"M7070" "M7070   Otras bursitis de la cadera, sitios mltiples"
"M7071" "M7071   Otras bursitis de la cadera, regin del hombro"
"M7072" "M7072   Otras bursitis de la cadera, brazo"
"M7073" "M7073   Otras bursitis de la cadera, antebrazo"
"M7074" "M7074   Otras bursitis de la cadera, mano"
"M7075" "M7075   Otras bursitis de la cadera, regin pelviana y muslo"
"M7076" "M7076   Otras bursitis de la cadera, pierna"
"M7077" "M7077   Otras bursitis de la cadera, tobillo y pie"
"M7078" "M7078   Otras bursitis de la cadera, otros"
"M7079" "M7079   Otras bursitis de la cadera, sitio no especificado"
"M708" "M708   Otros trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin"
"M7080" "M7080   Otros trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin, sitios mltiples"
"M7081" "M7081   Otros trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin, regin del hombro"
"M7082" "M7082   Otros trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin, brazo"
"M7083" "M7083   Otros trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin, antebrazo"
"M7084" "M7084   Otros trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin, mano"
"M7085" "M7085   Otros trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin, regin pelviana y muslo"
"M7086" "M7086   Otros trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin, pierna"
"M7087" "M7087   Otros trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin, tobillo y pie"
"M7088" "M7088   Otros trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin, otros"
"M7089" "M7089   Otros trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin, sitio no especificado"
"M709" "M709   Trastorno no especificado de los tejidos blandos relacionado con el uso, el uso excesivo y la presin"
"M7090" "M7090   Trastorno no especificado de los tejidos blandos relacionado con el uso, el uso excesivo y la presin, sitios mltiples"
"M7091" "M7091   Trastorno no especificado de los tejidos blandos relacionado con el uso, el uso excesivo y la presin, regin del hombro"
"M7092" "M7092   Trastorno no especificado de los tejidos blandos relacionado con el uso, el uso excesivo y la presin, brazo"
"M7093" "M7093   Trastorno no especificado de los tejidos blandos relacionado con el uso, el uso excesivo y la presin, antebrazo"
"M7094" "M7094   Trastorno no especificado de los tejidos blandos relacionado con el uso, el uso excesivo y la presin, mano"
"M7095" "M7095   Trastorno no especificado de los tejidos blandos relacionado con el uso, el uso excesivo y la presin, regin pelviana y muslo"
"M7096" "M7096   Trastorno no especificado de los tejidos blandos relacionado con el uso, el uso excesivo y la presin, pierna"
"M7097" "M7097   Trastorno no especificado de los tejidos blandos relacionado con el uso, el uso excesivo y la presin, tobillo y pie"
"M7098" "M7098   Trastorno no especificado de los tejidos blandos relacionado con el uso, el uso excesivo y la presin, otros"
"M7099" "M7099   Trastorno no especificado de los tejidos blandos relacionado con el uso, el uso excesivo y la presin, sitio no especificado"
"M71" "M71   Otras bursopatas"
"M710" "M710   Absceso de la bolsa sinovial"
"M7100" "M7100   Absceso de la bolsa sinovial, sitios mltiples"
"M7101" "M7101   Absceso de la bolsa sinovial, regin del hombro"
"M7102" "M7102   Absceso de la bolsa sinovial, brazo"
"M7103" "M7103   Absceso de la bolsa sinovial, antebrazo"
"M7104" "M7104   Absceso de la bolsa sinovial, mano"
"M7105" "M7105   Absceso de la bolsa sinovial, regin pelviana y muslo"
"M7106" "M7106   Absceso de la bolsa sinovial, pierna"
"M7107" "M7107   Absceso de la bolsa sinovial, tobillo y pie"
"M7108" "M7108   Absceso de la bolsa sinovial, otros"
"M7109" "M7109   Absceso de la bolsa sinovial, sitio no especificado"
"M711" "M711   Otras bursitis infecciosas"
"M7110" "M7110   Otras bursitis infecciosas, sitios mltiples"
"M7111" "M7111   Otras bursitis infecciosas, regin del hombro"
"M7112" "M7112   Otras bursitis infecciosas, brazo"
"M7113" "M7113   Otras bursitis infecciosas, antebrazo"
"M7114" "M7114   Otras bursitis infecciosas, mano"
"M7115" "M7115   Otras bursitis infecciosas, regin pelviana y muslo"
"M7116" "M7116   Otras bursitis infecciosas, pierna"
"M7117" "M7117   Otras bursitis infecciosas, tobillo y pie"
"M7118" "M7118   Otras bursitis infecciosas, otros"
"M7119" "M7119   Otras bursitis infecciosas, sitio no especificado"
"M712" "M712   Quiste sinovial del hueco poplteo [de Baker]"
"M7120" "M7120   Quiste sinovial del hueco poplteo [de Baker], sitios mltiples"
"M7121" "M7121   Quiste sinovial del hueco poplteo [de Baker], regin del hombro"
"M7122" "M7122   Quiste sinovial del hueco poplteo [de Baker], brazo"
"M7123" "M7123   Quiste sinovial del hueco poplteo [de Baker], antebrazo"
"M7124" "M7124   Quiste sinovial del hueco poplteo [de Baker], mano"
"M7125" "M7125   Quiste sinovial del hueco poplteo [de Baker], regin pelviana y muslo"
"M7126" "M7126   Quiste sinovial del hueco poplteo [de Baker], pierna"
"M7127" "M7127   Quiste sinovial del hueco poplteo [de Baker], tobillo y pie"
"M7128" "M7128   Quiste sinovial del hueco poplteo [de Baker], otros"
"M7129" "M7129   Quiste sinovial del hueco poplteo [de Baker], sitio no especificado"
"M713" "M713   Otros quistes de la bolsa serosa"
"M7130" "M7130   Otros quistes de la bolsa serosa, sitios mltiples"
"M7131" "M7131   Otros quistes de la bolsa serosa, regin del hombro"
"M7132" "M7132   Otros quistes de la bolsa serosa, brazo"
"M7133" "M7133   Otros quistes de la bolsa serosa, antebrazo"
"M7134" "M7134   Otros quistes de la bolsa serosa, mano"
"M7135" "M7135   Otros quistes de la bolsa serosa, regin pelviana y muslo"
"M7136" "M7136   Otros quistes de la bolsa serosa, pierna"
"M7137" "M7137   Otros quistes de la bolsa serosa, tobillo y pie"
"M7138" "M7138   Otros quistes de la bolsa serosa, otros"
"M7139" "M7139   Otros quistes de la bolsa serosa, sitio no especificado"
"M714" "M714   Depsito de calcio  en la bolsa serosa"
"M7140" "M7140   Depsito de calcio  en la bolsa serosa, sitios mltiples"
"M7141" "M7141   Depsito de calcio  en la bolsa serosa, regin del hombro"
"M7142" "M7142   Depsito de calcio  en la bolsa serosa, brazo"
"M7143" "M7143   Depsito de calcio  en la bolsa serosa, antebrazo"
"M7144" "M7144   Depsito de calcio  en la bolsa serosa, mano"
"M7145" "M7145   Depsito de calcio  en la bolsa serosa, regin pelviana y muslo"
"M7146" "M7146   Depsito de calcio  en la bolsa serosa, pierna"
"M7147" "M7147   Depsito de calcio  en la bolsa serosa, tobillo y pie"
"M7148" "M7148   Depsito de calcio  en la bolsa serosa, otros"
"M7149" "M7149   Depsito de calcio  en la bolsa serosa, sitio no especificado"
"M715" "M715   Otras bursitis, no clasificadas en otra parte"
"M7150" "M7150   Otras bursitis, no clasificadas en otra parte, sitios mltiples"
"M7151" "M7151   Otras bursitis, no clasificadas en otra parte, regin del hombro"
"M7152" "M7152   Otras bursitis, no clasificadas en otra parte, brazo"
"M7153" "M7153   Otras bursitis, no clasificadas en otra parte, antebrazo"
"M7154" "M7154   Otras bursitis, no clasificadas en otra parte, mano"
"M7155" "M7155   Otras bursitis, no clasificadas en otra parte, regin pelviana y muslo"
"M7156" "M7156   Otras bursitis, no clasificadas en otra parte, pierna"
"M7157" "M7157   Otras bursitis, no clasificadas en otra parte, tobillo y pie"
"M7158" "M7158   Otras bursitis, no clasificadas en otra parte, otros"
"M7159" "M7159   Otras bursitis, no clasificadas en otra parte, sitio no especificado"
"M718" "M718   Otros trastornos especificados de la bolsa serosa"
"M7180" "M7180   Otros trastornos especificados de la bolsa serosa, sitios mltiples"
"M7181" "M7181   Otros trastornos especificados de la bolsa serosa, regin del hombro"
"M7182" "M7182   Otros trastornos especificados de la bolsa serosa, brazo"
"M7183" "M7183   Otros trastornos especificados de la bolsa serosa, antebrazo"
"M7184" "M7184   Otros trastornos especificados de la bolsa serosa, mano"
"M7185" "M7185   Otros trastornos especificados de la bolsa serosa, regin pelviana y muslo"
"M7186" "M7186   Otros trastornos especificados de la bolsa serosa, pierna"
"M7187" "M7187   Otros trastornos especificados de la bolsa serosa, tobillo y pie"
"M7188" "M7188   Otros trastornos especificados de la bolsa serosa, otros"
"M7189" "M7189   Otros trastornos especificados de la bolsa serosa, sitio no especificado"
"M719" "M719   Bursopata, no especificada"
"M7190" "M7190   Bursopata, no especificada, sitios mltiples"
"M7191" "M7191   Bursopata, no especificada, regin del hombro"
"M7192" "M7192   Bursopata, no especificada, brazo"
"M7193" "M7193   Bursopata, no especificada, antebrazo"
"M7194" "M7194   Bursopata, no especificada, mano"
"M7195" "M7195   Bursopata, no especificada, regin pelviana y muslo"
"M7196" "M7196   Bursopata, no especificada, pierna"
"M7197" "M7197   Bursopata, no especificada, tobillo y pie"
"M7198" "M7198   Bursopata, no especificada, otros"
"M7199" "M7199   Bursopata, no especificada, sitio no especificado"
"M72" "M72   Trastornos fibroblsticos"
"M720" "M720   Fibromatosis de la aponeurosis palmar [Dupuytren]"
"M7200" "M7200   Fibromatosis de la aponeurosis palmar [Dupuytren], sitios mltiples"
"M7201" "M7201   Fibromatosis de la aponeurosis palmar [Dupuytren], regin del hombro"
"M7202" "M7202   Fibromatosis de la aponeurosis palmar [Dupuytren], brazo"
"M7203" "M7203   Fibromatosis de la aponeurosis palmar [Dupuytren], antebrazo"
"M7204" "M7204   Fibromatosis de la aponeurosis palmar [Dupuytren], mano"
"M7205" "M7205   Fibromatosis de la aponeurosis palmar [Dupuytren], regin pelviana y muslo"
"M7206" "M7206   Fibromatosis de la aponeurosis palmar [Dupuytren], pierna"
"M7207" "M7207   Fibromatosis de la aponeurosis palmar [Dupuytren], tobillo y pie"
"M7208" "M7208   Fibromatosis de la aponeurosis palmar [Dupuytren], otros"
"M7209" "M7209   Fibromatosis de la aponeurosis palmar [Dupuytren], sitio no especificado"
"M721" "M721   Ndulos interfalngicos"
"M7210" "M7210   Ndulos interfalngicos, sitios mltiples"
"M7211" "M7211   Ndulos interfalngicos, regin del hombro"
"M7212" "M7212   Ndulos interfalngicos, brazo"
"M7213" "M7213   Ndulos interfalngicos, antebrazo"
"M7214" "M7214   Ndulos interfalngicos, mano"
"M7215" "M7215   Ndulos interfalngicos, regin pelviana y muslo"
"M7216" "M7216   Ndulos interfalngicos, pierna"
"M7217" "M7217   Ndulos interfalngicos, tobillo y pie"
"M7218" "M7218   Ndulos interfalngicos, otros"
"M7219" "M7219   Ndulos interfalngicos, sitio no especificado"
"M722" "M722   Fibromatosis de la aponeurosis plantar"
"M7220" "M7220   Fibromatosis de la aponeurosis plantar, sitios mltiples"
"M7221" "M7221   Fibromatosis de la aponeurosis plantar, regin del hombro"
"M7222" "M7222   Fibromatosis de la aponeurosis plantar, brazo"
"M7223" "M7223   Fibromatosis de la aponeurosis plantar, antebrazo"
"M7224" "M7224   Fibromatosis de la aponeurosis plantar, mano"
"M7225" "M7225   Fibromatosis de la aponeurosis plantar, regin pelviana y muslo"
"M7226" "M7226   Fibromatosis de la aponeurosis plantar, pierna"
"M7227" "M7227   Fibromatosis de la aponeurosis plantar, tobillo y pie"
"M7228" "M7228   Fibromatosis de la aponeurosis plantar, otros"
"M7229" "M7229   Fibromatosis de la aponeurosis plantar, sitio no especificado"
"M723" "M723   Fascitis nodular"
"M724" "M724   Fibromatosis seudosarcomatosa"
"M7240" "M7240   Fibromatosis seudosarcomatosa, sitios mltiples"
"M7241" "M7241   Fibromatosis seudosarcomatosa, regin del hombro"
"M7242" "M7242   Fibromatosis seudosarcomatosa, brazo"
"M7243" "M7243   Fibromatosis seudosarcomatosa, antebrazo"
"M7244" "M7244   Fibromatosis seudosarcomatosa, mano"
"M7245" "M7245   Fibromatosis seudosarcomatosa, regin pelviana y muslo"
"M7246" "M7246   Fibromatosis seudosarcomatosa, pierna"
"M7247" "M7247   Fibromatosis seudosarcomatosa, tobillo y pie"
"M7248" "M7248   Fibromatosis seudosarcomatosa, otros"
"M7249" "M7249   Fibromatosis seudosarcomatosa, sitio no especificado"
"M725" "M725   Fascitis, No clasificada en otra parte"
"M726" "M726   Fascitis necrotizante"
"M7260" "M7260   Fascitis necrotizante, sitios mltiples"
"M7261" "M7261   Fascitis necrotizante, regin del hombro"
"M7262" "M7262   Fascitis necrotizante, brazo"
"M7263" "M7263   Fascitis necrotizante, antebrazo"
"M7264" "M7264   Fascitis necrotizante, mano"
"M7265" "M7265   Fascitis necrotizante, regin pelviana y muslo"
"M7266" "M7266   Fascitis necrotizante, pierna"
"M7267" "M7267   Fascitis necrotizante, tobillo y pie"
"M7268" "M7268   Fascitis necrotizante, otros"
"M7269" "M7269   Fascitis necrotizante, sitio no especificado"
"M728" "M728   Otros trastornos fibroblsticos"
"M7280" "M7280   Otros trastornos fibroblsticos, sitios mltiples"
"M7281" "M7281   Otros trastornos fibroblsticos, regin del hombro"
"M7282" "M7282   Otros trastornos fibroblsticos, brazo"
"M7283" "M7283   Otros trastornos fibroblsticos, antebrazo"
"M7284" "M7284   Otros trastornos fibroblsticos, mano"
"M7285" "M7285   Otros trastornos fibroblsticos, regin pelviana y muslo"
"M7286" "M7286   Otros trastornos fibroblsticos, pierna"
"M7287" "M7287   Otros trastornos fibroblsticos, tobillo y pie"
"M7288" "M7288   Otros trastornos fibroblsticos, otros"
"M7289" "M7289   Otros trastornos fibroblsticos, sitio no especificado"
"M729" "M729   Trastorno fibroblstico, no especificado"
"M7290" "M7290   Trastorno fibroblstico, no especificado, sitios mltiples"
"M7291" "M7291   Trastorno fibroblstico, no especificado, regin del hombro"
"M7292" "M7292   Trastorno fibroblstico, no especificado, brazo"
"M7293" "M7293   Trastorno fibroblstico, no especificado, antebrazo"
"M7294" "M7294   Trastorno fibroblstico, no especificado, mano"
"M7295" "M7295   Trastorno fibroblstico, no especificado, regin pelviana y muslo"
"M7296" "M7296   Trastorno fibroblstico, no especificado, pierna"
"M7297" "M7297   Trastorno fibroblstico, no especificado, tobillo y pie"
"M7298" "M7298   Trastorno fibroblstico, no especificado, otros"
"M7299" "M7299   Trastorno fibroblstico, no especificado, sitio no especificado"
"M73" "M73   Trastornos de los tejidos blandos en enfermedades clasificadas en otra parte"
"M730" "M730   Bursitis gonoccica"
"M7300" "M7300   Bursitis gonoccica, sitios mltiples"
"M7301" "M7301   Bursitis gonoccica, regin del hombro"
"M7302" "M7302   Bursitis gonoccica, brazo"
"M7303" "M7303   Bursitis gonoccica, antebrazo"
"M7304" "M7304   Bursitis gonoccica, mano"
"M7305" "M7305   Bursitis gonoccica, regin pelviana y muslo"
"M7306" "M7306   Bursitis gonoccica, pierna"
"M7307" "M7307   Bursitis gonoccica, tobillo y pie"
"M7308" "M7308   Bursitis gonoccica, otros"
"M7309" "M7309   Bursitis gonoccica, sitio no especificado"
"M731" "M731   Bursitis sifiltica"
"M7310" "M7310   Bursitis sifiltica, sitios mltiples"
"M7311" "M7311   Bursitis sifiltica, regin del hombro"
"M7312" "M7312   Bursitis sifiltica, brazo"
"M7313" "M7313   Bursitis sifiltica, antebrazo"
"M7314" "M7314   Bursitis sifiltica, mano"
"M7315" "M7315   Bursitis sifiltica, regin pelviana y muslo"
"M7316" "M7316   Bursitis sifiltica, pierna"
"M7317" "M7317   Bursitis sifiltica, tobillo y pie"
"M7318" "M7318   Bursitis sifiltica, otros"
"M7319" "M7319   Bursitis sifiltica, sitio no especificado"
"M738" "M738   Otros trastornos de los tejidos blandos en enfermedades clasificadas en otra parte"
"M7380" "M7380   Otros trastornos de los tejidos blandos en enfermedades clasificadas en otra parte, sitios mltiples"
"M7381" "M7381   Otros trastornos de los tejidos blandos en enfermedades clasificadas en otra parte, regin del hombro"
"M7382" "M7382   Otros trastornos de los tejidos blandos en enfermedades clasificadas en otra parte, brazo"
"M7383" "M7383   Otros trastornos de los tejidos blandos en enfermedades clasificadas en otra parte, antebrazo"
"M7384" "M7384   Otros trastornos de los tejidos blandos en enfermedades clasificadas en otra parte, mano"
"M7385" "M7385   Otros trastornos de los tejidos blandos en enfermedades clasificadas en otra parte, regin pelviana y muslo"
"M7386" "M7386   Otros trastornos de los tejidos blandos en enfermedades clasificadas en otra parte, pierna"
"M7387" "M7387   Otros trastornos de los tejidos blandos en enfermedades clasificadas en otra parte, tobillo y pie"
"M7388" "M7388   Otros trastornos de los tejidos blandos en enfermedades clasificadas en otra parte, otros"
"M7389" "M7389   Otros trastornos de los tejidos blandos en enfermedades clasificadas en otra parte, sitio no especificado"
"M75" "M75   Lesiones del hombro"
"M750" "M750   Capsulitis adhesiva del hombro"
"M751" "M751   Sndrome del manguito rotatorio"
"M752" "M752   Tendinitis del bceps"
"M753" "M753   Tendinitis calcificante del hombro"
"M754" "M754   Sndrome de abduccin dolorosa del hombro"
"M755" "M755   Bursitis del hombro"
"M758" "M758   Otras lesiones del hombro"
"M759" "M759   Lesin del hombro, no especificada"
"M76" "M76   Entesopatas del miembro inferior, excluido el pie"
"M760" "M760   Tendinitis del glteo"
"M7600" "M7600   Tendinitis del glteo, sitios mltiples"
"M7601" "M7601   Tendinitis del glteo, regin del hombro"
"M7602" "M7602   Tendinitis del glteo, brazo"
"M7603" "M7603   Tendinitis del glteo, antebrazo"
"M7604" "M7604   Tendinitis del glteo, mano"
"M7605" "M7605   Tendinitis del glteo, regin pelviana y muslo"
"M7606" "M7606   Tendinitis del glteo, pierna"
"M7607" "M7607   Tendinitis del glteo, tobillo y pie"
"M7608" "M7608   Tendinitis del glteo, otros"
"M7609" "M7609   Tendinitis del glteo, sitio no especificado"
"M761" "M761   Tendinitis del psoas"
"M7610" "M7610   Tendinitis del psoas, sitios mltiples"
"M7611" "M7611   Tendinitis del psoas, regin del hombro"
"M7612" "M7612   Tendinitis del psoas, brazo"
"M7613" "M7613   Tendinitis del psoas, antebrazo"
"M7614" "M7614   Tendinitis del psoas, mano"
"M7615" "M7615   Tendinitis del psoas, regin pelviana y muslo"
"M7616" "M7616   Tendinitis del psoas, pierna"
"M7617" "M7617   Tendinitis del psoas, tobillo y pie"
"M7618" "M7618   Tendinitis del psoas, otros"
"M7619" "M7619   Tendinitis del psoas, sitio no especificado"
"M762" "M762   Espoln de la cresta iliaca"
"M7620" "M7620   Espoln de la cresta iliaca, sitios mltiples"
"M7621" "M7621   Espoln de la cresta iliaca, regin del hombro"
"M7622" "M7622   Espoln de la cresta iliaca, brazo"
"M7623" "M7623   Espoln de la cresta iliaca, antebrazo"
"M7624" "M7624   Espoln de la cresta iliaca, mano"
"M7625" "M7625   Espoln de la cresta iliaca, regin pelviana y muslo"
"M7626" "M7626   Espoln de la cresta iliaca, pierna"
"M7627" "M7627   Espoln de la cresta iliaca, tobillo y pie"
"M7628" "M7628   Espoln de la cresta iliaca, otros"
"M7629" "M7629   Espoln de la cresta iliaca, sitio no especificado"
"M763" "M763   Sndrome del tendn del tensor de la fascia lata"
"M7630" "M7630   Sndrome del tendn del tensor de la fascia lata, sitios mltiples"
"M7631" "M7631   Sndrome del tendn del tensor de la fascia lata, regin del hombro"
"M7632" "M7632   Sndrome del tendn del tensor de la fascia lata, brazo"
"M7633" "M7633   Sndrome del tendn del tensor de la fascia lata, antebrazo"
"M7634" "M7634   Sndrome del tendn del tensor de la fascia lata, mano"
"M7635" "M7635   Sndrome del tendn del tensor de la fascia lata, regin pelviana y muslo"
"M7636" "M7636   Sndrome del tendn del tensor de la fascia lata, pierna"
"M7637" "M7637   Sndrome del tendn del tensor de la fascia lata, tobillo y pie"
"M7638" "M7638   Sndrome del tendn del tensor de la fascia lata, otros"
"M7639" "M7639   Sndrome del tendn del tensor de la fascia lata, sitio no especificado"
"M764" "M764   Bursitis tibial colateral [Pellegrini-Stieda]"
"M7640" "M7640   Bursitis tibial colateral [Pellegrini-Stieda], sitios mltiples"
"M7641" "M7641   Bursitis tibial colateral [Pellegrini-Stieda], regin del hombro"
"M7642" "M7642   Bursitis tibial colateral [Pellegrini-Stieda], brazo"
"M7643" "M7643   Bursitis tibial colateral [Pellegrini-Stieda], antebrazo"
"M7644" "M7644   Bursitis tibial colateral [Pellegrini-Stieda], mano"
"M7645" "M7645   Bursitis tibial colateral [Pellegrini-Stieda], regin pelviana y muslo"
"M7646" "M7646   Bursitis tibial colateral [Pellegrini-Stieda], pierna"
"M7647" "M7647   Bursitis tibial colateral [Pellegrini-Stieda], tobillo y pie"
"M7648" "M7648   Bursitis tibial colateral [Pellegrini-Stieda], otros"
"M7649" "M7649   Bursitis tibial colateral [Pellegrini-Stieda], sitio no especificado"
"M765" "M765   Tendinitis rotuliana"
"M7650" "M7650   Tendinitis rotuliana, sitios mltiples"
"M7651" "M7651   Tendinitis rotuliana, regin del hombro"
"M7652" "M7652   Tendinitis rotuliana, brazo"
"M7653" "M7653   Tendinitis rotuliana, antebrazo"
"M7654" "M7654   Tendinitis rotuliana, mano"
"M7655" "M7655   Tendinitis rotuliana, regin pelviana y muslo"
"M7656" "M7656   Tendinitis rotuliana, pierna"
"M7657" "M7657   Tendinitis rotuliana, tobillo y pie"
"M7658" "M7658   Tendinitis rotuliana, otros"
"M7659" "M7659   Tendinitis rotuliana, sitio no especificado"
"M766" "M766   Tendinitis aquiliana"
"M7660" "M7660   Tendinitis aquiliana, sitios mltiples"
"M7661" "M7661   Tendinitis aquiliana, regin del hombro"
"M7662" "M7662   Tendinitis aquiliana, brazo"
"M7663" "M7663   Tendinitis aquiliana, antebrazo"
"M7664" "M7664   Tendinitis aquiliana, mano"
"M7665" "M7665   Tendinitis aquiliana, regin pelviana y muslo"
"M7666" "M7666   Tendinitis aquiliana, pierna"
"M7667" "M7667   Tendinitis aquiliana, tobillo y pie"
"M7668" "M7668   Tendinitis aquiliana, otros"
"M7669" "M7669   Tendinitis aquiliana, sitio no especificado"
"M767" "M767   Tendinitis peroneal"
"M7670" "M7670   Tendinitis peroneal, sitios mltiples"
"M7671" "M7671   Tendinitis peroneal, regin del hombro"
"M7672" "M7672   Tendinitis peroneal, brazo"
"M7673" "M7673   Tendinitis peroneal, antebrazo"
"M7674" "M7674   Tendinitis peroneal, mano"
"M7675" "M7675   Tendinitis peroneal, regin pelviana y muslo"
"M7676" "M7676   Tendinitis peroneal, pierna"
"M7677" "M7677   Tendinitis peroneal, tobillo y pie"
"M7678" "M7678   Tendinitis peroneal, otros"
"M7679" "M7679   Tendinitis peroneal, sitio no especificado"
"M768" "M768   Otras entesopatas del miembro inferior, excluido el pie"
"M7680" "M7680   Otras entesopatas del miembro inferior, excluido el pie, sitios mltiples"
"M7681" "M7681   Otras entesopatas del miembro inferior, excluido el pie, regin del hombro"
"M7682" "M7682   Otras entesopatas del miembro inferior, excluido el pie, brazo"
"M7683" "M7683   Otras entesopatas del miembro inferior, excluido el pie, antebrazo"
"M7684" "M7684   Otras entesopatas del miembro inferior, excluido el pie, mano"
"M7685" "M7685   Otras entesopatas del miembro inferior, excluido el pie, regin pelviana y muslo"
"M7686" "M7686   Otras entesopatas del miembro inferior, excluido el pie, pierna"
"M7687" "M7687   Otras entesopatas del miembro inferior, excluido el pie, tobillo y pie"
"M7688" "M7688   Otras entesopatas del miembro inferior, excluido el pie, otros"
"M7689" "M7689   Otras entesopatas del miembro inferior, excluido el pie, sitio no especificado"
"M769" "M769   Entesopata del miembro inferior, no especificada"
"M7690" "M7690   Entesopata del miembro inferior, no especificada, sitios mltiples"
"M7691" "M7691   Entesopata del miembro inferior, no especificada, regin del hombro"
"M7692" "M7692   Entesopata del miembro inferior, no especificada, brazo"
"M7693" "M7693   Entesopata del miembro inferior, no especificada, antebrazo"
"M7694" "M7694   Entesopata del miembro inferior, no especificada, mano"
"M7695" "M7695   Entesopata del miembro inferior, no especificada, regin pelviana y muslo"
"M7696" "M7696   Entesopata del miembro inferior, no especificada, pierna"
"M7697" "M7697   Entesopata del miembro inferior, no especificada, tobillo y pie"
"M7698" "M7698   Entesopata del miembro inferior, no especificada, otros"
"M7699" "M7699   Entesopata del miembro inferior, no especificada, sitio no especificado"
"M77" "M77   Otras entesopatas"
"M770" "M770   Epicondilitis media"
"M7700" "M7700   Epicondilitis media, sitios mltiples"
"M7701" "M7701   Epicondilitis media, regin del hombro"
"M7702" "M7702   Epicondilitis media, brazo"
"M7703" "M7703   Epicondilitis media, antebrazo"
"M7704" "M7704   Epicondilitis media, mano"
"M7705" "M7705   Epicondilitis media, regin pelviana y muslo"
"M7706" "M7706   Epicondilitis media, pierna"
"M7707" "M7707   Epicondilitis media, tobillo y pie"
"M7708" "M7708   Epicondilitis media, otros"
"M7709" "M7709   Epicondilitis media, sitio no especificado"
"M771" "M771   Epicondilitis lateral"
"M7710" "M7710   Epicondilitis lateral, sitios mltiples"
"M7711" "M7711   Epicondilitis lateral, regin del hombro"
"M7712" "M7712   Epicondilitis lateral, brazo"
"M7713" "M7713   Epicondilitis lateral, antebrazo"
"M7714" "M7714   Epicondilitis lateral, mano"
"M7715" "M7715   Epicondilitis lateral, regin pelviana y muslo"
"M7716" "M7716   Epicondilitis lateral, pierna"
"M7717" "M7717   Epicondilitis lateral, tobillo y pie"
"M7718" "M7718   Epicondilitis lateral, otros"
"M7719" "M7719   Epicondilitis lateral, sitio no especificado"
"M772" "M772   Periartritis de la mueca"
"M7720" "M7720   Periartritis de la mueca, sitios mltiples"
"M7721" "M7721   Periartritis de la mueca, regin del hombro"
"M7722" "M7722   Periartritis de la mueca, brazo"
"M7723" "M7723   Periartritis de la mueca, antebrazo"
"M7724" "M7724   Periartritis de la mueca, mano"
"M7725" "M7725   Periartritis de la mueca, regin pelviana y muslo"
"M7726" "M7726   Periartritis de la mueca, pierna"
"M7727" "M7727   Periartritis de la mueca, tobillo y pie"
"M7728" "M7728   Periartritis de la mueca, otros"
"M7729" "M7729   Periartritis de la mueca, sitio no especificado"
"M773" "M773   Espoln calcneo"
"M7730" "M7730   Espoln calcneo, sitios mltiples"
"M7731" "M7731   Espoln calcneo, regin del hombro"
"M7732" "M7732   Espoln calcneo, brazo"
"M7733" "M7733   Espoln calcneo, antebrazo"
"M7734" "M7734   Espoln calcneo, mano"
"M7735" "M7735   Espoln calcneo, regin pelviana y muslo"
"M7736" "M7736   Espoln calcneo, pierna"
"M7737" "M7737   Espoln calcneo, tobillo y pie"
"M7738" "M7738   Espoln calcneo, otros"
"M7739" "M7739   Espoln calcneo, sitio no especificado"
"M774" "M774   Metatarsalgia"
"M7740" "M7740   Metatarsalgia, sitios mltiples"
"M7741" "M7741   Metatarsalgia, regin del hombro"
"M7742" "M7742   Metatarsalgia, brazo"
"M7743" "M7743   Metatarsalgia, antebrazo"
"M7744" "M7744   Metatarsalgia, mano"
"M7745" "M7745   Metatarsalgia, regin pelviana y muslo"
"M7746" "M7746   Metatarsalgia, pierna"
"M7747" "M7747   Metatarsalgia, tobillo y pie"
"M7748" "M7748   Metatarsalgia, otros"
"M7749" "M7749   Metatarsalgia, sitio no especificado"
"M775" "M775   Otras entesopatas del pie"
"M7750" "M7750   Otras entesopatas del pie, sitios mltiples"
"M7751" "M7751   Otras entesopatas del pie, regin del hombro"
"M7752" "M7752   Otras entesopatas del pie, brazo"
"M7753" "M7753   Otras entesopatas del pie, antebrazo"
"M7754" "M7754   Otras entesopatas del pie, mano"
"M7755" "M7755   Otras entesopatas del pie, regin pelviana y muslo"
"M7756" "M7756   Otras entesopatas del pie, pierna"
"M7757" "M7757   Otras entesopatas del pie, tobillo y pie"
"M7758" "M7758   Otras entesopatas del pie, otros"
"M7759" "M7759   Otras entesopatas del pie, sitio no especificado"
"M778" "M778   Otras entesopatas, no clasificadas en otra parte"
"M7780" "M7780   Otras entesopatas, no clasificadas en otra parte, sitios mltiples"
"M7781" "M7781   Otras entesopatas, no clasificadas en otra parte, regin del hombro"
"M7782" "M7782   Otras entesopatas, no clasificadas en otra parte, brazo"
"M7783" "M7783   Otras entesopatas, no clasificadas en otra parte, antebrazo"
"M7784" "M7784   Otras entesopatas, no clasificadas en otra parte, mano"
"M7785" "M7785   Otras entesopatas, no clasificadas en otra parte, regin pelviana y muslo"
"M7786" "M7786   Otras entesopatas, no clasificadas en otra parte, pierna"
"M7787" "M7787   Otras entesopatas, no clasificadas en otra parte, tobillo y pie"
"M7788" "M7788   Otras entesopatas, no clasificadas en otra parte, otros"
"M7789" "M7789   Otras entesopatas, no clasificadas en otra parte, sitio no especificado"
"M779" "M779   Entesopata, no especificada"
"M7790" "M7790   Entesopata, no especificada, sitios mltiples"
"M7791" "M7791   Entesopata, no especificada, regin del hombro"
"M7792" "M7792   Entesopata, no especificada, brazo"
"M7793" "M7793   Entesopata, no especificada, antebrazo"
"M7794" "M7794   Entesopata, no especificada, mano"
"M7795" "M7795   Entesopata, no especificada, regin pelviana y muslo"
"M7796" "M7796   Entesopata, no especificada, pierna"
"M7797" "M7797   Entesopata, no especificada, tobillo y pie"
"M7798" "M7798   Entesopata, no especificada, otros"
"M7799" "M7799   Entesopata, no especificada, sitio no especificado"
"M79" "M79   Otros trastornos de los tejidos blandos, no clasificados en otra parte"
"M790" "M790   Reumatismo, no especificado"
"M7900" "M7900   Reumatismo, no especificado, sitios mltiples"
"M7901" "M7901   Reumatismo, no especificado, regin del hombro"
"M7902" "M7902   Reumatismo, no especificado, brazo"
"M7903" "M7903   Reumatismo, no especificado, antebrazo"
"M7904" "M7904   Reumatismo, no especificado, mano"
"M7905" "M7905   Reumatismo, no especificado, regin pelviana y muslo"
"M7906" "M7906   Reumatismo, no especificado, pierna"
"M7907" "M7907   Reumatismo, no especificado, tobillo y pie"
"M7908" "M7908   Reumatismo, no especificado, otros"
"M7909" "M7909   Reumatismo, no especificado, sitio no especificado"
"M791" "M791   Mialgia"
"M7910" "M7910   Mialgia, sitios mltiples"
"M7911" "M7911   Mialgia, regin del hombro"
"M7912" "M7912   Mialgia, brazo"
"M7913" "M7913   Mialgia, antebrazo"
"M7914" "M7914   Mialgia, mano"
"M7915" "M7915   Mialgia, regin pelviana y muslo"
"M7916" "M7916   Mialgia, pierna"
"M7917" "M7917   Mialgia, tobillo y pie"
"M7918" "M7918   Mialgia, otros"
"M7919" "M7919   Mialgia, sitio no especificado"
"M792" "M792   Neuralgia y neuritis, no especificadas"
"M7920" "M7920   Neuralgia y neuritis, no especificadas, sitios mltiples"
"M7921" "M7921   Neuralgia y neuritis, no especificadas, regin del hombro"
"M7922" "M7922   Neuralgia y neuritis, no especificadas, brazo"
"M7923" "M7923   Neuralgia y neuritis, no especificadas, antebrazo"
"M7924" "M7924   Neuralgia y neuritis, no especificadas, mano"
"M7925" "M7925   Neuralgia y neuritis, no especificadas, regin pelviana y muslo"
"M7926" "M7926   Neuralgia y neuritis, no especificadas, pierna"
"M7927" "M7927   Neuralgia y neuritis, no especificadas, tobillo y pie"
"M7928" "M7928   Neuralgia y neuritis, no especificadas, otros"
"M7929" "M7929   Neuralgia y neuritis, no especificadas, sitio no especificado"
"M793" "M793   Paniculitis, no especificada"
"M7930" "M7930   Paniculitis, no especificada, sitios mltiples"
"M7931" "M7931   Paniculitis, no especificada, regin del hombro"
"M7932" "M7932   Paniculitis, no especificada, brazo"
"M7933" "M7933   Paniculitis, no especificada, antebrazo"
"M7934" "M7934   Paniculitis, no especificada, mano"
"M7935" "M7935   Paniculitis, no especificada, regin pelviana y muslo"
"M7936" "M7936   Paniculitis, no especificada, pierna"
"M7937" "M7937   Paniculitis, no especificada, tobillo y pie"
"M7938" "M7938   Paniculitis, no especificada, otros"
"M7939" "M7939   Paniculitis, no especificada, sitio no especificado"
"M794" "M794   Hipertrofia de paquete adiposo (infrarrotuliano)"
"M7940" "M7940   Hipertrofia de paquete adiposo (infrarrotuliano), sitios mltiples"
"M7941" "M7941   Hipertrofia de paquete adiposo (infrarrotuliano), regin del hombro"
"M7942" "M7942   Hipertrofia de paquete adiposo (infrarrotuliano), brazo"
"M7943" "M7943   Hipertrofia de paquete adiposo (infrarrotuliano), antebrazo"
"M7944" "M7944   Hipertrofia de paquete adiposo (infrarrotuliano), mano"
"M7945" "M7945   Hipertrofia de paquete adiposo (infrarrotuliano), regin pelviana y muslo"
"M7946" "M7946   Hipertrofia de paquete adiposo (infrarrotuliano), pierna"
"M7947" "M7947   Hipertrofia de paquete adiposo (infrarrotuliano), tobillo y pie"
"M7948" "M7948   Hipertrofia de paquete adiposo (infrarrotuliano), otros"
"M7949" "M7949   Hipertrofia de paquete adiposo (infrarrotuliano), sitio no especificado"
"M795" "M795   Cuerpo extrao residual en tejido blando"
"M7950" "M7950   Cuerpo extrao residual en tejido blando, sitios mltiples"
"M7951" "M7951   Cuerpo extrao residual en tejido blando, regin del hombro"
"M7952" "M7952   Cuerpo extrao residual en tejido blando, brazo"
"M7953" "M7953   Cuerpo extrao residual en tejido blando, antebrazo"
"M7954" "M7954   Cuerpo extrao residual en tejido blando, mano"
"M7955" "M7955   Cuerpo extrao residual en tejido blando, regin pelviana y muslo"
"M7956" "M7956   Cuerpo extrao residual en tejido blando, pierna"
"M7957" "M7957   Cuerpo extrao residual en tejido blando, tobillo y pie"
"M7958" "M7958   Cuerpo extrao residual en tejido blando, otros"
"M7959" "M7959   Cuerpo extrao residual en tejido blando, sitio no especificado"
"M796" "M796   Dolor en miembro"
"M7960" "M7960   Dolor en miembro, sitios mltiples"
"M7961" "M7961   Dolor en miembro, regin del hombro"
"M7962" "M7962   Dolor en miembro, brazo"
"M7963" "M7963   Dolor en miembro, antebrazo"
"M7964" "M7964   Dolor en miembro, mano"
"M7965" "M7965   Dolor en miembro, regin pelviana y muslo"
"M7966" "M7966   Dolor en miembro, pierna"
"M7967" "M7967   Dolor en miembro, tobillo y pie"
"M7968" "M7968   Dolor en miembro, otros"
"M7969" "M7969   Dolor en miembro, sitio no especificado"
"M797" "M797   Fibromialgia"
"M7970" "M7970   Fibromialgia, sitios mltiples"
"M7971" "M7971   Fibromialgia, regin del hombro"
"M7972" "M7972   Fibromialgia, brazo"
"M7973" "M7973   Fibromialgia, antebrazo"
"M7974" "M7974   Fibromialgia, mano"
"M7975" "M7975   Fibromialgia, regin pelviana y muslo"
"M7976" "M7976   Fibromialgia, pierna"
"M7977" "M7977   Fibromialgia, tobillo y pie"
"M7978" "M7978   Fibromialgia, otros"
"M7979" "M7979   Fibromialgia, sitio no especificado"
"M798" "M798   Otros trastornos especificados de los tejidos blandos"
"M7980" "M7980   Otros trastornos especificados de los tejidos blandos, sitios mltiples"
"M7981" "M7981   Otros trastornos especificados de los tejidos blandos, regin del hombro"
"M7982" "M7982   Otros trastornos especificados de los tejidos blandos, brazo"
"M7983" "M7983   Otros trastornos especificados de los tejidos blandos, antebrazo"
"M7984" "M7984   Otros trastornos especificados de los tejidos blandos, mano"
"M7985" "M7985   Otros trastornos especificados de los tejidos blandos, regin pelviana y muslo"
"M7986" "M7986   Otros trastornos especificados de los tejidos blandos, pierna"
"M7987" "M7987   Otros trastornos especificados de los tejidos blandos, tobillo y pie"
"M7988" "M7988   Otros trastornos especificados de los tejidos blandos, otros"
"M7989" "M7989   Otros trastornos especificados de los tejidos blandos, sitio no especificado"
"M799" "M799   Trastorno de los tejidos blandos, no especificado"
"M7990" "M7990   Trastorno de los tejidos blandos, no especificado, sitios mltiples"
"M7991" "M7991   Trastorno de los tejidos blandos, no especificado, regin del hombro"
"M7992" "M7992   Trastorno de los tejidos blandos, no especificado, brazo"
"M7993" "M7993   Trastorno de los tejidos blandos, no especificado, antebrazo"
"M7994" "M7994   Trastorno de los tejidos blandos, no especificado, mano"
"M7995" "M7995   Trastorno de los tejidos blandos, no especificado, regin pelviana y muslo"
"M7996" "M7996   Trastorno de los tejidos blandos, no especificado, pierna"
"M7997" "M7997   Trastorno de los tejidos blandos, no especificado, tobillo y pie"
"M7998" "M7998   Trastorno de los tejidos blandos, no especificado, otros"
"M7999" "M7999   Trastorno de los tejidos blandos, no especificado, sitio no especificado"
"M80" "M80   Osteoporosis con fractura patolgica"
"M800" "M800   Osteoporosis postmenopusica, con fractura patolgica"
"M8000" "M8000   Osteoporosis postmenopusica, con fractura patolgica, sitios mltiples"
"M8001" "M8001   Osteoporosis postmenopusica, con fractura patolgica, regin del hombro"
"M8002" "M8002   Osteoporosis postmenopusica, con fractura patolgica, brazo"
"M8003" "M8003   Osteoporosis postmenopusica, con fractura patolgica, antebrazo"
"M8004" "M8004   Osteoporosis postmenopusica, con fractura patolgica, mano"
"M8005" "M8005   Osteoporosis postmenopusica, con fractura patolgica, regin pelviana y muslo"
"M8006" "M8006   Osteoporosis postmenopusica, con fractura patolgica, pierna"
"M8007" "M8007   Osteoporosis postmenopusica, con fractura patolgica, tobillo y pie"
"M8008" "M8008   Osteoporosis postmenopusica, con fractura patolgica, otros"
"M8009" "M8009   Osteoporosis postmenopusica, con fractura patolgica, sitio no especificado"
"M801" "M801   Osteoporosis postooforectoma, con fractura patolgica"
"M8010" "M8010   Osteoporosis postooforectoma, con fractura patolgica, sitios mltiples"
"M8011" "M8011   Osteoporosis postooforectoma, con fractura patolgica, regin del hombro"
"M8012" "M8012   Osteoporosis postooforectoma, con fractura patolgica, brazo"
"M8013" "M8013   Osteoporosis postooforectoma, con fractura patolgica, antebrazo"
"M8014" "M8014   Osteoporosis postooforectoma, con fractura patolgica, mano"
"M8015" "M8015   Osteoporosis postooforectoma, con fractura patolgica, regin pelviana y muslo"
"M8016" "M8016   Osteoporosis postooforectoma, con fractura patolgica, pierna"
"M8017" "M8017   Osteoporosis postooforectoma, con fractura patolgica, tobillo y pie"
"M8018" "M8018   Osteoporosis postooforectoma, con fractura patolgica, otros"
"M8019" "M8019   Osteoporosis postooforectoma, con fractura patolgica, sitio no especificado"
"M802" "M802   Osteoporosis por desuso, con fractura patolgica"
"M8020" "M8020   Osteoporosis por desuso, con fractura patolgica, sitios mltiples"
"M8021" "M8021   Osteoporosis por desuso, con fractura patolgica, regin del hombro"
"M8022" "M8022   Osteoporosis por desuso, con fractura patolgica, brazo"
"M8023" "M8023   Osteoporosis por desuso, con fractura patolgica, antebrazo"
"M8024" "M8024   Osteoporosis por desuso, con fractura patolgica, mano"
"M8025" "M8025   Osteoporosis por desuso, con fractura patolgica, regin pelviana y muslo"
"M8026" "M8026   Osteoporosis por desuso, con fractura patolgica, pierna"
"M8027" "M8027   Osteoporosis por desuso, con fractura patolgica, tobillo y pie"
"M8028" "M8028   Osteoporosis por desuso, con fractura patolgica, otros"
"M8029" "M8029   Osteoporosis por desuso, con fractura patolgica, sitio no especificado"
"M803" "M803   Osteoporosis por malabsorcin postquirrgica, con fractura patolgica"
"M8030" "M8030   Osteoporosis por malabsorcin postquirrgica, con fractura patolgica, sitios mltiples"
"M8031" "M8031   Osteoporosis por malabsorcin postquirrgica, con fractura patolgica, regin del hombro"
"M8032" "M8032   Osteoporosis por malabsorcin postquirrgica, con fractura patolgica, brazo"
"M8033" "M8033   Osteoporosis por malabsorcin postquirrgica, con fractura patolgica, antebrazo"
"M8034" "M8034   Osteoporosis por malabsorcin postquirrgica, con fractura patolgica, mano"
"M8035" "M8035   Osteoporosis por malabsorcin postquirrgica, con fractura patolgica, regin pelviana y muslo"
"M8036" "M8036   Osteoporosis por malabsorcin postquirrgica, con fractura patolgica, pierna"
"M8037" "M8037   Osteoporosis por malabsorcin postquirrgica, con fractura patolgica, tobillo y pie"
"M8038" "M8038   Osteoporosis por malabsorcin postquirrgica, con fractura patolgica, otros"
"M8039" "M8039   Osteoporosis por malabsorcin postquirrgica, con fractura patolgica, sitio no especificado"
"M804" "M804   Osteoporosis inducida por drogas, con fractura patolgica"
"M8040" "M8040   Osteoporosis inducida por drogas, con fractura patolgica, sitios mltiples"
"M8041" "M8041   Osteoporosis inducida por drogas, con fractura patolgica, regin del hombro"
"M8042" "M8042   Osteoporosis inducida por drogas, con fractura patolgica, brazo"
"M8043" "M8043   Osteoporosis inducida por drogas, con fractura patolgica, antebrazo"
"M8044" "M8044   Osteoporosis inducida por drogas, con fractura patolgica, mano"
"M8045" "M8045   Osteoporosis inducida por drogas, con fractura patolgica, regin pelviana y muslo"
"M8046" "M8046   Osteoporosis inducida por drogas, con fractura patolgica, pierna"
"M8047" "M8047   Osteoporosis inducida por drogas, con fractura patolgica, tobillo y pie"
"M8048" "M8048   Osteoporosis inducida por drogas, con fractura patolgica, otros"
"M8049" "M8049   Osteoporosis inducida por drogas, con fractura patolgica, sitio no especificado"
"M805" "M805   Osteoporosis idioptica, con fractura patolgica"
"M8050" "M8050   Osteoporosis idioptica, con fractura patolgica, sitios mltiples"
"M8051" "M8051   Osteoporosis idioptica, con fractura patolgica, regin del hombro"
"M8052" "M8052   Osteoporosis idioptica, con fractura patolgica, brazo"
"M8053" "M8053   Osteoporosis idioptica, con fractura patolgica, antebrazo"
"M8054" "M8054   Osteoporosis idioptica, con fractura patolgica, mano"
"M8055" "M8055   Osteoporosis idioptica, con fractura patolgica, regin pelviana y muslo"
"M8056" "M8056   Osteoporosis idioptica, con fractura patolgica, pierna"
"M8057" "M8057   Osteoporosis idioptica, con fractura patolgica, tobillo y pie"
"M8058" "M8058   Osteoporosis idioptica, con fractura patolgica, otros"
"M8059" "M8059   Osteoporosis idioptica, con fractura patolgica, sitio no especificado"
"M808" "M808   Otras osteoporosis, con fractura patolgica"
"M8080" "M8080   Otras osteoporosis, con fractura patolgica, sitios mltiples"
"M8081" "M8081   Otras osteoporosis, con fractura patolgica, regin del hombro"
"M8082" "M8082   Otras osteoporosis, con fractura patolgica, brazo"
"M8083" "M8083   Otras osteoporosis, con fractura patolgica, antebrazo"
"M8084" "M8084   Otras osteoporosis, con fractura patolgica, mano"
"M8085" "M8085   Otras osteoporosis, con fractura patolgica, regin pelviana y muslo"
"M8086" "M8086   Otras osteoporosis, con fractura patolgica, pierna"
"M8087" "M8087   Otras osteoporosis, con fractura patolgica, tobillo y pie"
"M8088" "M8088   Otras osteoporosis, con fractura patolgica, otros"
"M8089" "M8089   Otras osteoporosis, con fractura patolgica, sitio no especificado"
"M809" "M809   Osteoporosis no especificada, con fractura patolgica"
"M8090" "M8090   Osteoporosis no especificada, con fractura patolgica, sitios mltiples"
"M8091" "M8091   Osteoporosis no especificada, con fractura patolgica, regin del hombro"
"M8092" "M8092   Osteoporosis no especificada, con fractura patolgica, brazo"
"M8093" "M8093   Osteoporosis no especificada, con fractura patolgica, antebrazo"
"M8094" "M8094   Osteoporosis no especificada, con fractura patolgica, mano"
"M8095" "M8095   Osteoporosis no especificada, con fractura patolgica, regin pelviana y muslo"
"M8096" "M8096   Osteoporosis no especificada, con fractura patolgica, pierna"
"M8097" "M8097   Osteoporosis no especificada, con fractura patolgica, tobillo y pie"
"M8098" "M8098   Osteoporosis no especificada, con fractura patolgica, otros"
"M8099" "M8099   Osteoporosis no especificada, con fractura patolgica, sitio no especificado"
"M81" "M81   Osteoporosis sin fractura patolgica"
"M810" "M810   Osteoporosis postmenopusica, sin fractura patolgica"
"M8100" "M8100   Osteoporosis postmenopusica, sin fractura patolgica, sitios mltiples"
"M8101" "M8101   Osteoporosis postmenopusica, sin fractura patolgica, regin del hombro"
"M8102" "M8102   Osteoporosis postmenopusica, sin fractura patolgica, brazo"
"M8103" "M8103   Osteoporosis postmenopusica, sin fractura patolgica, antebrazo"
"M8104" "M8104   Osteoporosis postmenopusica, sin fractura patolgica, mano"
"M8105" "M8105   Osteoporosis postmenopusica, sin fractura patolgica, regin pelviana y muslo"
"M8106" "M8106   Osteoporosis postmenopusica, sin fractura patolgica, pierna"
"M8107" "M8107   Osteoporosis postmenopusica, sin fractura patolgica, tobillo y pie"
"M8108" "M8108   Osteoporosis postmenopusica, sin fractura patolgica, otros"
"M8109" "M8109   Osteoporosis postmenopusica, sin fractura patolgica, sitio no especificado"
"M811" "M811   Osteoporosis postooforectoma, sin fractura patolgica"
"M8110" "M8110   Osteoporosis postooforectoma, sin fractura patolgica, sitios mltiples"
"M8111" "M8111   Osteoporosis postooforectoma, sin fractura patolgica, regin del hombro"
"M8112" "M8112   Osteoporosis postooforectoma, sin fractura patolgica, brazo"
"M8113" "M8113   Osteoporosis postooforectoma, sin fractura patolgica, antebrazo"
"M8114" "M8114   Osteoporosis postooforectoma, sin fractura patolgica, mano"
"M8115" "M8115   Osteoporosis postooforectoma, sin fractura patolgica, regin pelviana y muslo"
"M8116" "M8116   Osteoporosis postooforectoma, sin fractura patolgica, pierna"
"M8117" "M8117   Osteoporosis postooforectoma, sin fractura patolgica, tobillo y pie"
"M8118" "M8118   Osteoporosis postooforectoma, sin fractura patolgica, otros"
"M8119" "M8119   Osteoporosis postooforectoma, sin fractura patolgica, sitio no especificado"
"M812" "M812   Osteoporosis por desuso, sin fractura patolgica"
"M8120" "M8120   Osteoporosis por desuso, sin fractura patolgica, sitios mltiples"
"M8121" "M8121   Osteoporosis por desuso, sin fractura patolgica, regin del hombro"
"M8122" "M8122   Osteoporosis por desuso, sin fractura patolgica, brazo"
"M8123" "M8123   Osteoporosis por desuso, sin fractura patolgica, antebrazo"
"M8124" "M8124   Osteoporosis por desuso, sin fractura patolgica, mano"
"M8125" "M8125   Osteoporosis por desuso, sin fractura patolgica, regin pelviana y muslo"
"M8126" "M8126   Osteoporosis por desuso, sin fractura patolgica, pierna"
"M8127" "M8127   Osteoporosis por desuso, sin fractura patolgica, tobillo y pie"
"M8128" "M8128   Osteoporosis por desuso, sin fractura patolgica, otros"
"M8129" "M8129   Osteoporosis por desuso, sin fractura patolgica, sitio no especificado"
"M813" "M813   Osteoporosis por malabsorcin postquirrgica, sin fractura patolgica"
"M8130" "M8130   Osteoporosis por malabsorcin postquirrgica, sin fractura patolgica, sitios mltiples"
"M8131" "M8131   Osteoporosis por malabsorcin postquirrgica, sin fractura patolgica, regin del hombro"
"M8132" "M8132   Osteoporosis por malabsorcin postquirrgica, sin fractura patolgica, brazo"
"M8133" "M8133   Osteoporosis por malabsorcin postquirrgica, sin fractura patolgica, antebrazo"
"M8134" "M8134   Osteoporosis por malabsorcin postquirrgica, sin fractura patolgica, mano"
"M8135" "M8135   Osteoporosis por malabsorcin postquirrgica, sin fractura patolgica, regin pelviana y muslo"
"M8136" "M8136   Osteoporosis por malabsorcin postquirrgica, sin fractura patolgica, pierna"
"M8137" "M8137   Osteoporosis por malabsorcin postquirrgica, sin fractura patolgica, tobillo y pie"
"M8138" "M8138   Osteoporosis por malabsorcin postquirrgica, sin fractura patolgica, otros"
"M8139" "M8139   Osteoporosis por malabsorcin postquirrgica, sin fractura patolgica, sitio no especificado"
"M814" "M814   Osteoporosis inducida por drogas, sin fractura patolgica"
"M8140" "M8140   Osteoporosis inducida por drogas, sin fractura patolgica, sitios mltiples"
"M8141" "M8141   Osteoporosis inducida por drogas, sin fractura patolgica, regin del hombro"
"M8142" "M8142   Osteoporosis inducida por drogas, sin fractura patolgica, brazo"
"M8143" "M8143   Osteoporosis inducida por drogas, sin fractura patolgica, antebrazo"
"M8144" "M8144   Osteoporosis inducida por drogas, sin fractura patolgica, mano"
"M8145" "M8145   Osteoporosis inducida por drogas, sin fractura patolgica, regin pelviana y muslo"
"M8146" "M8146   Osteoporosis inducida por drogas, sin fractura patolgica, pierna"
"M8147" "M8147   Osteoporosis inducida por drogas, sin fractura patolgica, tobillo y pie"
"M8148" "M8148   Osteoporosis inducida por drogas, sin fractura patolgica, otros"
"M8149" "M8149   Osteoporosis inducida por drogas, sin fractura patolgica, sitio no especificado"
"M815" "M815   Osteoporosis idioptica, sin fractura patolgica"
"M8150" "M8150   Osteoporosis idioptica, sin fractura patolgica, sitios mltiples"
"M8151" "M8151   Osteoporosis idioptica, sin fractura patolgica, regin del hombro"
"M8152" "M8152   Osteoporosis idioptica, sin fractura patolgica, brazo"
"M8153" "M8153   Osteoporosis idioptica, sin fractura patolgica, antebrazo"
"M8154" "M8154   Osteoporosis idioptica, sin fractura patolgica, mano"
"M8155" "M8155   Osteoporosis idioptica, sin fractura patolgica, regin pelviana y muslo"
"M8156" "M8156   Osteoporosis idioptica, sin fractura patolgica, pierna"
"M8157" "M8157   Osteoporosis idioptica, sin fractura patolgica, tobillo y pie"
"M8158" "M8158   Osteoporosis idioptica, sin fractura patolgica, otros"
"M8159" "M8159   Osteoporosis idioptica, sin fractura patolgica, sitio no especificado"
"M816" "M816   Osteoporosis localizada [Lequesne], sin fractura patolgica"
"M8160" "M8160   Osteoporosis localizada [Lequesne], sin fractura patolgica, sitios mltiples"
"M8161" "M8161   Osteoporosis localizada [Lequesne], sin fractura patolgica, regin del hombro"
"M8162" "M8162   Osteoporosis localizada [Lequesne], sin fractura patolgica, brazo"
"M8163" "M8163   Osteoporosis localizada [Lequesne], sin fractura patolgica, antebrazo"
"M8164" "M8164   Osteoporosis localizada [Lequesne], sin fractura patolgica, mano"
"M8165" "M8165   Osteoporosis localizada [Lequesne], sin fractura patolgica, regin pelviana y muslo"
"M8166" "M8166   Osteoporosis localizada [Lequesne], sin fractura patolgica, pierna"
"M8167" "M8167   Osteoporosis localizada [Lequesne], sin fractura patolgica, tobillo y pie"
"M8168" "M8168   Osteoporosis localizada [Lequesne], sin fractura patolgica, otros"
"M8169" "M8169   Osteoporosis localizada [Lequesne], sin fractura patolgica, sitio no especificado"
"M818" "M818   Otras osteoporosis, sin fractura patolgica"
"M8180" "M8180   Otras osteoporosis, sin fractura patolgica, sitios mltiples"
"M8181" "M8181   Otras osteoporosis, sin fractura patolgica, regin del hombro"
"M8182" "M8182   Otras osteoporosis, sin fractura patolgica, brazo"
"M8183" "M8183   Otras osteoporosis, sin fractura patolgica, antebrazo"
"M8184" "M8184   Otras osteoporosis, sin fractura patolgica, mano"
"M8185" "M8185   Otras osteoporosis, sin fractura patolgica, regin pelviana y muslo"
"M8186" "M8186   Otras osteoporosis, sin fractura patolgica, pierna"
"M8187" "M8187   Otras osteoporosis, sin fractura patolgica, tobillo y pie"
"M8188" "M8188   Otras osteoporosis, sin fractura patolgica, otros"
"M8189" "M8189   Otras osteoporosis, sin fractura patolgica, sitio no especificado"
"M819" "M819   Osteoporosis no especificada, sin fractura patolgica"
"M8190" "M8190   Osteoporosis no especificada, sin fractura patolgica, sitios mltiples"
"M8191" "M8191   Osteoporosis no especificada, sin fractura patolgica, regin del hombro"
"M8192" "M8192   Osteoporosis no especificada, sin fractura patolgica, brazo"
"M8193" "M8193   Osteoporosis no especificada, sin fractura patolgica, antebrazo"
"M8194" "M8194   Osteoporosis no especificada, sin fractura patolgica, mano"
"M8195" "M8195   Osteoporosis no especificada, sin fractura patolgica, regin pelviana y muslo"
"M8196" "M8196   Osteoporosis no especificada, sin fractura patolgica, pierna"
"M8197" "M8197   Osteoporosis no especificada, sin fractura patolgica, tobillo y pie"
"M8198" "M8198   Osteoporosis no especificada, sin fractura patolgica, otros"
"M8199" "M8199   Osteoporosis no especificada, sin fractura patolgica, sitio no especificado"
"M82" "M82   Osteoporosis en enfermedades clasificadas en otra parte"
"M820" "M820   Osteoporosis en mielomatosis mltiple"
"M8200" "M8200   Osteoporosis en mielomatosis mltiple, sitios mltiples"
"M8201" "M8201   Osteoporosis en mielomatosis mltiple, regin del hombro"
"M8202" "M8202   Osteoporosis en mielomatosis mltiple, brazo"
"M8203" "M8203   Osteoporosis en mielomatosis mltiple, antebrazo"
"M8204" "M8204   Osteoporosis en mielomatosis mltiple, mano"
"M8205" "M8205   Osteoporosis en mielomatosis mltiple, regin pelviana y muslo"
"M8206" "M8206   Osteoporosis en mielomatosis mltiple, pierna"
"M8207" "M8207   Osteoporosis en mielomatosis mltiple, tobillo y pie"
"M8208" "M8208   Osteoporosis en mielomatosis mltiple, otros"
"M8209" "M8209   Osteoporosis en mielomatosis mltiple, sitio no especificado"
"M821" "M821   Osteoporosis en trastornos endocrinos"
"M8210" "M8210   Osteoporosis en trastornos endocrinos, sitios mltiples"
"M8211" "M8211   Osteoporosis en trastornos endocrinos, regin del hombro"
"M8212" "M8212   Osteoporosis en trastornos endocrinos, brazo"
"M8213" "M8213   Osteoporosis en trastornos endocrinos, antebrazo"
"M8214" "M8214   Osteoporosis en trastornos endocrinos, mano"
"M8215" "M8215   Osteoporosis en trastornos endocrinos, regin pelviana y muslo"
"M8216" "M8216   Osteoporosis en trastornos endocrinos, pierna"
"M8217" "M8217   Osteoporosis en trastornos endocrinos, tobillo y pie"
"M8218" "M8218   Osteoporosis en trastornos endocrinos, otros"
"M8219" "M8219   Osteoporosis en trastornos endocrinos, sitio no especificado"
"M828" "M828   Osteoporosis en otras enfermedades clasificadas en otra parte"
"M8280" "M8280   Osteoporosis en otras enfermedades clasificadas en otra parte, sitios mltiples"
"M8281" "M8281   Osteoporosis en otras enfermedades clasificadas en otra parte, regin del hombro"
"M8282" "M8282   Osteoporosis en otras enfermedades clasificadas en otra parte, brazo"
"M8283" "M8283   Osteoporosis en otras enfermedades clasificadas en otra parte, antebrazo"
"M8284" "M8284   Osteoporosis en otras enfermedades clasificadas en otra parte, mano"
"M8285" "M8285   Osteoporosis en otras enfermedades clasificadas en otra parte, regin pelviana y muslo"
"M8286" "M8286   Osteoporosis en otras enfermedades clasificadas en otra parte, pierna"
"M8287" "M8287   Osteoporosis en otras enfermedades clasificadas en otra parte, tobillo y pie"
"M8288" "M8288   Osteoporosis en otras enfermedades clasificadas en otra parte, otros"
"M8289" "M8289   Osteoporosis en otras enfermedades clasificadas en otra parte, sitio no especificado"
"M83" "M83   Osteomalacia del adulto"
"M830" "M830   Osteomalacia puerperal"
"M8300" "M8300   Osteomalacia puerperal, sitios mltiples"
"M8301" "M8301   Osteomalacia puerperal, regin del hombro"
"M8302" "M8302   Osteomalacia puerperal, brazo"
"M8303" "M8303   Osteomalacia puerperal, antebrazo"
"M8304" "M8304   Osteomalacia puerperal, mano"
"M8305" "M8305   Osteomalacia puerperal, regin pelviana y muslo"
"M8306" "M8306   Osteomalacia puerperal, pierna"
"M8307" "M8307   Osteomalacia puerperal, tobillo y pie"
"M8308" "M8308   Osteomalacia puerperal, otros"
"M8309" "M8309   Osteomalacia puerperal, sitio no especificado"
"M831" "M831   Osteomalacia senil"
"M8310" "M8310   Osteomalacia senil, sitios mltiples"
"M8311" "M8311   Osteomalacia senil, regin del hombro"
"M8312" "M8312   Osteomalacia senil, brazo"
"M8313" "M8313   Osteomalacia senil, antebrazo"
"M8314" "M8314   Osteomalacia senil, mano"
"M8315" "M8315   Osteomalacia senil, regin pelviana y muslo"
"M8316" "M8316   Osteomalacia senil, pierna"
"M8317" "M8317   Osteomalacia senil, tobillo y pie"
"M8318" "M8318   Osteomalacia senil, otros"
"M8319" "M8319   Osteomalacia senil, sitio no especificado"
"M832" "M832   Osteomalacia del adulto debida a malabsorcin"
"M8320" "M8320   Osteomalacia del adulto debida a malabsorcin, sitios mltiples"
"M8321" "M8321   Osteomalacia del adulto debida a malabsorcin, regin del hombro"
"M8322" "M8322   Osteomalacia del adulto debida a malabsorcin, brazo"
"M8323" "M8323   Osteomalacia del adulto debida a malabsorcin, antebrazo"
"M8324" "M8324   Osteomalacia del adulto debida a malabsorcin, mano"
"M8325" "M8325   Osteomalacia del adulto debida a malabsorcin, regin pelviana y muslo"
"M8326" "M8326   Osteomalacia del adulto debida a malabsorcin, pierna"
"M8327" "M8327   Osteomalacia del adulto debida a malabsorcin, tobillo y pie"
"M8328" "M8328   Osteomalacia del adulto debida a malabsorcin, otros"
"M8329" "M8329   Osteomalacia del adulto debida a malabsorcin, sitio no especificado"
"M833" "M833   Osteomalacia del adulto debida a desnutricin"
"M8330" "M8330   Osteomalacia del adulto debida a desnutricin, sitios mltiples"
"M8331" "M8331   Osteomalacia del adulto debida a desnutricin, regin del hombro"
"M8332" "M8332   Osteomalacia del adulto debida a desnutricin, brazo"
"M8333" "M8333   Osteomalacia del adulto debida a desnutricin, antebrazo"
"M8334" "M8334   Osteomalacia del adulto debida a desnutricin, mano"
"M8335" "M8335   Osteomalacia del adulto debida a desnutricin, regin pelviana y muslo"
"M8336" "M8336   Osteomalacia del adulto debida a desnutricin, pierna"
"M8337" "M8337   Osteomalacia del adulto debida a desnutricin, tobillo y pie"
"M8338" "M8338   Osteomalacia del adulto debida a desnutricin, otros"
"M8339" "M8339   Osteomalacia del adulto debida a desnutricin, sitio no especificado"
"M834" "M834   Enfermedad de los huesos por aluminio"
"M8340" "M8340   Enfermedad de los huesos por aluminio, sitios mltiples"
"M8341" "M8341   Enfermedad de los huesos por aluminio, regin del hombro"
"M8342" "M8342   Enfermedad de los huesos por aluminio, brazo"
"M8343" "M8343   Enfermedad de los huesos por aluminio, antebrazo"
"M8344" "M8344   Enfermedad de los huesos por aluminio, mano"
"M8345" "M8345   Enfermedad de los huesos por aluminio, regin pelviana y muslo"
"M8346" "M8346   Enfermedad de los huesos por aluminio, pierna"
"M8347" "M8347   Enfermedad de los huesos por aluminio, tobillo y pie"
"M8348" "M8348   Enfermedad de los huesos por aluminio, otros"
"M8349" "M8349   Enfermedad de los huesos por aluminio, sitio no especificado"
"M835" "M835   Otras osteomalacias del adulto inducidas por drogas"
"M8350" "M8350   Otras osteomalacias del adulto inducidas por drogas, sitios mltiples"
"M8351" "M8351   Otras osteomalacias del adulto inducidas por drogas, regin del hombro"
"M8352" "M8352   Otras osteomalacias del adulto inducidas por drogas, brazo"
"M8353" "M8353   Otras osteomalacias del adulto inducidas por drogas, antebrazo"
"M8354" "M8354   Otras osteomalacias del adulto inducidas por drogas, mano"
"M8355" "M8355   Otras osteomalacias del adulto inducidas por drogas, regin pelviana y muslo"
"M8356" "M8356   Otras osteomalacias del adulto inducidas por drogas, pierna"
"M8357" "M8357   Otras osteomalacias del adulto inducidas por drogas, tobillo y pie"
"M8358" "M8358   Otras osteomalacias del adulto inducidas por drogas, otros"
"M8359" "M8359   Otras osteomalacias del adulto inducidas por drogas, sitio no especificado"
"M838" "M838   Otras osteomalacias del adulto"
"M8380" "M8380   Otras osteomalacias del adulto, sitios mltiples"
"M8381" "M8381   Otras osteomalacias del adulto, regin del hombro"
"M8382" "M8382   Otras osteomalacias del adulto, brazo"
"M8383" "M8383   Otras osteomalacias del adulto, antebrazo"
"M8384" "M8384   Otras osteomalacias del adulto, mano"
"M8385" "M8385   Otras osteomalacias del adulto, regin pelviana y muslo"
"M8386" "M8386   Otras osteomalacias del adulto, pierna"
"M8387" "M8387   Otras osteomalacias del adulto, tobillo y pie"
"M8388" "M8388   Otras osteomalacias del adulto, otros"
"M8389" "M8389   Otras osteomalacias del adulto, sitio no especificado"
"M839" "M839   Osteomalacia del adulto, no especificada"
"M8390" "M8390   Osteomalacia del adulto, no especificada, sitios mltiples"
"M8391" "M8391   Osteomalacia del adulto, no especificada, regin del hombro"
"M8392" "M8392   Osteomalacia del adulto, no especificada, brazo"
"M8393" "M8393   Osteomalacia del adulto, no especificada, antebrazo"
"M8394" "M8394   Osteomalacia del adulto, no especificada, mano"
"M8395" "M8395   Osteomalacia del adulto, no especificada, regin pelviana y muslo"
"M8396" "M8396   Osteomalacia del adulto, no especificada, pierna"
"M8397" "M8397   Osteomalacia del adulto, no especificada, tobillo y pie"
"M8398" "M8398   Osteomalacia del adulto, no especificada, otros"
"M8399" "M8399   Osteomalacia del adulto, no especificada, sitio no especificado"
"M84" "M84   Trastornos de la continuidad del hueso"
"M840" "M840   Consolidacin defectuosa de fractura"
"M8400" "M8400   Consolidacin defectuosa de fractura, sitios mltiples"
"M8401" "M8401   Consolidacin defectuosa de fractura, regin del hombro"
"M8402" "M8402   Consolidacin defectuosa de fractura, brazo"
"M8403" "M8403   Consolidacin defectuosa de fractura, antebrazo"
"M8404" "M8404   Consolidacin defectuosa de fractura, mano"
"M8405" "M8405   Consolidacin defectuosa de fractura, regin pelviana y muslo"
"M8406" "M8406   Consolidacin defectuosa de fractura, pierna"
"M8407" "M8407   Consolidacin defectuosa de fractura, tobillo y pie"
"M8408" "M8408   Consolidacin defectuosa de fractura, otros"
"M8409" "M8409   Consolidacin defectuosa de fractura, sitio no especificado"
"M841" "M841   Falta de consolidacin de fractura [seudoartrosis]"
"M8410" "M8410   Falta de consolidacin de fractura [seudoartrosis], sitios mltiples"
"M8411" "M8411   Falta de consolidacin de fractura [seudoartrosis], regin del hombro"
"M8412" "M8412   Falta de consolidacin de fractura [seudoartrosis], brazo"
"M8413" "M8413   Falta de consolidacin de fractura [seudoartrosis], antebrazo"
"M8414" "M8414   Falta de consolidacin de fractura [seudoartrosis], mano"
"M8415" "M8415   Falta de consolidacin de fractura [seudoartrosis], regin pelviana y muslo"
"M8416" "M8416   Falta de consolidacin de fractura [seudoartrosis], pierna"
"M8417" "M8417   Falta de consolidacin de fractura [seudoartrosis], tobillo y pie"
"M8418" "M8418   Falta de consolidacin de fractura [seudoartrosis], otros"
"M8419" "M8419   Falta de consolidacin de fractura [seudoartrosis], sitio no especificado"
"M842" "M842   Consolidacin retardada de fractura"
"M8420" "M8420   Consolidacin retardada de fractura, sitios mltiples"
"M8421" "M8421   Consolidacin retardada de fractura, regin del hombro"
"M8422" "M8422   Consolidacin retardada de fractura, brazo"
"M8423" "M8423   Consolidacin retardada de fractura, antebrazo"
"M8424" "M8424   Consolidacin retardada de fractura, mano"
"M8425" "M8425   Consolidacin retardada de fractura, regin pelviana y muslo"
"M8426" "M8426   Consolidacin retardada de fractura, pierna"
"M8427" "M8427   Consolidacin retardada de fractura, tobillo y pie"
"M8428" "M8428   Consolidacin retardada de fractura, otros"
"M8429" "M8429   Consolidacin retardada de fractura, sitio no especificado"
"M843" "M843   Fractura por tensin, no clasificada en otra parte"
"M8430" "M8430   Fractura por tensin, no clasificada en otra parte, sitios mltiples"
"M8431" "M8431   Fractura por tensin, no clasificada en otra parte, regin del hombro"
"M8432" "M8432   Fractura por tensin, no clasificada en otra parte, brazo"
"M8433" "M8433   Fractura por tensin, no clasificada en otra parte, antebrazo"
"M8434" "M8434   Fractura por tensin, no clasificada en otra parte, mano"
"M8435" "M8435   Fractura por tensin, no clasificada en otra parte, regin pelviana y muslo"
"M8436" "M8436   Fractura por tensin, no clasificada en otra parte, pierna"
"M8437" "M8437   Fractura por tensin, no clasificada en otra parte, tobillo y pie"
"M8438" "M8438   Fractura por tensin, no clasificada en otra parte, otros"
"M8439" "M8439   Fractura por tensin, no clasificada en otra parte, sitio no especificado"
"M844" "M844   Fractura patolgica, no clasificada en otra parte"
"M8440" "M8440   Fractura patolgica, no clasificada en otra parte, sitios mltiples"
"M8441" "M8441   Fractura patolgica, no clasificada en otra parte, regin del hombro"
"M8442" "M8442   Fractura patolgica, no clasificada en otra parte, brazo"
"M8443" "M8443   Fractura patolgica, no clasificada en otra parte, antebrazo"
"M8444" "M8444   Fractura patolgica, no clasificada en otra parte, mano"
"M8445" "M8445   Fractura patolgica, no clasificada en otra parte, regin pelviana y muslo"
"M8446" "M8446   Fractura patolgica, no clasificada en otra parte, pierna"
"M8447" "M8447   Fractura patolgica, no clasificada en otra parte, tobillo y pie"
"M8448" "M8448   Fractura patolgica, no clasificada en otra parte, otros"
"M8449" "M8449   Fractura patolgica, no clasificada en otra parte, sitio no especificado"
"M848" "M848   Otros trastornos de la continuidad del hueso"
"M8480" "M8480   Otros trastornos de la continuidad del hueso, sitios mltiples"
"M8481" "M8481   Otros trastornos de la continuidad del hueso, regin del hombro"
"M8482" "M8482   Otros trastornos de la continuidad del hueso, brazo"
"M8483" "M8483   Otros trastornos de la continuidad del hueso, antebrazo"
"M8484" "M8484   Otros trastornos de la continuidad del hueso, mano"
"M8485" "M8485   Otros trastornos de la continuidad del hueso, regin pelviana y muslo"
"M8486" "M8486   Otros trastornos de la continuidad del hueso, pierna"
"M8487" "M8487   Otros trastornos de la continuidad del hueso, tobillo y pie"
"M8488" "M8488   Otros trastornos de la continuidad del hueso, otros"
"M8489" "M8489   Otros trastornos de la continuidad del hueso, sitio no especificado"
"M849" "M849   Trastorno de la continuidad del hueso, no especificado"
"M8490" "M8490   Trastorno de la continuidad del hueso, no especificado, sitios mltiples"
"M8491" "M8491   Trastorno de la continuidad del hueso, no especificado, regin del hombro"
"M8492" "M8492   Trastorno de la continuidad del hueso, no especificado, brazo"
"M8493" "M8493   Trastorno de la continuidad del hueso, no especificado, antebrazo"
"M8494" "M8494   Trastorno de la continuidad del hueso, no especificado, mano"
"M8495" "M8495   Trastorno de la continuidad del hueso, no especificado, regin pelviana y muslo"
"M8496" "M8496   Trastorno de la continuidad del hueso, no especificado, pierna"
"M8497" "M8497   Trastorno de la continuidad del hueso, no especificado, tobillo y pie"
"M8498" "M8498   Trastorno de la continuidad del hueso, no especificado, otros"
"M8499" "M8499   Trastorno de la continuidad del hueso, no especificado, sitio no especificado"
"M85" "M85   Otros trastornos de la densidad y de la estructura seas"
"M850" "M850   Displasia fibrosa (monosttica)"
"M8500" "M8500   Displasia fibrosa (monosttica), sitios mltiples"
"M8501" "M8501   Displasia fibrosa (monosttica), regin del hombro"
"M8502" "M8502   Displasia fibrosa (monosttica), brazo"
"M8503" "M8503   Displasia fibrosa (monosttica), antebrazo"
"M8504" "M8504   Displasia fibrosa (monosttica), mano"
"M8505" "M8505   Displasia fibrosa (monosttica), regin pelviana y muslo"
"M8506" "M8506   Displasia fibrosa (monosttica), pierna"
"M8507" "M8507   Displasia fibrosa (monosttica), tobillo y pie"
"M8508" "M8508   Displasia fibrosa (monosttica), otros"
"M8509" "M8509   Displasia fibrosa (monosttica), sitio no especificado"
"M851" "M851   Fluorosis del esqueleto"
"M8510" "M8510   Fluorosis del esqueleto, sitios mltiples"
"M8511" "M8511   Fluorosis del esqueleto, regin del hombro"
"M8512" "M8512   Fluorosis del esqueleto, brazo"
"M8513" "M8513   Fluorosis del esqueleto, antebrazo"
"M8514" "M8514   Fluorosis del esqueleto, mano"
"M8515" "M8515   Fluorosis del esqueleto, regin pelviana y muslo"
"M8516" "M8516   Fluorosis del esqueleto, pierna"
"M8517" "M8517   Fluorosis del esqueleto, tobillo y pie"
"M8518" "M8518   Fluorosis del esqueleto, otros"
"M8519" "M8519   Fluorosis del esqueleto, sitio no especificado"
"M852" "M852   Hiperostosis del crneo"
"M8520" "M8520   Hiperostosis del crneo, sitios mltiples"
"M8521" "M8521   Hiperostosis del crneo, regin del hombro"
"M8522" "M8522   Hiperostosis del crneo, brazo"
"M8523" "M8523   Hiperostosis del crneo, antebrazo"
"M8524" "M8524   Hiperostosis del crneo, mano"
"M8525" "M8525   Hiperostosis del crneo, regin pelviana y muslo"
"M8526" "M8526   Hiperostosis del crneo, pierna"
"M8527" "M8527   Hiperostosis del crneo, tobillo y pie"
"M8528" "M8528   Hiperostosis del crneo, otros"
"M8529" "M8529   Hiperostosis del crneo, sitio no especificado"
"M853" "M853   Ostetis condensante"
"M8530" "M8530   Ostetis condensante, sitios mltiples"
"M8531" "M8531   Ostetis condensante, regin del hombro"
"M8532" "M8532   Ostetis condensante, brazo"
"M8533" "M8533   Ostetis condensante, antebrazo"
"M8534" "M8534   Ostetis condensante, mano"
"M8535" "M8535   Ostetis condensante, regin pelviana y muslo"
"M8536" "M8536   Ostetis condensante, pierna"
"M8537" "M8537   Ostetis condensante, tobillo y pie"
"M8538" "M8538   Ostetis condensante, otros"
"M8539" "M8539   Ostetis condensante, sitio no especificado"
"M854" "M854   Quiste seo solitario"
"M8540" "M8540   Quiste seo solitario, sitios mltiples"
"M8541" "M8541   Quiste seo solitario, regin del hombro"
"M8542" "M8542   Quiste seo solitario, brazo"
"M8543" "M8543   Quiste seo solitario, antebrazo"
"M8544" "M8544   Quiste seo solitario, mano"
"M8545" "M8545   Quiste seo solitario, regin pelviana y muslo"
"M8546" "M8546   Quiste seo solitario, pierna"
"M8547" "M8547   Quiste seo solitario, tobillo y pie"
"M8548" "M8548   Quiste seo solitario, otros"
"M8549" "M8549   Quiste seo solitario, sitio no especificado"
"M855" "M855   Quiste seo aneurismtico"
"M8550" "M8550   Quiste seo aneurismtico, sitios mltiples"
"M8551" "M8551   Quiste seo aneurismtico, regin del hombro"
"M8552" "M8552   Quiste seo aneurismtico, brazo"
"M8553" "M8553   Quiste seo aneurismtico, antebrazo"
"M8554" "M8554   Quiste seo aneurismtico, mano"
"M8555" "M8555   Quiste seo aneurismtico, regin pelviana y muslo"
"M8556" "M8556   Quiste seo aneurismtico, pierna"
"M8557" "M8557   Quiste seo aneurismtico, tobillo y pie"
"M8558" "M8558   Quiste seo aneurismtico, otros"
"M8559" "M8559   Quiste seo aneurismtico, sitio no especificado"
"M856" "M856   Otros quistes seos"
"M8560" "M8560   Otros quistes seos, sitios mltiples"
"M8561" "M8561   Otros quistes seos, regin del hombro"
"M8562" "M8562   Otros quistes seos, brazo"
"M8563" "M8563   Otros quistes seos, antebrazo"
"M8564" "M8564   Otros quistes seos, mano"
"M8565" "M8565   Otros quistes seos, regin pelviana y muslo"
"M8566" "M8566   Otros quistes seos, pierna"
"M8567" "M8567   Otros quistes seos, tobillo y pie"
"M8568" "M8568   Otros quistes seos, otros"
"M8569" "M8569   Otros quistes seos, sitio no especificado"
"M858" "M858   Otros trastornos especificados de la densidad y de la estructura seas"
"M8580" "M8580   Otros trastornos especificados de la densidad y de la estructura seas, sitios mltiples"
"M8581" "M8581   Otros trastornos especificados de la densidad y de la estructura seas, regin del hombro"
"M8582" "M8582   Otros trastornos especificados de la densidad y de la estructura seas, brazo"
"M8583" "M8583   Otros trastornos especificados de la densidad y de la estructura seas, antebrazo"
"M8584" "M8584   Otros trastornos especificados de la densidad y de la estructura seas, mano"
"M8585" "M8585   Otros trastornos especificados de la densidad y de la estructura seas, regin pelviana y muslo"
"M8586" "M8586   Otros trastornos especificados de la densidad y de la estructura seas, pierna"
"M8587" "M8587   Otros trastornos especificados de la densidad y de la estructura seas, tobillo y pie"
"M8588" "M8588   Otros trastornos especificados de la densidad y de la estructura seas, otros"
"M8589" "M8589   Otros trastornos especificados de la densidad y de la estructura seas, sitio no especificado"
"M859" "M859   Trastorno de la densidad y de la estructura seas, no especificado"
"M8590" "M8590   Trastorno de la densidad y de la estructura seas, no especificado, sitios mltiples"
"M8591" "M8591   Trastorno de la densidad y de la estructura seas, no especificado, regin del hombro"
"M8592" "M8592   Trastorno de la densidad y de la estructura seas, no especificado, brazo"
"M8593" "M8593   Trastorno de la densidad y de la estructura seas, no especificado, antebrazo"
"M8594" "M8594   Trastorno de la densidad y de la estructura seas, no especificado, mano"
"M8595" "M8595   Trastorno de la densidad y de la estructura seas, no especificado, regin pelviana y muslo"
"M8596" "M8596   Trastorno de la densidad y de la estructura seas, no especificado, pierna"
"M8597" "M8597   Trastorno de la densidad y de la estructura seas, no especificado, tobillo y pie"
"M8598" "M8598   Trastorno de la densidad y de la estructura seas, no especificado, otros"
"M8599" "M8599   Trastorno de la densidad y de la estructura seas, no especificado, sitio no especificado"
"M86" "M86   Osteomielitis"
"M860" "M860   Osteomielitis hematgena aguda"
"M8600" "M8600   Osteomielitis hematgena aguda, sitios mltiples"
"M8601" "M8601   Osteomielitis hematgena aguda, regin del hombro"
"M8602" "M8602   Osteomielitis hematgena aguda, brazo"
"M8603" "M8603   Osteomielitis hematgena aguda, antebrazo"
"M8604" "M8604   Osteomielitis hematgena aguda, mano"
"M8605" "M8605   Osteomielitis hematgena aguda, regin pelviana y muslo"
"M8606" "M8606   Osteomielitis hematgena aguda, pierna"
"M8607" "M8607   Osteomielitis hematgena aguda, tobillo y pie"
"M8608" "M8608   Osteomielitis hematgena aguda, otros"
"M8609" "M8609   Osteomielitis hematgena aguda, sitio no especificado"
"M861" "M861   Otras osteomielitis agudas"
"M8610" "M8610   Otras osteomielitis agudas, sitios mltiples"
"M8611" "M8611   Otras osteomielitis agudas, regin del hombro"
"M8612" "M8612   Otras osteomielitis agudas, brazo"
"M8613" "M8613   Otras osteomielitis agudas, antebrazo"
"M8614" "M8614   Otras osteomielitis agudas, mano"
"M8615" "M8615   Otras osteomielitis agudas, regin pelviana y muslo"
"M8616" "M8616   Otras osteomielitis agudas, pierna"
"M8617" "M8617   Otras osteomielitis agudas, tobillo y pie"
"M8618" "M8618   Otras osteomielitis agudas, otros"
"M8619" "M8619   Otras osteomielitis agudas, sitio no especificado"
"M862" "M862   Osteomielitis subaguda"
"M8620" "M8620   Osteomielitis subaguda, sitios mltiples"
"M8621" "M8621   Osteomielitis subaguda, regin del hombro"
"M8622" "M8622   Osteomielitis subaguda, brazo"
"M8623" "M8623   Osteomielitis subaguda, antebrazo"
"M8624" "M8624   Osteomielitis subaguda, mano"
"M8625" "M8625   Osteomielitis subaguda, regin pelviana y muslo"
"M8626" "M8626   Osteomielitis subaguda, pierna"
"M8627" "M8627   Osteomielitis subaguda, tobillo y pie"
"M8628" "M8628   Osteomielitis subaguda, otros"
"M8629" "M8629   Osteomielitis subaguda, sitio no especificado"
"M863" "M863   Osteomielitis multifocal crnica"
"M8630" "M8630   Osteomielitis multifocal crnica, sitios mltiples"
"M8631" "M8631   Osteomielitis multifocal crnica, regin del hombro"
"M8632" "M8632   Osteomielitis multifocal crnica, brazo"
"M8633" "M8633   Osteomielitis multifocal crnica, antebrazo"
"M8634" "M8634   Osteomielitis multifocal crnica, mano"
"M8635" "M8635   Osteomielitis multifocal crnica, regin pelviana y muslo"
"M8636" "M8636   Osteomielitis multifocal crnica, pierna"
"M8637" "M8637   Osteomielitis multifocal crnica, tobillo y pie"
"M8638" "M8638   Osteomielitis multifocal crnica, otros"
"M8639" "M8639   Osteomielitis multifocal crnica, sitio no especificado"
"M864" "M864   Osteomielitis crnica con drenaje del seno"
"M8640" "M8640   Osteomielitis crnica con drenaje del seno, sitios mltiples"
"M8641" "M8641   Osteomielitis crnica con drenaje del seno, regin del hombro"
"M8642" "M8642   Osteomielitis crnica con drenaje del seno, brazo"
"M8643" "M8643   Osteomielitis crnica con drenaje del seno, antebrazo"
"M8644" "M8644   Osteomielitis crnica con drenaje del seno, mano"
"M8645" "M8645   Osteomielitis crnica con drenaje del seno, regin pelviana y muslo"
"M8646" "M8646   Osteomielitis crnica con drenaje del seno, pierna"
"M8647" "M8647   Osteomielitis crnica con drenaje del seno, tobillo y pie"
"M8648" "M8648   Osteomielitis crnica con drenaje del seno, otros"
"M8649" "M8649   Osteomielitis crnica con drenaje del seno, sitio no especificado"
"M865" "M865   Otras osteomielitis hematgenas crnicas"
"M8650" "M8650   Otras osteomielitis hematgenas crnicas, sitios mltiples"
"M8651" "M8651   Otras osteomielitis hematgenas crnicas, regin del hombro"
"M8652" "M8652   Otras osteomielitis hematgenas crnicas, brazo"
"M8653" "M8653   Otras osteomielitis hematgenas crnicas, antebrazo"
"M8654" "M8654   Otras osteomielitis hematgenas crnicas, mano"
"M8655" "M8655   Otras osteomielitis hematgenas crnicas, regin pelviana y muslo"
"M8656" "M8656   Otras osteomielitis hematgenas crnicas, pierna"
"M8657" "M8657   Otras osteomielitis hematgenas crnicas, tobillo y pie"
"M8658" "M8658   Otras osteomielitis hematgenas crnicas, otros"
"M8659" "M8659   Otras osteomielitis hematgenas crnicas, sitio no especificado"
"M866" "M866   Otras osteomielitis crnicas"
"M8660" "M8660   Otras osteomielitis crnicas, sitios mltiples"
"M8661" "M8661   Otras osteomielitis crnicas, regin del hombro"
"M8662" "M8662   Otras osteomielitis crnicas, brazo"
"M8663" "M8663   Otras osteomielitis crnicas, antebrazo"
"M8664" "M8664   Otras osteomielitis crnicas, mano"
"M8665" "M8665   Otras osteomielitis crnicas, regin pelviana y muslo"
"M8666" "M8666   Otras osteomielitis crnicas, pierna"
"M8667" "M8667   Otras osteomielitis crnicas, tobillo y pie"
"M8668" "M8668   Otras osteomielitis crnicas, otros"
"M8669" "M8669   Otras osteomielitis crnicas, sitio no especificado"
"M868" "M868   Otras osteomielitis"
"M8680" "M8680   Otras osteomielitis, sitios mltiples"
"M8681" "M8681   Otras osteomielitis, regin del hombro"
"M8682" "M8682   Otras osteomielitis, brazo"
"M8683" "M8683   Otras osteomielitis, antebrazo"
"M8684" "M8684   Otras osteomielitis, mano"
"M8685" "M8685   Otras osteomielitis, regin pelviana y muslo"
"M8686" "M8686   Otras osteomielitis, pierna"
"M8687" "M8687   Otras osteomielitis, tobillo y pie"
"M8688" "M8688   Otras osteomielitis, otros"
"M8689" "M8689   Otras osteomielitis, sitio no especificado"
"M869" "M869   Osteomielitis, no especificada"
"M8690" "M8690   Osteomielitis, no especificada, sitios mltiples"
"M8691" "M8691   Osteomielitis, no especificada, regin del hombro"
"M8692" "M8692   Osteomielitis, no especificada, brazo"
"M8693" "M8693   Osteomielitis, no especificada, antebrazo"
"M8694" "M8694   Osteomielitis, no especificada, mano"
"M8695" "M8695   Osteomielitis, no especificada, regin pelviana y muslo"
"M8696" "M8696   Osteomielitis, no especificada, pierna"
"M8697" "M8697   Osteomielitis, no especificada, tobillo y pie"
"M8698" "M8698   Osteomielitis, no especificada, otros"
"M8699" "M8699   Osteomielitis, no especificada, sitio no especificado"
"M87" "M87   Osteonecrosis"
"M870" "M870   Necrosis asptica idioptica sea"
"M8700" "M8700   Necrosis asptica idioptica sea, sitios mltiples"
"M8701" "M8701   Necrosis asptica idioptica sea, regin del hombro"
"M8702" "M8702   Necrosis asptica idioptica sea, brazo"
"M8703" "M8703   Necrosis asptica idioptica sea, antebrazo"
"M8704" "M8704   Necrosis asptica idioptica sea, mano"
"M8705" "M8705   Necrosis asptica idioptica sea, regin pelviana y muslo"
"M8706" "M8706   Necrosis asptica idioptica sea, pierna"
"M8707" "M8707   Necrosis asptica idioptica sea, tobillo y pie"
"M8708" "M8708   Necrosis asptica idioptica sea, otros"
"M8709" "M8709   Necrosis asptica idioptica sea, sitio no especificado"
"M871" "M871   Osteonecrosis debida a drogas"
"M8710" "M8710   Osteonecrosis debida a drogas, sitios mltiples"
"M8711" "M8711   Osteonecrosis debida a drogas, regin del hombro"
"M8712" "M8712   Osteonecrosis debida a drogas, brazo"
"M8713" "M8713   Osteonecrosis debida a drogas, antebrazo"
"M8714" "M8714   Osteonecrosis debida a drogas, mano"
"M8715" "M8715   Osteonecrosis debida a drogas, regin pelviana y muslo"
"M8716" "M8716   Osteonecrosis debida a drogas, pierna"
"M8717" "M8717   Osteonecrosis debida a drogas, tobillo y pie"
"M8718" "M8718   Osteonecrosis debida a drogas, otros"
"M8719" "M8719   Osteonecrosis debida a drogas, sitio no especificado"
"M872" "M872   Osteonecrosis debida a traumatismo previo"
"M8720" "M8720   Osteonecrosis debida a traumatismo previo, sitios mltiples"
"M8721" "M8721   Osteonecrosis debida a traumatismo previo, regin del hombro"
"M8722" "M8722   Osteonecrosis debida a traumatismo previo, brazo"
"M8723" "M8723   Osteonecrosis debida a traumatismo previo, antebrazo"
"M8724" "M8724   Osteonecrosis debida a traumatismo previo, mano"
"M8725" "M8725   Osteonecrosis debida a traumatismo previo, regin pelviana y muslo"
"M8726" "M8726   Osteonecrosis debida a traumatismo previo, pierna"
"M8727" "M8727   Osteonecrosis debida a traumatismo previo, tobillo y pie"
"M8728" "M8728   Osteonecrosis debida a traumatismo previo, otros"
"M8729" "M8729   Osteonecrosis debida a traumatismo previo, sitio no especificado"
"M873" "M873   Otras osteonecrosis secundarias"
"M8730" "M8730   Otras osteonecrosis secundarias, sitios mltiples"
"M8731" "M8731   Otras osteonecrosis secundarias, regin del hombro"
"M8732" "M8732   Otras osteonecrosis secundarias, brazo"
"M8733" "M8733   Otras osteonecrosis secundarias, antebrazo"
"M8734" "M8734   Otras osteonecrosis secundarias, mano"
"M8735" "M8735   Otras osteonecrosis secundarias, regin pelviana y muslo"
"M8736" "M8736   Otras osteonecrosis secundarias, pierna"
"M8737" "M8737   Otras osteonecrosis secundarias, tobillo y pie"
"M8738" "M8738   Otras osteonecrosis secundarias, otros"
"M8739" "M8739   Otras osteonecrosis secundarias, sitio no especificado"
"M878" "M878   Otras osteonecrosis"
"M8780" "M8780   Otras osteonecrosis, sitios mltiples"
"M8781" "M8781   Otras osteonecrosis, regin del hombro"
"M8782" "M8782   Otras osteonecrosis, brazo"
"M8783" "M8783   Otras osteonecrosis, antebrazo"
"M8784" "M8784   Otras osteonecrosis, mano"
"M8785" "M8785   Otras osteonecrosis, regin pelviana y muslo"
"M8786" "M8786   Otras osteonecrosis, pierna"
"M8787" "M8787   Otras osteonecrosis, tobillo y pie"
"M8788" "M8788   Otras osteonecrosis, otros"
"M8789" "M8789   Otras osteonecrosis, sitio no especificado"
"M879" "M879   Osteonecrosis, no especificada"
"M8790" "M8790   Osteonecrosis, no especificada, sitios mltiples"
"M8791" "M8791   Osteonecrosis, no especificada, regin del hombro"
"M8792" "M8792   Osteonecrosis, no especificada, brazo"
"M8793" "M8793   Osteonecrosis, no especificada, antebrazo"
"M8794" "M8794   Osteonecrosis, no especificada, mano"
"M8795" "M8795   Osteonecrosis, no especificada, regin pelviana y muslo"
"M8796" "M8796   Osteonecrosis, no especificada, pierna"
"M8797" "M8797   Osteonecrosis, no especificada, tobillo y pie"
"M8798" "M8798   Osteonecrosis, no especificada, otros"
"M8799" "M8799   Osteonecrosis, no especificada, sitio no especificado"
"M88" "M88   Enfermedad de Paget de los huesos [ostetis deformante]"
"M880" "M880   Enfermedad de Paget del crneo"
"M8800" "M8800   Enfermedad de Paget del crneo, sitios mltiples"
"M8801" "M8801   Enfermedad de Paget del crneo, regin del hombro"
"M8802" "M8802   Enfermedad de Paget del crneo, brazo"
"M8803" "M8803   Enfermedad de Paget del crneo, antebrazo"
"M8804" "M8804   Enfermedad de Paget del crneo, mano"
"M8805" "M8805   Enfermedad de Paget del crneo, regin pelviana y muslo"
"M8806" "M8806   Enfermedad de Paget del crneo, pierna"
"M8807" "M8807   Enfermedad de Paget del crneo, tobillo y pie"
"M8808" "M8808   Enfermedad de Paget del crneo, otros"
"M8809" "M8809   Enfermedad de Paget del crneo, sitio no especificado"
"M888" "M888   Enfermedad de Paget de otros huesos"
"M8880" "M8880   Enfermedad de Paget de otros huesos, sitios mltiples"
"M8881" "M8881   Enfermedad de Paget de otros huesos, regin del hombro"
"M8882" "M8882   Enfermedad de Paget de otros huesos, brazo"
"M8883" "M8883   Enfermedad de Paget de otros huesos, antebrazo"
"M8884" "M8884   Enfermedad de Paget de otros huesos, mano"
"M8885" "M8885   Enfermedad de Paget de otros huesos, regin pelviana y muslo"
"M8886" "M8886   Enfermedad de Paget de otros huesos, pierna"
"M8887" "M8887   Enfermedad de Paget de otros huesos, tobillo y pie"
"M8888" "M8888   Enfermedad de Paget de otros huesos, otros"
"M8889" "M8889   Enfermedad de Paget de otros huesos, sitio no especificado"
"M889" "M889   Enfermedad sea de Paget, huesos no especificados"
"M8890" "M8890   Enfermedad sea de Paget, huesos no especificados, sitios mltiples"
"M8891" "M8891   Enfermedad sea de Paget, huesos no especificados, regin del hombro"
"M8892" "M8892   Enfermedad sea de Paget, huesos no especificados, brazo"
"M8893" "M8893   Enfermedad sea de Paget, huesos no especificados, antebrazo"
"M8894" "M8894   Enfermedad sea de Paget, huesos no especificados, mano"
"M8895" "M8895   Enfermedad sea de Paget, huesos no especificados, regin pelviana y muslo"
"M8896" "M8896   Enfermedad sea de Paget, huesos no especificados, pierna"
"M8897" "M8897   Enfermedad sea de Paget, huesos no especificados, tobillo y pie"
"M8898" "M8898   Enfermedad sea de Paget, huesos no especificados, otros"
"M8899" "M8899   Enfermedad sea de Paget, huesos no especificados, sitio no especificado"
"M89" "M89   Otros trastornos del hueso"
"M890" "M890   Algoneurodistrofia"
"M8900" "M8900   Algoneurodistrofia, sitios mltiples"
"M8901" "M8901   Algoneurodistrofia, regin del hombro"
"M8902" "M8902   Algoneurodistrofia, brazo"
"M8903" "M8903   Algoneurodistrofia, antebrazo"
"M8904" "M8904   Algoneurodistrofia, mano"
"M8905" "M8905   Algoneurodistrofia, regin pelviana y muslo"
"M8906" "M8906   Algoneurodistrofia, pierna"
"M8907" "M8907   Algoneurodistrofia, tobillo y pie"
"M8908" "M8908   Algoneurodistrofia, otros"
"M8909" "M8909   Algoneurodistrofia, sitio no especificado"
"M891" "M891   Detencin del crecimiento epifisario"
"M8910" "M8910   Detencin del crecimiento epifisario, sitios mltiples"
"M8911" "M8911   Detencin del crecimiento epifisario, regin del hombro"
"M8912" "M8912   Detencin del crecimiento epifisario, brazo"
"M8913" "M8913   Detencin del crecimiento epifisario, antebrazo"
"M8914" "M8914   Detencin del crecimiento epifisario, mano"
"M8915" "M8915   Detencin del crecimiento epifisario, regin pelviana y muslo"
"M8916" "M8916   Detencin del crecimiento epifisario, pierna"
"M8917" "M8917   Detencin del crecimiento epifisario, tobillo y pie"
"M8918" "M8918   Detencin del crecimiento epifisario, otros"
"M8919" "M8919   Detencin del crecimiento epifisario, sitio no especificado"
"M892" "M892   Otros trastornos del desarrollo y crecimiento seo"
"M8920" "M8920   Otros trastornos del desarrollo y crecimiento seo, sitios mltiples"
"M8921" "M8921   Otros trastornos del desarrollo y crecimiento seo, regin del hombro"
"M8922" "M8922   Otros trastornos del desarrollo y crecimiento seo, brazo"
"M8923" "M8923   Otros trastornos del desarrollo y crecimiento seo, antebrazo"
"M8924" "M8924   Otros trastornos del desarrollo y crecimiento seo, mano"
"M8925" "M8925   Otros trastornos del desarrollo y crecimiento seo, regin pelviana y muslo"
"M8926" "M8926   Otros trastornos del desarrollo y crecimiento seo, pierna"
"M8927" "M8927   Otros trastornos del desarrollo y crecimiento seo, tobillo y pie"
"M8928" "M8928   Otros trastornos del desarrollo y crecimiento seo, otros"
"M8929" "M8929   Otros trastornos del desarrollo y crecimiento seo, sitio no especificado"
"M893" "M893   Hipertrofia del hueso"
"M8930" "M8930   Hipertrofia del hueso, sitios mltiples"
"M8931" "M8931   Hipertrofia del hueso, regin del hombro"
"M8932" "M8932   Hipertrofia del hueso, brazo"
"M8933" "M8933   Hipertrofia del hueso, antebrazo"
"M8934" "M8934   Hipertrofia del hueso, mano"
"M8935" "M8935   Hipertrofia del hueso, regin pelviana y muslo"
"M8936" "M8936   Hipertrofia del hueso, pierna"
"M8937" "M8937   Hipertrofia del hueso, tobillo y pie"
"M8938" "M8938   Hipertrofia del hueso, otros"
"M8939" "M8939   Hipertrofia del hueso, sitio no especificado"
"M894" "M894   Otras osteoartropatias hipertrficas"
"M8940" "M8940   Otras osteoartropatias hipertrficas, sitios mltiples"
"M8941" "M8941   Otras osteoartropatias hipertrficas, regin del hombro"
"M8942" "M8942   Otras osteoartropatias hipertrficas, brazo"
"M8943" "M8943   Otras osteoartropatias hipertrficas, antebrazo"
"M8944" "M8944   Otras osteoartropatias hipertrficas, mano"
"M8945" "M8945   Otras osteoartropatias hipertrficas, regin pelviana y muslo"
"M8946" "M8946   Otras osteoartropatias hipertrficas, pierna"
"M8947" "M8947   Otras osteoartropatias hipertrficas, tobillo y pie"
"M8948" "M8948   Otras osteoartropatias hipertrficas, otros"
"M8949" "M8949   Otras osteoartropatias hipertrficas, sitio no especificado"
"M895" "M895   Ostelisis"
"M8950" "M8950   Ostelisis, sitios mltiples"
"M8951" "M8951   Ostelisis, regin del hombro"
"M8952" "M8952   Ostelisis, brazo"
"M8953" "M8953   Ostelisis, antebrazo"
"M8954" "M8954   Ostelisis, mano"
"M8955" "M8955   Ostelisis, regin pelviana y muslo"
"M8956" "M8956   Ostelisis, pierna"
"M8957" "M8957   Ostelisis, tobillo y pie"
"M8958" "M8958   Ostelisis, otros"
"M8959" "M8959   Ostelisis, sitio no especificado"
"M896" "M896   Osteopata a consecuencia de poliomielitis"
"M8960" "M8960   Osteopata a consecuencia de poliomielitis, sitios mltiples"
"M8961" "M8961   Osteopata a consecuencia de poliomielitis, regin del hombro"
"M8962" "M8962   Osteopata a consecuencia de poliomielitis, brazo"
"M8963" "M8963   Osteopata a consecuencia de poliomielitis, antebrazo"
"M8964" "M8964   Osteopata a consecuencia de poliomielitis, mano"
"M8965" "M8965   Osteopata a consecuencia de poliomielitis, regin pelviana y muslo"
"M8966" "M8966   Osteopata a consecuencia de poliomielitis, pierna"
"M8967" "M8967   Osteopata a consecuencia de poliomielitis, tobillo y pie"
"M8968" "M8968   Osteopata a consecuencia de poliomielitis, otros"
"M8969" "M8969   Osteopata a consecuencia de poliomielitis, sitio no especificado"
"M898" "M898   Otros trastornos especificados del hueso"
"M8980" "M8980   Otros trastornos especificados del hueso, sitios mltiples"
"M8981" "M8981   Otros trastornos especificados del hueso, regin del hombro"
"M8982" "M8982   Otros trastornos especificados del hueso, brazo"
"M8983" "M8983   Otros trastornos especificados del hueso, antebrazo"
"M8984" "M8984   Otros trastornos especificados del hueso, mano"
"M8985" "M8985   Otros trastornos especificados del hueso, regin pelviana y muslo"
"M8986" "M8986   Otros trastornos especificados del hueso, pierna"
"M8987" "M8987   Otros trastornos especificados del hueso, tobillo y pie"
"M8988" "M8988   Otros trastornos especificados del hueso, otros"
"M8989" "M8989   Otros trastornos especificados del hueso, sitio no especificado"
"M899" "M899   Trastorno del hueso, no especificado"
"M8990" "M8990   Trastorno del hueso, no especificado, sitios mltiples"
"M8991" "M8991   Trastorno del hueso, no especificado, regin del hombro"
"M8992" "M8992   Trastorno del hueso, no especificado, brazo"
"M8993" "M8993   Trastorno del hueso, no especificado, antebrazo"
"M8994" "M8994   Trastorno del hueso, no especificado, mano"
"M8995" "M8995   Trastorno del hueso, no especificado, regin pelviana y muslo"
"M8996" "M8996   Trastorno del hueso, no especificado, pierna"
"M8997" "M8997   Trastorno del hueso, no especificado, tobillo y pie"
"M8998" "M8998   Trastorno del hueso, no especificado, otros"
"M8999" "M8999   Trastorno del hueso, no especificado, sitio no especificado"
"M90" "M90   Osteopatas en enfermedades clasificadas en otra parte"
"M900" "M900   Tuberculosis sea"
"M9000" "M9000   Tuberculosis sea, sitios mltiples"
"M9001" "M9001   Tuberculosis sea, regin del hombro"
"M9002" "M9002   Tuberculosis sea, brazo"
"M9003" "M9003   Tuberculosis sea, antebrazo"
"M9004" "M9004   Tuberculosis sea, mano"
"M9005" "M9005   Tuberculosis sea, regin pelviana y muslo"
"M9006" "M9006   Tuberculosis sea, pierna"
"M9007" "M9007   Tuberculosis sea, tobillo y pie"
"M9008" "M9008   Tuberculosis sea, otros"
"M9009" "M9009   Tuberculosis sea, sitio no especificado"
"M901" "M901   Periostitis en otras enfermedades infecciosas clasificadas en otra parte"
"M9010" "M9010   Periostitis en otras enfermedades infecciosas clasificadas en otra parte, sitios mltiples"
"M9011" "M9011   Periostitis en otras enfermedades infecciosas clasificadas en otra parte, regin del hombro"
"M9012" "M9012   Periostitis en otras enfermedades infecciosas clasificadas en otra parte, brazo"
"M9013" "M9013   Periostitis en otras enfermedades infecciosas clasificadas en otra parte, antebrazo"
"M9014" "M9014   Periostitis en otras enfermedades infecciosas clasificadas en otra parte, mano"
"M9015" "M9015   Periostitis en otras enfermedades infecciosas clasificadas en otra parte, regin pelviana y muslo"
"M9016" "M9016   Periostitis en otras enfermedades infecciosas clasificadas en otra parte, pierna"
"M9017" "M9017   Periostitis en otras enfermedades infecciosas clasificadas en otra parte, tobillo y pie"
"M9018" "M9018   Periostitis en otras enfermedades infecciosas clasificadas en otra parte, otros"
"M9019" "M9019   Periostitis en otras enfermedades infecciosas clasificadas en otra parte, sitio no especificado"
"M902" "M902   Osteopata en otras enfermedades infecciosas clasificadas en otra parte"
"M9020" "M9020   Osteopata en otras enfermedades infecciosas clasificadas en otra parte, sitios mltiples"
"M9021" "M9021   Osteopata en otras enfermedades infecciosas clasificadas en otra parte, regin del hombro"
"M9022" "M9022   Osteopata en otras enfermedades infecciosas clasificadas en otra parte, brazo"
"M9023" "M9023   Osteopata en otras enfermedades infecciosas clasificadas en otra parte, antebrazo"
"M9024" "M9024   Osteopata en otras enfermedades infecciosas clasificadas en otra parte, mano"
"M9025" "M9025   Osteopata en otras enfermedades infecciosas clasificadas en otra parte, regin pelviana y muslo"
"M9026" "M9026   Osteopata en otras enfermedades infecciosas clasificadas en otra parte, pierna"
"M9027" "M9027   Osteopata en otras enfermedades infecciosas clasificadas en otra parte, tobillo y pie"
"M9028" "M9028   Osteopata en otras enfermedades infecciosas clasificadas en otra parte, otros"
"M9029" "M9029   Osteopata en otras enfermedades infecciosas clasificadas en otra parte, sitio no especificado"
"M903" "M903   Osteonecrosis en la enfermedad causada por descompresin"
"M9030" "M9030   Osteonecrosis en la enfermedad causada por descompresin, sitios mltiples"
"M9031" "M9031   Osteonecrosis en la enfermedad causada por descompresin, regin del hombro"
"M9032" "M9032   Osteonecrosis en la enfermedad causada por descompresin, brazo"
"M9033" "M9033   Osteonecrosis en la enfermedad causada por descompresin, antebrazo"
"M9034" "M9034   Osteonecrosis en la enfermedad causada por descompresin, mano"
"M9035" "M9035   Osteonecrosis en la enfermedad causada por descompresin, regin pelviana y muslo"
"M9036" "M9036   Osteonecrosis en la enfermedad causada por descompresin, pierna"
"M9037" "M9037   Osteonecrosis en la enfermedad causada por descompresin, tobillo y pie"
"M9038" "M9038   Osteonecrosis en la enfermedad causada por descompresin, otros"
"M9039" "M9039   Osteonecrosis en la enfermedad causada por descompresin, sitio no especificado"
"M904" "M904   Osteonecrosis debida a hemoglobinopata"
"M9040" "M9040   Osteonecrosis debida a hemoglobinopata, sitios mltiples"
"M9041" "M9041   Osteonecrosis debida a hemoglobinopata, regin del hombro"
"M9042" "M9042   Osteonecrosis debida a hemoglobinopata, brazo"
"M9043" "M9043   Osteonecrosis debida a hemoglobinopata, antebrazo"
"M9044" "M9044   Osteonecrosis debida a hemoglobinopata, mano"
"M9045" "M9045   Osteonecrosis debida a hemoglobinopata, regin pelviana y muslo"
"M9046" "M9046   Osteonecrosis debida a hemoglobinopata, pierna"
"M9047" "M9047   Osteonecrosis debida a hemoglobinopata, tobillo y pie"
"M9048" "M9048   Osteonecrosis debida a hemoglobinopata, otros"
"M9049" "M9049   Osteonecrosis debida a hemoglobinopata, sitio no especificado"
"M905" "M905   Osteonecrosis en otras enfermedades clasificadas en otra parte"
"M9050" "M9050   Osteonecrosis en otras enfermedades clasificadas en otra parte, sitios mltiples"
"M9051" "M9051   Osteonecrosis en otras enfermedades clasificadas en otra parte, regin del hombro"
"M9052" "M9052   Osteonecrosis en otras enfermedades clasificadas en otra parte, brazo"
"M9053" "M9053   Osteonecrosis en otras enfermedades clasificadas en otra parte, antebrazo"
"M9054" "M9054   Osteonecrosis en otras enfermedades clasificadas en otra parte, mano"
"M9055" "M9055   Osteonecrosis en otras enfermedades clasificadas en otra parte, regin pelviana y muslo"
"M9056" "M9056   Osteonecrosis en otras enfermedades clasificadas en otra parte, pierna"
"M9057" "M9057   Osteonecrosis en otras enfermedades clasificadas en otra parte, tobillo y pie"
"M9058" "M9058   Osteonecrosis en otras enfermedades clasificadas en otra parte, otros"
"M9059" "M9059   Osteonecrosis en otras enfermedades clasificadas en otra parte, sitio no especificado"
"M906" "M906   Ostetis deformante en enfermedad neoplsica"
"M9060" "M9060   Ostetis deformante en enfermedad neoplsica, sitios mltiples"
"M9061" "M9061   Ostetis deformante en enfermedad neoplsica, regin del hombro"
"M9062" "M9062   Ostetis deformante en enfermedad neoplsica, brazo"
"M9063" "M9063   Ostetis deformante en enfermedad neoplsica, antebrazo"
"M9064" "M9064   Ostetis deformante en enfermedad neoplsica, mano"
"M9065" "M9065   Ostetis deformante en enfermedad neoplsica, regin pelviana y muslo"
"M9066" "M9066   Ostetis deformante en enfermedad neoplsica, pierna"
"M9067" "M9067   Ostetis deformante en enfermedad neoplsica, tobillo y pie"
"M9068" "M9068   Ostetis deformante en enfermedad neoplsica, otros"
"M9069" "M9069   Ostetis deformante en enfermedad neoplsica, sitio no especificado"
"M907" "M907   Fractura sea en enfermedad neoplsica"
"M9070" "M9070   Fractura sea en enfermedad neoplsica, sitios mltiples"
"M9071" "M9071   Fractura sea en enfermedad neoplsica, regin del hombro"
"M9072" "M9072   Fractura sea en enfermedad neoplsica, brazo"
"M9073" "M9073   Fractura sea en enfermedad neoplsica, antebrazo"
"M9074" "M9074   Fractura sea en enfermedad neoplsica, mano"
"M9075" "M9075   Fractura sea en enfermedad neoplsica, regin pelviana y muslo"
"M9076" "M9076   Fractura sea en enfermedad neoplsica, pierna"
"M9077" "M9077   Fractura sea en enfermedad neoplsica, tobillo y pie"
"M9078" "M9078   Fractura sea en enfermedad neoplsica, otros"
"M9079" "M9079   Fractura sea en enfermedad neoplsica, sitio no especificado"
"M908" "M908   Osteopata en otras enfermedades clasificadas en otra parte"
"M9080" "M9080   Osteopata en otras enfermedades clasificadas en otra parte, sitios mltiples"
"M9081" "M9081   Osteopata en otras enfermedades clasificadas en otra parte, regin del hombro"
"M9082" "M9082   Osteopata en otras enfermedades clasificadas en otra parte, brazo"
"M9083" "M9083   Osteopata en otras enfermedades clasificadas en otra parte, antebrazo"
"M9084" "M9084   Osteopata en otras enfermedades clasificadas en otra parte, mano"
"M9085" "M9085   Osteopata en otras enfermedades clasificadas en otra parte, regin pelviana y muslo"
"M9086" "M9086   Osteopata en otras enfermedades clasificadas en otra parte, pierna"
"M9087" "M9087   Osteopata en otras enfermedades clasificadas en otra parte, tobillo y pie"
"M9088" "M9088   Osteopata en otras enfermedades clasificadas en otra parte, otros"
"M9089" "M9089   Osteopata en otras enfermedades clasificadas en otra parte, sitio no especificado"
"M91" "M91   Osteocondrosis juvenil de la cadera y de la pelvis"
"M910" "M910   Osteocondrosis juvenil de la pelvis"
"M9100" "M9100   Osteocondrosis juvenil de la pelvis, sitios mltiples"
"M9101" "M9101   Osteocondrosis juvenil de la pelvis, regin del hombro"
"M9102" "M9102   Osteocondrosis juvenil de la pelvis, brazo"
"M9103" "M9103   Osteocondrosis juvenil de la pelvis, antebrazo"
"M9104" "M9104   Osteocondrosis juvenil de la pelvis, mano"
"M9105" "M9105   Osteocondrosis juvenil de la pelvis, regin pelviana y muslo"
"M9106" "M9106   Osteocondrosis juvenil de la pelvis, pierna"
"M9107" "M9107   Osteocondrosis juvenil de la pelvis, tobillo y pie"
"M9108" "M9108   Osteocondrosis juvenil de la pelvis, otros"
"M9109" "M9109   Osteocondrosis juvenil de la pelvis, sitio no especificado"
"M911" "M911   Osteocondrosis juvenil de la cabeza del fmur [Legg-Calv-Perthes]"
"M9110" "M9110   Osteocondrosis juvenil de la cabeza del fmur [Legg-Calv-Perthes], sitios mltiples"
"M9111" "M9111   Osteocondrosis juvenil de la cabeza del fmur [Legg-Calv-Perthes], regin del hombro"
"M9112" "M9112   Osteocondrosis juvenil de la cabeza del fmur [Legg-Calv-Perthes], brazo"
"M9113" "M9113   Osteocondrosis juvenil de la cabeza del fmur [Legg-Calv-Perthes], antebrazo"
"M9114" "M9114   Osteocondrosis juvenil de la cabeza del fmur [Legg-Calv-Perthes], mano"
"M9115" "M9115   Osteocondrosis juvenil de la cabeza del fmur [Legg-Calv-Perthes], regin pelviana y muslo"
"M9116" "M9116   Osteocondrosis juvenil de la cabeza del fmur [Legg-Calv-Perthes], pierna"
"M9117" "M9117   Osteocondrosis juvenil de la cabeza del fmur [Legg-Calv-Perthes], tobillo y pie"
"M9118" "M9118   Osteocondrosis juvenil de la cabeza del fmur [Legg-Calv-Perthes], otros"
"M9119" "M9119   Osteocondrosis juvenil de la cabeza del fmur [Legg-Calv-Perthes], sitio no especificado"
"M912" "M912   Coxa plana"
"M9120" "M9120   Coxa plana, sitios mltiples"
"M9121" "M9121   Coxa plana, regin del hombro"
"M9122" "M9122   Coxa plana, brazo"
"M9123" "M9123   Coxa plana, antebrazo"
"M9124" "M9124   Coxa plana, mano"
"M9125" "M9125   Coxa plana, regin pelviana y muslo"
"M9126" "M9126   Coxa plana, pierna"
"M9127" "M9127   Coxa plana, tobillo y pie"
"M9128" "M9128   Coxa plana, otros"
"M9129" "M9129   Coxa plana, sitio no especificado"
"M913" "M913   Pseudocoxalgia"
"M9130" "M9130   Pseudocoxalgia, sitios mltiples"
"M9131" "M9131   Pseudocoxalgia, regin del hombro"
"M9132" "M9132   Pseudocoxalgia, brazo"
"M9133" "M9133   Pseudocoxalgia, antebrazo"
"M9134" "M9134   Pseudocoxalgia, mano"
"M9135" "M9135   Pseudocoxalgia, regin pelviana y muslo"
"M9136" "M9136   Pseudocoxalgia, pierna"
"M9137" "M9137   Pseudocoxalgia, tobillo y pie"
"M9138" "M9138   Pseudocoxalgia, otros"
"M9139" "M9139   Pseudocoxalgia, sitio no especificado"
"M918" "M918   Otras osteocondrosis juveniles de la cadera y de la pelvis"
"M9180" "M9180   Otras osteocondrosis juveniles de la cadera y de la pelvis, sitios mltiples"
"M9181" "M9181   Otras osteocondrosis juveniles de la cadera y de la pelvis, regin del hombro"
"M9182" "M9182   Otras osteocondrosis juveniles de la cadera y de la pelvis, brazo"
"M9183" "M9183   Otras osteocondrosis juveniles de la cadera y de la pelvis, antebrazo"
"M9184" "M9184   Otras osteocondrosis juveniles de la cadera y de la pelvis, mano"
"M9185" "M9185   Otras osteocondrosis juveniles de la cadera y de la pelvis, regin pelviana y muslo"
"M9186" "M9186   Otras osteocondrosis juveniles de la cadera y de la pelvis, pierna"
"M9187" "M9187   Otras osteocondrosis juveniles de la cadera y de la pelvis, tobillo y pie"
"M9188" "M9188   Otras osteocondrosis juveniles de la cadera y de la pelvis, otros"
"M9189" "M9189   Otras osteocondrosis juveniles de la cadera y de la pelvis, sitio no especificado"
"M919" "M919   Osteocondrosis juvenil de la cadera y de la pelvis, sin otra especificacin"
"M9190" "M9190   Osteocondrosis juvenil de la cadera y de la pelvis, sin otra especificacin, sitios mltiples"
"M9191" "M9191   Osteocondrosis juvenil de la cadera y de la pelvis, sin otra especificacin, regin del hombro"
"M9192" "M9192   Osteocondrosis juvenil de la cadera y de la pelvis, sin otra especificacin, brazo"
"M9193" "M9193   Osteocondrosis juvenil de la cadera y de la pelvis, sin otra especificacin, antebrazo"
"M9194" "M9194   Osteocondrosis juvenil de la cadera y de la pelvis, sin otra especificacin, mano"
"M9195" "M9195   Osteocondrosis juvenil de la cadera y de la pelvis, sin otra especificacin, regin pelviana y muslo"
"M9196" "M9196   Osteocondrosis juvenil de la cadera y de la pelvis, sin otra especificacin, pierna"
"M9197" "M9197   Osteocondrosis juvenil de la cadera y de la pelvis, sin otra especificacin, tobillo y pie"
"M9198" "M9198   Osteocondrosis juvenil de la cadera y de la pelvis, sin otra especificacin, otros"
"M9199" "M9199   Osteocondrosis juvenil de la cadera y de la pelvis, sin otra especificacin, sitio no especificado"
"M92" "M92   Otras osteocondrosis juveniles"
"M920" "M920   Osteocondrosis juvenil del humero"
"M921" "M921   Osteocondrosis juvenil del cbito y del radio"
"M922" "M922   Osteocondrosis juvenil de la mano"
"M923" "M923   Otras osteocondrosis juveniles del miembro superior"
"M924" "M924   Osteocondrosis juvenil de la rtula"
"M925" "M925   Osteocondrosis juvenil de la tibia y del peron"
"M926" "M926   Osteocondrosis juvenil del tarso"
"M927" "M927   Osteocondrosis juvenil del metatarso"
"M928" "M928   Otras osteocondrosis juveniles especificadas"
"M929" "M929   Osteocondrosis juvenil, no especificada"
"M93" "M93   Otras osteocondropatas"
"M930" "M930   Deslizamiento de la epfisis femoral superior (no traumtico)"
"M931" "M931   Enfermedad de Kienbock del adulto"
"M932" "M932   Osteocondritis disecante"
"M938" "M938   Otras osteocondropatas especificadas"
"M939" "M939   Osteocondropata, no especificada"
"M94" "M94   Otros trastornos del cartlago"
"M940" "M940   Sndrome de la articulacin condrocostal [Tietze]"
"M9400" "M9400   Sndrome de la articulacin condrocostal [Tietze], sitios mltiples"
"M9401" "M9401   Sndrome de la articulacin condrocostal [Tietze], regin del hombro"
"M9402" "M9402   Sndrome de la articulacin condrocostal [Tietze], brazo"
"M9403" "M9403   Sndrome de la articulacin condrocostal [Tietze], antebrazo"
"M9404" "M9404   Sndrome de la articulacin condrocostal [Tietze], mano"
"M9405" "M9405   Sndrome de la articulacin condrocostal [Tietze], regin pelviana y muslo"
"M9406" "M9406   Sndrome de la articulacin condrocostal [Tietze], pierna"
"M9407" "M9407   Sndrome de la articulacin condrocostal [Tietze], tobillo y pie"
"M9408" "M9408   Sndrome de la articulacin condrocostal [Tietze], otros"
"M9409" "M9409   Sndrome de la articulacin condrocostal [Tietze], sitio no especificado"
"M941" "M941   Policondritis recidivante"
"M9410" "M9410   Policondritis recidivante, sitios mltiples"
"M9411" "M9411   Policondritis recidivante, regin del hombro"
"M9412" "M9412   Policondritis recidivante, brazo"
"M9413" "M9413   Policondritis recidivante, antebrazo"
"M9414" "M9414   Policondritis recidivante, mano"
"M9415" "M9415   Policondritis recidivante, regin pelviana y muslo"
"M9416" "M9416   Policondritis recidivante, pierna"
"M9417" "M9417   Policondritis recidivante, tobillo y pie"
"M9418" "M9418   Policondritis recidivante, otros"
"M9419" "M9419   Policondritis recidivante, sitio no especificado"
"M942" "M942   Condromalacia"
"M9420" "M9420   Condromalacia, sitios mltiples"
"M9421" "M9421   Condromalacia, regin del hombro"
"M9422" "M9422   Condromalacia, brazo"
"M9423" "M9423   Condromalacia, antebrazo"
"M9424" "M9424   Condromalacia, mano"
"M9425" "M9425   Condromalacia, regin pelviana y muslo"
"M9426" "M9426   Condromalacia, pierna"
"M9427" "M9427   Condromalacia, tobillo y pie"
"M9428" "M9428   Condromalacia, otros"
"M9429" "M9429   Condromalacia, sitio no especificado"
"M943" "M943   Condrlisis"
"M9430" "M9430   Condrlisis, sitios mltiples"
"M9431" "M9431   Condrlisis, regin del hombro"
"M9432" "M9432   Condrlisis, brazo"
"M9433" "M9433   Condrlisis, antebrazo"
"M9434" "M9434   Condrlisis, mano"
"M9435" "M9435   Condrlisis, regin pelviana y muslo"
"M9436" "M9436   Condrlisis, pierna"
"M9437" "M9437   Condrlisis, tobillo y pie"
"M9438" "M9438   Condrlisis, otros"
"M9439" "M9439   Condrlisis, sitio no especificado"
"M948" "M948   Otros trastornos especificados del cartlago"
"M9480" "M9480   Otros trastornos especificados del cartlago, sitios mltiples"
"M9481" "M9481   Otros trastornos especificados del cartlago, regin del hombro"
"M9482" "M9482   Otros trastornos especificados del cartlago, brazo"
"M9483" "M9483   Otros trastornos especificados del cartlago, antebrazo"
"M9484" "M9484   Otros trastornos especificados del cartlago, mano"
"M9485" "M9485   Otros trastornos especificados del cartlago, regin pelviana y muslo"
"M9486" "M9486   Otros trastornos especificados del cartlago, pierna"
"M9487" "M9487   Otros trastornos especificados del cartlago, tobillo y pie"
"M9488" "M9488   Otros trastornos especificados del cartlago, otros"
"M9489" "M9489   Otros trastornos especificados del cartlago, sitio no especificado"
"M949" "M949   Trastorno del cartlago, no especificado"
"M9490" "M9490   Trastorno del cartlago, no especificado, sitios mltiples"
"M9491" "M9491   Trastorno del cartlago, no especificado, regin del hombro"
"M9492" "M9492   Trastorno del cartlago, no especificado, brazo"
"M9493" "M9493   Trastorno del cartlago, no especificado, antebrazo"
"M9494" "M9494   Trastorno del cartlago, no especificado, mano"
"M9495" "M9495   Trastorno del cartlago, no especificado, regin pelviana y muslo"
"M9496" "M9496   Trastorno del cartlago, no especificado, pierna"
"M9497" "M9497   Trastorno del cartlago, no especificado, tobillo y pie"
"M9498" "M9498   Trastorno del cartlago, no especificado, otros"
"M9499" "M9499   Trastorno del cartlago, no especificado, sitio no especificado"
"M95" "M95   Otras deformidades adquiridas del sistema osteomuscular y del tejido conjuntivo"
"M950" "M950   Deformidad adquirida de la nariz"
"M951" "M951   Oreja en coliflor"
"M952" "M952   Otras deformidades adquiridas de la cabeza"
"M953" "M953   Deformidad adquirida del cuello"
"M954" "M954   Deformidad adquirida de costillas y trax"
"M955" "M955   Deformidad adquirida de la pelvis"
"M958" "M958   Otras deformidades adquiridas especificadas del sistema osteomuscular"
"M959" "M959   Deformidad adquirida del sistema osteomuscular, no especificada"
"M96" "M96   Trastornos osteomusculares consecutivos a procedimientos, no clasificados en otra parte"
"M960" "M960   Seudoartrosis consecutiva a fusin o artrodesis"
"M961" "M961   Sndrome postlaminectoma, no clasificado en otra parte"
"M962" "M962   Cifosis postradiacin"
"M963" "M963   Cifosis postlaminectoma"
"M964" "M964   Lordosis postquirrgica"
"M965" "M965   Escoliosis postrradiacin"
"M966" "M966   Fractura de hueso posterior a insercin o implante ortopdico, prtesis articular o placa sea"
"M968" "M968   Otros trastornos osteomusculares consecutivos a procedimientos"
"M969" "M969   Trastornos osteomusculares no especificados consecutivos a procedimientos"
"M99" "M99   Lesiones biomecnicas, no clasificadas en otra parte"
"M990" "M990   Disfuncin segmental o somtica"
"M9900" "M9900   Disfuncin segmental o somtica, regin de la cabeza"
"M9901" "M9901   Disfuncin segmental o somtica, regin cervical"
"M9902" "M9902   Disfuncin segmental o somtica, regin torcica"
"M9903" "M9903   Disfuncin segmental o somtica, regin lumbar"
"M9904" "M9904   Disfuncin segmental o somtica, regin sacra"
"M9905" "M9905   Disfuncin segmental o somtica, regin plvica"
"M9906" "M9906   Disfuncin segmental o somtica, extremidad inferior"
"M9907" "M9907   Disfuncin segmental o somtica, extremidad superior"
"M9908" "M9908   Disfuncin segmental o somtica, caja torcica"
"M9909" "M9909   Disfuncin segmental o somtica, abdomen y otra"
"M991" "M991   Complejo de subluxacin (vertebral)"
"M9910" "M9910   Complejo de subluxacin (vertebral), regin de la cabeza"
"M9911" "M9911   Complejo de subluxacin (vertebral), regin cervical"
"M9912" "M9912   Complejo de subluxacin (vertebral), regin torcica"
"M9913" "M9913   Complejo de subluxacin (vertebral), regin lumbar"
"M9914" "M9914   Complejo de subluxacin (vertebral), regin sacra"
"M9915" "M9915   Complejo de subluxacin (vertebral), regin plvica"
"M9916" "M9916   Complejo de subluxacin (vertebral), extremidad inferior"
"M9917" "M9917   Complejo de subluxacin (vertebral), extremidad superior"
"M9918" "M9918   Complejo de subluxacin (vertebral), caja torcica"
"M9919" "M9919   Complejo de subluxacin (vertebral), abdomen y otra"
"M992" "M992   Subluxacin con estenosis del canal neural"
"M9920" "M9920   Subluxacin con estenosis del canal neural, regin de la cabeza"
"M9921" "M9921   Subluxacin con estenosis del canal neural, regin cervical"
"M9922" "M9922   Subluxacin con estenosis del canal neural, regin torcica"
"M9923" "M9923   Subluxacin con estenosis del canal neural, regin lumbar"
"M9924" "M9924   Subluxacin con estenosis del canal neural, regin sacra"
"M9925" "M9925   Subluxacin con estenosis del canal neural, regin plvica"
"M9926" "M9926   Subluxacin con estenosis del canal neural, extremidad inferior"
"M9927" "M9927   Subluxacin con estenosis del canal neural, extremidad superior"
"M9928" "M9928   Subluxacin con estenosis del canal neural, caja torcica"
"M9929" "M9929   Subluxacin con estenosis del canal neural, abdomen y otra"
"M993" "M993   Estenosis sea del canal neural"
"M9930" "M9930   Estenosis sea del canal neural, regin de la cabeza"
"M9931" "M9931   Estenosis sea del canal neural, regin cervical"
"M9932" "M9932   Estenosis sea del canal neural, regin torcica"
"M9933" "M9933   Estenosis sea del canal neural, regin lumbar"
"M9934" "M9934   Estenosis sea del canal neural, regin sacra"
"M9935" "M9935   Estenosis sea del canal neural, regin plvica"
"M9936" "M9936   Estenosis sea del canal neural, extremidad inferior"
"M9937" "M9937   Estenosis sea del canal neural, extremidad superior"
"M9938" "M9938   Estenosis sea del canal neural, caja torcica"
"M9939" "M9939   Estenosis sea del canal neural, abdomen y otra"
"M994" "M994   Estenosis del canal neural por tejido conjuntivo"
"M9940" "M9940   Estenosis del canal neural por tejido conjuntivo, regin de la cabeza"
"M9941" "M9941   Estenosis del canal neural por tejido conjuntivo, regin cervical"
"M9942" "M9942   Estenosis del canal neural por tejido conjuntivo, regin torcica"
"M9943" "M9943   Estenosis del canal neural por tejido conjuntivo, regin lumbar"
"M9944" "M9944   Estenosis del canal neural por tejido conjuntivo, regin sacra"
"M9945" "M9945   Estenosis del canal neural por tejido conjuntivo, regin plvica"
"M9946" "M9946   Estenosis del canal neural por tejido conjuntivo, extremidad inferior"
"M9947" "M9947   Estenosis del canal neural por tejido conjuntivo, extremidad superior"
"M9948" "M9948   Estenosis del canal neural por tejido conjuntivo, caja torcica"
"M9949" "M9949   Estenosis del canal neural por tejido conjuntivo, abdomen y otra"
"M995" "M995   Estenosis del canal neural por disco intervertebral"
"M9950" "M9950   Estenosis del canal neural por disco intervertebral, regin de la cabeza"
"M9951" "M9951   Estenosis del canal neural por disco intervertebral, regin cervical"
"M9952" "M9952   Estenosis del canal neural por disco intervertebral, regin torcica"
"M9953" "M9953   Estenosis del canal neural por disco intervertebral, regin lumbar"
"M9954" "M9954   Estenosis del canal neural por disco intervertebral, regin sacra"
"M9955" "M9955   Estenosis del canal neural por disco intervertebral, regin plvica"
"M9956" "M9956   Estenosis del canal neural por disco intervertebral, extremidad inferior"
"M9957" "M9957   Estenosis del canal neural por disco intervertebral, extremidad superior"
"M9958" "M9958   Estenosis del canal neural por disco intervertebral, caja torcica"
"M9959" "M9959   Estenosis del canal neural por disco intervertebral, abdomen y otra"
"M996" "M996   Estenosis sea y subluxacin de los agujeros intervertebrales"
"M9960" "M9960   Estenosis sea y subluxacin de los agujeros intervertebrales, regin de la cabeza"
"M9961" "M9961   Estenosis sea y subluxacin de los agujeros intervertebrales, regin cervical"
"M9962" "M9962   Estenosis sea y subluxacin de los agujeros intervertebrales, regin torcica"
"M9963" "M9963   Estenosis sea y subluxacin de los agujeros intervertebrales, regin lumbar"
"M9964" "M9964   Estenosis sea y subluxacin de los agujeros intervertebrales, regin sacra"
"M9965" "M9965   Estenosis sea y subluxacin de los agujeros intervertebrales, regin plvica"
"M9966" "M9966   Estenosis sea y subluxacin de los agujeros intervertebrales, extremidad inferior"
"M9967" "M9967   Estenosis sea y subluxacin de los agujeros intervertebrales, extremidad superior"
"M9968" "M9968   Estenosis sea y subluxacin de los agujeros intervertebrales, caja torcica"
"M9969" "M9969   Estenosis sea y subluxacin de los agujeros intervertebrales, abdomen y otra"
"M997" "M997   Estenosis de los agujeros intervertebrales por tejido conjuntivo o por disco intervertebral"
"M9970" "M9970   Estenosis de los agujeros intervertebrales por tejido conjuntivo o por disco intervertebral, regin de la cabeza"
"M9971" "M9971   Estenosis de los agujeros intervertebrales por tejido conjuntivo o por disco intervertebral, regin cervical"
"M9972" "M9972   Estenosis de los agujeros intervertebrales por tejido conjuntivo o por disco intervertebral, regin torcica"
"M9973" "M9973   Estenosis de los agujeros intervertebrales por tejido conjuntivo o por disco intervertebral, regin lumbar"
"M9974" "M9974   Estenosis de los agujeros intervertebrales por tejido conjuntivo o por disco intervertebral, regin sacra"
"M9975" "M9975   Estenosis de los agujeros intervertebrales por tejido conjuntivo o por disco intervertebral, regin plvica"
"M9976" "M9976   Estenosis de los agujeros intervertebrales por tejido conjuntivo o por disco intervertebral, extremidad inferior"
"M9977" "M9977   Estenosis de los agujeros intervertebrales por tejido conjuntivo o por disco intervertebral, extremidad superior"
"M9978" "M9978   Estenosis de los agujeros intervertebrales por tejido conjuntivo o por disco intervertebral, caja torcica"
"M9979" "M9979   Estenosis de los agujeros intervertebrales por tejido conjuntivo o por disco intervertebral, abdomen y otra"
"M998" "M998   Otras lesiones biomecnicas"
"M9980" "M9980   Otras lesiones biomecnicas, regin de la cabeza"
"M9981" "M9981   Otras lesiones biomecnicas, regin cervical"
"M9982" "M9982   Otras lesiones biomecnicas, regin torcica"
"M9983" "M9983   Otras lesiones biomecnicas, regin lumbar"
"M9984" "M9984   Otras lesiones biomecnicas, regin sacra"
"M9985" "M9985   Otras lesiones biomecnicas, regin plvica"
"M9986" "M9986   Otras lesiones biomecnicas, extremidad inferior"
"M9987" "M9987   Otras lesiones biomecnicas, extremidad superior"
"M9988" "M9988   Otras lesiones biomecnicas, caja torcica"
"M9989" "M9989   Otras lesiones biomecnicas, abdomen y otra"
"M999" "M999   Lesin biomecnica, no especificada"
"M9990" "M9990   Lesin biomecnica, no especificada, regin de la cabeza"
"M9991" "M9991   Lesin biomecnica, no especificada, regin cervical"
"M9992" "M9992   Lesin biomecnica, no especificada, regin torcica"
"M9993" "M9993   Lesin biomecnica, no especificada, regin lumbar"
"M9994" "M9994   Lesin biomecnica, no especificada, regin sacra"
"M9995" "M9995   Lesin biomecnica, no especificada, regin plvica"
"M9996" "M9996   Lesin biomecnica, no especificada, extremidad inferior"
"M9997" "M9997   Lesin biomecnica, no especificada, extremidad superior"
"M9998" "M9998   Lesin biomecnica, no especificada, caja torcica"
"M9999" "M9999   Lesin biomecnica, no especificada, abdomen y otra"
"N00" "N00   Sndrome nefrtico agudo"
"N000" "N000   Sndrome nefrtico agudo, anomala glomerular mnima"
"N001" "N001   Sndrome nefrtico agudo, lesiones glomerulares focales y segmentarias"
"N002" "N002   Sndrome nefrtico agudo, glomerulonefritis membranosa difusa"
"N003" "N003   Sndrome nefrtico agudo, glomerulonefritis proliferativa mesangial difusa"
"N004" "N004   Sndrome nefrtico agudo, glomerulonefritis proliferativa endocapilar difusa"
"N005" "N005   Sndrome nefrtico agudo, glomerulonefritis mesangiocapilar difusa"
"N006" "N006   Sndrome nefrtico agudo, enfermedad por depsitos densos"
"N007" "N007   Sndrome nefrtico agudo, glomerulonefritis difusa en media luna"
"N008" "N008   Sndrome nefrtico agudo, otras"
"N009" "N009   Sndrome nefrtico agudo, no especificada"
"N01" "N01   Sndrome nefrtico rpidamente progresivo"
"N010" "N010   Sndrome nefrtico rpidamente progresivo, anomala glomerular mnima"
"N011" "N011   Sndrome nefrtico rpidamente progresivo, lesiones glomerulares focales y segmentarias"
"N012" "N012   Sndrome nefrtico rpidamente progresivo, glomerulonefritis membranosa difusa"
"N013" "N013   Sndrome nefritico rpidamente progresivo, glomerulonefritis proliferativa mesangial difusa"
"N014" "N014   Sndrome nefrtico rpidamente progresivo, glomerulonefritis proliferativa endocapilar difusa"
"N015" "N015   Sndrome nefrtico rpidamente progresivo, glomerulonefritis mesangiocapilar difusa"
"N016" "N016   Sndrome nefrtico rpidamente progresivo,  enfermedad por depsitos densos"
"N017" "N017   Sndrome nefrtico rpidamente progresivo, glomerulonefritis difusa en media luna"
"N018" "N018   Sndrome nefrtico rpidamente progresivo, otras"
"N019" "N019   Sndrome nefrtico rpidamente progresivo, no especificada"
"N02" "N02   Hematuria recurrente y persistente"
"N020" "N020   Hematuria recurrente y persistente, anomala glomerular mnima"
"N021" "N021   Hematuria recurrente y persistente, lesiones glomerulares focales y segmentarias"
"N022" "N022   Hematuria recurrente y persistente,  glomerulonefritis membranosa difusa"
"N023" "N023   Hematuria recurrente y persistente,  glomerulonefritis proliferativa mesangial difusa"
"N024" "N024   Hematuria recurrente y persistente,  glomerulonefritis proliferativa endocapilar difusa"
"N025" "N025   Hematuria recurrente y persistente,  glomerulonefritis mesangiocapilar difusa"
"N026" "N026   Hematuria recurrente y persistente,  enfermedad por depsitos densos"
"N027" "N027   Hematuria recurrente y persistente,  glomerulonefritis difusa en media luna"
"N028" "N028   Hematuria recurrente y persistente,  otras"
"N029" "N029   Hematuria recurrente y persistente, no especificada"
"N03" "N03   Sndrome nefrtico crnico"
"N030" "N030   Sndrome nefrtico crnico, anomala glomerular mnima"
"N031" "N031   Sndrome nefrtico crnico, lesiones glomerulares focales y segmentarias"
"N032" "N032   Sndrome nefrtico crnico, glomerulonefritis membranosa difusa"
"N033" "N033   Sndrome nefrtico crnico, glomerulonefritis proliferativa mesangial difusa"
"N034" "N034   Sndrome nefrtico crnico, glomerulonefritis proliferativa endocapilar difusa"
"N035" "N035   Sndrome nefrtico crnico, glomerulonefritis mesangiocapilar difusa"
"N036" "N036   Sndrome nefrtico crnico, enfermedad por depsitos densos"
"N037" "N037   Sndrome nefrtico crnico, glomerulonefritis difusa en media luna"
"N038" "N038   Sndrome nefrtico crnico, otras"
"N039" "N039   Sndrome nefrtico crnico, no especificada"
"N04" "N04   Sndrome nefrtico"
"N040" "N040   Sndrome nefrtico, anomala glomerular mnima"
"N041" "N041   Sndrome nefrtico, lesiones glomerulares focales y segmentarias"
"N042" "N042   Sndrome nefrtico, glomerulonefritis membranosa difusa"
"N043" "N043   Sndrome nefrtico, glomerulonefritis proliferativa mesangial difusa"
"N044" "N044   Sndrome nefrtico, glomerulonefritis proliferativa endocapilar difusa"
"N045" "N045   Sndrome nefrtico, glomerulonefritis mesangiocapilar difusa"
"N046" "N046   Sndrome nefrtico, enfermedad por depsitos densos"
"N047" "N047   Sndrome nefrtico, glomerulonefritis difusa en media luna"
"N048" "N048   Sndrome nefrtico, otras"
"N049" "N049   Sndrome nefrtico, no especificada"
"N05" "N05   Sndrome nefrtico no especificado"
"N050" "N050   Sndrome nefrtico no especificado, anomala glomerular mnima"
"N051" "N051   Sndrome nefrtico no especificado, lesiones glomerulares focales y segmentarias"
"N052" "N052   Sndrome nefrtico no especificado, glomerulonefritis membranosa difusa"
"N053" "N053   Sndrome nefrtico no especificado, glomerulonefritis proliferativa mesangial difusa"
"N054" "N054   Sndrome nefrtico no especificado, glomerulonefritis proliferativa endocapilar difusa"
"N055" "N055   Sndrome nefrtico no especificado, glomerulonefritis mesangiocapilar difusa"
"N056" "N056   Sndrome nefrtico no especificado, enfermedad por depsitos densos"
"N057" "N057   Sndrome nefrtico no especificado, glomerulonefritis difusa en media luna"
"N058" "N058   Sndrome nefrtico no especificado, otras"
"N059" "N059   Sndrome nefrtico no especificada"
"N06" "N06   Proteinuria aislada con lesin morfolgica especificada"
"N060" "N060   Proteinuria aislada con lesin morfolgica especificada, anomala glomerular mnima"
"N061" "N061   Proteinuria aislada con lesin morfolgica especificada, lesiones glomerulares focales y segmentarias"
"N062" "N062   Proteinuria aislada con lesin morfolgica especificada, glomerulonefritis membranosa difusa"
"N063" "N063   Proteinuria aislada con lesin morfolgica especificada, glomerulonefritis proliferativa mesangial difusa"
"N064" "N064   Proteinuria aislada con lesin morfolgica especificada, glomerulonefritis proliferativa endocapilar difusa"
"N065" "N065   Proteinuria aislada con lesin morfolgica especificada, glomerulonefritis mesangiocapilar difusa"
"N066" "N066   Proteinuria aislada con lesin morfolgica especificada, enfermedad por depsitos densos"
"N067" "N067   Proteinuria aislada con lesin morfolgica especificada, glomerulonefritis difusa en media luna"
"N068" "N068   Proteinuria aislada con lesin morfolgica especificada, otras"
"N069" "N069   Proteinuria aislada con lesin morfolgica especificada, no especificada"
"N07" "N07   Nefropata hereditaria no clasificada en otra parte"
"N070" "N070   Nefropata hereditaria, NCOP, anomala glomerular mnima"
"N071" "N071   Nefropata hereditaria, NCOP, lesiones glomerulares focales y segmentarias"
"N072" "N072   Nefropata hereditaria, NCOP, glomerulonefritis membranosa difusa"
"N073" "N073   Nefropata hereditaria, NCOP,  glomerulonefritis proliferativa mesangial difusa"
"N074" "N074   Nefropata hereditaria, NCOP,  glomerulonefrItis proliferativa endocapilar difusa"
"N075" "N075   Nefropata hereditaria, NCOP,  glomerulonefritis mesangiocapilar difusa"
"N076" "N076   Nefropata hereditaria, NCOP, enfermedad por depsitos densos"
"N077" "N077   Nefropata hereditaria, NCOP,  glomerulonefritis difusa en media luna"
"N078" "N078   Nefropata hereditaria, NCOP,  otras"
"N079" "N079   Nefropata hereditaria, NCOP, no especificada"
"N08" "N08   Trastornos glomerulares en enfermedades clasificadas en otra parte"
"N080" "N080   Trastornos glomerulares en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"N081" "N081   Trastornos glomerulares en enfermedades neoplsicas"
"N082" "N082   Trastornos glomerulares en enfermedades de la sangre y otros trastornos que afectan el mecanismo inmunitario"
"N083" "N083   Trastornos glomerulares en diabetes mellitus"
"N084" "N084   Trastornos glomerulares en otras enfermedades endocrinas, nutricionales y metablicas"
"N085" "N085   Trastornos glomerulares en trastornos sistmicos del tejido conjuntivo"
"N088" "N088   Trastornos glomerulares en otras enfermedades clasificadas en otra parte"
"N10" "N10   Nefritis tubulointersticial aguda"
"N11" "N11   Nefritis  tubulointersticial crnica"
"N110" "N110   Pielonefritis crnica no obstructiva asociada con reflujo"
"N111" "N111   Pielonefritis crnica obstructiva"
"N118" "N118   Otras nefritis tubulointersticiales crnicas"
"N119" "N119   Nefritis tubulointersticial crnica, sin otra especificacin"
"N12" "N12   Nefritis tubulointersticial, no especificada como aguda o crnica"
"N13" "N13   Uropata obstructiva y por reflujo"
"N130" "N130   Hidronefrosis con obstruccin de la unin urtero-plvica"
"N131" "N131   Hidronefrosis con estrechez ureteral, no clasificada en otra parte"
"N132" "N132   Hidronefrosis con obstruccin por clculos del rin y del urter"
"N133" "N133   Otras hidronefrosis y las no especificadas"
"N134" "N134   Hidrourter"
"N135" "N135   Torsin y estrechez del urter sin hidronefrosis"
"N136" "N136   Pionefrosis"
"N137" "N137   Uropata asociada con reflujo vesicoureteral"
"N138" "N138   Otras uropatas obstructivas y por reflujo"
"N139" "N139   Uropata obstructiva y por reflujo, sin otra especificacin"
"N14" "N14   Afecciones tubulares y tubulointersticiales inducidas por drogas y por metales pesados"
"N140" "N140   Nefropata inducida por analgsicos"
"N141" "N141   Nefropata inducida por otras drogas, medicamentos y sustancias biolgicas"
"N142" "N142   Nefropata inducida por drogas, medicamentos y sustancias biolgicas no especificadas"
"N143" "N143   Nefropata inducida por metales pesados"
"N144" "N144   Nefropata txica, no clasificada en otra parte"
"N15" "N15   Otras enfermedades renales tubulointersticiales"
"N150" "N150   Nefropata de los Balcanes"
"N151" "N151   Absceso renal y perirrenal"
"N158" "N158   Otras enfermedades renales tubulointersticiales especificadas"
"N159" "N159   Enfermedad renal tubulointersticial, no especificada"
"N16" "N16   Trastornos renales tubulointersticiales en enfermedades clasificadas en otra parte"
"N160" "N160   Trastornos renales tubulointersticiales en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"N161" "N161   Trastornos renales tubulointersticiales en enfermedades neoplsicas"
"N162" "N162   Trastornos renales tubulointersticiales en enfermedades de la sangre y en trastornos que afectan el mecanismo inmunitario"
"N163" "N163   Trastornos renales tubulointersticiales en enfermedades metablicas"
"N164" "N164   Trastornos renales tubulointersticiales en enfermedades del tejido conjuntivo"
"N165" "N165   Trastornos renales tubulointersticiales en rechazo de trasplante"
"N168" "N168   Trastornos renales tubulointersticiales en otras enfermedades clasificadas en otra parte"
"N17" "N17   Insuficiencia renal aguda"
"N170" "N170   Insuficiencia renal aguda con necrosis tubular"
"N171" "N171   Insuficiencia renal aguda con necrosis cortical aguda"
"N172" "N172   Insuficiencia renal aguda con necrosis medular"
"N178" "N178   Otras insuficiencias renales agudas"
"N179" "N179   Insuficiencia renal aguda, no especificada"
"N18" "N18   Enfermedad renal crnica"
"N180" "N180   Insuficiencia renal terminal"
"N181" "N181   Enfermedad renal crnica, etapa 1"
"N182" "N182   Enfermedad renal crnica, etapa 2"
"N183" "N183   Enfermedad renal crnica, etapa 3"
"N184" "N184   Enfermedad renal crnica, etapa 4"
"N185" "N185   Enfermedad renal crnica, etapa 5"
"N188" "N188   Otras insuficiencias renales crnicas"
"N189" "N189   Enfermedad renal crnica, no especificada"
"N19" "N19   Insuficiencia renal no especificada"
"N20" "N20   Clculo del rin y del urter"
"N200" "N200   Clculo del rin"
"N201" "N201   Clculo del urter"
"N202" "N202   Clculo del rin con clculo del urter"
"N209" "N209   Clculo urinario, no especificado"
"N21" "N21   Clculo de las vas urinarias inferiores"
"N210" "N210   Clculo en la vejiga"
"N211" "N211   Clculo en la uretra"
"N218" "N218   Otros clculos de las vas urinarias inferiores"
"N219" "N219   Clculo de las vas urinarias inferiores, no especificado"
"N22" "N22   Clculo de las vas urinarias en enfermedades clasificadas en otra parte"
"N220" "N220   Clculo de las vas urinarias en esquistosomiasis [bilharziasis] (B650+)"
"N228" "N228   Clculo de las vas urinarias en otras enfermedades clasificadas en otra parte"
"N23" "N23   Clico renal, no especificado"
"N25" "N25   Trastornos resultantes de la funcin tubular renal alterada"
"N250" "N250   Osteodistrofia renal"
"N251" "N251   Diabetes inspida nefrgena"
"N258" "N258   Otros trastornos resultantes de la funcin tubular renal alterada"
"N259" "N259   Trastorno no especificado, resultante de la funcin tubular renal alterada"
"N26" "N26   Rin contrado, no especificado"
"N27" "N27   Rin pequeo de causa desconocida"
"N270" "N270   Rin pequeo, unilateral"
"N271" "N271   Rin pequeo, bilateral"
"N279" "N279   Rin pequeo, no especificado"
"N28" "N28   Otros trastornos del rin y del urter, no clasificados en otra parte"
"N280" "N280   Isquemia e infarto del rin"
"N281" "N281   Quiste de rin, adquirido"
"N288" "N288   Otros trastornos especificados del rin y del urter"
"N289" "N289   Trastorno del rin y del urter, no especificado"
"N29" "N29   Otros trastornos del rin y del urter en enfermedades clasificadas en otra parte"
"N290" "N290   Sfilis renal tarda"
"N291" "N291   Otros trastornos del rin y del urter en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"N298" "N298   Otros trastornos del rin y del urter en otras enfermedades clasificadas en otra parte"
"N30" "N30   Cistitis"
"N300" "N300   Cistitis aguda"
"N301" "N301   Cistitis intersticial (crnica)"
"N302" "N302   Otras cistitis crnicas"
"N303" "N303   Trigonitis"
"N304" "N304   Cistitis por irradiacin"
"N308" "N308   Otras cistitis"
"N309" "N309   Cistitis, no especificada"
"N31" "N31   Disfuncin neuromuscular de la vejiga, no clasificada en otra parte"
"N310" "N310   Vejiga neuroptica no inhibida, no clasificada en otra parte"
"N311" "N311   Vejiga neuroptica refleja, no clasificada en otra parte"
"N312" "N312   Vejiga neuroptica flcida, no clasificada en otra parte"
"N318" "N318   Otras disfunciones neuromusculares de la vejiga"
"N319" "N319   Disfuncin neuromuscular de la vejiga, no especificada"
"N32" "N32   Otros trastornos de la vejiga"
"N320" "N320   Obstruccin de cuello de la vejiga"
"N321" "N321   Fstula vesicointestinal"
"N322" "N322   Fstula de la vejiga, no clasificada en otra parte"
"N323" "N323   Divertculo de la vejiga"
"N324" "N324   Ruptura de la vejiga, no traumtica"
"N328" "N328   Otros trastornos especificados de la vejiga"
"N329" "N329   Trastorno de la vejiga, no especificado"
"N33" "N33   Trastornos de la vejiga en enfermedades clasificadas en otra parte"
"N330" "N330   Cistitis tuberculosa"
"N338" "N338   Trastornos de la vejiga en otras enfermedades clasificadas en otra parte"
"N34" "N34   Uretritis y sndrome uretral"
"N340" "N340   Absceso uretral"
"N341" "N341   Uretritis no especfica"
"N342" "N342   Otras uretritis"
"N343" "N343   Sndrome uretral, no especificado"
"N35" "N35   Estrechez uretral"
"N350" "N350   Estrechez uretral postraumtica"
"N351" "N351   Estrechez uretral postinfeccin, no clasificada en otra parte"
"N358" "N358   Otras estrecheces uretrales"
"N359" "N359   Estrechez uretral, no especificada"
"N36" "N36   Otros trastornos de la uretra"
"N360" "N360   Fstula de la uretra"
"N361" "N361   Divertculo de la uretra"
"N362" "N362   Carncula uretral"
"N363" "N363   Prolapso de la mucosa uretral"
"N368" "N368   Otros trastornos especificados de la uretra"
"N369" "N369   Trastorno de la uretra, no especificado"
"N37" "N37   Trastornos de la uretra en enfermedades clasificadas en otra parte"
"N370" "N370   Uretritis en enfermedades clasificadas en otra parte"
"N378" "N378   Otros trastornos uretrales en enfermedades clasificadas en otra parte"
"N39" "N39   Otros trastornos del sistema urinario"
"N390" "N390   Infeccin de vas urinarias, sitio no especificado"
"N391" "N391   Proteinuria persistente, no especificada"
"N392" "N392   Proteinuria ortosttica, no especificada"
"N393" "N393   Incontinencia urinaria por tensin"
"N394" "N394   Otras incontinencias urinarias especificadas"
"N398" "N398   Otros trastornos especificados del sistema urinario"
"N399" "N399   Trastorno del sistema urinario, no especificado"
"N40" "N40   Hiperplasia de la prstata"
"N41" "N41   Enfermedades inflamatorias de la prstata"
"N410" "N410   Prostatitis aguda"
"N411" "N411   Prostatitis crnica"
"N412" "N412   Absceso de la prstata"
"N413" "N413   Prostatocistitis"
"N418" "N418   Otras enfermedades inflamatorias de la prstata"
"N419" "N419   Enfermedad inflamatoria de la prstata, no especificada"
"N42" "N42   Otros trastornos de la prstata"
"N420" "N420   Clculo de la prstata"
"N421" "N421   Congestin y hemorragia de la prstata"
"N422" "N422   Atrofia de la prstata"
"N423" "N423   Displasia de la prstata"
"N428" "N428   Otros trastornos especificados de la prstata"
"N429" "N429   Trastorno de la prstata, no especificado"
"N43" "N43   Hidrocele y espermatocele"
"N430" "N430   Hidrocele enquistado"
"N431" "N431   Hidrocele infectado"
"N432" "N432   Otros hidroceles"
"N433" "N433   Hidrocele, no especificado"
"N434" "N434   Espermatocele"
"N44" "N44   Torsin del testculo"
"N45" "N45   Orquitis y epididimitis"
"N450" "N450   Orquitis, epididimitis y orquiepididimitis con absceso"
"N459" "N459   Orquitis, epididimitis y orquiepididimitis sin absceso"
"N46" "N46   Esterilidad en el varn"
"N47" "N47   Prepucio redundante, fimosis y parafimosis"
"N48" "N48   Otros trastornos del pene"
"N480" "N480   Leucoplasia del pene"
"N481" "N481   Balanopostitis"
"N482" "N482   Otros trastornos inflamatorios del pene"
"N483" "N483   Priapismo"
"N484" "N484   Impotencia de origen orgnico"
"N485" "N485   lcera del pene"
"N486" "N486   Induracin plstica del pene"
"N488" "N488   Otros trastornos especificados del pene"
"N489" "N489   Trastorno del pene, no especificado"
"N49" "N49   Trastornos inflamatorios de rganos genitales masculinos, no clasificados en otra parte"
"N490" "N490   Trastornos inflamatorios de vescula seminal"
"N491" "N491   Trastornos inflamatorios del cordn espermtico, tnica vaginal y conducto deferente"
"N492" "N492   Trastornos inflamatorios del escroto"
"N498" "N498   Otros trastornos inflamatorios de los rganos genitales masculinos"
"N499" "N499   Trastorno inflamatorio de rgano genital masculino, no especificado"
"N50" "N50   Otros trastornos de los rganos genitales masculinos"
"N500" "N500   Atrofia del testculo"
"N501" "N501   Trastornos vasculares de los rganos genitales masculinos"
"N508" "N508   Otros trastornos especificados de los rganos genitales masculinos"
"N509" "N509   Trastorno no especificado de los rganos genitales masculinos"
"N51" "N51   Trastornos de los rganos genitales masculinos en enfermedades clasificadas en otra parte"
"N510" "N510   Trastornos de prstata en enfermedades clasificadas en otra parte"
"N511" "N511   Trastornos del testculo y del epiddimo en enfermedades clasificadas en otra parte"
"N512" "N512   Balanitis en enfermedades clasificadas en otra parte"
"N518" "N518   Otros trastornos de los rganos genitales masculinos en enfermedades clasificadas en otra parte"
"N60" "N60   Displasia mamaria benigna"
"N600" "N600   Quiste solitario de la mama"
"N601" "N601   Mastopata qustica difusa"
"N602" "N602   Fibroadenosis de mama"
"N603" "N603   Fibroesclerosis de mama"
"N604" "N604   Ectasia de conducto mamario"
"N608" "N608   Otras displasias mamarias benignas"
"N609" "N609   Displasia mamaria benigna, sin otra especificacin"
"N61" "N61   Trastornos inflamatorios de la mama"
"N62" "N62   Hipertrofia de la mama"
"N63" "N63   Masa no especificada en la mama"
"N64" "N64   Otros trastornos de la mama"
"N640" "N640   Fisura y fstula del pezn"
"N641" "N641   Necrosis grasa de la mama"
"N642" "N642   Atrofia de la mama"
"N643" "N643   Galactorrea no asociada con el parto"
"N644" "N644   Mastodinia"
"N645" "N645   Otros signos y sntomas relativos a la mama"
"N648" "N648   Otros trastornos especificados de la mama"
"N649" "N649   Trastorno de la mama, no especificado"
"N70" "N70   Salpingitis y ooforitis"
"N700" "N700   Salpingitis y ooforitis aguda"
"N701" "N701   Salpingitis y ooforitis crnica"
"N709" "N709   Salpingitis y ooforitis, no especificadas"
"N71" "N71   Enfermedad inflamatoria deltero, excepto del cuello uterino"
"N710" "N710   Enfermedad inflamatoria aguda deltero"
"N711" "N711   Enfermedad inflamatoria crnica deltero"
"N719" "N719   Enfermedad inflamatoria deltero, no especificada"
"N72" "N72   Enfermedad inflamatoria del cuello uterino"
"N73" "N73   Otras enfermedades plvicas inflamatorias femeninas"
"N730" "N730   Parametritis y celulitis plvica aguda"
"N731" "N731   Parametritis y celulitis plvica crnica"
"N732" "N732   Parametritis y celulitis plvica no especificada"
"N733" "N733   Peritonitis plvica aguda, femenina"
"N734" "N734   Peritonitis plvica crnica, femenina"
"N735" "N735   Peritonitis plvica femenina, no especificada"
"N736" "N736   Adherencias peritoneales plvicas femeninas"
"N738" "N738   Otras enfermedades inflamatorias plvicas femeninas"
"N739" "N739   Enfermedad inflamatoria plvica femenina, no especificada"
"N74" "N74   Trastornos inflamatorios de la pelvis femenina en enfermedades clasificadas en otra parte"
"N740" "N740   Infeccin tuberculosa del cuello deltero"
"N741" "N741   Enfermedad inflamatoria plvica femenina por tuberculosis"
"N742" "N742   Enfermedad inflamatoria plvica femenina por sfilis"
"N743" "N743   Enfermedad inflamatoria plvica femenina por gonococos"
"N744" "N744   Enfermedad inflamatoria plvica femenina por clamidias"
"N748" "N748   Trastornos inflamatorios plvicos femeninos en otras enfermedades clasificadas en otra parte"
"N75" "N75   Enfermedades de la glndula de Bartholin"
"N750" "N750   Quiste de la glndula de Bartholin"
"N751" "N751   Absceso de la glndula de Bartholin"
"N758" "N758   Otras enfermedades de la glndula de Bartholin"
"N759" "N759   Enfermedad de la glndula de Bartholin, no especificada"
"N76" "N76   Otras afecciones inflamatorias de la vagina y de la vulva"
"N760" "N760   Vaginitis aguda"
"N761" "N761   Vaginitis subaguda y crnica"
"N762" "N762   Vulvitis aguda"
"N763" "N763   Vulvitis subaguda y crnica"
"N764" "N764   Absceso vulvar"
"N765" "N765   Ulceracin de la vagina"
"N766" "N766   Ulceracin de la vulva"
"N768" "N768   Otras inflamaciones especificadas de la vagina y de la vulva"
"N77" "N77   Ulceracin e inflamacin vulvovaginal en enfermedades clasificadas en otra parte"
"N770" "N770   Ulceracin de la vulva en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"N771" "N771   Vaginitis, vulvitis y vulvovaginitis en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"N778" "N778   Ulceracin e inflamacin vulvovaginal en otras enfermedades clasificadas en otra parte"
"N80" "N80   Endometriosis"
"N800" "N800   Endometriosis deltero"
"N801" "N801   Endometriosis del ovario"
"N802" "N802   Endometriosis de la trompa de Falopio"
"N803" "N803   Endometriosis del peritoneo plvico"
"N804" "N804   Endometriosis del tabique rectovaginal y de la vagina"
"N805" "N805   Endometriosis del intestino"
"N806" "N806   Endometriosis en cicatriz cutnea"
"N808" "N808   Otras endometriosis"
"N809" "N809   Endometriosis, no especificada"
"N81" "N81   Prolapso genital femenino"
"N810" "N810   Uretrocele femenino"
"N811" "N811   Cistocele"
"N812" "N812   Prolapso uterovaginal incompleto"
"N813" "N813   Prolapso uterovaginal completo"
"N814" "N814   Prolapso uterovaginal, sin otra especificacin"
"N815" "N815   Enterocele vaginal"
"N816" "N816   Rectocele"
"N818" "N818   Otros prolapsos genitales femeninos"
"N819" "N819   Prolapso genital femenino, no especificado"
"N82" "N82   Fstulas que afectan el tracto genital femenino"
"N820" "N820   Fstula vesicovaginal"
"N821" "N821   Otras fstulas de las vas genitourinarias femeninas"
"N822" "N822   Fstula de la vagina al intestino delgado"
"N823" "N823   Fstula de la vagina al intestino grueso"
"N824" "N824   Otras fstulas del tracto genital femenino al tracto intestinal"
"N825" "N825   Fstula del tracto genital femenino a la piel"
"N828" "N828   Otras fstulas del tracto genital femenino"
"N829" "N829   Fstula del tracto genital femenino, sin otra especificacin"
"N83" "N83   Tratornos no inflamatorios del ovario, de la trompa de Falopio y del ligamento ancho"
"N830" "N830   Quiste folicular del ovario"
"N831" "N831   Quiste del cuerpo amarillo"
"N832" "N832   Otros quistes ovricos y los no especificados"
"N833" "N833   Atrofia adquirida del ovario y de la trompa de Falopio"
"N834" "N834   Prolapso y hernia del ovario y de la trompa de Falopio"
"N835" "N835   Torsin de ovario, pedculo de ovario y trompa de Falopio"
"N836" "N836   Hematosalpinx"
"N837" "N837   Hematoma del ligamento ancho"
"N838" "N838   Otros trastornos no inflamatorios del ovario, de la trompa de Falopio y del ligamento ancho"
"N839" "N839   Enfermedad no inflamatoria del ovario, de la trompa de Falopio y del ligamento ancho, no especificada"
"N84" "N84   Plipo del tracto genital femenino"
"N840" "N840   Plipo del cuerpo deltero"
"N841" "N841   Plipo del cuello deltero"
"N842" "N842   Plipo de la vagina"
"N843" "N843   Plipo de la vulva"
"N848" "N848   Plipos de otras partes del tracto genital femenino"
"N849" "N849   Plipo del tracto genital femenino, no especificado"
"N85" "N85   Otros trastornos no inflamatorios deltero, excepto del cuello"
"N850" "N850   Hiperplasia de glndula del endometrio"
"N851" "N851   Hiperplasia adenomatosa del endometrio"
"N852" "N852   Hipertrofia deltero"
"N853" "N853   Subinvolucin deltero"
"N854" "N854   Mala posicion deltero"
"N855" "N855   Inversin deltero"
"N856" "N856   Sinequias intrauterinas"
"N857" "N857   Hematmetra"
"N858" "N858   Otros trastornos no inflamatorios especificados deltero"
"N859" "N859   Trastorno no inflamatorio deltero, no especificado"
"N86" "N86   Erosin y ectropin del cuello deltero"
"N87" "N87   Displasia del cuello uterino"
"N870" "N870   Displasia cervical leve"
"N871" "N871   Displasia cervical moderada"
"N872" "N872   Displasia cervical severa, no clasificada en otra parte"
"N879" "N879   Displasia del cuello deltero, no especificada"
"N88" "N88   Otros trastornos no inflamatorios del cuello deltero"
"N880" "N880   Leucoplasia del cuello deltero"
"N881" "N881   Laceracin antigua del cuello deltero"
"N882" "N882   Estrechez y estenosis del cuello deltero"
"N883" "N883   Incompetencia del cuello deltero"
"N884" "N884   Elongacin hipertrofica del cuello deltero"
"N888" "N888   Otros trastornos no inflamatorios especificados del cuello deltero"
"N889" "N889   Trastorno no inflamatorio del cuello deltero, no especificado"
"N89" "N89   Otros trastornos no inflamatorios de la vagina"
"N890" "N890   Displasia vaginal leve"
"N891" "N891   Displasia vaginal moderada"
"N892" "N892   Displasia vaginal severa, no clasificada en otra parte"
"N893" "N893   Displasia de la vagina, no especificada"
"N894" "N894   Leucoplasia de la vagina"
"N895" "N895   Estrechez y atresia de la vagina"
"N896" "N896   Anillo de himen estrecho"
"N897" "N897   Hematocolpos"
"N898" "N898   Otros trastornos especificados no inflamatorios de la vagina"
"N899" "N899   Trastorno no inflamatorio de la vagina, no especificado"
"N90" "N90   Otros trastornos no inflamatorios de la vulva y del perineo"
"N900" "N900   Displasia vulvar leve"
"N901" "N901   Displasia vulvar moderada"
"N902" "N902   Displasia vulvar severa, no clasificada en otra parte"
"N903" "N903   Displasia de la vulva, no especificada"
"N904" "N904   Leucoplasia de la vulva"
"N905" "N905   Atrofia de la vulva"
"N906" "N906   Hipertrofia de la vulva"
"N907" "N907   Quiste de la vulva"
"N908" "N908   Otros trastornos no inflamatorios especificados de la vulva y del perineo"
"N909" "N909   Trastorno no inflamatorio de la vulva y del perineo, no especificado"
"N91" "N91   Menstruacin ausente, escasa o rara"
"N910" "N910   Amenorrea primaria"
"N911" "N911   Amenorrea secundaria"
"N912" "N912   Amenorrea, sin otra especificacin"
"N913" "N913   Oligomenorrea primaria"
"N914" "N914   Oligomenorrea secundaria"
"N915" "N915   Oligomenorrea, no especificada"
"N92" "N92   Menstruacin excesiva, frecuente e irregular"
"N920" "N920   Menstruacin excesiva y frecuente con ciclo regular"
"N921" "N921   Menstruacin excesiva y frecuente con ciclo irregular"
"N922" "N922   Menstruacin excesiva en la pubertad"
"N923" "N923   Hemorragia por ovulacin"
"N924" "N924   Hemorragia excesiva en perodo premenopusico"
"N925" "N925   Otras menstruaciones irregulares especificadas"
"N926" "N926   Menstruacin irregular, no especificada"
"N93" "N93   Otras hemorragias uterinas o vaginales anormales"
"N930" "N930   Hemorragia postcoito y postcontacto"
"N938" "N938   Otras hemorragias uterinas o vaginales anormales especificadas"
"N939" "N939   Hemorragia vaginal y uterina anormal, no especificada"
"N94" "N94   Dolor y otras afecciones relacionadas con los rganos genitales femeninos y con el ciclo menstrual"
"N940" "N940   Dolor intermenstrual"
"N941" "N941   Dispareunia"
"N942" "N942   Vaginismo"
"N943" "N943   Sndrome de tensin premenstrual"
"N944" "N944   Dismenorrea primaria"
"N945" "N945   Dismenorrea secundaria"
"N946" "N946   Dismenorrea, no especificada"
"N948" "N948   Otras afecciones especificadas asociadas con los rganos genitales femeninos y el ciclo menstrual"
"N949" "N949   Afecciones no especificadas asociadas con los rganos genitales femeninos y el ciclo menstrual"
"N95" "N95   Otros trastornos menopusicos y perimenopusicos"
"N950" "N950   Hemorragia postmenopusica"
"N951" "N951   Estados menopusicos y climatricos femeninos"
"N952" "N952   Vaginitis atrfica postmenopusica"
"N953" "N953   Estados asociados con menopausia artificial"
"N958" "N958   Otros trastornos menopusicos y perimenopusicos especificados"
"N959" "N959   Trastorno menopusico y perimenopusico, no especificado"
"N96" "N96   Abortadora habitual"
"N97" "N97   Infertilidad femenina"
"N970" "N970   Infertilidad femenina asociada con falta de ovulacin"
"N971" "N971   Infertilidad femenina de origen tubrico"
"N972" "N972   Infertilidad femenina de origen uterino"
"N973" "N973   Infertilidad femenina de origen cervical"
"N974" "N974   Infertilidad femenina asociada con factores masculinos"
"N978" "N978   Infertilidad femenina de otro origen"
"N979" "N979   Infertilidad femenina, no especificada"
"N98" "N98   Complicaciones asociadas con la fecundacin artificial"
"N980" "N980   Infeccin asociada con inseminacin artificial"
"N981" "N981   Hiperestimulacin de ovarios"
"N982" "N982   Complicaciones en el intento de introduccin del huevo fecundado en la fertilizacin in vitro"
"N983" "N983   Complicaciones en el intento de introduccin del embrin en la transferencia de embriones"
"N988" "N988   Otras complicaciones asociadas con la fecundacin artificial"
"N989" "N989   Complicacin no especificada asociada con la fecundacin artificial"
"N99" "N99   Trastornos del sistema genitourinario consecutivos a procedimientos no clasificados en otra parte"
"N990" "N990   Insuficiencia renal consecutiva a procedimientos"
"N991" "N991   Estrechez uretral consecutiva a procedimientos"
"N992" "N992   Adherencias postoperatorias de la vagina"
"N993" "N993   Prolapso de la cpula vaginal despus de histerectoma"
"N994" "N994   Adherencias peritoneales plvicas consecutivas a procedimientos"
"N995" "N995   Mal funcionamiento de estoma externo de vas urinarias"
"N998" "N998   Otros trastornos del sistema genitourinario consecutivos a procedimientos"
"N999" "N999   Trastorno no especificado del sistema genitourinario consecutivo a procedimientos"
"O00" "O00   Embarazo ectpico"
"O000" "O000   Embarazo abdominal"
"O001" "O001   Embarazo tubrico"
"O002" "O002   Embarazo ovrico"
"O008" "O008   Otros embarazos ectpicos"
"O009" "O009   Embarazo ectpico, no especificado"
"O01" "O01   Mola hidatiforme"
"O010" "O010   Mola hidatiforme clsica"
"O011" "O011   Mola hidatiforme, incompleta o parcial"
"O019" "O019   Mola hidatiforme, no especificada"
"O02" "O02   Otros productos anormales  de la concepcin"
"O020" "O020   Detencin del desarrollo del huevo y mola no hidatiforme"
"O021" "O021   Aborto retenido"
"O028" "O028   Otros productos anormales especificados de la concepcin"
"O029" "O029   Producto anormal de la concepcin, no especificado"
"O03" "O03   Aborto espontneo"
"O030" "O030   Aborto espontneo incompleto, complicado con infeccin genital y pelviana"
"O031" "O031   Aborto espontneo incompleto, complicado por hemorragia excesiva o tarda"
"O032" "O032   Aborto espontneo incompleto, complicado por embolia"
"O033" "O033   Aborto espontneo incompleto, con otras complicaciones especificadas y las no especificadas"
"O034" "O034   Aborto espontneo incompleto, sin complicacin"
"O035" "O035   Aborto espontneo completo o no especificado, complicado con infeccin genital y pelviana"
"O036" "O036   Aborto espontneo completo o no especificado, complicado por hemorragia excesiva o tarda"
"O037" "O037   Aborto espontneo completo o no especificado, complicado por embolia"
"O038" "O038   Aborto espontneo completo o no especificado, con otras complicaciones especificadas y las no especificadas"
"O039" "O039   Aborto espontneo completo o no especificado, sin complicacin"
"O04" "O04   Aborto mdico"
"O040" "O040   Aborto mdico incompleto, complicado con infeccin genital y pelviana"
"O041" "O041   Aborto mdico incompleto, complicado por hemorragia excesiva o tarda"
"O042" "O042   Aborto mdico incompleto, complicado por embolia"
"O043" "O043   Aborto mdico incompleto, con otras complicaciones especificadas y las no especificadas"
"O044" "O044   Aborto mdico incompleto, sin complicacin"
"O045" "O045   Aborto mdico completo o no especificado, complicado con infeccin genital y pelviana"
"O046" "O046   Aborto mdico completo o no especificado, complicado por hemorragia excesiva o tarda"
"O047" "O047   Aborto mdico completo o no especificado, complicado por embolia"
"O048" "O048   Aborto mdico completo o no especificado, con otras complicaciones especificadas y las no especificadas"
"O049" "O049   Aborto mdico completo o no especificado, sin complicacin"
"O05" "O05   Otro aborto"
"O050" "O050   Otro aborto incompleto, complicado con infeccin genital y pelviana"
"O051" "O051   Otro aborto incompleto, complicado por hemorragia excesiva o tarda"
"O052" "O052   Otro aborto incompleto, complicado por embolia"
"O053" "O053   Otro aborto incompleto, con otras complicaciones especificadas y las no especificadas"
"O054" "O054   Otro aborto incompleto, sin complicacin"
"O055" "O055   Otro aborto completo o no especificado, complicado con infeccin genital y pelviana"
"O056" "O056   Otro aborto completo o no especificado, complicado por hemorragia excesiva o tarda"
"O057" "O057   Otro aborto completo o no especificado, complicado por embolia"
"O058" "O058   Otro aborto completo o no especificado, con otras complicaciones especificadas y las no especificadas"
"O059" "O059   Otro aborto completo o no especificado, sin complicacin"
"O06" "O06   Aborto no especificado"
"O060" "O060   Aborto no especificado incompleto, complicado con infeccin genital y pelviana"
"O061" "O061   Aborto no especificado incompleto, complicado por hemorragia excesiva o tarda"
"O062" "O062   Aborto no especificado incompleto, complicado por embolia"
"O063" "O063   Aborto no especificado incompleto, con otras complicaciones especificadas y las no especificadas"
"O064" "O064   Aborto no especificado incompleto, sin complicacin"
"O065" "O065   Aborto no especificado completo o no especificado, complicado con infeccin genital y pelviana"
"O066" "O066   Aborto no especificado completo o no especificado, complicado por hemorragia excesiva o tarda"
"O067" "O067   Aborto no especificado completo o no especificado, complicado por embolia"
"O068" "O068   Aborto no especificado completo o no especificado, con otras complicaciones especificadas y las no especificadas"
"O069" "O069   Aborto no especificado completo o no especificado, sin complicacin"
"O07" "O07   Intento fallido de aborto"
"O070" "O070   Falla de la induccin mdica del aborto, complicado por infeccin genital y pelviana"
"O071" "O071   Falla de la induccin mdica del aborto, complicado por hemorragia excesiva o tarda"
"O072" "O072   Falla de la induccin mdica del aborto, complicado por embolia"
"O073" "O073   Falla de la induccin mdica del aborto, con otras complicaciones y las no especificadas"
"O074" "O074   Falla de la induccin mdica del aborto, sin complicacin"
"O075" "O075   Otros intentos fallidos de aborto y los no especificados, complicados por infeccin genital y pelviana"
"O076" "O076   Otros intentos fallidos de aborto y los no especificados, complicados por hemorragia excesiva o tarda"
"O077" "O077   Otros intentos fallidos de aborto y los no especificados, complicados por embolia"
"O078" "O078   Otros intentos fallidos de aborto y los no especificados, con otras complicaciones y las no especificadas"
"O079" "O079   Otros intentos fallidos de aborto y los no especificados, sin complicacin"
"O08" "O08   Complicaciones consecutivas al aborto, al embarazo ectpico y al embarazo molar"
"O080" "O080   Infeccin genital y pelviana consecutiva al aborto, al embarazo ectpico y al embarazo molar"
"O081" "O081   Hemorragia excesiva o tarda consecutiva al aborto, al embarazo ectpico y al embarazo molar"
"O082" "O082   Embolia consecutiva al aborto, al embarazo ectpico y al embarazo molar"
"O083" "O083   Choque consecutivo al aborto, al embarazo ectpico y al embarazo molar"
"O084" "O084   Insuficiencia renal consecutiva al aborto, al embarazo ectpico y al embarazo molar"
"O085" "O085   Trastorno metablico consecutivo al aborto, al embarazo ectpico y al embarazo molar"
"O086" "O086   Lesin de rganos o tejidos de la pelvis consecutivo al aborto, al embarazo ectpico y al embarazo molar"
"O087" "O087   Otras complicaciones venosas consecutivas al aborto, al embarazo ectpico y al embarazo molar"
"O088" "O088   Otras complicaciones consecutivas al aborto, al embarazo ectpico y al embarazo molar"
"O089" "O089   Complicacin no especificada consecutiva al aborto, al embarazo ectpico y al embarazo molar"
"O10" "O10   Hipertensin preexistente que complica el embarazo, el parto y el puerperio"
"O100" "O100   Hipertensin esencial preexistente que complica el embarazo, el parto y el puerperio"
"O101" "O101   Enfermedad cardaca hipertensiva preexistente que complica el embarazo, el parto y el puerperio"
"O102" "O102   Enfermedad renal hipertensiva preexistente que complica el embarazo, el parto y el puerperio"
"O103" "O103   Enfermedad cardiorrenal hipertensiva preexistente que complica el embarazo, el parto y el puerperio"
"O104" "O104   Hipertensin secundaria preexistente que complica el embarazo, el parto y el puerperio"
"O109" "O109   Hipertensin preexistente no especificada, que complica el embarazo, el parto y el puerperio"
"O11" "O11   Preeclampsia superpuesta en hipertensin crnica"
"O12" "O12   Edema y proteinuria gestacionales [inducidos por el embarazo] sin hipertensin"
"O120" "O120   Edema gestacional"
"O121" "O121   Proteinuria gestacional"
"O122" "O122   Edema gestacional con proteinuria"
"O13" "O13   Hipertensin gestacional [inducida por el embarazo]"
"O14" "O14   Preeclampsia"
"O140" "O140   Preeclampsia leve a moderada"
"O141" "O141   Preeclampsia severa"
"O142" "O142   Sndrome HELLP"
"O149" "O149   Preeclampsia, no especificada"
"O15" "O15   Eclampsia"
"O150" "O150   Eclampsia en el embarazo"
"O151" "O151   Eclampsia durante el trabajo de parto"
"O152" "O152   Eclampsia en el puerperio"
"O159" "O159   Eclampsia, en perodo no especificado"
"O16" "O16   Hipertensin materna, no especificada"
"O20" "O20   Hemorragia precoz del embarazo"
"O200" "O200   Amenaza de aborto"
"O208" "O208   Otras hemorragias precoces del embarazo"
"O209" "O209   Hemorragia precoz del embarazo, sin otra especificacin"
"O21" "O21   Vmitos excesivos del embarazo"
"O210" "O210   Hiperemesis gravdica leve"
"O211" "O211   Hiperemesis gravdica con trastornos metablicos"
"O212" "O212   Hiperemesis gravdica tarda"
"O218" "O218   Otros vmitos que complican el embarazo"
"O219" "O219   Vmitos del embarazo, no especificados"
"O22" "O22   Complicaciones venosas y hemorroides en el embarazo"
"O220" "O220   Venas varicosas de los miembros inferiores en el embarazo"
"O221" "O221   Vrices genitales en el embarazo"
"O222" "O222   Tromboflebitis superficial en el embarazo"
"O223" "O223   Flebotrombosis profunda en el embarazo"
"O224" "O224   Hemorroides en el embarazo"
"O225" "O225   Trombosis venosa cerebral en el embarazo"
"O228" "O228   Otras complicaciones venosas en el embarazo"
"O229" "O229   Complicacin venosa no especificada en el embarazo"
"O23" "O23   Infeccin de las vas genitourinarias en el embarazo"
"O230" "O230   Infeccin del rin en el embarazo"
"O231" "O231   Infeccin de la vejiga urinaria en el embarazo"
"O232" "O232   Infeccin de la uretra en el embarazo"
"O233" "O233   Infeccin de otras partes de las vas urinarias en el embarazo"
"O234" "O234   Infeccin no especificada de las vas urinarias en el embarazo"
"O235" "O235   Infeccin genital en el embarazo"
"O239" "O239   Otras Infecciones y las no especificadas de las vas genitourinarias en el embarazo"
"O24" "O24   Diabetes mellitus en el embarazo"
"O240" "O240   Diabetes mellitus preexistente insulinodependiente, en el embarazo"
"O241" "O241   Diabetes mellitus preexistente no insulinodependiente, en el embarazo"
"O242" "O242   Diabetes mellitus preexistente relacionada con desnutricin, en el embarazo"
"O243" "O243   Diabetes mellitus preexistente, sin otra especificacin, en el embarazo"
"O244" "O244   Diabetes mellitus que se origina con el embarazo"
"O249" "O249   Diabetes mellitus no especificada, en el embarazo"
"O25" "O25   Desnutricin en el embarazo"
"O26" "O26   Atencin a la madre por otras complicaciones principalmente relacionadas con el embarazo"
"O260" "O260   Aumento excesivo de peso en el embarazo"
"O261" "O261   Aumento pequeo de peso en el embarazo"
"O262" "O262   Atencin del embarazo en una abortadora habitual"
"O263" "O263   Retencin de dispositivo anticonceptivo intrauterino en el embarazo"
"O264" "O264   Herpes gestacional"
"O265" "O265   Sndrome de hipotensin materna"
"O266" "O266   Trastornos del hgado en el embarazo, el parto y el puerperio"
"O267" "O267   Subluxacin de la snfisis (del pubis) en el embarazo, el parto y el puerperio"
"O268" "O268   Otras complicaciones especificadas relacionadas con el embarazo"
"O269" "O269   Complicacin relacionada con el embarazo, no especificada"
"O28" "O28   Hallazgos anormales en el examen prenatal de la madre"
"O280" "O280   Hallazgo hematolgico anormal en el examen prenatal de la madre"
"O281" "O281   Hallazgo bioqumico anormal en el examen prenatal de la madre"
"O282" "O282   Hallazgo citolgico anormal en el examen prenatal de la madre"
"O283" "O283   Hallazgo ultrasnico anormal en el examen prenatal de la madre"
"O284" "O284   Hallazgo radiolgico anormal en el examen prenatal de la madre"
"O285" "O285   Hallazgo cromosmico o gentico anormal en el examen prenatal de la madre"
"O288" "O288   Otros hallazgos anormales en el examen prenatal de la madre"
"O289" "O289   Hallazgo anormal no especificado en el examen prenatal de la madre"
"O29" "O29   Complicaciones de la anestesia administrada durante el embarazo"
"O290" "O290   Complicaciones pulmonares de la anestesia administrada durante el embarazo"
"O291" "O291   Complicaciones cardacas de la anestesia administrada durante el embarazo"
"O292" "O292   Complicaciones del sistema nervioso central debidas a la anestesia administrada durante el embarazo"
"O293" "O293   Reaccin txica a la anestesia local administrada durante el embarazo"
"O294" "O294   Cefalalgia inducida por la anestesia espinal o epidural administradas durante el embarazo"
"O295" "O295   Otras complicaciones de la anestesia espinal o epidural administradas durante el embarazo"
"O296" "O296   Falla o dificultad en la intubacin durante el embarazo"
"O298" "O298   Otras complicaciones de la anestesia administrada durante el embarazo"
"O299" "O299   Complicacin no especificada de la anestesia administrada durante el embarazo"
"O30" "O30   Embarazo mltiple"
"O300" "O300   Embarazo doble"
"O301" "O301   Embarazo triple"
"O302" "O302   Embarazo cudruple"
"O308" "O308   Otros embarazos mltiples"
"O309" "O309   Embarazo mltiple, no especificado"
"O31" "O31   Complicaciones especficas del embarazo mltiple"
"O310" "O310   Feto papirceo"
"O311" "O311   Embarazo que contina despus del aborto de un feto o ms"
"O312" "O312   Embarazo que contina despus de la muerte intrauterina de un feto o ms"
"O318" "O318   Otras complicaciones especficas del embarazo mltiple"
"O32" "O32   Atencin materna por presentacin anormal del feto, conocida o presunta"
"O320" "O320   Atencin materna por posicin fetal inestable"
"O321" "O321   Atencin materna por presentacin de nalgas"
"O322" "O322   Atencin materna por posicin fetal oblicua o transversa"
"O323" "O323   Atencin materna por presentacin de cara, de frente o de mentn"
"O324" "O324   Atencin materna por cabeza alta en gestacin a trmino"
"O325" "O325   Atencin materna por embarazo mltiple con presentacin anormal de un feto o ms"
"O326" "O326   Atencin materna por presentacin compuesta"
"O328" "O328   Atencin materna por otras presentaciones anormales del feto"
"O329" "O329   Atencin materna por presentacin anormal no especificada del feto"
"O33" "O33   Atencin materna por desproporcin conocida o presunta"
"O330" "O330   Atencin materna por desproporcin debida a deformidad de la pelvis sea en la madre"
"O331" "O331   Atencin materna por desproporcin debida a estrechez general de la pelvis"
"O332" "O332   Atencin materna por desproporcin debida a disminucin del estrecho superior de la pelvis"
"O333" "O333   Atencin materna por desproporcin debida a disminucin del estrecho inferior de la pelvis"
"O334" "O334   Atencin materna por desproporcin fetopelviana de origen mixto, materno y fetal"
"O335" "O335   Atencin materna por desproporcin debida a feto demasiado grande"
"O336" "O336   Atencin materna por desproporcin debida a feto hidroceflico"
"O337" "O337   Atencin materna por desproporcin debida a otra deformidad fetal"
"O338" "O338   Atencin materna por desproporcin de otro origen"
"O339" "O339   Atencin materna por desproporcin de origen no especificado"
"O34" "O34   Atencin materna por anormalidades conocidas o presuntas de los rganos pelvianos de la madre"
"O340" "O340   Atencin materna por anomala congnita deltero"
"O341" "O341   Atencin materna por tumor del cuerpo deltero"
"O342" "O342   Atencin materna por cicatriz uterina debida a ciruga previa"
"O343" "O343   Atencin materna por incompetencia del cuello uterino"
"O344" "O344   Atencin materna por otra anormalidad del cuello uterino"
"O345" "O345   Atencin materna por otras anormalidades deltero grvido"
"O346" "O346   Atencin materna por anormalidad de la vagina"
"O347" "O347   Atencin materna por anormalidad de la vulva y del perineo"
"O348" "O348   Atencin materna por otras anormalidades de los rganos pelvianos"
"O349" "O349   Atencin materna por anormalidad no especificada de rgano pelviano"
"O35" "O35   Atencin materna por anormalidad o lesin fetal, conocida o presunta"
"O350" "O350   Atencin materna por (presunta) malformacin del sistema nervioso central en el feto"
"O351" "O351   Atencin materna por (presunta) anormalidad cromosmica en el feto"
"O352" "O352   Atencin materna por (presunta) enfermedad hereditaria en el feto"
"O353" "O353   Atencin materna por (presunta) lesin fetal debida a enfermedad vrica en la madre"
"O354" "O354   Atencin materna por (presunta) lesin al feto debida al alcohol"
"O355" "O355   Atencin materna por (presunta) lesin fetal debida a drogas"
"O356" "O356   Atencin materna por (presunta) lesin al feto debida a radiacin"
"O357" "O357   Atencin materna por (presunta) lesin fetal debida a otros procedimientos mdicos"
"O358" "O358   Atencin materna por otras (presuntas) anormalidades y lesiones fetales"
"O359" "O359   Atencin materna por (presunta) anormalidad y lesin fetal no especificada"
"O36" "O36   Atencin materna por otros problemas fetales conocidos o presuntos"
"O360" "O360   Atencin materna por isoinmunizacin rhesus"
"O361" "O361   Atencin materna por otra isoinmunizacin"
"O362" "O362   Atencin materna por hidropesa fetal"
"O363" "O363   Atencin materna por signos de hipoxia fetal"
"O364" "O364   Atencin materna por muerte intrauterina"
"O365" "O365   Atencin materna por dficit del crecimiento fetal"
"O366" "O366   Atencin materna por crecimiento fetal excesivo"
"O367" "O367   Atencin materna por feto viable en embarazo abdominal"
"O368" "O368   Atencin materna por otros problemas fetales especificados"
"O369" "O369   Atencin materna por problemas fetales no especificados"
"O40" "O40   Polihidramnios"
"O41" "O41   Otros trastornos del lquido amnitico y de las membranas"
"O410" "O410   Oligohidramnios"
"O411" "O411   Infeccin de la bolsa amnitica o de las membranas"
"O418" "O418   Otros trastornos especificados del lquido amnitico y de las membranas"
"O419" "O419   Trastorno del lquido amnitico y de las membranas, no especificado"
"O42" "O42   Ruptura prematura de las membranas"
"O420" "O420   Ruptura prematura de las membranas, e inicio del trabajo de parto dentro de las 24 horas"
"O421" "O421   Ruptura prematura de las membranas, e inicio del trabajo de parto despus de las 24 horas"
"O422" "O422   Ruptura prematura de las membranas, trabajo de parto retrasado por la teraputica"
"O429" "O429   Ruptura prematura de las membranas, sin otra especificacin"
"O43" "O43   Trastornos placentarios"
"O430" "O430   Sndrome de transfusin placentaria"
"O431" "O431   Malformacin de la placenta"
"O432" "O432   Placenta anormalmente adherida"
"O438" "O438   Otros trastornos placentarios"
"O439" "O439   Trastorno de la placenta, no especificado"
"O44" "O44   Placenta previa"
"O440" "O440   Placenta previa con especificacin de que no hubo hemorragia"
"O441" "O441   Placenta previa con hemorragia"
"O45" "O45   Desprendimiento prematuro de la placenta [Abruptio placentae]"
"O450" "O450   Desprendimiento prematuro de la placenta con defecto de la coagulacin"
"O458" "O458   Otros desprendimientos prematuros de la placenta"
"O459" "O459   Desprendimiento prematuro de la placenta, sin otra especificacin"
"O46" "O46   Hemorragia anteparto, no clasificada en otra parte"
"O460" "O460   Hemorragia anteparto con defecto de la coagulacin"
"O468" "O468   Otras hemorragias anteparto"
"O469" "O469   Hemorragia anteparto, no especificada"
"O47" "O47   Falso trabajo de parto"
"O470" "O470   Falso trabajo de parto antes de las 37 semanas completas de gestacin"
"O471" "O471   Falso trabajo de parto a las 37 y ms semanas completas de gestacin"
"O479" "O479   Falso trabajo de parto, sin otra especificacin"
"O48" "O48   Embarazo prolongado"
"O60" "O60   Trabajo de parto prematuro y parto"
"O600" "O600   Trabajo de parto prematuro sin parto"
"O601" "O601   Trabajo de parto prematuro espontneo con parto prematuro"
"O602" "O602   Trabajo de parto prematuro espontneo con parto a trmino"
"O603" "O603   Parto prematuro sin trabajo de parto espontneo "
"O61" "O61   Fracaso de la induccin del trabajo de parto"
"O610" "O610   Fracaso de la induccin mdica del trabajo de parto"
"O611" "O611   Fracaso de la induccin instrumental del trabajo de parto"
"O618" "O618   Otros fracasos de la induccin del trabajo de parto"
"O619" "O619   Fracaso no especificado de la induccin del trabajo de parto"
"O62" "O62   Anormalidades de la dinmica del trabajo de parto"
"O620" "O620   Contracciones primarias inadecuadas"
"O621" "O621   Inercia uterina secundaria"
"O622" "O622   Otras inercias uterinas"
"O623" "O623   Trabajo de parto precipitado"
"O624" "O624   Contracciones uterinas hipertnicas, incoordinadas y prolongadas"
"O628" "O628   Otras anomalas dinmicas del trabajo de parto"
"O629" "O629   Anomala dinmica del trabajo de parto, no especificada"
"O63" "O63   Trabajo de parto prolongado"
"O630" "O630   Prolongacin del primer perodo (del trabajo de parto)"
"O631" "O631   Prolongacin del segundo perodo (del trabajo de parto)"
"O632" "O632   Retraso de la expulsin del segundo gemelo, del tercero, etc."
"O639" "O639   Trabajo de parto prolongado, no especificado"
"O64" "O64   Trabajo de parto obstruido debido a mala posicin y presentacin anormal del feto"
"O640" "O640   Trabajo de parto obstruido debido a rotacin incompleta de la cabeza fetal"
"O641" "O641   Trabajo de parto obstruido debido a presentacin de nalgas"
"O642" "O642   Trabajo de parto obstruido debido a presentacin de cara"
"O643" "O643   Trabajo de parto obstruido debido a presentacin de frente"
"O644" "O644   Trabajo de parto obstruido debido a presentacin de hombro"
"O645" "O645   Trabajo de parto obstruido debido a presentacin compuesta"
"O648" "O648   Trabajo de parto obstruido debido a otras presentaciones anormales del feto"
"O649" "O649   Trabajo de parto obstruido debido a presentacin anormal del feto no especificada"
"O65" "O65   Trabajo de parto obstruido debido a anormalidad de la pelvis materna"
"O650" "O650   Trabajo de parto obstruido debido a deformidad de la pelvis"
"O651" "O651   Trabajo de parto obstruido debido a estrechez general de la pelvis"
"O652" "O652   Trabajo de parto obstruido debido a disminucin del estrecho superior de la pelvis"
"O653" "O653   Trabajo de parto obstruido debido a disminucin del estrecho inferior de la pelvis"
"O654" "O654   Trabajo de parto obstruido debido a desproporcin fetopelviana, sin otra especificacin"
"O655" "O655   Trabajo de parto obstruido debido a anomalas de los rganos pelvianos maternos"
"O658" "O658   Trabajo de parto obstruido debido a otras anomalas pelvianas maternas"
"O659" "O659   Trabajo de parto obstruido debido a anomala pelviana no especificada"
"O66" "O66   Otras obstrucciones del trabajo de parto"
"O660" "O660   Trabajo de parto obstruido debido a distocia de hombros"
"O661" "O661   Trabajo de parto obstruido debido a distocia gemelar"
"O662" "O662   Trabajo de parto obstruido debido a distocia por feto inusualmente grande"
"O663" "O663   Trabajo de parto obstruido debido a otras anormalidades del feto"
"O664" "O664   Fracaso de la prueba del trabajo de parto, no especificada"
"O665" "O665   Fracaso no especificado de la aplicacin de frceps o de ventosa extractora"
"O668" "O668   Otras obstrucciones especificadas del trabajo de parto"
"O669" "O669   Trabajo de parto obstruido, sin otra especificacin"
"O67" "O67   Trabajo de parto y parto complicados por hemorragia intraparto, no clasificados en otra parte"
"O670" "O670   Hemorragia intraparto con defectos de la coagulacin"
"O678" "O678   Otras hemorragias intraparto"
"O679" "O679   Hemorragia intraparto, no especificada"
"O68" "O68   Trabajo de parto y parto complicados por sufrimiento fetal"
"O680" "O680   Trabajo de parto y parto complicados por anomala de la frecuencia cardaca fetal"
"O681" "O681   Trabajo de parto y parto complicados por la presencia de meconio en el lquido amnitico"
"O682" "O682   Trabajo de parto y parto complicados por anomala de la frecuencia cardaca fetal asociada con presencia de meconio en el lquido amnitico"
"O683" "O683   Trabajo de parto y parto complicados por evidencia bioqumica de sufrimiento fetal"
"O688" "O688   Trabajo de parto y parto complicados por otras evidencias de sufrimiento fetal"
"O689" "O689   Trabajo de parto y parto complicados por sufrimiento fetal, sin otra especificacin"
"O69" "O69   Trabajo de parto y parto complicados por problemas del cordn umbilical"
"O690" "O690   Trabajo de parto y parto complicados por prolapso del cordn umbilical"
"O691" "O691   Trabajo de parto y parto complicados por circular pericervical del cordn, con compresin"
"O692" "O692   Trabajo de parto y parto complicados por otros enredos del cordn umblical con compresin"
"O693" "O693   Trabajo de parto y parto complicados por cordn umbilical corto"
"O694" "O694   Trabajo de parto y parto complicados por vasa previa"
"O695" "O695   Trabajo de parto y parto complicados por lesin vascular del cordn"
"O698" "O698   Trabajo de parto y parto complicados por otros problemas del cordn umbilical"
"O699" "O699   Trabajo de parto y parto complicados por problemas no especificados del cordn umbilical"
"O70" "O70   Desgarro perineal durante el parto"
"O700" "O700   Desgarro perineal de primer grado durante el parto"
"O701" "O701   Desgarro perineal de segundo grado durante el parto"
"O702" "O702   Desgarro perineal de tercer grado durante el parto"
"O703" "O703   Desgarro perineal de cuarto grado durante el parto"
"O709" "O709   Desgarro perineal durante el parto, de grado no epecificado"
"O71" "O71   Otro trauma obsttrico"
"O710" "O710   Ruptura deltero antes del inicio del trabajo de parto"
"O711" "O711   Ruptura deltero durante el trabajo de parto"
"O712" "O712   Inversin deltero, postparto"
"O713" "O713   Desgarro obsttrico del cuello uterino"
"O714" "O714   Desgarro vaginal obsttrico alto"
"O715" "O715   Otros traumatismos obsttricos de los rganos pelvianos"
"O716" "O716   Traumatismo obsttrico de los ligamentos y articulaciones de la pelvis"
"O717" "O717   Hematoma obsttrico de la pelvis"
"O718" "O718   Otros traumas obsttricos especificados"
"O719" "O719   Trauma obsttrico, no especificado"
"O72" "O72   Hemorragia postparto"
"O720" "O720   Hemorragia del tercer perodo del parto"
"O721" "O721   Otras hemorragias postparto inmediatas"
"O722" "O722   Hemorragia postparto secundaria o tarda"
"O723" "O723   Defecto de la coagulacin postparto"
"O73" "O73   Retencin de la placenta o de las membranas, sin hemorragia"
"O730" "O730   Retencin de la placenta sin hemorragia"
"O731" "O731   Retencin de fragmentos de la placenta o de las membranas, sin hemorragia"
"O74" "O74   Complicaciones de la anestesia administrada durante el trabajo de parto y el parto"
"O740" "O740   Neumonitis por aspiracin debida a la anestesia administrada durante el trabajo de parto y el parto"
"O741" "O741   Otras complicaciones pulmonares debidas a la anestesia administrada durante el trabajo de parto y el parto"
"O742" "O742   Complicaciones cardacas de la anestesia administrada durante el trabajo de parto y el parto"
"O743" "O743   Complicaciones del sistema nervioso central por la anestesia administrada durante el trabajo de parto y el parto"
"O744" "O744   Reaccin txica a la anestesia local administrada durante el trabajo de parto y el parto"
"O745" "O745   Cefalalgia inducida por la anestesia espinal o epidural administradas durante el trabajo de parto y el parto"
"O746" "O746   Otras complicaciones de la anestesia espinal o epidural administradas durante el trabajo de parto y el parto"
"O747" "O747   Falla o dificultad en la intubacin durante el trabajo de parto y el parto"
"O748" "O748   Otras complicaciones de la anestesia administrada durante el trabajo de parto y el parto"
"O749" "O749   Complicacin no especificada de la anestesia administrada durante el trabajo de parto y el parto"
"O75" "O75   Otras complicaciones del trabajo de parto y del parto, no clasificadas en otra parte"
"O750" "O750   Sufrimiento materno durante el trabajo de parto y el parto"
"O751" "O751   Choque durante o despus del trabajo de parto y el parto"
"O752" "O752   Pirexia durante el trabajo de parto, no clasificada en otra parte"
"O753" "O753   Otras infecciones durante el trabajo de parto"
"O754" "O754   Otras complicaciones de procedimientos y de ciruga  obsttrica"
"O755" "O755   Retraso del parto despus de la ruptura artificial de las membranas"
"O756" "O756   Retraso del parto despus de la ruptura espontnea o no especificada de las membranas"
"O757" "O757   Parto vaginal posterior a una cesrea previa"
"O758" "O758   Otras complicaciones especificadas del trabajo de parto y del parto"
"O759" "O759   Complicacin no especificada del trabajo de parto y del parto"
"O80" "O80   Partonico espontneo"
"O800" "O800   Partonico espontneo, presentacin ceflica de vrtice"
"O801" "O801   Partonico espontneo, presentacin de nalgas o podlica"
"O808" "O808   Partonico espontneo, otras presentaciones"
"O809" "O809   Partonico espontneo, sin otra especificacin"
"O81" "O81   Partonico con frceps y ventosa extractora"
"O810" "O810   Parto con frceps bajo"
"O811" "O811   Parto con frceps medio"
"O812" "O812   Parto con frceps medio con rotacin"
"O813" "O813   Parto con frceps de otros tipos y los no especificados"
"O814" "O814   Parto con ventosa extractora"
"O815" "O815   Parto con combinacin de frceps y ventosa extractora"
"O82" "O82   Partonico por cesrea"
"O820" "O820   Parto por cesrea electiva"
"O821" "O821   Parto por cesrea de emergencia"
"O822" "O822   Parto por cesrea con histerectoma"
"O828" "O828   Otros partosnicos por cesrea"
"O829" "O829   Parto por cesrea, sin otra especificacin"
"O83" "O83   Otros partosnicos asistidos"
"O830" "O830   Extraccin de nalgas"
"O831" "O831   Otros partosnicos asistidos, de nalgas"
"O832" "O832   Otros partosnicos con ayuda de manipulacin obsttrica"
"O833" "O833   Parto de feto viable en embarazo abdominal"
"O834" "O834   Operacin destructiva para facilitar el parto"
"O838" "O838   Otros partosnicos asistidos especificados"
"O839" "O839   Partonico asistido, sin otra especificacin"
"O84" "O84   Parto mltiple"
"O840" "O840   Parto mltiple, todos espontneos"
"O841" "O841   Parto mltiple, todos por frceps y ventosa extractora"
"O842" "O842   Parto mltiple, todos por cesrea"
"O848" "O848   Otros partos mltiples"
"O849" "O849   Parto mltiple, no especificado"
"O85" "O85   Sepsis puerperal"
"O86" "O86   Otras infecciones puerperales"
"O860" "O860   Infeccin de herida quirrgica obsttrica"
"O861" "O861   Otras infecciones genitales consecutivas al parto"
"O862" "O862   Infeccin de las vas urinarias consecutiva al parto"
"O863" "O863   Otras infecciones de las vas genitourinarias consecutivas al parto"
"O864" "O864   Pirexia de origen desconocido consecutiva al parto"
"O868" "O868   Otras infecciones puerperales especificadas"
"O87" "O87   Complicaciones venosas y hemorroides en el puerperio"
"O870" "O870   Tromboflebitis superficial en el puerperio"
"O871" "O871   Flebotrombosis profunda en el puerperio"
"O872" "O872   Hemorroides en el puerperio"
"O873" "O873   Trombosis venosa cerebral en el puerperio"
"O878" "O878   Otras complicaciones venosas en el puerperio"
"O879" "O879   Complicacin venosa en el puerperio, no especificada"
"O88" "O88   Embolia obsttrica"
"O880" "O880   Embolia gaseosa, obsttrica"
"O881" "O881   Embolia de lquido amnitico"
"O882" "O882   Embolia de cogulo sanguneo, obsttrica"
"O883" "O883   Embolia sptica y pimica, obsttrica"
"O888" "O888   Otras embolias obsttricas"
"O89" "O89   Complicaciones de la anestesia administrada durante el puerperio"
"O890" "O890   Complicaciones pulmonares de la anestesia administrada durante el puerperio"
"O891" "O891   Complicaciones cardacas de la anestesia administrada durante el puerperio"
"O892" "O892   Complicaciones del sistema nervioso central debidas a la anestesia administrada durante el puerperio"
"O893" "O893   Reaccin txica a la anestesia local administrada durante el puerperio"
"O894" "O894   Cefalalgia inducida por la anestesia espinal o epidural administradas durante el puerperio"
"O895" "O895   Otras complicaciones de la anestesia espinal o epidural administradas durante el puerperio"
"O896" "O896   Falla o dificultad de intubacin durante el puerperio"
"O898" "O898   Otras complicaciones de la anestesia administrada durante el puerperio"
"O899" "O899   Complicacin no especificada de la anestesia administrada durante el puerperio"
"O90" "O90   Complicaciones del puerperio, no clasificadas en otra parte"
"O900" "O900   Dehiscencia de sutura de cesrea"
"O901" "O901   Dehiscencia de sutura obsttrica perineal"
"O902" "O902   Hematoma de herida quirrgica obsttrica"
"O903" "O903   Cardiomiopata en el puerperio"
"O904" "O904   Insuficiencia renal aguda postparto"
"O905" "O905   Tiroiditis postparto"
"O908" "O908   Otras complicaciones puerperales, no clasificadas en otra parte"
"O909" "O909   Complicacin puerperal, no especificada"
"O91" "O91   Infecciones de la mama asociadas con el parto"
"O910" "O910   Infecciones del pezn asociados con el parto"
"O911" "O911   Absceso de la mama asociado con el parto"
"O912" "O912   Mastitis no purulenta asociada con el parto"
"O92" "O92   Otros trastornos de la mama y de la lactancia asociados con el parto"
"O920" "O920   Retraccin del pezn asociada con el parto"
"O921" "O921   Fisuras del pezn asociadas con el parto"
"O922" "O922   Otros trastornos de la mama y los no especificados asociados con el parto"
"O923" "O923   Agalactia"
"O924" "O924   Hipogalactia"
"O925" "O925   Supresin de la lactancia"
"O926" "O926   Galactorrea"
"O927" "O927   Otros trastornos y los no especificados de la lactancia"
"O94" "O94   Secuelas de complicaciones del embarazo, del parto y del puerperio"
"O95" "O95   Muerte obsttrica de causa no especificada"
"O96" "O96   Muerte materna debida a cualquier causa obsttrica que ocurre despus de 42 das pero antes de un ao del parto"
"O960" "O960   Muerte por causa obsttrica directa que ocurre despus de 42 das pero antes de un ao del parto"
"O961" "O961   Muerte por causa obsttrica indirecta que ocurre despus de 42 das pero antes de un ao del parto"
"O969" "O969   Muerte por causa obsttrica no especificada, que ocurre despus de 42 das pero antes de un ao del parto"
"O97" "O97   Muerte por secuelas de causas obsttricas directas"
"O970" "O970   Muerte por secuelas de causa obsttrica directa"
"O971" "O971   Muerte por secuelas de causa obsttrica indirecta"
"O979" "O979   Muerte por secuelas de causa obsttrica no especificada"
"O98" "O98   Enfermedades maternas infecciosas y parasitarias clasificables en otra parte, pero que complican el embarazo, el parto y el puerperio"
"O980" "O980   Tuberculosis que complica el embarazo, el parto y el puerperio"
"O981" "O981   Sfilis que complica el embarazo, el parto y el puerperio"
"O982" "O982   Gonorrea que complica el embarazo, el parto y el puerperio"
"O983" "O983   Otras infecciones con un modo de transmisin predominantemente sexual que complican el embarazo, parto y puerperio"
"O984" "O984   Hepatitis viral que complica el embarazo, el parto y el puerperio"
"O985" "O985   Otras enfermedades virales que complican el embarazo, el parto y el puerperio"
"O986" "O986   Enfermedades causadas por protozoarios que complican el embarazo, el parto y el puerperio"
"O987" "O987   Enfermedad por virus de la inmunodeficiencia humana [VIH] que complica el embarazo, el parto y el puerperio"
"O988" "O988   Otras enfermedades infecciosas y parasitarias maternas que complican el embarazo, el parto y el puerperio"
"O989" "O989   Enfermedad infecciosa y parasitaria materna no especificada que complica el embarazo, el parto y el puerperio"
"O99" "O99   Otras enfermedades maternas clasificables en otra parte, pero que complican el embarazo, el parto y el puerperio"
"O990" "O990   Anemia que complica el embarazo, el parto y el puerperio"
"O991" "O991   Otras enfermedades de la sangre y rganos hematopoyticos y ciertos trastornos que afectan el sistema inmunitario cuando complican el embarazo, el parto y puerperio"
"O992" "O992   Enfermedades endocrinas, de la nutricin y del metabolismo que complican el embarazo, el parto y el puerperio"
"O993" "O993   Trastornos mentales y enfermedades del sistema nervioso que complican el embarazo, el parto y el puerperio"
"O994" "O994   Enfermedades del sistema circulatorio que complican el embarazo, el parto y el purperio"
"O995" "O995   Enfermedades del sistema respiratorio que complican el embarazo, el parto y el puerperio"
"O996" "O996   Enfermedades del sistema digestivo que complican el embarazo, el parto y el puerperio"
"O997" "O997   Enfermedades de la piel y del tejido subcutneo que complican el embarazo, el parto y el puerperio"
"O998" "O998   Otras enfermedades especificadas y afecciones que complican el embarazo, el parto y el puerperio"
"P00" "P00   Feto y recin nacido afectado por condiciones de la madre no necesariamente relacionadas con el embarazo presente"
"P000" "P000   Feto y recin nacido afectados por trastornos hipertensivos de la madre"
"P001" "P001   Feto y recin nacido afectados por enfermedades renales y de las vas urinarias de la madre"
"P002" "P002   Feto y recin nacido afectados por enfermedades infecciosas y parasitarias de la madre"
"P003" "P003   Feto y recin nacido afectados por otras enfermedades circulatorias y respiratorias de la madre"
"P004" "P004   Feto y recin nacido afectados por trastornos nutricionales de la madre"
"P005" "P005   Feto y recin nacido afectados por traumatismo de la madre"
"P006" "P006   Feto y recin nacido afectados por procedimiento quirrgico en la madre"
"P007" "P007   Feto y recin nacido afectados por otro procedimiento mdico en la madre, no clasificado en otra parte"
"P008" "P008   Feto y recin nacido afectados por otras afecciones maternas"
"P009" "P009   Feto y recin nacido afectados por afeccin materna no especificada"
"P01" "P01   Feto y recin nacido afectados por complicaciones maternas del embarazo"
"P010" "P010   Feto y recin nacido afectados por incompetencia del cuello uterino"
"P011" "P011   Feto y recin nacido afectados por ruptura prematura de las membranas"
"P012" "P012   Feto y recin nacido afectados por oligohidramnios"
"P013" "P013   Feto y recin nacido afectados por polihidramnios"
"P014" "P014   Feto y recin nacido afectados por embarazo ectpico"
"P015" "P015   Feto y recin nacido afectados por embarazo mltiple"
"P016" "P016   Feto y recin nacido afectados por muerte materna"
"P017" "P017   Feto y recin nacido afectados por presentacin anmala antes del trabajo de parto"
"P018" "P018   Feto y recin nacido afectados por otras complicaciones maternas del embarazo"
"P019" "P019   Feto y recin nacido afectados por complicaciones maternas no especificadas del embarazo"
"P02" "P02   Feto y recin nacido afectado por complicaciones de la placenta, del cordn umbilical y de las membranas"
"P020" "P020   Feto y recin nacido afectados por placenta previa"
"P021" "P021   Feto y recin nacido afectados por otras formas de desprendimiento y de hemorragia placentarios"
"P022" "P022   Feto y recin nacido afectados por otras anormalidades morfolgicas y funcionales de la placenta y las no especificadas"
"P023" "P023   Feto y recin nacido afectados por sndromes de transfusin placentaria"
"P024" "P024   Feto y recin nacido afectados por prolapso del cordn umbilical"
"P025" "P025   Feto y recin nacido afectados por otra compresin del cordn umbilical"
"P026" "P026   Feto y recin nacido afectados por otras complicaciones del cordn umbilical y las no especificadas"
"P027" "P027   Feto y recin nacido afectados por corioamnionitis"
"P028" "P028   Feto y recin nacido afectados por otras anormalidades de las membranas"
"P029" "P029   Feto y recin nacido afectados por anormalidad no especificada de las membranas"
"P03" "P03   Feto y recin nacido afectados por otras complicaciones del trabajo de parto y del parto"
"P030" "P030   Feto y recin nacido afectados por parto y extraccin de nalgas"
"P031" "P031   Feto y recin nacido afectados por otra presentacin anmala, posicin anmala y desproporcin durante el trabajo de parto y el parto"
"P032" "P032   Feto y recin nacido afectados por parto con frceps"
"P033" "P033   Feto y recin nacido afectados por parto con ventosa extractora"
"P034" "P034   Feto y recin nacido afectados por parto por cesrea"
"P035" "P035   Feto y recin nacido afectados por parto precipitado"
"P036" "P036   Feto y recin nacido afectados por contracciones uterinas anormales"
"P038" "P038   Feto y recin nacido afectados por otras complicaciones especificadas del trabajo de parto y del parto"
"P039" "P039   Feto y recin nacido afectados por complicaciones no especificadas del trabajo de parto y del parto"
"P04" "P04   Feto y recin nacido afectados por influencias nocivas transmitidas a travs de la placenta o de la leche materna"
"P040" "P040   Feto y recin nacido afectados por anestesia y analgesia materna en el embarazo, trabajo de parto y en el parto"
"P041" "P041   Feto y recin nacido afectados por otras medicaciones maternas"
"P042" "P042   Feto y recin nacido afectados por tabaquismo de la madre"
"P043" "P043   Feto y recin nacido afectados por alcoholismo de la madre"
"P044" "P044   Feto y recin nacido afectados por drogadiccin materna"
"P045" "P045   Feto y recin nacido afectados por el uso materno de sustancias qumicas nutricionales"
"P046" "P046   Feto y recin nacido afectados por exposicin materna a sustancias qumicas ambientales"
"P048" "P048   Feto y recin nacido afectados por otras influencias nocivas de la madre"
"P049" "P049   Feto y recin nacido afectados por influencias nocivas de la madre, no especificadas"
"P05" "P05   Retardo del crecimiento fetal y desnutricin fetal"
"P050" "P050   Bajo peso para la edad gestacional"
"P051" "P051   Pequeo para la edad gestacional"
"P052" "P052   Desnutricin fetal, sin mencin de peso o talla bajos para la edad gestacional"
"P059" "P059   Retardo del crecimiento fetal, no especificado"
"P07" "P07   Trastornos relacionados con duracin corta de la gestacin y con bajo peso al nacer, no clasificados en otra parte"
"P070" "P070   Peso extremadamente bajo al nacer"
"P071" "P071   Otro peso bajo al nacer"
"P072" "P072   Inmaturidad extrema"
"P073" "P073   Otros recin nacidos pretrmino"
"P08" "P08   Trastornos relacionados con el embarazo prolongado y con sobrepeso al nacer"
"P080" "P080   Recin nacido excepcionalmente grande"
"P081" "P081   Otros recin nacidos con sobrepeso para la edad gestacional"
"P082" "P082   Recin nacido postrmino sin sobrepeso para su edad gestacional"
"P10" "P10   Hemorragia y laceracin intracraneal debidas a traumatismo del nacimiento"
"P100" "P100   Hemorragia subdural debida a traumatismo del nacimiento"
"P101" "P101   Hemorragia cerebral debida a traumatismo del nacimiento"
"P102" "P102   Hemorragia intraventricular debida a traumatismo del nacimiento"
"P103" "P103   Hemorragia subaracnoidea debida a traumatismo del nacimiento"
"P104" "P104   Desgarro  tentorial debido a traumatismo del nacimiento"
"P108" "P108   Otras Hemorragias y laceraciones intracraneales debidas a traumatismo del nacimiento"
"P109" "P109   Hemorragia y laceracin intracraneales no especificadas, debidas a traumatismo del nacimiento"
"P11" "P11   Otros traumatismos del nacimiento en el sistema nervioso central"
"P110" "P110   Edema cerebral debido a traumatismo del nacimiento"
"P111" "P111   Otras lesiones especificadas del encfalo, debidas a traumatismo del nacimiento"
"P112" "P112   Lesin no especificada del encfalo, debida a traumatismo del nacimiento"
"P113" "P113   Traumatismo del nacimiento en el nervio facial"
"P114" "P114   Traumatismo del nacimiento en otros nervios craneales"
"P115" "P115   Traumatismo del nacimiento en la columna vertebral y en la mdula espinal"
"P119" "P119   Traumatismo del nacimiento en el sistema nervioso central, no especificado"
"P12" "P12   Traumatismo del nacimiento en el cuero cabelludo"
"P120" "P120   Cefalohematoma debido a traumatismo del nacimiento"
"P121" "P121   Caput succedaneum debido a traumatismo del nacimiento"
"P122" "P122   Hemorragia epicraneal subaponeurtica debida a traumatismo del nacimiento"
"P123" "P123   Equimosis del cuero cabelludo debida a traumatismo del nacimiento"
"P124" "P124   Traumatismo en el cuero cabelludo del recin nacido por monitoreo fetal"
"P128" "P128   Otros traumatismos del nacimiento en el cuero cabelludo"
"P129" "P129   Traumatismo del nacimiento en el cuero cabelludo, no especificado"
"P13" "P13   Traumatismo del esqueleto durante el nacimiento"
"P130" "P130   Fractura del crneo debida a traumatismo del nacimiento"
"P131" "P131   Otros traumatismos del crneo durante el nacimiento"
"P132" "P132   Traumatismo del fmur durante el nacimiento"
"P133" "P133   Traumatismo de otros huesos largos durante el nacimiento"
"P134" "P134   Fractura de la clavcula debida a traumatismo del nacimiento"
"P138" "P138   Traumatismo del nacimiento en otras partes del esqueleto"
"P139" "P139   Traumatismo no especificado del esqueleto durante el nacimiento"
"P14" "P14   Traumatismo del sistema nervioso perifrico durante el nacimiento"
"P140" "P140   Parlisis de Erb debida a traumatismo del nacimiento"
"P141" "P141   Parlisis de Klumpke debida a traumatismo del nacimiento"
"P142" "P142   Parlisis del nervio frnico debida a traumatismo del nacimiento"
"P143" "P143   Otro traumatismo del plexo braquial durante el nacimiento"
"P148" "P148   Traumatismo durante el nacimiento en otras partes del sistema nervioso perifrico"
"P149" "P149   Traumatismo no especificado del sistema nervioso perifrico durante el nacimiento"
"P15" "P15   Otros traumatismos del nacimiento"
"P150" "P150   Lesin del hgado durante el nacimiento"
"P151" "P151   Lesin del bazo durante el nacimiento"
"P152" "P152   Traumatismo del msculo esternocleidomastoideo durante el nacimiento"
"P153" "P153   Traumatismo ocular durante el nacimiento"
"P154" "P154   Traumatismo facial durante el nacimiento"
"P155" "P155   Traumatismo de los genitales externos durante el nacimiento"
"P156" "P156   Necrosis grasa subcutnea debida a traumatismo del nacimiento"
"P158" "P158   Otros traumatismos especificados, durante el nacimiento"
"P159" "P159   Traumatismo no especificado, durante el nacimiento"
"P20" "P20   Hipoxia intrauterina"
"P200" "P200   Hipoxia intrauterina notada por primera vez antes del inicio del trabajo de parto"
"P201" "P201   Hipoxia intrauterina notada por primera vez durante el trabajo de parto y el parto"
"P209" "P209   Hipoxia intrauterina, no especificada"
"P21" "P21   Asfixia del nacimiento"
"P210" "P210   Asfixia del nacimiento, severa"
"P211" "P211   Asfixia del nacimiento, leve y moderada"
"P219" "P219   Asfixia del nacimiento, no especificada"
"P22" "P22   Dificultad respiratoria del recin nacido"
"P220" "P220   Sndrome de dificultad respiratoria del recin nacido"
"P221" "P221   Taquipnea transitoria del recin nacido"
"P228" "P228   Otras dificultades respiratorias del recin nacido"
"P229" "P229   Dificultad respiratoria del recin nacido, no especificada"
"P23" "P23   Neumona congnita"
"P230" "P230   Neumona congnita debida a agente viral"
"P231" "P231   Neumona congnita debida a chlamydia"
"P232" "P232   Neumona congnita debida a estafilococos"
"P233" "P233   Neumona congnita debida a estreptococos del grupo B"
"P234" "P234   Neumona congnita debida a Escherichia coli"
"P235" "P235   Neumona congnita debida a Pseudomonas"
"P236" "P236   Neumona congnita debida a otros agentes bacterianos"
"P238" "P238   Neumona congnita debida a otros organismos"
"P239" "P239   Neumona congnita, organismo no especificado"
"P24" "P24   Sndromes de aspiracin neonatal"
"P240" "P240   Aspiracin neonatal de meconio"
"P241" "P241   Aspiracin neonatal de lquido amnitico y de moco"
"P242" "P242   Aspiracin neonatal de sangre"
"P243" "P243   Aspiracin neonatal de leche y alimento regurgitado"
"P248" "P248   Otros sndromes de aspiracin neonatal"
"P249" "P249   Sndrome de aspiracin neonatal, sin otra especificacin"
"P25" "P25   Enfisema intersticial y afecciones relacionadas, originadas en el perodo perinatal"
"P250" "P250   Enfisema intersticial originado en el perodo perinatal"
"P251" "P251   Neumotrax originado en el perodo perinatal"
"P252" "P252   Neumomediastino originado en el perodo perinatal"
"P253" "P253   Neumopericardio originado en el perodo perinatal"
"P258" "P258   Otras afecciones relacionadas con el enfisema intersticial, originadas en el perodo perinatal"
"P26" "P26   Hemorragia pulmonar originada en el perodo perinatal"
"P260" "P260   Hemorragia traqueobronquial originada en el perodo perinatal"
"P261" "P261   Hemorragia pulmonar masiva originada en el perodo perinatal"
"P268" "P268   Otras Hemorragias pulmonares originadas en el perodo perinatal"
"P269" "P269   Hemorragia pulmonar no especificada, originada en el perodo perinatal"
"P27" "P27   Enfermedad respiratoria crnica originada en el perodo perinatal"
"P270" "P270   Sndrome de Wilson-Mikity"
"P271" "P271   Displasia broncopulmonar originada en el perodo perinatal"
"P278" "P278   Otras enfermedades respiratorias crnicas originadas en el perodo perinatal"
"P279" "P279   Enfermedad respiratoria crnica no especificada originada en el perodo perinatal"
"P28" "P28   Otros problemas respiratorios del recin nacido, originados en el perodo perinatal"
"P280" "P280   Atelectasia primaria del recin nacido"
"P281" "P281   Otras atelectasias del recin nacido y las no especificadas"
"P282" "P282   Ataque cinotico del recin nacido"
"P283" "P283   Apnea primaria del sueo del recin nacido"
"P284" "P284   Otras apneas del recin nacido"
"P285" "P285   Insuficiencia respiratoria del recin nacido"
"P288" "P288   Otros problemas respiratorios especificados del recin nacido"
"P289" "P289   Afeccin respiratoria no especificada del recin nacido"
"P29" "P29   Trastornos cardiovasculares originados en el perodo perinatal"
"P290" "P290   Insuficiencia cardaca neonatal"
"P291" "P291   Disritmia cardaca neonatal"
"P292" "P292   Hipertensin neonatal"
"P293" "P293   Persistencia de la circulacin fetal"
"P294" "P294   Isquemia miocrdica transitoria del recin nacido"
"P298" "P298   Otros trastornos cardiovasculares originados en el perodo perinatal"
"P299" "P299   Trastorno cardiovascular no especificado, originado en el perodo perinatal"
"P35" "P35   Enfermedades virales congnitas"
"P350" "P350   Sndrome de rubola congnita"
"P351" "P351   Infeccin citomegalovrica congnita"
"P352" "P352   Infecciones congnitas por virus del herpes simple"
"P353" "P353   Hepatitis viral congnita"
"P358" "P358   Otras enfermedades virales congnitas"
"P359" "P359   Enfermedad viral congnita, sin otra especificacin"
"P36" "P36   Sepsis bacteriana del recin nacido"
"P360" "P360   Sepsis del recin nacido debida a estreptococo del grupo B"
"P361" "P361   Sepsis del recin nacido debida a otros estreptococos  y a los no especificados"
"P362" "P362   Sepsis del recin nacido debida a Staphylococcus aureus"
"P363" "P363   Sepsis del recin nacido debida a otros estafilococos  y a los no especificados"
"P364" "P364   Sepsis del recin nacido debida a Escherichia coli"
"P365" "P365   Sepsis del recin nacido debida a anaerobios"
"P368" "P368   Sepsis del recin nacido debida a otras bacterias"
"P369" "P369   Sepsis bacteriana del recin nacido, no especificada"
"P37" "P37   Otras enfermedades infecciosas y parasitarias congnitas"
"P370" "P370   Tuberculosis congnita"
"P371" "P371   Toxoplasmosis congnita"
"P372" "P372   Listeriosis congnita (diseminada)"
"P373" "P373   Paludismo congnito por Plasmodium falciparum"
"P374" "P374   Otros paludismos congnitos"
"P375" "P375   Candidiasis neonatal"
"P378" "P378   Otras enfermedades neonatales infecciosas o parasitarias especificadas"
"P379" "P379   Enfermedad infecciosa y parasitaria congnita, no especificada"
"P38" "P38   Onfalitis del recin nacido con o sin hemorragia leve"
"P39" "P39   Otras infecciones especificas del perodo perinatal"
"P390" "P390   Mastitis infecciosa neonatal"
"P391" "P391   Conjuntivitis y dacriocistitis neonatales"
"P392" "P392   Infeccin intraamnitica del feto, no clasificada en otra parte"
"P393" "P393   Infeccin neonatal de las vas urinarias"
"P394" "P394   Infeccin cutnea neonatal"
"P398" "P398   Otras infecciones especificadas propias del perodo perinatal"
"P399" "P399   Infeccin propia del perodo perinatal, no especificada"
"P50" "P50   Prdida de sangre fetal"
"P500" "P500   Prdida de sangre fetal por vasa previa"
"P501" "P501   Prdida de sangre fetal por ruptura del cordn umbilical"
"P502" "P502   Prdida de sangre fetal por la placenta"
"P503" "P503   Hemorragia fetal hacia el otro gemelo"
"P504" "P504   Hemorragia fetal hacia la circulacin materna"
"P505" "P505   Prdida de sangre fetal por el corte del cordn umbilical en el otro gemelo"
"P508" "P508   Otras prdidas de sangre fetal"
"P509" "P509   Prdida de sangre fetal, no especificada"
"P51" "P51   Hemorragia umbilical del recin nacido"
"P510" "P510   Hemorragia umbilical masiva del recin nacido"
"P518" "P518   Otras hemorragias umbilicales del recin nacido"
"P519" "P519   Hemorragia umbilical del recin nacido, sin otra especificacin"
"P52" "P52   Hemorragia intracraneal no traumtica del feto y del recin nacido"
"P520" "P520   Hemorragia intraventricular (no traumtica) grado 1, del feto y del recin nacido"
"P521" "P521   Hemorragia intraventricular (no traumtica) grado 2, del feto y del recin nacido"
"P522" "P522   Hemorragia intraventricular (no traumtica) grado 3, del feto y del recin nacido"
"P523" "P523   Hemorragia intraventricular (no traumtica) del feto y del recin nacido, sin otra especificacin"
"P524" "P524   Hemorragia intracerebral (no traumtica) del feto y del recin nacido"
"P525" "P525   Hemorragia subaracnoidea (no traumtica) del feto y del recin nacido"
"P526" "P526   Hemorragia cerebelosa y de la fosa posterior (no traumtica) del feto y del recin nacido"
"P528" "P528   Otras hemorragias intracraneales (no traumticas) del feto y del recin nacido"
"P529" "P529   Hemorragia intracraneal (no traumtica) del feto y del recin nacido, sin otra especificacin"
"P53" "P53   Enfermedad hemorrgica del feto y del recin nacido"
"P54" "P54   Otras hemorragias neonatales"
"P540" "P540   Hematemesis neonatal"
"P541" "P541   Melena neonatal"
"P542" "P542   Hemorragia rectal neonatal"
"P543" "P543   Otras hemorragias gastrointestinales neonatales"
"P544" "P544   Hemorragia suprarrenal neonatal"
"P545" "P545   Hemorragia cutnea neonatal"
"P546" "P546   Hemorragia vaginal neonatal"
"P548" "P548   Otras hemorragias fetales y neonatales especificadas"
"P549" "P549   Hemorragia neonatal, no especificada"
"P55" "P55   Enfermedad hemoltica del feto y del recin nacido"
"P550" "P550   Incompatibilidad Rh del feto y del recin nacido"
"P551" "P551   Incompatibilidad ABO del feto y del recin nacido"
"P558" "P558   Otras enfermedades hemolticas del feto y del recin nacido"
"P559" "P559   Enfermedad hemoltica del feto y del recin nacido, no especificada"
"P56" "P56   Hidropesa fetal debida a enfermedad hemoltica"
"P560" "P560   Hidropesa fetal debida a incompatibilidad"
"P569" "P569   Hidropesa fetal debida a otras enfermedades hemolticas especificadas y a las no especificadas"
"P57" "P57   Kernicterus"
"P570" "P570   Kernicterus debido a incompatibilidad"
"P578" "P578   Kernicterus debido a otras causas especificadas"
"P579" "P579   Kernicterus, no especificado"
"P58" "P58   Ictericia neonatal debida a otras hemlisis excesivas"
"P580" "P580   Ictericia neonatal debida a contusin"
"P581" "P581   Ictericia neonatal debida a hemorragia"
"P582" "P582   Ictericia neonatal debida a infeccin"
"P583" "P583   Ictericia neonatal debida a policitemia"
"P584" "P584   Ictericia neonatal debida a drogas o toxinas transmitidas por la madre o administradas al recin nacido"
"P585" "P585   Ictericia neonatal debida a deglucin de sangre materna"
"P588" "P588   Ictericia neonatal debida a otras hemlisis excesivas especificadas"
"P589" "P589   Ictericia neonatal debida a hemlisis excesiva, sin otra especificacin"
"P59" "P59   Ictericia neonatal por otras causas y por las no especificadas"
"P590" "P590   Ictericia neonatal asociada con el parto antes de trmino"
"P591" "P591   Sndrome de la bilis espesa"
"P592" "P592   Ictericia neonatal debida a otra lesin heptica especificada o no"
"P593" "P593   Ictericia neonatal por inhibidor de la leche materna"
"P598" "P598   Ictericia neonatal por otras causas especificadas"
"P599" "P599   Ictericia neonatal, no especificada"
"P60" "P60   Coagulacin intravascular diseminada en el feto y el recin nacido"
"P61" "P61   Otros trastornos hematolgicos perinatales"
"P610" "P610   Trombocitopenia neonatal transitoria"
"P611" "P611   Policitemia neonatal"
"P612" "P612   Anemia de la prematuridad"
"P613" "P613   Anemia congnita debida a prdida de sangre fetal"
"P614" "P614   Otras anemias congnitas, no clasificadas en otra parte"
"P615" "P615   Neutropenia neonatal transitoria"
"P616" "P616   Otros trastornos neonatales transitorios de la coagulacin"
"P618" "P618   Otros trastornos hematolgicos perinatales especificados"
"P619" "P619   Trastorno hematlogico perinatal, no especificado"
"P70" "P70   Trastornos transitorios del metabolismo de los carbohidratos especficos del feto y del recin nacido"
"P700" "P700   Sndrome del recin nacido de madre con diabetes gestacional"
"P701" "P701   Sndrome del recin nacido de madre diabtica"
"P702" "P702   Diabetes mellitus neonatal"
"P703" "P703   Hipoglicemia neonatal yatrognica"
"P704" "P704   Otras hipoglicemias neonatales"
"P708" "P708   Otros trastornos transitorios del metabolismo de los carbohidratos en el feto y el recin nacido"
"P709" "P709   Trastorno transitorio no especificado del metabolismo de los carbohidratos en el feto y el recin nacido"
"P71" "P71   Trastornos neonatales transitorios del metabolismo del calcio y del magnesio"
"P710" "P710   Hipocalcemia del recin nacido debida a la leche de vaca"
"P711" "P711   Otra hipocalcemia neonatal"
"P712" "P712   Hipomagnesemia neonatal"
"P713" "P713   Tetania neonatal sin mencin de deficiencia de calcio o de magnesio"
"P714" "P714   Hipoparatiroidismo neonatal transitorio"
"P718" "P718   Otros trastornos neonatales transitorios del metabolismo del calcio y del magnesio"
"P719" "P719   Trastorno neonatal transitorio no especificado del metabolismo del calcio y del magnesio"
"P72" "P72   Otros trastornos endocrinos neonatales transitorios"
"P720" "P720   Bocio neonatal, no clasificado en otra parte"
"P721" "P721   Hipertiroidismo neonatal transitorio"
"P722" "P722   Otros trastornos neonatales transitorios de la funcin tiroidea, no clasificados en otra parte"
"P728" "P728   Otros trastornos endocrinos neonatales transitorios especificados"
"P729" "P729   Trastorno endocrino neonatal transitorio, no especificado"
"P74" "P74   Otras alteraciones metablicas y electrolticas neonatales transitorias"
"P740" "P740   Acidosis metablica tarda del recin nacido"
"P741" "P741   Deshidratacin del recin nacido"
"P742" "P742   Alteraciones del equilibrio del sodio en el recin nacido"
"P743" "P743   Alteraciones del equilibrio del potasio en el recin nacido"
"P744" "P744   Otras alteraciones electroliticas transitorias del recin nacido"
"P745" "P745   Tirosinemia transitoria del recin nacido"
"P748" "P748   Otras alteraciones metablicas transitorias del recin nacido"
"P749" "P749   Trastorno metablico transitorio del recin nacido, no especificado"
"P75" "P75   leo meconial en la fibrosis qustica (E84.1)"
"P76" "P76   Otras obstrucciones intestinales del recin nacido"
"P760" "P760   Sndrome del tapn de meconio"
"P761" "P761   leo transitorio del recin nacido"
"P762" "P762   Obstruccin intestinal debida a la leche espesa"
"P768" "P768   Otras obstrucciones intestinales especificadas del recin nacido"
"P769" "P769   Obstruccin intestinal del recin nacido, no especificada"
"P77" "P77   Enterocolitis necrotizante del feto y del recin nacido"
"P78" "P78   Otros trastornos perinatales del sistema digestivo"
"P780" "P780   Perforacin intestinal perinatal"
"P781" "P781   Otras peritonitis neonatales"
"P782" "P782   Hematemesis y melena neonatales debidas a la deglucin de sangre materna"
"P783" "P783   Diarrea neonatal no infecciosa"
"P788" "P788   Otros trastornos perinatales especficos del sistema digestivo"
"P789" "P789   Trastorno perinatal del sistema digestivo, no especificado"
"P80" "P80   Hipotermia del recin nacido"
"P800" "P800   Sndrome del enfriamiento"
"P808" "P808   Otras hipotermias del recin nacido"
"P809" "P809   Hipotermia del recin nacido, no especificada"
"P81" "P81   Otras alteraciones de la regulacin de la temperatura en el recin nacido"
"P810" "P810   Hipertermia del recin nacido inducida por las condiciones ambientales"
"P818" "P818   Otras alteraciones especificadas de la regulacin de la temperatura del recin nacido"
"P819" "P819   Alteracin no especificada de la regulacin de la temperatura en el recin nacido"
"P83" "P83   Otras afecciones de la piel especificas del feto y del recin nacido"
"P830" "P830   Esclerema neonatal"
"P831" "P831   Eritema txico neonatal"
"P832" "P832   Hidropesa fetal no debida a enfermedad hemoltica"
"P833" "P833   Otros edemas y los no especificados, propios del feto y del recin nacido"
"P834" "P834   Ingurgitacin mamaria del recin nacido"
"P835" "P835   Hidrocele congnito"
"P836" "P836   Plipo umbilical del recin nacido"
"P838" "P838   Otras afecciones especificadas de la piel, propias del feto y del recin nacido"
"P839" "P839   Afeccin no especificada de la piel, propia del feto y del recin nacido"
"P90" "P90   Convulsiones del recin nacido"
"P91" "P91   Otras alteraciones cerebrales del recin nacido"
"P910" "P910   Isquemia cerebral neonatal"
"P911" "P911   Quistes periventriculares adquiridos del recin nacido"
"P912" "P912   Leucomalacia cerebral neonatal"
"P913" "P913   Irritabilidad cerebral neonatal"
"P914" "P914   Depresin cerebral neonatal"
"P915" "P915   Coma neonatal"
"P916" "P916   Encefalopata hipoxico isqumica del recin nacido"
"P917" "P917   Hidrocefalia adquirida del recin nacido"
"P918" "P918   Otras alteraciones cerebrales especificadas del recin nacido"
"P919" "P919   Alteracin cerebral no especificada del recin nacido"
"P92" "P92   Problemas de la ingestin de alimentos del recin nacido"
"P920" "P920   Vmitos del recin nacido"
"P921" "P921   Regurgitacin y rumiacin del recin nacido"
"P922" "P922   Lentitud en la ingestin de alimentos del recin nacido"
"P923" "P923   Hipoalimentacin del recin nacido"
"P924" "P924   Hiperalimentacin del recin nacido"
"P925" "P925   Dificultad neonatal en la lactancia materna"
"P928" "P928   Otros problemas de alimentacin del recin nacido"
"P929" "P929   Problema no especificado de la alimentacin del recin nacido"
"P93" "P93   Reacciones e intoxicaciones debidas a drogas administradas al feto y al recin nacido"
"P94" "P94   Trastornos del tono muscular del recin nacido"
"P940" "P940   Miastenia grave neonatal transitoria"
"P941" "P941   Hipertona congnita"
"P942" "P942   Hipotona congnita"
"P948" "P948   Otros trastornos del tono muscular en el recin nacido"
"P949" "P949   Trastorno no especificado del tono muscular en el recin nacido"
"P95" "P95   Muerte fetal de causa no especificada"
"P96" "P96   Otras afecciones originadas en el perodo perinatal"
"P960" "P960   Insuficiencia renal congnita"
"P961" "P961   Sntomas neonatales de abstinencia por drogadiccin materna"
"P962" "P962   Sntomas de abstinencia por el uso teraputico de drogas en el recin nacido"
"P963" "P963   Amplitud de las suturas craneales del recin nacido"
"P964" "P964   Terminacin del embarazo, feto y recin nacido"
"P965" "P965   Complicaciones de procedimientos intrauterinos, no clasificados en otra parte"
"P968" "P968   Otras afecciones especificadas originadas en el perodo perinatal"
"P969" "P969   Afeccin no especificada originada en el perodo perinatal"
"Q00" "Q00   Anencefalia y malformaciones congnitas similares"
"Q000" "Q000   Anencefalia"
"Q001" "Q001   Craneorraquisquisis"
"Q002" "Q002   Iniencefalia"
"Q01" "Q01   Encefalocele"
"Q010" "Q010   Encefalocele frontal"
"Q011" "Q011   Encefalocele nasofrontal"
"Q012" "Q012   Encefalocele occipital"
"Q018" "Q018   Encefalocele de otros sitios"
"Q019" "Q019   Encefalocele, no especificado"
"Q02" "Q02   Microcefalia"
"Q03" "Q03   Hidrocfalo congnito"
"Q030" "Q030   Malformaciones del acueducto de Silvio"
"Q031" "Q031   Atresia de los agujeros de Magendie y de Luschka"
"Q038" "Q038   Otros hidrocfalos congnitos"
"Q039" "Q039   Hidrocfalo congnito, no especificado"
"Q04" "Q04   Otras malformaciones congnitas del encfalo"
"Q040" "Q040   Malformaciones congnitas del cuerpo calloso"
"Q041" "Q041   Arrinencefalia"
"Q042" "Q042   Holoprosencefalia"
"Q043" "Q043   Otras anomalas hipoplsicas del encfalo"
"Q044" "Q044   Displasia opticoseptal"
"Q045" "Q045   Megalencefalia"
"Q046" "Q046   Quistes cerebrales congnitos"
"Q048" "Q048   Otras malformaciones congnitas del encfalo, especificadas"
"Q049" "Q049   Malformacin congnita del encfalo, no especificada"
"Q05" "Q05   Espina bfida"
"Q050" "Q050   Espina bfida cervical con hidrocfalo"
"Q051" "Q051   Espina bfida torcica con hidrocfalo"
"Q052" "Q052   Espina bfida lumbar con hidrocfalo"
"Q053" "Q053   Espina bfida sacra con hidrocfalo"
"Q054" "Q054   Espina bfida con hidrocfalo, sin otra especificacin"
"Q055" "Q055   Espina bfida cervical sin hidrocfalo"
"Q056" "Q056   Espina bfida torcica sin hidrocfalo"
"Q057" "Q057   Espina bfida lumbar sin hidrocfalo"
"Q058" "Q058   Espina bfida sacra sin hidrocfalo"
"Q059" "Q059   Espina bfida, no especificada"
"Q06" "Q06   Otras malformaciones congnitas de la mdula espinal"
"Q060" "Q060   Amielia"
"Q061" "Q061   Hipoplasia y displasia de la mdula espinal"
"Q062" "Q062   Diastematomielia"
"Q063" "Q063   Otras anomalas congnitas de la cola de caballo"
"Q064" "Q064   Hidromielia"
"Q068" "Q068   Otras malformaciones congnitas especificadas de la mdula espinal"
"Q069" "Q069   Malformacin congnita de la mdula espinal, no especificada"
"Q07" "Q07   Otras malformaciones congnitas del sistema nervioso"
"Q070" "Q070   Sndrome de Arnold-Chiari"
"Q078" "Q078   Otras malformaciones congnitas del sistema nervioso, especificadas"
"Q079" "Q079   Otras malformaciones congnitas del sistema nervioso, no especificada"
"Q10" "Q10   Malformaciones congnitas de los prpados, del aparato lagrimal y de la rbita"
"Q100" "Q100   Blefaroptosis congnita"
"Q101" "Q101   Ectropin congnito"
"Q102" "Q102   Entropin congnito"
"Q103" "Q103   Otras malformaciones congnitas de los prpados"
"Q104" "Q104   Ausencia y agenesia del aparato lagrimal"
"Q105" "Q105   Estenosis y estrechez congnitas del conducto lagrimal"
"Q106" "Q106   Otras malformaciones congnitas del aparato lagrimal"
"Q107" "Q107   Malformacin congnita de la rbita"
"Q11" "Q11   Anoftalma, microftalma y macroftalma"
"Q110" "Q110   Globo ocular qustico"
"Q111" "Q111   Otras anoftalmas"
"Q112" "Q112   Microftalma"
"Q113" "Q113   Macroftalma"
"Q12" "Q12   Malformaciones congnitas del cristalino"
"Q120" "Q120   Catarata congnita"
"Q121" "Q121   Desplazamiento congnito del cristalino"
"Q122" "Q122   Coloboma del cristalino"
"Q123" "Q123   Afaquia congnita"
"Q124" "Q124   Esferofaquia"
"Q128" "Q128   Otras malformaciones congnitas del cristalino"
"Q129" "Q129   Malformacin congnita del cristalino, no especificada"
"Q13" "Q13   Malformaciones congnitas del segmento anterior del ojo"
"Q130" "Q130   Coloboma del iris"
"Q131" "Q131   Ausencia del iris"
"Q132" "Q132   Otras malformaciones congnitas del iris"
"Q133" "Q133   Opacidad corneal congnita"
"Q134" "Q134   Otras malformaciones congnitas de la crnea"
"Q135" "Q135   Esclertica azul"
"Q138" "Q138   Otras malformaciones congnitas del segmento anterior del ojo"
"Q139" "Q139   Malformacin congnita del segmento anterior del ojo, no especificada"
"Q14" "Q14   Malformaciones congnitas del segmento posterior del ojo"
"Q140" "Q140   Malformacin congnita del humor vtreo"
"Q141" "Q141   Malformacin congnita de la retina"
"Q142" "Q142   Malformacin congnita del disco ptico"
"Q143" "Q143   Malformacin congnita de la coroides"
"Q148" "Q148   Otras malformaciones congnitas del segmento posterior del ojo"
"Q149" "Q149   Malformacin congnita del segmento posterior del ojo, no especificada"
"Q15" "Q15   Otras malformaciones congnitas del ojo"
"Q150" "Q150   Glaucoma congnito"
"Q158" "Q158   Otras malformaciones congnitas del ojo, especificadas"
"Q159" "Q159   Malformaciones congnitas del ojo, no especificadas"
"Q16" "Q16   Malformaciones congnitas del odo que causan la alteracin de la audicin"
"Q160" "Q160   Ausencia congnita del pabelln (de la oreja)"
"Q161" "Q161   Ausencia congnita, atresia o estrechez del conducto auditivo (externo)"
"Q162" "Q162   Ausencia de la trompa de Eustaquio"
"Q163" "Q163   Malformacin congnita de los huesecillos del odo"
"Q164" "Q164   Otras malformaciones congnitas del odo medio"
"Q165" "Q165   Malformacin congnita del odo interno"
"Q169" "Q169   Malformacin congnita del odo que causa alteracin de la audicin, sin otra especificacin"
"Q17" "Q17   Otras malformaciones congnitas del odo"
"Q170" "Q170   Oreja supernumeraria"
"Q171" "Q171   Macrotia"
"Q172" "Q172   Microtia"
"Q173" "Q173   Otras deformidades del pabelln auricular"
"Q174" "Q174   Anomala de la posicin de la oreja"
"Q175" "Q175   Oreja prominente"
"Q178" "Q178   Otras malformaciones congnitas del odo, especificadas"
"Q179" "Q179   Malformacin congnita del odo, no especificada"
"Q18" "Q18   Otras malformaciones congnitas del la cara y del cuello"
"Q180" "Q180   Seno, fstula o quiste de la hendidura branquial"
"Q181" "Q181   Seno y quiste preauricular"
"Q182" "Q182   Otras malformaciones de las hendiduras branquiales"
"Q183" "Q183   Pterigin del cuello"
"Q184" "Q184   Macrostoma"
"Q185" "Q185   Microstoma"
"Q186" "Q186   Macroqueilia"
"Q187" "Q187   Microqueilia"
"Q188" "Q188   Otras malformaciones congnitas especificadas de cara y cuello"
"Q189" "Q189   Malformacin congnita de la cara y del cuello, no especificada"
"Q20" "Q20   Malformaciones congnitas de las cmaras cardacas y sus conexiones"
"Q200" "Q200   Tronco arterioso comn"
"Q201" "Q201   Transposicin de los grandes vasos en ventrculo derecho"
"Q202" "Q202   Transposicin de los grandes vasos en ventrculo izquierdo"
"Q203" "Q203   Discordancia de la conexin ventriculoarterial"
"Q204" "Q204   Ventrculo con doble entrada"
"Q205" "Q205   Discordancia de la conexin auriculoventricular"
"Q206" "Q206   Isomerismo de los apndices auriculares"
"Q208" "Q208   Otras malformaciones congnitas de las cmaras cardacas y sus conexiones"
"Q209" "Q209   Malformacin congnita de las cmaras cardacas y sus conexiones, no especificada"
"Q21" "Q21   Malformaciones congnitas de los tabiques cardacos"
"Q210" "Q210   Defecto del tabique ventricular"
"Q211" "Q211   Defecto del tabique auricular"
"Q212" "Q212   Defecto del tabique auriculoventricular"
"Q213" "Q213   Tetraloga de Fallot"
"Q214" "Q214   Defecto del tabique aortopulmonar"
"Q218" "Q218   Otras malformaciones congnitas de los tabiques cardacos"
"Q219" "Q219   Malformacin congnita del tabique cardaco, no especificada"
"Q22" "Q22   Malformaciones congnitas de la vlvulas pulmonar y tricspide"
"Q220" "Q220   Atresia de la vlvula pulmonar"
"Q221" "Q221   Estenosis congnita de la vlvula pulmonar"
"Q222" "Q222   Insuficiencia congnita de la vlvula pulmonar"
"Q223" "Q223   Otras malformaciones congnitas de la vlvula pulmonar"
"Q224" "Q224   Estenosis congnita de la vlvula tricspide"
"Q225" "Q225   Anomala de Ebstein"
"Q226" "Q226   Sndrome de hipoplasia del corazn derecho"
"Q228" "Q228   Otras malformaciones congnitas de la vlvula tricspide"
"Q229" "Q229   Malformacin congnita de la vlvula tricspide, no especificada"
"Q23" "Q23   Malformaciones congnitas de las vlvulas artica y mitral"
"Q230" "Q230   Estenosis congnita de la vlvula artica"
"Q231" "Q231   Insuficiencia congnita de la vlvula artica"
"Q232" "Q232   Estenosis mitral congnita"
"Q233" "Q233   Insuficiencia mitral congnita"
"Q234" "Q234   Sndrome de hipoplasia del corazn izquierdo"
"Q238" "Q238   Otras malformaciones congnitas de las vlvulas artica y mitral"
"Q239" "Q239   Malformacin congnita de las vlvulas artica y mitral, no especificada"
"Q24" "Q24   Otras malformaciones congnitas del corazn"
"Q240" "Q240   Dextrocardia"
"Q241" "Q241   Levocardia"
"Q242" "Q242   Corazn triauricular"
"Q243" "Q243   Estenosis del infundbulo pulmonar"
"Q244" "Q244   Estenosis subartica congnita"
"Q245" "Q245   Malformacin de los vasos coronarios"
"Q246" "Q246   Bloqueo cardaco congnito"
"Q248" "Q248   Otras malformaciones congnitas del corazn, especificadas"
"Q249" "Q249   Malformacin congnita del corazn, no especificada"
"Q25" "Q25   Malformaciones congnitas de las grandes arterias"
"Q250" "Q250   Conducto arterioso persistente"
"Q251" "Q251   Coartacin de la aorta"
"Q252" "Q252   Atresia de la aorta"
"Q253" "Q253   Estenosis de la aorta"
"Q254" "Q254   Otras malformaciones congnitas de la aorta"
"Q255" "Q255   Atresia de la arteria pulmonar"
"Q256" "Q256   Estenosis de la arteria pulmonar"
"Q257" "Q257   Otras malformaciones congnitas de la arteria pulmonar"
"Q258" "Q258   Otras malformaciones congnitas de las grandes arterias"
"Q259" "Q259   Malformacin congnita de las grandes arterias, no especificada"
"Q26" "Q26   Malformaciones congnitas de las grandes venas"
"Q260" "Q260   Estenosis congnita de la vena cava"
"Q261" "Q261   Persistencia de la vena cava superior izquierda"
"Q262" "Q262   Conexin anmala total de las venas pulmonares"
"Q263" "Q263   Conexin anmala parcial de las venas pulmonares"
"Q264" "Q264   Conexin anmala de las venas pulmonares, sin otra especificacin"
"Q265" "Q265   Conexin anmala de la vena porta"
"Q266" "Q266   Fstula arteria heptica-vena porta"
"Q268" "Q268   Otras malformaciones congnitas de las grandes venas"
"Q269" "Q269   Malformacin congnita de las grandes venas, no especificada"
"Q27" "Q27   Otras malformaciones congnitas del sistema vascular perifrico"
"Q270" "Q270   Ausencia e hipoplasia congnita de la arteria umbilical"
"Q271" "Q271   Estenosis congnita de la arteria renal"
"Q272" "Q272   Otras malformaciones congnitas de la arteria renal"
"Q273" "Q273   Malformacin arteriovenosa perifrica"
"Q274" "Q274   Flebectasia congnita"
"Q278" "Q278   Otras malformaciones congnitas del sistema vascular perifrico, especificadas"
"Q279" "Q279   Malformacin congnita del sistema vascular perifrico, no especificada"
"Q28" "Q28   Otras malformaciones congnitas del sistema circulatorio"
"Q280" "Q280   Malformacin arteriovenosa de los vasos precerebrales"
"Q281" "Q281   Otras malformaciones de los vasos precerebrales"
"Q282" "Q282   Malformacin arteriovenosa de los vasos cerebrales"
"Q283" "Q283   Otras malformaciones de los vasos cerebrales"
"Q288" "Q288   Otras malformaciones congnitas del sistema circulatorio, especificadas"
"Q289" "Q289   Malformacin congnita del sistema circulatorio, no especificada"
"Q30" "Q30   Malformaciones congnitas de la nariz"
"Q300" "Q300   Atresia de las coanas"
"Q301" "Q301   Agenesia o hipoplasia de la nariz"
"Q302" "Q302   Hendidura, fisura o muesca de la nariz"
"Q303" "Q303   Perforacin congnita del tabique nasal"
"Q308" "Q308   Otras malformaciones congnitas de la nariz"
"Q309" "Q309   Malformacin congnita de la nariz, no especificada"
"Q31" "Q31   Malformaciones congnitas de la laringe"
"Q310" "Q310   Pterigin de la laringe"
"Q311" "Q311   Estenosis subgltica congnita"
"Q312" "Q312   Hipoplasia larngea"
"Q313" "Q313   Laringocele"
"Q314" "Q314   Estridor laringeo congnito"
"Q315" "Q315   Laringomalasia congnita"
"Q318" "Q318   Otras malformaciones congnitas de la laringe"
"Q319" "Q319   Malformacin congnita de la laringe, no especificada"
"Q32" "Q32   Malformaciones congnitas de la trquea y de los bronquios"
"Q320" "Q320   Traqueomalacia congnita"
"Q321" "Q321   Otras malformaciones congnitas de la trquea"
"Q322" "Q322   Broncomalacia congnita"
"Q323" "Q323   Estenosis congnita de los bronquios"
"Q324" "Q324   Otras malformaciones congnitas de los bronquios"
"Q33" "Q33   Malformaciones congnitas del pulmn"
"Q330" "Q330   Quiste pulmonar congnito"
"Q331" "Q331   Lbulo pulmonar supernumerario"
"Q332" "Q332   Secuestro del pulmn"
"Q333" "Q333   Agenesia del pulmn"
"Q334" "Q334   Bronquiectasia congnita"
"Q335" "Q335   Tejido ectpico en el pulmn"
"Q336" "Q336   Hipoplasia y displasia pulmonar"
"Q338" "Q338   Otras malformaciones congnitas del pulmn"
"Q339" "Q339   Malformacin congnita del pulmn, no especificada"
"Q34" "Q34   Otras malformaciones congnitas del sistema respiratorio"
"Q340" "Q340   Anomala de la pleura"
"Q341" "Q341   Quiste congnito del mediastino"
"Q348" "Q348   Otras malformaciones congnitas especificadas del sistema respiratorio"
"Q349" "Q349   Malformacin congnita del sistema respiratorio, no especificada"
"Q35" "Q35   Fisura del paladar"
"Q350" "Q350   Fisura del paladar duro, bilateral"
"Q351" "Q351   Fisura del paladar duro"
"Q352" "Q352   Fisura del paladar blando, bilateral"
"Q353" "Q353   Fisura del paladar blando"
"Q354" "Q354   Fisura del paladar duro y del paladar blando, bilateral"
"Q355" "Q355   Fisura del paladar duro y del paladar blando"
"Q356" "Q356   Fisura del paladar, lnea media"
"Q357" "Q357   Fisura de lavula"
"Q358" "Q358   Fisura del paladar, bilateral sin otra especificacin"
"Q359" "Q359   Fisura del paladar, sin otra especificacin"
"Q36" "Q36   Labio leporino"
"Q360" "Q360   Labio leporino, bilateral"
"Q361" "Q361   Labio leporino, lnea media"
"Q369" "Q369   Labio leporino, unilateral"
"Q37" "Q37   Fisura del paladar con labio leporino"
"Q370" "Q370   Fisura del paladar duro con labio leporino bilateral"
"Q371" "Q371   Fisura del paladar duro con labio leporino unilateral"
"Q372" "Q372   Fisura del paladar blando con labio leporino bilateral"
"Q373" "Q373   Fisura del paladar blando con labio leporino unilateral"
"Q374" "Q374   Fisura del paladar duro y del paladar blando con labio leporino bilateral"
"Q375" "Q375   Fisura del paladar duro y del paladar blando con labio leporino unilateral"
"Q378" "Q378   Fisura del paladar con labio leporino bilateral, sin otra especificacin"
"Q379" "Q379   Fisura del paladar con labio leporino unilateral, sin otra especificacin"
"Q38" "Q38   Otras malformaciones congnitas de la lengua, de la boca y de la faringe"
"Q380" "Q380   Malformaciones congnitas de los labios, no clasificadas en otra parte"
"Q381" "Q381   Anquiloglosia"
"Q382" "Q382   Macroglosia"
"Q383" "Q383   Otras malformaciones congnitas de la lengua"
"Q384" "Q384   Malformaciones congnitas de las glndulas y de los conductos salivales"
"Q385" "Q385   Malformaciones congnitas del paladar, no clasificadas en otra parte"
"Q386" "Q386   Otras malformaciones congnitas de la boca"
"Q387" "Q387   Divertculo farngeo"
"Q388" "Q388   Otras malformaciones congnitas de la faringe"
"Q39" "Q39   Malformaciones congnitas del esfago"
"Q390" "Q390   Atresia del esfago sin mencin de fstula"
"Q391" "Q391   Atresia del esfago con fstula traqueoesofgica"
"Q392" "Q392   Fstula traqueoesofgica congnita sin mencin de atresia"
"Q393" "Q393   Estrechez o estenosis congnita del esfago"
"Q394" "Q394   Pterigin del esfago"
"Q395" "Q395   Dilatacin congnita del esfago"
"Q396" "Q396   Divertculo del esfago"
"Q398" "Q398   Otras malformaciones congnitas del esfago"
"Q399" "Q399   Malformacin congnita del esfago, no especificada"
"Q40" "Q40   Otras malformaciones congnitas de la parte superior del tubo digestivo"
"Q400" "Q400   Estenosis hipertrfica congnita del ploro"
"Q401" "Q401   Hernia hiatal congnita"
"Q402" "Q402   Otras malformaciones congnitas del estmago, especificadas"
"Q403" "Q403   Malformacin congnita del estmago, no especificada"
"Q408" "Q408   Otras malformaciones congnitas de la parte superior del tubo digestivo"
"Q409" "Q409   Malformacin congnita de la parte superior del tubo digestivo, no especificada"
"Q41" "Q41   Ausencia, atresia y estenosis congnita del intestino delgado"
"Q410" "Q410   Ausencia, atresia y estenosis congnita del duodeno"
"Q411" "Q411   Ausencia, atresia y estenosis congnita del yeyuno"
"Q412" "Q412   Ausencia, atresia y estenosis congnita del leon"
"Q418" "Q418   Ausencia, atresia y estenosis congnita de otras partes especificadas del intestino delgado"
"Q419" "Q419   Ausencia, atresia y estenosis congnita del intestino delgado, parte no especificada"
"Q42" "Q42   Ausencia, atresia y estenosis congnita del intestino grueso"
"Q420" "Q420   Ausencia, atresia y estenosis congnita del recto, con fstula"
"Q421" "Q421   Ausencia, atresia y estenosis congnita del recto, sin fstula"
"Q422" "Q422   Ausencia, atresia y estenosis congnita del ano, con fstula"
"Q423" "Q423   Ausencia, atresia y estenosis congnita del ano, sin fstula"
"Q428" "Q428   Ausencia, atresia y estenosis congnita de otras partes del intestino grueso"
"Q429" "Q429   Ausencia, atresia y estenosis congnita del intestino grueso, parte no especificada"
"Q43" "Q43   Otras malformaciones congnitas del intestino"
"Q430" "Q430   Divertculo de Meckel"
"Q431" "Q431   Enfermedad de Hirschsprung"
"Q432" "Q432   Otros trastornos funcionales congnitos del colon"
"Q433" "Q433   Malformaciones congnitas de la fijacin del intestino"
"Q434" "Q434   Duplicacin del intestino"
"Q435" "Q435   Ano ectpico"
"Q436" "Q436   Fstula congnita del recto y del ano"
"Q437" "Q437   Persistencia de la cloaca"
"Q438" "Q438   Otras malformaciones congnitas del intestino, especificadas"
"Q439" "Q439   Malformacin congnita del intestino, no especificada"
"Q44" "Q44   Malformaciones congnitas de la vescula biliar, de los conductos biliares y del hgado"
"Q440" "Q440   Agenesia, aplasia e hipoplasia de la vescula biliar"
"Q441" "Q441   Otras malformaciones congnitas de la vescula biliar"
"Q442" "Q442   Atresia de los conductos biliares"
"Q443" "Q443   Estrechez y estenosis congnita de los conductos biliares"
"Q444" "Q444   Quiste del coldoco"
"Q445" "Q445   Otras malformaciones congnitas de los conductos biliares"
"Q446" "Q446   Enfermedad qustica del hgado"
"Q447" "Q447   Otras malformaciones congnitas del hgado"
"Q45" "Q45   Otras malformaciones congnitas del sistema digestivo"
"Q450" "Q450   Agenesia, aplasia e hipoplasia del pncreas"
"Q451" "Q451   Pncreas anular"
"Q452" "Q452   Quiste congnito del pncreas"
"Q453" "Q453   Otras malformaciones congnitas del pncreas y del conducto pancretico"
"Q458" "Q458   Otras malformaciones congnitas del sistema digestivo, especificadas"
"Q459" "Q459   Malformacin congnita del sistema digestivo, no especificada"
"Q50" "Q50   Malformaciones congnitas de los ovarios, de las trompas de Falopio y de los ligamentos anchos"
"Q500" "Q500   Ausencia congnita de ovario"
"Q501" "Q501   Quiste en desarrollo del ovario"
"Q502" "Q502   Torsin congnita del ovario"
"Q503" "Q503   Otras malformaciones congnitas de los ovarios"
"Q504" "Q504   Quiste embrionario de la trompa de Falopio"
"Q505" "Q505   Quiste embrionario del ligamento ancho"
"Q506" "Q506   Otras malformaciones congnitas de la trompa de Falopio y del ligamento ancho"
"Q51" "Q51   Malformaciones congnitas deltero y del cuello uterino"
"Q510" "Q510   Agenesia y aplasia deltero"
"Q511" "Q511   Duplicacin deltero con duplicacin del cuello uterino y de la vagina"
"Q512" "Q512   Otra duplicacin deltero"
"Q513" "Q513   tero bicorne"
"Q514" "Q514   tero unicorne"
"Q515" "Q515   Agenesia y aplasia del cuello uterino"
"Q516" "Q516   Quiste embrionario del cuello uterino"
"Q517" "Q517   Fstula congnita entre eltero y el tracto digestivo y urinario"
"Q518" "Q518   Otras malformaciones congnitas deltero y del cuello uterino"
"Q519" "Q519   Malformacin congnita deltero y del cuello uterino, no especificada"
"Q52" "Q52   Otras malformaciones congnitas de los rganos genitales femeninos"
"Q520" "Q520   Ausencia congnita de la vagina"
"Q521" "Q521   Duplicacin de la vagina"
"Q522" "Q522   Fstula rectovaginal congnita"
"Q523" "Q523   Himen imperforado"
"Q524" "Q524   Otras malformaciones congnitas de la vagina"
"Q525" "Q525   Fusin de labios de la vulva"
"Q526" "Q526   Malformacin congnita del cltoris"
"Q527" "Q527   Otras malformaciones congnitas de la vulva"
"Q528" "Q528   Otras malformaciones congnitas de los rganos genitales femeninos, especificadas"
"Q529" "Q529   Malformacin congnita de los genitales femeninos, no especificada"
"Q53" "Q53   Testculo no descendido"
"Q530" "Q530   Ectopia testicular"
"Q531" "Q531   Testculo no descendido, unilateral"
"Q532" "Q532   Testculo no descendido, bilateral"
"Q539" "Q539   Testculo no descendido, sin otra especificacin"
"Q54" "Q54   Hipospadias"
"Q540" "Q540   Hipospadias del glande"
"Q541" "Q541   Hipospadias peneana"
"Q542" "Q542   Hipospadias penoscrotal"
"Q543" "Q543   Hipospadias perineal"
"Q544" "Q544   Encordamiento congnito del pene"
"Q548" "Q548   Otras hipospadias"
"Q549" "Q549   Hipospadias, no especificada"
"Q55" "Q55   Otras malformaciones congnitas de los rganos genitales masculinos"
"Q550" "Q550   Ausencia y aplasia del testculo"
"Q551" "Q551   Hipoplasia del testculo y del escroto"
"Q552" "Q552   Otras malformaciones congnitas de los testculos y del escroto"
"Q553" "Q553   Atresia del conducto deferente"
"Q554" "Q554   Otras malformaciones congnitas de los conductos deferentes, del epiddimo, de las vesculas seminales y de la prstata"
"Q555" "Q555   Aplasia y ausencia congnita del pene"
"Q556" "Q556   Otras malformaciones congnitas del pene"
"Q558" "Q558   Otras malformaciones congnitas de los rganos genitales masculinos, especificadas"
"Q559" "Q559   Malformacin congnita de los rganos genitales masculinos, no especificada"
"Q56" "Q56   Sexo indeterminado y seudohermafroditismo"
"Q560" "Q560   Hermafroditismo, no clasificado en otra parte"
"Q561" "Q561   Seudohermafroditismo masculino, no clasificado en otra parte"
"Q562" "Q562   Seudohermafroditismo femenino, no clasificado en otra parte"
"Q563" "Q563   Seudohermafroditismo, no especificado"
"Q564" "Q564   Sexo indeterminado, sin otra especificacin"
"Q60" "Q60   Agenesia renal y otras malformaciones hipoplsicas del rin"
"Q600" "Q600   Agenesia renal, unilateral"
"Q601" "Q601   Agenesia renal, bilateral"
"Q602" "Q602   Agenesia renal, sin otra especificacin"
"Q603" "Q603   Hipoplasia renal, unilateral"
"Q604" "Q604   Hipoplasia renal, bilateral"
"Q605" "Q605   Hipoplasia renal, no especificada"
"Q606" "Q606   Sndrome de Potter"
"Q61" "Q61   Enfermedad qustica del rin"
"Q610" "Q610   Quiste renal solitario congnito"
"Q611" "Q611   Rin poliqustico, autosmico recesivo"
"Q612" "Q612   Rin poliqustico, autosmico dominante"
"Q613" "Q613   Rin poliqustico, tipo no especificado"
"Q614" "Q614   Displasia renal"
"Q615" "Q615   Rin qustico medular"
"Q618" "Q618   Otras enfermedades renales qusticas"
"Q619" "Q619   Enfermedad qustica del rin, no especificada"
"Q62" "Q62   Defectos obstructivos congnitos de la pelvis renal y malformaciones congnitas del urter"
"Q620" "Q620   Hidronefrosis congnita"
"Q621" "Q621   Atresia y estenosis del urter"
"Q622" "Q622   Megalourter congnito"
"Q623" "Q623   Otros defectos obstructivos de la pelvis renal y del urter"
"Q624" "Q624   Agenesia del urter"
"Q625" "Q625   Duplicacin del urter"
"Q626" "Q626   Mala posicin del urter"
"Q627" "Q627   Reflujo vsico-urtero-renal congnito"
"Q628" "Q628   Otras malformaciones congnitas del urter"
"Q63" "Q63   Otras malformaciones congnitas del rin"
"Q630" "Q630   Rin supernumerario"
"Q631" "Q631   Rin lobulado, fusionado y en herradura"
"Q632" "Q632   Rin ectpico"
"Q633" "Q633   Hiperplasia renal y rin gigante"
"Q638" "Q638   Otras malformaciones congnitas del rin, especificadas"
"Q639" "Q639   Malformacin congnita del rin, no especificada"
"Q64" "Q64   Otras malformaciones congnitas del sistema urinario"
"Q640" "Q640   Epispadias"
"Q641" "Q641   Extrofia de la vejiga urinaria"
"Q642" "Q642   Vlvulas uretrales posteriores congnitas"
"Q643" "Q643   Otras atresias y estenosis de la uretra y del cuello de la vejiga"
"Q644" "Q644   Malformacin del uraco"
"Q645" "Q645   Ausencia congnita de la vejiga y de la uretra"
"Q646" "Q646   Divertculo congnito de la vejiga"
"Q647" "Q647   Otras malformaciones congnitas de la vejiga y de la uretra"
"Q648" "Q648   Otras malformaciones congnitas del aparato urinario, especificadas"
"Q649" "Q649   Malformacin congnita del aparato urinario, no especificada"
"Q65" "Q65   Deformidades congnitas de la cadera"
"Q650" "Q650   Luxacin congnita de la cadera, unilateral"
"Q651" "Q651   Luxacin congnita de la cadera, bilateral"
"Q652" "Q652   Luxacin congnita de la cadera, no especificada"
"Q653" "Q653   Subluxacin congnita de la cadera, unilateral"
"Q654" "Q654   Subluxacin congnita de la cadera, bilateral"
"Q655" "Q655   Subluxacin congnita de la cadera, no especificada"
"Q656" "Q656   Cadera inestable"
"Q658" "Q658   Otras deformidades congnitas de la cadera"
"Q659" "Q659   Deformidad congnita de la cadera, no especificada"
"Q66" "Q66   Deformidades congnitas de los pies"
"Q660" "Q660   Talipes equinovarus"
"Q661" "Q661   Talipes calcaneovarus"
"Q662" "Q662   Metatarsus varus"
"Q663" "Q663   Otras deformidades varus congnitas de los pies"
"Q664" "Q664   Talipes calcaneovalgus"
"Q665" "Q665   Pie plano congnito"
"Q666" "Q666   Otras deformidades valgus congnitas de los pies"
"Q667" "Q667   Pie cavus"
"Q668" "Q668   Otras deformidades congnitas de los pies"
"Q669" "Q669   Deformidad congnita de los pies, no especificada"
"Q67" "Q67   Deformidades osteomusculares congnitas de la cabeza, de la cara, de la columna vertebral y del trax"
"Q670" "Q670   Asimetra facial"
"Q671" "Q671   Facies comprimida"
"Q672" "Q672   Dolicocefalia"
"Q673" "Q673   Plagiocefalia"
"Q674" "Q674   Otras deformidades congnitas del crneo, de la cara y de la mandbula"
"Q675" "Q675   Deformidad congnita de la columna vertebral"
"Q676" "Q676   Trax excavado"
"Q677" "Q677   Trax en quilla"
"Q678" "Q678   Otras deformidades congnitas del trax"
"Q68" "Q68   Otras deformidades osteomusculares congnitas"
"Q680" "Q680   Deformidad congnita del msculo esternocleidomastoideo"
"Q681" "Q681   Deformidad congnita de la mano"
"Q682" "Q682   Deformidad congnita de la rodilla"
"Q683" "Q683   Curvatura congnita del fmur"
"Q684" "Q684   Curvatura congnita de la tibia y del peron"
"Q685" "Q685   Curvatura congnita de hueso(s) largo(s) del miembro inferior, sin otra especificacin"
"Q688" "Q688   Otras deformidades congnitas osteomusculares, especificadas"
"Q69" "Q69   Polidactilia"
"Q690" "Q690   Dedo(s) supernumerario(s) de la mano"
"Q691" "Q691   Pulgar(es) supernumerario(s)"
"Q692" "Q692   Dedo(s) supernumerario(s) del pie"
"Q699" "Q699   Polidactilia, no especificada"
"Q70" "Q70   Sindactilia"
"Q700" "Q700   Fusin de los dedos de la mano"
"Q701" "Q701   Membrana interdigital de la mano"
"Q702" "Q702   Fusin de los dedos del pie"
"Q703" "Q703   Membrana interdigital del pie"
"Q704" "Q704   Polisindactilia"
"Q709" "Q709   Sindactilia, no especificada"
"Q71" "Q71   Defectos por reduccin del miembro superior"
"Q710" "Q710   Ausencia congnita completa del (de los) miembro(s) superior(es)"
"Q711" "Q711   Ausencia congnita del brazo y del antebrazo con presencia de la mano"
"Q712" "Q712   Ausencia congnita del antebrazo y de la mano"
"Q713" "Q713   Ausencia congnita de la mano y el (los) dedo(s)"
"Q714" "Q714   Defecto por reduccin longitudinal del radio"
"Q715" "Q715   Defecto por reduccin longitudinal del cbito"
"Q716" "Q716   Mano en pinza de langosta"
"Q718" "Q718   Otros defectos por reduccin del (de los) miembro(s) superior(es)"
"Q719" "Q719   Defecto por reduccin del miembro superior, no especificado"
"Q72" "Q72   Defectos por reduccin del miembro inferior"
"Q720" "Q720   Ausencia congnita completa del (de los) miembro(s) inferior(es)"
"Q721" "Q721   Ausencia congnita del muslo y de la pierna con presencia del pie"
"Q722" "Q722   Ausencia congnita de la pierna y del pie"
"Q723" "Q723   Ausencia congnita del pie y dedo(s) del pie"
"Q724" "Q724   Defecto por reduccin longitudinal del fmur"
"Q725" "Q725   Defecto por reduccin longitudinal de la tibia"
"Q726" "Q726   Defecto por reduccin longitudinal del peron"
"Q727" "Q727   Pie hendido"
"Q728" "Q728   Otros defectos por reduccin del (de los) miembro(s) inferior(es)"
"Q729" "Q729   Defecto por reduccin del miembro inferior, no especificado"
"Q73" "Q73   Defectos por reduccin de miembro no especificado"
"Q730" "Q730   Ausencia completa de miembro(s) no especificado(s)"
"Q731" "Q731   Focomelia, miembro(s) no especificado(s)"
"Q738" "Q738   Otros defectos por reduccin de miembro(s) no especificado(s)"
"Q74" "Q74   Otras anomalas congnitas del (de los) miembro(s)"
"Q740" "Q740   Otras malformaciones congnitas del (de los) miembro(s) superior(es), incluida la cintura escapular"
"Q741" "Q741   Malformacin congnita de la rodilla"
"Q742" "Q742   Otras malformaciones congnitas del (de los) miembro(s) inferior(es), incluida la cintura pelviana"
"Q743" "Q743   Artrogriposis mltiple congnita"
"Q748" "Q748   Otras malformaciones congnitas especificadas del (de los) miembro(s)"
"Q749" "Q749   Malformacin congnita de miembro(s), no especificada"
"Q75" "Q75   Otras malformaciones congnitas de los huesos del crneo y de la cara"
"Q750" "Q750   Craneosinostosis"
"Q751" "Q751   Disostosis craneofacial"
"Q752" "Q752   Hipertelorismo"
"Q753" "Q753   Macrocefalia"
"Q754" "Q754   Disostosis maxilofacial"
"Q755" "Q755   Disostosis oculomaxilar"
"Q758" "Q758   Otras malformaciones congnitas especificadas de los huesos del crneo y de la cara"
"Q759" "Q759   Malformacin congnita no especificada de los huesos del crneo y de la cara"
"Q76" "Q76   Malformaciones congnitas de la columna vertebral y trax seo"
"Q760" "Q760   Espina bfida oculta"
"Q761" "Q761   Sndrome de Klippel-Feil"
"Q762" "Q762   Espondilolistesis congnita"
"Q763" "Q763   Escoliosis congnita debida a malformacin congnita sea"
"Q764" "Q764   Otra malformacin congnita de la columna vertebral, no asociada con escoliosis"
"Q765" "Q765   Costilla cervical"
"Q766" "Q766   Otras malformaciones congnitas de las costillas"
"Q767" "Q767   Malformacin congnita del esternn"
"Q768" "Q768   Otras malformaciones congnitas del trax seo"
"Q769" "Q769   Malformacin congnita del trax seo, no especificada"
"Q77" "Q77   Osteocondrodisplasia con defecto del crecimiento de los huesos largos y de la columna vertebral"
"Q770" "Q770   Acondrognesis"
"Q771" "Q771   Enanismo tanatofrico"
"Q772" "Q772   Sndrome de costilla corta"
"Q773" "Q773   Condrodisplasia punctata"
"Q774" "Q774   Acondroplasia"
"Q775" "Q775   Displasia distrfica"
"Q776" "Q776   Displasia condroectodrmica"
"Q777" "Q777   Displasia espondiloepifisaria"
"Q778" "Q778   Otras osteocondrodisplasias con defectos del crecimiento de los huesos largos y de la columna vertebral"
"Q779" "Q779   Osteocondrodisplasia con defectos del crecimiento de los huesos largos y de la columna vertebral, sin otra especificacin"
"Q78" "Q78   Otras osteocondrodisplasias"
"Q780" "Q780   Osteognesis imperfecta"
"Q781" "Q781   Displasia poliosttica fibrosa"
"Q782" "Q782   Osteopetrosis"
"Q783" "Q783   Displasia diafisaria progresiva"
"Q784" "Q784   Encondromatosis"
"Q785" "Q785   Displasia metafisaria"
"Q786" "Q786   Exostosis congnita mltiple"
"Q788" "Q788   Otras osteocondrodisplasias especificadas"
"Q789" "Q789   Osteocondrodisplasia, no especificada"
"Q79" "Q79   Malformaciones congnitas del sistema osteomuscular, no clasificadas en otra parte"
"Q790" "Q790   Hernia diafragmtica congnita"
"Q791" "Q791   Otras malformaciones congnitas del diafragma"
"Q792" "Q792   Exnfalos"
"Q793" "Q793   Gastrosquisis"
"Q794" "Q794   Sndrome del abdomen en ciruela pasa"
"Q795" "Q795   Otras malformaciones congnitas de la pared abdominal"
"Q796" "Q796   Sndrome de Ehlers-Danlos"
"Q798" "Q798   Otras malformaciones congnitas del sistema osteomuscular"
"Q799" "Q799   Malformacin congnita del sistema osteomuscular, no especificada"
"Q80" "Q80   Ictiosis congnita"
"Q800" "Q800   Ictiosis vulgar"
"Q801" "Q801   Ictiosis ligada al cromosoma X"
"Q802" "Q802   Ictiosis lamelar"
"Q803" "Q803   Eritrodermia ictiosiforme vesicular congnita"
"Q804" "Q804   Feto arlequn"
"Q808" "Q808   Otras ictiosis congnitas"
"Q809" "Q809   Ictiosis congnita, no especificada"
"Q81" "Q81   Epidermlisis bullosa"
"Q810" "Q810   Epidermlisis bullosa simple"
"Q811" "Q811   Epidermlisis bullosa letal"
"Q812" "Q812   Epidermlisis bullosa distrfica"
"Q818" "Q818   Otras epidermlisis bullosas"
"Q819" "Q819   Epidermlisis bullosa, no especificada"
"Q82" "Q82   Otras malformaciones congnitas de la piel"
"Q820" "Q820   Linfedema hereditario"
"Q821" "Q821   Xeroderma pigmentoso"
"Q822" "Q822   Mastocitosis"
"Q823" "Q823   Incontinencia pigmentaria"
"Q824" "Q824   Displasia ectodrmica (anhidrtica)"
"Q825" "Q825   Nevo no neoplsico, congnito"
"Q828" "Q828   Otras malformaciones congnitas de la piel, especificadas"
"Q829" "Q829   Malformacin congnita de la piel, no especificada"
"Q83" "Q83   Malformaciones congnitas de la mama"
"Q830" "Q830   Ausencia congnita de la mama con ausencia del pezn"
"Q831" "Q831   Mama supernumeraria"
"Q832" "Q832   Ausencia del pezn"
"Q833" "Q833   Pezn supernumerario"
"Q838" "Q838   Otras malformaciones congnitas de la mama"
"Q839" "Q839   Malformacin congnita de la mama, no especificada"
"Q84" "Q84   Otras malformaciones congnitas de las faneras"
"Q840" "Q840   Alopecia congnita"
"Q841" "Q841   Alteraciones morfolgicas congnitas del pelo, no clasificadas en otra parte"
"Q842" "Q842   Otras malformaciones congnitas del pelo"
"Q843" "Q843   Anoniquia"
"Q844" "Q844   Leuconiquia congnita"
"Q845" "Q845   Agrandamiento e hipertrofia de las uas"
"Q846" "Q846   Otras malformaciones congnitas de las uas"
"Q848" "Q848   Otras malformaciones congnitas de las faneras, especificadas"
"Q849" "Q849   Malformacin congnita de las faneras, no especificada"
"Q85" "Q85   Facomatosis, no clasificada en otra parte"
"Q850" "Q850   Neurofibromatosis (no maligna)"
"Q851" "Q851   Esclerosis tuberosa"
"Q858" "Q858   Otras facomatosis, no clasificadas en otra parte"
"Q859" "Q859   Facomatosis, no especificada"
"Q86" "Q86   Sndromes de malformaciones congnitas debidos a causas exgenas conocidas, no clasificados en otra parte"
"Q860" "Q860   Sndrome fetal (dismrfico) debido al alcohol"
"Q861" "Q861   Sndrome de hidantona fetal"
"Q862" "Q862   Dismorfismo debido a warfarina"
"Q868" "Q868   Otros sndromes de malformaciones congnitas debidos a causas exgenas conocidas"
"Q87" "Q87   Otros sndromes de malformaciones congnitas especificados que afectan mltiples sistemas"
"Q870" "Q870   Sndromes de malformaciones congnitas que afectan principalmente la apariencia facial"
"Q871" "Q871   Sndromes de malformaciones congnitas asociadas principalmente con estatura baja"
"Q872" "Q872   Sndromes de malformaciones congnitas que afectan principalmente los miembros"
"Q873" "Q873   Sndromes de malformaciones congnitas con exceso de crecimiento precoz"
"Q874" "Q874   Sndrome de Marfan"
"Q875" "Q875   Otros sndromes de malformaciones congnitas con otros cambios esquelticos"
"Q878" "Q878   Otros sndromes de malformaciones congnitas especificados, no clasificados en otra parte"
"Q89" "Q89   Otras malformaciones congnitas, no clasificadas en otra parte"
"Q890" "Q890   Malformaciones congnitas del bazo"
"Q891" "Q891   Malformaciones congnitas de la glndula suprarrenal"
"Q892" "Q892   Malformaciones congnitas de otras glndulas endocrinas"
"Q893" "Q893   Situs inversus"
"Q894" "Q894   Gemelos siameses"
"Q897" "Q897   Malformaciones congnitas mltiples, no clasificadas en otra parte"
"Q898" "Q898   Otras malformaciones congnitas, especificadas"
"Q899" "Q899   Malformacin congnita, no especificada"
"Q90" "Q90   Sndrome de Down"
"Q900" "Q900   Trisoma 21, por falta de disyuncin meitica"
"Q901" "Q901   Trisoma 21, mosaico (por falta de disyuncin mittica)"
"Q902" "Q902   Trisomia 21, por translocacin"
"Q909" "Q909   Sndrome de Down, no especificado"
"Q91" "Q91   Sndrome de Edwards y sndrome  de Patau"
"Q910" "Q910   Trisomia 18, por falta de disyuncin meitica"
"Q911" "Q911   Trisoma 18, mosaico (por falta de disyuncin mittica)"
"Q912" "Q912   Trisoma 18, por translocacin"
"Q913" "Q913   Sndrome de Edwards, no especificado"
"Q914" "Q914   Trisoma 13, por falta de disyuncin meitica"
"Q915" "Q915   Trisoma 13, mosaico (por falta de disyuncin mittica)"
"Q916" "Q916   Trisoma 13, por translocacin"
"Q917" "Q917   Sndrome de Patau, no especificado"
"Q92" "Q92   Otras trisomas y trisomas parciales de los autosomas, no clasificadas en otra parte"
"Q920" "Q920   Trisoma de un cromosoma completo, por falta de disyuncin meitica"
"Q921" "Q921   Trisoma de un cromosoma completo, mosaico (por falta de disyuncin mittica)"
"Q922" "Q922   Trisoma parcial mayor"
"Q923" "Q923   Trisoma parcial menor"
"Q924" "Q924   Duplicaciones visibles solo en la prometafase"
"Q925" "Q925   Duplicaciones con otros reordenamientos complejos"
"Q926" "Q926   Cromosomas marcadores suplementarios"
"Q927" "Q927   Triploida y poliploida"
"Q928" "Q928   Otras trisomas y trisomas parciales de los autosomas, especificadas"
"Q929" "Q929   Trisoma y Trisoma parcial de los autosomas, sin otra especificacin"
"Q93" "Q93   Monosomas y supresiones de los autosomas, no  clasificadas en otra parte"
"Q930" "Q930   Monosoma completa de un cromosoma, por falta de disyuncin meitica"
"Q931" "Q931   Monosoma completa de un cromosoma, mosaico (por falta de disyuncin mittica)"
"Q932" "Q932   Cromosoma reemplazado por anillo o dicntrico"
"Q933" "Q933   Supresin del brazo corto del cromosoma 4"
"Q934" "Q934   Supresin del brazo corto del cromosoma 5"
"Q935" "Q935   Otras supresiones de parte de un cromosoma"
"Q936" "Q936   Supresiones visibles slo en la prometafase"
"Q937" "Q937   Supresiones con otros reordenamientos complejos"
"Q938" "Q938   Otras supresiones de los autosomas"
"Q939" "Q939   Supresin de los autosomas, no especificada"
"Q95" "Q95   Reordenamientos equilibrados y marcadores estructurales, no clasificados en otra parte"
"Q950" "Q950   Translocacin equilibrada e insercin en individuo normal"
"Q951" "Q951   Inversin cromosmica en individuo normal"
"Q952" "Q952   Reordenamiento autosmico equilibrado en individuo anormal"
"Q953" "Q953   Reordenamiento autosmico/sexual equilibrado en individuo anormal"
"Q954" "Q954   Individuos con heterocromatina marcadora"
"Q955" "Q955   Individuos con sitio frgil autosmico"
"Q958" "Q958   Otros reordenamientos equilibrados y marcadores estructurales"
"Q959" "Q959   Reordenamiento equilibrado y marcador estructural, sin otra especificacin"
"Q96" "Q96   Sndrome de Turner"
"Q960" "Q960   Cariotipo 45,X"
"Q961" "Q961   Cariotipo 46,X iso (Xq)"
"Q962" "Q962   Cariotipo 46,X con cromosoma sexual anormal excepto iso (Xq)"
"Q963" "Q963   Mosaico 45, X/46,XX o XY"
"Q964" "Q964   Mosaico 45,X/otra(s) lnea(s) celular(es) con cromosoma sexual anormal"
"Q968" "Q968   Otras variantes del sndrome de Turner"
"Q969" "Q969   Sndrome de Turner, no especificado"
"Q97" "Q97   Otras anomalas de los cromosomas sexuales, con fenotipo femenino, no clasificadas en otra parte"
"Q970" "Q970   Cariotipo 47, XXX"
"Q971" "Q971   Mujer con ms de tres cromosomas X"
"Q972" "Q972   Mosaico, lneas con nmero variable de cromosomas X"
"Q973" "Q973   Mujer con cariotipo 46, XY"
"Q978" "Q978   Otras anomalas de los cromosomas  sexuales, con fenotipo femenino, especificadas"
"Q979" "Q979   Anomala de los cromosomas sexuales, con fenotipo femenino, sin otra especificacin"
"Q98" "Q98   Otras anomalas de los cromosomas sexuales, con fenotipo masculino, no clasificadas en otra parte"
"Q980" "Q980   Sndrome de Klinefelter, cariotipo 47, XXY"
"Q981" "Q981   Sndrome de Klinefelter, hombre con ms de dos cromosomas X"
"Q982" "Q982   Sndrome de Klinefelter, hombre con cariotipo 46, XX"
"Q983" "Q983   Otro hombre con cariotipo 46, XX"
"Q984" "Q984   Sndrome de Klinefelter, no especificado"
"Q985" "Q985   Cariotipo 47, XYY"
"Q986" "Q986   Hombre con cromosoma sexual estructuralmente anormal"
"Q987" "Q987   Hombre con mosaico de cromosomas sexuales"
"Q988" "Q988   Otras anomalas de los cromosomas sexuales, con fenotipo masculino, especificadas"
"Q989" "Q989   Anomala de los cromosomas sexuales, fenotipo masculino, sin otra especificacin"
"Q99" "Q99   Otras anomalas cromosmicas, no clasificadas en otra parte"
"Q990" "Q990   Quimera 46, XX/46, XY"
"Q991" "Q991   Hermafrodita verdadero 46, XX"
"Q992" "Q992   Cromosoma X frgil"
"Q998" "Q998   Otras anomalas de los cromosomas, especificadas"
"Q999" "Q999   Anomala cromosmica, no especificada"
"R00" "R00   Anormalidades del latido cardaco"
"R000" "R000   Taquicardia, no especificada"
"R001" "R001   Bradicardia, no especificada"
"R002" "R002   Palpitaciones"
"R008" "R008   Otras anormalidades del latido cardaco y las no especificadas"
"R01" "R01   Soplos y otros sonidos cardacos"
"R010" "R010   Soplos cardacos benignos o inocentes"
"R011" "R011   Soplo cardaco, no especificado"
"R012" "R012   Otros sonidos cardacos"
"R02" "R02   Gangrena, no clasificada en otra parte"
"R03" "R03   Lectura de presin sangunea anormal, sin diagnstico"
"R030" "R030   Lectura elevada de la presin sangunea, sin diagnstico de hipertensin"
"R031" "R031   Lectura de presin baja no especfica"
"R04" "R04   Hemorragia de las vas respiratorias"
"R040" "R040   Epistaxis"
"R041" "R041   Hemorragia de la garganta"
"R042" "R042   Hemoptisis"
"R048" "R048   Hemorragia de otros sitios de las vas respiratorias"
"R049" "R049   Hemorragia de las vas respiratorias, no especificada"
"R05" "R05   Tos"
"R06" "R06   Anormalidades de la respiracin"
"R060" "R060   Disnea"
"R061" "R061   Estridor"
"R062" "R062   Silbido"
"R063" "R063   Respiracin peridica"
"R064" "R064   Hiperventilacin"
"R065" "R065   Respiracin con la boca"
"R066" "R066   Hipo"
"R067" "R067   Estornudo"
"R068" "R068   Otras anormalidades de la respiracin y las no especificadas"
"R07" "R07   Dolor de garganta y en el pecho"
"R070" "R070   Dolor de garganta"
"R071" "R071   Dolor en el pecho al respirar"
"R072" "R072   Dolor precordial"
"R073" "R073   Otros dolores en el pecho"
"R074" "R074   Dolor en el pecho, no especificado"
"R09" "R09   Otros sntomas y signos que involucran los sistemas circulatorio y respiratorio"
"R090" "R090   Asfixia"
"R091" "R091   Pleuresa"
"R092" "R092   Paro respiratorio"
"R093" "R093   Esputo anormal"
"R098" "R098   Otros sntomas y signos especificados que involucran los sistemas circulatorio y respiratorio"
"R10" "R10   Dolor abdominal y plvico"
"R100" "R100   Abdomen agudo"
"R101" "R101   Dolor abdominal localizado en parte superior"
"R102" "R102   Dolor plvico y perineal"
"R103" "R103   Dolor localizado en otras partes inferiores del abdomen"
"R104" "R104   Otros dolores abdominales y los no especificados"
"R11" "R11   Nusea y vmito"
"R12" "R12   Acidez"
"R13" "R13   Disfagia"
"R14" "R14   Flatulencia y afecciones afines"
"R15" "R15   Incontinencia fecal"
"R16" "R16   Hepatomegalia y esplenomegalia, no clasificadas en otra parte"
"R160" "R160   Hepatomegalia, no clasificada en otra parte"
"R161" "R161   Esplenomegalia, no clasificada en otra parte"
"R162" "R162   Hepatomegalia con esplenomegalia, no clasificadas en otra parte"
"R17" "R17   Ictericia no especificada"
"R18" "R18   Ascitis"
"R19" "R19   Otros sntomas y signos que involucran el sistema digestivo y el abdomen"
"R190" "R190   Tumefaccin, masa o prominencia intraabdominal y plvica"
"R191" "R191   Sonidos intestinales anormales"
"R192" "R192   Peristalsis visible"
"R193" "R193   Rigidez abdominal"
"R194" "R194   Cambios en los hbitos intestinales"
"R195" "R195   Otras anormalidades fecales"
"R196" "R196   Halitosis"
"R198" "R198   Otros sntomas y signos especificados que involucran el sistema digestivo y el abdomen"
"R20" "R20   Alteraciones de la sensibilidad cutnea"
"R200" "R200   Anestesia de la piel"
"R201" "R201   Hipoestesia de la piel"
"R202" "R202   Parestesia de la piel"
"R203" "R203   Hiperestesia"
"R208" "R208   Otras alteraciones de la sensibilidad cutnea y las no especificadas"
"R21" "R21   Salpullido y otras erupciones cutneas no especificadas"
"R22" "R22   Tumefaccin, masa  o prominencia de la piel y del tejido subcutneo localizados"
"R220" "R220   Tumefaccin, masa o prominencia localizada en la cabeza"
"R221" "R221   Tumefaccin, masa o prominencia localizada en el cuello"
"R222" "R222   Tumefaccin, masa o prominencia localizada en el tronco"
"R223" "R223   Tumefaccin, masa o prominencia localizada en el miembro superior"
"R224" "R224   Tumefaccin, masa o prominencia localizada en el miembro inferior"
"R227" "R227   Tumefaccin, masa o prominencia localizada en sitios mltiples"
"R229" "R229   Tumefaccin, masa o prominencia localizada en parte no especificada"
"R23" "R23   Otros cambios en la piel"
"R230" "R230   Cianosis"
"R231" "R231   Palidez"
"R232" "R232   Rubor"
"R233" "R233   Equimosis espontnea"
"R234" "R234   Cambios en la textura de la piel"
"R238" "R238   Otros cambios de la piel y los no especificados"
"R25" "R25   Movimientos involuntarios anormales"
"R250" "R250   Movimientos anormales de la cabeza"
"R251" "R251   Temblor no especificado"
"R252" "R252   Calambres y espasmos"
"R253" "R253   Fasciculacin"
"R258" "R258   Otros movimientos anormales involuntarios y los no especificados"
"R26" "R26   Anormalidades de la marcha y de la movilidad"
"R260" "R260   Marcha atxica"
"R261" "R261   Marcha paraltica"
"R262" "R262   Dificultad para caminar, no clasificada en otra parte"
"R263" "R263   Inmovilidad"
"R268" "R268   Otras anormalidades de la marcha y de la movilidad y las no especificadas"
"R27" "R27   Otras fallas de coordinacin"
"R270" "R270   Ataxia, no especificada"
"R278" "R278   Otras fallas de la coordinacin y las no especificadas"
"R29" "R29   Otros sntomas y signos que involucran los sistemas nervioso y osteomuscular"
"R290" "R290   Tetania"
"R291" "R291   Meningismo"
"R292" "R292   Reflejos anormales"
"R293" "R293   Postura anormal"
"R294" "R294   Chasquido de la cadera"
"R296" "R296   Tendencia a caer, no clasificada en otra parte"
"R298" "R298   Otros sntomas y signos que involucran los sistemas nervioso y osteomuscular y los no especificados"
"R30" "R30   Dolor asociado con la miccin"
"R300" "R300   Disuria"
"R301" "R301   Tenesmo vesical"
"R309" "R309   Miccin dolorosa, no especificada"
"R31" "R31   Hematuria, no especificada"
"R32" "R32   Incontinencia urinaria, no especificada"
"R33" "R33   Retencin de orina"
"R34" "R34   Anuria y oliguria"
"R35" "R35   Poliuria"
"R36" "R36   Descarga uretral"
"R39" "R39   Otros sntomas y signos que involucran el sistema urinario"
"R390" "R390   Extravasacin de la orina"
"R391" "R391   Otras dificultades de la miccin"
"R392" "R392   Uremia extrarrenal"
"R398" "R398   Otros sntomas y signos que involucran el sistema urinario y los no especificados"
"R40" "R40   Somnolencia, estupor y coma"
"R400" "R400   Somnolencia"
"R401" "R401   Estupor"
"R402" "R402   Coma, no especificado"
"R41" "R41   Otros sntomas y signos que involucran la funcin cognoscitiva y la conciencia"
"R410" "R410   Desorientacin no especificada"
"R411" "R411   Amnesia antergrada"
"R412" "R412   Amnesia retrgrada"
"R413" "R413   Otra amnesia"
"R418" "R418   Otros sntomas y signos que involucran la funcin cognoscitiva y la conciencia y los no especificados"
"R42" "R42   Mareo y desvanecimiento"
"R43" "R43   Trastornos del olfato y del gusto"
"R430" "R430   Anosmia"
"R431" "R431   Parosmia"
"R432" "R432   Parageusia"
"R438" "R438   Otras alteraciones del gusto y del olfato y las no especificadas"
"R44" "R44   Otros sntomas y signos que involucran las sensaciones y percepciones generales"
"R440" "R440   Alucinaciones auditivas"
"R441" "R441   Alucinaciones visuales"
"R442" "R442   Otras alucinaciones"
"R443" "R443   Alucinaciones, no especificadas"
"R448" "R448   Otros sntomas y signos que involucran las sensaciones y percepciones generales y los no especificados"
"R45" "R45   Sntomas y signos que involucran el estado emocional"
"R450" "R450   Nerviosismo"
"R451" "R451   Inquietud y agitacin"
"R452" "R452   Infelicidad"
"R453" "R453   Desmoralizacin y apata"
"R454" "R454   Irritabilidad y enojo"
"R455" "R455   Hostilidad"
"R456" "R456   Violencia fsica"
"R457" "R457   Tensin y estado de choque emocional, no especificado"
"R458" "R458   Otros sntomas y signos que involucran el estado emocional"
"R46" "R46   Sntomas y signos que involucran la apariencia y el comportamiento"
"R460" "R460   Muy bajo nivel de higiene personal"
"R461" "R461   Apariencia personal extraa"
"R462" "R462   Conducta extraa e inexplicable"
"R463" "R463   Hiperactividad"
"R464" "R464   Lentitud y pobre respuesta"
"R465" "R465   Suspicacia y evasividad marcadas"
"R466" "R466   Preocupacin indebida por sucesos que causan tensin"
"R467" "R467   Verbosidad y detalles circunstanciales que oscurecen la razn de la consulta o el contacto"
"R468" "R468   Otros sntomas y signos que involucran la apariencia y el comportamiento"
"R47" "R47   Alteraciones del habla, no clasificadas en otra parte"
"R470" "R470   Disfasia y afasia"
"R471" "R471   Disartria y anartria"
"R478" "R478   Otras alteraciones del habla y las no especificadas"
"R48" "R48   Dislexia y otras disfunciones simblicas, no clasificadas en otra parte"
"R480" "R480   Dislexia y alexia"
"R481" "R481   Agnosia"
"R482" "R482   Apraxia"
"R488" "R488   Otras disfunciones simblicas y las no especificadas"
"R49" "R49   Alteraciones de la voz"
"R490" "R490   Disfona"
"R491" "R491   Afona"
"R492" "R492   Hipernasalidad e hiponasalidad"
"R498" "R498   Otras alteraciones de la voz y las no especificadas"
"R50" "R50   Fiebre de otro origen y de origen desconocido"
"R500" "R500   Fiebre con escalofro"
"R501" "R501   Fiebre persistente"
"R502" "R502   Fiebre inducida por drogas"
"R508" "R508   Otras fiebres especificadas"
"R509" "R509   Fiebre, no especificada"
"R51" "R51   Cefalea"
"R52" "R52   Dolor, no clasificado en otra parte"
"R520" "R520   Dolor agudo"
"R521" "R521   Dolor crnico intratable"
"R522" "R522   Otro dolor crnico"
"R529" "R529   Dolor, no especificado"
"R53" "R53   Malestar y fatiga"
"R54" "R54   Senilidad"
"R55" "R55   Sncope y colapso"
"R56" "R56   Convulsiones, no clasificadas en otra parte"
"R560" "R560   Convulsiones febriles"
"R568" "R568   Otras convulsiones y las no especificadas"
"R57" "R57   Choque, no clasificado en otra parte"
"R570" "R570   Choque cardiognico"
"R571" "R571   Choque hipovolmico"
"R572" "R572   Choque sptico"
"R578" "R578   Otras formas de choque"
"R579" "R579   Choque, no especificado"
"R58" "R58   Hemorragia, no clasificada en otra parte"
"R59" "R59   Adenomegalia"
"R590" "R590   Adenomegalia localizada"
"R591" "R591   Adenomegalia generalizada"
"R599" "R599   Adenomegalia, no especificada"
"R60" "R60   Edema, no clasificado en otra parte"
"R600" "R600   Edema localizado"
"R601" "R601   Edema generalizado"
"R609" "R609   Edema, no especificado"
"R61" "R61   Hiperhidrosis"
"R610" "R610   Hiperhidrosis localizada"
"R611" "R611   Hiperhidrosis generalizada"
"R619" "R619   Hiperhidrosis, no especificada"
"R62" "R62   Falta del desarrollo fisiolgico normal esperado"
"R620" "R620   Retardo del desarrollo"
"R628" "R628   Otras faltas del desarrollo fisiolgico normal esperado"
"R629" "R629   Falta del desarrollo fisiolgico normal esperado, sin otra especificacin"
"R63" "R63   Sntomas y signos concernientes a la alimentacin y a la ingestin de lquidos"
"R630" "R630   Anorexia"
"R631" "R631   Polidipsia"
"R632" "R632   Polifagia"
"R633" "R633   Dificultades y mala administracin de la alimentacin"
"R634" "R634   Prdida anormal de peso"
"R635" "R635   Aumento anormal de peso"
"R636" "R636   Ingesta insuficiente de alimentos y agua debida a descuido personal"
"R638" "R638   Otros sntomas y signos concernientes a la alimentacin y a la ingestin de lquidos"
"R64" "R64   Caquexia"
"R65" "R65   Sndrome de respuesta inflamatoria sistmica"
"R650" "R650   Sndrome de respuesta inflamatoria sistmica de origen infeccioso, sin falla orgnica"
"R651" "R651   Sndrome de respuesta inflamatoria sistmica de origen infeccioso, con falla orgnica"
"R652" "R652   Sndrome de respuesta inflamatoria sistmica de origen no infeccioso, sin falla orgnica"
"R653" "R653   Sndrome de respuesta inflamatoria sistmica de origen no infeccioso, con falla orgnica"
"R659" "R659   Sndrome de respuesta inflamatoria sistmica, no especificado"
"R68" "R68   Otros sntomas y signos generales"
"R680" "R680   Hipotermia no asociada con baja temperatura del ambiente"
"R681" "R681   Sntomas no especficos propios de la infancia"
"R682" "R682   Boca seca, no especificada"
"R683" "R683   Dedos de la mano deformes"
"R688" "R688   Otros sntomas y signos generales especificados"
"R69" "R69   Causas de morbilidad desconocidas y no especificadas"
"R70" "R70   Velocidad de eritrosedimentacin elevada y otras anormalidades de la viscosidad del plasma"
"R700" "R700   Velocidad de eritrosedimentacin elevada"
"R701" "R701   Viscosidad plasmtica anormal"
"R71" "R71   Anormalidad de los eritrocitos"
"R72" "R72   Anormalidades de los leucocitos, no clasificadas en otra parte"
"R73" "R73   Nivel elevado de glucosa en sangre"
"R730" "R730   Anormalidades en la prueba de tolerancia a la glucosa"
"R739" "R739   Hiperglicemia, no especificada"
"R74" "R74   Nivel anormal de enzimas en suero"
"R740" "R740   Elevacin de los niveles de transaminasas o deshidrogenasa lctica [DHL]"
"R748" "R748   Niveles anormales de otras enzimas en suero"
"R749" "R749   Nivel anormal de enzimas en suero, no especificado"
"R75" "R75   Evidencias de laboratorio del virus de la inmunodeficiencia humana [VIH]"
"R76" "R76   Otros hallazgos inmunolgicos anormales en suero"
"R760" "R760   Titulacin elevada de anticuerpos"
"R761" "R761   Reaccin anormal a la prueba con tuberculina"
"R762" "R762   Falso positivo en la prueba serolgica para sfilis"
"R768" "R768   Otros hallazgos inmunolgicos anormales especificados en suero"
"R769" "R769   Hallazgos inmunolgicos anormales no especificados en suero"
"R77" "R77   Otras anormalidades de las protenas plasmticas"
"R770" "R770   Anormalidad de la albmina"
"R771" "R771   Anormalidad de la globulina"
"R772" "R772   Anormalidad de la alfafetoprotena"
"R778" "R778   Otras anormalidades especificadas de las protenas plasmticas"
"R779" "R779   Anormalidades no especificadas de las protenas plasmticas"
"R78" "R78   Hallazgo de drogas y otras sustancias que normalmente no se encuentran en la sangre"
"R780" "R780   Hallazgo de alcohol en la sangre"
"R781" "R781   Hallazgo de drogas opiceas en la sangre"
"R782" "R782   Hallazgo de cocana en la sangre"
"R783" "R783   Hallazgo de alucingenos en la sangre"
"R784" "R784   Hallazgo de otras drogas potencialmente adictivas en la sangre"
"R785" "R785   Hallazgo de drogas psicotrpicas en la sangre"
"R786" "R786   Hallazgo de agentes esteroides en la sangre"
"R787" "R787   Hallazgo de niveles anormales de metales pesados en la sangre"
"R788" "R788   Hallazgo de otras sustancias especificadas que normalmente no se encuentran en la sangre"
"R789" "R789   Hallazgo de sustancia no especificada que normalmente no se encuentra en la sangre"
"R79" "R79   Otros hallazgos anormales en la qumica sangunea"
"R790" "R790   Nivel anormal de mineral en la sangre"
"R798" "R798   Otros hallazgos anormales especificados en la qumica sangunea"
"R799" "R799   Hallazgo anormal en la qumica sangunea, sin otra especificacin"
"R80" "R80   Proteinuria aislada"
"R81" "R81   Glucosuria"
"R82" "R82   Otros hallazgos anormales en la orina"
"R820" "R820   Quiluria"
"R821" "R821   Mioglobinuria"
"R822" "R822   Biliuria"
"R823" "R823   Hemoglobinuria"
"R824" "R824   Acetonuria"
"R825" "R825   Elevacin de los niveles de drogas, medicamentos y sustancias biolgicas en la orina"
"R826" "R826   Niveles anormales en la orina de sustancias de origen principalmente no medicinal"
"R827" "R827   Hallazgos anormales en el examen microbiolgico de la orina"
"R828" "R828   Hallazgos anormales en el examen citolgico e histolgico de la orina"
"R829" "R829   Otros hallazgos anormales en la orina y los no especificados"
"R83" "R83   Hallazgos anormales en el lquido cefalorraqudeo"
"R830" "R830   Hallazgos anormales en el lquido cefalorraqudeo, nivel anormal de enzimas"
"R831" "R831   Hallazgos anormales en el lquido cefalorraqudeo, nivel anormal de hormonas"
"R832" "R832   Hallazgos anormales en el lquido cefalorraqudeo, nivel anormal de otras drogas, medicamentos y sustancias biolgicas"
"R833" "R833   Hallazgos anormales en el lquido cefalorraqudeo, nivel anormal de sustancias de origen fundamentalmente no medicinal"
"R834" "R834   Hallazgos anormales en el lquido cefalorraqudeo, hallazgos inmunolgicos anormales"
"R835" "R835   Hallazgos anormales en el lquido cefalorraqudeo, hallazgos microbiolgicos anormales, hallazgos positivos  en el cultivo"
"R836" "R836   Hallazgos anormales en el lquido cefalorraqudeo, hallazgos citolgicos anormales, Frotis anormal de Papanicolaou"
"R837" "R837   Hallazgos anormales en el lquido cefalorraqudeo, hallazgos histolgicos anormales"
"R838" "R838   Hallazgos anormales en el lquido cefalorraqudeo, otros hallazgos anormales, hallazgos cromosmicos anormales"
"R839" "R839   Hallazgos anormales en el lquido cefalorraqudeo, hallazgos anormales no especificados"
"R84" "R84   Hallazgos anormales en muestras tomadas de rganos respiratorios y torcicos"
"R840" "R840   Hallazgos anormales en muestras tomadas de rganos respiratorios y torcicos, nivel anormal de enzimas"
"R841" "R841   Hallazgos anormales en muestras tomadas de rganos respiratorios y torcicos, nivel anormal de hormonas"
"R842" "R842   Hallazgos anormales en muestras tomadas de rganos respiratorios y torcicos,nivel anormal de otras drogas, medicamentos y sustancias biolgicas"
"R843" "R843   Hallazgos anormales en muestras tomadas de rganos respiratorios y torcicos, nivel anormal de sustancias de origen fundamentalmente no medicinal"
"R844" "R844   Hallazgos anormales en muestras tomadas de rganos respiratorios y torcicos, hallazgos inmunolgicos anormales"
"R845" "R845   Hallazgos anormales en muestras tomadas de rganos respiratorios y torcicos, hallazgos microbiolgicos anormales, hallazgos positivos en el cultivo"
"R846" "R846   Hallazgos anormales  en muestras tomadas de rganos respiratorios y torcicos, hallazgos citolgicos anormales, Frotis anormal de Papanicolaou"
"R847" "R847   Hallazgos anormales en muestras tomadas de rganos respiratorios y torcicos, hallazgos histolgicos anormales"
"R848" "R848   Hallazgos anormales  en muestras tomadas de rganos respiratorias y torcicos otros hallazgos anormales, hallazgos cromosmicos anormales"
"R849" "R849   Hallazgos anormales en muestras tomadas de rganos respiratorios y torcicos, hallazgos anormales no especificados"
"R85" "R85   Hallazgos anormales en muestras tomadas de rganos digestivos y de la cavidad abdominal"
"R850" "R850   Hallazgos anormales en muestras tomadas de rganos digestivos y de la cavidad abdominal, nivel anormal de enzimas"
"R851" "R851   Hallazgos anormales en muestras tomadas de rganos digestivos y de la cavidad abdominal, nivel anormal de hormonas"
"R852" "R852   Hallazgos anormales en muestras tomadas de rganos digesivos y de la cavidad abdominal, nivel anormal de otras drogas, medicamentos y sustancias biolgicas"
"R853" "R853   Hallazgos anormales en muestras tomadas de rganos digestivos y de la cavidad abdominal, nivel anormal de sustancias de origen fundamentalmente no medicinal"
"R854" "R854   Hallazgos  anormales en muestras tomadas  de rganos digestivos y de la cavidad abdominal, hallazgos inmunolgicos anormales"
"R855" "R855   Hallazgos anormales en muestras tomadas de rganos digestivos y de la cavidad abdominal, hallazgos microbiolgicos anormales, hallazgos positivos en el cultivo"
"R856" "R856   Hallazgos  anormales en muestras tomadas de rganos  digestivos y de la cavidad abdominal, hallazgos citolgicos anormales, frotis anormal de Papanicolaou"
"R857" "R857   Hallazgos anormales en muestras tomadas de rganos digestivos y de la cavidad abdominal, hallazgos histolgicos  anormales"
"R858" "R858   Hallazgos anormales  en muestras tomadas de rganos  digestivos y de la cavidad abdominal, otros hallazgos  anormales, hallazgos cromosmicos  anormales"
"R859" "R859   Hallazgos anormales  en muestra tomadas de rganos digestivos y de la cavidad abdominal, hallazgos anormales no especificados"
"R86" "R86   Hallazgos anormales en muestras tomadas de rganos genitales masculinos"
"R860" "R860   Hallazgos anormales en muestras tomadas de rganos genitales masculinos, nivel anormal de enzimas"
"R861" "R861   Hallazgos anormales en muestras tomadas de rganos genitales masculinos, nivel anormal de hormonas"
"R862" "R862   Hallazgos anormales en muestras tomadas de rganos  genitales masculinos, nivel anormal de otras drogas, medicamentos y sustancias biolgicas"
"R863" "R863   Hallazgos anormales en muestras tomadas de rganos genitales masculinos, nivel anormal de sustancias de origen fundamentalmente no medicinal"
"R864" "R864   Hallazgos anormales en muestras tomadas de rganos genitales masculinos, hallazgos inmunolgicos anormales"
"R865" "R865   Hallazgos  anormales  en muestras tomadas de rganos genitales  masculinos, hallazgos microbiolgicos  anormales, hallazgos positivos en el cultivo"
"R866" "R866   Hallazgos anormales en muestras tomadas de rganos genitales masculinos, hallazgos citolgicos anormales, frotis anormal de Papanicolaou"
"R867" "R867   Hallazgos anormales en muestras tomadas de rganos genitales masculinos, hallazgos histolgicos anormales"
"R868" "R868   Hallazgos  anormales  en muestras tomadas de rganos  genitales masculinos, otros hallazgos anormales, hallazgos cromosmicos anormales"
"R869" "R869   Hallazgos anormales en muestras tomadas de rganos genitales masculinos, hallazgos anormales no especificados"
"R87" "R87   Hallazgos anormales en muestras tomadas de rganos genitales femeninos"
"R870" "R870   Hallazgos anormales en muestras tomadas de rganos genitales femeninos, nivel anormal de enzimas"
"R871" "R871   Hallazgos anormales en muestras tomadas de rganos genitales femeninos,  nivel anormal de hormonas"
"R872" "R872   Hallazgos anormales en muestras tomadas de rganos  genitales  femeninos,  nivel anormal de otras drogas, medicamentos y sustancias  biolgicas."
"R873" "R873   Hallazgos anormales en muestras tomadas de rganos genitales  femeninos, nivel anormal de sustancias de origen fundamentalmente no medicinal"
"R874" "R874   Hallazgos anormales en muestras tomadas de rganos genitales femeninos, hallazgos inmunolgicos anormales"
"R875" "R875   Hallazgos anormales en muestras tomadas de rganos  genitales  femeninos, hallazgos microbiolgicos anormales, hallazgos positivos en el cultivo"
"R876" "R876   Hallazgos anormales.en muestras tomadas de rganos genitales femeninos, hallazgos citolgicos anormales, Frotis anormal de Papanicolaou"
"R877" "R877   Hallazgos anormales en muestras tomadas de rganos genitales femeninos, hallazgos histolgicos anormales"
"R878" "R878   Hallazgos anormales en muestras tomadas de rganos genitales femeninos, otros hallazgos anormales, hallazgos cromosmicos anormales"
"R879" "R879   Hallazgos anormales en muestras tomadas de rganos genitales femeninos, hallazgos anormales, no especificados"
"R89" "R89   Hallazgos anormales en muestras tomadas de otros rganos, sistemas y tejidos"
"R890" "R890   Hallazgos anormales en muestras tomadas de otros rganos, sistemas y tejidos, nivel anormal de enzimas"
"R891" "R891   Hallazgos anormales en muestras tomadas de otros organos, sistemas y tejidos, nivel anormal de hormonas"
"R892" "R892   Hallazgos  anormales en muestras tomadas de otros rganos, sistemas y tejidos, nivel anormal de otras drogas, medicamentos y sustancias biolgicas"
"R893" "R893   Hallazgos anormales en muestras tomadas de otros rganos, sistemas y tejidos, nivel anormal de  sustancias de origen fundamentalmente no medicinal"
"R894" "R894   Hallazgos anormales en muestras tomadas de otros rganos, sistemas y tejidos, hallazgos inmunolgicos anormales"
"R895" "R895   Hallazgos anormales  en muestra tomadas de otros rganos , sistemas y tejidos, hallazgos microbiolgicos anormales, hallazgos positivos en el cultivo"
"R896" "R896   Hallazgos anormales  en muestra tomadas de otros rganos, sistemas y tejidos, hallazgos citolgicos anormales, frotis anormal de Papanicolaou"
"R897" "R897   Hallazgos anormales en muestras tomadas de otros rganos, sistemas y tejidos, hallazgos histolgicos anormales"
"R898" "R898   Hallazgos anormales en muestras tomadas de otros rganos, sistemas y tejidos, otros hallazgos anormales, hallazgos cromosmicos anormales"
"R899" "R899   Hallazgos anormales en muestras tomadas de otros rganos, sistemas y tejidos, hallazgos anormales no especificados."
"R90" "R90   Hallazgos anormales en diagnstico por imagen del sistema nervioso central"
"R900" "R900   Lesin que ocupa el espacio intracraneal"
"R908" "R908   Otros hallazgos anormales en diagnstico por imagen del sistema nervioso central"
"R91" "R91   Hallazgos anormales en diagnstico por imagen del pulmn"
"R92" "R92   Hallazgos anormales en diagnstico por imagen de la mama"
"R93" "R93   Hallazgos anormales en diagnstico por imagen de otras estructuras del cuerpo"
"R930" "R930   Hallazgos anormales en diagnstico por imagen del crneo y de la cabeza, no clasificados en otra parte"
"R931" "R931   Hallazgos anormales en diagnstico por imagen del corazn y de la circulacin coronaria"
"R932" "R932   Hallazgos anormales en diagnstico por imagen del hgado y de las vas biliares"
"R933" "R933   Hallazgos anormales en diagnstico por imagen de otras partes de las vas digestivas"
"R934" "R934   Hallazgos anormales en diagnstico por imagen de los rganos urinarios"
"R935" "R935   Hallazgos anormales en diagnstico por imagen de otras regiones abdominales, incluido el retroperitoneo"
"R936" "R936   Hallazgos anormales en diagnstico por imagen de los miembros"
"R937" "R937   Hallazgos anormales en diagnstico por imagen de otras partes del sistema osteomuscular"
"R938" "R938   Hallazgos anormales en diagnstico por imagen de otras estructuras especificadas del cuerpo"
"R94" "R94   Resultados anormales de estudios funcionales"
"R940" "R940   Resultados anormales en estudios funcionales del sistema nervioso central"
"R941" "R941   Resultados anormales en estudios funcionales del sistema nervioso perifrico y sentidos especiales"
"R942" "R942   Resultados anormales en estudios funcionales del pulmn"
"R943" "R943   Resultados anormales en estudios funcionales cardiovasculares"
"R944" "R944   Resultados anormales en estudios funcionales del rin"
"R945" "R945   Resultados anormales en estudios funcionales del hgado"
"R946" "R946   Resultados anormales en estudios funcionales de la tiroides"
"R947" "R947   Resultados anormales en otros estudios funcionales endocrinos"
"R948" "R948   Resultados anormales en los estudios funcionales de otros rganos y sistemas"
"R95" "R95   Sndrome de la muerte sbita infantil"
"R950" "R950   Sndrome de la muerte sbita infantil, con mencin de autopsia"
"R959" "R959   Sndrome de la muerte sbita infantil, sin mencin de autopsia"
"R96" "R96   Otras muertes sbitas de causa desconocida"
"R960" "R960   Muerte instantnea"
"R961" "R961   Muerte que ocurre en menos de 24 horas del inicio de los sntomas, no explicada de otra forma"
"R98" "R98   Muerte sin asistencia"
"R99" "R99   Otras causas mal definidas y las no especificadas de mortalidad"
"S00" "S00   Traumatismo superficial de la cabeza"
"S000" "S000   Traumatismo superficial del cuero cabelludo"
"S001" "S001   Contusin de los prpados y de la regin periocular"
"S002" "S002   Otros traumatismos superficiales del prpado y de la regin periocular"
"S003" "S003   Traumatismo superficial de la nariz"
"S004" "S004   Traumatismo superficial del odo"
"S005" "S005   Traumatismo superficial del labio y de la cavidad bucal"
"S007" "S007   Traumatismos superficiales mltiples de la cabeza"
"S008" "S008   Traumatismo superficial de otras partes de la cabeza"
"S009" "S009   Traumatismo superficial de la cabeza, parte no especificada"
"S01" "S01   Herida de la cabeza"
"S010" "S010   Herida del cuero cabelludo"
"S011" "S011   Herida del prpado y de la regin periocular"
"S012" "S012   Herida de la nariz"
"S013" "S013   Herida del odo"
"S014" "S014   Herida de la mejilla y de la regin temporomandibular"
"S015" "S015   Herida del labio y de la cavidad bucal"
"S017" "S017   Heridas mltiples de la cabeza"
"S018" "S018   Herida de otras partes de la cabeza"
"S019" "S019   Herida de la cabeza, parte no especificada"
"S02" "S02   Fractura de huesos del crneo y de la cara"
"S020" "S020   Fractura de la bveda del crneo"
"S0200" "S0200   Fractura de la bveda del crneo, cerrada"
"S0201" "S0201   Fractura de la bveda del crneo, abierta"
"S021" "S021   Fractura de la base del crneo"
"S0210" "S0210   Fractura de la base del crneo, cerrada"
"S0211" "S0211   Fractura de la base del crneo, abierta"
"S022" "S022   Fractura de los huesos de la nariz"
"S0220" "S0220   Fractura de los huesos de la nariz, cerrada"
"S0221" "S0221   Fractura de los huesos de la nariz, abierta"
"S023" "S023   Fractura del suelo de la rbita"
"S0230" "S0230   Fractura del suelo de la rbita, cerrada"
"S0231" "S0231   Fractura del suelo de la rbita, abierta"
"S024" "S024   Fractura del malar y del hueso maxilar superior"
"S0240" "S0240   Fractura del malar y del hueso maxilar superior, cerrada"
"S0241" "S0241   Fractura del malar y del hueso maxilar superior, abierta"
"S025" "S025   Fractura de los dientes"
"S0250" "S0250   Fractura de los dientes, cerrada"
"S0251" "S0251   Fractura de los dientes, abierta"
"S026" "S026   Fractura del maxilar inferior"
"S0260" "S0260   Fractura del maxilar inferior, cerrada"
"S0261" "S0261   Fractura del maxilar inferior, abierta"
"S027" "S027   Fracturas mltiples que comprometen el crneo y los huesos de la cara"
"S0270" "S0270   Fracturas mltiples que comprometen el crneo y los huesos de la cara, cerrada"
"S0271" "S0271   Fracturas mltiples que comprometen el crneo y los huesos de la cara, abierta"
"S028" "S028   Fractura de otros huesos del crneo y de la cara"
"S0280" "S0280   Fractura de otros huesos del crneo y de la cara, cerrada"
"S0281" "S0281   Fractura de otros huesos del crneo y de la cara, abierta"
"S029" "S029   Fractura del crneo y de los huesos de la cara, parte no especificada"
"S0290" "S0290   Fractura del crneo y de los huesos de la cara, parte no especificada, cerrada"
"S0291" "S0291   Fractura del crneo y de los huesos de la cara, parte no especificada, abierta"
"S03" "S03   Luxacin, esguince y torcedura de articulaciones y de ligamentos de la cabeza"
"S030" "S030   Luxacin del maxilar"
"S031" "S031   Luxacin del cartlago septal de la nariz"
"S032" "S032   Luxacin de diente"
"S033" "S033   Luxacin de otras partes y de las no especificadas de la cabeza"
"S034" "S034   Esguinces y torceduras del maxilar"
"S035" "S035   Esguinces y torceduras de articulaciones y ligamentos de otras partes y las no especificadas de la cabeza"
"S04" "S04   Traumatismo de nervios craneales"
"S040" "S040   Traumatismo del nervio ptico [II par] y de las vas pticas"
"S041" "S041   Traumatismo del nervio motor ocular comn [III par]"
"S042" "S042   Traumatismo del nervio pattico [IV par]"
"S043" "S043   Traumatismo del nervio trigmino [V par]"
"S044" "S044   Traumatismo del nervio motor ocular externo [VI par]"
"S045" "S045   Traumatismo del nervio facial [VII par]"
"S046" "S046   Traumatismo del nervio acstico [VIII par]"
"S047" "S047   Traumatismo del nervio espinal [XI par]"
"S048" "S048   Traumatismo de otros nervios craneales"
"S049" "S049   Traumatismo de nervios craneales, no especificado"
"S05" "S05   Traumatismo del ojo y de la rbita"
"S050" "S050   Traumatismo de la conjuntiva y abrasin corneal sin mencin de cuerpo extrao"
"S051" "S051   Contusin del globo ocular y del tejido orbitario"
"S052" "S052   Laceracin y ruptura ocular con prolapso o prdida del tejido intraocular"
"S053" "S053   Laceracin ocular sin prolapso o prdida del tejido intraocular"
"S054" "S054   Herida penetrante de la rbita con o sin cuerpo extrao"
"S055" "S055   Herida penetrante del globo ocular con cuerpo extrao"
"S056" "S056   Herida penetrante del globo ocular sin cuerpo extrao"
"S057" "S057   Avulsin de ojo"
"S058" "S058   Otros traumatismos del ojo y de la rbita"
"S059" "S059   Traumatismo del ojo y de la rbita, no especificado"
"S06" "S06   Traumatismo intracraneal"
"S060" "S060   Concusin"
"S0600" "S0600   Concusin, sin herida intracraneal"
"S0601" "S0601   Concusin, con herida intracraneal"
"S061" "S061   Edema cerebral traumtico"
"S0610" "S0610   Edema cerebral traumtico, sin herida intracraneal"
"S0611" "S0611   Edema cerebral traumtico, con herida intracraneal"
"S062" "S062   Traumatismo cerebral difuso"
"S0620" "S0620   Traumatismo cerebral difuso, sin herida intracraneal"
"S0621" "S0621   Traumatismo cerebral difuso, con herida intracraneal"
"S063" "S063   Traumatismo cerebral focal"
"S0630" "S0630   Traumatismo cerebral focal, sin herida intracraneal"
"S0631" "S0631   Traumatismo cerebral focal, con herida intracraneal"
"S064" "S064   Hemorragia epidural"
"S0640" "S0640   Hemorragia epidural, sin herida intracraneal"
"S0641" "S0641   Hemorragia epidural, con herida intracraneal"
"S065" "S065   Hemorragia subdural traumtica"
"S0650" "S0650   Hemorragia subdural traumtica, sin herida intracraneal"
"S0651" "S0651   Hemorragia subdural traumtica, con herida intracraneal"
"S066" "S066   Hemorragia subaracnoidea traumtica"
"S0660" "S0660   Hemorragia subaracnoidea traumtica, sin herida intracraneal"
"S0661" "S0661   Hemorragia subaracnoidea traumtica, con herida intracraneal"
"S067" "S067   Traumatismo intracraneal con coma prolongado"
"S0670" "S0670   Traumatismo intracraneal con coma prolongado, sin herida intracraneal"
"S0671" "S0671   Traumatismo intracraneal con coma prolongado, con herida intracraneal"
"S068" "S068   Otros traumatismos intracraneales"
"S0680" "S0680   Otros traumatismos intracraneales, sin herida intracraneal"
"S0681" "S0681   Otros traumatismos intracraneales, con herida intracraneal"
"S069" "S069   Traumatismo intracraneal, no especificado"
"S0690" "S0690   Traumatismo intracraneal, no especificado, sin herida intracraneal"
"S0691" "S0691   Traumatismo intracraneal, no especificado, con herida intracraneal"
"S07" "S07   Traumatismo por aplastamiento de la cabeza"
"S070" "S070   Traumatismo por aplastamiento de la cara"
"S071" "S071   Traumatismo por aplastamiento del crneo"
"S078" "S078   Traumatismo por aplastamiento de otras partes de la cabeza"
"S079" "S079   Traumatismo por aplastamiento de la cabeza, parte no especificada"
"S08" "S08   Amputacin traumtica de parte de la cabeza"
"S080" "S080   Avulsin del cuero cabelludo"
"S081" "S081   Amputacin traumtica de la oreja"
"S088" "S088   Amputacin traumtica de otras partes de la cabeza"
"S089" "S089   Amputacin traumtica de parte no especificada de la cabeza"
"S09" "S09   Otros traumatismos y los no especificados de la cabeza"
"S090" "S090   Traumatismo de los vasos sanguneos de la cabeza no clasificados en otra parte"
"S091" "S091   Traumatismo de tendn y msculos de la cabeza"
"S092" "S092   Ruptura traumtica del tmpano del odo"
"S097" "S097   Traumatismos mltiples de la cabeza"
"S098" "S098   Otros traumatismos de la cabeza, especificados"
"S099" "S099   Traumatismo de la cabeza, no especificado"
"S10" "S10   Traumatismo superficial del cuello"
"S100" "S100   Contusin de la garganta"
"S101" "S101   Otros traumatismos superficiales y los no especificados de la garganta"
"S107" "S107   Traumatismo superficial mltiple del cuello"
"S108" "S108   Traumatismo superficial de otras partes del cuello"
"S109" "S109   Traumatismo superficial del cuello, parte no especificada"
"S11" "S11   Herida del cuello"
"S110" "S110   Herida que compromete la laringe y la trquea"
"S111" "S111   Herida que compromete la glndula tiroides"
"S112" "S112   Herida que compromete la faringe y el esfago cervical"
"S117" "S117   Heridas mltiples del cuello"
"S118" "S118   Heridas de otras partes del cuello"
"S119" "S119   Herida de cuello, parte no especificada"
"S12" "S12   Fractura del cuello"
"S120" "S120   Fractura de la primera vrtebra cervical"
"S1200" "S1200   Fractura de la primera vrtebra cervical, cerrada"
"S1201" "S1201   Fractura de la primera vrtebra cervical, abierta"
"S121" "S121   Fractura de la segunda vrtebra cervical"
"S1210" "S1210   Fractura de la segunda vrtebra cervical, cerrada"
"S1211" "S1211   Fractura de la segunda vrtebra cervical, abierta"
"S122" "S122   Fractura de otras vrtebras cervicales especificadas"
"S1220" "S1220   Fractura de otras vrtebras cervicales especificadas, cerrada"
"S1221" "S1221   Fractura de otras vrtebras cervicales especificadas, abierta"
"S127" "S127   Fracturas mltiples de columna cervical"
"S1270" "S1270   Fracturas mltiples de columna cervical, cerrada"
"S1271" "S1271   Fracturas mltiples de columna cervical, abierta"
"S128" "S128   Fractura de otras partes del cuello"
"S1280" "S1280   Fractura de otras partes del cuello, cerrada"
"S1281" "S1281   Fractura de otras partes del cuello, abierta"
"S129" "S129   Fractura del cuello, parte no especificada"
"S1290" "S1290   Fractura del cuello, parte no especificada, cerrada"
"S1291" "S1291   Fractura del cuello, parte no especificada, abierta"
"S13" "S13   Luxacin, esguince y torcedura de articulaciones y ligamentos del cuello"
"S130" "S130   Ruptura traumtica de disco cervical intervertebral"
"S131" "S131   Luxacin de vrtebra cervical"
"S132" "S132   Luxaciones de otras partes y de las no especificadas del cuello"
"S133" "S133   Luxaciones mltiples del cuello"
"S134" "S134   Esguinces y torceduras de la columna cervical"
"S135" "S135   Esguinces y torceduras de la regin tiroidea"
"S136" "S136   Esguinces y torceduras de articulaciones y ligamentos de otros sitios especificados y de los no especificados del cuello"
"S14" "S14   Traumatismo de la mdula espinal y de nervios a nivel del cuello"
"S140" "S140   Concusin y edema de la mdula espinal cervical"
"S141" "S141   Otros traumatismos de la mdula espinal cervical y los no especificados"
"S142" "S142   Traumatismo de raz nerviosa de columna cervical"
"S143" "S143   Traumatismo del plexo braquial"
"S144" "S144   Traumatismo de nervios perifricos del cuello"
"S145" "S145   Traumatismo de nervios cervicales simpticos"
"S146" "S146   Traumatismo de otros nervios y de los no especificados del cuello"
"S15" "S15   Traumatismo de vasos sanguneos a nivel del cuello"
"S150" "S150   Traumatismo de la arteria cartida"
"S151" "S151   Traumatismo de la arteria vertebral"
"S152" "S152   Traumatismo de la vena yugular externa"
"S153" "S153   Traumatismo de la vena yugular interna"
"S157" "S157   Traumatismo de mltiples vasos sanguneos a nivel del cuello"
"S158" "S158   Traumatismo de otros vasos sanguneos a nivel del cuello"
"S159" "S159   Traumatismo de vasos sanguneos no especificados a nivel del cuello"
"S16" "S16   Traumatismo de tendn y msculos a nivel del cuello"
"S17" "S17   Traumatismo por aplastamiento del cuello"
"S170" "S170   Traumatismo por aplastamiento de la laringe y de la trquea"
"S178" "S178   Traumatismo por aplastamiento de otras partes del cuello"
"S179" "S179   Traumatismo por aplastamiento del cuello, parte no especificada"
"S18" "S18   Amputacin traumtica a nivel del cuello"
"S19" "S19   Otros traumatismos y los no especificados del cuello"
"S197" "S197   Traumatismos mltiples del cuello"
"S198" "S198   Otros traumatismos del cuello, especificados"
"S199" "S199   Traumatismo del cuello, no especificado"
"S20" "S20   Traumatismo superficial del trax"
"S200" "S200   Contusin de la mama"
"S201" "S201   Otros traumatismos superficiales y los no especificados de la mama"
"S202" "S202   Contusin del trax"
"S203" "S203   Otros traumatismos superficiales de la pared anterior del trax"
"S204" "S204   Otros traumatismos superficiales de la pared posterior del trax"
"S207" "S207   Traumatismos superficiales mltiples del trax"
"S208" "S208   Traumatismo superficial de otras partes y de las no especificadas del trax"
"S21" "S21   Herida del trax"
"S210" "S210   Herida de la mama"
"S211" "S211   Herida de la pared anterior del trax"
"S212" "S212   Herida de la pared posterior del trax"
"S217" "S217   Herida mltiple de la pared torcica"
"S218" "S218   Herida de otras partes del trax"
"S219" "S219   Herida del trax, parte no especificada"
"S22" "S22   Fractura de las costillas, del esternn y de la columna torcica [dorsal]"
"S220" "S220   Fractura de vrtebra torcica"
"S2200" "S2200   Fractura de vrtebra torcica, cerrada"
"S2201" "S2201   Fractura de vrtebra torcica, abierta"
"S221" "S221   Fracturas mltiples de columna torcica"
"S2210" "S2210   Fracturas mltiples de columna torcica, cerrada"
"S2211" "S2211   Fracturas mltiples de columna torcica, abierta"
"S222" "S222   Fractura del esternn"
"S2220" "S2220   Fractura del esternn, cerrada"
"S2221" "S2221   Fractura del esternn, abierta"
"S223" "S223   Fractura de costilla"
"S2230" "S2230   Fractura de costilla, cerrada"
"S2231" "S2231   Fractura de costilla, abierta"
"S224" "S224   Fracturas mltiples de costillas"
"S2240" "S2240   Fracturas mltiples de costillas, cerrada"
"S2241" "S2241   Fracturas mltiples de costillas, abierta"
"S225" "S225   Trax azotado"
"S2250" "S2250   Trax azotado, cerrada"
"S2251" "S2251   Trax azotado, abierta"
"S228" "S228   Fractura de otras partes del trax seo"
"S2280" "S2280   Fractura de otras partes del trax seo, cerrada"
"S2281" "S2281   Fractura de otras partes del trax seo, abierta"
"S229" "S229   Fractura del trax seo, parte no especificada"
"S2290" "S2290   Fractura del trax seo, parte no especificada, cerrada"
"S2291" "S2291   Fractura del trax seo, parte no especificada, abierta"
"S23" "S23   Luxacin, esguince y torcedura de articulaciones y ligamentos del trax"
"S230" "S230   Ruptura traumtica de disco intervertebral torcico"
"S231" "S231   Luxacin de vrtebra torcica"
"S232" "S232   Luxacin de otras partes y de las no especificadas del trax"
"S233" "S233   Esguinces y torceduras de columna torcica"
"S234" "S234   Esguinces y torceduras de costillas y esternn"
"S235" "S235   Esguinces y torceduras de otras partes y de las no especificadas del trax"
"S24" "S24   Traumatismo de nervios y de la mdula espinal a nivel del trax"
"S240" "S240   Concusin y edema de la mdula espinal torcica"
"S241" "S241   Otros traumatismos y los no especificados de la mdula espinal torcica"
"S242" "S242   Traumatismo de races nerviosas de la columna torcica"
"S243" "S243   Traumatismo de nervios perifricos del trax"
"S244" "S244   Traumatismo de nervios simpticos torcicos"
"S245" "S245   Traumatismo de otros nervios del trax"
"S246" "S246   Traumatismo de nervio no especificado del trax"
"S25" "S25   Traumatismo de vasos sanguneos del trax"
"S250" "S250   Traumatismo de la aorta torcica"
"S251" "S251   Traumatismo de la arteria innominada o subclavia"
"S252" "S252   Traumatismo de vena cava superior"
"S253" "S253   Traumatismo de la vena innominada o subclavia"
"S254" "S254   Traumatismo de vasos sanguneos pulmonares"
"S255" "S255   Traumatismo de vasos sanguneos intercostales"
"S257" "S257   Traumatismo de mltiples vasos sanguneos del trax"
"S258" "S258   Traumatismo de otros vasos sanguneos del trax"
"S259" "S259   Traumatismo de vasos sanguneos no especificados del trax"
"S26" "S26   Traumatismo del corazn"
"S260" "S260   Traumatismo del corazn con hemopericardio"
"S2600" "S2600   Traumatismo del corazn con hemopericardio, sin herida dentro de la cavidad torcica"
"S2601" "S2601   Traumatismo del corazn con hemopericardio, con herida dentro de la cavidad torcica"
"S268" "S268   Otros traumatismos del corazn"
"S2680" "S2680   Otros traumatismos del corazn, sin herida dentro de la cavidad torcica"
"S2681" "S2681   Otros traumatismos del corazn, con herida dentro de la cavidad torcica"
"S269" "S269   Traumatismo del corazn, no especificado"
"S2690" "S2690   Traumatismo del corazn, no especificado, sin herida dentro de la cavidad torcica"
"S2691" "S2691   Traumatismo del corazn, no especificado, con herida dentro de la cavidad torcica"
"S27" "S27   Traumatismo de otros rganos intratorcicos y de los no especificados"
"S270" "S270   Neumotrax traumtico"
"S2700" "S2700   Neumotrax traumtico, sin herida dentro de la cavidad torcica"
"S2701" "S2701   Neumotrax traumtico, con herida dentro de la cavidad torcica"
"S271" "S271   Hemotrax traumtico"
"S2710" "S2710   Hemotrax traumtico, sin herida dentro de la cavidad torcica"
"S2711" "S2711   Hemotrax traumtico, con herida dentro de la cavidad torcica"
"S272" "S272   Hemoneumotrax traumtico"
"S2720" "S2720   Hemoneumotrax traumtico, sin herida dentro de la cavidad torcica"
"S2721" "S2721   Hemoneumotrax traumtico, con herida dentro de la cavidad torcica"
"S273" "S273   Otros traumatismos del pulmn"
"S2730" "S2730   Otros traumatismos del pulmn, sin herida dentro de la cavidad torcica"
"S2731" "S2731   Otros traumatismos del pulmn, con herida dentro de la cavidad torcica"
"S274" "S274   Traumatismo de los bronquios"
"S2740" "S2740   Traumatismo de los bronquios, sin herida dentro de la cavidad torcica"
"S2741" "S2741   Traumatismo de los bronquios, con herida dentro de la cavidad torcica"
"S275" "S275   Traumatismo de la trquea torcica"
"S2750" "S2750   Traumatismo de la trquea torcica, sin herida dentro de la cavidad torcica"
"S2751" "S2751   Traumatismo de la trquea torcica, con herida dentro de la cavidad torcica"
"S276" "S276   Traumatismo de la pleura"
"S2760" "S2760   Traumatismo de la pleura, sin herida dentro de la cavidad torcica"
"S2761" "S2761   Traumatismo de la pleura, con herida dentro de la cavidad torcica"
"S277" "S277   Traumatismos mltiples de rganos intratorcicos"
"S2770" "S2770   Traumatismos mltiples de rganos intratorcicos, sin herida dentro de la cavidad torcica"
"S2771" "S2771   Traumatismos mltiples de rganos intratorcicos, con herida dentro de la cavidad torcica"
"S278" "S278   Traumatismo de otros rganos intratorcicos, especificados"
"S2780" "S2780   Traumatismo de otros rganos intratorcicos, especificados, sin herida dentro de la cavidad torcica"
"S2781" "S2781   Traumatismo de otros rganos intratorcicos, especificados, con herida dentro de la cavidad torcica"
"S279" "S279   Traumatismo de rgano intratorcico, no especificado"
"S2790" "S2790   Traumatismo de rgano intratorcico, no especificado, sin herida dentro de la cavidad torcica"
"S2791" "S2791   Traumatismo de rgano intratorcico, no especificado, con herida dentro de la cavidad torcica"
"S28" "S28   Traumatismo por aplastamiento del trax y amputacin traumtica de parte del trax"
"S280" "S280   Aplastamiento del trax"
"S281" "S281   Amputacin traumtica de parte del trax"
"S29" "S29   Otros traumatismos y los no especificados del trax"
"S290" "S290   Traumatismo de tendn y msculos a nivel del trax"
"S297" "S297   Traumatismos mltiples del trax"
"S298" "S298   Otros traumatismos del trax, especificados"
"S299" "S299   Traumatismo del trax, no especificado"
"S30" "S30   Traumatismo superficial del abdomen, de la regin lumbosacra y de la pelvis"
"S300" "S300   Contusin de la regin lumbosacra y de la pelvis"
"S301" "S301   Contusin de la pared abdominal"
"S302" "S302   Contusin de rganos genitales externos"
"S307" "S307   Traumatismos superficiales mltiples del abdomen, de la regin lumbosacra y de la pelvis"
"S308" "S308   Otros traumatismos superficiales del abdomen, de la regin lumbosacra y de la pelvis"
"S309" "S309   Traumatismo superficial del abdomen, de la regin lumbosacra y de la pelvis, parte no especificada"
"S31" "S31   Herida del abdomen, de la regin lumbosacra y de la pelvis"
"S310" "S310   Herida de la regin lumbosacra y de la pelvis"
"S311" "S311   Herida de la pared abdominal"
"S312" "S312   Herida del pene"
"S313" "S313   Herida del escroto y de los testculos"
"S314" "S314   Herida de la vagina y de la vulva"
"S315" "S315   Herida de otros rganos genitales externos y de los no especificados"
"S317" "S317   Heridas mltiples del abdomen, de la regin lumbosacra y de la pelvis"
"S318" "S318   Heridas de otras partes y de las no especificadas del abdomen"
"S32" "S32   Fractura de la columna lumbar y de la pelvis"
"S320" "S320   Fractura de vrtebra lumbar"
"S3200" "S3200   Fractura de vrtebra lumbar, cerrada"
"S3201" "S3201   Fractura de vrtebra lumbar, abierta"
"S321" "S321   Fractura del sacro"
"S3210" "S3210   Fractura del sacro, cerrada"
"S3211" "S3211   Fractura del sacro, abierta"
"S322" "S322   Fractura del cccix"
"S3220" "S3220   Fractura del cccix, cerrada"
"S3221" "S3221   Fractura del cccix, abierta"
"S323" "S323   Fractura del hueso iliaco"
"S3230" "S3230   Fractura del hueso iliaco, cerrada"
"S3231" "S3231   Fractura del hueso iliaco, abierta"
"S324" "S324   Fractura del acetbulo"
"S3240" "S3240   Fractura del acetbulo, cerrada"
"S3241" "S3241   Fractura del acetbulo, abierta"
"S325" "S325   Fractura del pubis"
"S3250" "S3250   Fractura del pubis, cerrada"
"S3251" "S3251   Fractura del pubis, abierta"
"S327" "S327   Fracturas mltiples de la columna lumbar y de la pelvis"
"S3270" "S3270   Fracturas mltiples de la columna lumbar y de la pelvis, cerrada"
"S3271" "S3271   Fracturas mltiples de la columna lumbar y de la pelvis, abierta"
"S328" "S328   Fractura de otras partes y de las no especificadas de la columna lumbar y de la pelvis"
"S3280" "S3280   Fractura de otras partes y de las no especificadas de la columna lumbar y de la pelvis, cerrada"
"S3281" "S3281   Fractura de otras partes y de las no especificadas de la columna lumbar y de la pelvis, abierta"
"S33" "S33   Luxacin, esguince y torcedura de articulaciones y ligamentos de la columna lumbar y de la pelvis"
"S330" "S330   Ruptura traumtica de disco intervertebral lumbar"
"S331" "S331   Luxacin de vrtebra lumbar"
"S332" "S332   Luxacin de articulacin sacrococcgea y sacroiliaca"
"S333" "S333   Luxacin de otras partes y de las no especificadas de la columna lumbar y de la pelvis"
"S334" "S334   Ruptura traumtica de la snfisis del pubis"
"S335" "S335   Esguinces y torceduras de la columna lumbar"
"S336" "S336   Esguinces y torceduras de la articulacin sacroiliaca"
"S337" "S337   Esguinces y torceduras de otras partes y de la no especificadas de la columna lumbar y de la pelvis"
"S34" "S34   Traumatismo de los nervios y de la mdula espinal lumbar, a nivel del abdomen, de la regin lumbosacra y de la pelvis"
"S340" "S340   Concusin y edema de la mdula espinal lumbar"
"S341" "S341   Otro traumatismo de la mdula espinal lumbar"
"S342" "S342   Traumatismo de raz nerviosa de la columna lumbar y sacra"
"S343" "S343   Traumatismo de la cola de caballo"
"S344" "S344   Traumatismo del plexo lumbosacro"
"S345" "S345   Traumatismo de nervios(s) simptico(s) lumbar(es),sacro(s) y plvico(s)"
"S346" "S346   Traumatismo de nervio(s) perifrico(s) del abdomen, de la regin lumbosacra y de la pelvis"
"S348" "S348   Traumatismo de otros nervios a nivel del abdomen, de la regin lumbosacra y de la pelvis y de los no especificados"
"S35" "S35   Traumatismo de vasos sanguneos a nivel del abdomen, de la regin lumbosacra y de la pelvis"
"S350" "S350   Traumatismo de la aorta abdominal"
"S351" "S351   Traumatismo de la vena cava inferior"
"S352" "S352   Traumatismo de arterias celacas y mesentricas"
"S353" "S353   Traumatismo de venas porta y esplnica"
"S354" "S354   Traumatismo de vasos sanguneos renales"
"S355" "S355   Traumatismo de vasos sanguneos iliacos"
"S357" "S357   Traumatismo de mltiples vasos sanguneos a nivel del abdomen, de la regin lumbosacra y de la pelvis"
"S358" "S358   Traumatismo de otros vasos sanguneos a nivel del abdomen, de la regin lumbosacra y de la pelvis"
"S359" "S359   Traumatismo de vasos sanguneos no especificados a nivel del abdomen, de la regin lumbosacra y de la pelvis"
"S36" "S36   Traumatismo de rganos intraabdominales"
"S360" "S360   Traumatismo del bazo"
"S3600" "S3600   Traumatismo del bazo, sin herida dentro de la cavidad abdominal"
"S3601" "S3601   Traumatismo del bazo, con herida dentro de la cavidad abdominal"
"S361" "S361   Traumatismo del hgado y de la vescula biliar"
"S3610" "S3610   Traumatismo del hgado y de la vescula biliar, sin herida dentro de la cavidad abdominal"
"S3611" "S3611   Traumatismo del hgado y de la vescula biliar, con herida dentro de la cavidad abdominal"
"S362" "S362   Traumatismo del pncreas"
"S3620" "S3620   Traumatismo del pncreas, sin herida dentro de la cavidad abdominal"
"S3621" "S3621   Traumatismo del pncreas, con herida dentro de la cavidad abdominal"
"S363" "S363   Traumatismo del estmago"
"S3630" "S3630   Traumatismo del estmago, sin herida dentro de la cavidad abdominal"
"S3631" "S3631   Traumatismo del estmago, con herida dentro de la cavidad abdominal"
"S364" "S364   Traumatismo del intestino delgado"
"S3640" "S3640   Traumatismo del intestino delgado, sin herida dentro de la cavidad abdominal"
"S3641" "S3641   Traumatismo del intestino delgado, con herida dentro de la cavidad abdominal"
"S365" "S365   Traumatismo del colon"
"S3650" "S3650   Traumatismo del colon, sin herida dentro de la cavidad abdominal"
"S3651" "S3651   Traumatismo del colon, con herida dentro de la cavidad abdominal"
"S366" "S366   Traumatismo del recto"
"S3660" "S3660   Traumatismo del recto, sin herida dentro de la cavidad abdominal"
"S3661" "S3661   Traumatismo del recto, con herida dentro de la cavidad abdominal"
"S367" "S367   Traumatismo de mltiples rganos intraabdominales"
"S3670" "S3670   Traumatismo de mltiples rganos intraabdominales, sin herida dentro de la cavidad abdominal"
"S3671" "S3671   Traumatismo de mltiples rganos intraabdominales, con herida dentro de la cavidad abdominal"
"S368" "S368   Traumatismo de otros rganos intraabdominales"
"S3680" "S3680   Traumatismo de otros rganos intraabdominales, sin herida dentro de la cavidad abdominal"
"S3681" "S3681   Traumatismo de otros rganos intraabdominales, con herida dentro de la cavidad abdominal"
"S369" "S369   Traumatismo de rgano intraabdominal no especificado"
"S3690" "S3690   Traumatismo de rgano intraabdominal no especificado, sin herida dentro de la cavidad abdominal"
"S3691" "S3691   Traumatismo de rgano intraabdominal no especificado, con herida dentro de la cavidad abdominal"
"S37" "S37   Traumatismo del aparato urinario y de los rganos plvicos"
"S370" "S370   Traumatismo del rin"
"S3700" "S3700   Traumatismo del rin, sin herida dentro de la cavidad plvica"
"S3701" "S3701   Traumatismo del rin, con herida dentro de la cavidad plvica"
"S371" "S371   Traumatismo del urter"
"S3710" "S3710   Traumatismo del urter, sin herida dentro de la cavidad plvica"
"S3711" "S3711   Traumatismo del urter, con herida dentro de la cavidad plvica"
"S372" "S372   Traumatismo de la vejiga"
"S3720" "S3720   Traumatismo de la vejiga, sin herida dentro de la cavidad plvica"
"S3721" "S3721   Traumatismo de la vejiga, con herida dentro de la cavidad plvica"
"S373" "S373   Traumatismo de la uretra"
"S3730" "S3730   Traumatismo de la uretra, sin herida dentro de la cavidad plvica"
"S3731" "S3731   Traumatismo de la uretra, con herida dentro de la cavidad plvica"
"S374" "S374   Traumatismo del ovario"
"S3740" "S3740   Traumatismo del ovario, sin herida dentro de la cavidad plvica"
"S3741" "S3741   Traumatismo del ovario, con herida dentro de la cavidad plvica"
"S375" "S375   Traumatismo de la trompa de Falopio"
"S3750" "S3750   Traumatismo de la trompa de Falopio, sin herida dentro de la cavidad plvica"
"S3751" "S3751   Traumatismo de la trompa de Falopio, con herida dentro de la cavidad plvica"
"S376" "S376   Traumatismo deltero"
"S3760" "S3760   Traumatismo deltero, sin herida dentro de la cavidad plvica"
"S3761" "S3761   Traumatismo deltero, con herida dentro de la cavidad plvica"
"S377" "S377   Traumatismo de mltiples rganos plvicos"
"S3770" "S3770   Traumatismo de mltiples rganos plvicos, sin herida dentro de la cavidad plvica"
"S3771" "S3771   Traumatismo de mltiples rganos plvicos, con herida dentro de la cavidad plvica"
"S378" "S378   Traumatismo de otros rganos plvicos"
"S3780" "S3780   Traumatismo de otros rganos plvicos, sin herida dentro de la cavidad plvica"
"S3781" "S3781   Traumatismo de otros rganos plvicos, con herida dentro de la cavidad plvica"
"S379" "S379   Traumatismo de rgano plvico no especificado"
"S3790" "S3790   Traumatismo de rgano plvico no especificado, sin herida dentro de la cavidad plvica"
"S3791" "S3791   Traumatismo de rgano plvico no especificado, con herida dentro de la cavidad plvica"
"S38" "S38   Traumatismo por aplastamiento y amputacin traumtica de parte del abdomen, de la regin lumbosacra y de la pelvis"
"S380" "S380   Traumatismo por aplastamiento de rganos genitales externos"
"S381" "S381   Traumatismo por aplastamiento de otras partes y de las no especificadas del abdomen, de la regin lumbosacra y de la pelvis"
"S382" "S382   Amputacin traumtica de rganos genitales externos"
"S383" "S383   Amputacin traumtica de otras partes y de las no especificadas del abdomen, regin lumbosacra y pelvis"
"S39" "S39   Otros traumatismos y los no especificados del abdomen, de la regin lumbosacra y de la pelvis"
"S390" "S390   Traumatismo de tendn y de msculos del abdomen, de la regin lumbosacra y de la pelvis"
"S396" "S396   Traumatismo de rgano(s) intraabdominal(es) con rgano(s) plvico(s)"
"S397" "S397   Otros traumatismos mltiples del abdomen, de la regin lumbosacra y de la pelvis"
"S398" "S398   Otros traumatismos especificados del abdomen, de la regin lumbosacra y de la pelvis"
"S399" "S399   Traumatismo no especificado del abdomen, de la regin lumbosacra y de la pelvis"
"S40" "S40   Traumatismo superificial del hombro y del brazo"
"S400" "S400   Contusin del hombro y del brazo"
"S407" "S407   Traumatismos superficiales mltiples del hombro y del brazo"
"S408" "S408   Otros traumatismos superficiales del hombro y del brazo"
"S409" "S409   Traumatismo superficial no especificado del hombro y del brazo"
"S41" "S41   Herida del hombro y del brazo"
"S410" "S410   Herida del hombro"
"S411" "S411   Herida del brazo"
"S417" "S417   Heridas mltiples del hombro y del brazo"
"S418" "S418   Herida de otras partes y de las no especificadas del hombro y del brazo"
"S42" "S42   Fractura del hombro y del brazo"
"S420" "S420   Fractura de la clavcula"
"S4200" "S4200   Fractura de la clavcula, cerrada"
"S4201" "S4201   Fractura de la clavcula, abierta"
"S421" "S421   Fractura del omplato"
"S4210" "S4210   Fractura del omplato, cerrada"
"S4211" "S4211   Fractura del omplato, abierta"
"S422" "S422   Fractura de la epfisis superior del hmero"
"S4220" "S4220   Fractura de la epfisis superior del hmero, cerrada"
"S4221" "S4221   Fractura de la epfisis superior del hmero, abierta"
"S423" "S423   Fractura de la difisis del hmero"
"S4230" "S4230   Fractura de la difisis del hmero, cerrada"
"S4231" "S4231   Fractura de la difisis del hmero, abierta"
"S424" "S424   Fractura de la epfisis inferior del hmero"
"S4240" "S4240   Fractura de la epfisis inferior del hmero, cerrada"
"S4241" "S4241   Fractura de la epfisis inferior del hmero, abierta"
"S427" "S427   Fracturas mltiples de la clavcula, del omplato y del hmero"
"S4270" "S4270   Fracturas mltiples de la clavcula, del omplato y del hmero, cerrada"
"S4271" "S4271   Fracturas mltiples de la clavcula, del omplato y del hmero, abierta"
"S428" "S428   Fractura de otras partes del hombro y del brazo"
"S4280" "S4280   Fractura de otras partes del hombro y del brazo, cerrada"
"S4281" "S4281   Fractura de otras partes del hombro y del brazo, abierta"
"S429" "S429   Fractura del hombro y del brazo, parte no especificada"
"S4290" "S4290   Fractura del hombro y del brazo, parte no especificada, cerrada"
"S4291" "S4291   Fractura del hombro y del brazo, parte no especificada, abierta"
"S43" "S43   Luxacin, esguince y torcedura de articulaciones y ligamentos de la cintura escapular"
"S430" "S430   Luxacin de la articulacin del hombro"
"S431" "S431   Luxacin de la articulacin acromioclavicular"
"S432" "S432   Luxacin de la articulacin esternoclavicular"
"S433" "S433   Luxacin de otras partes de la cintura escapular y de las no especificadas"
"S434" "S434   Esguinces y torceduras de la articulacin del hombro"
"S435" "S435   Esguinces y torceduras de la articulacin acromioclavicular"
"S436" "S436   Esguinces y torceduras de la articulacin esternoclavicular"
"S437" "S437   Esguinces y torceduras de otras partes y de las no especificadas de la cintura escapular"
"S44" "S44   Traumatismo de nervios a nivel del hombro y del brazo"
"S440" "S440   Traumatismo del nervio cubital a nivel del brazo"
"S441" "S441   Traumatismo del nervio mediano a nivel del brazo"
"S442" "S442   Traumatismo del nervio radial a nivel del brazo"
"S443" "S443   Traumatismo del nervio axilar"
"S444" "S444   Traumatismo del nervio musculocutneo"
"S445" "S445   Traumatismo del nervio sensitivo cutneo a nivel del hombro y del brazo"
"S447" "S447   Traumatismo de mltiples nervios a nivel del hombro y del brazo"
"S448" "S448   Traumatismo de otros nervios a nivel del hombro y del brazo"
"S449" "S449   Traumatismo de nervio no especificado a nivel del hombro y del brazo"
"S45" "S45   Traumatismo de vasos sanguneos a nivel del hombro y del brazo"
"S450" "S450   Traumatismo de la arteria axilar"
"S451" "S451   Traumatismo de la arteria braquial"
"S452" "S452   Traumatismo de la vena axilar o braquial"
"S453" "S453   Traumatismo de vena superficial a nivel del hombro y del brazo"
"S457" "S457   Traumatismo de mltiples vasos sanguneos a nivel del hombro y del brazo"
"S458" "S458   Traumatismo de otros vasos sanguneos a nivel del hombro y del brazo"
"S459" "S459   Traumatismo de vaso sanguneo no especificado a nivel del hombro y del brazo"
"S46" "S46   Traumatismo de tendn y msculo a nivel del hombro y del brazo"
"S460" "S460   Traumatismo del msculo(s) y tendn(es) del manguito rotatorio del hombro"
"S461" "S461   Traumatismo del tendn y msculo de la cabeza larga del bceps"
"S462" "S462   Traumatismo del tendn y msculo de otras partes del bceps"
"S463" "S463   Traumatismo del tendn y msculo del trceps"
"S467" "S467   Traumatismo de mltiples tendones y msculos a nivel del hombro y del brazo"
"S468" "S468   Traumatismo de otros tendones y msculos a nivel del hombro y del brazo"
"S469" "S469   Traumatismo de tendn y msculo no especificado, a nivel del hombro y del brazo"
"S47" "S47   Traumatismo por aplastamiento del hombro y del brazo"
"S48" "S48   Amputacin traumtica del hombro y del brazo"
"S480" "S480   Amputacin traumtica en la articulacin del hombro"
"S481" "S481   Amputacin traumtica a nivel entre el hombro y el codo"
"S489" "S489   Amputacin traumtica del hombro y del brazo, nivel no especificado"
"S49" "S49   Otros traumatismos y los no especificados del hombro y del brazo"
"S497" "S497   Traumatismos mltiples del hombro y del brazo"
"S498" "S498   Otros traumatismos especificados del hombro y del brazo"
"S499" "S499   Traumatismos no especificados del hombro y del brazo"
"S50" "S50   Traumatismo superficial del antebrazo y del codo"
"S500" "S500   Contusin del codo"
"S501" "S501   Contusin de otras partes del antebrazo y de las no especificadas"
"S507" "S507   Traumatismos superficiales mltiples del antebrazo"
"S508" "S508   Otros traumatismos superficiales del antebrazo"
"S509" "S509   Traumatismo superficial del antebrazo, no especificado"
"S51" "S51   Herida del antebrazo y del codo"
"S510" "S510   Herida del codo"
"S517" "S517   Heridas mltiples del antebrazo"
"S518" "S518   Herida de otras partes del antebrazo"
"S519" "S519   Herida del antebrazo, parte no especificada"
"S52" "S52   Fractura del antebrazo"
"S520" "S520   Fractura de la epfisis superior del cbito"
"S5200" "S5200   Fractura de la epfisis superior del cbito, cerrada"
"S5201" "S5201   Fractura de la epfisis superior del cbito, abierta"
"S521" "S521   Fractura de la epfisis superior del radio"
"S5210" "S5210   Fractura de la epfisis superior del radio, cerrada"
"S5211" "S5211   Fractura de la epfisis superior del radio, abierta"
"S522" "S522   Fractura de la difisis del cbito"
"S5220" "S5220   Fractura de la difisis del cbito, cerrada"
"S5221" "S5221   Fractura de la difisis del cbito, abierta"
"S523" "S523   Fractura de la difisis del radio"
"S5230" "S5230   Fractura de la difisis del radio, cerrada"
"S5231" "S5231   Fractura de la difisis del radio, abierta"
"S524" "S524   Fractura de la difisis del cbito y del radio"
"S5240" "S5240   Fractura de la difisis del cbito y del radio, cerrada"
"S5241" "S5241   Fractura de la difisis del cbito y del radio, abierta"
"S525" "S525   Fractura de la epfisis inferior del radio"
"S5250" "S5250   Fractura de la epfisis inferior del radio, cerrada"
"S5251" "S5251   Fractura de la epfisis inferior del radio, abierta"
"S526" "S526   Fractura de la epfisis inferior del cbito y del radio"
"S5260" "S5260   Fractura de la epfisis inferior del cbito y del radio, cerrada"
"S5261" "S5261   Fractura de la epfisis inferior del cbito y del radio, abierta"
"S527" "S527   Fracturas mltiples del antebrazo"
"S5270" "S5270   Fracturas mltiples del antebrazo, cerrada"
"S5271" "S5271   Fracturas mltiples del antebrazo, abierta"
"S528" "S528   Fractura de otras partes del antebrazo"
"S5280" "S5280   Fractura de otras partes del antebrazo, cerrada"
"S5281" "S5281   Fractura de otras partes del antebrazo, abierta"
"S529" "S529   Fractura del antebrazo, parte no especificada"
"S5290" "S5290   Fractura del antebrazo, parte no especificada, cerrada"
"S5291" "S5291   Fractura del antebrazo, parte no especificada, abierta"
"S53" "S53   Luxacin, esguince y torcedura de articulaciones y ligamentos del codo"
"S530" "S530   Luxacin de la cabeza del radio"
"S531" "S531   Luxacin del codo, no especificada"
"S532" "S532   Ruptura traumtica del ligamento lateral del radio"
"S533" "S533   Ruptura traumtica del ligamento lateral del cbito"
"S534" "S534   Esguinces y torceduras del codo"
"S54" "S54   Traumatismo de nervios a nivel del antebrazo"
"S540" "S540   Traumatismo del nervio cubital a nivel del antebrazo"
"S541" "S541   Traumatismo del nervio mediano a nivel del antebrazo"
"S542" "S542   Traumatismo del nervio radial a nivel del antebrazo"
"S543" "S543   Traumatismo del nervio sensorial cutneo a nivel del antebrazo"
"S547" "S547   Traumatismo de mltiples nervios a nivel del antebrazo"
"S548" "S548   Traumatismo de otros nervios a nivel del antebrazo"
"S549" "S549   Traumatismo de nervio no especificado a nivel del antebrazo"
"S55" "S55   Traumatismo de los vasos sanguneos a nivel del antebrazo"
"S550" "S550   Traumatismo de la arteria cubital a nivel del antebrazo"
"S551" "S551   Traumatismo de la arteria radial a nivel del antebrazo"
"S552" "S552   Traumatismo de vena a nivel del antebrazo"
"S557" "S557   Traumatismo de mltiples vasos sanguneos a nivel del antebrazo"
"S558" "S558   Traumatismo de otros vasos sanguneos a nivel del antebrazo"
"S559" "S559   Traumatismo de vaso sanguneo no especificado a nivel del antebrazo"
"S56" "S56   Traumatismo de tendn y msculo a nivel del antebrazo"
"S560" "S560   Traumatismo del tendn y msculo flexor del pulgar a nivel del antebrazo"
"S561" "S561   Traumatismo del tendn y msculo flexor de otro(s) dedo(s) a nivel del antebrazo"
"S562" "S562   Traumatismo de otro tendn y msculo flexor a nivel del antebrazo"
"S563" "S563   Traumatismo de tendones y msculos abductores y extensores del pulgar a nivel del antebrazo"
"S564" "S564   Traumatismo del tendn y msculo extensor de otro(s) dedo(s) a nivel del antebrazo"
"S565" "S565   Traumatismo de otro tendn y msculo extensor a nivel del antebrazo"
"S567" "S567   Traumatismo de mltiples tendones y msculos a nivel del antebrazo"
"S568" "S568   Traumatismo de otros tendones y msculos y de los no especificados, a nivel del antebrazo"
"S57" "S57   Traumatismo por aplastamiento del antebrazo"
"S570" "S570   Traumatismo por aplastamiento del codo"
"S578" "S578   Traumatismo por aplastamiento de otras partes del antebrazo"
"S579" "S579   Traumatismo por aplastamiento del antebrazo, parte no especificada"
"S58" "S58   Amputacin traumtica del antebrazo"
"S580" "S580   Amputacin traumtica a nivel del codo"
"S581" "S581   Amputacin traumtica nivel entre el codo y la mueca"
"S589" "S589   Amputacin traumtica del antebrazo, nivel no especificado"
"S59" "S59   Otros traumatismos y los no especificados del antebrazo"
"S597" "S597   Otros Traumatismos mltiples del antebrazo"
"S598" "S598   Otros traumatismos especificados del antebrazo"
"S599" "S599   Traumatismo no especificado del antebrazo"
"S60" "S60   Traumatismo superficial de la mueca y de la mano"
"S600" "S600   Contusin de dedo(s) de la mano, sin dao de la(s) ua(s)"
"S601" "S601   Contusin de dedo(s) de la mano con dao de la(s) ua(s)"
"S602" "S602   Contusin de otras partes de la mueca y de la mano"
"S607" "S607   Traumatismos superficiales mltiples de la mueca y de la mano"
"S608" "S608   Otros traumatismos superficiales de la mueca y de la mano"
"S609" "S609   Traumatismo superficial de la mueca y de la mano, no especificado"
"S61" "S61   Herida de la mueca y de la mano"
"S610" "S610   Herida de dedo(s) de la mano, sin dao de la(s) ua(s)"
"S611" "S611   Herida de dedo(s) de la mano, con dao de la(s) ua(s)"
"S617" "S617   Heridas mltiples de la mueca y de la mano"
"S618" "S618   Herida de otras partes de la mueca y de la mano"
"S619" "S619   Herida de la mueca y de la mano, parte no especificada"
"S62" "S62   Fractura a nivel de la mueca y de la mano"
"S620" "S620   Fractura del hueso escafoides [navicular] de la mano"
"S6200" "S6200   Fractura del hueso escafoides [navicular] de la mano, cerrada"
"S6201" "S6201   Fractura del hueso escafoides [navicular] de la mano, abierta"
"S621" "S621   Fractura de otro(s) hueso(s) del carpo"
"S6210" "S6210   Fractura de otro(s) hueso(s) del carpo, cerrada"
"S6211" "S6211   Fractura de otro(s) hueso(s) del carpo, abierta"
"S622" "S622   Fractura del primer metacarpiano"
"S6220" "S6220   Fractura del primer metacarpiano, cerrada"
"S6221" "S6221   Fractura del primer metacarpiano, abierta"
"S623" "S623   Fractura de otros huesos metacarpianos"
"S6230" "S6230   Fractura de otros huesos metacarpianos, cerrada"
"S6231" "S6231   Fractura de otros huesos metacarpianos, abierta"
"S624" "S624   Fracturas mltiples de huesos metacarpianos"
"S6240" "S6240   Fracturas mltiples de huesos metacarpianos, cerrada"
"S6241" "S6241   Fracturas mltiples de huesos metacarpianos, abierta"
"S625" "S625   Fractura del pulgar"
"S6250" "S6250   Fractura del pulgar, cerrada"
"S6251" "S6251   Fractura del pulgar, abierta"
"S626" "S626   Fractura de otro dedo de la mano"
"S6260" "S6260   Fractura de otro dedo de la mano, cerrada"
"S6261" "S6261   Fractura de otro dedo de la mano, abierta"
"S627" "S627   Fracturas mltiples de los dedos de la mano"
"S6270" "S6270   Fracturas mltiples de los dedos de la mano, cerrada"
"S6271" "S6271   Fracturas mltiples de los dedos de la mano, abierta"
"S628" "S628   Fractura de otras partes y de las no especificadas de la mueca y de la mano"
"S6280" "S6280   Fractura de otras partes y de las no especificadas de la mueca y de la mano, cerrada"
"S6281" "S6281   Fractura de otras partes y de las no especificadas de la mueca y de la mano, abierta"
"S63" "S63   Luxacin, esguince y torcedura de articulaciones y ligamentos a nivel de la mueca y de la mano"
"S630" "S630   Luxacin de la mueca"
"S631" "S631   Luxacin de dedos de la mano"
"S632" "S632   Luxaciones mltiples de dedos de la mano"
"S633" "S633   Ruptura traumtica de ligamentos de la mueca y del carpo"
"S634" "S634   Ruptura traumtica de ligamentos del dedo de la mano en la(s) articulacin(es) metacarpofalngica e interfalngica"
"S635" "S635   Esguince y torcedura de la mueca"
"S636" "S636   Esguinces y torceduras de dedo(s) de la mano"
"S637" "S637   Esguinces y torceduras de otras partes y de las no especificadas de la mueca y de la mano"
"S64" "S64   Traumatismo de nervios a nivel de la mueca y de la mano"
"S640" "S640   Traumatismo del nervio cubital a nivel de la mueca y de la mano"
"S641" "S641   Traumatismo del nervio mediano a nivel de la mueca y de la mano"
"S642" "S642   Traumatismo del nervio radial a nivel de la mueca y de la mano"
"S643" "S643   Traumatismo del nervio digital del pulgar"
"S644" "S644   Traumatismo del nervio digital de otro dedo"
"S647" "S647   Traumatismo de mltiples nervios a nivel de la mueca y de la mano"
"S648" "S648   Traumatismo de otros nervios a nivel de la mueca y de la mano"
"S649" "S649   Traumatismo de nervio no especificado a nivel de la mueca y de la mano"
"S65" "S65   Traumatismo de vasos sanguneos a nivel de la mueca y de la mano"
"S650" "S650   Traumatismo de la arteria cubital a nivel de la mueca y de la mano"
"S651" "S651   Traumatismo de la arteria radial a nivel de la mueca y de la mano"
"S652" "S652   Traumatismo del arco palmar superficial"
"S653" "S653   Traumatismo del arco palmar profundo"
"S654" "S654   Traumatismo de vaso(s) sanguneo(s) del pulgar"
"S655" "S655   Traumatismo de vaso(s) sanguneo(s) de otro dedo"
"S657" "S657   Traumatismo de mltiples vasos sanguneos a nivel de la mueca y de la mano"
"S658" "S658   Traumatismo de otros vasos sanguneos a nivel de la mueca y de la mano"
"S659" "S659   Traumatismo de vaso sanguneo no especificado, a nivel de la mueca y de la mano"
"S66" "S66   Traumatismo de tendn y msculo a nivel de la mueca y de la mano"
"S660" "S660   Traumatismo del tendn y msculo flexor largo del pulgar a nivel de la mueca y de la mano"
"S661" "S661   Traumatismo del tendn y msculo flexor de otro dedo a nivel de la mueca y de la mano"
"S662" "S662   Traumatismo del tendn y msculo extensor del pulgar a nivel de la mueca y de la mano"
"S663" "S663   Traumatismo del tendn y msculo extensor de otro(s) dedo(s) a nivel de la mueca y de la mano"
"S664" "S664   Traumatismo del msculo y tendn intrnseco del pulgar a nivel de la mueca y de la mano"
"S665" "S665   Traumatismo del msculo y tendn intrnseco de otro(s) dedo(s) a nivel de la mueca y de la mano"
"S666" "S666   Traumatismo de mltiples tendones y msculos flexores a nivel de la mueca y de la mano"
"S667" "S667   Traumatismo de mltiples tendones y msculos extensores a nivel de la mueca y de la mano"
"S668" "S668   Traumatismo de otros tendones y msculos a nivel de la mueca y de la mano"
"S669" "S669   Traumatismo de tendn y msculo no especificado, a nivel de la mueca y de la mano"
"S67" "S67   Traumatismo por aplastamiento de la mueca y de la mano"
"S670" "S670   Traumatismo por aplastamiento del pulgar y otro(s) dedo(s)"
"S678" "S678   Traumatismo por aplastamiento de otras partes y de las no especificadas de la mueca y de la mano"
"S68" "S68   Amputacin traumtica de la mueca y de la mano"
"S680" "S680   Amputacin traumtica del pulgar (completa) (parcial)"
"S681" "S681   Amputacin traumtica de otro dedonico (completa) (parcial)"
"S682" "S682   Amputacin traumtica de dos o ms dedos solamente (completa) (parcial)"
"S683" "S683   Amputacin traumtica combinada (de parte) de dedo(s) con otras partes de la mueca y de la mano"
"S684" "S684   Amputacin traumtica de la mano a nivel de la mueca"
"S688" "S688   Amputacin traumtica de otras partes de la mueca y de la mano"
"S689" "S689   Amputacin traumtica de la mueca y de la mano, nivel no especificado"
"S69" "S69   Otros traumatismos y los no especificados de la mueca y de la mano"
"S697" "S697   Otros traumatismos mltiples de la mueca y de la mano"
"S698" "S698   Otros traumatismos especificados de la mueca y de la mano"
"S699" "S699   Traumatismo no especificado de la mueca y de la mano"
"S70" "S70   Traumatismo superficial de la cadera y del muslo"
"S700" "S700   Contusin de la cadera"
"S701" "S701   Contusin del muslo"
"S707" "S707   Traumatismos superficiales mltiples de la cadera y del muslo"
"S708" "S708   Otros traumatismos superficiales de la cadera y del muslo"
"S709" "S709   Traumatismo superficial de la cadera y del muslo, no especificado"
"S71" "S71   Herida de la cadera y del muslo"
"S710" "S710   Herida de la cadera"
"S711" "S711   Herida del muslo"
"S717" "S717   Heridas mltiples de la cadera y del muslo"
"S718" "S718   Herida de otras partes y de las no especificadas de la cintura plvica"
"S72" "S72   Fractura del fmur"
"S720" "S720   Fractura del cuello de fmur"
"S7200" "S7200   Fractura del cuello de fmur, cerrada"
"S7201" "S7201   Fractura del cuello de fmur, abierta"
"S721" "S721   Fractura pertrocanteriana"
"S7210" "S7210   Fractura pertrocanteriana, cerrada"
"S7211" "S7211   Fractura pertrocanteriana, abierta"
"S722" "S722   Fractura subtrocanteriana"
"S7220" "S7220   Fractura subtrocanteriana, cerrada"
"S7221" "S7221   Fractura subtrocanteriana, abierta"
"S723" "S723   Fractura de la difisis del fmur"
"S7230" "S7230   Fractura de la difisis del fmur, cerrada"
"S7231" "S7231   Fractura de la difisis del fmur, abierta"
"S724" "S724   Fractura de la epfisis inferior del fmur"
"S7240" "S7240   Fractura de la epfisis inferior del fmur, cerrada"
"S7241" "S7241   Fractura de la epfisis inferior del fmur, abierta"
"S727" "S727   Fracturas mltiples del fmur"
"S7270" "S7270   Fracturas mltiples del fmur, cerrada"
"S7271" "S7271   Fracturas mltiples del fmur, abierta"
"S728" "S728   Fracturas de otras partes del fmur"
"S7280" "S7280   Fracturas de otras partes del fmur, cerrada"
"S7281" "S7281   Fracturas de otras partes del fmur, abierta"
"S729" "S729   Fractura del fmur, parte no especificada"
"S7290" "S7290   Fractura del fmur, parte no especificada, cerrada"
"S7291" "S7291   Fractura del fmur, parte no especificada, abierta"
"S73" "S73   Luxacin, esguince y torcedura de la articulacin y de los ligamentos de la cadera"
"S730" "S730   Luxacin de la cadera"
"S731" "S731   Esguinces y torceduras de la cadera"
"S74" "S74   Traumatismo de nervios a nivel de la cadera y del muslo"
"S740" "S740   Traumatismo del nervio citico a nivel de la cadera y del muslo"
"S741" "S741   Traumatismo del nervio femorocutneo a nivel de la cadera y del muslo"
"S742" "S742   Traumatismo del nervio sensorial cutneo a nivel de la cadera y del muslo"
"S747" "S747   Traumatismo de nervios mltiples a nivel de la cadera y del muslo"
"S748" "S748   Traumatismo de otros nervios a nivel de la cadera y del muslo"
"S749" "S749   Traumatismo de nervio no especificado a nivel de la cadera y del muslo"
"S75" "S75   Traumatismo de vasos sanguneos a nivel de la cadera y del muslo"
"S750" "S750   Traumatismo de la arteria femoral"
"S751" "S751   Traumatismo de la vena femoral a nivel de la cadera y del muslo"
"S752" "S752   Traumatismo de la gran vena safena a nivel de la cadera y del muslo"
"S757" "S757   Traumatismo de mltiples vasos sanguneos a nivel de la cadera y del muslo"
"S758" "S758   Traumatismo de otros vasos sanguneos a nivel de la cadera y del muslo"
"S759" "S759   Traumatismo de vaso sanguneo no especificado a nivel de la cadera y del muslo"
"S76" "S76   Traumatismo de tendn y msculo a nivel de la cadera y del muslo"
"S760" "S760   Traumatismo del tendn y msculo de la cadera"
"S761" "S761   Traumatismo del tendn y msculo cudriceps"
"S762" "S762   Traumatismo del tendn y msculo aductor mayor del muslo"
"S763" "S763   Traumatismo de tendn y msculo del grupo muscular posterior a nivel del muslo"
"S764" "S764   Traumatismo de otros tendones y msculos y los no especificados a nivel del muslo"
"S767" "S767   Traumatismo de mltiples tendones y msculos a nivel de la cadera y del muslo"
"S77" "S77   Traumatismo por aplastamiento de la cadera y del muslo"
"S770" "S770   Traumatismo por aplastamiento de la cadera"
"S771" "S771   Traumatismo por aplastamiento del muslo"
"S772" "S772   Traumatismo por aplastamiento de la cadera con el muslo"
"S78" "S78   Amputacin traumtica de la cadera y del muslo"
"S780" "S780   Amputacin traumtica de la articulacin de la cadera"
"S781" "S781   Amputacin traumtica en algn nivel entre la cadera y la rodilla"
"S789" "S789   Amputacin traumtica de cadera y muslo, nivel no especificado"
"S79" "S79   Otros traumatismos y los no especificados de la cadera y del muslo"
"S797" "S797   Traumatismos mltiples de la cadera y del muslo"
"S798" "S798   Otros traumatismos especificados de la cadera y del muslo"
"S799" "S799   Traumatismo no especificado de la cadera y del muslo"
"S80" "S80   Traumatismo superficial de la pierna"
"S800" "S800   Contusin de la rodilla"
"S801" "S801   Contusin de otras partes y las no especificadas de la pierna"
"S807" "S807   Traumatismos superficiales mltiples de la pierna"
"S808" "S808   Otros traumatismos superficiales de la pierna"
"S809" "S809   Traumatismo superficial de la pierna, no especificado"
"S81" "S81   Herida de la pierna"
"S810" "S810   Herida de la rodilla"
"S817" "S817   Heridas mltiples de la pierna"
"S818" "S818   Herida de otras partes de la pierna"
"S819" "S819   Herida de la pierna, parte no especificada"
"S82" "S82   Fractura de la pierna, inclusive del tobillo"
"S820" "S820   Fractura de la rtula"
"S8200" "S8200   Fractura de la rtula, cerrada"
"S8201" "S8201   Fractura de la rtula, abierta"
"S821" "S821   Fractura de la epfisis superior de la tibia"
"S8210" "S8210   Fractura de la epfisis superior de la tibia, cerrada"
"S8211" "S8211   Fractura de la epfisis superior de la tibia, abierta"
"S822" "S822   Fractura de la difisis de la tibia"
"S8220" "S8220   Fractura de la difisis de la tibia, cerrada"
"S8221" "S8221   Fractura de la difisis de la tibia, abierta"
"S823" "S823   Fractura de la epfisis inferior de la tibia"
"S8230" "S8230   Fractura de la epfisis inferior de la tibia, cerrada"
"S8231" "S8231   Fractura de la epfisis inferior de la tibia, abierta"
"S824" "S824   Fractura del peron solamente"
"S8240" "S8240   Fractura del peron solamente, cerrada"
"S8241" "S8241   Fractura del peron solamente, abierta"
"S825" "S825   Fractura del malolo interno"
"S8250" "S8250   Fractura del malolo interno, cerrada"
"S8251" "S8251   Fractura del malolo interno, abierta"
"S826" "S826   Fractura del malolo externo"
"S8260" "S8260   Fractura del malolo externo, cerrada"
"S8261" "S8261   Fractura del malolo externo, abierta"
"S827" "S827   Fracturas mltiples de la pierna"
"S8270" "S8270   Fracturas mltiples de la pierna, cerrada"
"S8271" "S8271   Fracturas mltiples de la pierna, abierta"
"S828" "S828   Fractura de otras partes de la pierna"
"S8280" "S8280   Fractura de otras partes de la pierna, cerrada"
"S8281" "S8281   Fractura de otras partes de la pierna, abierta"
"S829" "S829   Fractura de la pierna, parte no especificada"
"S8290" "S8290   Fractura de la pierna, parte no especificada, cerrada"
"S8291" "S8291   Fractura de la pierna, parte no especificada, abierta"
"S83" "S83   Luxacin, esguince y torcedura de articulaciones y ligamentos de la rodilla"
"S830" "S830   Luxacin de la rtula"
"S831" "S831   Luxacin de la rodilla"
"S832" "S832   Desgarro de meniscos, presente"
"S833" "S833   Desgarro del cartlago articular de la rodilla, presente"
"S834" "S834   Esguinces y torceduras que comprometen los ligamentos laterales (externo) (interno) de la rodilla"
"S835" "S835   Esguinces y torceduras que comprometen el ligamento cruzado (anterior) (posterior) de la rodilla"
"S836" "S836   Esguinces y torceduras de otras partes y las no especificadas de la rodilla"
"S837" "S837   Traumatismo de estructuras mltiples de la rodilla"
"S84" "S84   Traumatismo de nervios a nivel de la pierna"
"S840" "S840   Traumatismo del nervio tibial a nivel de la pierna"
"S841" "S841   Traumatismo del nervio peroneo a nivel de la pierna"
"S842" "S842   Traumatismo del nervio sensorial cutneo a nivel de la pierna"
"S847" "S847   Traumatismo de nervios mltiples a nivel de la pierna"
"S848" "S848   Traumatismo de otros nervios a nivel de la pierna"
"S849" "S849   Traumatismo de nervio no especificado a nivel de la pierna"
"S85" "S85   Traumatismo de vasos sanguneos a nivel de la pierna"
"S850" "S850   Traumatismo de la arteria popltea"
"S851" "S851   Traumatismo de la arteria tibial (anterior) (posterior)"
"S852" "S852   Traumatismo de la arteria peronea"
"S853" "S853   Traumatismo de la gran vena safena a nivel de la pierna"
"S854" "S854   Traumatismo de la vena safena externa a nivel de la pierna"
"S855" "S855   Traumatismo de la vena popltea"
"S857" "S857   Traumatismo de vasos sanguneos mltiples a nivel de la pierna"
"S858" "S858   Traumatismo de otros vasos sanguneos a nivel de la pierna"
"S859" "S859   Traumatismo de vaso sanguneo no especificado a nivel de la pierna"
"S86" "S86   Traumatismo de tendn y msculo a nivel de la pierna"
"S860" "S860   Traumatismo del tendn de Aquiles"
"S861" "S861   Traumatismo de otro(s) tendn(es) y msculo(s) del grupo muscular posterior a nivel de la pierna"
"S862" "S862   Traumatismo de tendn(es) y msculo(s) del grupo muscular anterior a nivel de la pierna"
"S863" "S863   Traumatismo de tendn(es) y msculo(s) del grupo muscular peroneo a nivel de la pierna"
"S867" "S867   Traumatismo de mltiples tendones y msculos a nivel de la pierna"
"S868" "S868   Traumatismo de otros tendones y msculos a nivel de la pierna"
"S869" "S869   Traumatismo de tendn y msculo no especificado a nivel de la pierna"
"S87" "S87   Traumatismo por aplastamiento de la pierna"
"S870" "S870   Traumatismo por aplastamiento de la rodilla"
"S878" "S878   Traumatismo por aplastamiento de otras partes y de las no especificadas de la pierna"
"S88" "S88   Amputacin traumtica de la pierna"
"S880" "S880   Amputacin traumtica a nivel de la rodilla"
"S881" "S881   Amputacin traumtica en algn nivel entre la rodilla y el tobillo"
"S889" "S889   Amputacin traumtica de la pierna, nivel no especificado"
"S89" "S89   Otros traumatismos y los no especificados de la pierna"
"S897" "S897   Traumatismos mltiples de la pierna"
"S898" "S898   Otros traumatismos de la pierna, especificados"
"S899" "S899   Traumatismo de la pierna, no especificado"
"S90" "S90   Traumatismo superficial del tobillo y del pie"
"S900" "S900   Contusin del tobillo"
"S901" "S901   Contusin de dedo(s) del pie sin dao de la(s) ua(s)"
"S902" "S902   Contusin de dedo(s) del pie con dao de la(s) ua(s)"
"S903" "S903   Contusin de otras partes y de las no especificadas del pie"
"S907" "S907   Traumatismos superficiales mltiples del pie y del tobillo"
"S908" "S908   Otros traumatismos superficiales del pie y del tobillo"
"S909" "S909   Traumatismo superficial del pie y del tobillo, no especificado"
"S91" "S91   Herida del tobillo y del pie"
"S910" "S910   Herida del tobillo"
"S911" "S911   Herida de dedo(s) del pie sin dao(s) de la(s) ua(s)"
"S912" "S912   Herida de dedo(s) del pie con dao(s) de la(s) ua(s)"
"S913" "S913   Herida de otras partes del pie"
"S917" "S917   Heridas mltiples del tobillo y del pie"
"S92" "S92   Fractura del pie, excepto del tobillo"
"S920" "S920   Fractura del calcneo"
"S9200" "S9200   Fractura del calcneo, cerrada"
"S9201" "S9201   Fractura del calcneo, abierta"
"S921" "S921   Fractura del astrgalo"
"S9210" "S9210   Fractura del astrgalo, cerrada"
"S9211" "S9211   Fractura del astrgalo, abierta"
"S922" "S922   Fractura de otro(s) hueso(s) del tarso"
"S9220" "S9220   Fractura de otro(s) hueso(s) del tarso, cerrada"
"S9221" "S9221   Fractura de otro(s) hueso(s) del tarso, abierta"
"S923" "S923   Fractura de hueso del metatarso"
"S9230" "S9230   Fractura de hueso del metatarso, cerrada"
"S9231" "S9231   Fractura de hueso del metatarso, abierta"
"S924" "S924   Fractura de los huesos del dedo gordo del pie"
"S9240" "S9240   Fractura de los huesos del dedo gordo del pie, cerrada"
"S9241" "S9241   Fractura de los huesos del dedo gordo del pie, abierta"
"S925" "S925   Fractura de los huesos de otro(s) dedo(s) del pie"
"S9250" "S9250   Fractura de los huesos de otro(s) dedo(s) del pie, cerrada"
"S9251" "S9251   Fractura de los huesos de otro(s) dedo(s) del pie, abierta"
"S927" "S927   Fracturas mltiples del pie"
"S9270" "S9270   Fracturas mltiples del pie, cerrada"
"S9271" "S9271   Fracturas mltiples del pie, abierta"
"S929" "S929   Fractura del pie, no especificada"
"S9290" "S9290   Fractura del pie, no especificada, cerrada"
"S9291" "S9291   Fractura del pie, no especificada, abierta"
"S93" "S93   Luxacin, esguince y torcedura de articulaciones y ligamentos del tobillo y del pie"
"S930" "S930   Luxacin de la articulacin del tobillo"
"S931" "S931   Luxacin de dedo(s) del pie"
"S932" "S932   Ruptura de ligamentos a nivel del tobillo y del pie"
"S933" "S933   Luxacin de otros sitios y los no especificados del pie"
"S934" "S934   Esguinces y torceduras del tobillo"
"S935" "S935   Esguinces y torceduras de dedo(s) del pie"
"S936" "S936   Esguinces y torceduras de otros sitios y los no especificados del pie"
"S94" "S94   Traumatismo de nervios a nivel del pie y del tobillo"
"S940" "S940   Traumatismo del nervio plantar externo"
"S941" "S941   Traumatismo del nervio plantar interno"
"S942" "S942   Traumatismo del nervio peroneal profundo a nivel del pie y del tobillo"
"S943" "S943   Traumatismo de nervio sensorial cutneo a nivel del pie y del tobillo"
"S947" "S947   Traumatismo de mltiples nervios a nivel del pie y del tobillo"
"S948" "S948   Traumatismo de otros nervios a nivel del pie y del tobillo"
"S949" "S949   Traumatismo de nervio no especificado a nivel del pie y del tobillo"
"S95" "S95   Traumatismo de vasos sanguneos a nivel del pie y del tobillo"
"S950" "S950   Traumatismo de la arteria dorsal del pie"
"S951" "S951   Traumatismo de la arteria plantar del pie"
"S952" "S952   Traumatismo de la vena dorsal del pie"
"S957" "S957   Traumatismo de mltiples vasos sanguneos a nivel del pie y del tobillo"
"S958" "S958   Traumatismo de otros vasos sanguneos a nivel del pie y del tobillo"
"S959" "S959   Traumatismo de vaso sanguneo no especificado a nivel de pie y del tobillo"
"S96" "S96   Traumatismo de tendn y msculo a nivel del pie y del tobillo"
"S960" "S960   Traumatismo del tendn y msculo del flexor largo del dedo a nivel del pie y del tobillo"
"S961" "S961   Traumatismo del tendn y msculo del extensor largo del (de los) dedo(s) a nivel del pie y del tobillo"
"S962" "S962   Traumatismo de tendones y msculos intrnsecos a nivel del pie y del tobillo"
"S967" "S967   Traumatismo de mltiples tendones y msculos a nivel del pie y del tobillo"
"S968" "S968   Traumatismo de otros tendones y msculos a nivel del pie y del tobillo"
"S969" "S969   Traumatismo de tendones y msculos no especificados a nivel del pie y del tobillo"
"S97" "S97   Traumatismo por aplastamiento del pie y del tobillo"
"S970" "S970   Traumatismo por aplastamiento del tobillo"
"S971" "S971   Traumatismo por aplastamiento de dedo(s) del pie"
"S978" "S978   Traumatismo por aplastamiento de otras partes del pie y del tobillo"
"S98" "S98   Amputacin traumtica del pie y del tobillo"
"S980" "S980   Amputacin traumtica del pie a nivel del tobillo"
"S981" "S981   Amputacin traumtica de un dedo del pie"
"S982" "S982   Amputacin traumtica de dos a ms dedos del pie"
"S983" "S983   Amputacin traumtica de otras partes del pie"
"S984" "S984   Amputacin del pie, nivel no especificado"
"S99" "S99   Otros traumatismos y los no especificados del pie y del tobillo"
"S997" "S997   Otros traumatismos mltiples del pie y del tobillo"
"S998" "S998   Otros traumatismos del pie y del tobillo, especificados"
"S999" "S999   Traumatismo del pie y del tobillo, no especificado"
"T00" "T00   Traumatismos superficiales que afectan mltiples regiones del cuerpo"
"T000" "T000   Traumatismos superficiales que afectan la cabeza con el cuello"
"T001" "T001   Traumatismos superficiales que afectan el trax con el abdomen, la regin lumbosacra y la pelvis"
"T002" "T002   Traumatismos superficiales que afectan mltiples regiones del(os) miembro(s) superior(es)"
"T003" "T003   Traumatismos superficiales que afectan mltiples regiones del(de los) miembro(s) inferior(es)"
"T006" "T006   Traumatismos superficiales que afectan mltiples regiones del (de los) miembro(s) superior(es) con miembro(s) inferior(es)"
"T008" "T008   Traumatismos superficiales que afectan otras combinaciones de regiones del cuerpo"
"T009" "T009   Traumatismos superficiales mltiples, no especificados"
"T01" "T01   Heridas que afectan mltiples regiones del cuerpo"
"T010" "T010   Heridas que afectan la cabeza con el cuello"
"T011" "T011   Heridas que afectan el trax con el abdomen, la regin lumbosacra y la pelvis"
"T012" "T012   Heridas que afectan mltiples regiones del (de los) miembro(s) superior(es)"
"T013" "T013   Heridas que afectan mltiples regiones del (de los) miembro(s) inferior(es)"
"T016" "T016   Heridas que afectan mltiples regiones del (de los) miembro(s) superior(es) con miembro(s) inferior(es)"
"T018" "T018   Heridas que afectan otras combinaciones de las regiones del cuerpo"
"T019" "T019   Heridas mltiples, no especificadas"
"T02" "T02   Fracturas que afectan mltiples regiones del cuerpo"
"T020" "T020   Fracturas que afectan la cabeza con el cuello"
"T0200" "T0200   Fracturas que afectan la cabeza con el cuello, cerrada"
"T0201" "T0201   Fracturas que afectan la cabeza con el cuello, abierta"
"T021" "T021   Fracturas que afectan el trax con la regin lumbosacra y la pelvis"
"T0210" "T0210   Fracturas que afectan el trax con la regin lumbosacra y la pelvis, cerrada"
"T0211" "T0211   Fracturas que afectan el trax con la regin lumbosacra y la pelvis, abierta"
"T022" "T022   Fracturas que afectan mltiples regiones de un miembro superior"
"T0220" "T0220   Fracturas que afectan mltiples regiones de un miembro superior, cerrada"
"T0221" "T0221   Fracturas que afectan mltiples regiones de un miembro superior, abierta"
"T023" "T023   Fracturas que afectan mltiples regiones de un miembro inferior"
"T0230" "T0230   Fracturas que afectan mltiples regiones de un miembro inferior, cerrada"
"T0231" "T0231   Fracturas que afectan mltiples regiones de un miembro inferior, abierta"
"T024" "T024   Fracturas que afectan mltiples regiones de ambos miembros superiores"
"T0240" "T0240   Fracturas que afectan mltiples regiones de ambos miembros superiores, cerrada"
"T0241" "T0241   Fracturas que afectan mltiples regiones de ambos miembros superiores, abierta"
"T025" "T025   Fracturas que afectan mltiples regiones de ambos miembros inferiores"
"T0250" "T0250   Fracturas que afectan mltiples regiones de ambos miembros inferiores, cerrada"
"T0251" "T0251   Fracturas que afectan mltiples regiones de ambos miembros inferiores, abierta"
"T026" "T026   Fracturas que afectan mltiples regiones de miembro(s) superior(es) con miembro(s) inferior(es)"
"T0260" "T0260   Fracturas que afectan mltiples regiones de miembro(s) superior(es) con miembro(s) inferior(es), cerrada"
"T0261" "T0261   Fracturas que afectan mltiples regiones de miembro(s) superior(es) con miembro(s) inferior(es), abierta"
"T027" "T027   Fracturas que afectan el trax con la regin lumbosacra y la pelvis con miembro(s)"
"T0270" "T0270   Fracturas que afectan el trax con la regin lumbosacra y la pelvis con miembro(s), cerrada"
"T0271" "T0271   Fracturas que afectan el trax con la regin lumbosacra y la pelvis con miembro(s), abierta"
"T028" "T028   Fracturas que afectan otras combinaciones de las regiones del cuerpo"
"T0280" "T0280   Fracturas que afectan otras combinaciones de las regiones del cuerpo, cerrada"
"T0281" "T0281   Fracturas que afectan otras combinaciones de las regiones del cuerpo, abierta"
"T029" "T029   Fracturas mltiples, no especificadas"
"T0290" "T0290   Fracturas mltiples, no especificadas, cerrada"
"T0291" "T0291   Fracturas mltiples, no especificadas, abierta"
"T03" "T03   Luxaciones, torceduras y esguinces que afectan mltiples regiones del cuerpo"
"T030" "T030   Luxaciones, torceduras y esguinces que afectan la cabeza con el cuello"
"T031" "T031   Luxaciones, torceduras y esguinces que afectan el trax con la regin lumbosacra y la pelvis"
"T032" "T032   Luxaciones, torceduras y esguinces que afectan mltiples regiones del (de los) miembros(s) superior(es)"
"T033" "T033   Luxaciones, torceduras y esguinces que afectan mltiples regiones del (de los) miembro(s) inferior(es)"
"T034" "T034   Luxaciones, torceduras esguinces que afectan  mltiples regiones del (de los) miembro(s) superior(es) con miembro(s) inferior(es)"
"T038" "T038   Luxaciones, torceduras y esguinces que afectan otras combinaciones de regiones del cuerpo"
"T039" "T039   Luxaciones, torceduras y esguinces mltiples, no especificados"
"T04" "T04   Traumatismos por aplastamiento que afectan mltiples regiones del cuerpo"
"T040" "T040   Traumatismos por aplastamiento que afectan la cabeza con el cuello"
"T041" "T041   Traumatismos por aplastamiento que afectan el trax con el abdomen, la regin lumbosacra y la pelvis"
"T042" "T042   Traumatismos por aplastamiento que afectan mltiples regiones del (de los) miembro(s) superior(es)"
"T043" "T043   Traumatismos por aplastamiento que afectan mltiples regiones del (de los) miembro(s) inferior(es)"
"T044" "T044   Traumatismos por aplastamiento que afecta mltiples regiones del (de los) miembro(s) superior(es) con miembro(s) inferior(es)"
"T047" "T047   Traumatismos por aplastamiento del trax, del abdomen, de la regin lumbosacra y de la pelvis con miembro(s)"
"T048" "T048   Traumatismos por aplastamiento que afectan otras combinaciones de regiones del cuerpo"
"T049" "T049   Traumatismos por aplastamiento mltiple, no especificados"
"T05" "T05   Amputaciones traumticas  que afectan mltiples regiones del cuerpo"
"T050" "T050   Amputacin traumtica de ambas manos"
"T051" "T051   Amputacin traumtica de una mano y el otro brazo [cualquier nivel, excepto mano]"
"T052" "T052   Amputacin traumtica de ambos brazos [cualquier nivel]"
"T053" "T053   Amputacin traumtica de ambos pies"
"T054" "T054   Amputacin traumtica de un pie y la otra pierna [cualquier nivel, excepto pie]"
"T055" "T055   Amputacin traumtica de ambas piernas [cualquier nivel]"
"T056" "T056   Amputacin traumtica de miembros superior(es) e inferior(es), cualquier combinacin [cualquier nivel]"
"T058" "T058   Amputacin traumtica que afecta otras combinaciones de regiones del cuerpo"
"T059" "T059   Amputaciones traumticas mltiples, no especificadas"
"T06" "T06   Otros traumatismos que afectan mltiples regiones del cuerpo, no clasificados en otra parte"
"T060" "T060   Traumatismos del encfalo y de nervios craneales con traumatismo de nervios y mdula espinal a nivel del cuello"
"T061" "T061   Traumatismos de nervios y mdula espinal que afectan otras mltiples regiones del cuerpo"
"T062" "T062   Traumatismos de nervios que afectan mltiples regiones del cuerpo"
"T063" "T063   Traumatismos de vasos sanguneos que afectan mltiples regiones del cuerpo"
"T064" "T064   Traumatismos de tendones y msculos que afectan mltiples regiones del cuerpo"
"T065" "T065   Traumatismos de rganos intratorcicos con rganos intraabdominales y plvicos"
"T068" "T068   Otros traumatismos especificados que afectan mltiples regiones del cuerpo"
"T07" "T07   Traumatismos mltiples, no especificados"
"T08" "T08   Fractura de la columna vertebral, nivel no especificado"
"T080" "T080   Fractura de la columna vertebral, nivel no especificado, cerrada"
"T081" "T081   Fractura de la columna vertebral, nivel no especificado, abierta"
"T09" "T09   Otros traumatismos de la columna vertebral y del tronco, nivel no especificado"
"T090" "T090   Traumatismo superficial del tronco, nivel no especificado"
"T091" "T091   Herida del tronco, nivel no especificado"
"T092" "T092   Luxacin, esguince o torcedura de articulacin y ligamentos del tronco, no especificado"
"T093" "T093   Traumatismo de la mdula espinal, nivel no especificado"
"T094" "T094   Traumatismo de nervios, raz de nervio espinal y plexos del tronco no especificados"
"T095" "T095   Traumatismo de tendones y msculos del tronco no especificados"
"T096" "T096   Amputacin traumtica del tronco, nivel no especificado"
"T098" "T098   Otros traumatismos especificados del tronco, nivel no especificado"
"T099" "T099   Traumatismo no especificado del tronco, nivel no especificado"
"T10" "T10   Fractura de miembro superior, nivel no especificado"
"T100" "T100   Fractura de miembro superior, nivel no especificado, cerrada"
"T101" "T101   Fractura de miembro superior, nivel no especificado, abierta"
"T11" "T11   Otros traumatismos de miembro superior, nivel no especificado"
"T110" "T110   Traumatismo superficial de miembro superior, nivel no especificado"
"T111" "T111   Herida de miembro superior, nivel no especificado"
"T112" "T112   Luxacin, esguince o torcedura de articulacin o ligamento no especificado de miembro superior, nivel no especificado"
"T113" "T113   Traumatismo de nervio no especificado de miembro superior, nivel no especificado"
"T114" "T114   Traumatismo de vasos sanguneos no especificados de miembro superior, nivel no especificado"
"T115" "T115   Traumatismo de tendn y msculo no especificados de miembro superior, nivel no especificado"
"T116" "T116   Amputacin traumtica de miembro superior, nivel no especificado"
"T118" "T118   Otros traumatismos especificados de miembro superior, nivel no especificado"
"T119" "T119   Traumatismo no especificado de miembro superior, nivel no especificado"
"T12" "T12   Fractura de miembro inferior, nivel no especificado"
"T120" "T120   Fractura de miembro inferior, nivel no especificado, cerrada"
"T121" "T121   Fractura de miembro inferior, nivel no especificado, abierta"
"T13" "T13   Otros traumatismos de miembro inferior, nivel no especificado"
"T130" "T130   Traumatismo superficial de miembro inferior, nivel no especificado."
"T131" "T131   Herida de miembro inferior, nivel no especificado"
"T132" "T132   Luxacin, esguince o torcedura de articulacin y ligamentos no especificados de miembro inferior, nivel no especificado"
"T133" "T133   Traumatismo de nervios no especificados de miembro inferior, nivel no especificado"
"T134" "T134   Traumatismo de vasos sanguneos no especificados de miembro inferior, nivel no especificado"
"T135" "T135   Traumatismo de tendones y msculos no especificados de miembro inferior, nivel no especificado"
"T136" "T136   Amputacin traumtica de miembro inferior, nivel no especificado"
"T138" "T138   Otros traumatismos especificados de miembro inferior, nivel no especificado"
"T139" "T139   Traumatismo no especificado de miembro inferior, nivel no especificado"
"T14" "T14   Traumatismo de regiones no especificadas del cuerpo"
"T140" "T140   Traumatismo superficial de regin no especificada del cuerpo"
"T141" "T141   Herida de regin no especificada del cuerpo"
"T142" "T142   Fractura de regin no especificada del cuerpo"
"T1420" "T1420   Fractura de regin no especificada del cuerpo, cerrada"
"T1421" "T1421   Fractura de regin no especificada del cuerpo, abierta"
"T143" "T143   Luxacin, esguince y torcedura de regin no especificada del cuerpo"
"T144" "T144   Traumatismo de nervio(s) de regin no especificada del cuerpo"
"T145" "T145   Traumatismo de vaso(s) sanguneo(s) de regin no especificada del cuerpo"
"T146" "T146   Traumatismo de tendones y msculos de regin no especificada del cuerpo"
"T147" "T147   Traumatismo por aplastamiento y amputacin traumtica de regiones no especificadas del cuerpo"
"T148" "T148   Otros traumatismos de regin no especificada del cuerpo"
"T149" "T149   Traumatismo, no especificado"
"T15" "T15   Cuerpo extrao en parte externa del ojo"
"T150" "T150   Cuerpo extrao en la crnea"
"T151" "T151   Cuerpo extrao en el saco conjuntival"
"T158" "T158   Cuerpo extrao en otras y en mltiples partes de la parte externa del ojo"
"T159" "T159   Cuerpo extrao en parte externa del ojo, sitio no especificado"
"T16" "T16   Cuerpo extrao del odo"
"T17" "T17   Cuerpo extrao en las vas respiratorias"
"T170" "T170   Cuerpo extrao en seno paranasal"
"T171" "T171   Cuerpo extrao en el orificio nasal"
"T172" "T172   Cuerpo extrao en la faringe"
"T173" "T173   Cuerpo extrao en la laringe"
"T174" "T174   Cuerpo extrao en la trquea"
"T175" "T175   Cuerpo extrao en bronquios"
"T178" "T178   Cuerpo extrao en otras y en mltiples partes de las vas respiratorias"
"T179" "T179   Cuerpo extrao en las vas respiratorias, parte no especificada"
"T18" "T18   Cuerpo extrao en el tubo digestivo"
"T180" "T180   Cuerpo extrao en la boca"
"T181" "T181   Cuerpo extrao en el esfago"
"T182" "T182   Cuerpo extrao en el estmago"
"T183" "T183   Cuerpo extrao en el intestino delgado"
"T184" "T184   Cuerpo extrao en el colon"
"T185" "T185   Cuerpo extrao en el ano y en el recto"
"T188" "T188   Cuerpo extrao en otras y en mltiples partes del tubo digestivo"
"T189" "T189   Cuerpo extrao en el tubo digestivo, parte no especificada"
"T19" "T19   Cuerpo extrao en las vas genitourinarias"
"T190" "T190   Cuerpo extrao en la uretra"
"T191" "T191   Cuerpo extrao en la vejiga"
"T192" "T192   Cuerpo extrao en la vulva y en la vagina"
"T193" "T193   Cuerpo extrao en eltero [cualquier parte]"
"T198" "T198   Cuerpo extrao en otras y en mltiples partes de las vas genitourinarias"
"T199" "T199   Cuerpo extrao en las vas genitourinarias, parte no especificada"
"T20" "T20   Quemadura y corrosin de la cabeza y del cuello"
"T200" "T200   Quemadura de la cabeza y del cuello, grado no especificado"
"T201" "T201   Quemadura de la cabeza y del cuello, de primer grado"
"T202" "T202   Quemadura de la cabeza y del cuello, de segundo grado"
"T203" "T203   Quemadura de la cabeza y del cuello, de tercer grado"
"T204" "T204   Corrosin de la cabeza y del cuello, grado no especificado"
"T205" "T205   Corrosin de la cabeza y del cuello, de primer grado"
"T206" "T206   Corrosin de la cabeza y del cuello, de segundo grado"
"T207" "T207   Corrosin de la cabeza y del cuello, de tercer grado"
"T21" "T21   Quemadura y corrosin del tronco"
"T210" "T210   Quemadura del tronco, grado no especificado"
"T211" "T211   Quemadura del tronco, de primer grado"
"T212" "T212   Quemadura del tronco, de segundo grado"
"T213" "T213   Quemadura del tronco, de tercer grado"
"T214" "T214   Corrosin del tronco, grado no especificado"
"T215" "T215   Corrosin del tronco, de primer grado"
"T216" "T216   Corrosin del tronco, de segundo grado"
"T217" "T217   Corrosin del tronco, de tercer grado"
"T22" "T22   Quemadura y corrosin del hombro y miembro superior, excepto de la mueca y de la mano"
"T220" "T220   Quemadura del hombro y miembro superior, grado no especificado, excepto de la mueca y de la mano"
"T221" "T221   Quemadura del hombro y miembro superior, de primer grado, excepto de la mueca y de la mano"
"T222" "T222   Quemadura del hombro y miembro superior, de segundo grado, excepto de la mueca y de la mano"
"T223" "T223   Quemadura del hombro y miembro superior, de tercer grado, excepto de la mueca y de la mano"
"T224" "T224   Corrosin del hombro y miembro superior, grado no especificado, excepto de la mueca y de la mano"
"T225" "T225   Corrosin del hombro y miembro superior, de primer grado, excepto de la mueca y de la mano"
"T226" "T226   Corrosin del hombro y miembro superior, de segundo grado, excepto de la mueca y de la mano"
"T227" "T227   Corrosin del hombro y miembro superior, de tercer grado, excepto de la mueca y de la mano"
"T23" "T23   Quemadura y corrosin de la mueca y de la mano"
"T230" "T230   Quemadura de la mueca y de la mano, grado no especificado"
"T231" "T231   Quemadura de la mueca y de la mano, de primer grado"
"T232" "T232   Quemadura de la mueca y de la mano, de segundo grado"
"T233" "T233   Quemadura de la mueca y de la mano, de tercer grado"
"T234" "T234   Corrosin de la mueca y de la mano, grado no especificado"
"T235" "T235   Corrosin de la mueca y de la mano, de primer grado"
"T236" "T236   Corrosin de la mueca y de la mano, de segundo grado"
"T237" "T237   Corrosin de la mueca y de la mano, de tercer grado"
"T24" "T24   Quemadura y corrosin de la cadera y miembro inferior, excepto tobillo y pie"
"T240" "T240   Quemadura de la cadera y miembro inferior, grado no especificado, excepto tobillo y pie"
"T241" "T241   Quemadura de la cadera y miembro inferior, de primer grado, excepto tobillo y pie"
"T242" "T242   Quemadura de la cadera y miembro inferior, de segundo grado , excepto tobillo y pie"
"T243" "T243   Quemadura de la cadera y miembro inferior, de tercer grado, excepto tobillo y pie"
"T244" "T244   Corrosin de la cadera y miembro inferior, grado no especificado, excepto tobillo y pie"
"T245" "T245   Corrosin de la cadera y miembro inferior, de primer grado, excepto tobillo y pie"
"T246" "T246   Corrosin de la cadera y miembro inferior, de segundo grado, excepto tobillo y pie"
"T247" "T247   Corrosin de la cadera y miembro inferior, de tercer grado, excepto tobillo y pie"
"T25" "T25   Quemadura y corrosin del tobillo y del pie"
"T250" "T250   Quemadura del tobillo y del pie, grado no especificado"
"T251" "T251   Quemadura del tobillo y del pie, de primer grado"
"T252" "T252   Quemadura del tobillo y del pie, de segundo grado"
"T253" "T253   Quemadura del tobillo y del pie, de tercer grado"
"T254" "T254   Corrosin del tobillo y del pie, grado no especificado"
"T255" "T255   Corrosin del tobillo y del pie, de primer grado"
"T256" "T256   Corrosin del tobillo y del pie, de segundo grado"
"T257" "T257   Corrosin del tobillo y del pie, de tercer grado"
"T26" "T26   Quemadura y corrosin limitada al ojo y sus anexos"
"T260" "T260   Quemadura del prpado y rea periocular"
"T261" "T261   Quemadura de la crnea y saco conjuntival"
"T262" "T262   Quemadura con ruptura y destruccin resultantes del globo ocular"
"T263" "T263   Quemadura de otras partes del ojo y sus anexos"
"T264" "T264   Quemadura del ojo y anexos, parte no especificada"
"T265" "T265   Corrosin del prpado y rea periocular"
"T266" "T266   Corrosin de la crnea y saco conjuntival"
"T267" "T267   Corrosin con ruptura y destruccin resultantes del globo ocular"
"T268" "T268   Corrosin de otras partes del ojo y sus anexos"
"T269" "T269   Corrosin del ojo y sus anexos, parte no especificada"
"T27" "T27   Quemadura y corrosin de las vas respiratorias"
"T270" "T270   Quemadura de la laringe y de la trquea"
"T271" "T271   Quemadura que afecta la laringe y la trquea con el pulmn"
"T272" "T272   Quemadura de otras partes de las vas respiratorias"
"T273" "T273   Quemadura de las vas respiratorias, parte no especificada"
"T274" "T274   Corrosin de la laringe y de la trquea"
"T275" "T275   Corrosin que afecta la laringe y la trquea con el pulmn"
"T276" "T276   Corrosin de otras partes de las vas respiratorias"
"T277" "T277   Corrosin de las vas respiratorias, parte no especificada"
"T28" "T28   Quemadura y corrosin de otros rganos internos"
"T280" "T280   Quemadura de la boca y de la faringe"
"T281" "T281   Quemadura del esfago"
"T282" "T282   Quemadura de otras partes del tubo digestivo"
"T283" "T283   Quemadura de rganos genitourinarios internos"
"T284" "T284   Quemadura de otros rganos internos y de los no especificados"
"T285" "T285   Corrosin de la boca y de la faringe"
"T286" "T286   Corrosin del esfago"
"T287" "T287   Corrosin de otras partes del tubo digestivo"
"T288" "T288   Corrosin de rganos genitourinarios internos"
"T289" "T289   Corrosin de otros rganos internos y de los no especificados"
"T29" "T29   Quemaduras y corrosiones de mltiples regiones del cuerpo"
"T290" "T290   Quemaduras de mltiples regiones, grado no especificado"
"T291" "T291   Quemaduras de mltiples regiones, mencionadas como de no ms de primer grado"
"T292" "T292   Quemaduras de mltiples regiones, mencionadas como de no ms de segundo grado"
"T293" "T293   Quemaduras mltiples, con mencin al menos de una Quemadura de tercer grado"
"T294" "T294   Corrosiones de mltiples regiones, grado no especificado"
"T295" "T295   Corrosiones mltiples, mencionadas como de no ms de primer grado"
"T296" "T296   Corrosiones mltiples, mencionadas como de no ms de segundo grado"
"T297" "T297   Corrosiones mltiples, con mencin al menos de una corrosin de tercer grado"
"T30" "T30   Quemadura y corrosin, regin del cuerpo no especificada"
"T300" "T300   Quemadura de regin del cuerpo y grado no especificados"
"T301" "T301   Quemadura de primer grado, regin del cuerpo no especificada"
"T302" "T302   Quemadura de segundo grado, regin del cuerpo no especificada"
"T303" "T303   Quemadura de tercer grado, regin del cuerpo no especificada"
"T304" "T304   Corrosin de regin del cuerpo y grado no especificados"
"T305" "T305   Corrosin de primer grado, regin del cuerpo no especificada"
"T306" "T306   Corrosin de segundo grado, regin del cuerpo no especificada"
"T307" "T307   Corrosin de tercer grado, regin del cuerpo no especificada"
"T31" "T31   Quemaduras clasificadas segn la extensin de la superficie del cuerpo afectada"
"T310" "T310   Quemaduras que afectan menos del 10% de la superficie del cuerpo"
"T311" "T311   Quemaduras que afectan del 10 al 19% de la superficie del cuerpo"
"T312" "T312   Quemaduras que afectan del 20 al 29% de la superficie del cuerpo"
"T313" "T313   Quemaduras que afectan del 30 al 39% de la superficie del cuerpo"
"T314" "T314   Quemaduras que afectan del 40 al 49% de la superficie del cuerpo"
"T315" "T315   Quemaduras que afectan del 50 al 59% de la superficie del cuerpo"
"T316" "T316   Quemaduras que afectan del 60 al 69% de la superficie del cuerpo"
"T317" "T317   Quemaduras que afectan del 70 al 79% de la superficie del cuerpo"
"T318" "T318   Quemaduras que afectan del 80 al 89% de la superficie del cuerpo"
"T319" "T319   Quemaduras que afectan el 90% o ms de la superficie del cuerpo"
"T32" "T32   Corrosiones clasificadas segn la extensin de la superficie del cuerpo afectada"
"T320" "T320   Corrosiones que afectan menos del 10% de la superficie del cuerpo"
"T321" "T321   Corrosiones que afectan del 10 al 19% de la superficie del cuerpo"
"T322" "T322   Corrosiones que afectan del 20 al 29% de la superficie del cuerpo"
"T323" "T323   Corrosiones que afectan del 30 al 39% de la superficie del cuerpo"
"T324" "T324   Corrosiones que afectan del 40 al 49% de la superficie del cuerpo"
"T325" "T325   Corrosiones que afectan del 50 al 59% de la superficie del cuerpo"
"T326" "T326   Corrosiones que afectan del 60 al 69% de la superficie del cuerpo"
"T327" "T327   Corrosiones que afectan del 70 al 79% de la superficie del cuerpo"
"T328" "T328   Corrosiones que afectan del 80 al 89% de la superficie del cuerpo"
"T329" "T329   Corrosiones que afectan el 90% o ms de la superficie del cuerpo"
"T33" "T33   Congelamiento superficial"
"T330" "T330   Congelamiento superficial de la cabeza"
"T331" "T331   Congelamiento superficial del cuello"
"T332" "T332   Congelamiento superficial del trax"
"T333" "T333   Congelamiento superficial de la pared abdominal, regin lumbosacra y pelvis"
"T334" "T334   Congelamiento superficial del brazo"
"T335" "T335   Congelamiento superficial de la mueca y de la mano"
"T336" "T336   Congelamiento superficial de la cadera y del muslo"
"T337" "T337   Congelamiento superficial de la rodilla y de la pierna"
"T338" "T338   Congelamiento superficial del tobillo y del pie"
"T339" "T339   Congelamiento superficial de otros sitios y de los no especificados"
"T34" "T34   Congelamiento con necrosis tisular"
"T340" "T340   Congelamiento con necrosis tisular de la cabeza"
"T341" "T341   Congelamiento con necrosis tisular del cuello"
"T342" "T342   Congelamiento con necrosis tisular del trax"
"T343" "T343   Congelamiento con necrosis tisular de la pared abdominal, regin lumbosacra y pelvis"
"T344" "T344   Congelamiento con necrosis tisular del brazo"
"T345" "T345   Congelamiento con necrosis tisular de la mueca y de la mano"
"T346" "T346   Congelamiento con necrosis tisular de la cadera y del muslo"
"T347" "T347   Congelamiento con necrosis tisular de la rodilla y de la pierna"
"T348" "T348   Congelamiento con necrosis tisular del tobillo y del pie"
"T349" "T349   Congelamiento con necrosis tisular de otros sitios y de los no especificados"
"T35" "T35   Congelamiento que afecta mltiples regiones del cuerpo y congelamiento no especificado"
"T350" "T350   Congelamiento superficial que afecta mltiples regiones del cuerpo"
"T351" "T351   Congelamiento con necrosis tisular que afecta mltiples regiones del cuerpo"
"T352" "T352   Congelamiento no especificado de la cabeza y del cuello"
"T353" "T353   Congelamiento no especificado del trax, del abdomen, de la regin lumbosacra y de la pelvis"
"T354" "T354   Congelamiento no especificado del miembro superior"
"T355" "T355   Congelamiento no especificado del miembro inferior"
"T356" "T356   Congelamiento no especificado que afecta mltiples regiones del cuerpo"
"T357" "T357   Congelamiento no especificado, de sitio no especificado"
"T36" "T36   Envenenamiento por antibiticos sistmicos"
"T360" "T360   Envenenamiento por penicilinas"
"T361" "T361   Envenenamiento por cefalosporinas y otros antibiticos beta-lactmicos"
"T362" "T362   Envenenamiento por antibiticos del grupo del cloramfenicol"
"T363" "T363   Envenenamiento por macrlidos"
"T364" "T364   Envenenamiento por tetraciclinas"
"T365" "T365   Envenenamiento por aminoglucsidos"
"T366" "T366   Envenenamiento por rifamicinas"
"T367" "T367   Envenenamiento por antibiticos antimicticos usados sistmicamente"
"T368" "T368   Envenenamiento por otros antibiticos sistmicos"
"T369" "T369   Envenenamiento por antibiticos sistmicos, no especificados"
"T37" "T37   Envenenamiento por otros antiinfecciosos y antiparasitarios sistmicos"
"T370" "T370   Envenenamiento por sulfonamidas"
"T371" "T371   Envenenamiento por drogas antimicobacterianas"
"T372" "T372   Envenenamiento por antipaldicos y drogas de accin contra otros protozoarios sanguneos"
"T373" "T373   Envenenamiento por otras drogas antiprotozoarias"
"T374" "T374   Envenenamiento por antihelmnticos"
"T375" "T375   Envenenamiento por drogas antivirales"
"T378" "T378   Envenenamiento por otros antiinfecciosos y antiparasitarios sistmicos especificados"
"T379" "T379   Envenenamiento por antiinfecciosos y antiparasitarios sistmicos, no especificados"
"T38" "T38   Envenenamiento por hormonas y sus sustitutos y antagonistas sintticos, no clasificados en otra parte"
"T380" "T380   Envenenamiento por glucocorticoides y anlogos sintticos"
"T381" "T381   Envenenamiento por hormonas tiroideas y sustitutos"
"T382" "T382   Envenenamiento por drogas antitiroideas"
"T383" "T383   Envenenamiento por insulina y drogas hipoglucemiantes orales [antidiabticas]"
"T384" "T384   Envenenamiento por anticonceptivos orales"
"T385" "T385   Envenenamiento por otros estrgenos y progestgenos"
"T386" "T386   Envenenamiento por antigonadotrofinas, antiestrgenos y antiandrgenos, no clasificados en otra parte"
"T387" "T387   Envenenamiento por andrgenos y sus congneres anablicos"
"T388" "T388   Envenenamiento por otras hormonas y sustitutos sintticos y los no especificados"
"T389" "T389   Envenenamiento por otros antagonistas de las hormonas y los no especificados"
"T39" "T39   Envenenamiento por analgsicos no narcticos, antipirticos y antirreumticos"
"T390" "T390   Envenenamiento por salicilatos"
"T391" "T391   Envenenamiento por derivados del paraaminofenol"
"T392" "T392   Envenenamiento por derivados de la pirazolona"
"T393" "T393   Envenenamiento por otras drogas antiiflamatorias no esteroideas [DAINE]"
"T394" "T394   Envenenamiento por antirreumticos, no clasificados en otra parte"
"T398" "T398   Envenenamiento por otros analgsicos no narcticos y antipirticos, no clasificados en otra parte"
"T399" "T399   Envenenamiento por analgsicos no narcticos, antipirticos y antirreumticos, no especificados"
"T40" "T40   Envenenamiento por narcticos y psicodislpticos (alucingenos)"
"T400" "T400   Envenenamiento por opio"
"T401" "T401   Envenenamiento por herona"
"T402" "T402   Envenenamiento por otros opiceos"
"T403" "T403   Envenenamiento por metadona"
"T404" "T404   Envenenamiento por otros narcticos sintticos"
"T405" "T405   Envenenamiento por cocana"
"T406" "T406    Envenenamiento por otros narcticos y los no especificados"
"T407" "T407   Envenenamiento por cannabis (derivados)"
"T408" "T408   Envenenamiento por acido lisrgico [LSD]"
"T409" "T409   Envenenamiento por otros psicodislpticos y los no especificados [alucingenos]"
"T41" "T41   Envenenamiento por anestsicos y gases teraputicos"
"T410" "T410   Envenenamiento por anestsicos por inhalacin"
"T411" "T411   Envenenamiento por anestsicos intravenosos"
"T412" "T412   Envenenamiento por otros anestsicos generales y los no especificados"
"T413" "T413   Envenenamiento por anestsicos locales"
"T414" "T414   Envenenamiento por anestsicos, no especificados"
"T415" "T415   Envenenamiento por gases teraputicos"
"T42" "T42   Envenenamiento por antiepilpticos, hipnticos-sedantes y drogas antiparkinsonianas"
"T420" "T420   Envenenamiento por derivados de la hidantona"
"T421" "T421   Envenenamiento por iminostilbenos"
"T422" "T422   Envenenamiento por succinamidas y derivados de la oxazolidina"
"T423" "T423   Envenenamiento por barbitricos"
"T424" "T424   Envenenamiento por benzodiazepinas"
"T425" "T425   Envenenamiento por antiepilpticos mixtos, no clasificados en otra parte"
"T426" "T426   Envenenamiento por otros antiepilpticos y drogas hipntico-sedantes"
"T427" "T427   Envenenamiento por antiepilpticos y drogas hipntico-sedantes, no especificados"
"T428" "T428   Envenenamiento por drogas antiparkinsonianas y otros depresores del tono muscular central"
"T43" "T43   Envenenamiento por psicotrpicos, no clasificados en otra parte"
"T430" "T430   Envenenamiento por antidepresivos tricclicos y tetracclicos"
"T431" "T431   Envenenamiento por antidepresivos inhibidores de la monoaminoxidasa"
"T432" "T432   Envenenamiento por otros antidepresivos y los no especificados"
"T433" "T433   Envenenamiento por antipsicticos y neurolpticos fenotiacnicos"
"T434" "T434   Envenenamiento por butirofenona y neurolpticos tioxantnicos"
"T435" "T435   Envenenamiento por otros antipsicticos y neurolpticos y los no especificados"
"T436" "T436   Envenenamiento por psicoestimulantes con abuso potencial"
"T438" "T438   Envenenamiento por otras drogas psicotrpicas, no clasificadas en otra parte"
"T439" "T439   Envenenamiento por droga psicotrpica, no especificada"
"T44" "T44   Envenenamiento por drogas que afectan principalmente el sistema nervioso autnomo"
"T440" "T440   Envenenamiento por agentes anticolinesterasa"
"T441" "T441   Envenenamiento por otros parasimpticomimticos [colinrgicos]"
"T442" "T442   Envenenamiento por drogas bloqueadoras ganglionares, no clasificadas en otra parte"
"T443" "T443   Envenenamiento por otros parasimpaticolticos [anticolinrgicos y antimuscarnicos] y espasmolticos, no clasificados en otra parte"
"T444" "T444   Envenenamiento por agonistas, predominantemente alfa-adrenrgicos, no clasificados en otra parte"
"T445" "T445   Envenenamiento por agonistas, predominantemente beta-adrenrgicos, no clasificados en otra parte"
"T446" "T446   Envenenamiento por antagonistas alfa-adrenrgicos, no clasificados en otra parte"
"T447" "T447   Envenenamiento por antagonistas beta-adrenrgicos, no clasificados en otra parte"
"T448" "T448   Envenenamiento por agentes de accin central y bloqueadores neuronales adrenrgicos, no clasificados en otra parte"
"T449" "T449   Envenenamiento por otras drogas y las no especificadas que afectan principalmente el sistema nervioso autnomo"
"T45" "T45   Envenenamiento por agentes principalmente sistmicos y hematolgicos, no clasificados en otra parte"
"T450" "T450   Envenenamiento por drogas antialrgicas y antiemticas"
"T451" "T451   Envenenamiento por drogas antineoplsicas e inmunosupresoras"
"T452" "T452   Envenenamiento por vitaminas, no clasificadas en otra parte"
"T453" "T453   Envenenamiento por enzimas, no clasificadas en otra parte"
"T454" "T454   Envenenamiento por hierro y sus compuestos"
"T455" "T455   Envenenamiento por anticoagulantes"
"T456" "T456   Envenenamiento por drogas que afectan la fibrinlisis"
"T457" "T457   Envenenamiento por antagonistas de anticoagulantes, vitamina K y otros coagulantes"
"T458" "T458   Envenenamiento por otros agentes principalmente sistmicos y hematolgicos"
"T459" "T459   Envenenamiento por agentes principalmente sistmicos y hematolgicos, no especificados"
"T46" "T46   Envenenamiento por agentes que afectan principalmente el sistema cardiovascular"
"T460" "T460   Envenenamiento por glucsidos cardiotnicos y medicamentos de accin similar"
"T461" "T461   Envenenamiento por bloqueadores del canal del calcio"
"T462" "T462   Envenenamiento por otras drogas antiarrtmicas, no clasificadas en otra parte"
"T463" "T463   Envenenamiento por vasodilatadores coronarios, no clasificados en otra parte"
"T464" "T464   Envenenamiento por inhibidores de la enzima convertidora de la angiotensina"
"T465" "T465   Envenenamiento por otras drogas antihipertensivas, no clasificadas en otra parte"
"T466" "T466   Envenenamiento por drogas antilipmicas y antiarteriosclerticas"
"T467" "T467   Envenenamiento por vasodilatadores perifricos"
"T468" "T468   Envenenamiento por drogas antivaricosas, inclusive agentes esclerosantes"
"T469" "T469   Envenenamiento por otros agentes y los no especificados que afectan principalmente el sistema cardiovascular"
"T47" "T47   Envenenamiento por agentes que afectan principalmente el sistema gastrointestinal"
"T470" "T470   Envenenamiento por antagonistas del receptor H2 de histamina"
"T471" "T471   Envenenamiento por otras drogas anticidas y que inhiben la secrecin gstrica"
"T472" "T472   Envenenamiento por laxantes estimulantes"
"T473" "T473   Envenenamiento por laxantes salinos y osmticos"
"T474" "T474   Envenenamiento por otros laxantes"
"T475" "T475   Envenenamiento por digestivos"
"T476" "T476   Envenenamiento por drogas antidiarreicas"
"T477" "T477   Envenenamiento por emticos"
"T478" "T478   Envenenamiento por otros agentes que afectan principalmente el sistema gastrointestinal"
"T479" "T479   Envenenamiento por agentes no especificados que afectan principalmente el sistema gastrointestinal"
"T48" "T48   Envenenamiento por agentes con accin principal sobre los msculos lisos y esquelticos y sobre el sistema respiratorio"
"T480" "T480   Envenenamiento por drogas oxitcicas"
"T481" "T481   Envenenamiento por relajantes musculoesquelticos [agentes bloqueadores neuromusculares]"
"T482" "T482   Envenenamiento por otros medicamentos y los no especificados de accin principal sobre los msculos"
"T483" "T483   Envenenamiento por antitusgenos"
"T484" "T484   Envenenamiento por expectorantes"
"T485" "T485   Envenenamiento por drogas contra el catarro comn"
"T486" "T486   Envenenamiento por antiasmticos, no clasificados en otra parte"
"T487" "T487   Envenenamiento por otros agentes y los no especificados de accin principal sobre el sistema respiratorio"
"T49" "T49   Envenenamiento por agentes tpicos que afectan principalmente la piel y las membranas mucosas y por drogas oftalmolgicas, otorrinolaringolgicas y dentales"
"T490" "T490   Envenenamiento por drogas locales antimicticas, antiinfecciosas y antiinflamatorias, no clasificadas en otra parte"
"T491" "T491   Envenenamiento por antiprurticos"
"T492" "T492   Envenenamiento por astringentes y detergentes locales"
"T493" "T493   Envenenamiento por emolientes, demulcentes y protectores"
"T494" "T494   Envenenamiento por queratolticos, queratoplsticos, drogas y otras preparaciones para el tratamiento del cabello"
"T495" "T495   Envenenamiento por drogas y preparaciones oftalmolgicas"
"T496" "T496   Envenenamiento por drogas y preparaciones otorrinolaringolgicas"
"T497" "T497   Envenenamiento por drogas dentales, aplicadas tpicamente"
"T498" "T498   Envenenamiento por otros agentes tpicos"
"T499" "T499   Envenenamiento por agentes tpicos, no especificados"
"T50" "T50   Envenenamiento por diurticos y otras drogas, medicamentos y sustancias biolgicas no especificadas"
"T500" "T500   Envenenamiento por mineralocorticoides y sus antagonistas"
"T501" "T501   Envenenamiento por diurticos del asa [dintel alto]"
"T502" "T502   Envenenamiento por inhibidores de la anhidrasa del cido carbnico, benzotiazidas y otros diurticos"
"T503" "T503   Envenenamiento por agentes del equilibrio hidroltico, electroltico y calrico"
"T504" "T504   Envenenamiento por drogas que afectan el metabolismo del cidorico"
"T505" "T505   Envenenamiento por depresores del apetito"
"T506" "T506   Envenenamiento por antdotos y agentes quelantes, no clasificados en otra parte"
"T507" "T507   Envenenamiento por analpticos y antagonistas del opio"
"T508" "T508   Envenenamiento por agentes diagnsticos"
"T509" "T509   Envenenamiento por otras drogas y sustancias biolgicas, y las no especificadas"
"T51" "T51   Efecto txico del alcohol"
"T510" "T510   Efecto txico del etanol"
"T511" "T511   Efecto txico del metanol"
"T512" "T512   Efecto txico del propanol-2"
"T513" "T513   Efecto txico del licor de alcohol insuficientemente destilado"
"T518" "T518   Efecto txico de otros alcoholes"
"T519" "T519   Efecto txico del alcohol, no especificado"
"T52" "T52   Efecto txico de disolventes orgnicos"
"T520" "T520   Efecto txico de productos del petrleo"
"T521" "T521   Efecto txico del benceno"
"T522" "T522   Efecto txico de homlogos del benceno"
"T523" "T523   Efecto txico de glicoles"
"T524" "T524   Efecto txico de cetonas"
"T528" "T528   Efecto txico de otros disolventes orgnicos"
"T529" "T529   Efecto txico de disolventes orgnicos, no especificados"
"T53" "T53   Efecto txico de los derivados halogenados de los hidrocarburos alifticos y aromticos"
"T530" "T530   Efecto txico del tetracloruro de carbono"
"T531" "T531   Efecto txico del cloroformo"
"T532" "T532   Efecto txico del tricloroetileno"
"T533" "T533   Efecto txico del tetracloroetileno"
"T534" "T534   Efecto txico del dicloroetano"
"T535" "T535   Efecto txico de clorofluorocarburos"
"T536" "T536   Efecto txico de otros derivados halogenados de hidrocarburos alifticos"
"T537" "T537   Efecto txico de otros derivados halogenados de hidrocarburos aromticos"
"T539" "T539   Efecto txico de derivados halogenados de hidrocarburos alifticos y aromticos, no especificados"
"T54" "T54   Efecto txico de sustancias corrosivas"
"T540" "T540   Efecto txico de fenol y homlogos del fenol"
"T541" "T541   Efecto txico de otros compuestos orgnicos corrosivos"
"T542" "T542   Efecto txico de cidos corrosivos y sustancias cidas similares"
"T543" "T543   Efecto txico de lcalis custicos y sustancias alcalinas similares"
"T549" "T549   Efecto txico de sustancia corrosiva, no especificada"
"T55" "T55   Efecto txico de detergentes y jabones"
"T56" "T56   Efecto txico de metales"
"T560" "T560   Efecto txico del plomo y sus compuestos"
"T561" "T561   Efecto txico del mercurio y sus compuestos"
"T562" "T562   Efecto txico del cromo y sus compuestos"
"T563" "T563   Efecto txico del cadmio y sus compuestos"
"T564" "T564   Efecto txico del cobre y sus compuestos"
"T565" "T565   Efecto txico del zinc y sus compuestos"
"T566" "T566   Efecto txico del estao y sus compuestos"
"T567" "T567   Efecto txico del berilio y sus compuestos"
"T568" "T568   Efecto txico de otros metales"
"T569" "T569   Efecto txico de metal, no especificado"
"T57" "T57   Efecto txico de otras sustancias inorgnicas"
"T570" "T570   Efecto txico del arsnico y sus compuestos"
"T571" "T571   Efecto txico del fsforo y sus compuestos"
"T572" "T572   Efecto txico del manganeso y sus compuestos"
"T573" "T573   Efecto txico del cido cianhdrico"
"T578" "T578   Efecto txico de otras sustancias inorgnicas, especificadas"
"T579" "T579   Efecto txico de sustancia inorgnica, no especificada"
"T58" "T58   Efecto txico del monxido de carbono"
"T59" "T59   Efecto txico de otros gases, humos y vapores"
"T590" "T590   Efecto txico de xidos de nitrgeno"
"T591" "T591   Efecto txico del dixido de sulfuro"
"T592" "T592   Efecto txico del formaldehdo"
"T593" "T593   Efecto txico del gas lacrimgeno"
"T594" "T594   Efecto txico del cloro gaseoso"
"T595" "T595   Efecto txico del gas de flor y fluoruro de hidrgeno"
"T596" "T596   Efecto txico del sulfuro de hidrgeno"
"T597" "T597   Efecto txico del dixido de carbono"
"T598" "T598   Efecto txico de otros gases, humos y vapores especificados"
"T599" "T599   Efecto txico de gases, humos y vapores no especificados"
"T60" "T60   Efecto txico de plaguicidas (pesticidas)"
"T600" "T600   Efecto txico de insecticidas organofosforados y carbamatos"
"T601" "T601   Efecto txico de insecticidas halogenados"
"T602" "T602   Efecto txico de otros insecticidas"
"T603" "T603   Efecto txico de herbicidas y fungicidas"
"T604" "T604   Efecto txico de rodenticidas"
"T608" "T608   Efecto txico de otros plaguicidas"
"T609" "T609   Efecto txico de plaguicida, no especificado"
"T61" "T61   Efecto txico de sustancias nocivas ingeridas como alimentos marinos"
"T610" "T610   Envenenamiento ciguatero por pescado"
"T611" "T611   Envenenamiento escombroideo por pescado"
"T612" "T612   Otros envenenamientos por pescados y mariscos"
"T618" "T618   Efecto txico de otros alimentos marinos"
"T619" "T619   Efecto txico de alimentos marinos no especificados"
"T62" "T62   Efecto txico de otras sustancias nocivas ingeridas como alimento"
"T620" "T620   Efecto txico de hongos ingeridos"
"T621" "T621   Efecto txico de bayas ingeridas"
"T622" "T622   Efecto txico de otra(s) (partes de) planta(s) ingerida(s)"
"T628" "T628   Efecto txico de otras sustancias nocivas especificadas ingeridas como alimento"
"T629" "T629   Efecto txico de sustancia nociva ingerida como alimento, no especificada"
"T63" "T63   Efecto txico del contacto con animales venenosos"
"T630" "T630   Efecto txico del veneno de serpiente"
"T631" "T631   Efecto txico del veneno de otros reptiles"
"T632" "T632   Efecto txico del veneno de escorpin"
"T633" "T633   Efecto txico del veneno de araas"
"T634" "T634   Efecto txico del veneno de otros artrpodos"
"T635" "T635   Efecto txico del contacto con peces"
"T636" "T636   Efecto txico del contacto con otros animales marinos"
"T638" "T638   Efectos txicos del contacto con otros animales venenosos"
"T639" "T639   Efecto txico del contacto con animal venenoso no especificado"
"T64" "T64   Efecto txico de aflatoxina y otras micotoxinas contaminantes de alimentos"
"T65" "T65   Efecto txico de otras sustancias y las no especificadas"
"T650" "T650   Efecto txico del cianuro"
"T651" "T651   Efecto txico de la estricnina y sus sales"
"T652" "T652   Efecto txico del tabaco y la nicotina"
"T653" "T653   Efecto txico de nitroderivados y aminoderivados del benceno y sus homlogos"
"T654" "T654   Efecto txico del bisulfuro de carbono"
"T655" "T655   Efecto txico de nitroglicerina y otros cidos y steres ntricos"
"T656" "T656   Efecto txico de pinturas y colorantes, no clasificados en otra parte"
"T658" "T658   Efecto txico de otras sustancias especificadas"
"T659" "T659   Efecto txico de sustancia no especificada"
"T66" "T66   Efectos no especificados de la radiacin"
"T67" "T67   Efectos del calor y de la luz"
"T670" "T670   Golpe de calor e insolacin"
"T671" "T671   Sncope por calor"
"T672" "T672   Calambre por calor"
"T673" "T673   Agotamiento por calor, anhidrtico"
"T674" "T674   Agotamiento por calor debida a deplecin de sal"
"T675" "T675   Agotamiento por calor no especificado"
"T676" "T676   Fatiga por calor, transitoria"
"T677" "T677   Edema por calor"
"T678" "T678   Otros efectos del calor y de la luz"
"T679" "T679   Efecto del calor y de la luz, no especificado"
"T68" "T68   Hipotermia"
"T69" "T69   Otros efectos de la reduccin de la temperatura"
"T690" "T690   Mano y pie de inmersin"
"T691" "T691   Saban(es)"
"T698" "T698   Otros efectos especificados de la reduccin de la temperatura"
"T699" "T699   Efecto de la reduccin de la temperatura, no especificado"
"T70" "T70   Efectos de la presin del aire y de la presin del agua"
"T700" "T700   Barotrauma ottico"
"T701" "T701   Barotrauma sinusal"
"T702" "T702   Otros efectos y los no especificados de la gran altitud"
"T703" "T703   Enfermedad por descompresin  [de los cajones sumergidos]"
"T704" "T704   Efectos de lquidos con alta presin"
"T708" "T708   Otros efectos de la presin del aire y del agua"
"T709" "T709   Efecto de la presin del aire y del agua, no especificado"
"T71" "T71   Asfixia"
"T73" "T73   Efectos de otras privaciones"
"T730" "T730   Efectos del hambre"
"T731" "T731   Efectos de la sed"
"T732" "T732   Agotamiento debido a exposicin a la intemperie"
"T733" "T733   Agotamiento debido a esfuerzo excesivo"
"T738" "T738   Otros efectos de privacin"
"T739" "T739   Efectos de privacin, no especificados"
"T74" "T74   Sndrome del maltrato"
"T740" "T740   Negligencia o abandono"
"T741" "T741   Abuso fsico"
"T742" "T742   Abuso sexual"
"T743" "T743   Abuso psicolgico"
"T748" "T748   Otros sndromes del maltrato"
"T749" "T749   Sndrome del maltrato, no especificado"
"T75" "T75   Efectos de otras causas externas"
"T750" "T750   Efectos del rayo"
"T751" "T751   Ahogamiento y sumersin no mortal"
"T752" "T752   Efectos de la vibracin"
"T753" "T753   Mal del movimiento"
"T754" "T754   Efectos de la corriente elctrica"
"T758" "T758   Otros efectos especificados de causas externas"
"T78" "T78   Efectos adversos, no clasificados en otra parte"
"T780" "T780   Choque anafilctico debido a reaccin adversa a alimentos"
"T781" "T781   Otra reaccin adversa a alimentos, no clasificada en otra parte"
"T782" "T782   Choque anafilctico, no especificado"
"T783" "T783   Edema angioneurtico"
"T784" "T784   Alergia no especificada"
"T788" "T788   Otros efectos adversos, no clasificados en otra parte"
"T789" "T789   Efecto adverso no especificado"
"T79" "T79   Algunas complicaciones precoces de traumatismos, no clasificadas en otra parte"
"T790" "T790   Embolia gaseosa (traumtica)"
"T791" "T791   Embolia grasa (traumtica)"
"T792" "T792   Hemorragia traumtica secundaria y recurrente"
"T793" "T793   Infeccin postraumtica de herida, no clasificada en otra parte"
"T794" "T794   Choque traumtico"
"T795" "T795   Anuria traumtica"
"T796" "T796   Isquemia traumtica de msculo"
"T797" "T797   Enfisema subcutneo traumtico"
"T798" "T798   Otras complicaciones precoces de los traumatismos"
"T799" "T799   Complicaciones precoces no especificadas de los traumatismos"
"T80" "T80   Complicaciones consecutivas a infusin, transfusin e inyeccin teraputica"
"T800" "T800   Embolia gaseosa consecutiva a infusin, transfusin e inyeccin teraputica"
"T801" "T801   Complicaciones vasculares consecutivas a infusin, transfusin e inyeccin teraputica"
"T802" "T802   Infecciones consecutivas a infusin, transfusin e inyeccin teraputica"
"T803" "T803   Reaccin de incompatibilidad al grupo ABO"
"T804" "T804   Reaccin de incompatibilidad a Rh"
"T805" "T805   Choque anafilctico debido a suero"
"T806" "T806   Otras reacciones al suero"
"T808" "T808   Otras complicaciones consecutivas a infusin, transfusin e inyeccin teraputica"
"T809" "T809   Complicaciones no especificadas consecutivas a infusin, transfusin e inyeccin teraputica"
"T81" "T81   Complicaciones de procedimientos, no clasificadas en otra parte"
"T810" "T810   Hemorragia y hematoma que complican un procedimiento, no clasificados en otra parte"
"T811" "T811   Choque durante o resultante de un procedimiento, no clasificado en otra parte"
"T812" "T812   Puncin o laceracin accidental durante un procedimiento, no clasificadas en otra parte"
"T813" "T813   Desgarro de herida operatoria, no clasificado en otra parte"
"T814" "T814   Infeccin consecutiva a procedimiento, no clasificada en otra parte"
"T815" "T815   Cuerpo extrao dejado accidentalmente en cavidad corporal o en herida operatoria consecutiva a procedimiento"
"T816" "T816   Reaccin aguda a sustancia extraa dejada accidentalmente durante un procedimiento"
"T817" "T817   Complicaciones vasculares consecutivas a procedimiento, no clasificadas en otra parte"
"T818" "T818   Otras complicaciones de procedimientos, no clasificadas en otra parte"
"T819" "T819   Complicacin de procedimientos, no especificada"
"T82" "T82   Complicaciones de dispositivos protsicos, implantes e injertos cardiovasculares"
"T820" "T820   Complicacin mecnica de prtesis de vlvula cardaca"
"T821" "T821   Complicacin mecnica de dispositivo electrnico cardaco"
"T822" "T822   Complicacin mecnica de derivacin de arteria coronaria e injerto valvular"
"T823" "T823   Complicacin mecnica de otros injertos vasculares"
"T824" "T824   Complicacin mecnica de catter para dilisis vascular"
"T825" "T825   Complicacin mecnica de otros dispositivos e implantes cardiovasculares"
"T826" "T826   Infeccin y reaccin inflamatoria debidas a prtesis de vlvula cardaca"
"T827" "T827   Infeccin y reaccin inflamatoria debidas a otros dispositivos, implantes e injertos cardiovasculares"
"T828" "T828   Otras complicaciones especificadas de dispositivos protsicos, implantes e injertos cardiovasculares"
"T829" "T829   Complicacin no especificada de dispositivo protsico, implante e injerto cardiovascular"
"T83" "T83   Complicaciones de dispositivos, implantes e injertos genitourinarios"
"T830" "T830   Complicacin mecnica de catter urinario (fijo)"
"T831" "T831   Complicacin mecnica de otros dispositivos e implantes urinarios"
"T832" "T832   Complicacin mecnica de injerto en rgano urinario"
"T833" "T833   Complicacin mecnica de dispositivo anticonceptivo intrauterino"
"T834" "T834   Complicacin mecnica de otros dispositivos, implantes e injertos en el tracto genital"
"T835" "T835   Infeccin y reaccin inflamatoria debidas a dispositivo protsico, implante e injerto en el sistema urinario"
"T836" "T836   Infeccin y reaccin inflamatoria debidas a dispositivo protsico, implante e injerto en el tracto genital"
"T838" "T838   Otras complicaciones de dispositivos protsicos, implantes e injertos genitourinarios"
"T839" "T839   Complicacin no especificada de dispositivo protsico, implante e injerto genitourinario"
"T84" "T84   Complicaciones de dispositivos protsicos, implantes e injertos ortopdicos internos"
"T840" "T840   Complicacin mecnica de prtesis articular interna"
"T841" "T841   Complicacin mecnica de dispositivo de fijacin interna de huesos de un miembro"
"T842" "T842   Complicacin mecnica de dispositivo de fijacin interna de otros huesos"
"T843" "T843   Complicacin mecnica de otros dispositivos seos, implantes e injertos"
"T844" "T844   Complicacin mecnica de otros dispositivos protsicos, implantes e injertos ortopdicos internos"
"T845" "T845   Infeccin y reaccin inflamatoria debidas a prtesis articular interna"
"T846" "T846   infeccin y reaccin inflamatoria debidas a dispositivo de fijacin interna [cualquier sitio]"
"T847" "T847   Infeccin y reaccin inflamatoria debidas a otros dispositivos protsicos, implantes e injertos ortopdicos internos"
"T848" "T848   Otras complicaciones de dispositivos protsicos, implantes e injertos ortopdicos internos"
"T849" "T849   Complicaciones no especificadas de dispositivos protsicos, implantes e injertos ortopdicos internos"
"T85" "T85   Complicaciones de otros dispositivos protsicos, implantes e injertos internos"
"T850" "T850   Complicacin mecnica de derivacin (anastomtica) ventricular intracraneal"
"T851" "T851   Complicacin mecnica de implante de estimulador electrnico del sistema nervioso"
"T852" "T852   Complicacin mecnica de lentes intraoculares"
"T853" "T853   Complicacin mecnica de otros dispositivos protsicos, implantes e injertos oculares"
"T854" "T854   Complicacin mecnica de prtesis e implante de mama"
"T855" "T855   Complicacin mecnica de dispositivo protsico, implante e injerto gastrointestinal"
"T856" "T856   Complicacin mecnica de otros dispositivos protsicos, implantes e injertos internos especificados"
"T857" "T857   Infeccin y reaccin inflamatoria debidas a otros dispositivos protsicos, implantes e injertos internos"
"T858" "T858   Otras complicaciones de dispositivos protsicos, implantes e injertos internos, no clasificadas en otra parte"
"T859" "T859   Complicacin no especificada de dispositivo protsico, implante e injerto interno"
"T86" "T86   Falla y rechazo del trasplante de rganos y tejidos"
"T860" "T860   Rechazo de trasplante de mdula sea"
"T861" "T861   Falla y rechazo de trasplante de rin"
"T862" "T862   Falla y rechazo de trasplante de corazn"
"T863" "T863   Falla y rechazo de trasplante de pulmn-corazn"
"T864" "T864   Falla y rechazo de trasplante de hgado"
"T868" "T868   Falla y rechazo de  otros rganos y tejidos trasplantados"
"T869" "T869   Falla y rechazo de trasplante de rgano y tejido no especificado"
"T87" "T87   Complicaciones peculiares de la reinsercin y amputacin"
"T870" "T870   Complicaciones de la reinsercin (de parte) de extremidad superior"
"T871" "T871   Complicaciones de la reinsercin (de parte) de extremidad inferior"
"T872" "T872   Complicaciones de otras partes del cuerpo reinsertadas"
"T873" "T873   Neuroma de mun de amputacin"
"T874" "T874   Infeccin de mun de amputacin"
"T875" "T875   Necrosis de mun de amputacin"
"T876" "T876   Otras complicaciones y las no especificadas de mun de amputacin"
"T88" "T88   Otras complicaciones de la atencin mdica y quirrgica, no clasificadas en otra parte"
"T880" "T880   Infeccin consecutiva a inmunizacin"
"T881" "T881   Otras complicaciones consecutivas a inmunizacin, no clasificadas en otra parte"
"T882" "T882   Choque debido a la anestesia"
"T883" "T883   Hipertermia maligna debida a la anestesia"
"T884" "T884   Falla o dificultad de la intubacin"
"T885" "T885   Otras complicaciones de la anestesia"
"T886" "T886   Choque anafilctico debido a efecto adverso de droga o medicamento correcto administrado apropiadamente"
"T887" "T887   Efecto adverso no especificado de droga o medicamento"
"T888" "T888   Otras complicaciones especificadas de la atencin mdica y quirrgica, no clasificadas en otra parte"
"T889" "T889   Complicaciones no especificadas de la atencin mdica y quirrgica"
"T90" "T90   Secuelas de traumatismos de la cabeza"
"T900" "T900   Secuelas de traumatismo superficial de la cabeza"
"T901" "T901   Secuelas de herida de la cabeza"
"T902" "T902   Secuelas de fractura del crneo y de huesos faciales"
"T903" "T903   Secuelas de traumatismo de nervios craneales"
"T904" "T904   Secuelas de traumatismo del ojo y de la rbita"
"T905" "T905   Secuelas de traumatismo intracraneal"
"T908" "T908   Secuelas de otros traumatismos especificados de la cabeza"
"T909" "T909   Secuelas de traumatismo no especificado de la cabeza"
"T91" "T91   Secuelas de traumatismos del cuello y del tronco"
"T910" "T910   Secuelas de traumatismo superficial y de heridas del cuello y del tronco"
"T911" "T911   Secuelas de fractura de la columna vertebral"
"T912" "T912   Secuelas de otra fractura del trax y de la pelvis"
"T913" "T913   Secuelas de traumatismo de la mdula espinal"
"T914" "T914   Secuelas de traumatismo de rganos intratorcicos"
"T915" "T915   Secuelas de traumatismo de rganos intraabdominales y plvicos"
"T918" "T918   Secuelas de otros traumatismos especificados del cuello y del tronco"
"T919" "T919   Secuelas de traumatismo no especificado del cuello y del tronco"
"T92" "T92   Secuelas de traumatismos de miembro superior"
"T920" "T920   Secuelas de herida de miembro superior"
"T921" "T921   Secuelas de fractura del brazo"
"T922" "T922   Secuelas de fractura de la mueca y de la mano"
"T923" "T923   Secuelas de luxacin, torcedura y esquince de miembro superior"
"T924" "T924   Secuelas de traumatismo de nervio de miembro superior"
"T925" "T925   Secuelas de traumatismo de tendn y msculo de miembro superior"
"T926" "T926   Secuelas de aplastamiento y amputacin traumticas de miembro superior"
"T928" "T928   Secuelas de otros traumatismos especificados de miembro superior"
"T929" "T929   Secuelas de traumatismo no especificado de miembro superior"
"T93" "T93   Secuelas de traumatismos de miembro inferior"
"T930" "T930   Secuelas de herida de miembro inferior"
"T931" "T931   Secuelas de fractura del fmur"
"T932" "T932   Secuelas de otras fracturas de miembro inferior"
"T933" "T933   Secuelas de luxacin, torcedura y esguince de miembro inferior"
"T934" "T934   Secuelas de traumatismo de nervio de miembro inferior"
"T935" "T935   Secuelas de traumatismo de tendn y msculo de miembro inferior"
"T936" "T936   Secuelas de aplastamiento y amputacin traumticas de miembro inferior"
"T938" "T938   Secuelas de otros traumatismos especificados de miembro inferior"
"T939" "T939   Secuelas de traumatismo no especificado de miembro inferior"
"T94" "T94   Secuelas de traumatismos que afectan mltiples regiones del cuerpo y las no especificadas"
"T940" "T940   Secuelas de traumatismos que afectan  mltiples regiones del cuerpo"
"T941" "T941   Secuelas de traumatismos de regiones no especificadas del cuerpo"
"T95" "T95   Secuelas de quemaduras, corrosiones y congelamientos"
"T950" "T950   Secuelas de quemadura, corrosin y congelamiento de la cabeza y del cuello"
"T951" "T951   Secuelas de quemadura, corrosin y congelamiento del tronco"
"T952" "T952   Secuelas de quemadura, corrosin y congelamiento de miembro superior"
"T953" "T953   Secuelas de quemadura, corrosin y congelamiento de miembro inferior"
"T954" "T954   Secuelas de quemadura y corrosin clasificables slo de acuerdo con la extensin de la superficie del cuerpo afectada"
"T958" "T958   Secuelas de otras quemaduras, corrosiones y congelamientos especificados"
"T959" "T959   Secuelas de quemadura, corrosin y congelamiento no especificados"
"T96" "T96   Secuelas de envenenamientos por drogas, medicamentos y sustancias biolgicas"
"T97" "T97   Secuelas de efectos  txicos de sustancias de procedencia principalmente no medicinal"
"T98" "T98   Secuelas de otros efectos y los no especificados de causas externas"
"T980" "T980   Secuelas de efectos de cuerpos extraos que penetran en orificios naturales"
"T981" "T981   Secuelas de otros efectos y los no especificados de causas externas"
"T982" "T982   Secuelas de ciertas complicaciones precoces de los traumatismos"
"T983" "T983   Secuelas de complicaciones de la atencin mdica y quirrgica, no clasificadas en otras parte"
"U04" "U04   Sndrome respiratorio agudo grave [SRAG]"
"U049" "U049   Sndrome respiratorio agudo grave [SRAG], no especificado"
"U06" "U06   Uso emergente de U06"
"U060" "U060   Uso emergente de U06.0"
"U061" "U061   Uso emergente de U06.1"
"U062" "U062   Uso emergente de U06.2"
"U063" "U063   Uso emergente de U06.3"
"U064" "U064   Uso emergente de U06.4"
"U065" "U065   Uso emergente de U06.5"
"U066" "U066   Uso emergente de U06.6"
"U067" "U067   Uso emergente de U06.7"
"U068" "U068   Uso emergente de U06.8"
"U069" "U069   Enfermedad por virus del ZIKA no especificada"
"U07" "U07   COVID 19 virus identificado y no identificado"
"U070" "U070   Uso emergente de U07.0"
"U071" "U071   COVID 19 virus identificado"
"U072" "U072   COVID 19 virus no identificado"
"U073" "U073   Uso emergente de U07.3"
"U074" "U074   Uso emergente de U07.4"
"U075" "U075   Uso emergente de U07.5"
"U076" "U076   Uso emergente de U07.6"
"U077" "U077   Uso emergente de U07.7"
"U078" "U078   Uso emergente de U07.8"
"U079" "U079   Uso emergente de U07.9"
"U80" "U80   Agente bacteriano resistente a penicilina u antibiticos similares"
"U800" "U800   Agente bacteriano resistente a penicilina"
"U801" "U801   Agente bacteriano resistente a meticilina"
"U808" "U808   Agente bacteriano resistente a otro antibitico similar a la penicilina"
"U81" "U81   Agente bacteriano resistente a vancomicina u antibiticos similares"
"U810" "U810   Agente bacteriano resistente a vancomicina"
"U818" "U818   Agente bacteriano resistente a otro antibitico similar a la vancomicina"
"U82" "U82   Resistencia a antibiticos betalactmicos"
"U820" "U820   Resistencia a penicilina "
"U821" "U821   Resistencia a meticilina"
"U822" "U822   Resistencia a betalactamasa de espectro extendido (BLEE)"
"U828" "U828   Resistencia a otros antibiticos betalctamicos"
"U829" "U829   Resistencia a antibiticos betalctamicos, no especificados"
"U83" "U83   Resistencia a otros antibiticos"
"U830" "U830   Resistencia a vancomicina"
"U831" "U831   Resistencia a otros antibiticos similares a vancomicina"
"U832" "U832   Resistencia a quinolonas"
"U837" "U837   Resistencia a mltiples antibiticos"
"U838" "U838   Resistencia a otros antibiticosnicos especificados"
"U839" "U839   Resistencia a antibiticos no especificados"
"U84" "U84   Resistencia a otras drogas antimicrobianas"
"U840" "U840   Resistencia a drogas antiparasitarias"
"U841" "U841   Resistencia a drogas antimicticas"
"U842" "U842   Resistencia a drogas antivirales"
"U843" "U843   Resistencia a drogas antituberculosas"
"U847" "U847   Resistencia a mltiples drogas antimicrobianas"
"U848" "U848   Resistencia a otras drogas antimicrobianas especificadas"
"U849" "U849   Resistencia a drogas antimicrobianas no especificadas"
"U85" "U85   Resistencia a drogas antineoplsicas"
"U88" "U88   Agente bacteriano resistente a mltiples antibiticos"
"U89" "U89   Agente bacteriano resistente a otros antibiticos y a los antibiticos no especificados"
"U898" "U898   Agente bacteriano resistente a otro antibitico nico especificado"
"U899" "U899   Agente bacteriano resistente a antibitico no especificado"
"U95" "U95   Intoxicacin alimentaria por marea roja"
"U96" "U96   Intoxicacin alimentaria por clenbuterol"
"U97" "U97   Enfermeded febril exantemtica"
"U98" "U98   Parlisis flcida aguda"
"U99" "U99   Sndrome coqueluchoide"
"V01" "V01   Peatn lesionado por colisin con vehculo de pedal"
"V010" "V010   Peatn lesionado por colisin con vehculo de pedal, accidente no de trnsito"
"V011" "V011   Peatn lesionado por colisin con vehculo de pedal, accidente de trnsito"
"V019" "V019   Peatn lesionado por colisin con vehculo de pedal, accidente no especificado como de trnsito o no de trnsito"
"V02" "V02   Peatn lesionado por colisin con vehculo de motor de dos o tres ruedas"
"V020" "V020   Peatn lesionado por colisin con vehculo de motor de dos o tres ruedas, accidente no de trnsito"
"V021" "V021   Peatn lesionado por colisin con vehculo de motor de dos o tres ruedas, accidente de trnsito"
"V029" "V029   Peatn lesionado por colisin con vehculo  de motor de dos o tres ruedas, accidente no especificado como de trnsito o no de trnsito"
"V03" "V03   Peatn lesionado por colisin con automvil, camioneta o furgoneta"
"V030" "V030   Peatn lesionado por colisin con automvil, camioneta o furgoneta, accidente no de trnsito"
"V031" "V031   Peatn lesionado por colisin con automvil, camioneta o furgoneta, accidente de trnsito"
"V039" "V039   Peatn lesionado por colisin con automvil, camioneta o furgoneta, accidente no especificado como de trnsito o no de trnsito"
"V04" "V04   Peatn lesionado por colisin con vehculo de transporte pesado o autobs"
"V040" "V040   Peatn lesionado por colisin con vehculo de transporte pesado o autobs, accidente no de trnsito"
"V041" "V041   Peatn lesionado por colisin con vehculo de transporte pesado o autobs, accidente de trnsito"
"V049" "V049   Peatn lesionado por colisin con vehculo de transporte pesado o autobs, accidente no especificado como de trnsito o no de trnsito"
"V05" "V05   Peatn lesionado por colisin con tren o vehculo de rieles"
"V050" "V050   Peatn lesionado por colisin con tren o vehculo de rieles, accidente no de trnsito"
"V051" "V051   Peatn lesionado por colisin con tren o vehculo de rieles, accidente de trnsito"
"V059" "V059   Peatn lesionado por colisin con tren o vehculo de rieles, accidente no especificado como de trnsito o no de trnsito"
"V06" "V06   Peatn lesionado por colisin con otros vehculos sin motor"
"V060" "V060   Peatn lesionado por colisin con otros vehculos sin motor, accidente no de trnsito"
"V061" "V061   Peatn lesionado por colisin con otros vehculos sin motor, accidente de trnsito"
"V069" "V069   Peatn lesionado por colisin con otros vehculos sin motor, accidente no especificado como de trnsito o no de trnsito"
"V09" "V09   Peatn lesionado en otros accidentes de transporte, y en los no especificados"
"V090" "V090   Peatn lesionado en accidente no de trnsito que involucra otros vehculos de motor, y los no especificados"
"V091" "V091   Peatn lesionado en accidente no de trnsito no especificado"
"V092" "V092   Peatn lesionado en accidente de trnsito que involucra otros vehculos de motor, y los no especificados"
"V093" "V093   Peatn lesionado en accidente de trnsito no especificado"
"V099" "V099   Peatn lesionado en accidente de transporte no especificado"
"V10" "V10   Ciclista lesionado por colisin con peatn o animal"
"V100" "V100   Ciclista lesionado por colisin con peatn o animal, conductor lesionado en accidente no de trnsito"
"V101" "V101   Ciclista lesionado por colisin con peatn o animal, pasajero lesionado en accidente no de trnsito"
"V102" "V102   Ciclista lesionado por colisin con peatn o animal, ciclista no especificado, lesionado en accidente no de trnsito"
"V103" "V103   Ciclista lesionado por colisin con peatn o animal, persona lesionada al subir o bajar del vehculo"
"V104" "V104   Ciclista lesionado por colisin con peatn o animal, conductor lesionado en accidente de trnsito"
"V105" "V105   Ciclista lesionado por colisin con peatn o animal, pasajero lesionado en accidente de trnsito"
"V109" "V109   Ciclista lesionado por colisin con peatn o animal, ciclista no especificado, lesionado en accidente de trnsito"
"V11" "V11   Ciclista lesionado por colisin con otro ciclista"
"V110" "V110   Ciclista lesionado por colisin con otro ciclista, conductor lesionado en accidente no de trnsito"
"V111" "V111   Ciclista lesionado por colisin con otro ciclista, pasajero lesionado en accidente no de trnsito"
"V112" "V112   Ciclista lesionado por colisin con otro ciclista, ciclista no especificado, lesionado en accidente no de trnsito"
"V113" "V113   Ciclista lesionado por colisin con otro ciclista, persona lesionada al subir o bajar del vehculo"
"V114" "V114   Ciclista lesionado por colisin con otro ciclista, conductor lesionado en accidente de trnsito"
"V115" "V115   Ciclista lesionado por colisin con otro ciclista, pasajero lesionado en accidente de trnsito"
"V119" "V119   Ciclista lesionado por colisin con otro ciclista, ciclista no especificado, lesionado en accidente de trnsito"
"V12" "V12   Ciclista lesionado por colisin con vehculo de motor de dos o tres ruedas."
"V120" "V120   Ciclista lesionado por colisin con vehculo de motor de dos o tres ruedas, conductor lesionado en accidente no de trnsito"
"V121" "V121   Ciclista lesionado por colisin con vehculo de motor de dos o tres ruedas, pasajero lesionado en accidentes no de trnsito"
"V122" "V122   Ciclista lesionado por colisin con vehculo de motor de dos o tres ruedas, ciclista no especificado,  lesionado en accidente no de trnsito"
"V123" "V123   Ciclista lesionado por colisin con vehculo de motor de dos o tres ruedas, persona lesionada al subir o bajar del vehculo"
"V124" "V124   Ciclista lesionado por colisin con vehculo de motor de dos o tres ruedas, conductor lesionado en accidente de trnsito"
"V125" "V125   Ciclista lesionado por colisin con vehculo de motor de dos o tres ruedas, pasajero lesionado en accidente de trnsito"
"V129" "V129   Ciclista lesionado por colisin con vehculo de motor de dos o tres ruedas, ciclista no especificado, lesionado en accidente de trnsito"
"V13" "V13   Ciclista lesionado por colisin con automvil, camioneta o furgoneta"
"V130" "V130   Ciclista lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente no de trnsito"
"V131" "V131   Ciclista lesionado por colisin con automvil, camioneta o furgoneta, pasajero lesionado en accidente no de trnsito"
"V132" "V132   Ciclista lesionado por colisin con automvil, camioneta o furgoneta, ciclista no especificado lesionado en accidente no de trnsito"
"V133" "V133   Ciclista lesionado por colisin con automvil, camioneta o furgoneta, persona lesionada al subir o bajar del vehculo"
"V134" "V134   Ciclista lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente de trnsito"
"V135" "V135   Ciclista lesionado por colisin con automvil, camioneta o furgoneta, pasajero lesionado en accidente de trnsito"
"V139" "V139   Ciclista lesionado por colisin con automvil, camioneta o furgoneta, ciclista no especificado, lesionado en accidente de trnsito"
"V14" "V14   Ciclista lesionado por colisin con vehculo de transporte pesado o autobs"
"V140" "V140   Ciclista lesionado por colisin con vehculo de transporte pesado o autobs, conductor lesionado en accidente no de trnsito"
"V141" "V141   Ciclista lesionado por colisin con vehculo de transporte pesado o autobs, pasajero lesionado en accidente no de trnsito"
"V142" "V142   Ciclista lesionado por colisin con vehculo de transporte pesado o autobs, ciclista no especificado, lesionado en accidente no de trnsito"
"V143" "V143   Ciclista lesionado por colisin con vehculo de transporte pesado o autobs, persona lesionada al subir o bajar del vehculo"
"V144" "V144   Ciclista lesionado por colisin con vehculo de transporte pesado o autobs, conductor lesionado en accidente de trnsito"
"V145" "V145   Ciclista lesionado por colisin con vehculo de transporte pesado o autobs, pasajero lesionado en accidente de trnsito"
"V149" "V149   Ciclista lesionado por colisin con vehculo de transporte pesado o autobs, ciclista no especificado, lesionado en accidente de trnsito"
"V15" "V15   Ciclista lesionado por colisin con tren o vehculo de rieles"
"V150" "V150   Ciclista lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente no de trnsito"
"V151" "V151   Ciclista lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente no de trnsito"
"V152" "V152   Ciclista lesionado por colisin con tren o vehculo de rieles, ciclista no especificado, lesionado en accidente no de trnsito"
"V153" "V153   Ciclista lesionado por colisin con tren o vehculo de rieles, persona lesionada al subir o bajar del vehculo"
"V154" "V154   Ciclista lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente de trnsito"
"V155" "V155   Ciclista lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente de trnsito"
"V159" "V159   Ciclista lesionado por colisin con tren o vehculo de rieles, ciclista no especificado, lesionado en accidente de trnsito"
"V16" "V16   Ciclista lesionado por colisin con otros vehculos sin motor"
"V160" "V160   Ciclista lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente no de trnsito"
"V161" "V161   Ciclista lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente no de trnsito"
"V162" "V162   Ciclista lesionado por colisin con otros vehculos sin motor, ciclista no especificado, lesionado en accidente no de trnsito"
"V163" "V163   Ciclista lesionado por colisin con otros vehculos sin motor, persona lesionada al subir o bajar del vehculo"
"V164" "V164   Ciclista lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente de trnsito"
"V165" "V165   Ciclista lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente de trnsito"
"V169" "V169   Ciclista lesionado por colisin con otros vehculos sin motor, ciclista no especificado, lesionado en accidente de trnsito"
"V17" "V17   Ciclista lesionado por colisin con objeto estacionado o fijo"
"V170" "V170   Ciclista lesionado por colisin con objeto estacionado o fijo, conductor lesionado en accidente no de trnsito"
"V171" "V171   Ciclista lesionado por colisin con objeto estacionado o fijo, pasajero lesionado en accidente no de trnsito"
"V172" "V172   Ciclista lesionado por colisin con objeto estacionado o fijo, ciclista no especificado, lesionado en accidente no de trnsito"
"V173" "V173   Ciclista lesionado por colisin con objeto estacionado o fijo, persona lesionada al subir o bajar del vehculo"
"V174" "V174   Ciclista lesionado por colisin con objeto estacionado o fijo, conductor lesionado en accidente de trnsito"
"V175" "V175   Ciclista lesionado por colisin con objeto estacionado o fijo, pasajero lesionado en accidente de trnsito"
"V179" "V179   Ciclista lesionado por colisin con objeto estacionado o fijo, ciclista no especificado, lesionado en accidente de trnsito"
"V18" "V18   Ciclista lesionado en accidente de transporte sin colisin"
"V180" "V180   Ciclista lesionado en accidente de transporte sin colisin, conductor lesionado en accidente no de trnsito"
"V181" "V181   Ciclista lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente no de trnsito"
"V182" "V182   Ciclista lesionado en accidente de transporte sin colisin, ciclista no especificado, lesionado en accidente no de trnsito"
"V183" "V183   Ciclista lesionado en accidente de transporte sin colisin, persona lesionada al subir o bajar del vehculo"
"V184" "V184   Ciclista lesionado en accidente de transporte sin colisin, conductor lesionado en accidente de trnsito"
"V185" "V185   Ciclista lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente de trnsito"
"V189" "V189   Ciclista lesionado en accidente de transporte sin colisin, ciclista no especificado, lesionado en accidente de trnsito"
"V19" "V19   Ciclista lesionado en otros accidentes de transporte, y en los no especificados."
"V190" "V190   Conductor de vehculo de pedal lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V191" "V191   Pasajero de vehculo de pedal lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V192" "V192   Ciclista no especificado  lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V193" "V193   Ciclista (cualquiera) lesionado en accidente no de transito, no especificado"
"V194" "V194   Conductor de vehculo de pedal lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V195" "V195   Pasajero de vehculo de pedal lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V196" "V196   Ciclista no especificado lesionado por colisin con otros vehculos de motor, y con los no especificado, en accidente de trnsito"
"V198" "V198   Ciclista [cualquiera] lesionado en otros accidentes de transporte especificados"
"V199" "V199   Ciclista [cualquiera] lesionado en accidente de trnsito no especificado"
"V20" "V20   Motociclista lesionado por colisin con peatn o animal"
"V200" "V200   Motociclista lesionado por colisin con peatn o animal, conductor lesionado en accidente no de trnsito"
"V201" "V201   Motociclista lesionado por colisin con peatn o animal, pasajero lesionado en accidente no de trnsito"
"V202" "V202   Motociclista lesionado por colisin con peatn o animal, motociclista no especificado, lesionado en accidente no de trnsito"
"V203" "V203   Motociclista lesionado por colisin con peatn o animal, persona lesionada al subir o bajar del vehculo"
"V204" "V204   Motociclista lesionado por colisin con peatn o animal, conductor lesionado en accidente de trnsito"
"V205" "V205   Motociclista lesionado por colisin con peatn o animal, pasajero lesionado en accidente de trnsito"
"V209" "V209   Motociclista lesionado por colisin con peatn o animal, motociclista no especificado, lesionado en accidente de trnsito"
"V21" "V21   Motociclista lesionado por colisin con vehculo de pedal"
"V210" "V210   Motociclista lesionado por colisin con vehculo de pedal, conductor lesionado en accidente no de trnsito"
"V211" "V211   Motociclista lesionado por colisin con vehculo de pedal, pasajero lesionado en accidente no de trnsito"
"V212" "V212   Motociclista lesionado por colisin con vehculo de pedal, motociclista no especificado, lesionado en accidente no de trnsito"
"V213" "V213   Motociclista lesionado por colisin con vehculo de pedal, persona lesionada al subir o bajar del vehculo"
"V214" "V214   Motociclista lesionado por colisin con vehculo de pedal, conductor lesionado en accidente de trnsito"
"V215" "V215   Motociclista lesionado por colisin con vehculo de pedal, pasajero lesionado en accidente de trnsito"
"V219" "V219   Motociclista lesionado por colisin con vehculo de pedal, motociclista no especificado, lesionado en accidente de trnsito"
"V22" "V22   Motociclista lesionado por colisin con vehculo de motor de dos o tres ruedas"
"V220" "V220   Motociclista lesionado por colisin con vehculo de motor de dos o tres ruedas, conductor lesionado en accidente no de trnsito"
"V221" "V221   Motociclista lesionado por colisin con vehculo de motor de dos o tres ruedas, pasajero lesionado en accidente no de trnsito"
"V222" "V222   Motociclista lesionado por colisin con vehculo de motor de dos o tres ruedas, motociclista no especificado, lesionado en accidente no de trnsito"
"V223" "V223   Motociclista lesionado por colisin con vehculo de motor de dos o tres ruedas, persona lesionada al subir o bajar del vehculo"
"V224" "V224   Motociclista lesionado por colisin con vehculo de motor de dos o tres ruedas, conductor lesionado en accidente de trnsito"
"V225" "V225   Motociclista lesionado por colisin con vehculo de motor de dos o tres ruedas, pasajero lesionado en accidente de trnsito"
"V229" "V229   Motociclista lesionado por colisin con vehculo de motor de dos o tres ruedas, motociclista no especificado, lesionado en accidente de trnsito"
"V23" "V23   Motociclista lesionado por colisin con automvil, camioneta o furgoneta"
"V230" "V230   Motociclista lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente no de trnsito"
"V231" "V231   Motociclista lesionado por colisin con automvil, camioneta o furgoneta, pasajero  lesionado en accidente no de trnsito"
"V232" "V232   Motociclista lesionado por colisin con automvil, camioneta o furgoneta, motociclista no especificado lesionado en accidente no de trnsito"
"V233" "V233   Motociclista lesionado por colisin con automvil, camioneta o furgoneta, persona lesionada al subir o bajar del vehculo"
"V234" "V234   Motociclista lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente de trnsito"
"V235" "V235   Motociclista lesionado por colisin con automvil, camioneta o furgoneta, pasajero lesionado en accidente de trnsito"
"V239" "V239   Motociclista lesionado por colisin con automvil, camioneta o furgoneta, motociclista no especificado, lesin en accidente de trnsito"
"V24" "V24   Motociclista lesionado por colisin con vehculo de transporte pesado o autobs"
"V240" "V240   Motociclista lesionado por colisin con vehculo de transporte pesado o autobs, conductor lesionado en accidente no de trnsito"
"V241" "V241   Motociclista lesionado por colisin con vehculo de transporte pesado o autobs, pasajero lesionado en accidente no de trnsito"
"V242" "V242   Motociclista lesionado por colisin con vehculo de transporte pesado o autobs, motociclista no especificado, lesionado en accidente no de trnsito"
"V243" "V243   Motociclista lesionado por colisin con vehculo de transporte pesado o autobs, persona lesionada al subir o bajar del vehculo"
"V244" "V244   Motociclista lesionado por colisin con vehculo de transporte pesado o autobs, conductor lesionado en accidente de trnsito"
"V245" "V245   Motociclista lesionado por colisin con vehculo de transporte pesado o autobs, pasajero lesionado en accidente de trnsito"
"V249" "V249   Motociclista lesionado por colisin con vehculo de transporte pesado o autobs, motociclista no especificado, lesionado en accidente de trnsito"
"V25" "V25   Motociclista lesionado por colisin con tren o vehculo de rieles"
"V250" "V250   Motociclista lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente no de trnsito"
"V251" "V251   Motociclista lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente no de trnsito"
"V252" "V252   Motociclista lesionado por colisin con tren o vehculo de rieles, motociclista no especificado, lesionado en accidente no de trnsito"
"V253" "V253   Motociclista lesionado por colisin con tren o vehculo de rieles, persona lesionada al subir o bajar del vehculo"
"V254" "V254   Motociclista lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente de trnsito"
"V255" "V255   Motociclista lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente de trnsito"
"V259" "V259   Motociclista lesionado por colisin con tren o vehculo de rieles, motociclista no especificado, lesionado en accidente de trnsito"
"V26" "V26   Motociclista lesionado por colisin con otros vehculos sin motor"
"V260" "V260   Motociclista lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente no de trnsito"
"V261" "V261   Motociclista lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente no de trnsito"
"V262" "V262   Motociclista lesionado por colisin con otros vehculos sin motor, motociclista no especificado, lesionado en accidente no de trnsito"
"V263" "V263   Motociclista lesionado por colisin con otros vehculos sin motor, persona lesionada al subir o bajar del vehculo"
"V264" "V264   Motociclista lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente de trnsito"
"V265" "V265   Motociclista lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente de trnsito"
"V269" "V269   Motociclista lesionado por colisin con otros vehculos sin motor, motociclista no especificado, lesionado en accidente de trnsito"
"V27" "V27   Motociclista lesionado por colisin con objeto fijo o estacionado"
"V270" "V270   Motociclista lesionado por colisin con objeto fijo o estacionado, conductor lesionado en accidente no de trnsito"
"V271" "V271   Motociclista lesionado por colisin con objeto fijo o estacionado, pasajero lesionado en accidente no de trnsito"
"V272" "V272   Motociclista lesionado por colisin con objeto fijo o estacionado, motociclista no especificado, lesionado en accidente no de trnsito"
"V273" "V273   Motociclista lesionado por colisin con objeto fijo o estacionado, persona lesionada al subir o bajar del vehculo"
"V274" "V274   Motociclista lesionado por colisin con objeto fijo o estacionado, conductor lesionado en accidente de trnsito"
"V275" "V275   Motociclista lesionado por colisin con objeto fijo o estacionado, pasajero lesionado en accidente de trnsito"
"V279" "V279   Motociclista lesionado por colisin con objeto fijo o estacionado, motociclista no especificado, lesionado en accidente de trnsito"
"V28" "V28   Motociclista lesionado en accidente de transporte sin colisin"
"V280" "V280   Motociclista lesionado en accidente de transporte sin colisin, conductor lesionado en accidente no de trnsito"
"V281" "V281   Motociclista lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente no de trnsito"
"V282" "V282   Motociclista lesionado en accidente de transporte sin colisin, motociclista no especificado, lesionado en accidente no de trnsito"
"V283" "V283   Motociclista lesionado en accidente de transporte sin colisin, persona lesionada al subir o bajar del vehculo"
"V284" "V284   Motociclista lesionado en accidente de transporte sin colisin, conductor lesionado en accidente de trnsito"
"V285" "V285   Motociclista lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente de trnsito"
"V289" "V289   Motociclista lesionado en accidente de transporte sin colisin, motociclista no especificado, lesionado en accidente de trnsito"
"V29" "V29   Motociclista lesionado en otros accidentes de transporte, y en los no especificados"
"V290" "V290   Conductor de motocicleta lesionado por colisin con otros vehculos de motor, y con los no especificados en accidente no de trnsito"
"V291" "V291   Pasajero de motocicleta lesionado por colisin con otros vehculos de motor, y con los no especificados en accidente no de trnsito"
"V292" "V292   Motociclista no especificado lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V293" "V293   Motociclista [cualquiera] lesionado en accidente no de trnsito, no especificado"
"V294" "V294   Conductor de motocicleta lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V295" "V295   Pasajero de motocicleta lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V296" "V296   Motociclista no especificado lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V298" "V298   Motociclista [cualquiera] lesionado en otros accidentes de transporte especificados"
"V299" "V299   Motociclista [cualquiera] lesionado en accidente de trnsito no especificado"
"V30" "V30   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con peatn o animal"
"V300" "V300   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con peatn o animal, conductor lesionado en accidente no de trnsito"
"V301" "V301   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con peatn o animal, pasajero lesionado en accidente no de trnsito"
"V302" "V302   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con peatn o animal, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V303" "V303   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con peatn o animal, ocupante no especificado de vehculo de motor de tres ruedas lesionado en accidente no de trnsito"
"V304" "V304   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con peatn o animal, persona lesionada al subir o bajar del vehculo"
"V305" "V305   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con peatn o animal, conductor lesionado en accidente de trnsito"
"V306" "V306   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con peatn o animal, pasajero lesionado en accidente de trnsito"
"V307" "V307   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con peatn o animal, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V309" "V309   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con peatn o animal, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente de trnsito"
"V31" "V31   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de pedal"
"V310" "V310   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de pedal, conductor lesionado en accidente no de trnsito"
"V311" "V311   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de pedal, pasajero lesionado en accidente no de trnsito"
"V312" "V312   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de pedal, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V313" "V313   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de pedal, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente no de trnsito"
"V314" "V314   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de pedal, persona lesionada al subir o bajar del vehculo"
"V315" "V315   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de pedal, conductor lesionado en accidente de trnsito"
"V316" "V316   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de pedal, pasajero lesionado en accidente de trnsito"
"V317" "V317   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de pedal, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V319" "V319   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de pedal, ocupante no especificado de vehculo de motor de tres ruedas,  lesionado en accidente de trnsito"
"V32" "V32   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otro vehculo de motor de dos o tres ruedas"
"V320" "V320   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otro vehculo de motor de dos o tres ruedas, conductor lesionado en accidente no de trnsito"
"V321" "V321   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otro vehculo de motor de dos o tres ruedas, pasajero lesionado en accidente no de trnsito"
"V322" "V322   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otro vehculo de motor de dos o tres ruedas, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V323" "V323   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otro vehculo de motor de dos o tres ruedas, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente no de trnsito"
"V324" "V324   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otro vehculo de motor de dos o tres ruedas, persona lesionada al subir o bajar del vehculo"
"V325" "V325   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otro vehculo de motor de dos o tres ruedas, conductor lesionado en accidente de trnsito"
"V326" "V326   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otro vehculo de motor de dos o tres ruedas, pasajero lesionado en accidente de trnsito"
"V327" "V327   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otro vehculo de motor de dos o tres ruedas, persona que viaja  fuera del vehculo, lesionada en accidente de trnsito"
"V329" "V329   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otro vehculo de motor de dos o tres ruedas, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente de trnsito"
"V33" "V33   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con automvil, camioneta o furgoneta"
"V330" "V330   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente no de trnsito"
"V331" "V331   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con automvil, camioneta o furgoneta, pasajero lesionado en accidente no de trnsito"
"V332" "V332   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con automvil, camioneta o furgoneta, persona que viaja  fuera del vehculo, lesionada en accidente no de trnsito"
"V333" "V333   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con automvil, camioneta o furgoneta, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente no de trnsito"
"V334" "V334   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con automvil, camioneta o furgoneta, persona lesionada al subir o bajar del vehculo"
"V335" "V335   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente de trnsito"
"V336" "V336   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con automvil, camioneta o furgoneta, pasajero lesionado en accidente de trnsito"
"V337" "V337   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con automvil, camioneta o furgoneta, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V339" "V339   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con automvil, camioneta o furgoneta, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente de trnsito"
"V34" "V34   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de transporte pesado o autobs"
"V340" "V340   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de transporte pesado o autobs, conductor lesionado en accidente no de trnsito"
"V341" "V341   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de transporte pesado o autobs, pasajero lesionado en accidente no de trnsito"
"V342" "V342   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de transporte pesado o autobs, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V343" "V343   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de transporte pesado o autobs, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente no de trnsito"
"V344" "V344   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de transporte pesado o autobs, persona lesionada al subir o bajar del vehculo"
"V345" "V345   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de transporte pesado o autobs, conductor lesionado en accidente de trnsito"
"V346" "V346   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de transporte pesado o autobs, pasajero lesionado en accidente de trnsito"
"V347" "V347   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de transporte pesado o autobs, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V349" "V349   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de transporte pesado o autobs, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente de trnsito"
"V35" "V35   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con tren o vehculo de rieles"
"V350" "V350   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente no de trnsito"
"V351" "V351   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente no de trnsito"
"V352" "V352   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con tren o vehculo de rieles, persona que viaja  fuera del vehculo, lesionada en accidente no de trnsito"
"V353" "V353   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con tren o vehculo de rieles, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente no de trnsito"
"V354" "V354   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con tren o vehculo de rieles, persona lesionada al subir o bajar del vehculo"
"V355" "V355   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente de trnsito"
"V356" "V356   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente de trnsito"
"V357" "V357   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con tren o vehculo de rieles, persona que viaja  fuera del vehculo, lesionada en accidente de trnsito"
"V359" "V359   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con tren o vehculo de rieles, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente de trnsito"
"V36" "V36   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos sin motor"
"V360" "V360   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente no de trnsito"
"V361" "V361   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente no de trnsito"
"V362" "V362   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos sin motor, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V363" "V363   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos sin motor, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente no de trnsito"
"V364" "V364   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos sin motor, persona lesionada al subir o bajar del vehculo"
"V365" "V365   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente de trnsito"
"V366" "V366   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente de trnsito"
"V367" "V367   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos sin motor, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V369" "V369   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos sin motor, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente de trnsito"
"V37" "V37   Ocupante de vehculo de motor de tres ruedas lesionado por  colisin con objeto fijo o estacionado"
"V370" "V370   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con objeto fijo o estacionado, conductor lesionado en accidente no de trnsito"
"V371" "V371   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con objeto fijo o estacionado, pasajero lesionado en accidente no de trnsito"
"V372" "V372   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con objeto fijo o estacionado, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V373" "V373   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con objeto fijo o estacionado, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente no de trnsito"
"V374" "V374   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con objeto fijo o estacionado, persona lesionada al subir o bajar del vehculo"
"V375" "V375   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con objeto fijo o estacionado, conductor lesionado en accidente de trnsito"
"V376" "V376   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con objeto fijo o estacionado, pasajero lesionado en accidente de trnsito"
"V377" "V377   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con objeto fijo o estacionado, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V379" "V379   Ocupante de vehculo de motor de tres ruedas lesionado por colisin con objeto fijo o estacionado, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente de trnsito"
"V38" "V38   Ocupante de vehculo de motor de tres ruedas lesionado en accidente de transporte sin colisin"
"V380" "V380   Ocupante de vehculo de motor de tres ruedas lesionado en accidente de transporte sin colisin, conductor lesionado en accidente no de trnsito"
"V381" "V381   Ocupante de vehculo de motor de tres ruedas lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente no de trnsito"
"V382" "V382   Ocupante de vehculo de motor de tres ruedas lesionado en accidente de transporte sin colisin, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V383" "V383   Ocupante de vehculo de motor de tres ruedas lesionado en accidente de transporte sin colisin, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente no de trnsito"
"V384" "V384   Ocupante de vehculo de motor de tres ruedas lesionado en accidente de transporte sin colisin, persona  lesionada al subir o bajar del vehculo"
"V385" "V385   Ocupante de vehculo de motor de tres ruedas lesionado en accidente de transporte sin colisin, conductor lesionado en accidente de trnsito"
"V386" "V386   Ocupante de vehculo de motor de tres ruedas lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente de trnsito"
"V387" "V387   Ocupante de vehculo de motor de tres ruedas lesionado en accidente de transporte sin colisin, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V389" "V389   Ocupante de vehculo de motor de tres ruedas lesionado en accidente de transporte sin colisin, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente de trnsito"
"V39" "V39   Ocupante de vehculo de motor de tres ruedas lesionado en otros accidentes de transporte, y en los no especificados"
"V390" "V390   Conductor de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V391" "V391   Pasajero de  vehculo de motor de tres ruedas lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V392" "V392   Ocupante no especificado de  vehculo de motor de tres ruedas lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V393" "V393   Ocupante [cualquiera] de vehculo de motor de tres ruedas lesionado en accidente no de trnsito, no especificado"
"V394" "V394   Conductor de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V395" "V395   Pasajero de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V396" "V396   Ocupante no especificado de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V398" "V398   Ocupante [cualquiera] de vehculo de motor de tres ruedas lesionado en otros accidentes de transporte especificados"
"V399" "V399   Ocupante [cualquiera] de vehculo de motor de tres ruedas lesionado en accidente de trnsito no especificado"
"V40" "V40   Ocupante de automvil lesionado por colisin con peatn o animal"
"V400" "V400   Ocupante de automvil lesionado por colisin con peatn o animal, conductor lesionado en accidente no de trnsito"
"V401" "V401   Ocupante de automvil lesionado por colisin con peatn o animal, pasajero lesionado en accidente no de trnsito"
"V402" "V402   Ocupante de automvil lesionado por colisin con peatn o animal, persona  que viaja fuera del vehculo, lesionada en  accidente no de trnsito"
"V403" "V403   Ocupante de automvil lesionado por colisin con peatn o animal, ocupante no especificado de  automvil, lesionado en accidente no de trnsito"
"V404" "V404   Ocupante de automvil lesionado por colisin con peatn o animal, persona lesionada al subir o bajar del vehculo"
"V405" "V405   Ocupante de automvil lesionado por colisin con peatn o animal, conductor lesionado en accidente de trnsito"
"V406" "V406   Ocupante de automvil lesionado por colisin con peatn o animal, pasajero lesionado en accidente de trnsito"
"V407" "V407   Ocupante de automvil lesionado por colisin con peatn o animal, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V409" "V409   Ocupante de automvil lesionado por colisin con peatn o animal, ocupante no especificado de automvil, lesionado en accidente de trnsito"
"V41" "V41   Ocupante de automvil lesionado por colisin con vehculo de pedal"
"V410" "V410   Ocupante de automvil lesionado por colisin con vehculo de pedal, conductor lesionado en accidente no de trnsito"
"V411" "V411   Ocupante de automvil lesionado por colisin con vehculo de pedal, pasajero lesionado en accidente no de trnsito"
"V412" "V412   Ocupante de automvil lesionado por colisin con vehculo de pedal, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V413" "V413   Ocupante de automvil lesionado por colisin con vehculo de pedal, ocupante no especificado de automvil, lesionado en accidente no de trnsito"
"V414" "V414   Ocupante de automvil lesionado por colisin con vehculo de pedal, persona lesionada al subir o bajar del vehculo"
"V415" "V415   Ocupante de automvil lesionado por colisin con vehculo de pedal, conductor lesionado en accidente de trnsito"
"V416" "V416   Ocupante de automvil lesionado por colisin con vehculo de pedal, pasajero lesionado en accidente de trnsito"
"V417" "V417   Ocupante de automvil lesionado por colisin con vehculo de pedal, persona que viaja  fuera del vehculo, lesionada en accidente de trnsito"
"V419" "V419   Ocupante de automvil lesionado por colisin con vehculo de pedal, ocupante no especificado de automvil, lesionado en accidente de trnsito"
"V42" "V42   Ocupante de automvil lesionado por colisin con vehculo de motor de dos o tres ruedas"
"V420" "V420   Ocupante de automvil lesionado por colisin con vehculo de motor de dos o tres ruedas, conductor lesionado en accidente no de trnsito"
"V421" "V421   Ocupante de automvil lesionado por colisin con vehculo de motor de dos o tres ruedas, pasajero lesionado en accidente no de trnsito"
"V422" "V422   Ocupante de automvil lesionado por colisin con vehculo de motor de dos o tres ruedas, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V423" "V423   Ocupante de automvil lesionado por colisin con vehculo de motor de dos o tres ruedas, ocupante no especificado de automvil, lesionado en accidente no de trnsito"
"V424" "V424   Ocupante de automvil lesionado por colisin con vehculo de motor de dos o tres ruedas, persona lesionada al subir o bajar del vehculo"
"V425" "V425   Ocupante de automvil lesionado por colisin con vehculo de motor de dos o tres ruedas, conductor lesionado en accidente de trnsito"
"V426" "V426   Ocupante de automvil lesionado por colisin con vehculo de motor de dos o tres ruedas, pasajero lesionado en accidente de trnsito"
"V427" "V427   Ocupante de automvil lesionado por colisin con vehculo de motor de dos o tres ruedas, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V429" "V429   Ocupante de automvil lesionado por colisin con vehculo de motor de dos o tres ruedas, ocupante no especificado de automvil, lesionado en accidente de trnsito"
"V43" "V43   Ocupante de automvil lesionado por colisin con otro automvil, camioneta o furgoneta"
"V430" "V430   Ocupante de automvil lesionado por colisin con otro automvil, camioneta o furgoneta, conductor lesionado en  accidente no de trnsito"
"V431" "V431   Ocupante de automvil lesionado por colisin con otro automvil, camioneta o furgoneta, pasajero lesionado en accidente no de trnsito"
"V432" "V432   Ocupante de automvil lesionado por colisin con otro automvil, camioneta o furgoneta, persona que viaja  fuera del  vehculo, lesionada en accidente no de trnsito"
"V433" "V433   Ocupante de automvil lesionado por colisin con otro automvil, camioneta o furgoneta, ocupante no especificado de automvil, lesionado en accidente no de trnsito"
"V434" "V434   Ocupante de automvil lesionado por colisin con otro automvil, camioneta o furgoneta, persona lesionada al subir o bajar del vehculo"
"V435" "V435   Ocupante de automvil lesionado por colisin con otro automvil, camioneta o furgoneta, conductor lesionado en accidente de trnsito"
"V436" "V436   Ocupante de automvil lesionado por colisin con otro automvil, camioneta o furgoneta, pasajero lesionado en accidente de trnsito"
"V437" "V437   Ocupante de automvil lesionado por colisin con otro automvil, camioneta o furgoneta, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V439" "V439   Ocupante de automvil lesionado por colisin con otro automvil, camioneta o furgoneta, ocupante no especificado de automvil, lesionado en accidente de trnsito"
"V44" "V44   Ocupante de automvil lesionado por colisin con  vehculo de transporte pesado o autobs"
"V440" "V440   Ocupante de automvil lesionado por colisin con vehculo de transporte pesado o autobs, conductor lesionado en accidente no de trnsito"
"V441" "V441   Ocupante de automvil lesionado por colisin con vehculo de transporte pesado o autobs, pasajero lesionado en accidente no de trnsito"
"V442" "V442   Ocupante de automvil lesionado por colisin con vehculo de transporte pesado o autobs, persona que viaja fuera del  vehculo, lesionada en accidente no de trnsito"
"V443" "V443   Ocupante de automvil lesionado por colisin con vehculo de transporte pesado o autobs , ocupante no especificado de automvil, lesionado en accidente no de trnsito"
"V444" "V444   Ocupante de automvil lesionado por colisin con vehculo de transporte pesado o autobs , persona lesionada al subir o bajar del vehculo"
"V445" "V445   Ocupante de automvil lesionado por colisin con vehculo de transporte pesado o autobs , conductor lesionado en accidente de trnsito"
"V446" "V446   Ocupante de automvil lesionado por colisin con vehculo de transporte pesado o autobs , pasajero lesionado en accidente de trnsito"
"V447" "V447   Ocupante de automvil lesionado por colisin con vehculo de transporte pesado o autobs, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V449" "V449   Ocupante de automvil lesionado por colisin con vehculo de transporte pesado o autobs , ocupante no especificado de automvil, lesionado en  accidente de trnsito"
"V45" "V45   Ocupante de automvil lesionado por colisin con tren o vehculo de rieles"
"V450" "V450   Ocupante de automvil lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente no de trnsito"
"V451" "V451   Ocupante de automvil lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente no de trnsito"
"V452" "V452   Ocupante de automvil lesionado por colisin con tren o vehculo de rieles, persona que viaja fuera del  vehculo, lesionada en accidente no de trnsito"
"V453" "V453   Ocupante de automvil lesionado por colisin con tren o vehculo de rieles, ocupante no especificado de automvil, lesionado en accidente no de trnsito"
"V454" "V454   Ocupante de automvil lesionado por colisin con tren o vehculo de rieles, persona lesionada al subir o bajar del vehculo"
"V455" "V455   Ocupante de automvil lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente de trnsito"
"V456" "V456   Ocupante de automvil lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente de trnsito"
"V457" "V457   Ocupante de automvil lesionado por colisin con tren o vehculo de rieles, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V459" "V459   Ocupante de automvil lesionado por colisin con tren o vehculo de rieles, ocupante no especificado de automvil, lesionado en accidente de trnsito"
"V46" "V46   Ocupante de automvil lesionado por colisin con otros vehculos sin motor"
"V460" "V460   Ocupante de automvil lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente no de trnsito"
"V461" "V461   Ocupante de automvil lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente no de trnsito"
"V462" "V462   Ocupante de automvil lesionado por colisin con otros vehculos sin motor, persona que viaja fuera del  vehculo, lesionada en  accidente no de trnsito"
"V463" "V463   Ocupante de automvil lesionado por colisin con otros vehculos sin motor, ocupante no especificado de automvil, lesionado  en  accidente no de trnsito"
"V464" "V464   Ocupante de automvil lesionado por colisin con otros vehculos sin motor, persona lesionada al subir o bajar del vehculo"
"V465" "V465   Ocupante de automvil lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente de trnsito"
"V466" "V466   Ocupante de automvil lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente de trnsito"
"V467" "V467   Ocupante de automvil lesionado por colisin con otros vehculos sin motor, persona que viaja fuera del  vehculo, lesionada en  accidente de trnsito"
"V469" "V469   Ocupante de automvil lesionado por colisin con otros vehculos sin motor, ocupante no especificado de automvil, lesionado en accidente de trnsito"
"V47" "V47   Ocupante de automvil lesionado por colisin con objeto fijo o estacionado"
"V470" "V470   Ocupante de automvil lesionado  por  colisin con objeto fijo o estacionado, conductor lesionado en accidente no de trnsito"
"V471" "V471   Ocupante de automvil lesionado  por  colisin con objeto fijo o estacionado, pasajero lesionado en accidente no de trnsito"
"V472" "V472   Ocupante de automvil lesionado  por  colisin con objeto fijo o estacionado, persona que viaja fuera del  vehculo, lesionada en  accidente no de trnsito"
"V473" "V473   Ocupante de automvil lesionado  por  colisin con objeto fijo o estacionado, ocupante no especificado de automvil, lesionado  en  accidente no de trnsito"
"V474" "V474   Ocupante de automvil lesionado  por  colisin con objeto fijo o estacionado, persona lesionada al subir o bajar del vehculo"
"V475" "V475   Ocupante de automvil lesionado  por  colisin con objeto fijo o estacionado, conductor lesionado en accidente de trnsito"
"V476" "V476   Ocupante de automvil lesionado  por  colisin con objeto fijo o estacionado, pasajero lesionado en accidente de trnsito"
"V477" "V477   Ocupante de automvil lesionado  por  colisin con objeto fijo o estacionado, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V479" "V479   Ocupante de automvil lesionado  por  colisin con objeto fijo o estacionado, ocupante no especificado de automvil, lesionado en accidente de trnsito"
"V48" "V48   Ocupante de automvil lesionado en accidente de transporte sin colisin"
"V480" "V480   Ocupante de automvil lesionado en accidente de transporte sin colisin, conductor lesionado en accidente no de trnsito"
"V481" "V481   Ocupante de automvil lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente no de trnsito"
"V482" "V482   Ocupante de automvil lesionado en accidente de transporte sin colisin, persona que viaja  fuera del vehculo, lesionada en accidente no de trnsito"
"V483" "V483   Ocupante de automvil lesionado en accidente de transporte sin colisin, ocupante no especificado de automvil, lesionado en accidente no de trnsito"
"V484" "V484   Ocupante de automvil lesionado en accidente de transporte sin colisin, persona lesionada al subir o bajar del vehculo"
"V485" "V485   Ocupante de automvil lesionado en accidente de transporte sin colisin, conductor lesionado en accidente de trnsito"
"V486" "V486   Ocupante de automvil lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente de trnsito"
"V487" "V487   Ocupante de automvil lesionado en accidente de transporte sin colisin, persona que viaja  fuera del vehculo, lesionada en accidente de trnsito"
"V489" "V489   Ocupante de automvil lesionado en accidente de transporte sin colisin, ocupante no especificado de automvil, lesionado en accidente de trnsito"
"V49" "V49   Ocupante de automvil lesionado en otros accidentes de transporte, y en los no especificados"
"V490" "V490   Conductor de automvil lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V491" "V491   Pasajero de automvil lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V492" "V492   Ocupante no especificado de automvil lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V493" "V493   Ocupante (cualquiera) de automvil lesionado en accidente no de trnsito, no especificado"
"V494" "V494   Conductor de automvil lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V495" "V495   Pasajero de automvil lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V496" "V496   Ocupante no especificado de automvil lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V498" "V498   Ocupante (cualquiera) de automvil lesionado en otros accidentes de transporte especificados"
"V499" "V499   Ocupante (cualquiera) de automvil lesionado en accidente de trnsito no especificado"
"V50" "V50   Ocupante de camioneta o furgoneta lesionado por colisin con peatn o animal"
"V500" "V500   Ocupante de camioneta o furgoneta lesionado por colisin con peatn o animal, conductor lesionado en accidente no de trnsito"
"V501" "V501   Ocupante de camioneta o furgoneta lesionado por colisin con peatn o animal, pasajero lesionado en accidente no de trnsito"
"V502" "V502   Ocupante de camioneta o furgoneta lesionado por colisin con peatn o animal, persona que viaja  fuera del vehculo, lesionada en accidente no de trnsito"
"V503" "V503   Ocupante de camioneta o furgoneta lesionado por colisin con peatn o animal, ocupante no especificado de camioneta o furgoneta, lesionado en accidente no de trnsito"
"V504" "V504   Ocupante de camioneta o furgoneta lesionado por colisin con peatn o animal, persona lesionada al subir o bajar del vehculo"
"V505" "V505   Ocupante de camioneta o furgoneta lesionado por colisin con peatn o animal, conductor lesionado en accidente de trnsito"
"V506" "V506   Ocupante de camioneta o furgoneta lesionado por colisin con peatn o animal, pasajero lesionado en accidente de trnsito"
"V507" "V507   Ocupante de camioneta o furgoneta lesionado por colisin con peatn o animal, persona que viaja  fuera del vehculo, lesionada en accidente de trnsito"
"V509" "V509   Ocupante de camioneta o furgoneta lesionado por colisin con peatn o animal, ocupante no especificado de camioneta o furgoneta, lesionado en accidente de trnsito"
"V51" "V51   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de pedal"
"V510" "V510   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de pedal, conductor lesionado en accidente no de trnsito"
"V511" "V511   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de pedal, pasajero lesionado en accidente no de trnsito"
"V512" "V512   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de pedal, persona que viaja  fuera del vehculo, lesionada en accidente no de trnsito"
"V513" "V513   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de pedal, ocupante no especificado de camioneta o furgoneta,  lesionado en accidente no de trnsito"
"V514" "V514   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de pedal, persona lesionada al subir o bajar del vehculo"
"V515" "V515   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de pedal, conductor lesionado en accidente de trnsito"
"V516" "V516   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de pedal, pasajero lesionado en accidente de trnsito"
"V517" "V517   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de pedal, persona que viaja  fuera del vehculo, lesionada en accidente de trnsito"
"V519" "V519   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de pedal, ocupante no especificado de camioneta o furgoneta,  lesionado en accidente de trnsito"
"V52" "V52   Ocupante de camioneta  o furgoneta lesionado por colisin con vehculo de motor de dos o tres ruedas"
"V520" "V520   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de motor de dos o tres ruedas, conductor lesionado en accidente no de trnsito"
"V521" "V521   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de motor de dos o tres ruedas, pasajero lesionado en accidente no de trnsito"
"V522" "V522   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de motor de dos o tres ruedas, persona que viaja  fuera del vehculo, lesionada en accidente no de trnsito"
"V523" "V523   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de motor de dos o tres ruedas, ocupante no especificado de camioneta o furgoneta, lesionado en accidente no de trnsito"
"V524" "V524   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de motor de dos o tres ruedas, persona lesionada al subir o bajar del vehculo"
"V525" "V525   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de motor de dos o tres ruedas, conductor lesionado en accidente de trnsito"
"V526" "V526   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de motor de dos o tres ruedas, pasajero lesionado en accidente de trnsito"
"V527" "V527   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de motor de dos o tres ruedas, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V529" "V529   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de motor de dos o tres ruedas, ocupante no especificado de camioneta o furgoneta, lesionado en accidente de trnsito"
"V53" "V53   Ocupante de camioneta o furgoneta lesionado por colisin con automvil, camioneta o furgoneta"
"V530" "V530   Ocupante de camioneta o furgoneta lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente no de trnsito"
"V531" "V531   Ocupante de camioneta o furgoneta lesionado por colisin con automvil, camioneta o furgoneta, pasajero lesionado en accidente no de trnsito"
"V532" "V532   Ocupante de camioneta o furgoneta lesionado por colisin con automvil, camioneta o furgoneta, persona que viaja fuera del  vehculo, lesionada en accidente no de trnsito"
"V533" "V533   Ocupante de camioneta o furgoneta lesionado por colisin con automvil, camioneta o furgoneta, ocupante no especificado de camioneta o furgoneta, lesionado en accidente no de trnsito"
"V534" "V534   Ocupante de camioneta o furgoneta lesionado por colisin con automvil, camioneta o furgoneta, persona lesionada al subir o bajar del vehculo"
"V535" "V535   Ocupante de camioneta o furgoneta lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente de trnsito"
"V536" "V536   Ocupante de camioneta o furgoneta lesionado por colisin con automvil, camioneta o furgoneta, pasajero lesionado en accidente de trnsito"
"V537" "V537   Ocupante de camioneta o furgoneta lesionado por colisin con automvil, camioneta o furgoneta, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V539" "V539   Ocupante de camioneta o furgoneta lesionado por colisin con automvil, camioneta o furgoneta, ocupante no especificado de  camioneta o furgoneta, lesionado en accidente de trnsito"
"V54" "V54   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de transporte pesado o autobs"
"V540" "V540   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de transporte pesado o autobs, conductor lesionado en accidente no de trnsito"
"V541" "V541   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de transporte pesado o autobs, pasajero lesionado en accidente no de trnsito"
"V542" "V542   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de transporte pesado o autobs, persona que viaja fuera del  vehculo, lesionada en  accidente no de trnsito"
"V543" "V543   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de transporte pesado o autobs, ocupante no especificado de  camioneta o furgoneta, lesionado en  accidente no de trnsito"
"V544" "V544   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de transporte pesado o autobs, persona lesionada al subir o bajar del vehculo"
"V545" "V545   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de transporte pesado o autobs, conductor lesionado en accidente de trnsito"
"V546" "V546   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de transporte pesado o autobs, pasajero lesionado en accidente de trnsito"
"V547" "V547   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de transporte pesado o autobs, persona que viaja fuera del  vehculo, lesionada en  accidente de trnsito"
"V549" "V549   Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de transporte pesado o autobs, ocupante no especificado de  camioneta o furgoneta, lesionado en  accidente de trnsito"
"V55" "V55   Ocupante de camioneta o furgoneta lesionado por colisin con tren o vehculo de rieles"
"V550" "V550   Ocupante de camioneta o furgoneta lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente no de trnsito"
"V551" "V551   Ocupante de camioneta o furgoneta lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente no de trnsito"
"V552" "V552   Ocupante de camioneta o furgoneta lesionado por colisin con tren o vehculo de rieles, persona que viaja fuera del  vehculo, lesionada en accidente no de trnsito"
"V553" "V553   Ocupante de camioneta o furgoneta lesionado por colisin con tren o vehculo de rieles, ocupante no especificado de camioneta o furgoneta, lesionado en accidente no de trnsito"
"V554" "V554   Ocupante de camioneta o furgoneta lesionado por colisin con tren o vehculo de rieles, persona lesionada al subir o bajar del vehculo"
"V555" "V555   Ocupante de camioneta o furgoneta lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente de trnsito"
"V556" "V556   Ocupante de camioneta o furgoneta lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente de trnsito"
"V557" "V557   Ocupante de camioneta o furgoneta lesionado por colisin con tren o vehculo de rieles, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V559" "V559   Ocupante de camioneta o furgoneta lesionado por colisin con tren o vehculo de rieles, ocupante no especificado de  camioneta o furgoneta, lesionado en  accidente de trnsito"
"V56" "V56   Ocupante de camioneta o furgoneta lesionado por colisin con otros vehculos sin motor"
"V560" "V560   Ocupante de camioneta o furgoneta lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente no de trnsito"
"V561" "V561   Ocupante de camioneta o furgoneta lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente no de trnsito"
"V562" "V562   Ocupante de camioneta o furgoneta lesionado por colisin con otros vehculos sin motor, persona que viaja fuera del  vehculo, lesionada en accidente no de trnsito"
"V563" "V563   Ocupante de camioneta o furgoneta lesionado por colisin con otros vehculos sin motor, ocupante no especificado de camioneta o furgoneta, lesionado en accidente no de trnsito"
"V564" "V564   Ocupante de camioneta o furgoneta lesionado por colisin con otros vehculos sin motor, persona lesionada al subir o bajar del vehculo"
"V565" "V565   Ocupante de camioneta o furgoneta lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente de trnsito"
"V566" "V566   Ocupante de camioneta o furgoneta lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente de trnsito"
"V567" "V567   Ocupante de camioneta o furgoneta lesionado por colisin con otros vehculos sin motor, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V569" "V569   Ocupante de camioneta o furgoneta lesionado por colisin con otros vehculos sin motor, ocupante no especificado de  camioneta o furgoneta, lesionado en accidente de trnsito"
"V57" "V57   Ocupante de camioneta o furgoneta lesionado por colisin objeto fijo o estacionado"
"V570" "V570   Ocupante de camioneta o furgoneta lesionado por colisin con objeto fijo o estacionado, conductor lesionado en accidente no de trnsito"
"V571" "V571   Ocupante de camioneta o furgoneta lesionado por colisin con objeto fijo o estacionado, pasajero lesionado en accidente no de trnsito"
"V572" "V572   Ocupante de camioneta o furgoneta lesionado por colisin con objeto fijo o estacionado, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V573" "V573   Ocupante de camioneta o furgoneta lesionado por colisin con objeto fijo o estacionado, ocupante no especificado de  camioneta o furgoneta, lesionando en  accidente no de trnsito"
"V574" "V574   Ocupante de camioneta o furgoneta lesionado por colisin con objeto fijo o estacionado, persona lesionada al subir o bajar del vehculo"
"V575" "V575   Ocupante de camioneta o furgoneta lesionado por colisin con objeto fijo o estacionado, conductor lesionado en accidente de trnsito"
"V576" "V576   Ocupante de camioneta o furgoneta lesionado por colisin con objeto fijo o estacionado, pasajero lesionado en accidente de trnsito"
"V577" "V577   Ocupante de camioneta o furgoneta lesionado por colisin con objeto fijo o estacionado, persona que viaja fuera del  vehculo, lesionada en  accidente de trnsito"
"V579" "V579   Ocupante de camioneta o furgoneta lesionado por colisin con objeto fijo o estacionado, ocupante no especificado de camioneta o furgoneta, lesionado en  accidente de trnsito"
"V58" "V58   Ocupante de camioneta o furgoneta lesionado en accidente de transporte sin colisin"
"V580" "V580   Ocupante de camioneta o furgoneta lesionado en accidente de transporte sin colisin, conductor lesionado en accidente no de trnsito"
"V581" "V581   Ocupante de camioneta o furgoneta lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente no de trnsito"
"V582" "V582   Ocupante de camioneta o furgoneta lesionado en accidente de transporte sin colisin, persona que viaja fuera del  vehculo, lesionada en  accidente no de trnsito"
"V583" "V583   Ocupante de camioneta o furgoneta lesionado en accidente de transporte sin colisin, ocupante no especificado camioneta o furgoneta, lesionado en accidente no de trnsito"
"V584" "V584   Ocupante de camioneta o furgoneta lesionado en accidente de transporte sin colisin, persona lesionada al subir o bajar del vehculo"
"V585" "V585   Ocupante de camioneta o furgoneta lesionado en accidente de transporte sin colisin, conductor lesionado en accidente de trnsito"
"V586" "V586   Ocupante de camioneta o furgoneta lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente de trnsito"
"V587" "V587   Ocupante de camioneta o furgoneta lesionado en accidente de  transporte sin colisin, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V589" "V589   Ocupante de camioneta o furgoneta lesionado en accidente de  transporte sin colisin, ocupante no especificado de camioneta o furgoneta, lesionado en  accidente de trnsito"
"V59" "V59   Ocupante de camioneta o furgoneta lesionado en otros accidentes de transporte, y en los no especificados"
"V590" "V590   Conductor de camioneta o furgoneta lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V591" "V591   Pasajero de camioneta o furgoneta lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V592" "V592   Ocupante no especificado de camioneta o furgoneta lesionado  por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V593" "V593   Ocupante [cualquiera] de camioneta o furgoneta lesionado en accidente no de trnsito, no especificado"
"V594" "V594   Conductor de camioneta o furgoneta lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V595" "V595   Pasajero de camioneta o furgoneta lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V596" "V596   Ocupante no especificado de camioneta o furgoneta lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V598" "V598   Ocupante [cualquiera] de camioneta o furgoneta lesionado en otros accidentes de transporte especificados"
"V599" "V599   Ocupante [cualquiera] de camioneta o furgoneta lesionado en accidente de trnsito no especificado"
"V60" "V60   Ocupante de vehculo de transporte pesado lesionado por colisin con peatn o animal"
"V600" "V600   Ocupante de vehculo de transporte pesado lesionado por colisin con peatn o animal, conductor lesionado en accidente no de trnsito"
"V601" "V601   Ocupante de vehculo de transporte pesado lesionado por colisin con peatn o animal, pasajero lesionado en accidente no de trnsito"
"V602" "V602   Ocupante de vehculo de transporte pesado lesionado por colisin con peatn o animal, persona que viaja fuera del  vehculo, lesionada en  accidente no de trnsito"
"V603" "V603   Ocupante de vehculo de transporte pesado lesionado por colisin con peatn o animal, ocupante no especificado de vehculo de transporte pesado lesionado en  accidente no de trnsito"
"V604" "V604   Ocupante de vehculo de transporte pesado lesionado por colisin con peatn o animal, persona lesionada al subir o bajar del vehculo"
"V605" "V605   Ocupante de vehculo de transporte pesado lesionado por colisin con peatn o animal, conductor lesionado en accidente de trnsito"
"V606" "V606   Ocupante de vehculo de transporte pesado lesionado por colisin con peatn o animal, pasajero lesionado en accidente de trnsito"
"V607" "V607   Ocupante de vehculo de transporte pesado lesionado por colisin con peatn o animal, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V609" "V609   Ocupante de vehculo de transporte pesado lesionado por colisin con peatn o animal, ocupante no especificado de vehculo de transporte pesado, lesionado en accidente de trnsito"
"V61" "V61   Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de pedal"
"V610" "V610   Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de pedal, conductor lesionado en accidente no de trnsito"
"V611" "V611   Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de pedal, pasajero lesionado en accidente no de trnsito"
"V612" "V612   Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de pedal, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V613" "V613   Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de pedal, ocupante no especificado  de vehculo de transporte pesado lesionado en accidente no de trnsito"
"V614" "V614   Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de pedal, persona lesionada al subir o bajar del vehculo"
"V615" "V615   Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de pedal, conductor lesionado en accidente de trnsito"
"V616" "V616   Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de pedal, pasajero lesionado en accidente de trnsito"
"V617" "V617   Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de pedal, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V619" "V619   Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de pedal, ocupante no especificado de vehculo  de transporte pesado lesionado en accidente de trnsito"
"V62" "V62   Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de motor de dos o tres ruedas"
"V620" "V620   Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de motor de dos o tres ruedas, conductor lesionado en accidente no de trnsito"
"V621" "V621   Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de motor de dos o tres ruedas, pasajero lesionado en accidente no de trnsito"
"V622" "V622   Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de motor de dos o tres ruedas, persona que viaja  fuera del vehculo, lesionada en accidente no de trnsito"
"V623" "V623   Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de motor de dos o tres ruedas, ocupante no especificado de vehculo de transporte pesado lesionado en accidente no de trnsito"
"V624" "V624   Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de motor de dos o tres ruedas, persona lesionada al subir o bajar del vehculo"
"V625" "V625   Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de motor de dos o tres ruedas, conductor lesionado en accidente de trnsito"
"V626" "V626   Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de motor de dos o tres ruedas, pasajero lesionado en accidente de trnsito"
"V627" "V627   Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de motor de dos o tres ruedas, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V629" "V629   Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de motor de dos o tres ruedas, ocupante no especificado de vehculo de transporte pesado, lesionado en accidente de trnsito"
"V63" "V63   Ocupante de vehculo de transporte pesado lesionado por colisin con automvil, camioneta o furgoneta"
"V630" "V630   Ocupante de vehculo de transporte pesado lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente no de trnsito"
"V631" "V631   Ocupante de vehculo de transporte pesado lesionado por colisin con automvil, camioneta o furgoneta, pasajero lesionado en accidente no de trnsito"
"V632" "V632   Ocupante de vehculo de transporte pesado lesionado por colisin con automvil, camioneta o furgoneta, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V633" "V633   Ocupante de vehculo de transporte pesado lesionado por colisin con automvil, camioneta o furgoneta, ocupante no especificado de vehculo  de transporte pesado lesionado en accidente no de trnsito"
"V634" "V634   Ocupante de vehculo de transporte pesado lesionado por colisin con automvil, camioneta o furgoneta, persona lesionada al subir o bajar del vehculo"
"V635" "V635   Ocupante de vehculo de transporte pesado lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente de trnsito"
"V636" "V636   Ocupante de vehculo de transporte pesado lesionado por colisin con automvil, camioneta o furgoneta, pasajero lesionado en accidente de trnsito"
"V637" "V637   Ocupante de vehculo de transporte pesado lesionado por colisin con automvil, camioneta o furgoneta, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V639" "V639   Ocupante de vehculo de transporte pesado lesionado por colisin con automvil, camioneta o furgoneta, ocupante no especificado de vehculo de transporte pesado, lesionado en accidente de trnsito"
"V64" "V64   Ocupante de vehculo de transporte pesado lesionado por colisin con otro vehculo de transporte pesado o autobs"
"V640" "V640   Ocupante de vehculo de transporte pesado lesionado por colisin con otro vehculo de transporte pesado o autobs, conductor lesionado en accidente no de trnsito"
"V641" "V641   Ocupante de vehculo de transporte pesado lesionado por colisin con otro vehculo de transporte pesado o autobs, pasajero lesionado en accidente no de trnsito"
"V642" "V642   Ocupante de vehculo de transporte pesado lesionado por colisin con otro vehculo de transporte pesado o autobs, persona que viaja fuera del  vehculo, lesionada en accidente no de trnsito"
"V643" "V643   Ocupante de vehculo de transporte pesado lesionado por colisin con otro vehculo de transporte pesado o autobs, ocupante no especificado de vehculo de transporte pesado lesionado en accidente no de trnsito"
"V644" "V644   Ocupante de vehculo de transporte pesado lesionado por colisin con otro vehculo de transporte pesado o autobs, persona lesionada al subir o bajar del vehculo"
"V645" "V645   Ocupante de vehculo de transporte pesado lesionado por colisin con otro vehculo de transporte pesado o autobs, conductor lesionado en accidente de trnsito"
"V646" "V646   Ocupante de vehculo de transporte pesado lesionado por colisin con otro vehculo de transporte pesado o autobs, pasajero lesionado en accidente de trnsito"
"V647" "V647   Ocupante de vehculo de transporte pesado lesionado por colisin con otro vehculo de transporte pesado o autobs, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V649" "V649   Ocupante de vehculo de transporte pesado lesionado por colisin con otro vehculo de transporte pesado o autobs, ocupante no especificado de vehculo de transporte pesado, lesionado en accidente de trnsito"
"V65" "V65   Ocupante de vehculo de transporte pesado lesionado por colisin con tren o vehculo de rieles"
"V650" "V650   Ocupante de vehculo de transporte pesado lesionado por colisin con tren o vehculo de rieles, conductor  lesionado en accidente no de trnsito"
"V651" "V651   Ocupante de vehculo de transporte pesado lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente no de trnsito"
"V652" "V652   Ocupante de vehculo de transporte pesado lesionado por colisin con tren o vehculo de rieles, persona que viaja fuera del  vehculo, lesionada en accidente no de trnsito"
"V653" "V653   Ocupante de vehculo de transporte pesado lesionado por colisin con tren o vehculo de rieles, ocupante no especificado de vehculo de transporte pesado lesionado en accidente no de trnsito"
"V654" "V654   Ocupante de vehculo de transporte pesado lesionado por colisin con tren o vehculo de rieles, persona lesionada al subir o bajar del vehculo"
"V655" "V655   Ocupante de vehculo de transporte pesado lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente de trnsito"
"V656" "V656   Ocupante de vehculo de transporte pesado lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente de trnsito"
"V657" "V657   Ocupante de vehculo de transporte pesado lesionado por colisin con tren o vehculo de rieles, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V659" "V659   Ocupante de vehculo de transporte pesado lesionado por colisin con tren o vehculo de rieles, ocupante no especificado de vehculo de transporte pesado, lesionado en accidente de trnsito"
"V66" "V66   Ocupante de vehculo de transporte pesado lesionado por colisin con otros vehculos sin motor"
"V660" "V660   Ocupante de vehculo de transporte pesado lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente no de trnsito"
"V661" "V661   Ocupante de vehculo de transporte pesado lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente no de trnsito"
"V662" "V662   Ocupante de vehculo de transporte pesado lesionado por colisin con otros vehculos sin motor, persona que viaja fuera del  vehculo, lesionada en  accidente no de trnsito"
"V663" "V663   Ocupante de vehculo de transporte pesado lesionado por colisin con otros vehculos sin motor, ocupante no especificado, de vehculo de transporte pesado lesionado en accidente no de trnsito"
"V664" "V664   Ocupante de vehculo de transporte pesado lesionado por colisin con otros vehculos sin motor, persona lesionada al subir o bajar del vehculo"
"V665" "V665   Ocupante de vehculo de transporte pesado lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente de trnsito"
"V666" "V666   Ocupante de vehculo de transporte pesado lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente de trnsito"
"V667" "V667   Ocupante de vehculo de transporte pesado lesionado por colisin con otros vehculos sin motor, persona que viaja fuera del  vehculo, lesionada en  accidente de trnsito"
"V669" "V669   Ocupante de vehculo de transporte pesado lesionado por colisin con otros vehculos sin motor, ocupante no especificado de vehculo de transporte pesado, lesionado en accidente de trnsito"
"V67" "V67   Ocupante de vehculo de transporte pesado lesionado por colisin con objeto fijo o estacionado"
"V670" "V670   Ocupante de vehculo de transporte pesado lesionado por colisin con objeto fijo o estacionado,  conductor lesionado en accidente no de trnsito"
"V671" "V671   Ocupante de vehculo de transporte pesado lesionado por colisin con objeto fijo o estacionado,  pasajero lesionado en accidente no de trnsito"
"V672" "V672   Ocupante de vehculo de transporte pesado lesionado por colisin con objeto fijo o estacionado,  persona que viaja fuera del  vehculo, lesionada en accidente no de trnsito"
"V673" "V673   Ocupante de vehculo de transporte pesado lesionado por colisin con objeto fijo o estacionado,  ocupante no especificado de vehculo de transporte pesado,  lesionado en accidente no de trnsito"
"V674" "V674   Ocupante de vehculo de transporte pesado lesionado por colisin con objeto fijo o estacionado,  persona lesionada al subir o bajar del vehculo"
"V675" "V675   Ocupante de vehculo de transporte pesado lesionado por colisin con objeto fijo o estacionado,  conductor lesionado en accidente de trnsito"
"V676" "V676   Ocupante de vehculo de transporte pesado lesionado por colisin con objeto fijo o estacionado,  pasajero lesionado en accidente de trnsito"
"V677" "V677   Ocupante de vehculo de transporte pesado lesionado por colisin con objeto fijo o estacionado,  persona que  viaja fuera del vehculo, lesionada en accidente de trnsito"
"V679" "V679   Ocupante de vehculo de transporte pesado lesionado por colisin con objeto fijo o estacionado, ocupante no especificado de vehculo de transporte pesado, lesionado en accidente de trnsito"
"V68" "V68   Ocupante de vehculo de transporte pesado lesionado en accidente de transporte sin colisin"
"V680" "V680   Ocupante de vehculo de transporte pesado lesionado en accidente de transporte sin colisin, conductor lesionado en accidente no de trnsito"
"V681" "V681   Ocupante de vehculo de transporte pesado lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente no de trnsito"
"V682" "V682   Ocupante de vehculo de transporte pesado lesionado en accidente de transporte sin colisin, persona que viaja fuera del  vehculo, lesionada en accidente no de trnsito"
"V683" "V683   Ocupante de vehculo de transporte pesado lesionado en accidente de transporte sin colisin, ocupante no especificado de vehculo de transporte pesado, lesionado en accidente no de trnsito"
"V684" "V684   Ocupante de vehculo de transporte pesado lesionado en accidente de transporte sin colisin, persona lesionada al subir o bajar del vehculo"
"V685" "V685   Ocupante de vehculo de transporte pesado lesionado en accidente de transporte sin colisin, conductor lesionado en accidente de trnsito"
"V686" "V686   Ocupante de vehculo de transporte pesado lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente de trnsito"
"V687" "V687   Ocupante de vehculo de transporte pesado lesionado en accidente de transporte sin colisin, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V689" "V689   Ocupante de vehculo de transporte pesado lesionado en accidente de transporte sin colisin, ocupante no especificado de vehculo de transporte pesado, lesionado en accidente de trnsito"
"V69" "V69   Ocupante de vehculo de transporte pesado lesionado en otros accidentes de transporte, y en los no especificados"
"V690" "V690   Conductor de vehculo de transporte pesado lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V691" "V691   Pasajero de vehculo de transporte pesado lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V692" "V692   Ocupante no especificado de vehculo de transporte pesado lesionado por colisin con otros vehculos de motor, y con los no especificados,  en accidente no de trnsito"
"V693" "V693   Ocupante [cualquiera] de vehculo de transporte pesado lesionado en accidente no de trnsito, no especificado"
"V694" "V694   Conductor de vehculo de transporte pesado lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V695" "V695   Pasajero de vehculo transporte pesado lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V696" "V696   Ocupante no especificado de vehculo de transporte pesado lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V698" "V698   Ocupante [cualquiera] de vehculo de transporte pesado lesionado en otros accidentes de transporte especificados"
"V699" "V699   Ocupante [cualquiera] de vehculo de transporte pesado lesionado en accidente de trnsito no especificado"
"V70" "V70   Ocupante de autobs lesionado por colisin con peatn o animal"
"V700" "V700   Ocupante de autobs lesionado por colisin con peatn o animal, conductor lesionado en accidente no de trnsito"
"V701" "V701   Ocupante de autobs lesionado por colisin con peatn o animal, pasajero lesionado en accidente no de trnsito"
"V702" "V702   Ocupante de autobs lesionado por colisin con peatn o animal, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V703" "V703   Ocupante de autobs lesionado por colisin con peatn o animal, ocupante no especificado de autobs, lesionado en accidente no de trnsito"
"V704" "V704   Ocupante de autobs lesionado por colisin con peatn o animal, persona lesionada al subir o bajar del vehculo"
"V705" "V705   Ocupante de autobs lesionado por colisin con peatn o animal, conductor lesionado en accidente de trnsito"
"V706" "V706   Ocupante de autobs lesionado por colisin con peatn o animal, pasajero lesionado en accidente de trnsito"
"V707" "V707   Ocupante de autobs lesionado por colisin con peatn o animal, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V709" "V709   Ocupante de autobs lesionado por colisin con peatn o animal, ocupante no especificado de autobs, lesionado en accidente de trnsito"
"V71" "V71   Ocupante de autobs lesionado por colisin con vehculo de pedal"
"V710" "V710   Ocupante de autobs lesionado por colisin con vehculo de pedal,  conductor lesionado en accidente no de trnsito"
"V711" "V711   Ocupante de autobs lesionado por colisin con vehculo de pedal,  pasajero lesionado en accidente no de trnsito"
"V712" "V712   Ocupante de autobs lesionado por colisin con vehculo de pedal,  persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V713" "V713   Ocupante de autobs lesionado por colisin con vehculo de pedal,  ocupante no especificado de autobs, lesionado en accidente no de trnsito"
"V714" "V714   Ocupante de autobs lesionado por colisin con vehculo de pedal,  persona lesionada al subir o bajar del vehculo"
"V715" "V715   Ocupante de autobs lesionado por colisin con vehculo de pedal,  conductor lesionado en accidente de trnsito"
"V716" "V716   Ocupante de autobs lesionado por colisin con vehculo de pedal,  pasajero lesionado en accidente de trnsito"
"V717" "V717   Ocupante de autobs lesionado por colisin con vehculo de pedal,  persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V719" "V719   Ocupante de autobs lesionado por colisin con vehculo de pedal,  ocupante no especificado de autobs, lesionado en accidente de trnsito"
"V72" "V72   Ocupante de autobs lesionado por colisin con vehculo de motor de dos o tres ruedas"
"V720" "V720   Ocupante de autobs lesionado por colisin con vehculo de motor de dos o tres ruedas,   conductor lesionado en accidente no de trnsito"
"V721" "V721   Ocupante de autobs lesionado por colisin con vehculo de motor de dos o tres ruedas,   pasajero lesionado en accidente no de trnsito"
"V722" "V722   Ocupante de autobs lesionado por colisin con vehculo de motor de dos o tres ruedas,   persona que viaja fuera del vehculo, lesionada en accidente no trnsito"
"V723" "V723   Ocupante de autobs lesionado por colisin con vehculo de motor de dos o tres ruedas,   ocupante no especificado de autobs, lesionado en accidente no de trnsito"
"V724" "V724   Ocupante de autobs lesionado por colisin con vehculo de motor de dos o tres ruedas,   persona lesionada al subir o bajar del vehculo"
"V725" "V725   Ocupante de autobs lesionado por colisin con vehculo de motor de dos o tres ruedas,   conductor lesionado en accidente de trnsito"
"V726" "V726   Ocupante de autobs lesionado por colisin con vehculo de motor de dos o tres ruedas,   pasajero lesionado en accidente de trnsito"
"V727" "V727   Ocupante de autobs lesionado por colisin con vehculo de motor de dos o tres ruedas,   persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V729" "V729   Ocupante de autobs lesionado por colisin con vehculo de motor de dos o tres ruedas,   ocupante no especificado de autobs, lesionado en accidente de trnsito"
"V73" "V73   Ocupante de autobs lesionado por colisin con automvil, camioneta o furgoneta"
"V730" "V730   Ocupante de autobs lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente no de trnsito"
"V731" "V731   Ocupante de autobs lesionado por colisin con automvil, camioneta o furgoneta, pasajero lesionado en accidente no de trnsito"
"V732" "V732   Ocupante de autobs lesionado por colisin con automvil, camioneta o furgoneta, persona que viaja  fuera del vehculo lesionada en accidente no de trnsito"
"V733" "V733   Ocupante de autobs lesionado por colisin con automvil, camioneta o furgoneta, ocupante no especificado de autobs, lesionado en accidente no de trnsito"
"V734" "V734   Ocupante de autobs lesionado por colisin con automvil, camioneta o furgoneta, persona lesionada al subir o bajar del vehculo"
"V735" "V735   Ocupante de autobs lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente de trnsito"
"V736" "V736   Ocupante de autobs lesionado por colisin con automvil, camioneta o furgoneta, pasajero lesionado en accidente de trnsito"
"V737" "V737   Ocupante de autobs lesionado por colisin con automvil, camioneta o furgoneta, persona que viaja  fuera del vehculo, lesionada en accidente de trnsito"
"V739" "V739   Ocupante de autobs lesionado por colisin con automvil, camioneta o furgoneta, ocupante no especificado de autobs, lesionado en accidente de trnsito"
"V74" "V74   Ocupante de autobs lesionado por colisin con vehculo de transporte pesado o autobs"
"V740" "V740   Ocupante de autobs lesionado por colisin con vehculo de transporte pesado o autobs, conductor lesionado en accidente no de trnsito"
"V741" "V741   Ocupante de autobs lesionado por colisin con vehculo de transporte pesado o autobs, pasajero lesionado en accidente no de trnsito"
"V742" "V742   Ocupante de autobs lesionado por colisin con vehculo de transporte pesado o autobs, persona que viaja  fuera del vehculo, lesionada en accidente no de trnsito"
"V743" "V743   Ocupante de autobs lesionado por colisin con vehculo de transporte pesado o autobs, ocupante no especificado de autobs, lesionado en accidente no de trnsito"
"V744" "V744   Ocupante de autobs lesionado por colisin con vehculo de transporte pesado o autobs, persona lesionada al subir o bajar del vehculo"
"V745" "V745   Ocupante de autobs lesionado por colisin con vehculo de transporte pesado o autobs, conductor lesionado en accidente de trnsito"
"V746" "V746   Ocupante de autobs lesionado por colisin con vehculo de transporte pesado o autobs, pasajero lesionado en accidente de trnsito"
"V747" "V747   Ocupante de autobs lesionado por colisin con vehculo de transporte pesado o autobs, persona que viaja  fuera del vehculo lesionada en accidente de trnsito"
"V749" "V749   Ocupante de autobs lesionado por colisin con vehculo de transporte pesado o autobs, ocupante no especificado de autobs, lesionado en accidente de trnsito"
"V75" "V75   Ocupante de autobs lesionado por colisin con tren o vehculo de rieles"
"V750" "V750   Ocupante de autobs lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente no de trnsito"
"V751" "V751   Ocupante de autobs lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente no de trnsito"
"V752" "V752   Ocupante de autobs lesionado por colisin con tren o vehculo de rieles, persona que viaja  fuera del vehculo, lesionada en  accidente no de trnsito"
"V753" "V753   Ocupante de autobs lesionado por colisin con tren o vehculo de rieles, ocupante no especificado de autobs, lesionado en accidente no de trnsito"
"V754" "V754   Ocupante de autobs lesionado por colisin con tren o vehculo de rieles, persona lesionada al subir o bajar del vehculo"
"V755" "V755   Ocupante de autobs lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente de trnsito"
"V756" "V756   Ocupante de autobs lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente de trnsito"
"V757" "V757   Ocupante de autobs lesionado por colisin con tren o vehculo de rieles, persona que viaja fuera del vehculo, lesionada en  accidente de trnsito"
"V759" "V759   Ocupante de autobs lesionado por colisin con tren o vehculo de rieles, ocupante no especificado de autobs, lesionado en accidente de trnsito"
"V76" "V76   Ocupante de autobs lesionado por colisin con otros vehculos sin motor"
"V760" "V760   Ocupante de autobs lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente no de trnsito"
"V761" "V761   Ocupante de autobs lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente no de trnsito"
"V762" "V762   Ocupante de autobs lesionado por colisin con otros vehculos sin motor, persona que viaja  fuera del vehculo lesionada en accidente no de trnsito"
"V763" "V763   Ocupante de autobs lesionado por colisin con otros vehculos sin motor, ocupante no especificado de autobs, lesionado en accidente no de trnsito"
"V764" "V764   Ocupante de autobs lesionado por colisin con otros vehculos sin motor, persona lesionada al subir o bajar del vehculo"
"V765" "V765   Ocupante de autobs lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente de trnsito"
"V766" "V766   Ocupante de autobs lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente de trnsito"
"V767" "V767   Ocupante de autobs lesionado por colisin con otros vehculos sin motor, persona que viaja  fuera del vehculo lesionada en accidente de trnsito"
"V769" "V769   Ocupante de autobs lesionado por colisin con otros vehculos sin motor, ocupante no especificado de autobs, lesionado en accidente de trnsito"
"V77" "V77   Ocupante de autobs lesionado por colisin con objeto fijo o estacionado"
"V770" "V770   Ocupante de autobs lesionado por colisin con objeto fijo o estacionado, conductor lesionado en accidente no de trnsito"
"V771" "V771   Ocupante de autobs lesionado por colisin con objeto fijo o estacionado, pasajero lesionado en accidente no de trnsito"
"V772" "V772   Ocupante de autobs lesionado por colisin con objeto fijo o estacionado, persona que viaja  fuera del  vehculo lesionada en accidente no de trnsito"
"V773" "V773   Ocupante de autobs lesionado por colisin con objeto fijo o estacionado, ocupante no especificado de autobs, lesionado en accidente no de trnsito"
"V774" "V774   Ocupante de autobs lesionado por colisin con objeto fijo o estacionado, persona lesionada al subir  o bajar del vehculo"
"V775" "V775   Ocupante de autobs lesionado por colisin con objeto fijo o estacionado, conductor lesionado en accidente de trnsito"
"V776" "V776   Ocupante de autobs lesionado por colisin con objeto fijo o estacionado, pasajero lesionado en accidente de trnsito"
"V777" "V777   Ocupante de autobs lesionado por colisin con objeto fijo o estacionado, persona que viaja  fuera del vehculo, lesionada en accidente de trnsito"
"V779" "V779   Ocupante de autobs lesionado por colisin con objeto fijo o estacionado, ocupante no especificado de autobs, lesionado en accidente de trnsito"
"V78" "V78   Ocupante de autobs lesionado en accidente de transporte sin colisin"
"V780" "V780   Ocupante de autobs lesionado en accidente de transporte sin colisin, conductor lesionado en accidente no de trnsito"
"V781" "V781   Ocupante de autobs lesionado en accidente de transporte o sin colisin, pasajero lesionado en accidente no de trnsito"
"V782" "V782   Ocupante de autobs lesionado en accidente de transporte sin colisin, persona que viaja  fuera del vehculo lesionada en accidente no de trnsito"
"V783" "V783   Ocupante de autobs lesionado en accidente de transporte sin colisin, ocupante no especificado de autobs, lesionado en accidente no de trnsito"
"V784" "V784   Ocupante de autobs lesionado en accidente de transporte sin colisin, persona lesionada al subir o bajar del vehculo"
"V785" "V785   Ocupante de autobs lesionado en accidente de transporte sin colisin, conductor lesionado en accidente de trnsito"
"V786" "V786   Ocupante de autobs lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente de trnsito"
"V787" "V787   Ocupante de autobs lesionado en accidente de transporte sin colisin, persona que viaja  fuera del vehculo lesionada en accidente de trnsito"
"V789" "V789   Ocupante de autobs lesionado en accidente de transporte sin colisin, ocupante no especificado de autobs, lesionado en accidente de trnsito"
"V79" "V79   Ocupante de autobs lesionado en otros accidentes de transporte, y en los no especificados"
"V790" "V790   Conductor de autobs lesionado por colisin con otros vehculos de motor, y con los no especificados en accidente no de trnsito"
"V791" "V791   Pasajero de autobs lesionado por colisin con otros vehculos de motor, y con los no especificados en accidente no de trnsito"
"V792" "V792   Ocupante no especificado de autobs lesionado por colisin con otros vehculos de motor, y con los no especificados en accidente no de trnsito"
"V793" "V793   Ocupante [cualquiera] de autobs lesionado en accidente no de trnsito, no especificado"
"V794" "V794   Conductor de autobs lesionado por colisin con otros vehculos  de motor, y con los no especificados en accidente de trnsito"
"V795" "V795   Pasajero de autobs lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V796" "V796   Ocupante no especificado de autobs lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V798" "V798   Ocupante [cualquiera] de autobs lesionado en otros accidentes de transporte especificados"
"V799" "V799   Ocupante [cualquiera] de autobs lesionado en accidente de trnsito no especificado"
"V80" "V80   Jinete u ocupante de vehculo de traccin animal lesionado en accidente de transporte"
"V800" "V800   Jinete u ocupante de vehculo de traccin animal lesionado por cada (o por ser despedido) del animal o del vehculo de traccin animal, en accidente sin colisin"
"V801" "V801   Jinete u ocupante de vehculo de traccin animal lesionado por colisin con peatn o animal"
"V802" "V802   Jinete u ocupante de vehculo de traccin animal lesionado por colisin con vehculo de pedal"
"V803" "V803   Jinete u ocupante de vehculo de traccin animal lesionado por colisin con vehculo de motor de dos o tres ruedas"
"V804" "V804   Jinete u ocupante de vehculo de traccin animal lesionado por colisin con automvil, camioneta o furgoneta, vehculo de transporte pesado, o autobs"
"V805" "V805   Jinete u ocupante de vehculo de traccin animal lesionado por colisin con otros vehculos de motor especificados"
"V806" "V806   Jinete u ocupante de vehculo de traccin animal lesionado por colisin con tren o vehculo de rieles"
"V807" "V807   Jinete u ocupante de vehculo de traccin animal lesionado por colisin con otros vehculos sin motor"
"V808" "V808   Jinete u ocupante de vehculo de traccin animal lesionado por colisin con objeto fijo o estacionado"
"V809" "V809   Jinete u ocupante de vehculo de traccin animal lesionado en otros accidentes de transporte, y en los no especificados"
"V81" "V81   Ocupante de tren o vehculo de rieles lesionado en accidente de transporte"
"V810" "V810   Ocupante de tren o vehculo de rieles lesionado por colisin con vehculo de motor, en accidente no de trnsito"
"V811" "V811   Ocupante de tren o vehculo de rieles lesionado por colisin con vehculo de motor, en accidente de trnsito"
"V812" "V812   Ocupante de tren o vehculo de rieles lesionado por colisin con, o golpeado por vagn"
"V813" "V813   Ocupante de tren o vehculo de rieles lesionado por colisin con otros objetos"
"V814" "V814   Persona lesionada al subir o bajar del tren o vehculo de rieles"
"V815" "V815   Ocupante de tren o vehculo de rieles lesionado por cada dentro del tren o vehculo de rieles"
"V816" "V816   Ocupante de tren o vehculo de rieles lesionado por cada desde el tren o vehculo de rieles"
"V817" "V817   Ocupante de tren o vehculo de rieles lesionado en descarrilamiento sin colisin anterior"
"V818" "V818   Ocupante de tren o vehculo de rieles lesionado en otros accidentes ferroviarios especificados"
"V819" "V819   Ocupante de tren o vehculo de rieles lesionado en accidente ferroviario no especificado"
"V82" "V82   Ocupante de tranva lesionado en accidente de transporte"
"V820" "V820   Ocupante de tranva lesionado por colisin con vehculo de motor, en accidente no de trnsito"
"V821" "V821   Ocupante de tranva lesionado por colisin con vehculo de motor, en accidente  de trnsito"
"V822" "V822   Ocupante de tranva lesionado por colisin con, o golpeado por vagn"
"V823" "V823   Ocupante de tranva lesionado por colisin con otros objetos"
"V824" "V824   Persona lesionada al subir o bajar del tranva"
"V825" "V825   Ocupante de tranva lesionado por cada dentro del tranva"
"V826" "V826   Ocupante de tranva lesionado por cada desde el tranva"
"V827" "V827   Ocupante de tranva lesionado por descarrilamiento, sin colisin anterior"
"V828" "V828   Ocupante de tranva lesionado en otros accidentes de transporte, especificados"
"V829" "V829   Ocupante de tranva lesionado en accidente de trnsito no especificado"
"V83" "V83   Ocupante de vehculo especial (de motor) para uso principalmente en plantas industriales lesionado en accidente de transporte"
"V830" "V830   Conductor de vehculo industrial especial lesionado en accidente de trnsito"
"V831" "V831   Pasajero de vehculo industrial especial lesionado en accidente de trnsito"
"V832" "V832   Persona que viaja fuera de vehculo industrial especial lesionada en accidente de trnsito"
"V833" "V833   Ocupante no especificado de vehculo industrial especial lesionado en accidente de trnsito"
"V834" "V834   Persona lesionada al subir o bajar del vehculo industrial especial"
"V835" "V835   Conductor de vehculo industrial especial lesionado en accidente no de trnsito"
"V836" "V836   Pasajero de vehculo industrial especial lesionado en accidente no de trnsito"
"V837" "V837   Persona que viaja fuera del vehculo industrial especial lesionada en accidente no de trnsito"
"V839" "V839   Ocupante no especificado del vehculo industrial especial lesionado en accidente no de trnsito"
"V84" "V84   Ocupante de vehculo especial (de motor) para uso principalmente en agricultura lesionado en accidente de transporte"
"V840" "V840   Conductor de vehculo agrcola especial lesionado en accidente de trnsito"
"V841" "V841   Pasajero de vehculo agrcola especial lesionado en accidente de trnsito"
"V842" "V842   Persona que viaja fuera del vehculo agrcola especial lesionada en accidente de trnsito"
"V843" "V843   Ocupante no especificado de vehculo agrcola especial lesionado en accidente de trnsito"
"V844" "V844   Persona lesionada al subir o bajar del vehculo agrcola especial"
"V845" "V845   Conductor de vehculo agrcola especial lesionado en accidente no de trnsito"
"V846" "V846   Pasajero de vehculo agrcola especial lesionado en accidente no de trnsito"
"V847" "V847   Persona que viaja fuera del vehculo agrcola especial lesionada en accidente no de trnsito"
"V849" "V849   Ocupante no especificado de vehculo agrcola especial lesionado en accidente no de trnsito"
"V85" "V85   Ocupante de vehculo especial (de motor) para construccin lesionado en accidente de transporte"
"V850" "V850   Conductor de vehculo especial para construccin lesionado en accidente de trnsito"
"V851" "V851   Pasajero de vehculo especial para construccin lesionado en accidente de trnsito"
"V852" "V852   Persona que viaja fuera del vehculo especial para construccin lesionada en accidente de trnsito"
"V853" "V853   Ocupante no especificado de vehculo especial para construccin lesionado en accidente de trnsito"
"V854" "V854   Persona lesionada al subir o bajar del vehculo especial para construccin"
"V855" "V855   Conductor de vehculo especial para construccin lesionado en accidente no de trnsito"
"V856" "V856   Pasajero de vehculo especial para construccin lesionado en accidente no de trnsito"
"V857" "V857   Persona que viaja fuera del vehculo especial para construccin lesionada en accidente no de trnsito"
"V859" "V859   Ocupante no especificado de vehculo especial para construccin lesionado en accidente no de trnsito"
"V86" "V86   Ocupante de vehculo especial para todo terreno o de otro vehculo de motor para uso fuera de la carretera lesionado en accidente de transporte"
"V860" "V860   Conductor de vehculo para todo terreno o de otro vehculo de motor para uso fuera de la carretera lesionado en accidente de trnsito"
"V861" "V861   Pasajero de vehculo para todo terreno o de otro vehculo de motor para uso fuera de la carretera lesionado en accidente de trnsito"
"V862" "V862   Persona que viaja  fuera del vehculo para todo terreno o de otro vehculo de motor para uso fuera de la carretera lesionada en accidente de trnsito"
"V863" "V863   Ocupante no especificado de vehculo para todo terreno o de otro vehculo de motor para uso fuera de la carretera lesionado en accidente de trnsito"
"V864" "V864   Persona lesionada en accidente de trnsito al subir o bajar de vehculo para todo terreno o de otro vehculo de motor para uso fuera de carretera"
"V865" "V865   Conductor de vehculo para todo terreno o de otro vehculo de motor para uso fuera de la carretera lesionado en accidente no de trnsito"
"V866" "V866   Pasajero de vehculo para todo terreno o de otro vehculo de motor para uso fuera de la carretera lesionado en accidente no de trnsito"
"V867" "V867   Persona que viaja  fuera de vehculo para todo terreno o de otro vehculo motor para uso fuera de carretera lesionada en accidente no de trnsito"
"V869" "V869   Ocupante no especificado de vehculo para todo terreno o de otro vehculo de motor para uso fuera de la carretera lesionado en accidente no de trnsito"
"V87" "V87   Accidente de trnsito de tipo especificado pero donde se desconoce el modo de transporte de la vctima"
"V870" "V870   Persona lesionada por colisin entre automvil y vehculo de motor de dos o tres ruedas (trnsito)"
"V871" "V871   Persona lesionada por colisin entre otros vehculos de motor y un vehculo de motor de dos o tres ruedas (trnsito)"
"V872" "V872   Persona lesionada por colisin entre automvil y camioneta o furgoneta (trnsito)"
"V873" "V873   Persona lesionada por colisin entre automvil y autobs (trnsito)"
"V874" "V874   Persona lesionada por colisin entre automvil y vehculo de transporte pesado (trnsito)"
"V875" "V875   Persona lesionada por colisin entre vehculo de transporte pesado y autobs (trnsito)"
"V876" "V876   Persona lesionada por colisin entre tren o vehculo de rieles y automvil (trnsito)"
"V877" "V877   Persona lesionada por colisin entre otros vehculos de motor especificados (trnsito)"
"V878" "V878   Persona lesionada en otros accidentes especificados de transporte de vehculo de motor sin colisin (trnsito)"
"V879" "V879   Persona lesionada en otros accidentes especificados de transporte de vehculo sin motor (con colisin)(sin colisin)(trnsito)"
"V88" "V88   Accidente no de trnsito de tipo especificado, pero donde se desconoce el modo de transporte de la vctima"
"V880" "V880   Persona lesionada por colisin entre automvil y vehculo de motor de dos o tres ruedas, no de trnsito"
"V881" "V881   Persona lesionada por colisin entre otros vehculos de motor y un vehculo de motor de dos o tres ruedas, no de trnsito"
"V882" "V882   Persona lesionada por colisin entre automvil y camioneta o furgoneta, no de trnsito"
"V883" "V883   Persona lesionada por colisin entre automvil y autobs, no de trnsito"
"V884" "V884   Persona lesionada por colisin entre automvil y vehculo de transporte pesado, no de trnsito"
"V885" "V885   Persona lesionada por colisin entre vehculo de transporte  pesado y autobs, no de trnsito"
"V886" "V886   Persona lesionada por colisin entre tren o vehculo de rieles y automvil, no de trnsito"
"V887" "V887   Persona lesionada por colisin entre otros vehculos de motor especificados, no de trnsito"
"V888" "V888   Persona lesionada en otros accidentes especificados de transporte de vehculo de motor sin colisin, no de trnsito"
"V889" "V889   Persona lesionada en otros accidentes especificados de transporte de vehculo sin motor (con colisin)(sin colisin), no de trnsito"
"V89" "V89   Accidente de vehculo de motor o sin motor, tipo de vehculo no especificado"
"V890" "V890   Persona lesionada en accidente no de trnsito, de vehculo de motor no especificado"
"V891" "V891   Persona lesionada en accidente no de trnsito, de vehculo sin motor no especificado"
"V892" "V892   Persona lesionada en accidente de trnsito, de vehculo de motor no especificado"
"V893" "V893   Persona lesionada en accidente de trnsito, de vehculo sin motor no especificado"
"V899" "V899   Persona lesionada en accidente de vehculo no especificado"
"V90" "V90   Accidente de embarcacin que causa ahogamiento y sumersin"
"V900" "V900   Accidente de embarcacin que causa ahogamiento y sumersin, barco mercante"
"V901" "V901   Accidente de embarcacin que causa ahogamiento y sumersin, barco de pasajeros"
"V902" "V902   Accidente de embarcacin que causa ahogamiento y sumersin, bote de pesca"
"V903" "V903   Accidente de embarcacin que causa ahogamiento y sumersin, otro vehculo acutico con motor"
"V904" "V904   Accidente de embarcacin que causa ahogamiento y sumersin, velero"
"V905" "V905   Accidente de embarcacin que causa ahogamiento y sumersin, canoa o kayac"
"V906" "V906   Accidente de embarcacin que causa ahogamiento y sumersin, balsa inflable (sin motor)"
"V907" "V907   Accidente de embarcacin que causa ahogamiento y sumersin, esqu acutico"
"V908" "V908   Accidente de embarcacin que causa ahogamiento y sumersin, otro vehculo acutico sin motor"
"V909" "V909   Accidente de embarcacin que causa ahogamiento y sumersin, vehculo acutico no especificado"
"V91" "V91   Accidente de embarcacin que causa otros tipos de traumatismo"
"V910" "V910   Accidente de embarcacin que causa otros tipos de traumatismo, barco mercante"
"V911" "V911   Accidente de embarcacin que causa otros tipos de traumatismo, barco de pasajeros"
"V912" "V912   Accidente de embarcacin que causa otros tipos de traumatismo, bote de pesca"
"V913" "V913   Accidente de embarcacin que causa otros tipos de traumatismo, otro vehculo acutico con motor"
"V914" "V914   Accidente de embarcacin que causa otros tipos de traumatismo, velero"
"V915" "V915   Accidente de embarcacin que causa otros tipos de traumatismo, canoa o kayak"
"V916" "V916   Accidente de embarcacin que causa otros tipos de traumatismo, balsa inflable (sin motor)"
"V917" "V917   Accidente de embarcacin que causa otros tipos de traumatismo, esqu acutico"
"V918" "V918   Accidente de embarcacin que causa otros tipos de traumatismo, otro vehculo acutico sin motor"
"V919" "V919   Accidente de embarcacin que causa otros tipos de traumatismo, vehculo acutico no especificado"
"V92" "V92   Ahogamiento y sumersin relacionados con transporte por agua, sin accidente a la embarcacin"
"V920" "V920   Ahogamiento y sumersin relacionados con transporte por agua, sin accidente a la embarcacin, barco mercante"
"V921" "V921   Ahogamiento y sumersin relacionados con transporte por agua, sin accidente a la embarcacin, barco de pasajeros"
"V922" "V922   Ahogamiento y sumersin relacionados con transporte por agua, sin accidente a la embarcacin, bote de pesca"
"V923" "V923   Ahogamiento y sumersin relacionados con transporte por agua, sin accidente a la embarcacin, otro vehculo acutico con motor"
"V924" "V924   Ahogamiento y sumersin relacionados con transporte por agua, sin accidente a la embarcacin, velero"
"V925" "V925   Ahogamiento y sumersin relacionados con transporte por agua, sin accidente a la embarcacin, canoa o kayak"
"V926" "V926   Ahogamiento y sumersin relacionados con transporte por agua, sin accidente a la embarcacin, balsa inflable (sin motor)"
"V927" "V927   Ahogamiento y sumersin relacionados con transporte por agua, sin accidente a la embarcacin, esqu acutico"
"V928" "V928   Ahogamiento y sumersin relacionados con transporte por agua, sin accidente a la embarcacin, otro vehculo acutico sin motor"
"V929" "V929   Ahogamiento y sumersin relacionados con transporte por agua, sin accidente a la embarcacin, vehculo acutico no especificado"
"V93" "V93   Accidente en una embarcacin, sin accidente a la embarcacin, que no causa ahogamiento o sumersin"
"V930" "V930   Accidente en una embarcacin, sin accidente a la embarcacin, que no causa ahogamiento o sumersin, barco mercante"
"V931" "V931   Accidente en una embarcacin, sin accidente a la embarcacin, que no causa ahogamiento o sumersin, barco de pasajeros"
"V932" "V932   Accidente en una embarcacin, sin accidente a la embarcacin, que no causa ahogamiento o sumersin, bote de pesca"
"V933" "V933   Accidente en una embarcacin, sin accidente a la embarcacin, que no causa ahogamiento o  sumersin, otro vehculo acutico con motor"
"V934" "V934   Accidente en una embarcacin, sin accidente a la embarcacin, que no causa ahogamiento o  sumersin, velero"
"V935" "V935   Accidente en una embarcacin, sin accidente a la embarcacin, que no causa ahogamiento o sumersin, canoa o kayak"
"V936" "V936   Accidente en una embarcacin, sin accidente a la embarcacin, que no causa ahogamiento o  sumersin, balsa inflable (sin motor)"
"V937" "V937   Accidente en una embarcacin, sin accidente a la embarcacin, que no causa ahogamiento o sumersin, esqu acutico"
"V938" "V938   Accidente en una embarcacin, sin accidente a la embarcacin, que no causa ahogamiento o sumersin, otro vehculo acutico sin motor"
"V939" "V939   Accidente en una embarcacin, sin accidente a la embarcacin, que no causa ahogamiento o sumersin, vehculo acutico no especificado"
"V94" "V94   Otros accidentes de transporte por agua, y los no especificados"
"V940" "V940   Otros accidentes de transporte por agua, y los no especificados, barco mercante"
"V941" "V941   Otros accidentes de transporte por agua, y los no especificados, barco de pasajeros"
"V942" "V942   Otros accidentes de transporte por agua, y los no especificados, bote de pesca"
"V943" "V943   Otros accidentes de transporte por agua, y los no especificados, otro vehculo acutico con motor"
"V944" "V944   Otros accidentes de transporte por agua, y los no especificados, velero"
"V945" "V945   Otros accidentes de transporte por agua, y los no especificados, canoa o kayak"
"V946" "V946   Otros accidentes de transporte por agua, y los no especificados, balsa inflable (sin motor)"
"V947" "V947   Otros accidentes de transporte por agua, y los no especificados, esqu acutico"
"V948" "V948   Otros accidentes de transporte por agua, y los no especificados, otro vehculo acutico sin motor"
"V949" "V949   Otros accidentes de transporte por agua, y los no especificados, vehculo acutico no especificado"
"V95" "V95   Accidente de aeronave de motor, con ocupante lesionado"
"V950" "V950   Accidente de helicptero con ocupante lesionado"
"V951" "V951   Accidente de planeador ultra liviano, micro liviano o motorizado, con ocupante lesionado"
"V952" "V952   Accidente de otros vehculos areos de alas fijas, privados, con ocupante lesionado"
"V953" "V953   Accidente de vehculo areo de alas fijas, comercial, con ocupante lesionado"
"V954" "V954   Accidente de nave espacial, con ocupante lesionado"
"V958" "V958   Accidente de otras aeronaves, con ocupante lesionado"
"V959" "V959   Accidente de aeronave no especificada, con ocupante lesionado"
"V96" "V96   Accidente de aeronave sin motor, con ocupante lesionado"
"V960" "V960   Accidente de globo aerosttico, con ocupante lesionado"
"V961" "V961   Accidente de ala delta, con ocupante lesionado"
"V962" "V962   Accidente de planeador (sin motor), con ocupante lesionado"
"V968" "V968   Accidente de otras aeronaves sin motor, con ocupante lesionado"
"V969" "V969   Accidente de aeronave sin motor no especificada, con ocupante lesionado"
"V97" "V97   Otros accidentes de transporte areo especificados"
"V970" "V970   Ocupante de aeronave lesionado en otros accidentes especificados de transporte areo"
"V971" "V971   Persona lesionada al subir o bajar de una aeronave"
"V972" "V972   Paracaidista lesionado en accidente de transporte areo"
"V973" "V973   Persona en tierra lesionada por accidente de transporte areo"
"V978" "V978   Otros accidentes de transporte areo, no clasificados en otra parte"
"V98" "V98   Otros accidentes de transporte especificados"
"V99" "V99   Accidente de transporte no especificado"
"W00" "W00   Cada en el mismo nivel por hielo o nieve"
"W000" "W000   Cada en el mismo nivel por hielo o nieve, vivienda"
"W001" "W001   Cada en el mismo nivel por hielo o nieve, institucin residencial"
"W002" "W002   Cada en el mismo nivel por hielo o nieve, escuelas, otras instituciones y reas administrativas pblicas"
"W003" "W003   Cada en el mismo nivel por hielo o nieve, reas de deporte y atletismo"
"W004" "W004   Cada en el mismo nivel por hielo o nieve, calles y carreteras"
"W005" "W005   Cada en el mismo nivel por hielo o nieve, comercio y rea de servicios"
"W006" "W006   Cada en el mismo nivel por hielo o nieve, rea industrial y de la construccin"
"W007" "W007   Cada en el mismo nivel por hielo o nieve, granja"
"W008" "W008   Cada en el mismo nivel por hielo o nieve, otro lugar especificado"
"W009" "W009   Cada en el mismo nivel por hielo o nieve, lugar no especificado"
"W01" "W01   Cada en el mismo nivel por deslizamiento, tropezn y traspi"
"W010" "W010   Cada en el mismo nivel por deslizamiento, tropezn y traspi, vivienda"
"W011" "W011   Cada en el mismo nivel por deslizamiento, tropezn y traspi, institucin residencial"
"W012" "W012   Cada en el mismo nivel por deslizamiento, tropezn y traspi, escuelas, otras instituciones y reas administrativas pblicas"
"W013" "W013   Cada en el mismo nivel por deslizamiento, tropezn y traspi, reas de deporte y atletismo"
"W014" "W014   Cada en el mismo nivel por deslizamiento, tropezn y traspi, calles y carreteras"
"W015" "W015   Cada en el mismo nivel por deslizamiento, tropezn y traspi, comercio y rea de servicios"
"W016" "W016   Cada en el mismo nivel por deslizamiento, tropezn y traspi, rea industrial y de la construccin"
"W017" "W017   Cada en el mismo nivel por deslizamiento, tropezn y traspi, granja"
"W018" "W018   Cada en el mismo nivel por deslizamiento, tropezn y traspi, otro lugar especificado"
"W019" "W019   Cada en el mismo nivel por deslizamiento, tropezn y traspi, lugar no especificado"
"W02" "W02   Cada por patines para hielo, esqus, patines de ruedas o patineta"
"W020" "W020   Cada por patines para hielo, esqus, patines de ruedas o patineta, vivienda"
"W021" "W021   Cada por patines para hielo, esqus, patines de ruedas o patineta, institucin residencial"
"W022" "W022   Cada por patines para hielo, esqus, patines de ruedas o patineta, escuelas, otras instituciones y reas administrativas pblicas"
"W023" "W023   Cada por patines para hielo, esqus, patines de ruedas o patineta, reas de deporte y atletismo"
"W024" "W024   Cada por patines para hielo, esqus, patines de ruedas o patineta, calles y carreteras"
"W025" "W025   Cada por patines para hielo, esqus, patines de ruedas o patineta, comercio y rea de servicios"
"W026" "W026   Cada por patines para hielo, esqus, patines de ruedas o patineta, rea industrial y de la construccin"
"W027" "W027   Cada por patines para hielo, esqus, patines de ruedas o patineta, granja"
"W028" "W028   Cada por patines para hielo, esqus, patines de ruedas o patineta, otro lugar especificado"
"W029" "W029   Cada por patines para hielo, esqus, patines de ruedas o patineta, lugar no especificado"
"W03" "W03   Otras cadas en el mismo nivel por colisin con o por empujn de otra persona"
"W030" "W030   Otras cadas en el mismo nivel por colisin con o por empujn de otra persona, vivienda"
"W031" "W031   Otras cadas en el mismo nivel por colisin con o por empujn de otra persona, institucin residencial"
"W032" "W032   Otras cadas en el mismo nivel por colisin con o por empujn de otra persona, escuelas, otras instituciones y reas administrativas pblicas"
"W033" "W033   Otras cadas en el mismo nivel por colisin con o por empujn de otra persona, reas de deporte y atletismo"
"W034" "W034   Otras cadas en el mismo nivel por colisin con o por empujn de otra persona, calles y carreteras"
"W035" "W035   Otras cadas en el mismo nivel por colisin con o por empujn de otra persona, comercio y rea de servicios"
"W036" "W036   Otras cadas en el mismo nivel por colisin con o por empujn de otra persona, rea industrial y de la construccin"
"W037" "W037   Otras cadas en el mismo nivel por colisin con o por empujn de otra persona, granja"
"W038" "W038   Otras cadas en el mismo nivel por colisin con o por empujn de otra persona, otro lugar especificado"
"W039" "W039   Otras cadas en el mismo nivel por colisin con o por empujn de otra persona, lugar no especificado"
"W04" "W04   Cada al ser trasladado o sostenido por otras personas"
"W040" "W040   Cada al ser trasladado o sostenido por otras personas, vivienda"
"W041" "W041   Cada al ser trasladado o sostenido por otras personas, institucin residencial"
"W042" "W042   Cada al ser trasladado o sostenido por otras personas, escuelas, otras instituciones y reas administrativas pblicas"
"W043" "W043   Cada al ser trasladado o sostenido por otras personas, reas de deporte y atletismo"
"W044" "W044   Cada al ser trasladado o sostenido por otras personas, calles y carreteras"
"W045" "W045   Cada al ser trasladado o sostenido por otras personas, comercio y rea de servicios"
"W046" "W046   Cada al ser trasladado o sostenido por otras personas, rea industrial y de la construccin"
"W047" "W047   Cada al ser trasladado o sostenido por otras personas, granja"
"W048" "W048   Cada al ser trasladado o sostenido por otras personas, otro lugar especificado"
"W049" "W049   Cada al ser trasladado o sostenido por otras personas, lugar no especificado"
"W05" "W05   Cada que implica silla de ruedas"
"W050" "W050   Cada que implica silla de ruedas, vivienda"
"W051" "W051   Cada que implica silla de ruedas, institucin residencial"
"W052" "W052   Cada que implica silla de ruedas, escuelas, otras instituciones y reas administrativas pblicas"
"W053" "W053   Cada que implica silla de ruedas, reas de deporte y atletismo"
"W054" "W054   Cada que implica silla de ruedas, calles y carreteras"
"W055" "W055   Cada que implica silla de ruedas, comercio y rea de servicios"
"W056" "W056   Cada que implica silla de ruedas, rea industrial y de la construccin"
"W057" "W057   Cada que implica silla de ruedas, granja"
"W058" "W058   Cada que implica silla de ruedas, otro lugar especificado"
"W059" "W059   Cada que implica silla de ruedas, lugar no especificado"
"W06" "W06   Cada que implica cama"
"W060" "W060   Cada que implica cama, vivienda"
"W061" "W061   Cada que implica cama, institucin residencial"
"W062" "W062   Cada que implica cama, escuelas, otras instituciones y reas administrativas pblicas"
"W063" "W063   Cada que implica cama, reas de deporte y atletismo"
"W064" "W064   Cada que implica cama, calles y carreteras"
"W065" "W065   Cada que implica cama, comercio y rea de servicios"
"W066" "W066   Cada que implica cama, rea industrial y de la construccin"
"W067" "W067   Cada que implica cama, granja"
"W068" "W068   Cada que implica cama, otro lugar especificado"
"W069" "W069   Cada que implica cama, lugar no especificado"
"W07" "W07   Cada que implica silla"
"W070" "W070   Cada que implica silla, vivienda"
"W071" "W071   Cada que implica silla, institucin residencial"
"W072" "W072   Cada que implica silla, escuelas, otras instituciones y reas administrativas pblicas"
"W073" "W073   Cada que implica silla, reas de deporte y atletismo"
"W074" "W074   Cada que implica silla, calles y carreteras"
"W075" "W075   Cada que implica silla, comercio y rea de servicios"
"W076" "W076   Cada que implica silla, rea industrial y de la construccin"
"W077" "W077   Cada que implica silla, granja"
"W078" "W078   Cada que implica silla, otro lugar especificado"
"W079" "W079   Cada que implica silla, lugar no especificado"
"W08" "W08   Cada que implica otro mueble"
"W080" "W080   Cada que implica otro mueble, vivienda"
"W081" "W081   Cada que implica otro mueble, institucin residencial"
"W082" "W082   Cada que implica otro mueble, escuelas, otras instituciones y reas administrativas pblicas"
"W083" "W083   Cada que implica otro mueble, reas de deporte y atletismo"
"W084" "W084   Cada que implica otro mueble, calles y carreteras"
"W085" "W085   Cada que implica otro mueble, comercio y rea de servicios"
"W086" "W086   Cada que implica otro mueble, rea industrial y de la construccin"
"W087" "W087   Cada que implica otro mueble, granja"
"W088" "W088   Cada que implica otro mueble, otro lugar especificado"
"W089" "W089   Cada que implica otro mueble, lugar no especificado"
"W09" "W09   Cada que implica equipos para juegos infantiles"
"W090" "W090   Cada que implica equipos para juegos infantiles, vivienda"
"W091" "W091   Cada que implica equipos para juegos infantiles, institucin residencial"
"W092" "W092   Cada que implica equipos para juegos infantiles, escuelas, otras instituciones y reas administrativas pblicas"
"W093" "W093   Cada que implica equipos para juegos infantiles, reas de deporte y atletismo"
"W094" "W094   Cada que implica equipos para juegos infantiles, calles y carreteras"
"W095" "W095   Cada que implica equipos para juegos infantiles, comercio y rea de servicios"
"W096" "W096   Cada que implica equipos para juegos infantiles, rea industrial y de la construccin"
"W097" "W097   Cada que implica equipos para juegos infantiles, granja"
"W098" "W098   Cada que implica equipos para juegos infantiles, otro lugar especificado"
"W099" "W099   Cada que implica equipos para juegos infantiles, lugar no especificado"
"W10" "W10   Cada en o desde escalera o escalones"
"W100" "W100   Cada en o desde escalera y escalones, vivienda"
"W101" "W101   Cada en o desde escalera y escalones, institucin residencial"
"W102" "W102   Cada en o desde escalera y escalones, escuelas, otras instituciones y reas administrativas pblicas"
"W103" "W103   Cada en o desde escalera y escalones, reas de deporte y atletismo"
"W104" "W104   Cada en o desde escalera y escalones, calles y carreteras"
"W105" "W105   Cada en o desde escalera y escalones, comercio y rea de servicios"
"W106" "W106   Cada en o desde escalera y escalones, rea industrial y de la construccin"
"W107" "W107   Cada en o desde escalera y escalones, granja"
"W108" "W108   Cada en o desde escalera y escalones, otro lugar especificado"
"W109" "W109   Cada en o desde escalera y escalones, lugar no especificado"
"W11" "W11   Cada en o desde escalera manuales"
"W110" "W110   Cada en o desde escaleras manuales, vivienda"
"W111" "W111   Cada en o desde escaleras manuales, institucin residencial"
"W112" "W112   Cada en o desde escaleras manuales, escuelas, otras instituciones y reas administrativas pblicas"
"W113" "W113   Cada en o desde escaleras manuales, reas de deporte y atletismo"
"W114" "W114   Cada en o desde escaleras manuales, calles y carreteras"
"W115" "W115   Cada en o desde escaleras manuales, comercio y rea de servicios"
"W116" "W116   Cada en o desde escaleras manuales, rea industrial y de la construccin"
"W117" "W117   Cada en o desde escaleras manuales, granja"
"W118" "W118   Cada en o desde escaleras manuales, otro lugar especificado"
"W119" "W119   Cada en o desde escaleras manuales, lugar no especificado"
"W12" "W12   Cada en o desde andamio"
"W120" "W120   Cada en o desde andamio, vivienda"
"W121" "W121   Cada en o desde andamio, institucin residencial"
"W122" "W122   Cada en o desde andamio, escuelas, otras instituciones y reas administrativas pblicas"
"W123" "W123   Cada en o desde andamio, reas de deporte y atletismo"
"W124" "W124   Cada en o desde andamio, calles y carreteras"
"W125" "W125   Cada en o desde andamio, comercio y rea de servicios"
"W126" "W126   Cada en o desde andamio, rea industrial y de la construccin"
"W127" "W127   Cada en o desde andamio, granja"
"W128" "W128   Cada en o desde andamio, otro lugar especificado"
"W129" "W129   Cada en o desde andamio, lugar no especificado"
"W13" "W13   Cada desde, fuera o a travs de un edificio u otra construccin"
"W130" "W130   Cada desde, fuera o a travs de un edificio u otra construccin, vivienda"
"W131" "W131   Cada desde, fuera o a travs de un edificio u otra construccin, institucin residencial"
"W132" "W132   Cada desde, fuera o a travs de un edificio u otra construccin, escuelas, otras instituciones y reas administrativas pblicas"
"W133" "W133   Cada desde, fuera o a travs de un edificio u otra construccin, reas de deporte y atletismo"
"W134" "W134   Cada desde, fuera o a travs de un edificio u otra construccin, calles y carreteras"
"W135" "W135   Cada desde, fuera o a travs de un edificio u otra construccin, comercio y rea de servicios"
"W136" "W136   Cada desde, fuera o a travs de un edificio u otra construccin, rea industrial y de la construccin"
"W137" "W137   Cada desde, fuera o a travs de un edificio u otra construccin, granja"
"W138" "W138   Cada desde, fuera o a travs de un edificio u otra construccin, otro lugar especificado"
"W139" "W139   Cada desde, fuera o a travs de un edificio u otra construccin, lugar no especificado"
"W14" "W14   Cada desde un rbol"
"W140" "W140   Cada desde un rbol, vivienda"
"W141" "W141   Cada desde un rbol, institucin residencial"
"W142" "W142   Cada desde un rbol, escuelas, otras instituciones y reas administrativas pblicas"
"W143" "W143   Cada desde un rbol, reas de deporte y atletismo"
"W144" "W144   Cada desde un rbol, calles y carreteras"
"W145" "W145   Cada desde un rbol, comercio y rea de servicios"
"W146" "W146   Cada desde un rbol, rea industrial y de la construccin"
"W147" "W147   Cada desde un rbol, granja"
"W148" "W148   Cada desde un rbol, otro lugar especificado"
"W149" "W149   Cada desde un rbol, lugar no especificado"
"W15" "W15   Cada desde peasco"
"W150" "W150   Cada desde peasco, vivienda"
"W151" "W151   Cada desde peasco, institucin residencial"
"W152" "W152   Cada desde peasco, escuelas, otras instituciones y reas administrativas pblicas"
"W153" "W153   Cada desde peasco, reas de deporte y atletismo"
"W154" "W154   Cada desde peasco, calles y carreteras"
"W155" "W155   Cada desde peasco, comercio y rea de servicios"
"W156" "W156   Cada desde peasco, rea industrial y de la construccin"
"W157" "W157   Cada desde peasco, granja"
"W158" "W158   Cada desde peasco, otro lugar especificado"
"W159" "W159   Cada desde peasco, lugar no especificado"
"W16" "W16   Salto o zambullida dentro del agua que causa otro traumatismo sin sumersin o ahogamiento"
"W160" "W160   Salto o zambullida dentro del agua que causa otro traumatismo sin sumersin o ahogamiento, vivienda"
"W161" "W161   Salto o zambullida dentro del agua que causa otro traumatismo sin sumersin o ahogamiento, institucin residencial"
"W162" "W162   Salto o zambullida dentro del agua que causa otro traumatismo sin sumersin o ahogamiento, escuelas, otras instituciones y reas administrativas pblicas"
"W163" "W163   Salto o zambullida dentro del agua que causa otro traumatismo sin sumersin o ahogamiento, reas de deporte y atletismo"
"W164" "W164   Salto o zambullida dentro del agua que causa otro traumatismo sin sumersin o ahogamiento, calles y carreteras"
"W165" "W165   Salto o zambullida dentro del agua que causa otro traumatismo sin sumersin o ahogamiento, comercio y rea de servicios"
"W166" "W166   Salto o zambullida dentro del agua que causa otro traumatismo sin sumersin o ahogamiento, rea industrial y de la construccin"
"W167" "W167   Salto o zambullida dentro del agua que causa otro traumatismo sin sumersin o ahogamiento, granja"
"W168" "W168   Salto o zambullida dentro del agua que causa otro traumatismo sin sumersin o ahogamiento, otro lugar especificado"
"W169" "W169   Salto o zambullida dentro del agua que causa otro traumatismo sin sumersin o ahogamiento, lugar no especificado"
"W17" "W17   Otras cadas de un nivel a otro"
"W170" "W170   Otras cadas de un nivel a otro, vivienda"
"W171" "W171   Otras cadas de un nivel a otro, institucin residencial"
"W172" "W172   Otras cadas de un nivel a otro, escuelas, otras instituciones y reas administrativas pblicas"
"W173" "W173   Otras cadas de un nivel a otro, reas de deporte y atletismo"
"W174" "W174   Otras cadas de un nivel a otro, calles y carreteras"
"W175" "W175   Otras cadas de un nivel a otro, comercio y rea de servicios"
"W176" "W176   Otras cadas de un nivel a otro, rea industrial y de la construccin"
"W177" "W177   Otras cadas de un nivel a otro, granja"
"W178" "W178   Otras cadas de un nivel a otro, otro lugar especificado"
"W179" "W179   Otras cadas de un nivel a otro, lugar no especificado"
"W18" "W18   Otras cadas en el mismo nivel"
"W180" "W180   Otras cadas en el mismo nivel, vivienda"
"W181" "W181   Otras cadas en el mismo nivel, institucin residencial"
"W182" "W182   Otras cadas en el mismo nivel, escuelas, otras instituciones y reas administrativas pblicas"
"W183" "W183   Otras cadas en el mismo nivel, reas de deporte y atletismo"
"W184" "W184   Otras cadas en el mismo nivel, calles y carreteras"
"W185" "W185   Otras cadas en el mismo nivel, comercio y rea de servicios"
"W186" "W186   Otras cadas en el mismo nivel, rea industrial y de la construccin"
"W187" "W187   Otras cadas en el mismo nivel, granja"
"W188" "W188   Otras cadas en el mismo nivel, otro lugar especificado"
"W189" "W189   Otras cadas en el mismo nivel, lugar no especificado"
"W19" "W19   Cada no especificada"
"W190" "W190   Cada no especificada, vivienda"
"W191" "W191   Cada no especificada, institucin residencial"
"W192" "W192   Cada no especificada, escuelas, otras instituciones y reas administrativas pblicas"
"W193" "W193   Cada no especificada, reas de deporte y atletismo"
"W194" "W194   Cada no especificada, calles y carreteras"
"W195" "W195   Cada no especificada, comercio y rea de servicios"
"W196" "W196   Cada no especificada, rea industrial y de la construccin"
"W197" "W197   Cada no especificada, granja"
"W198" "W198   Cada no especificada, otro lugar especificado"
"W199" "W199   Cada no especificada, lugar no especificado"
"W20" "W20   Golpe por objeto arrojado, proyectado o que cae"
"W200" "W200   Golpe por objeto arrojado, proyectado o que cae, vivienda"
"W201" "W201   Golpe por objeto arrojado, proyectado o que cae, institucin residencial"
"W202" "W202   Golpe por objeto arrojado, proyectado o que cae, escuelas, otras instituciones y reas administrativas  pblicas"
"W203" "W203   Golpe por objeto arrojado, proyectado o que cae, reas de deporte y atletismo"
"W204" "W204   Golpe por objeto arrojado, proyectado o que cae, calles y carreteras"
"W205" "W205   Golpe por objeto arrojado, proyectado o que cae, comercio y rea de servicios"
"W206" "W206   Golpe por objeto arrojado, proyectado o que cae, rea industrial y de la construccin"
"W207" "W207   Golpe por objeto arrojado, proyectado o que cae, granja"
"W208" "W208   Golpe por objeto arrojado, proyectado o que cae, otro lugar especificado"
"W209" "W209   Golpe por objeto arrojado, proyectado o que cae, lugar no especificado"
"W21" "W21   Golpe contra o golpeado por equipo para deportes"
"W210" "W210   Golpe contra o golpeado por equipo para deportes, vivienda"
"W211" "W211   Golpe contra o golpeado por equipo para deportes, institucin residencial"
"W212" "W212   Golpe contra o golpeado por equipo para deportes, escuelas, otras instituciones y reas administrativas  pblicas"
"W213" "W213   Golpe contra o golpeado por equipo para deportes, reas de deporte y atletismo"
"W214" "W214   Golpe contra o golpeado por equipo para deportes, calles y carreteras"
"W215" "W215   Golpe contra o golpeado por equipo para deportes, comercio y rea de servicios"
"W216" "W216   Golpe contra o golpeado por equipo para deportes, rea industrial y de la construccin"
"W217" "W217   Golpe contra o golpeado por equipo para deportes, granja"
"W218" "W218   Golpe contra o golpeado por equipo para deportes, otro lugar especificado"
"W219" "W219   Golpe contra o golpeado por equipo para deportes, lugar no especificado"
"W22" "W22   Golpe contra o golpeado por otros objetos"
"W220" "W220   Golpe contra o golpeado por otros objetos, vivienda"
"W221" "W221   Golpe contra o golpeado por otros objetos, institucin residencial"
"W222" "W222   Golpe contra o golpeado por otros objetos, escuelas, otras instituciones y reas administrativas  pblicas"
"W223" "W223   Golpe contra o golpeado por otros objetos, reas de deporte y atletismo"
"W224" "W224   Golpe contra o golpeado por otros objetos, calles y carreteras"
"W225" "W225   Golpe contra o golpeado por otros objetos, comercio y rea de servicios"
"W226" "W226   Golpe contra o golpeado por otros objetos, rea industrial y de la construccin"
"W227" "W227   Golpe contra o golpeado por otros objetos, granja"
"W228" "W228   Golpe contra o golpeado por otros objetos, otro lugar especificado"
"W229" "W229   Golpe contra o golpeado por otros objetos, lugar no especificado"
"W23" "W23   Atrapado, aplastado, trabado o apretado en o entre objetos"
"W230" "W230   Atrapado, aplastado, trabado o apretado en o entre objetos, vivienda"
"W231" "W231   Atrapado, aplastado, trabado o apretado en o entre objetos, institucin residencial"
"W232" "W232   Atrapado, aplastado, trabado o apretado en o entre objetos, escuelas, otras instituciones y reas administrativas pblicas"
"W233" "W233   Atrapado, aplastado, trabado o apretado en o entre objetos, reas de deporte y atletismo"
"W234" "W234   Atrapado, aplastado, trabado o apretado en o entre objetos, calles y carreteras"
"W235" "W235   Atrapado, aplastado, trabado o apretado en o entre objetos, comercio y rea de servicios"
"W236" "W236   Atrapado, aplastado, trabado o apretado en o entre objetos, rea industrial y de la construccin"
"W237" "W237   Atrapado, aplastado, trabado o apretado en o entre objetos, granja"
"W238" "W238   Atrapado, aplastado, trabado o apretado en o entre objetos, otro lugar especificado"
"W239" "W239   Atrapado, aplastado, trabado o apretado en o entre objetos, lugar no especificado"
"W24" "W24   Contacto traumtico con dispositivos de elevacin o transmisin, no clasificado en otra parte"
"W240" "W240   Contacto traumtico con dispositivos de elevacin y transmisin, no clasificados en otra parte, vivienda"
"W241" "W241   Contacto traumtico con dispositivos de elevacin y transmisin, no clasificados en otra parte, institucin residencial"
"W242" "W242   Contacto traumtico con dispositivos de elevacin y transmisin, no clasificados en otra parte, escuelas, otras instituciones y reas administrativas  pblicas"
"W243" "W243   Contacto traumtico con dispositivos de elevacin y transmisin, no clasificados en otra parte, reas de deporte y atletismo"
"W244" "W244   Contacto traumtico con dispositivos de elevacin y transmisin, no clasificados en otra parte, calles y carreteras"
"W245" "W245   Contacto traumtico con dispositivos de elevacin y transmisin, no clasificados en otra parte, comercio y rea de servicios"
"W246" "W246   Contacto traumtico con dispositivos de elevacin y transmisin, no clasificados en otra parte, rea industrial y de la construccin"
"W247" "W247   Contacto traumtico con dispositivos de elevacin y transmisin, no clasificados en otra parte, granja"
"W248" "W248   Contacto traumtico con dispositivos de elevacin y transmisin, no clasificados en otra parte, otro lugar especificado"
"W249" "W249   Contacto traumtico con dispositivos de elevacin y transmisin, no clasificados en otra parte, lugar no especificado"
"W25" "W25   Contacto traumtico con vidrio cortante"
"W250" "W250   Contacto traumtico con vidrio cortante, vivienda"
"W251" "W251   Contacto traumtico con vidrio cortante, institucin residencial"
"W252" "W252   Contacto traumtico con vidrio cortante, escuelas, otras instituciones y reas administrativas pblicas"
"W253" "W253   Contacto traumtico con vidrio cortante, reas de deporte y atletismo"
"W254" "W254   Contacto traumtico con vidrio cortante, calles y carreteras"
"W255" "W255   Contacto traumtico con vidrio cortante, comercio y rea de servicios"
"W256" "W256   Contacto traumtico con vidrio cortante, rea industrial y de la construccin"
"W257" "W257   Contacto traumtico con vidrio cortante, granja"
"W258" "W258   Contacto traumtico con vidrio cortante, otro lugar especificado"
"W259" "W259   Contacto traumtico con vidrio cortante, lugar no especificado"
"W26" "W26   Contacto traumtico con cuchillo, espada, daga o pual"
"W260" "W260   Contacto con cuchillo, espada o daga"
"W261" "W261   Contacto traumtico con cuchillo, espada, daga o pual, institucin residencial"
"W262" "W262   Contacto traumtico con cuchillo, espada, daga o pual, escuelas, otras instituciones y reas administrativas p"
"W263" "W263   Contacto traumtico con cuchillo, espada, daga o pual, reas de deporte y atletismo"
"W264" "W264   Contacto traumtico con cuchillo, espada, daga o pual, calles y carreteras"
"W265" "W265   Contacto traumtico con cuchillo, espada, daga o pual, comercio y rea de servicios"
"W266" "W266   Contacto traumtico con cuchillo, espada, daga o pual, rea industrial y de la construccin"
"W267" "W267   Contacto traumtico con cuchillo, espada, daga o pual, granja"
"W268" "W268   Contacto con otro(s) objeto(s) afilado(s) no clasificados en otra parte"
"W269" "W269   Contacto con objetos puntiagudos no especificados"
"W27" "W27   Contacto traumtico con herramientas manuales sin motor"
"W270" "W270   Contacto traumtico con herramientas manuales sin motor, vivienda"
"W271" "W271   Contacto traumtico con herramientas manuales sin motor, institucin residencial"
"W272" "W272   Contacto traumtico con herramientas manuales sin motor, escuelas, otras instituciones y reas administrativas pblicas"
"W273" "W273   Contacto traumtico con herramientas manuales sin motor, reas de deporte y atletismo"
"W274" "W274   Contacto traumtico con herramientas manuales sin motor, calles y carreteras"
"W275" "W275   Contacto traumtico con herramientas manuales sin motor, comercio y rea de servicios"
"W276" "W276   Contacto traumtico con herramientas manuales sin motor, rea industrial y de la construccin"
"W277" "W277   Contacto traumtico con herramientas manuales sin motor, granja"
"W278" "W278   Contacto traumtico con herramientas manuales sin motor, otro lugar especificado"
"W279" "W279   Contacto traumtico con herramientas manuales sin motor, lugar no especificado"
"W28" "W28   Contacto traumtico con cortadora de csped, con motor"
"W280" "W280   Contacto traumtico con cortadora de csped, con motor, vivienda"
"W281" "W281   Contacto traumtico con cortadora de csped, con motor, institucin residencial"
"W282" "W282   Contacto traumtico con cortadora de csped, con motor, escuelas, otras instituciones y reas administrativas pblicas"
"W283" "W283   Contacto traumtico con cortadora de csped, con motor, reas de deporte y atletismo"
"W284" "W284   Contacto traumtico con cortadora de csped, con motor, calles y carreteras"
"W285" "W285   Contacto traumtico con cortadora de csped, con motor, comercio y rea de servicios"
"W286" "W286   Contacto traumtico con cortadora de csped, con motor, rea industrial y de la construccin"
"W287" "W287   Contacto traumtico con cortadora de csped, con motor, granja"
"W288" "W288   Contacto traumtico con cortadora de csped, con motor, otro lugar especificado"
"W289" "W289   Contacto traumtico con cortadora de csped, con motor, lugar no especificado"
"W29" "W29   Contacto traumtico con otras herramientas manuales y artefactos del hogar, con motor"
"W290" "W290   Contacto traumtico con otras herramientas manuales y artefactos del hogar, con motor, vivienda"
"W291" "W291   Contacto traumtico con otras herramientas manuales y artefactos del hogar, con motor, institucin residencial"
"W292" "W292   Contacto traumtico con otras herramientas manuales y artefactos del hogar, con motor, escuelas, otras instituciones y reas administrativas  pblicas"
"W293" "W293   Contacto traumtico con otras herramientas manuales y artefactos del hogar, con motor, reas de deporte y atletismo"
"W294" "W294   Contacto traumtico con otras herramientas manuales y artefactos del hogar, con motor, calles y carreteras"
"W295" "W295   Contacto traumtico con otras herramientas manuales y artefactos del hogar, con motor, comercio y rea de servicios"
"W296" "W296   Contacto traumtico con otras herramientas manuales y artefactos del hogar, con motor, rea industrial y de la construccin"
"W297" "W297   Contacto traumtico con otras herramientas manuales y artefactos del hogar, con motor, granja"
"W298" "W298   Contacto traumtico con otras herramientas manuales y artefactos del hogar, con motor, otro lugar especificado"
"W299" "W299   Contacto traumtico con otras herramientas manuales y artefactos del hogar, con motor, lugar no especificado"
"W30" "W30   Contacto traumtico con maquinaria agrcola"
"W300" "W300   Contacto traumtico con maquinaria agrcola, vivienda"
"W301" "W301   Contacto traumtico con maquinaria agrcola, institucin residencial"
"W302" "W302   Contacto traumtico con maquinaria agrcola, escuelas, otras instituciones y reas administrativas pblicas"
"W303" "W303   Contacto traumtico con maquinaria agrcola, reas de deporte y atletismo"
"W304" "W304   Contacto traumtico con maquinaria agrcola, calles y carreteras"
"W305" "W305   Contacto traumtico con maquinaria agrcola, comercio y rea de servicios"
"W306" "W306   Contacto traumtico con maquinaria agrcola, rea industrial y de la construccin"
"W307" "W307   Contacto traumtico con maquinaria agrcola, granja"
"W308" "W308   Contacto traumtico con maquinaria agrcola, otro lugar especificado"
"W309" "W309   Contacto traumtico con maquinaria agrcola, lugar no especificado"
"W31" "W31   Contacto traumtico con otras maquinarias, y las no especificadas"
"W310" "W310   Contacto traumtico con otras maquinarias, y las no especificadas, vivienda"
"W311" "W311   Contacto traumtico con otras maquinarias, y las no especificadas, institucin residencial"
"W312" "W312   Contacto traumtico con otras maquinarias, y las no especificadas, escuelas, otras instituciones y reas administrativas  pblicas"
"W313" "W313   Contacto traumtico con otras maquinarias, y las no especificadas, reas de deporte y atletismo"
"W314" "W314   Contacto traumtico con otras maquinarias, y las no especificadas, calles y carreteras"
"W315" "W315   Contacto traumtico con otras maquinarias, y las no especificadas, comercio y rea de servicios"
"W316" "W316   Contacto traumtico con otras maquinarias, y las no especificadas, rea industrial y de la construccin"
"W317" "W317   Contacto traumtico con otras maquinarias, y las no especificadas, granja"
"W318" "W318   Contacto traumtico con otras maquinarias, y las no especificadas, otro lugar especificado"
"W319" "W319   Contacto traumtico con otras maquinarias, y las no especificadas, lugar no especificado"
"W32" "W32   Disparo de arma corta"
"W320" "W320   Disparo de arma corta, vivienda"
"W321" "W321   Disparo de arma corta, institucin residencial"
"W322" "W322   Disparo de arma corta, escuelas, otras instituciones y reas administrativas  pblicas"
"W323" "W323   Disparo de arma corta, reas de deporte y atletismo"
"W324" "W324   Disparo de arma corta, calles y carreteras"
"W325" "W325   Disparo de arma corta, comercio y rea de servicios"
"W326" "W326   Disparo de arma corta, rea industrial y de la construccin"
"W327" "W327   Disparo de arma corta, granja"
"W328" "W328   Disparo de arma corta, otro lugar especificado"
"W329" "W329   Disparo de arma corta, lugar no especificado"
"W33" "W33   Disparo de rifle, escopeta y arma larga"
"W330" "W330   Disparo de rifle, escopeta y arma larga, vivienda"
"W331" "W331   Disparo de rifle, escopeta y arma larga, institucin residencial"
"W332" "W332   Disparo de rifle, escopeta y arma larga, escuelas, otras instituciones y reas administrativas pblicas"
"W333" "W333   Disparo de rifle, escopeta y arma larga, reas de deporte y atletismo"
"W334" "W334   Disparo de rifle, escopeta y arma larga, calles y carreteras"
"W335" "W335   Disparo de rifle, escopeta y arma larga, comercio y rea de servicios"
"W336" "W336   Disparo de rifle, escopeta y arma larga, rea industrial y de la construccin"
"W337" "W337   Disparo de rifle, escopeta y arma larga, granja"
"W338" "W338   Disparo de rifle, escopeta y arma larga, otro lugar especificado"
"W339" "W339   Disparo de rifle, escopeta y arma larga, lugar no especificado"
"W34" "W34   Disparo de otras armas de fuego, y las no especificadas"
"W340" "W340   Disparo de otras armas de fuego, y las no especificadas, vivienda"
"W341" "W341   Disparo de otras armas de fuego, y las no especificadas, institucin residencial"
"W342" "W342   Disparo de otras armas de fuego, y las no especificadas, escuelas, otras instituciones y reas administrativas pblicas"
"W343" "W343   Disparo de otras armas de fuego, y las no especificadas, reas de deporte y atletismo"
"W344" "W344   Disparo de otras armas de fuego, y las no especificadas, calles y carreteras"
"W345" "W345   Disparo de otras armas de fuego, y las no especificadas, comercio y rea de servicios"
"W346" "W346   Disparo de otras armas de fuego, y las no especificadas, rea industrial y de la construccin"
"W347" "W347   Disparo de otras armas de fuego, y las no especificadas, granja"
"W348" "W348   Disparo de otras armas de fuego, y las no especificadas, otro lugar especificado"
"W349" "W349   Disparo de otras armas de fuego, y las no especificadas, lugar no especificado"
"W35" "W35   Explosin y rotura de caldera"
"W350" "W350   Explosin y rotura de caldera, vivienda"
"W351" "W351   Explosin y rotura de caldera, institucin residencial"
"W352" "W352   Explosin y rotura de caldera, escuelas, otras instituciones y reas administrativas pblicas"
"W353" "W353   Explosin y rotura de caldera, reas de deporte y atletismo"
"W354" "W354   Explosin y rotura de caldera, calles y carreteras"
"W355" "W355   Explosin y rotura de caldera, comercio y rea de servicios"
"W356" "W356   Explosin y rotura de caldera, rea industrial y de la construccin"
"W357" "W357   Explosin y rotura de caldera, granja"
"W358" "W358   Explosin y rotura de caldera, otro lugar especificado"
"W359" "W359   Explosin y rotura de caldera, lugar no especificado"
"W36" "W36   Explosin y rotura de cilindro con gas"
"W360" "W360   Explosin y rotura de cilindro con gas, vivienda"
"W361" "W361   Explosin y rotura de cilindro con gas, institucin residencial"
"W362" "W362   Explosin y rotura de cilindro con gas, escuelas, otras instituciones y reas administrativas pblicas"
"W363" "W363   Explosin y rotura de cilindro con gas, reas de deporte y atletismo"
"W364" "W364   Explosin y rotura de cilindro con gas, calles y carreteras"
"W365" "W365   Explosin y rotura de cilindro con gas, comercio y rea de servicios"
"W366" "W366   Explosin y rotura de cilindro con gas, rea industrial y de la construccin"
"W367" "W367   Explosin y rotura de cilindro con gas, granja"
"W368" "W368   Explosin y rotura de cilindro con gas, otro lugar especificado"
"W369" "W369   Explosin y rotura de cilindro con gas, lugar no especificado"
"W37" "W37   Explosin y rotura de neumtico, tubo o manguera de goma presurizada"
"W370" "W370   Explosin y rotura de neumtico, tubo o manguera de goma presurizada, vivienda"
"W371" "W371   Explosin y rotura de neumtico, tubo o manguera de goma presurizada, institucin residencial"
"W372" "W372   Explosin y rotura de neumtico, tubo o manguera de goma presurizada, escuelas, otras instituciones y reas administrativas pblicas"
"W373" "W373   Explosin y rotura de neumtico, tubo o manguera de goma presurizada, reas de deporte y atletismo"
"W374" "W374   Explosin y rotura de neumtico, tubo o manguera de goma presurizada, calles y carreteras"
"W375" "W375   Explosin y rotura de neumtico, tubo o manguera de goma presurizada, comercio y rea de servicios"
"W376" "W376   Explosin y rotura de neumtico, tubo o manguera de goma presurizada, rea industrial y de la construccin"
"W377" "W377   Explosin y rotura de neumtico, tubo o manguera de goma presurizada, granja"
"W378" "W378   Explosin y rotura de neumtico, tubo o manguera de goma presurizada, otro lugar especificado"
"W379" "W379   Explosin y rotura de neumtico, tubo o manguera de goma presurizada, lugar no especificado"
"W38" "W38   Explosin y rotura de otros dispositivos presurizados especificado"
"W380" "W380   Explosin y rotura de otros dispositivos presurizados especificados, vivienda"
"W381" "W381   Explosin y rotura de otros dispositivos presurizados especificados, institucin residencial"
"W382" "W382   Explosin y rotura de otros dispositivos presurizados especificados, escuelas, otras instituciones y reas administrativas pblicas"
"W383" "W383   Explosin y rotura de otros dispositivos presurizados especificados, reas de deporte y atletismo"
"W384" "W384   Explosin y rotura de otros dispositivos presurizados especificados, calles y carreteras"
"W385" "W385   Explosin y rotura de otros dispositivos presurizados especificados, comercio y rea de servicios"
"W386" "W386   Explosin y rotura de otros dispositivos presurizados especificados, rea industrial y de la construccin"
"W387" "W387   Explosin y rotura de otros dispositivos presurizados especificados, granja"
"W388" "W388   Explosin y rotura de otros dispositivos presurizados especificados, otro lugar especificado"
"W389" "W389   Explosin y rotura de otros dispositivos presurizados especificados, lugar no especificado"
"W39" "W39   Explosin de fueros artificiales"
"W390" "W390   Explosin de fuegos artificiales, vivienda"
"W391" "W391   Explosin de fuegos artificiales, institucin residencial"
"W392" "W392   Explosin de fuegos artificiales, escuelas, otras instituciones y reas administrativas pblicas"
"W393" "W393   Explosin de fuegos artificiales, reas de deporte y atletismo"
"W394" "W394   Explosin de fuegos artificiales, calles y carreteras"
"W395" "W395   Explosin de fuegos artificiales, comercio y rea de servicios"
"W396" "W396   Explosin de fuegos artificiales, rea industrial y de la construccin"
"W397" "W397   Explosin de fuegos artificiales, granja"
"W398" "W398   Explosin de fuegos artificiales, otro lugar especificado"
"W399" "W399   Explosin de fuegos artificiales, lugar no especificado"
"W40" "W40   Explosin de otros materiales"
"W400" "W400   Explosin de otros materiales, vivienda"
"W401" "W401   Explosin de otros materiales, institucin residencial"
"W402" "W402   Explosin de otros materiales, escuelas, otras instituciones y reas administrativas pblicas"
"W403" "W403   Explosin de otros materiales, reas de deporte y atletismo"
"W404" "W404   Explosin de otros materiales, calles y carreteras"
"W405" "W405   Explosin de otros materiales, comercio y rea de servicios"
"W406" "W406   Explosin de otros materiales, rea industrial y de la construccin"
"W407" "W407   Explosin de otros materiales, granja"
"W408" "W408   Explosin de otros materiales, otro lugar especificado"
"W409" "W409   Explosin de otros materiales, lugar no especificado"
"W41" "W41   Exposicin a chorro de alta presin"
"W410" "W410   Exposicin  a chorro de alta presin, vivienda"
"W411" "W411   Exposicin  a chorro de alta presin, institucin residencial"
"W412" "W412   Exposicin  a chorro de alta presin, escuelas, otras instituciones y reas administrativas pblicas"
"W413" "W413   Exposicin  a chorro de alta presin, reas de deporte y atletismo"
"W414" "W414   Exposicin  a chorro de alta presin, calles y carreteras"
"W415" "W415   Exposicin  a chorro de alta presin, comercio y rea de servicios"
"W416" "W416   Exposicin  a chorro de alta presin, rea industrial y de la construccin"
"W417" "W417   Exposicin  a chorro de alta presin, granja"
"W418" "W418   Exposicin  a chorro de alta presin, otro lugar especificado"
"W419" "W419   Exposicin  a chorro de alta presin, lugar no especificado"
"W42" "W42   Exposicin al ruido"
"W420" "W420   Exposicin al ruido, vivienda"
"W421" "W421   Exposicin al ruido, institucin residencial"
"W422" "W422   Exposicin al ruido, escuelas, otras instituciones y reas administrativas pblicas"
"W423" "W423   Exposicin al ruido, reas de deporte y atletismo"
"W424" "W424   Exposicin al ruido, calles y carreteras"
"W425" "W425   Exposicin al ruido, comercio y rea de servicios"
"W426" "W426   Exposicin al ruido, rea industrial y de la construccin"
"W427" "W427   Exposicin al ruido, granja"
"W428" "W428   Exposicin al ruido, otro lugar especificado"
"W429" "W429   Exposicin al ruido, lugar no especificado"
"W43" "W43   Exposicin a vibraciones"
"W430" "W430   Exposicin a vibraciones, vivienda"
"W431" "W431   Exposicin a vibraciones, institucin residencial"
"W432" "W432   Exposicin a vibraciones, escuelas, otras instituciones y reas administrativas pblicas"
"W433" "W433   Exposicin a vibraciones, reas de deporte y atletismo"
"W434" "W434   Exposicin a vibraciones, calles y carreteras"
"W435" "W435   Exposicin a vibraciones, comercio y rea de servicios"
"W436" "W436   Exposicin a vibraciones, rea industrial y de la construccin"
"W437" "W437   Exposicin a vibraciones, granja"
"W438" "W438   Exposicin a vibraciones, otro lugar especificado"
"W439" "W439   Exposicin a vibraciones, lugar no especificado"
"W44" "W44   Cuerpo extrao que penetra por el ojo u orificio natural"
"W440" "W440   Cuerpo extrao que penetra por el ojo u orificio natural, vivienda"
"W441" "W441   Cuerpo extrao que penetra por el ojo u orificio natural, institucin residencial"
"W442" "W442   Cuerpo extrao que penetra por el ojo u orificio natural, escuelas, otras instituciones y reas administrativas pblicas"
"W443" "W443   Cuerpo extrao que penetra por el ojo u orificio natural, reas de deporte y atletismo"
"W444" "W444   Cuerpo extrao que penetra por el ojo u orificio natural, calles y carreteras"
"W445" "W445   Cuerpo extrao que penetra por el ojo u orificio natural, comercio y rea de servicios"
"W446" "W446   Cuerpo extrao que penetra por el ojo u orificio natural, rea industrial y de la construccin"
"W447" "W447   Cuerpo extrao que penetra por el ojo u orificio natural, granja"
"W448" "W448   Cuerpo extrao que penetra por el ojo u orificio natural, otro lugar especificado"
"W449" "W449   Cuerpo extrao que penetra por el ojo u orificio natural, lugar no especificado"
"W45" "W45   Cuerpo extrao que penetra a travs de la piel"
"W450" "W450   Cuerpo extrao que penetra a travs de la piel, vivienda"
"W451" "W451   Cuerpo extrao que penetra a travs de la piel, institucin residencial"
"W452" "W452   Cuerpo extrao que penetra a travs de la piel, escuelas, otras instituciones y reas administrativas pblicas"
"W453" "W453   Cuerpo extrao que penetra a travs de la piel, reas de deporte y atletismo"
"W454" "W454   Cuerpo extrao que penetra a travs de la piel, calles y carreteras"
"W455" "W455   Cuerpo extrao que penetra a travs de la piel, comercio y rea de servicios"
"W456" "W456   Cuerpo extrao que penetra a travs de la piel, rea industrial y de la construccin"
"W457" "W457   Cuerpo extrao que penetra a travs de la piel, granja"
"W458" "W458   Cuerpo extrao que penetra a travs de la piel, otro lugar especificado"
"W459" "W459   Cuerpo extrao que penetra a travs de la piel, lugar no especificado"
"W46" "W46   Contacto traumtico con aguja hipodrmica"
"W460" "W460   Contacto traumtico con aguja hipodrmica, vivienda"
"W461" "W461   Contacto traumtico con aguja hipodrmica, institucin residencial"
"W462" "W462   Contacto traumtico con aguja hipodrmica, escuelas, otras instituciones y reas administrativas pblicas"
"W463" "W463   Contacto traumtico con aguja hipodrmica, reas de deporte y atletismo"
"W464" "W464   Contacto traumtico con aguja hipodrmica, calles y carreteras"
"W465" "W465   Contacto traumtico con aguja hipodrmica, comercio y rea de servicios"
"W466" "W466   Contacto traumtico con aguja hipodrmica, rea industrial y de la construccin"
"W467" "W467   Contacto traumtico con aguja hipodrmica, granja"
"W468" "W468   Contacto traumtico con aguja hipodrmica, otro lugar especificado"
"W469" "W469   Contacto traumtico con aguja hipodrmica, lugar no especificado"
"W49" "W49   Exposicin a otras fuerzas mecnicas inanimadas, y las no especificadas"
"W490" "W490   Exposicin a otras fuerzas mecnicas inanimadas, y las no especificadas, vivienda"
"W491" "W491   Exposicin a otras fuerzas mecnicas inanimadas, y las no especificadas, institucin residencial"
"W492" "W492   Exposicin a otras fuerzas mecnicas inanimadas, y las no especificadas, escuelas, otras instituciones y reas administrativas pblicas"
"W493" "W493   Exposicin a otras fuerzas mecnicas inanimadas, y las no especificadas, reas de deporte y atletismo"
"W494" "W494   Exposicin a otras fuerzas mecnicas inanimadas, y las no especificadas, calles y carreteras"
"W495" "W495   Exposicin a otras fuerzas mecnicas inanimadas, y las no especificadas, comercio y rea de servicios"
"W496" "W496   Exposicin a otras fuerzas mecnicas inanimadas, y las no especificadas, rea industrial y de la construccin"
"W497" "W497   Exposicin a otras fuerzas mecnicas inanimadas, y las no especificadas, granja"
"W498" "W498   Exposicin a otras fuerzas mecnicas inanimadas, y las no especificadas, otro lugar especificado"
"W499" "W499   Exposicin a otras fuerzas mecnicas inanimadas, y las no especificadas, lugar no especificado"
"W50" "W50   Aporreo, golpe, mordedura, patada, rasguo o torcedura infligidos por otra persona"
"W500" "W500   Aporreo, golpe, mordedura, patada, rasguo o torcedura infligidos por otra persona, vivienda"
"W501" "W501   Aporreo, golpe, mordedura, patada, rasguo o torcedura infligidos por otra persona, institucin residencial"
"W502" "W502   Aporreo, golpe, mordedura, patada, rasguo o torcedura infligidos por otra persona, escuelas, otras instituciones y reas administrativas  pblicas"
"W503" "W503   Aporreo, golpe, mordedura, patada, rasguo o torcedura infligidos por otra persona, reas de deporte y atletismo"
"W504" "W504   Aporreo, golpe, mordedura, patada, rasguo o torcedura infligidos por otra persona, calles y carreteras"
"W505" "W505   Aporreo, golpe, mordedura, patada, rasguo o torcedura infligidos por otra persona, comercio y rea de servicios"
"W506" "W506   Aporreo, golpe, mordedura, patada, rasguo o torcedura infligidos por otra persona, rea industrial y de la construccin"
"W507" "W507   Aporreo, golpe, mordedura, patada, rasguo o torcedura infligidos por otra persona, granja"
"W508" "W508   Aporreo, golpe, mordedura, patada, rasguo o torcedura infligidos por otra persona, otro lugar especificado"
"W509" "W509   Aporreo, golpe, mordedura, patada, rasguo o torcedura infligidos por otra persona, lugar no especificado"
"W51" "W51   Choque o empelln contra otra persona"
"W510" "W510   Choque o empelln contra otra persona, vivienda"
"W511" "W511   Choque o empelln contra otra persona, institucin residencial"
"W512" "W512   Choque o empelln contra otra persona, escuelas, otras instituciones y reas administrativas pblicas"
"W513" "W513   Choque o empelln contra otra persona, reas de deporte y atletismo"
"W514" "W514   Choque o empelln contra otra persona, calles y carreteras"
"W515" "W515   Choque o empelln contra otra persona, comercio y rea de servicios"
"W516" "W516   Choque o empelln contra otra persona, rea industrial y de la construccin"
"W517" "W517   Choque o empelln contra otra persona, granja"
"W518" "W518   Choque o empelln contra otra persona, otro lugar especificado"
"W519" "W519   Choque o empelln contra otra persona, lugar no especificado"
"W52" "W52   Persona aplastada, empujada o pisoteada por una multitud o estampida humana"
"W520" "W520   Persona aplastada, empujada o pisoteada por una multitud o estampida humana, vivienda"
"W521" "W521   Persona aplastada, empujada o pisoteada por una multitud o estampida humana, institucin residencial"
"W522" "W522   Persona aplastada, empujada o pisoteada por una multitud o estampida humana, escuelas, otras instituciones y reas administrativas pblicas"
"W523" "W523   Persona aplastada, empujada o pisoteada por una multitud o estampida humana, reas de deporte y atletismo"
"W524" "W524   Persona aplastada, empujada o pisoteada por una multitud o estampida humana, calles y carreteras"
"W525" "W525   Persona aplastada, empujada o pisoteada por una multitud o estampida humana, comercio y rea de servicios"
"W526" "W526   Persona aplastada, empujada o pisoteada por una multitud o estampida humana, rea industrial y de la construccin"
"W527" "W527   Persona aplastada, empujada o pisoteada por una multitud o estampida humana, granja"
"W528" "W528   Persona aplastada, empujada o pisoteada por una multitud o estampida humana, otro lugar especificado"
"W529" "W529   Persona aplastada, empujada o pisoteada por una multitud o estampida humana, lugar no especificado"
"W53" "W53   Mordedura de rata"
"W530" "W530   Mordedura de rata, vivienda"
"W531" "W531   Mordedura de rata, institucin residencial"
"W532" "W532   Mordedura de rata, escuelas, otras instituciones y reas administrativas pblicas"
"W533" "W533   Mordedura de rata, reas de deporte y atletismo"
"W534" "W534   Mordedura de rata, calles y carreteras"
"W535" "W535   Mordedura de rata, comercio y rea de servicios"
"W536" "W536   Mordedura de rata, rea industrial y de la construccin"
"W537" "W537   Mordedura de rata, granja"
"W538" "W538   Mordedura de rata, otro lugar especificado"
"W539" "W539   Mordedura de rata, lugar no especificado"
"W54" "W54   Mordedura o ataque de perro"
"W540" "W540   Mordedura o ataque de perro, vivienda"
"W541" "W541   Mordedura o ataque de perro, institucin residencial"
"W542" "W542   Mordedura o ataque de perro, escuelas, otras instituciones y reas administrativas pblicas"
"W543" "W543   Mordedura o ataque de perro, reas de deporte y atletismo"
"W544" "W544   Mordedura o ataque de perro, calles y carreteras"
"W545" "W545   Mordedura o ataque de perro, comercio y rea de servicios"
"W546" "W546   Mordedura o ataque de perro, rea industrial y de la construccin"
"W547" "W547   Mordedura o ataque de perro, granja"
"W548" "W548   Mordedura o ataque de perro, otro lugar especificado"
"W549" "W549   Mordedura o ataque de perro, lugar no especificado"
"W55" "W55   Mordedura o ataque de otros mamferos"
"W550" "W550   Mordedura o ataque de otros mamferos, vivienda"
"W551" "W551   Mordedura o ataque de otros mamferos, institucin residencial"
"W552" "W552   Mordedura o ataque de otros mamferos, escuelas, otras instituciones y reas administrativas pblicas"
"W553" "W553   Mordedura o ataque de otros mamferos, reas de deporte y atletismo"
"W554" "W554   Mordedura o ataque de otros mamferos, calles y carreteras"
"W555" "W555   Mordedura o ataque de otros mamferos, comercio y rea de servicios"
"W556" "W556   Mordedura o ataque de otros mamferos, rea industrial y de la construccin"
"W557" "W557   Mordedura o ataque de otros mamferos, granja"
"W558" "W558   Mordedura o ataque de otros mamferos, otro lugar especificado"
"W559" "W559   Mordedura o ataque de otros mamferos, lugar no especificado"
"W56" "W56   Contacto traumtico con animales marinos"
"W560" "W560   Contacto traumtico con animales marinos, vivienda"
"W561" "W561   Contacto traumtico con animales marinos, institucin residencial"
"W562" "W562   Contacto traumtico con animales marinos, escuelas, otras instituciones y reas administrativas pblicas"
"W563" "W563   Contacto traumtico con animales marinos, reas de deporte y atletismo"
"W564" "W564   Contacto traumtico con animales marinos, calles y carreteras"
"W565" "W565   Contacto traumtico con animales marinos, comercio y rea de servicios"
"W566" "W566   Contacto traumtico con animales marinos, rea industrial y de la construccin"
"W567" "W567   Contacto traumtico con animales marinos, granja"
"W568" "W568   Contacto traumtico con animales marinos, otro lugar especificado"
"W569" "W569   Contacto traumtico con animales marinos, lugar no especificado"
"W57" "W57   Mordedura o picadura de insectos y otros artrpodos no venenosos"
"W570" "W570   Mordedura o picadura de insectos y otros artrpodos no venenosos, vivienda"
"W571" "W571   Mordedura o picadura de insectos y otros artrpodos no venenosos, institucin residencial"
"W572" "W572   Mordedura o picadura de insectos y otros artrpodos no venenosos, escuelas, otras instituciones y reas administrativas pblicas"
"W573" "W573   Mordedura o picadura de insectos y otros artrpodos no venenosos, reas de deporte y atletismo"
"W574" "W574   Mordedura o picadura de insectos y otros artrpodos no venenosos, calles y carreteras"
"W575" "W575   Mordedura o picadura de insectos y otros artrpodos no venenosos, comercio y rea de servicios"
"W576" "W576   Mordedura o picadura de insectos y otros artrpodos no venenosos, rea industrial y de la construccin"
"W577" "W577   Mordedura o picadura de insectos y otros artrpodos no venenosos, granja"
"W578" "W578   Mordedura o picadura de insectos y otros artrpodos no venenosos, otro lugar especificado"
"W579" "W579   Mordedura o picadura de insectos y otros artrpodos no venenosos, lugar no especificado"
"W58" "W58   Mordedura o ataque de cocodrilo o caimn"
"W580" "W580   Mordedura o ataque de cocodrilo o caimn, vivienda"
"W581" "W581   Mordedura o ataque de cocodrilo o caimn, institucin residencial"
"W582" "W582   Mordedura o ataque de cocodrilo o caimn, escuelas, otras instituciones y reas administrativas pblicas"
"W583" "W583   Mordedura o ataque de cocodrilo o caimn, reas de deporte y atletismo"
"W584" "W584   Mordedura o ataque de cocodrilo o caimn, calles y carreteras"
"W585" "W585   Mordedura o ataque de cocodrilo o caimn, comercio y rea de servicios"
"W586" "W586   Mordedura o ataque de cocodrilo o caimn, rea industrial y de la construccin"
"W587" "W587   Mordedura o ataque de cocodrilo o caimn, granja"
"W588" "W588   Mordedura o ataque de cocodrilo o caimn, otro lugar especificado"
"W589" "W589   Mordedura o ataque de cocodrilo o caimn, lugar no especificado"
"W59" "W59   Mordedura o aplastamiento por otros reptiles"
"W590" "W590   Mordedura o aplastamiento por otros reptiles, vivienda"
"W591" "W591   Mordedura o aplastamiento por otros reptiles, institucin residencial"
"W592" "W592   Mordedura o aplastamiento por otros reptiles, escuelas, otras instituciones y reas administrativas pblicas"
"W593" "W593   Mordedura o aplastamiento por otros reptiles, reas de deporte y atletismo"
"W594" "W594   Mordedura o aplastamiento por otros reptiles, calles y carreteras"
"W595" "W595   Mordedura o aplastamiento por otros reptiles, comercio y rea de servicios"
"W596" "W596   Mordedura o aplastamiento por otros reptiles, rea industrial y de la construccin"
"W597" "W597   Mordedura o aplastamiento por otros reptiles, granja"
"W598" "W598   Mordedura o aplastamiento por otros reptiles, otro lugar especificado"
"W599" "W599   Mordedura o aplastamiento por otros reptiles, lugar no especificado"
"W60" "W60   Contacto traumtico con aguijones, espinas u hojas cortantes de plantas"
"W600" "W600   Contacto traumtico con aguijones, espinas u hojas cortantes de plantas, vivienda"
"W601" "W601   Contacto traumtico con aguijones, espinas u hojas cortantes de plantas, institucin residencial"
"W602" "W602   Contacto traumtico con aguijones, espinas u hojas cortantes de plantas, escuelas, otras instituciones y reas administrativas pblicas"
"W603" "W603   Contacto traumtico con aguijones, espinas u hojas cortantes de plantas, reas de deporte y atletismo"
"W604" "W604   Contacto traumtico con aguijones, espinas u hojas cortantes de plantas, calles y carreteras"
"W605" "W605   Contacto traumtico con aguijones, espinas u hojas cortantes de plantas, comercio y rea de servicios"
"W606" "W606   Contacto traumtico con aguijones, espinas u hojas cortantes de plantas, rea industrial y de la construccin"
"W607" "W607   Contacto traumtico con aguijones, espinas u hojas cortantes de plantas, granja"
"W608" "W608   Contacto traumtico con aguijones, espinas u hojas cortantes de plantas, otro lugar especificado"
"W609" "W609   Contacto traumtico con aguijones, espinas u hojas cortantes de plantas, lugar no especificado"
"W64" "W64   Exposicin a otras fuerzas mecnicas animadas, y las no especificadas"
"W640" "W640   Exposicin a otras fuerzas mecnicas animadas, y las no especificadas, vivienda"
"W641" "W641   Exposicin a otras fuerzas mecnicas animadas, y las no especificadas, institucin residencial"
"W642" "W642   Exposicin a otras fuerzas mecnicas animadas, y las no especificadas, escuelas, otras instituciones y reas administrativas pblicas"
"W643" "W643   Exposicin a otras fuerzas mecnicas animadas, y las no especificadas, reas de deporte y atletismo"
"W644" "W644   Exposicin a otras fuerzas mecnicas animadas, y las no especificadas, calles y carreteras"
"W645" "W645   Exposicin a otras fuerzas mecnicas animadas, y las no especificadas, comercio y rea de servicios"
"W646" "W646   Exposicin a otras fuerzas mecnicas animadas, y las no especificadas, rea industrial y de la construccin"
"W647" "W647   Exposicin a otras fuerzas mecnicas animadas, y las no especificadas, granja"
"W648" "W648   Exposicin a otras fuerzas mecnicas animadas, y las no especificadas, otro lugar especificado"
"W649" "W649   Exposicin a otras fuerzas mecnicas animadas, y las no especificadas, lugar no especificado"
"W65" "W65   Ahogamiento y sumersin mientras se est en la baera"
"W650" "W650   Ahogamiento y sumersin mientras se est en la baera, vivienda"
"W651" "W651   Ahogamiento y sumersin mientras se est en la baera, institucin residencial"
"W652" "W652   Ahogamiento y sumersin mientras se est en la baera, escuelas, otras instituciones y reas administrativas pblicas"
"W653" "W653   Ahogamiento y sumersin mientras se est en la baera, reas de deporte y atletismo"
"W654" "W654   Ahogamiento y sumersin mientras se est en la baera, calles y carreteras"
"W655" "W655   Ahogamiento y sumersin mientras se est en la baera, comercio y rea de servicios"
"W656" "W656   Ahogamiento y sumersin mientras se est en la baera, rea industrial y de la construccin"
"W657" "W657   Ahogamiento y sumersin mientras se est en la baera, granja"
"W658" "W658   Ahogamiento y sumersin mientras se est en la baera, otro lugar especificado"
"W659" "W659   Ahogamiento y sumersin mientras se est en la baera, lugar no especificado"
"W66" "W66   Ahogamiento y sumersin consecutivos a cada en la baera"
"W660" "W660   Ahogamiento y sumersin consecutivos a cada en la baera, vivienda"
"W661" "W661   Ahogamiento y sumersin consecutivos a cada en la baera, institucin residencial"
"W662" "W662   Ahogamiento y sumersin consecutivos a cada en la baera, escuelas, otras instituciones y reas administrativas pblicas"
"W663" "W663   Ahogamiento y sumersin consecutivos a cada en la baera, reas de deporte y atletismo"
"W664" "W664   Ahogamiento y sumersin consecutivos a cada en la baera, calles y carreteras"
"W665" "W665   Ahogamiento y sumersin consecutivos a cada en la baera, comercio y rea de servicios"
"W666" "W666   Ahogamiento y sumersin consecutivos a cada en la baera, rea industrial y de la construccin"
"W667" "W667   Ahogamiento y sumersin consecutivos a cada en la baera, granja"
"W668" "W668   Ahogamiento y sumersin consecutivos a cada en la baera, otro lugar especificado"
"W669" "W669   Ahogamiento y sumersin consecutivos a cada en la baera, lugar no especificado"
"W67" "W67   Ahogamiento y sumersin mientras se est en una piscina"
"W670" "W670   Ahogamiento y sumersin mientras se est en una piscina, vivienda"
"W671" "W671   Ahogamiento y sumersin mientras se est en una piscina, institucin residencial"
"W672" "W672   Ahogamiento y sumersin mientras se est en una piscina, escuelas, otras instituciones y reas administrativas pblicas"
"W673" "W673   Ahogamiento y sumersin mientras se est en una piscina, reas de deporte y atletismo"
"W674" "W674   Ahogamiento y sumersin mientras se est en una piscina, calles y carreteras"
"W675" "W675   Ahogamiento y sumersin mientras se est en una piscina, comercio y rea de servicios"
"W676" "W676   Ahogamiento y sumersin mientras se est en una piscina, rea industrial y de la construccin"
"W677" "W677   Ahogamiento y sumersin mientras se est en una piscina, granja"
"W678" "W678   Ahogamiento y sumersin mientras se est en una piscina, otro lugar especificado"
"W679" "W679   Ahogamiento y sumersin mientras se est en una piscina, lugar no especificado"
"W68" "W68   Ahogamiento y sumersin consecutivos a cada en una piscina"
"W680" "W680   Ahogamiento y sumersin consecutivos a cada en una piscina, vivienda"
"W681" "W681   Ahogamiento y sumersin consecutivos a cada en una piscina, institucin residencial"
"W682" "W682   Ahogamiento y sumersin consecutivos a cada en una piscina, escuelas, otras instituciones y reas administrativas pblicas"
"W683" "W683   Ahogamiento y sumersin consecutivos a cada en una piscina, reas de deporte y atletismo"
"W684" "W684   Ahogamiento y sumersin consecutivos a cada en una piscina, calles y carreteras"
"W685" "W685   Ahogamiento y sumersin consecutivos a cada en una piscina, comercio y rea de servicios"
"W686" "W686   Ahogamiento y sumersin consecutivos a cada en una piscina, rea industrial y de la construccin"
"W687" "W687   Ahogamiento y sumersin consecutivos a cada en una piscina, granja"
"W688" "W688   Ahogamiento y sumersin consecutivos a cada en una piscina, otro lugar especificado"
"W689" "W689   Ahogamiento y sumersin consecutivos a cada en una piscina, lugar no especificado"
"W69" "W69   Ahogamiento y sumersin mientras se est en aguas naturales"
"W690" "W690   Ahogamiento y sumersin mientras se est en aguas naturales, vivienda"
"W691" "W691   Ahogamiento y sumersin mientras se est en aguas naturales, institucin residencial"
"W692" "W692   Ahogamiento y sumersin mientras se est en aguas naturales, escuelas, otras instituciones y reas administrativas pblicas"
"W693" "W693   Ahogamiento y sumersin mientras se est en aguas naturales, reas de deporte y atletismo"
"W694" "W694   Ahogamiento y sumersin mientras se est en aguas naturales, calles y carreteras"
"W695" "W695   Ahogamiento y sumersin mientras se est en aguas naturales, comercio y rea de servicios"
"W696" "W696   Ahogamiento y sumersin mientras se est en aguas naturales, rea industrial y de la construccin"
"W697" "W697   Ahogamiento y sumersin mientras se est en aguas naturales, granja"
"W698" "W698   Ahogamiento y sumersin mientras se est en aguas naturales, otro lugar especificado"
"W699" "W699   Ahogamiento y sumersin mientras se est en aguas naturales, lugar no especificado"
"W70" "W70   Ahogamiento y sumersin posterior a cada en aguas naturales"
"W700" "W700   Ahogamiento y sumersin posterior a cada en aguas naturales, vivienda"
"W701" "W701   Ahogamiento y sumersin posterior a cada en aguas naturales, institucin residencial"
"W702" "W702   Ahogamiento y sumersin posterior a cada en aguas naturales, escuelas, otras instituciones y reas administrativas pblicas"
"W703" "W703   Ahogamiento y sumersin posterior a cada en aguas naturales, reas de deporte y atletismo"
"W704" "W704   Ahogamiento y sumersin posterior a cada en aguas naturales, calles y carreteras"
"W705" "W705   Ahogamiento y sumersin posterior a cada en aguas naturales, comercio y rea de servicios"
"W706" "W706   Ahogamiento y sumersin posterior a cada en aguas naturales, rea industrial y de la construccin"
"W707" "W707   Ahogamiento y sumersin posterior a cada en aguas naturales, granja"
"W708" "W708   Ahogamiento y sumersin posterior a cada en aguas naturales, otro lugar especificado"
"W709" "W709   Ahogamiento y sumersin posterior a cada en aguas naturales, lugar no especificado"
"W73" "W73   Otros ahogamientos y sumersiones especificados"
"W730" "W730   Otros ahogamientos y sumersiones especificados, vivienda"
"W731" "W731   Otros ahogamientos y sumersiones especificados, institucin residencial"
"W732" "W732   Otros ahogamientos y sumersiones especificados, escuelas, otras instituciones y reas administrativas pblicas"
"W733" "W733   Otros ahogamientos y sumersiones especificados, reas de deporte y atletismo"
"W734" "W734   Otros ahogamientos y sumersiones especificados, calles y carreteras"
"W735" "W735   Otros ahogamientos y sumersiones especificados, comercio y rea de servicios"
"W736" "W736   Otros ahogamientos y sumersiones especificados, rea industrial y de la construccin"
"W737" "W737   Otros ahogamientos y sumersiones especificados, granja"
"W738" "W738   Otros ahogamientos y sumersiones especificados, otro lugar especificado"
"W739" "W739   Otros ahogamientos y sumersiones especificados, lugar no especificado"
"W74" "W74   Ahogamiento y sumersin no especificados"
"W740" "W740   Ahogamiento y sumersin no especificados, vivienda"
"W741" "W741   Ahogamiento y sumersin no especificados, institucin residencial"
"W742" "W742   Ahogamiento y sumersin no especificados, escuelas, otras instituciones y reas administrativas pblicas"
"W743" "W743   Ahogamiento y sumersin no especificados, reas de deporte y atletismo"
"W744" "W744   Ahogamiento y sumersin no especificados, calles y carreteras"
"W745" "W745   Ahogamiento y sumersin no especificados, comercio y rea de servicios"
"W746" "W746   Ahogamiento y sumersin no especificados, rea industrial y de la construccin"
"W747" "W747   Ahogamiento y sumersin no especificados, granja"
"W748" "W748   Ahogamiento y sumersin no especificados, otro lugar especificado"
"W749" "W749   Ahogamiento y sumersin no especificados, lugar no especificado"
"W75" "W75   Sofocacin y estrangulamiento accidental en la cama"
"W750" "W750   Sofocacin y estrangulamiento accidental en la cama, vivienda"
"W751" "W751   Sofocacin y estrangulamiento accidental en la cama, institucin residencial"
"W752" "W752   Sofocacin y estrangulamiento accidental en la cama, escuelas, otras instituciones y reas administrativas pblicas"
"W753" "W753   Sofocacin y estrangulamiento accidental en la cama, reas de deporte y atletismo"
"W754" "W754   Sofocacin y estrangulamiento accidental en la cama, calles y carreteras"
"W755" "W755   Sofocacin y estrangulamiento accidental en la cama, comercio y rea de servicios"
"W756" "W756   Sofocacin y estrangulamiento accidental en la cama, rea industrial y de la construccin"
"W757" "W757   Sofocacin y estrangulamiento accidental en la cama, granja"
"W758" "W758   Sofocacin y estrangulamiento accidental en la cama, otro lugar especificado"
"W759" "W759   Sofocacin y estrangulamiento accidental en la cama, lugar no especificado"
"W76" "W76   Otros estrangulamientos y ahorcamientos accidentales"
"W760" "W760   Otros estrangulamientos y ahorcamientos accidentales, vivienda"
"W761" "W761   Otros estrangulamientos y ahorcamientos accidentales, institucin residencial"
"W762" "W762   Otros estrangulamientos y ahorcamientos accidentales, escuelas, otras instituciones y reas administrativas pblicas"
"W763" "W763   Otros estrangulamientos y ahorcamientos accidentales, reas de deporte y atletismo"
"W764" "W764   Otros estrangulamientos y ahorcamientos accidentales, calles y carreteras"
"W765" "W765   Otros estrangulamientos y ahorcamientos accidentales, comercio y rea de servicios"
"W766" "W766   Otros estrangulamientos y ahorcamientos accidentales, rea industrial y de la construccin"
"W767" "W767   Otros estrangulamientos y ahorcamientos accidentales, granja"
"W768" "W768   Otros estrangulamientos y ahorcamientos accidentales, otro lugar especificado"
"W769" "W769   Otros estrangulamientos y ahorcamientos accidentales, lugar no especificado"
"W77" "W77   Obstruccin de la respiracin debida a hundimiento, cada de tierra u otras sustancias"
"W770" "W770   Obstruccin de la respiracin debida a hundimiento, cada de tierra u otras sustancias, vivienda"
"W771" "W771   Obstruccin de la respiracin debida a hundimiento, cada de tierra u otras sustancias, institucin residencial"
"W772" "W772   Obstruccin de la respiracin debida a hundimiento, cada de tierra u otras sustancias, escuelas, otras instituciones y reas administrativas  pblicas"
"W773" "W773   Obstruccin de la respiracin debida a hundimiento, cada de tierra u otras sustancias, reas de deporte y atletismo"
"W774" "W774   Obstruccin de la respiracin debida a hundimiento, cada de tierra u otras sustancias, calles y carreteras"
"W775" "W775   Obstruccin de la respiracin debida a hundimiento, cada de tierra u otras sustancias, comercio y rea de servicios"
"W776" "W776   Obstruccin de la respiracin debida a hundimiento, cada de tierra u otras sustancias, rea industrial y de la construccin"
"W777" "W777   Obstruccin de la respiracin debida a hundimiento, cada de tierra u otras sustancias, granja"
"W778" "W778   Obstruccin de la respiracin debida a hundimiento, cada de tierra u otras sustancias, otro lugar especificado"
"W779" "W779   Obstruccin de la respiracin debida a hundimiento, cada de tierra u otras sustancias, lugar no especificado"
"W78" "W78   Inhalacin de contenidos gstricos"
"W780" "W780   Inhalacin de contenidos gstricos, vivienda"
"W781" "W781   Inhalacin de contenidos gstricos, institucin residencial"
"W782" "W782   Inhalacin de contenidos gstricos, escuelas, otras instituciones y reas administrativas pblicas"
"W783" "W783   Inhalacin de contenidos gstricos, reas de deporte y atletismo"
"W784" "W784   Inhalacin de contenidos gstricos, calles y carreteras"
"W785" "W785   Inhalacin de contenidos gstricos, comercio y rea de servicios"
"W786" "W786   Inhalacin de contenidos gstricos, rea industrial y de la construccin"
"W787" "W787   Inhalacin de contenidos gstricos, granja"
"W788" "W788   Inhalacin de contenidos gstricos, otro lugar especificado"
"W789" "W789   Inhalacin de contenidos gstricos, lugar no especificado"
"W79" "W79   Inhalacin e ingestin de alimento que causa obstruccin de las vas respiratorias"
"W790" "W790   Inhalacin e ingestin de alimento que causa obstruccin de las vas respiratorias, vivienda"
"W791" "W791   Inhalacin e ingestin de alimento que causa obstruccin de las vas respiratorias, institucin residencial"
"W792" "W792   Inhalacin e ingestin de alimento que causa obstruccin de las vas respiratorias, escuelas, otras instituciones y reas administrativas pblicas"
"W793" "W793   Inhalacin e ingestin de alimento que causa obstruccin de las vas respiratorias, reas de deporte y atletismo"
"W794" "W794   Inhalacin e ingestin de alimento que causa obstruccin de las vas respiratorias, calles y carreteras"
"W795" "W795   Inhalacin e ingestin de alimento que causa obstruccin de las vas respiratorias, comercio y rea de servicios"
"W796" "W796   Inhalacin e ingestin de alimento que causa obstruccin de las vas respiratorias, rea industrial y de la construccin"
"W797" "W797   Inhalacin e ingestin de alimento que causa obstruccin de las vas respiratorias, granja"
"W798" "W798   Inhalacin e ingestin de alimento que causa obstruccin de las vas respiratorias, otro lugar especificado"
"W799" "W799   Inhalacin e ingestin de alimento que causa obstruccin de las vas respiratorias, lugar no especificado"
"W80" "W80   Inhalacin e ingestin de otros objetos que causan obstruccin de las vas respiratorias"
"W800" "W800   Inhalacin e ingestin de otros objetos que causan obstruccin de las vas respiratorias, vivienda"
"W801" "W801   Inhalacin e ingestin de otros objetos que causan obstruccin de las vas respiratorias, institucin residencial"
"W802" "W802   Inhalacin e ingestin de otros objetos que causan obstruccin de las vas respiratorias, escuelas, otras institucin y reas administrativas pblicas"
"W803" "W803   Inhalacin e ingestin de otros objetos que causan obstruccin de las vas respiratorias, reas de deporte y atletismo"
"W804" "W804   Inhalacin e ingestin de otros objetos que causan obstruccin de las vas respiratorias, calles y carreteras"
"W805" "W805   Inhalacin e ingestin de otros objetos que causan obstruccin de las vas respiratorias, comercio y rea de servicios"
"W806" "W806   Inhalacin e ingestin de otros objetos que causan obstruccin de las vas respiratorias, rea industrial y de la construccin"
"W807" "W807   Inhalacin e ingestin de otros objetos que causan obstruccin de las vas respiratorias, granja"
"W808" "W808   Inhalacin e ingestin de otros objetos que causan obstruccin de las vas respiratorias, otro lugar especificado"
"W809" "W809   Inhalacin e ingestin de otros objetos que causan obstruccin de las vas respiratorias, lugar no especificado"
"W81" "W81   Confinado o atrapado en un ambiente con bajo contenido de oxgeno"
"W810" "W810   Confinado o atrapado en un ambiente con bajo contenido de oxigeno, vivienda"
"W811" "W811   Confinado o atrapado en un ambiente con bajo contenido de oxigeno, institucin residencial"
"W812" "W812   Confinado o atrapado en un ambiente con bajo contenido de oxigeno, escuelas, otras instituciones y reas administrativas pblicas"
"W813" "W813   Confinado o atrapado en un ambiente con bajo contenido de oxigeno, reas de deporte y atletismo"
"W814" "W814   Confinado o atrapado en un ambiente con bajo contenido de oxigeno, calles y carreteras"
"W815" "W815   Confinado o atrapado en un ambiente con bajo contenido de oxigeno, comercio y rea de servicios"
"W816" "W816   Confinado o atrapado en un ambiente con bajo contenido de oxigeno, rea industrial y de la construccin"
"W817" "W817   Confinado o atrapado en un ambiente con bajo contenido de oxigeno, granja"
"W818" "W818   Confinado o atrapado en un ambiente con bajo contenido de oxigeno, otro lugar especificado"
"W819" "W819   Confinado o atrapado en un ambiente con bajo contenido de oxigeno, lugar no especificado"
"W83" "W83   Otras obstrucciones especificadas de la respiracin"
"W830" "W830   Otras obstrucciones especificadas de la respiracin, vivienda"
"W831" "W831   Otras obstrucciones especificadas de la respiracin, institucin residencial"
"W832" "W832   Otras obstrucciones especificadas de la respiracin, escuelas, otras instituciones y reas administrativas pblicas"
"W833" "W833   Otras obstrucciones especificadas de la respiracin, reas de deporte y atletismo"
"W834" "W834   Otras obstrucciones especificadas de la respiracin, calles y carreteras"
"W835" "W835   Otras obstrucciones especificadas de la respiracin, comercio y rea de servicios"
"W836" "W836   Otras obstrucciones especificadas de la respiracin, rea industrial y de la construccin"
"W837" "W837   Otras obstrucciones especificadas de la respiracin, granja"
"W838" "W838   Otras obstrucciones especificadas de la respiracin, otro lugar especificado"
"W839" "W839   Otras obstrucciones especificadas de la respiracin, lugar no especificado"
"W84" "W84   Obstruccin no especificada de la respiracin"
"W840" "W840   Obstruccin no especificada de la respiracin, vivienda"
"W841" "W841   Obstruccin no especificada de la respiracin, institucin residencial"
"W842" "W842   Obstruccin no especificada de la respiracin, escuelas, otras instituciones y reas administrativas pblicas"
"W843" "W843   Obstruccin no especificada de la respiracin, reas de deporte y atletismo"
"W844" "W844   Obstruccin no especificada de la respiracin, calles y carreteras"
"W845" "W845   Obstruccin no especificada de la respiracin, comercio y rea de servicios"
"W846" "W846   Obstruccin no especificada de la respiracin, rea industrial y de la construccin"
"W847" "W847   Obstruccin no especificada de la respiracin, granja"
"W848" "W848   Obstruccin no especificada de la respiracin, otro lugar especificado"
"W849" "W849   Obstruccin no especificada de la respiracin, lugar no especificado"
"W85" "W85   Exposicin a lneas de transmisin elctrica"
"W850" "W850   Exposicin a lneas de transmisin elctrica, vivienda"
"W851" "W851   Exposicin a lneas de transmisin elctrica, institucin residencial"
"W852" "W852   Exposicin a lneas de transmisin elctrica, escuelas, otras instituciones y reas administrativas pblicas"
"W853" "W853   Exposicin a lneas de transmisin elctrica, reas de deporte y atletismo"
"W854" "W854   Exposicin a lneas de transmisin elctrica, calles y carreteras"
"W855" "W855   Exposicin a lneas de transmisin elctrica, comercio y rea de servicios"
"W856" "W856   Exposicin a lneas de transmisin elctrica, rea industrial y de la construccin"
"W857" "W857   Exposicin a lneas de transmisin elctrica, granja"
"W858" "W858   Exposicin a lneas de transmisin elctrica, otro lugar especificado"
"W859" "W859   Exposicin a lneas de transmisin elctrica, lugar no especificado"
"W86" "W86   Exposicin a otras corrientes elctricas especificadas"
"W860" "W860   Exposicin a otras corrientes elctricas especificadas, vivienda"
"W861" "W861   Exposicin a otras corrientes elctricas especificadas, institucin residencial"
"W862" "W862   Exposicin a otras corrientes elctricas especificadas, escuelas, otras instituciones y reas administrativas pblicas"
"W863" "W863   Exposicin a otras corrientes elctricas especificadas, reas de deporte y atletismo"
"W864" "W864   Exposicin a otras corrientes elctricas especificadas, calles y carreteras"
"W865" "W865   Exposicin a otras corrientes elctricas especificadas, comercio y rea de servicios"
"W866" "W866   Exposicin a otras corrientes elctricas especificadas, rea industrial y de la construccin"
"W867" "W867   Exposicin a otras corrientes elctricas especificadas, granja"
"W868" "W868   Exposicin a otras corrientes elctricas especificadas, otro lugar especificado"
"W869" "W869   Exposicin a otras corrientes elctricas especificadas, lugar no especificado"
"W87" "W87   Exposicin a corriente elctrica no especificada"
"W870" "W870   Exposicin a corriente elctrica no especificada, vivienda"
"W871" "W871   Exposicin a corriente elctrica no especificada, institucin residencial"
"W872" "W872   Exposicin a corriente elctrica no especificada, escuelas, otras instituciones y reas administrativas pblicas"
"W873" "W873   Exposicin a corriente elctrica no especificada, reas de deporte y atletismo"
"W874" "W874   Exposicin a corriente elctrica no especificada, calles y carreteras"
"W875" "W875   Exposicin a corriente elctrica no especificada, comercio y rea de servicios"
"W876" "W876   Exposicin a corriente elctrica no especificada, rea industrial y de la construccin"
"W877" "W877   Exposicin a corriente elctrica no especificada, granja"
"W878" "W878   Exposicin a corriente elctrica no especificada, otro lugar especificado"
"W879" "W879   Exposicin a corriente elctrica no especificada, lugar no especificado"
"W88" "W88   Exposicin a radiacin ionizante"
"W880" "W880   Exposicin a radiacin ionizante, vivienda"
"W881" "W881   Exposicin a radiacin ionizante, institucin residencial"
"W882" "W882   Exposicin a radiacin ionizante, escuelas, otras instituciones y reas administrativas pblicas"
"W883" "W883   Exposicin a radiacin ionizante, reas de deporte y atletismo"
"W884" "W884   Exposicin a radiacin ionizante, calles y carreteras"
"W885" "W885   Exposicin a radiacin ionizante, comercio y rea de servicios"
"W886" "W886   Exposicin a radiacin ionizante, rea industrial y de la construccin"
"W887" "W887   Exposicin a radiacin ionizante, granja"
"W888" "W888   Exposicin a radiacin ionizante, otro lugar especificado"
"W889" "W889   Exposicin a radiacin ionizante, lugar no especificado"
"W89" "W89   Exposicin a fuente de luz visible y ultravioleta, de origen artificial"
"W890" "W890   Exposicin a fuente de luz visible y ultravioleta, de origen artificial, vivienda"
"W891" "W891   Exposicin a fuente de luz visible y ultravioleta, de origen artificial, institucin residencial"
"W892" "W892   Exposicin a fuente de luz visible y ultravioleta, de origen artificial, escuelas, otras instituciones y reas administrativas pblicas"
"W893" "W893   Exposicin a fuente de luz visible y ultravioleta, de origen artificial, reas de deporte y atletismo"
"W894" "W894   Exposicin a fuente de luz visible y ultravioleta, de origen artificial, calles y carreteras"
"W895" "W895   Exposicin a fuente de luz visible y ultravioleta, de origen artificial, comercio y rea de servicios"
"W896" "W896   Exposicin a fuente de luz visible y ultravioleta, de origen artificial, rea industrial y de la construccin"
"W897" "W897   Exposicin a fuente de luz visible y ultravioleta, de origen artificial, granja"
"W898" "W898   Exposicin a fuente de luz visible y ultravioleta, de origen artificial, otro lugar especificado"
"W899" "W899   Exposicin a fuente de luz visible y ultravioleta, de origen artificial, lugar no especificado"
"W90" "W90   Exposicin a otros tipos de radiacin no ionizante"
"W900" "W900   Exposicin a otros tipos de radiacin no ionizante, vivienda"
"W901" "W901   Exposicin a otros tipos de radiacin no ionizante, institucin residencial"
"W902" "W902   Exposicin a otros tipos de radiacin no ionizante, escuelas, otras instituciones y reas administrativas pblicas"
"W903" "W903   Exposicin a otros tipos de radiacin no ionizante, reas de deporte y atletismo"
"W904" "W904   Exposicin a otros tipos de radiacin no ionizante, calles y carreteras"
"W905" "W905   Exposicin a otros tipos de radiacin no ionizante, comercio y rea de servicios"
"W906" "W906   Exposicin a otros tipos de radiacin no ionizante, rea industrial y de la construccin"
"W907" "W907   Exposicin a otros tipos de radiacin no ionizante, granja"
"W908" "W908   Exposicin a otros tipos de radiacin no ionizante, otro lugar especificado"
"W909" "W909   Exposicin a otros tipos de radiacin no ionizante, lugar no especificado"
"W91" "W91   Exposicin a radiacin de tipo no especificado"
"W910" "W910   Exposicin a radiacin de tipo no especificado, vivienda"
"W911" "W911   Exposicin a radiacin de tipo no especificado, institucin residencial"
"W912" "W912   Exposicin a radiacin de tipo no especificado, escuelas, otras instituciones y reas administrativas pblicas"
"W913" "W913   Exposicin a radiacin de tipo no especificado, reas de deporte y atletismo"
"W914" "W914   Exposicin a radiacin de tipo no especificado, calles y carreteras"
"W915" "W915   Exposicin a radiacin de tipo no especificado, comercio y rea de servicios"
"W916" "W916   Exposicin a radiacin de tipo no especificado, rea industrial y de la construccin"
"W917" "W917   Exposicin a radiacin de tipo no especificado, granja"
"W918" "W918   Exposicin a radiacin de tipo no especificado, otro lugar especificado"
"W919" "W919   Exposicin a radiacin de tipo no especificado, lugar no especificado"
"W92" "W92   Exposicin a calor excesivo de origen artificial"
"W920" "W920   Exposicin a calor excesivo de origen artificial, vivienda"
"W921" "W921   Exposicin a calor excesivo de origen artificial, institucin residencial"
"W922" "W922   Exposicin a calor excesivo de origen artificial, escuelas, otras instituciones y reas administrativas pblicas"
"W923" "W923   Exposicin a calor excesivo de origen artificial, reas de deporte y atletismo"
"W924" "W924   Exposicin a calor excesivo de origen artificial, calles y carreteras"
"W925" "W925   Exposicin a calor excesivo de origen artificial, comercio y rea de servicios"
"W926" "W926   Exposicin a calor excesivo de origen artificial, rea industrial y de la construccin"
"W927" "W927   Exposicin a calor excesivo de origen artificial, granja"
"W928" "W928   Exposicin a calor excesivo de origen artificial, otro lugar especificado"
"W929" "W929   Exposicin a calor excesivo de origen artificial, lugar no especificado"
"W93" "W93   Exposicin a fro excesivo de origen artificial"
"W930" "W930   Exposicin a fro excesivo de origen artificial, vivienda"
"W931" "W931   Exposicin a fro excesivo de origen artificial, institucin residencial"
"W932" "W932   Exposicin a fro excesivo de origen artificial, escuelas, otras instituciones y reas administrativas pblicas"
"W933" "W933   Exposicin a fro excesivo de origen artificial, reas de deporte y atletismo"
"W934" "W934   Exposicin a fro excesivo de origen artificial, calles y carreteras"
"W935" "W935   Exposicin a fro excesivo de origen artificial, comercio y rea de servicios"
"W936" "W936   Exposicin a fro excesivo de origen artificial, rea industrial y de la construccin"
"W937" "W937   Exposicin a fro excesivo de origen artificial, granja"
"W938" "W938   Exposicin a fro excesivo de origen artificial, otro lugar especificado"
"W939" "W939   Exposicin a fro excesivo de origen artificial, lugar no especificado"
"W94" "W94   Exposicin a presin de aire alta y baja y a cambios en la presin del aire"
"W940" "W940   Exposicin a presin de aire alta y baja y a cambios en la presin del aire, vivienda"
"W941" "W941   Exposicin a presin de aire alta y baja y a cambios en la presin del aire, institucin residencial"
"W942" "W942   Exposicin a presin de aire alta y baja y a cambios en la presin del aire, escuelas, otras instituciones y reas administrativas pblicas"
"W943" "W943   Exposicin a presin de aire alta y baja y a cambios en la presin del aire, reas de deporte y atletismo"
"W944" "W944   Exposicin a presin de aire alta y baja y a cambios en la presin del aire, calles y carreteras"
"W945" "W945   Exposicin a presin de aire alta y baja y a cambios en la presin del aire, comercio y rea de servicios"
"W946" "W946   Exposicin a presin de aire alta y baja y a cambios en la presin del aire, rea industrial y de la construccin"
"W947" "W947   Exposicin a presin de aire alta y baja y a cambios en la presin del aire, granja"
"W948" "W948   Exposicin a presin de aire alta y baja y a cambios en la presin del aire, otro lugar especificado"
"W949" "W949   Exposicin a presin de aire alta y baja y a cambios en la presin del aire, lugar no especificado"
"W99" "W99   Exposicin a otros factores ambientales y a los no especificados, de origen artificial"
"W990" "W990   Exposicin a otros factores ambientales y a los no especificados, de origen artificial, vivienda"
"W991" "W991   Exposicin a otros factores ambientales y a los no especificados, de origen artificial, institucin residencial"
"W992" "W992   Exposicin a otros factores ambientales y a los no especificados, de origen artificial, escuelas, otras instituciones y reas administrativas pblicas"
"W993" "W993   Exposicin a otros factores ambientales y a los no especificados, de origen artificial, reas de deporte y atletismo"
"W994" "W994   Exposicin a otros factores ambientales y a los no especificados, de origen artificial, calles y carreteras"
"W995" "W995   Exposicin a otros factores ambientales y a los no especificados, de origen artificial, comercio y rea de servicios"
"W996" "W996   Exposicin a otros factores ambientales y a los no especificados, de origen artificial, rea industrial y de la construccin"
"W997" "W997   Exposicin a otros factores ambientales y a los no especificados, de origen artificial, granja"
"W998" "W998   Exposicin a otros factores ambientales y a los no especificados, de origen artificial, otro lugar especificado"
"W999" "W999   Exposicin a otros factores ambientales y a los no especificados, de origen artificial, lugar no especificado"
"X00" "X00   Exposicin a fuego no controlado en edificio u otra construccin"
"X000" "X000   Exposicin a fuego no controlado en edificio u otra construccin, vivienda"
"X001" "X001   Exposicin a fuego no controlado en edificio u otra construccin, institucin residencial"
"X002" "X002   Exposicin a fuego no controlado en edificio u otra construccin, escuelas, otras instituciones y reas administrativas  pblicas"
"X003" "X003   Exposicin a fuego no controlado en edificio u otra construccin, reas de deporte y atletismo"
"X004" "X004   Exposicin a fuego no controlado en edificio u otra construccin, calles y carreteras"
"X005" "X005   Exposicin a fuego no controlado en edificio u otra construccin, comercio y rea de servicios"
"X006" "X006   Exposicin a fuego no controlado en edificio u otra construccin, rea industrial y de la construccin"
"X007" "X007   Exposicin a fuego no controlado en edificio u otra construccin, granja"
"X008" "X008   Exposicin a fuego no controlado en edificio u otra construccin, otro lugar especificado"
"X009" "X009   Exposicin a fuego no controlado en edificio u otra construccin, lugar no especificado"
"X01" "X01   Exposicin a fuego no controlado en lugar que no es edificio u otra construccin"
"X010" "X010   Exposicin a fuego no controlado en lugar que no es edificio u otra construccin, vivienda"
"X011" "X011   Exposicin a fuego no controlado en lugar que no es edificio u otra construccin, institucin residencial"
"X012" "X012   Exposicin a fuego no controlado en lugar que no es edificio u otra construccin, escuelas, otras instituciones y reas administrativas  pblicas"
"X013" "X013   Exposicin a fuego no controlado en lugar que no es edificio u otra construccin, reas de deporte y atletismo"
"X014" "X014   Exposicin a fuego no controlado en lugar que no es edificio u otra construccin, calles y carreteras"
"X015" "X015   Exposicin a fuego no controlado en lugar que no es edificio u otra construccin, comercio y rea de servicios"
"X016" "X016   Exposicin a fuego no controlado en lugar que no es edificio u otra construccin, rea industrial y de la construccin"
"X017" "X017   Exposicin a fuego no controlado en lugar que no es edificio u otra construccin, granja"
"X018" "X018   Exposicin a fuego no controlado en lugar que no es edificio u otra construccin, otro lugar especificado"
"X019" "X019   Exposicin a fuego no controlado en lugar que no es edificio u otra construccin, lugar no especificado"
"X02" "X02   Exposicin a fuego controlado en edificio u otra construccin"
"X020" "X020   Exposicin a fuego controlado en edificio u otra construccin, vivienda"
"X021" "X021   Exposicin a fuego controlado en edificio u otra construccin, institucin residencial"
"X022" "X022   Exposicin a fuego controlado en edificio u otra construccin, escuelas, otras instituciones y reas administrativas  pblicas"
"X023" "X023   Exposicin a fuego controlado en edificio u otra construccin, reas de deporte y atletismo"
"X024" "X024   Exposicin a fuego controlado en edificio u otra construccin, calles y carreteras"
"X025" "X025   Exposicin a fuego controlado en edificio u otra construccin, comercio y rea de servicios"
"X026" "X026   Exposicin a fuego controlado en edificio u otra construccin, rea industrial y de la construccin"
"X027" "X027   Exposicin a fuego controlado en edificio u otra construccin, granja"
"X028" "X028   Exposicin a fuego controlado en edificio u otra construccin, otro lugar especificado"
"X029" "X029   Exposicin a fuego controlado en edificio u otra construccin, lugar no especificado"
"X03" "X03   Exposicin a fuego controlado en lugar que no es edificio u otra construccin"
"X030" "X030   Exposicin a fuego controlado en lugar que no es edificio u otra construccin, vivienda"
"X031" "X031   Exposicin a fuego controlado en lugar que no es edificio u otra construccin, institucin residencial"
"X032" "X032   Exposicin a fuego controlado en lugar que no es edificio u otra construccin, escuelas, otras instituciones y reas administrativas  pblicas"
"X033" "X033   Exposicin a fuego controlado en lugar que no es edificio u otra construccin, reas de deporte y atletismo"
"X034" "X034   Exposicin a fuego controlado en lugar que no es edificio u otra construccin, calles y carreteras"
"X035" "X035   Exposicin a fuego controlado en lugar que no es edificio u otra construccin, comercio y rea de servicios"
"X036" "X036   Exposicin a fuego controlado en lugar que no es edificio u otra construccin, rea industrial y de la construccin"
"X037" "X037   Exposicin a fuego controlado en lugar que no es edificio u otra construccin, granja"
"X038" "X038   Exposicin a fuego controlado en lugar que no es edificio u otra construccin, otro lugar especificado"
"X039" "X039   Exposicin a fuego controlado en lugar que no es edificio u otra construccin, lugar no especificado"
"X04" "X04   Exposicin a ignicin de material altamente inflamable"
"X040" "X040   Exposicin a ignicin de material altamente inflamable, vivienda"
"X041" "X041   Exposicin a ignicin de material altamente inflamable, institucin residencial"
"X042" "X042   Exposicin a ignicin de material altamente inflamable, escuelas, otras instituciones y reas administrativas  pblicas"
"X043" "X043   Exposicin a ignicin de material altamente inflamable, reas de deporte y atletismo"
"X044" "X044   Exposicin a ignicin de material altamente inflamable, calles y carreteras"
"X045" "X045   Exposicin a ignicin de material altamente inflamable, comercio y rea de servicios"
"X046" "X046   Exposicin a ignicin de material altamente inflamable, rea industrial y de la construccin"
"X047" "X047   Exposicin a ignicin de material altamente inflamable, granja"
"X048" "X048   Exposicin a ignicin de material altamente inflamable, otro lugar especificado"
"X049" "X049   Exposicin a ignicin de material altamente inflamable, lugar no especificado"
"X05" "X05   Exposicin a ignicin o fusin de ropas de dormir"
"X050" "X050   Exposicin a ignicin o fusin de ropas de dormir, vivienda"
"X051" "X051   Exposicin a ignicin o fusin de ropas de dormir, institucin residencial"
"X052" "X052   Exposicin a ignicin o fusin de ropas de dormir, escuelas, otras instituciones y reas administrativas  pblicas"
"X053" "X053   Exposicin a ignicin o fusin de ropas de dormir, reas de deporte y atletismo"
"X054" "X054   Exposicin a ignicin o fusin de ropas de dormir, calles y carreteras"
"X055" "X055   Exposicin a ignicin o fusin de ropas de dormir, comercio y rea de servicios"
"X056" "X056   Exposicin a ignicin o fusin de ropas de dormir, rea industrial y de la construccin"
"X057" "X057   Exposicin a ignicin o fusin de ropas de dormir, granja"
"X058" "X058   Exposicin a ignicin o fusin de ropas de dormir, otro lugar especificado"
"X059" "X059   Exposicin a ignicin o fusin de ropas de dormir, lugar no especificado"
"X06" "X06   Exposicin a ignicin o fusin de otras ropas y accesorios"
"X060" "X060   Exposicin a ignicin o fusin de otras ropas y accesorios, vivienda"
"X061" "X061   Exposicin a ignicin o fusin de otras ropas y accesorios, institucin residencial"
"X062" "X062   Exposicin a ignicin o fusin de otras ropas y accesorios, escuelas, otras instituciones y reas administrativas  pblicas"
"X063" "X063   Exposicin a ignicin o fusin de otras ropas y accesorios, reas de deporte y atletismo"
"X064" "X064   Exposicin a ignicin o fusin de otras ropas y accesorios, calles y carreteras"
"X065" "X065   Exposicin a ignicin o fusin de otras ropas y accesorios, comercio y rea de servicios"
"X066" "X066   Exposicin a ignicin o fusin de otras ropas y accesorios, rea industrial y de la construccin"
"X067" "X067   Exposicin a ignicin o fusin de otras ropas y accesorios, granja"
"X068" "X068   Exposicin a ignicin o fusin de otras ropas y accesorios, otro lugar especificado"
"X069" "X069   Exposicin a ignicin o fusin de otras ropas y accesorios, lugar no especificado"
"X08" "X08   Exposicin a otros humos, fuegos o llamas especificados"
"X080" "X080   Exposicin a otros humos, fuegos o llamas especificados, vivienda"
"X081" "X081   Exposicin a otros humos, fuegos o llamas especificados, institucin residencial"
"X082" "X082   Exposicin a otros humos, fuegos o llamas especificados, escuelas, otras instituciones y reas administrativas  pblicas"
"X083" "X083   Exposicin a otros humos, fuegos o llamas especificados, reas de deporte y atletismo"
"X084" "X084   Exposicin a otros humos, fuegos o llamas especificados, calles y carreteras"
"X085" "X085   Exposicin a otros humos, fuegos o llamas especificados, comercio y rea de servicios"
"X086" "X086   Exposicin a otros humos, fuegos o llamas especificados, rea industrial y de la construccin"
"X087" "X087   Exposicin a otros humos, fuegos o llamas especificados, granja"
"X088" "X088   Exposicin a otros humos, fuegos o llamas especificados, otro lugar especificado"
"X089" "X089   Exposicin a otros humos, fuegos o llamas especificados, lugar no especificado"
"X09" "X09   Exposicin a humos, fuegos o llamas no especificados"
"X090" "X090   Exposicin a humos, fuegos o llamas no especificados, vivienda"
"X091" "X091   Exposicin a humos, fuegos o llamas no especificados, institucin residencial"
"X092" "X092   Exposicin a humos, fuegos o llamas no especificados, escuelas, otras instituciones y reas administrativas  pblicas"
"X093" "X093   Exposicin a humos, fuegos o llamas no especificados, reas de deporte y atletismo"
"X094" "X094   Exposicin a humos, fuegos o llamas no especificados, calles y carreteras"
"X095" "X095   Exposicin a humos, fuegos o llamas no especificados, comercio y rea de servicios"
"X096" "X096   Exposicin a humos, fuegos o llamas no especificados, rea industrial y de la construccin"
"X097" "X097   Exposicin a humos, fuegos o llamas no especificados, granja"
"X098" "X098   Exposicin a humos, fuegos o llamas no especificados, otro lugar especificado"
"X099" "X099   Exposicin a humos, fuegos o llamas no especificados, lugar no especificado"
"X10" "X10   Contacto con bebidas, alimentos, grasas y aceites para cocinar, calientes"
"X100" "X100   Contacto con bebidas, alimentos, grasas y aceites para cocinar, calientes, vivienda"
"X101" "X101   Contacto con bebidas, alimentos, grasas y aceites para cocinar, calientes, institucin residencial"
"X102" "X102   Contacto con bebidas, alimentos, grasas y aceites para cocinar, calientes, escuelas, otras instituciones y reas administrativas  pblicas"
"X103" "X103   Contacto con bebidas, alimentos, grasas y aceites para cocinar, calientes, reas de deporte y atletismo"
"X104" "X104   Contacto con bebidas, alimentos, grasas y aceites para cocinar, calientes, calles y carreteras"
"X105" "X105   Contacto con bebidas, alimentos, grasas y aceites para cocinar, calientes, comercio y rea de servicios"
"X106" "X106   Contacto con bebidas, alimentos, grasas y aceites para cocinar, calientes, rea industrial y de la construccin"
"X107" "X107   Contacto con bebidas, alimentos, grasas y aceites para cocinar, calientes, granja"
"X108" "X108   Contacto con bebidas, alimentos, grasas y aceites para cocinar, calientes, otro lugar especificado"
"X109" "X109   Contacto con bebidas, alimentos, grasas y aceites para cocinar, calientes, lugar no especificado"
"X11" "X11   Contacto con agua caliente corriente"
"X110" "X110   Contacto con agua caliente corriente, vivienda"
"X111" "X111   Contacto con agua caliente corriente, institucin residencial"
"X112" "X112   Contacto con agua caliente corriente, escuelas, otras instituciones y reas administrativas  pblicas"
"X113" "X113   Contacto con agua caliente corriente, reas de deporte y atletismo"
"X114" "X114   Contacto con agua caliente corriente, calles y carreteras"
"X115" "X115   Contacto con agua caliente corriente, comercio y rea de servicios"
"X116" "X116   Contacto con agua caliente corriente, rea industrial y de la construccin"
"X117" "X117   Contacto con agua caliente corriente, granja"
"X118" "X118   Contacto con agua caliente corriente, otro lugar especificado"
"X119" "X119   Contacto con agua caliente corriente, lugar no especificado"
"X12" "X12   Contacto con otros lquidos calientes"
"X120" "X120   Contacto con otros lquidos calientes, vivienda"
"X121" "X121   Contacto con otros lquidos calientes, institucin residencial"
"X122" "X122   Contacto con otros lquidos calientes, escuelas, otras instituciones y reas administrativas  pblicas"
"X123" "X123   Contacto con otros lquidos calientes, reas de deporte y atletismo"
"X124" "X124   Contacto con otros lquidos calientes, calles y carreteras"
"X125" "X125   Contacto con otros lquidos calientes, comercio y rea de servicios"
"X126" "X126   Contacto con otros lquidos calientes, rea industrial y de la construccin"
"X127" "X127   Contacto con otros lquidos calientes, granja"
"X128" "X128   Contacto con otros lquidos calientes, otro lugar especificado"
"X129" "X129   Contacto con otros lquidos calientes, lugar no especificado"
"X13" "X13   Contacto con vapor de agua y otros vapores calientes"
"X130" "X130   Contacto con vapor de agua y otros vapores calientes, vivienda"
"X131" "X131   Contacto con vapor de agua y otros vapores calientes, institucin residencial"
"X132" "X132   Contacto con vapor de agua y otros vapores calientes, escuelas, otras instituciones y reas administrativas  pblicas"
"X133" "X133   Contacto con vapor de agua y otros vapores calientes, reas de deporte y atletismo"
"X134" "X134   Contacto con vapor de agua y otros vapores calientes, calles y carreteras"
"X135" "X135   Contacto con vapor de agua y otros vapores calientes, comercio y rea de servicios"
"X136" "X136   Contacto con vapor de agua y otros vapores calientes, rea industrial y de la construccin"
"X137" "X137   Contacto con vapor de agua y otros vapores calientes, granja"
"X138" "X138   Contacto con vapor de agua y otros vapores calientes, otro lugar especificado"
"X139" "X139   Contacto con vapor de agua y otros vapores calientes, lugar no especificado"
"X14" "X14   Contacto con aire y gases calientes"
"X140" "X140   Contacto con aire y gases calientes, vivienda"
"X141" "X141   Contacto con aire y gases calientes, institucin residencial"
"X142" "X142   Contacto con aire y gases calientes, escuelas, otras instituciones y reas administrativas  pblicas"
"X143" "X143   Contacto con aire y gases calientes, reas de deporte y atletismo"
"X144" "X144   Contacto con aire y gases calientes, calles y carreteras"
"X145" "X145   Contacto con aire y gases calientes, comercio y rea de servicios"
"X146" "X146   Contacto con aire y gases calientes, rea industrial y de la construccin"
"X147" "X147   Contacto con aire y gases calientes, granja"
"X148" "X148   Contacto con aire y gases calientes, otro lugar especificado"
"X149" "X149   Contacto con aire y gases calientes, lugar no especificado"
"X15" "X15   Contacto con utensilios domsticos calientes"
"X150" "X150   Contacto con utensilios domsticos calientes, vivienda"
"X151" "X151   Contacto con utensilios domsticos calientes, institucin residencial"
"X152" "X152   Contacto con utensilios domsticos calientes, escuelas, otras instituciones y reas administrativas  pblicas"
"X153" "X153   Contacto con utensilios domsticos calientes, reas de deporte y atletismo"
"X154" "X154   Contacto con utensilios domsticos calientes, calles y carreteras"
"X155" "X155   Contacto con utensilios domsticos calientes, comercio y rea de servicios"
"X156" "X156   Contacto con utensilios domsticos calientes, rea industrial y de la construccin"
"X157" "X157   Contacto con utensilios domsticos calientes, granja"
"X158" "X158   Contacto con utensilios domsticos calientes, otro lugar especificado"
"X159" "X159   Contacto con utensilios domsticos calientes, lugar no especificado"
"X16" "X16   Contacto con radiadores, caeras y artefactos para calefaccin, calientes"
"X160" "X160   Contacto con radiadores, caeras y artefactos para calefaccin, calientes, vivienda"
"X161" "X161   Contacto con radiadores, caeras y artefactos para calefaccin, calientes, institucin residencial"
"X162" "X162   Contacto con radiadores, caeras y artefactos para calefaccin, calientes, escuelas, otras instituciones y reas administrativas  pblicas"
"X163" "X163   Contacto con radiadores, caeras y artefactos para calefaccin, calientes, reas de deporte y atletismo"
"X164" "X164   Contacto con radiadores, caeras y artefactos para calefaccin, calientes, calles y carreteras"
"X165" "X165   Contacto con radiadores, caeras y artefactos para calefaccin, calientes, comercio y rea de servicios"
"X166" "X166   Contacto con radiadores, caeras y artefactos para calefaccin, calientes, rea industrial y de la construccin"
"X167" "X167   Contacto con radiadores, caeras y artefactos para calefaccin, calientes, granja"
"X168" "X168   Contacto con radiadores, caeras y artefactos para calefaccin, calientes, otro lugar especificado"
"X169" "X169   Contacto con radiadores, caeras y artefactos para calefaccin, calientes, lugar no especificado"
"X17" "X17   Contacto con mquinas, motores y herramientas calientes"
"X170" "X170   Contacto con mquinas, motores y herramientas calientes, vivienda"
"X171" "X171   Contacto con mquinas, motores y herramientas calientes, institucin residencial"
"X172" "X172   Contacto con mquinas, motores y herramientas calientes, escuelas, otras instituciones y reas administrativas  pblicas"
"X173" "X173   Contacto con mquinas, motores y herramientas calientes, reas de deporte y atletismo"
"X174" "X174   Contacto con mquinas, motores y herramientas calientes, calles y carreteras"
"X175" "X175   Contacto con mquinas, motores y herramientas calientes, comercio y rea de servicios"
"X176" "X176   Contacto con mquinas, motores y herramientas calientes, rea industrial y de la construccin"
"X177" "X177   Contacto con mquinas, motores y herramientas calientes, granja"
"X178" "X178   Contacto con mquinas, motores y herramientas calientes, otro lugar especificado"
"X179" "X179   Contacto con mquinas, motores y herramientas calientes, lugar no especificado"
"X18" "X18   Contacto con otros metales calientes"
"X180" "X180   Contacto con otros metales calientes, vivienda"
"X181" "X181   Contacto con otros metales calientes, institucin residencial"
"X182" "X182   Contacto con otros metales calientes, escuelas, otras instituciones y reas administrativas  pblicas"
"X183" "X183   Contacto con otros metales calientes, reas de deporte y atletismo"
"X184" "X184   Contacto con otros metales calientes, calles y carreteras"
"X185" "X185   Contacto con otros metales calientes, comercio y rea de servicios"
"X186" "X186   Contacto con otros metales calientes, rea industrial y de la construccin"
"X187" "X187   Contacto con otros metales calientes, granja"
"X188" "X188   Contacto con otros metales calientes, otro lugar especificado"
"X189" "X189   Contacto con otros metales calientes, lugar no especificado"
"X19" "X19   Contacto con otras sustancias calientes, y las no especificadas"
"X190" "X190   Contacto con otras sustancias calientes, y las no especificadas, vivienda"
"X191" "X191   Contacto con otras sustancias calientes, y las no especificadas, institucin residencial"
"X192" "X192   Contacto con otras sustancias calientes, y las no especificadas, escuelas, otras instituciones y reas administrativas  pblicas"
"X193" "X193   Contacto con otras sustancias calientes, y las no especificadas, reas de deporte y atletismo"
"X194" "X194   Contacto con otras sustancias calientes, y las no especificadas, calles y carreteras"
"X195" "X195   Contacto con otras sustancias calientes, y las no especificadas, comercio y rea de servicios"
"X196" "X196   Contacto con otras sustancias calientes, y las no especificadas, rea industrial y de la construccin"
"X197" "X197   Contacto con otras sustancias calientes, y las no especificadas, granja"
"X198" "X198   Contacto con otras sustancias calientes, y las no especificadas, otro lugar especificado"
"X199" "X199   Contacto con otras sustancias calientes, y las no especificadas, lugar no especificado"
"X20" "X20   Contacto traumtico con serpientes y lagartos venenosos"
"X200" "X200   Contacto traumtico con serpientes y lagartos venenosos, vivienda"
"X201" "X201   Contacto traumtico con serpientes y lagartos venenosos, institucin residencial"
"X202" "X202   Contacto traumtico con serpientes y lagartos venenosos, escuelas, otras instituciones y reas administrativas  pblicas"
"X203" "X203   Contacto traumtico con serpientes y lagartos venenosos, reas de deporte y atletismo"
"X204" "X204   Contacto traumtico con serpientes y lagartos venenosos, calles y carreteras"
"X205" "X205   Contacto traumtico con serpientes y lagartos venenosos, comercio y rea de servicios"
"X206" "X206   Contacto traumtico con serpientes y lagartos venenosos, rea industrial y de la construccin"
"X207" "X207   Contacto traumtico con serpientes y lagartos venenosos, granja"
"X208" "X208   Contacto traumtico con serpientes y lagartos venenosos, otro lugar especificado"
"X209" "X209   Contacto traumtico con serpientes y lagartos venenosos, lugar no especificado"
"X21" "X21   Contacto traumtico con araas venenosas"
"X210" "X210   Contacto traumtico con araas venenosas, vivienda"
"X211" "X211   Contacto traumtico con araas venenosas, institucin residencial"
"X212" "X212   Contacto traumtico con araas venenosas, escuelas, otras instituciones y reas administrativas  pblicas"
"X213" "X213   Contacto traumtico con araas venenosas, reas de deporte y atletismo"
"X214" "X214   Contacto traumtico con araas venenosas, calles y carreteras"
"X215" "X215   Contacto traumtico con araas venenosas, comercio y rea de servicios"
"X216" "X216   Contacto traumtico con araas venenosas, rea industrial y de la construccin"
"X217" "X217   Contacto traumtico con araas venenosas, granja"
"X218" "X218   Contacto traumtico con araas venenosas, otro lugar especificado"
"X219" "X219   Contacto traumtico con araas venenosas, lugar no especificado"
"X22" "X22   Contacto traumtico con escorpin"
"X220" "X220   Contacto traumtico con escorpin, vivienda"
"X221" "X221   Contacto traumtico con escorpin, institucin residencial"
"X222" "X222   Contacto traumtico con escorpin, escuelas, otras instituciones y reas administrativas  pblicas"
"X223" "X223   Contacto traumtico con escorpin, reas de deporte y atletismo"
"X224" "X224   Contacto traumtico con escorpin, calles y carreteras"
"X225" "X225   Contacto traumtico con escorpin, comercio y rea de servicios"
"X226" "X226   Contacto traumtico con escorpin, rea industrial y de la construccin"
"X227" "X227   Contacto traumtico con escorpin, granja"
"X228" "X228   Contacto traumtico con escorpin, otro lugar especificado"
"X229" "X229   Contacto traumtico con escorpin, lugar no especificado"
"X23" "X23   Contacto traumtico con avispones, avispas y abejas"
"X230" "X230   Contacto traumtico con avispones, avispas y abejas, vivienda"
"X231" "X231   Contacto traumtico con avispones, avispas y abejas, institucin residencial"
"X232" "X232   Contacto traumtico con avispones, avispas y abejas, escuelas, otras instituciones y reas administrativas  pblicas"
"X233" "X233   Contacto traumtico con avispones, avispas y abejas, reas de deporte y atletismo"
"X234" "X234   Contacto traumtico con avispones, avispas y abejas, calles y carreteras"
"X235" "X235   Contacto traumtico con avispones, avispas y abejas, comercio y rea de servicios"
"X236" "X236   Contacto traumtico con avispones, avispas y abejas, rea industrial y de la construccin"
"X237" "X237   Contacto traumtico con avispones, avispas y abejas, granja"
"X238" "X238   Contacto traumtico con avispones, avispas y abejas, otro lugar especificado"
"X239" "X239   Contacto traumtico con avispones, avispas y abejas, lugar no especificado"
"X24" "X24   Contacto traumtico con centpodos y miripodos venenosos (tropicales)"
"X240" "X240   Contacto traumtico con centpodos y miripodos venenosos (tropicales), vivienda"
"X241" "X241   Contacto traumtico con centpodos y miripodos venenosos (tropicales), institucin residencial"
"X242" "X242   Contacto traumtico con centpodos y miripodos venenosos (tropicales), escuelas, otras instituciones y reas administrativas  pblicas"
"X243" "X243   Contacto traumtico con centpodos y miripodos venenosos (tropicales), reas de deporte y atletismo"
"X244" "X244   Contacto traumtico con centpodos y miripodos venenosos (tropicales), calles y carreteras"
"X245" "X245   Contacto traumtico con centpodos y miripodos venenosos (tropicales), comercio y rea de servicios"
"X246" "X246   Contacto traumtico con centpodos y miripodos venenosos (tropicales), rea industrial y de la construccin"
"X247" "X247   Contacto traumtico con centpodos y miripodos venenosos (tropicales), granja"
"X248" "X248   Contacto traumtico con centpodos y miripodos venenosos (tropicales), otro lugar especificado"
"X249" "X249   Contacto traumtico con centpodos y miripodos venenosos (tropicales), lugar no especificado"
"X25" "X25   Contacto traumtico con otros artrpodos venenosos "
"X250" "X250   Contacto traumtico con otros artrpodos venenosos, vivienda"
"X251" "X251   Contacto traumtico con otros artrpodos venenosos, institucin residencial"
"X252" "X252   Contacto traumtico con otros artrpodos venenosos, escuelas, otras instituciones y reas administrativas  pblicas"
"X253" "X253   Contacto traumtico con otros artrpodos venenosos, reas de deporte y atletismo"
"X254" "X254   Contacto traumtico con otros artrpodos venenosos, calles y carreteras"
"X255" "X255   Contacto traumtico con otros artrpodos venenosos, comercio y rea de servicios"
"X256" "X256   Contacto traumtico con otros artrpodos venenosos, rea industrial y de la construccin"
"X257" "X257   Contacto traumtico con otros artrpodos venenosos, granja"
"X258" "X258   Contacto traumtico con otros artrpodos venenosos, otro lugar especificado"
"X259" "X259   Contacto traumtico con otros artrpodos venenosos, lugar no especificado"
"X26" "X26   Contacto traumtico con animales y plantas marinas venenosos"
"X260" "X260   Contacto traumtico con animales y plantas marinas venenosos, vivienda"
"X261" "X261   Contacto traumtico con animales y plantas marinas venenosos, institucin residencial"
"X262" "X262   Contacto traumtico con animales y plantas marinas venenosos, escuelas, otras instituciones y reas administrativas  pblicas"
"X263" "X263   Contacto traumtico con animales y plantas marinas venenosos, reas de deporte y atletismo"
"X264" "X264   Contacto traumtico con animales y plantas marinas venenosos, calles y carreteras"
"X265" "X265   Contacto traumtico con animales y plantas marinas venenosos, comercio y rea de servicios"
"X266" "X266   Contacto traumtico con animales y plantas marinas venenosos, rea industrial y de la construccin"
"X267" "X267   Contacto traumtico con animales y plantas marinas venenosos, granja"
"X268" "X268   Contacto traumtico con animales y plantas marinas venenosos, otro lugar especificado"
"X269" "X269   Contacto traumtico con animales y plantas marinas venenosos, lugar no especificado"
"X27" "X27   Contacto traumtico con otros animales venenosos especificados"
"X270" "X270   Contacto traumtico con otros animales venenosos especificados, vivienda"
"X271" "X271   Contacto traumtico con otros animales venenosos especificados, institucin residencial"
"X272" "X272   Contacto traumtico con otros animales venenosos especificados, escuelas, otras instituciones y reas administrativas  pblicas"
"X273" "X273   Contacto traumtico con otros animales venenosos especificados, reas de deporte y atletismo"
"X274" "X274   Contacto traumtico con otros animales venenosos especificados, calles y carreteras"
"X275" "X275   Contacto traumtico con otros animales venenosos especificados, comercio y rea de servicios"
"X276" "X276   Contacto traumtico con otros animales venenosos especificados, rea industrial y de la construccin"
"X277" "X277   Contacto traumtico con otros animales venenosos especificados, granja"
"X278" "X278   Contacto traumtico con otros animales venenosos especificados, otro lugar especificado"
"X279" "X279   Contacto traumtico con otros animales venenosos especificados, lugar no especificado"
"X28" "X28   Contacto traumtico con otras plantas venenosas especificadas"
"X280" "X280   Contacto traumtico con otras plantas venenosas especificadas, vivienda"
"X281" "X281   Contacto traumtico con otras plantas venenosas especificadas, institucin residencial"
"X282" "X282   Contacto traumtico con otras plantas venenosas especificadas, escuelas, otras instituciones y reas administrativas  pblicas"
"X283" "X283   Contacto traumtico con otras plantas venenosas especificadas, reas de deporte y atletismo"
"X284" "X284   Contacto traumtico con otras plantas venenosas especificadas, calles y carreteras"
"X285" "X285   Contacto traumtico con otras plantas venenosas especificadas, comercio y rea de servicios"
"X286" "X286   Contacto traumtico con otras plantas venenosas especificadas, rea industrial y de la construccin"
"X287" "X287   Contacto traumtico con otras plantas venenosas especificadas, granja"
"X288" "X288   Contacto traumtico con otras plantas venenosas especificadas, otro lugar especificado"
"X289" "X289   Contacto traumtico con otras plantas venenosas especificadas, lugar no especificado"
"X29" "X29   Contacto traumtico con animales y plantas venenosos no especificados"
"X290" "X290   Contacto traumtico con animales y plantas venenosos no especificados, vivienda"
"X291" "X291   Contacto traumtico con animales y plantas venenosos no especificados, institucin residencial"
"X292" "X292   Contacto traumtico con animales y plantas venenosos no especificados, escuelas, otras instituciones y reas administrativas  pblicas"
"X293" "X293   Contacto traumtico con animales y plantas venenosos no especificados, reas de deporte y atletismo"
"X294" "X294   Contacto traumtico con animales y plantas venenosos no especificados, calles y carreteras"
"X295" "X295   Contacto traumtico con animales y plantas venenosos no especificados, comercio y rea de servicios"
"X296" "X296   Contacto traumtico con animales y plantas venenosos no especificados, rea industrial y de la construccin"
"X297" "X297   Contacto traumtico con animales y plantas venenosos no especificados, granja"
"X298" "X298   Contacto traumtico con animales y plantas venenosos no especificados, otro lugar especificado"
"X299" "X299   Contacto traumtico con animales y plantas venenosos no especificados, lugar no especificado"
"X30" "X30   Exposicin al calor natural excesivo"
"X300" "X300   Exposicin al calor natural excesivo, vivienda"
"X301" "X301   Exposicin al calor natural excesivo, institucin residencial"
"X302" "X302   Exposicin al calor natural excesivo, escuelas, otras instituciones y reas administrativas  pblicas"
"X303" "X303   Exposicin al calor natural excesivo, reas de deporte y atletismo"
"X304" "X304   Exposicin al calor natural excesivo, calles y carreteras"
"X305" "X305   Exposicin al calor natural excesivo, comercio y rea de servicios"
"X306" "X306   Exposicin al calor natural excesivo, rea industrial y de la construccin"
"X307" "X307   Exposicin al calor natural excesivo, granja"
"X308" "X308   Exposicin al calor natural excesivo, otro lugar especificado"
"X309" "X309   Exposicin al calor natural excesivo, lugar no especificado"
"X31" "X31   Exposicin al fro natural excesivo"
"X310" "X310   Exposicin al fro natural excesivo, vivienda"
"X311" "X311   Exposicin al fro natural excesivo, institucin residencial"
"X312" "X312   Exposicin al fro natural excesivo, escuelas, otras instituciones y reas administrativas  pblicas"
"X313" "X313   Exposicin al fro natural excesivo, reas de deporte y atletismo"
"X314" "X314   Exposicin al fro natural excesivo, calles y carreteras"
"X315" "X315   Exposicin al fro natural excesivo, comercio y rea de servicios"
"X316" "X316   Exposicin al fro natural excesivo, rea industrial y de la construccin"
"X317" "X317   Exposicin al fro natural excesivo, granja"
"X318" "X318   Exposicin al fro natural excesivo, otro lugar especificado"
"X319" "X319   Exposicin al fro natural excesivo, lugar no especificado"
"X32" "X32   Exposicin a rayos solares"
"X320" "X320   Exposicin a rayos solares, vivienda"
"X321" "X321   Exposicin a rayos solares, institucin residencial"
"X322" "X322   Exposicin a rayos solares, escuelas, otras instituciones y reas administrativas  pblicas"
"X323" "X323   Exposicin a rayos solares, reas de deporte y atletismo"
"X324" "X324   Exposicin a rayos solares, calles y carreteras"
"X325" "X325   Exposicin a rayos solares, comercio y rea de servicios"
"X326" "X326   Exposicin a rayos solares, rea industrial y de la construccin"
"X327" "X327   Exposicin a rayos solares, granja"
"X328" "X328   Exposicin a rayos solares, otro lugar especificado"
"X329" "X329   Exposicin a rayos solares, lugar no especificado"
"X33" "X33   Vctima de rayo"
"X330" "X330   Vctima de rayo, vivienda"
"X331" "X331   Vctima de rayo, institucin residencial"
"X332" "X332   Vctima de rayo, escuelas, otras instituciones y reas administrativas  pblicas"
"X333" "X333   Vctima de rayo, reas de deporte y atletismo"
"X334" "X334   Vctima de rayo, calles y carreteras"
"X335" "X335   Vctima de rayo, comercio y rea de servicios"
"X336" "X336   Vctima de rayo, rea industrial y de la construccin"
"X337" "X337   Vctima de rayo, granja"
"X338" "X338   Vctima de rayo, otro lugar especificado"
"X339" "X339   Vctima de rayo, lugar no especificado"
"X34" "X34   Vctima de terremoto"
"X340" "X340   Vctima de movimientos cataclsmicos de la tierra causados por terremoto "
"X341" "X341   Vctima de tsunami "
"X342" "X342   Vctima de terremoto, escuelas, otras instituciones y reas administrativas  pblicas"
"X343" "X343   Vctima de terremoto, reas de deporte y atletismo"
"X344" "X344   Vctima de terremoto, calles y carreteras"
"X345" "X345   Vctima de terremoto, comercio y rea de servicios"
"X346" "X346   Vctima de terremoto, rea industrial y de la construccin"
"X347" "X347   Vctima de terremoto, granja"
"X348" "X348   Vctima de otros efectos de terremoto especificados "
"X349" "X349   Vctima de efectos de terremoto no especificados "
"X35" "X35   Vctima de erupcin volcnica"
"X350" "X350   Vctima de erupcin volcnica, vivienda"
"X351" "X351   Vctima de erupcin volcnica, institucin residencial"
"X352" "X352   Vctima de erupcin volcnica, escuelas, otras instituciones y reas administrativas  pblicas"
"X353" "X353   Vctima de erupcin volcnica, reas de deporte y atletismo"
"X354" "X354   Vctima de erupcin volcnica, calles y carreteras"
"X355" "X355   Vctima de erupcin volcnica, comercio y rea de servicios"
"X356" "X356   Vctima de erupcin volcnica, rea industrial y de la construccin"
"X357" "X357   Vctima de erupcin volcnica, granja"
"X358" "X358   Vctima de erupcin volcnica, otro lugar especificado"
"X359" "X359   Vctima de erupcin volcnica, lugar no especificado"
"X36" "X36   Vctima de avalancha, derrumbe y otros movimientos de tierra"
"X360" "X360   Vctima de avalancha, derrumbe y otros movimientos de tierra, vivienda"
"X361" "X361   Vctima de avalancha, derrumbe y otros movimientos de tierra, institucin residencial"
"X362" "X362   Vctima de avalancha, derrumbe y otros movimientos de tierra, escuelas, otras instituciones y reas administrativas pblicas"
"X363" "X363   Vctima de avalancha, derrumbe y otros movimientos de tierra, reas de deporte y atletismo"
"X364" "X364   Vctima de avalancha, derrumbe y otros movimientos de tierra, calles y carreteras"
"X365" "X365   Vctima de avalancha, derrumbe y otros movimientos de tierra, comercio y reas de servicio"
"X366" "X366   Vctima de avalancha, derrumbe y otros movimientos de tierra, rea industrial y de la construccin"
"X367" "X367   Vctima de avalancha, derrumbe y otros movimientos de tierra, granja"
"X368" "X368   Vctima de avalancha, derrumbe y otros movimientos de tierra, otro lugar  especificado"
"X369" "X369   Vctima de avalancha, derrumbe y otros movimientos de tierra, lugar no especificado"
"X37" "X37   Vctima de tormenta cataclsmica"
"X370" "X370   Vctima de tormenta cataclsmica, vivienda"
"X371" "X371   Vctima de tormenta cataclsmica, institucin residencial"
"X372" "X372   Vctima de tormenta cataclsmica, escuelas, otras instituciones y reas administrativas  pblicas"
"X373" "X373   Vctima de tormenta cataclsmica, reas de deporte y atletismo"
"X374" "X374   Vctima de tormenta cataclsmica, calles y carreteras"
"X375" "X375   Vctima de tormenta cataclsmica, comercio y rea de servicios"
"X376" "X376   Vctima de tormenta cataclsmica, rea industrial y de la construccin"
"X377" "X377   Vctima de tormenta cataclsmica, granja"
"X378" "X378   Vctima de tormenta cataclsmica, otro lugar especificado"
"X379" "X379   Vctima de tormenta cataclsmica, lugar no especificado"
"X38" "X38   Vctima de inundacin"
"X380" "X380   Vctima de inundacin, vivienda"
"X381" "X381   Vctima de inundacin, institucin residencial"
"X382" "X382   Vctima de inundacin, escuelas, otras instituciones y reas administrativas  pblicas"
"X383" "X383   Vctima de inundacin, reas de deporte y atletismo"
"X384" "X384   Vctima de inundacin, calles y carreteras"
"X385" "X385   Vctima de inundacin, comercio y rea de servicios"
"X386" "X386   Vctima de inundacin, rea industrial y de la construccin"
"X387" "X387   Vctima de inundacin, granja"
"X388" "X388   Vctima de inundacin, otro lugar especificado"
"X389" "X389   Vctima de inundacin, lugar no especificado"
"X39" "X39   Exposicin a otras fuerzas de la naturaleza, y las no especificadas"
"X390" "X390   Exposicin a otras fuerzas de la naturaleza, y las no especificadas, vivienda"
"X391" "X391   Exposicin a otras fuerzas de la naturaleza, y las no especificadas, institucin residencial"
"X392" "X392   Exposicin a otras fuerzas de la naturaleza, y las no especificadas, escuelas, otras instituciones y reas administrativas  pblicas"
"X393" "X393   Exposicin a otras fuerzas de la naturaleza, y las no especificadas, reas de deporte y atletismo"
"X394" "X394   Exposicin a otras fuerzas de la naturaleza, y las no especificadas, calles y carreteras"
"X395" "X395   Exposicin a otras fuerzas de la naturaleza, y las no especificadas, comercio y rea de servicios"
"X396" "X396   Exposicin a otras fuerzas de la naturaleza, y las no especificadas, rea industrial y de la construccin"
"X397" "X397   Exposicin a otras fuerzas de la naturaleza, y las no especificadas, granja"
"X398" "X398   Exposicin a otras fuerzas de la naturaleza, y las no especificadas, otro lugar especificado"
"X399" "X399   Exposicin a otras fuerzas de la naturaleza, y las no especificadas, lugar no especificado"
"X40" "X40   Envenenamiento accidental por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos"
"X400" "X400   Envenenamiento accidental por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, vivienda"
"X401" "X401   Envenenamiento accidental por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, institucin residencial"
"X402" "X402   Envenenamiento accidental por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, escuelas, otras instituciones y reas administrativas  pblicas"
"X403" "X403   Envenenamiento accidental por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, reas de deporte y atletismo"
"X404" "X404   Envenenamiento accidental por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, calles y carreteras"
"X405" "X405   Envenenamiento accidental por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, comercio y rea de servicios"
"X406" "X406   Envenenamiento accidental por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, rea industrial y de la construccin"
"X407" "X407   Envenenamiento accidental por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, granja"
"X408" "X408   Envenenamiento accidental por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, otro lugar especificado"
"X409" "X409   Envenenamiento accidental por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, lugar no especificado"
"X41" "X41   Envenenamiento accidental por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte"
"X410" "X410   Envenenamiento accidental por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, vivienda"
"X411" "X411   Envenenamiento accidental por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, institucin residencial"
"X412" "X412   Envenenamiento accidental por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, escuelas, otras instituciones y reas administrativas  pblicas"
"X413" "X413   Envenenamiento accidental por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, reas de deporte y atletismo"
"X414" "X414   Envenenamiento accidental por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, calles y carreteras"
"X415" "X415   Envenenamiento accidental por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, comercio y rea de servicios"
"X416" "X416   Envenenamiento accidental por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, rea industrial y de la construccin"
"X417" "X417   Envenenamiento accidental por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, granja"
"X418" "X418   Envenenamiento accidental por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, otro lugar especificado"
"X419" "X419   Envenenamiento accidental por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, lugar no especificado"
"X42" "X42   Envenenamiento accidental por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte"
"X420" "X420   Envenenamiento accidental por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, vivienda"
"X421" "X421   Envenenamiento accidental por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, institucin residencial"
"X422" "X422   Envenenamiento accidental por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, escuelas, otras instituciones y reas administrativas  pblicas"
"X423" "X423   Envenenamiento accidental por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, reas de deporte y atletismo"
"X424" "X424   Envenenamiento accidental por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, calles y carreteras"
"X425" "X425   Envenenamiento accidental por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, comercio y rea de servicios"
"X426" "X426   Envenenamiento accidental por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, rea industrial y de la construccin"
"X427" "X427   Envenenamiento accidental por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, granja"
"X428" "X428   Envenenamiento accidental por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, otro lugar especificado"
"X429" "X429   Envenenamiento accidental por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, lugar no especificado"
"X43" "X43   Envenenamiento accidental por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo"
"X430" "X430   Envenenamiento accidental por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, vivienda"
"X431" "X431   Envenenamiento accidental por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, institucin residencial"
"X432" "X432   Envenenamiento accidental por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, escuelas, otras instituciones y reas administrativas pblicas"
"X433" "X433   Envenenamiento accidental por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, reas de deporte y atletismo"
"X434" "X434   Envenenamiento accidental por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, calles y carreteras"
"X435" "X435   Envenenamiento accidental por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, comercio y rea de servicios"
"X436" "X436   Envenenamiento accidental por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, rea industrial y de la construccin"
"X437" "X437   Envenenamiento accidental por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, granja"
"X438" "X438   Envenenamiento accidental por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, otro lugar especificado"
"X439" "X439   Envenenamiento accidental por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, lugar no especificado"
"X44" "X44   Envenenamiento accidental por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados"
"X440" "X440   Envenenamiento accidental por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, vivienda"
"X441" "X441   Envenenamiento accidental por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, institucin residencial"
"X442" "X442   Envenenamiento accidental por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, escuelas, otras instituciones y reas administrativas  pblicas"
"X443" "X443   Envenenamiento accidental por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, reas de deporte y atletismo"
"X444" "X444   Envenenamiento accidental por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, calles y carreteras"
"X445" "X445   Envenenamiento accidental por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, comercio y rea de servicios"
"X446" "X446   Envenenamiento accidental por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, rea industrial y de la construccin"
"X447" "X447   Envenenamiento accidental por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, granja"
"X448" "X448   Envenenamiento accidental por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, otro lugar especificado"
"X449" "X449   Envenenamiento accidental por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, lugar no especificado"
"X45" "X45   Envenenamiento accidental por, y exposicin al alcohol"
"X450" "X450   Envenenamiento accidental por, y exposicin al alcohol, vivienda"
"X451" "X451   Envenenamiento accidental por, y exposicin al alcohol, institucin residencial"
"X452" "X452   Envenenamiento accidental por, y exposicin al alcohol, escuelas, otras instituciones y reas administrativas  pblicas"
"X453" "X453   Envenenamiento accidental por, y exposicin al alcohol, reas de deporte y atletismo"
"X454" "X454   Envenenamiento accidental por, y exposicin al alcohol, calles y carreteras"
"X455" "X455   Envenenamiento accidental por, y exposicin al alcohol, comercio y rea de servicios"
"X456" "X456   Envenenamiento accidental por, y exposicin al alcohol, rea industrial y de la construccin"
"X457" "X457   Envenenamiento accidental por, y exposicin al alcohol, granja"
"X458" "X458   Envenenamiento accidental por, y exposicin al alcohol, otro lugar especificado"
"X459" "X459   Envenenamiento accidental por, y exposicin al alcohol, lugar no especificado"
"X46" "X46   Envenenamiento accidental por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores"
"X460" "X460   Envenenamiento accidental por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, vivienda"
"X461" "X461   Envenenamiento accidental por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, institucin residencial"
"X462" "X462   Envenenamiento accidental por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, escuelas, otras instituciones y reas administrativas  pblicas"
"X463" "X463   Envenenamiento accidental por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, reas de deporte y atletismo"
"X464" "X464   Envenenamiento accidental por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, calles y carreteras"
"X465" "X465   Envenenamiento accidental por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, comercio y rea de servicios"
"X466" "X466   Envenenamiento accidental por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, rea industrial y de la construccin"
"X467" "X467   Envenenamiento accidental por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, granja"
"X468" "X468   Envenenamiento accidental por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, otro lugar especificado"
"X469" "X469   Envenenamiento accidental por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, lugar no especificado"
"X47" "X47   Envenenamiento accidental por, y exposicin a otros gases y vapores"
"X470" "X470   Envenenamiento accidental por, y exposicin a otros gases y vapores, vivienda"
"X471" "X471   Envenenamiento accidental por, y exposicin a otros gases y vapores, institucin residencial"
"X472" "X472   Envenenamiento accidental por, y exposicin a otros gases y vapores, escuelas, otras instituciones y reas administrativas  pblicas"
"X473" "X473   Envenenamiento accidental por, y exposicin a otros gases y vapores, reas de deporte y atletismo"
"X474" "X474   Envenenamiento accidental por, y exposicin a otros gases y vapores, calles y carreteras"
"X475" "X475   Envenenamiento accidental por, y exposicin a otros gases y vapores, comercio y rea de servicios"
"X476" "X476   Envenenamiento accidental por, y exposicin a otros gases y vapores, rea industrial y de la construccin"
"X477" "X477   Envenenamiento accidental por, y exposicin a otros gases y vapores, granja"
"X478" "X478   Envenenamiento accidental por, y exposicin a otros gases y vapores, otro lugar especificado"
"X479" "X479   Envenenamiento accidental por, y exposicin a otros gases y vapores, lugar no especificado"
"X48" "X48   Envenenamiento accidental por, y exposicin a plaguicidas"
"X480" "X480   Envenenamiento accidental por, y exposicin a plaguicidas, vivienda"
"X481" "X481   Envenenamiento accidental por, y exposicin a plaguicidas, institucin residencial"
"X482" "X482   Envenenamiento accidental por, y exposicin a plaguicidas, escuelas, otras instituciones y reas administrativas  pblicas"
"X483" "X483   Envenenamiento accidental por, y exposicin a plaguicidas, reas de deporte y atletismo"
"X484" "X484   Envenenamiento accidental por, y exposicin a plaguicidas, calles y carreteras"
"X485" "X485   Envenenamiento accidental por, y exposicin a plaguicidas, comercio y rea de servicios"
"X486" "X486   Envenenamiento accidental por, y exposicin a plaguicidas, rea industrial y de la construccin"
"X487" "X487   Envenenamiento accidental por, y exposicin a plaguicidas, granja"
"X488" "X488   Envenenamiento accidental por, y exposicin a plaguicidas, otro lugar especificado"
"X489" "X489   Envenenamiento accidental por, y exposicin a plaguicidas, lugar no especificado"
"X49" "X49   Envenenamiento accidental por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados"
"X490" "X490   Envenenamiento accidental por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, vivienda"
"X491" "X491   Envenenamiento accidental por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, institucin residencial"
"X492" "X492   Envenenamiento accidental por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, escuelas, otras instituciones y reas administrativas  pblicas"
"X493" "X493   Envenenamiento accidental por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, reas de deporte y atletismo"
"X494" "X494   Envenenamiento accidental por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, calles y carreteras"
"X495" "X495   Envenenamiento accidental por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, comercio y rea de servicios"
"X496" "X496   Envenenamiento accidental por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, rea industrial y de la construccin"
"X497" "X497   Envenenamiento accidental por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, granja"
"X498" "X498   Envenenamiento accidental por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, otro lugar especificado"
"X499" "X499   Envenenamiento accidental por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, lugar no especificado"
"X50" "X50   Exceso de esfuerzo y movimientos extenuantes y repetitivos"
"X500" "X500   Exceso de esfuerzo y movimientos extenuantes y repetitivos, vivienda"
"X501" "X501   Exceso de esfuerzo y movimientos extenuantes y repetitivos, institucin residencial"
"X502" "X502   Exceso de esfuerzo y movimientos extenuantes y repetitivos, escuelas, otras instituciones y reas administrativas  pblicas"
"X503" "X503   Exceso de esfuerzo y movimientos extenuantes y repetitivos, reas de deporte y atletismo"
"X504" "X504   Exceso de esfuerzo y movimientos extenuantes y repetitivos, calles y carreteras"
"X505" "X505   Exceso de esfuerzo y movimientos extenuantes y repetitivos, comercio y rea de servicios"
"X506" "X506   Exceso de esfuerzo y movimientos extenuantes y repetitivos, rea industrial y de la construccin"
"X507" "X507   Exceso de esfuerzo y movimientos extenuantes y repetitivos, granja"
"X508" "X508   Exceso de esfuerzo y movimientos extenuantes y repetitivos, otro lugar especificado"
"X509" "X509   Exceso de esfuerzo y movimientos extenuantes y repetitivos, lugar no especificado"
"X51" "X51   Viajes y desplazamientos"
"X510" "X510   Viajes y desplazamientos, vivienda"
"X511" "X511   Viajes y desplazamientos, institucin residencial"
"X512" "X512   Viajes y desplazamientos, escuelas, otras instituciones y reas administrativas pblicas"
"X513" "X513   Viajes y desplazamientos, reas de deporte y atletismo"
"X514" "X514   Viajes y desplazamientos, calles y carreteras"
"X515" "X515   Viajes y desplazamientos, comercio y rea de servicios"
"X516" "X516   Viajes y desplazamientos, rea industrial y de la construccin"
"X517" "X517   Viajes y desplazamientos, granja"
"X518" "X518   Viajes y desplazamientos, otro lugar especificado"
"X519" "X519   Viajes y desplazamientos, lugar no especificado"
"X52" "X52   Permanencia prolongada en ambiente sin gravedad"
"X520" "X520   Permanencia prolongada en ambiente sin gravedad, vivienda"
"X521" "X521   Permanencia prolongada en ambiente sin gravedad, institucin residencial"
"X522" "X522   Permanencia prolongada en ambiente sin gravedad, escuelas, otras instituciones y reas administrativas  pblicas"
"X523" "X523   Permanencia prolongada en ambiente sin gravedad, reas de deporte y atletismo"
"X524" "X524   Permanencia prolongada en ambiente sin gravedad, calles y carreteras"
"X525" "X525   Permanencia prolongada en ambiente sin gravedad, comercio y rea de servicios"
"X526" "X526   Permanencia prolongada en ambiente sin gravedad, rea industrial y de la construccin"
"X527" "X527   Permanencia prolongada en ambiente sin gravedad, granja"
"X528" "X528   Permanencia prolongada en ambiente sin gravedad, otro lugar especificado"
"X529" "X529   Permanencia prolongada en ambiente sin gravedad, lugar no especificado"
"X53" "X53   Privacin de alimentos"
"X530" "X530   Privacin de alimentos, vivienda"
"X531" "X531   Privacin de alimentos, institucin residencial"
"X532" "X532   Privacin de alimentos, escuelas, otras instituciones y reas administrativas  pblicas"
"X533" "X533   Privacin de alimentos, reas de deporte y atletismo"
"X534" "X534   Privacin de alimentos, calles y carreteras"
"X535" "X535   Privacin de alimentos, comercio y rea de servicios"
"X536" "X536   Privacin de alimentos, rea industrial y de la construccin"
"X537" "X537   Privacin de alimentos, granja"
"X538" "X538   Privacin de alimentos, otro lugar especificado"
"X539" "X539   Privacin de alimentos, lugar no especificado"
"X54" "X54   Privacin de agua"
"X540" "X540   Privacin de agua, vivienda"
"X541" "X541   Privacin de agua, institucin residencial"
"X542" "X542   Privacin de agua, escuelas, otras instituciones y reas administrativas  pblicas"
"X543" "X543   Privacin de agua, reas de deporte y atletismo"
"X544" "X544   Privacin de agua, calles y carreteras"
"X545" "X545   Privacin de agua, comercio y rea de servicios"
"X546" "X546   Privacin de agua, rea industrial y de la construccin"
"X547" "X547   Privacin de agua, granja"
"X548" "X548   Privacin de agua, otro lugar especificado"
"X549" "X549   Privacin de agua, lugar no especificado"
"X57" "X57   Privacin no especificada"
"X570" "X570   Privacin no especificada, vivienda"
"X571" "X571   Privacin no especificada, institucin residencial"
"X572" "X572   Privacin no especificada, escuelas, otras instituciones y reas administrativas pblicas"
"X573" "X573   Privacin no especificada, reas de deporte y atletismo"
"X574" "X574   Privacin no especificada, calles y carreteras"
"X575" "X575   Privacin no especificada, comercio y rea de servicios"
"X576" "X576   Privacin no especificada, rea industrial y de la construccin"
"X577" "X577   Privacin no especificada, granja"
"X578" "X578   Privacin no especificada, otro lugar especificado"
"X579" "X579   Privacin no especificada, lugar no especificado"
"X58" "X58   Exposicin a otros factores especificados"
"X580" "X580   Exposicin a otros factores especificados, vivienda"
"X581" "X581   Exposicin a otros factores especificados, institucin residencial"
"X582" "X582   Exposicin a otros factores especificados, escuelas, otras instituciones y reas administrativas pblicas"
"X583" "X583   Exposicin a otros factores especificados, reas de deporte y atletismo"
"X584" "X584   Exposicin a otros factores especificados, calles y carreteras"
"X585" "X585   Exposicin a otros factores especificados, comercio y rea de servicios"
"X586" "X586   Exposicin a otros factores especificados, rea industrial y de la construccin"
"X587" "X587   Exposicin a otros factores especificados, granja"
"X588" "X588   Exposicin a otros factores especificados, otro lugar especificado"
"X589" "X589   Exposicin a otros factores especificados, lugar no especificado"
"X59" "X59   Exposicin a factores no especificados"
"X590" "X590   Exposicin a factores no especificados, que causan fractura "
"X591" "X591   Exposicin a factores no especificados, institucin residencial"
"X592" "X592   Exposicin a factores no especificados, escuelas, otras instituciones y reas administrativas  pblicas"
"X593" "X593   Exposicin a factores no especificados, reas de deporte y atletismo"
"X594" "X594   Exposicin a factores no especificados, calles y carreteras"
"X595" "X595   Exposicin a factores no especificados, comercio y rea de servicios"
"X596" "X596   Exposicin a factores no especificados, rea industrial y de la construccin"
"X597" "X597   Exposicin a factores no especificados, granja"
"X598" "X598   Exposicin a factores no especificados, otro lugar especificado"
"X599" "X599   Exposicin a factores no especificados que causan otras lesiones y las no especificadas "
"X60" "X60   Envenenamiento autoinfligido intencionalmente por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos"
"X600" "X600   Envenenamiento autoinfligido intencionalmente por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, vivienda"
"X601" "X601   Envenenamiento autoinfligido intencionalmente por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, institucin residencial"
"X602" "X602   Envenenamiento autoinfligido intencionalmente por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, escuelas, otras instituciones y reas administrativas  pblicas"
"X603" "X603   Envenenamiento autoinfligido intencionalmente por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, reas de deporte y atletismo"
"X604" "X604   Envenenamiento autoinfligido intencionalmente por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, calles y carreteras"
"X605" "X605   Envenenamiento autoinfligido intencionalmente por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, comercio y rea de servicios"
"X606" "X606   Envenenamiento autoinfligido intencionalmente por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, rea industrial y de la construccin"
"X607" "X607   Envenenamiento autoinfligido intencionalmente por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, granja"
"X608" "X608   Envenenamiento autoinfligido intencionalmente por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, otro lugar especificado"
"X609" "X609   Envenenamiento autoinfligido intencionalmente por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, lugar no especificado"
"X61" "X61   Envenenamiento autoinfligido intencionalmente por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte"
"X610" "X610   Envenenamiento autoinfligido intencionalmente por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, vivienda"
"X611" "X611   Envenenamiento autoinfligido intencionalmente por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, institucin residencial"
"X612" "X612   Envenenamiento autoinfligido intencionalmente por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, escuelas, otras instituciones y reas administrativas pblicas"
"X613" "X613   Envenenamiento autoinfligido intencionalmente por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, reas de deporte y atletismo"
"X614" "X614   Envenenamiento autoinfligido intencionalmente por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, calles y carreteras"
"X615" "X615   Envenenamiento autoinfligido intencionalmente por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, comercio y rea de servicios"
"X616" "X616   Envenenamiento autoinfligido intencionalmente por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, rea industrial y de la construccin"
"X617" "X617   Envenenamiento autoinfligido intencionalmente por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, granja"
"X618" "X618   Envenenamiento autoinfligido intencionalmente por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, otro lugar especificado"
"X619" "X619   Envenenamiento autoinfligido intencionalmente por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, lugar no especificado"
"X62" "X62   Envenenamiento autoinfligido intencionalmente por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte"
"X620" "X620   Envenenamiento autoinfligido intencionalmente por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, vivienda"
"X621" "X621   Envenenamiento autoinfligido intencionalmente por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, institucin residencial"
"X622" "X622   Envenenamiento autoinfligido intencionalmente por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, escuelas, otras instituciones y reas administrativas pblicas"
"X623" "X623   Envenenamiento autoinfligido intencionalmente por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, reas de deporte y atletismo"
"X624" "X624   Envenenamiento autoinfligido intencionalmente por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, calles y carreteras"
"X625" "X625   Envenenamiento autoinfligido intencionalmente por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, comercio y rea de servicios"
"X626" "X626   Envenenamiento autoinfligido intencionalmente por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, rea industrial y de la construccin"
"X627" "X627   Envenenamiento autoinfligido intencionalmente por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, granja"
"X628" "X628   Envenenamiento autoinfligido intencionalmente por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, otro lugar especificado"
"X629" "X629   Envenenamiento autoinfligido intencionalmente por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, lugar no especificado"
"X63" "X63   Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo"
"X630" "X630   Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, vivienda"
"X631" "X631   Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, institucin residencial"
"X632" "X632   Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, escuelas, otras instituciones y reas administrativas pblicas"
"X633" "X633   Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, reas de deporte y atletismo"
"X634" "X634   Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, calles y carreteras"
"X635" "X635   Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, comercio y rea de servicios"
"X636" "X636   Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, rea industrial y de la construccin"
"X637" "X637   Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, granja"
"X638" "X638   Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, otro lugar especificado"
"X639" "X639   Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, lugar no especificado"
"X64" "X64   Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados"
"X640" "X640   Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, vivienda"
"X641" "X641   Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, institucin residencial"
"X642" "X642   Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, escuelas, otras instituciones y reas administrativas  pblicas"
"X643" "X643   Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, reas de deporte y atletismo"
"X644" "X644   Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, calles y carreteras"
"X645" "X645   Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, comercio y rea de servicios"
"X646" "X646   Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, rea industrial y de la construccin"
"X647" "X647   Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, granja"
"X648" "X648   Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, otro lugar especificado"
"X649" "X649   Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, lugar no especificado"
"X65" "X65   Envenenamiento autoinfligido intencionalmente por, y exposicin al alcohol"
"X650" "X650   Envenenamiento autoinfligido intencionalmente por, y exposicin al alcohol, vivienda"
"X651" "X651   Envenenamiento autoinfligido intencionalmente por, y exposicin al alcohol, institucin residencial"
"X652" "X652   Envenenamiento autoinfligido intencionalmente por, y exposicin al alcohol, escuelas, otras instituciones y reas administrativas pblicas"
"X653" "X653   Envenenamiento autoinfligido intencionalmente por, y exposicin al alcohol, reas de deporte y atletismo"
"X654" "X654   Envenenamiento autoinfligido intencionalmente por, y exposicin al alcohol, calles y carreteras"
"X655" "X655   Envenenamiento autoinfligido intencionalmente por, y exposicin al alcohol, comercio y rea de servicios"
"X656" "X656   Envenenamiento autoinfligido intencionalmente por, y exposicin al alcohol, rea industrial y de la construccin"
"X657" "X657   Envenenamiento autoinfligido intencionalmente por, y exposicin al alcohol, granja"
"X658" "X658   Envenenamiento autoinfligido intencionalmente por, y exposicin al alcohol, otro lugar especificado"
"X659" "X659   Envenenamiento autoinfligido intencionalmente por, y exposicin al alcohol, lugar no especificado"
"X66" "X66   Envenenamiento autoinfligido intencionalmente por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores"
"X660" "X660   Envenenamiento autoinfligido intencionalmente por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, vivienda"
"X661" "X661   Envenenamiento autoinfligido intencionalmente por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, institucin residencial"
"X662" "X662   Envenenamiento autoinfligido intencionalmente por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, escuelas, otras instituciones y reas administrativas  pblicas"
"X663" "X663   Envenenamiento autoinfligido intencionalmente por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, reas de deporte y atletismo"
"X664" "X664   Envenenamiento autoinfligido intencionalmente por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, calles y carreteras"
"X665" "X665   Envenenamiento autoinfligido intencionalmente por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, comercio y rea de servicios"
"X666" "X666   Envenenamiento autoinfligido intencionalmente por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, rea industrial y de la construccin"
"X667" "X667   Envenenamiento autoinfligido intencionalmente por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, granja"
"X668" "X668   Envenenamiento autoinfligido intencionalmente por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, otro lugar especificado"
"X669" "X669   Envenenamiento autoinfligido intencionalmente por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, lugar no especificado"
"X67" "X67   Envenenamiento autoinfligido intencionalmente por, y exposicin a otros gases y vapores"
"X670" "X670   Envenenamiento autoinfligido intencionalmente por, y exposicin a otros gases y vapores, vivienda"
"X671" "X671   Envenenamiento autoinfligido intencionalmente por, y exposicin a otros gases y vapores, institucin residencial"
"X672" "X672   Envenenamiento autoinfligido intencionalmente por, y exposicin a otros gases y vapores, escuelas, otras instituciones y reas administrativas  pblicas"
"X673" "X673   Envenenamiento autoinfligido intencionalmente por, y exposicin a otros gases y vapores, reas de deporte y atletismo"
"X674" "X674   Envenenamiento autoinfligido intencionalmente por, y exposicin a otros gases y vapores, calles y carreteras"
"X675" "X675   Envenenamiento autoinfligido intencionalmente por, y exposicin a otros gases y vapores, comercio y rea de servicios"
"X676" "X676   Envenenamiento autoinfligido intencionalmente por, y exposicin a otros gases y vapores, rea industrial y de la construccin"
"X677" "X677   Envenenamiento autoinfligido intencionalmente por, y exposicin a otros gases y vapores, granja"
"X678" "X678   Envenenamiento autoinfligido intencionalmente por, y exposicin a otros gases y vapores, otro lugar especificado"
"X679" "X679   Envenenamiento autoinfligido intencionalmente por, y exposicin a otros gases y vapores, lugar no especificado"
"X68" "X68   Envenenamiento autoinfligido intencionalmente por, y exposicin a plaguicidas"
"X680" "X680   Envenenamiento autoinfligido intencionalmente por, y exposicin a plaguicidas, vivienda"
"X681" "X681   Envenenamiento autoinfligido intencionalmente por, y exposicin a plaguicidas, institucin residencial"
"X682" "X682   Envenenamiento autoinfligido intencionalmente por, y exposicin a plaguicidas, escuelas, otras instituciones y reas administrativas  pblicas"
"X683" "X683   Envenenamiento autoinfligido intencionalmente por, y exposicin a plaguicidas, reas de deporte y atletismo"
"X684" "X684   Envenenamiento autoinfligido intencionalmente por, y exposicin a plaguicidas, calles y carreteras"
"X685" "X685   Envenenamiento autoinfligido intencionalmente por, y exposicin a plaguicidas, comercio y rea de servicios"
"X686" "X686   Envenenamiento autoinfligido intencionalmente por, y exposicin a plaguicidas, rea industrial y de la construccin"
"X687" "X687   Envenenamiento autoinfligido intencionalmente por, y exposicin a plaguicidas, granja"
"X688" "X688   Envenenamiento autoinfligido intencionalmente por, y exposicin a plaguicidas, otro lugar especificado"
"X689" "X689   Envenenamiento autoinfligido intencionalmente por, y exposicin a plaguicidas, lugar no especificado"
"X69" "X69   Envenenamiento autoinfligido intencionalmente por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados"
"X690" "X690   Envenenamiento autoinfligido intencionalmente por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, vivienda"
"X691" "X691   Envenenamiento autoinfligido intencionalmente por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, institucin residencial"
"X692" "X692   Envenenamiento autoinfligido intencionalmente por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, escuelas, otras instituciones y reas administrativas  pblicas"
"X693" "X693   Envenenamiento autoinfligido intencionalmente por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, reas de deporte y atletismo"
"X694" "X694   Envenenamiento autoinfligido intencionalmente por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, calles y carreteras"
"X695" "X695   Envenenamiento autoinfligido intencionalmente por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, comercio y rea de servicios"
"X696" "X696   Envenenamiento autoinfligido intencionalmente por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, rea industrial y de la construccin"
"X697" "X697   Envenenamiento autoinfligido intencionalmente por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, granja"
"X698" "X698   Envenenamiento autoinfligido intencionalmente por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, otro lugar especificado"
"X699" "X699   Envenenamiento autoinfligido intencionalmente por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, lugar no especificado"
"X70" "X70   Lesin autoinfligida intencionalmente por ahorcamiento, estrangulamiento o sofocacin"
"X700" "X700   Lesin autoinfligida intencionalmente por ahorcamiento, estrangulamiento o sofocacin vivienda"
"X701" "X701   Lesin autoinfligida intencionalmente por ahorcamiento, estrangulamiento o sofocacin, institucin residencial"
"X702" "X702   Lesin autoinfligida intencionalmente por ahorcamiento, estrangulamiento o sofocacin, escuelas, otras instituciones y reas administrativas  pblicas"
"X703" "X703   Lesin autoinfligida intencionalmente por ahorcamiento, estrangulamiento o sofocacin, reas de deporte y atletismo"
"X704" "X704   Lesin autoinfligida intencionalmente por ahorcamiento, estrangulamiento o sofocacin, calles y carreteras"
"X705" "X705   Lesin autoinfligida intencionalmente por ahorcamiento, estrangulamiento o sofocacin, comercio y rea de servicios"
"X706" "X706   Lesin autoinfligida intencionalmente por ahorcamiento, estrangulamiento o sofocacin, rea industrial y de la construccin"
"X707" "X707   Lesin autoinfligida intencionalmente por ahorcamiento, estrangulamiento o sofocacin, granja"
"X708" "X708   Lesin autoinfligida intencionalmente por ahorcamiento, estrangulamiento o sofocacin, otro lugar especificado"
"X709" "X709   Lesin autoinfligida intencionalmente por ahorcamiento, estrangulamiento o sofocacin, lugar no especificado"
"X71" "X71   Lesin autoinfligida intencionalmente por ahogamiento y sumersin"
"X710" "X710   Lesin autoinfligida intencionalmente por ahogamiento, y sumersin, vivienda"
"X711" "X711   Lesin autoinfligida intencionalmente por ahogamiento, y sumersin, institucin residencial"
"X712" "X712   Lesin autoinfligida intencionalmente por ahogamiento, y sumersin, escuelas, otras instituciones y reas administrativas  pblicas"
"X713" "X713   Lesin autoinfligida intencionalmente por ahogamiento, y sumersin, reas de deporte y atletismo"
"X714" "X714   Lesin autoinfligida intencionalmente por ahogamiento, y sumersin, calles y carreteras"
"X715" "X715   Lesin autoinfligida intencionalmente por ahogamiento, y sumersin, comercio y rea de servicios"
"X716" "X716   Lesin autoinfligida intencionalmente por ahogamiento y sumersin, rea industrial y de la construccin"
"X717" "X717   Lesin autoinfligida intencionalmente por ahogamiento y sumersin, granja"
"X718" "X718   Lesin autoinfligida intencionalmente por ahogamiento y sumersin, otro lugar especificado"
"X719" "X719   Lesin autoinfligida intencionalmente por ahogamiento y sumersin, lugar no especificado"
"X72" "X72   Lesin autoinfligida intencionalmente por disparo de arma corta"
"X720" "X720   Lesin autoinfligida intencionalmente por disparo de arma corta, vivienda"
"X721" "X721   Lesin autoinfligida intencionalmente por disparo de arma corta, institucin residencial"
"X722" "X722   Lesin autoinfligida intencionalmente por disparo de arma corta, escuelas, otras instituciones y reas administrativas  pblicas"
"X723" "X723   Lesin autoinfligida intencionalmente por disparo de arma corta, reas de deporte y atletismo"
"X724" "X724   Lesin autoinfligida intencionalmente por disparo de arma corta, calles y carreteras"
"X725" "X725   Lesin autoinfligida intencionalmente por disparo de arma corta, comercio y rea de servicios"
"X726" "X726   Lesin autoinfligida intencionalmente por disparo de arma corta, rea industrial y de la construccin"
"X727" "X727   Lesin autoinfligida intencionalmente por disparo de arma corta, granja"
"X728" "X728   Lesin autoinfligida intencionalmente por disparo de arma corta, otro lugar especificado"
"X729" "X729   Lesin autoinfligida intencionalmente por disparo de arma corta, lugar no especificado"
"X73" "X73   Lesin autoinfligida intencionalmente por disparo de rifle, escopeta y arma larga"
"X730" "X730   Lesin autoinfligida intencionalmente por disparo de rifle, escopeta y arma larga, vivienda"
"X731" "X731   Lesin autoinfligida intencionalmente por disparo de rifle, escopeta y arma larga, institucin residencial"
"X732" "X732   Lesin autoinfligida intencionalmente por disparo de rifle, escopeta y arma larga, escuelas, otras instituciones y reas administrativas  pblicas"
"X733" "X733   Lesin autoinfligida intencionalmente por disparo de rifle, escopeta y arma larga, reas de deporte y atletismo"
"X734" "X734   Lesin autoinfligida intencionalmente por disparo de rifle, escopeta y arma larga, calles y carreteras"
"X735" "X735   Lesin autoinfligida intencionalmente por disparo de rifle, escopeta y arma larga, comercio y rea de servicios"
"X736" "X736   Lesin autoinfligida intencionalmente por disparo de rifle, escopeta y arma larga, rea industrial y de la construccin"
"X737" "X737   Lesin autoinfligida intencionalmente por disparo de rifle, escopeta y arma larga, granja"
"X738" "X738   Lesin autoinfligida intencionalmente por disparo de rifle, escopeta y arma larga, otro lugar especificado"
"X739" "X739   Lesin autoinfligida intencionalmente por disparo de rifle, escopeta y arma larga, lugar no especificado"
"X74" "X74   Lesin autoinfligida intencionalmente por disparo de otras armas de fuego, y las no especificadas"
"X740" "X740   Lesin autoinfligida intencionalmente por disparo de otras armas de fuego, y las no especificadas, vivienda"
"X741" "X741   Lesin autoinfligida intencionalmente por disparo de otras armas de fuego, y las no especificadas, institucin residencial"
"X742" "X742   Lesin autoinfligida intencionalmente por disparo de otras armas de fuego, y las no especificadas, escuelas, otras instituciones y reas administrativas  pblicas"
"X743" "X743   Lesin autoinfligida intencionalmente por disparo de otras armas de fuego, y las no especificadas, reas de deporte y atletismo"
"X744" "X744   Lesin autoinfligida intencionalmente por disparo de otras armas de fuego, y las no especificadas, calles y carreteras"
"X745" "X745   Lesin autoinfligida intencionalmente por disparo de otras armas de fuego, y las no especificadas, comercio y rea de servicios"
"X746" "X746   Lesin autoinfligida intencionalmente por disparo de otras armas de fuego, y las no especificadas, rea industrial y de la construccin"
"X747" "X747   Lesin autoinfligida intencionalmente por disparo de otras armas de fuego, y las no especificadas, granja"
"X748" "X748   Lesin autoinfligida intencionalmente por disparo de otras armas de fuego, y las no especificadas, otro lugar especificado"
"X749" "X749   Lesin autoinfligida intencionalmente por disparo de otras armas de fuego, y las no especificadas, lugar no especificado"
"X75" "X75   Lesin autoinfligida intencionalmente por material explosivo"
"X750" "X750   Lesin autoinfligida intencionalmente por material explosivo, vivienda"
"X751" "X751   Lesin autoinfligida intencionalmente por material explosivo, institucin residencial"
"X752" "X752   Lesin autoinfligida intencionalmente por material explosivo, escuelas, otras instituciones y reas administrativas  pblicas"
"X753" "X753   Lesin autoinfligida intencionalmente por material explosivo, reas de deporte y atletismo"
"X754" "X754   Lesin autoinfligida intencionalmente por material explosivo, calles y carreteras"
"X755" "X755   Lesin autoinfligida intencionalmente por material explosivo, comercio y rea de servicios"
"X756" "X756   Lesin autoinfligida intencionalmente por material explosivo, rea industrial y de la construccin"
"X757" "X757   Lesin autoinfligida intencionalmente por material explosivo, granja"
"X758" "X758   Lesin autoinfligida intencionalmente por material explosivo, otro lugar especificado"
"X759" "X759   Lesin autoinfligida intencionalmente por material explosivo, lugar no especificado"
"X76" "X76   Lesin autoinfligida intencionalmente por humo, fuego y llamas"
"X760" "X760   Lesin autoinfligida intencionalmente por humo, fuego y llamas, vivienda"
"X761" "X761   Lesin autoinfligida intencionalmente por humo, fuego y llamas, institucin residencial"
"X762" "X762   Lesin autoinfligida intencionalmente por humo, fuego y llamas, escuelas, otras instituciones y reas administrativas  pblicas"
"X763" "X763   Lesin autoinfligida intencionalmente por humo, fuego y llamas, reas de deporte y atletismo"
"X764" "X764   Lesin autoinfligida intencionalmente por humo, fuego y llamas, calles y carreteras"
"X765" "X765   Lesin autoinfligida intencionalmente por humo, fuego y llamas, comercio y rea de servicios"
"X766" "X766   Lesin autoinfligida intencionalmente por humo, fuego y llamas, rea industrial y de la construccin"
"X767" "X767   Lesin autoinfligida intencionalmente por humo, fuego y llamas, granja"
"X768" "X768   Lesin autoinfligida intencionalmente por humo, fuego y llamas, otro lugar especificado"
"X769" "X769   Lesin autoinfligida intencionalmente por humo, fuego y llamas, lugar no especificado"
"X77" "X77   Lesin autoinfligida intencionalmente por vapor de agua, vapores y objetos calientes"
"X770" "X770   Lesin autoinfligida intencionalmente por vapor de agua, vapores y objetos calientes, vivienda"
"X771" "X771   Lesin autoinfligida intencionalmente por vapor de agua, vapores y objetos calientes, institucin residencial"
"X772" "X772   Lesin autoinfligida intencionalmente por vapor de agua, vapores y objetos calientes, escuelas, otras instituciones y reas administrativas  pblicas"
"X773" "X773   Lesin autoinfligida intencionalmente por vapor de agua, vapores y objetos calientes, reas de deporte y atletismo"
"X774" "X774   Lesin autoinfligida intencionalmente por vapor de agua, vapores y objetos calientes, calles y carreteras"
"X775" "X775   Lesin autoinfligida intencionalmente por vapor de agua, vapores y objetos calientes, comercio y rea de servicios"
"X776" "X776   Lesin autoinfligida intencionalmente por vapor de agua, vapores y objetos calientes, rea industrial y de la construccin"
"X777" "X777   Lesin autoinfligida intencionalmente por vapor de agua, vapores y objetos calientes, granja"
"X778" "X778   Lesin autoinfligida intencionalmente por vapor de agua, vapores y objetos calientes, otro lugar especificado"
"X779" "X779   Lesin autoinfligida intencionalmente por vapor de agua, vapores y objetos calientes, lugar no especificado"
"X78" "X78   Lesin autoinfligida intencionalmente por objeto cortante"
"X780" "X780   Lesin autoinfligida intencionalmente por objeto cortante, vivienda"
"X781" "X781   Lesin autoinfligida intencionalmente por objeto cortante, institucin residencial"
"X782" "X782   Lesin autoinfligida intencionalmente por objeto cortante, escuelas, otras instituciones y reas administrativas  pblicas"
"X783" "X783   Lesin autoinfligida intencionalmente por objeto cortante, reas de deporte y atletismo"
"X784" "X784   Lesin autoinfligida intencionalmente por objeto cortante, calles y carreteras"
"X785" "X785   Lesin autoinfligida intencionalmente por objeto cortante, comercio y rea de servicios"
"X786" "X786   Lesin autoinfligida intencionalmente por objeto cortante, rea industrial y de la construccin"
"X787" "X787   Lesin autoinfligida intencionalmente por objeto cortante, granja"
"X788" "X788   Lesin autoinfligida intencionalmente por objeto cortante, otro lugar especificado"
"X789" "X789   Lesin autoinfligida intencionalmente por objeto cortante, lugar no especificado"
"X79" "X79   Lesin autoinfligida intencionalmente por objeto romo o sin filo"
"X790" "X790   Lesin autoinfligida intencionalmente por objeto romo o sin filo, vivienda"
"X791" "X791   Lesin autoinfligida intencionalmente por objeto romo o sin filo, institucin residencial"
"X792" "X792   Lesin autoinfligida intencionalmente por objeto romo o sin filo, escuelas, otras instituciones y reas administrativas  pblicas"
"X793" "X793   Lesin autoinfligida intencionalmente por objeto romo o sin filo, reas de deporte y atletismo"
"X794" "X794   Lesin autoinfligida intencionalmente por objeto romo o sin filo, calles y carreteras"
"X795" "X795   Lesin autoinfligida intencionalmente por objeto romo o sin filo, comercio y rea de servicios"
"X796" "X796   Lesin autoinfligida intencionalmente por objeto romo o sin filo, rea industrial y de la construccin"
"X797" "X797   Lesin autoinfligida intencionalmente por objeto romo o sin filo, granja"
"X798" "X798   Lesin autoinfligida intencionalmente por objeto romo o sin filo, otro lugar especificado"
"X799" "X799   Lesin autoinfligida intencionalmente por objeto romo o sin filo, lugar no especificado"
"X80" "X80   Lesin autoinfligida intencionalmente al saltar desde un lugar elevado"
"X800" "X800   Lesin autoinfligida intencionalmente al saltar desde un lugar elevado, vivienda"
"X801" "X801   Lesin autoinfligida intencionalmente al saltar desde un lugar elevado, institucin residencial"
"X802" "X802   Lesin autoinfligida intencionalmente al saltar desde un lugar elevado, escuelas, otras instituciones y reas administrativas  pblicas"
"X803" "X803   Lesin autoinfligida intencionalmente al saltar desde un lugar elevado, reas de deporte y atletismo"
"X804" "X804   Lesin autoinfligida intencionalmente al saltar desde un lugar elevado, calles y carreteras"
"X805" "X805   Lesin autoinfligida intencionalmente al saltar desde un lugar elevado, comercio y rea de servicios"
"X806" "X806   Lesin autoinfligida intencionalmente al saltar desde un lugar elevado, rea industrial y de la construccin"
"X807" "X807   Lesin autoinfligida intencionalmente al saltar desde un lugar elevado, granja"
"X808" "X808   Lesin autoinfligida intencionalmente al saltar desde un lugar elevado, otro lugar especificado"
"X809" "X809   Lesin autoinfligida intencionalmente al saltar desde un lugar elevado, lugar no especificado"
"X81" "X81   Lesin autoinfligida intencionalmente por arrojarse o colocarse delante de objeto en movimiento"
"X810" "X810   Lesin autoinfligida intencionalmente por arrojarse o colocarse delante de objeto en movimiento, vivienda"
"X811" "X811   Lesin autoinfligida intencionalmente por arrojarse o colocarse delante de objeto en movimiento, institucin residencial"
"X812" "X812   Lesin autoinfligida intencionalmente por arrojarse o colocarse delante de objeto en movimiento, escuelas, otras instituciones y reas administrativas  pblicas"
"X813" "X813   Lesin autoinfligida intencionalmente por arrojarse o colocarse delante de objeto en movimiento, reas de deporte y atletismo"
"X814" "X814   Lesin autoinfligida intencionalmente por arrojarse o colocarse delante de objeto en movimiento, calles y carreteras"
"X815" "X815   Lesin autoinfligida intencionalmente por arrojarse o colocarse delante de objeto en movimiento, comercio y rea de servicios"
"X816" "X816   Lesin autoinfligida intencionalmente por arrojarse o colocarse delante de objeto en movimiento, rea industrial y de la construccin"
"X817" "X817   Lesin autoinfligida intencionalmente por arrojarse o colocarse delante de objeto en movimiento, granja"
"X818" "X818   Lesin autoinfligida intencionalmente por arrojarse o colocarse delante de objeto en movimiento, otro lugar especificado"
"X819" "X819   Lesin autoinfligida intencionalmente por arrojarse o colocarse delante de objeto en movimiento, lugar no especificado"
"X82" "X82   Lesin autoinfligida intencionalmente por colisin de vehculo de motor"
"X820" "X820   Lesin autoinfligida intencionalmente por colisin de vehculo de motor, vivienda"
"X821" "X821   Lesin autoinfligida intencionalmente por colisin de vehculo de motor, institucin residencial"
"X822" "X822   Lesin autoinfligida intencionalmente por colisin de vehculo de motor, escuelas, otras instituciones y reas administrativas  pblicas"
"X823" "X823   Lesin autoinfligida intencionalmente por colisin de vehculo de motor, reas de deporte y atletismo"
"X824" "X824   Lesin autoinfligida intencionalmente por colisin de vehculo de motor, calles y carreteras"
"X825" "X825   Lesin autoinfligida intencionalmente por colisin de vehculo de motor, comercio y rea de servicios"
"X826" "X826   Lesin autoinfligida intencionalmente por colisin de vehculo de motor, rea industrial y de la construccin"
"X827" "X827   Lesin autoinfligida intencionalmente por colisin de vehculo de motor, granja"
"X828" "X828   Lesin autoinfligida intencionalmente por colisin de vehculo de motor, otro lugar especificado"
"X829" "X829   Lesin autoinfligida intencionalmente por colisin de vehculo de motor, lugar no especificado"
"X83" "X83   Lesin autoinfligida intencionalmente por otros medios especificados"
"X830" "X830   Lesin autoinfligida intencionalmente por otros medios especificados, vivienda"
"X831" "X831   Lesin autoinfligida intencionalmente por otros medios especificados, institucin residencial"
"X832" "X832   Lesin autoinfligida intencionalmente por otros medios especificados, escuelas, otras instituciones y reas administrativas  pblicas"
"X833" "X833   Lesin autoinfligida intencionalmente por otros medios especificados, reas de deporte y atletismo"
"X834" "X834   Lesin autoinfligida intencionalmente por otros medios especificados, calles y carreteras"
"X835" "X835   Lesin autoinfligida intencionalmente por otros medios especificados, comercio y rea de servicios"
"X836" "X836   Lesin autoinfligida intencionalmente por otros medios especificados, rea industrial y de la construccin"
"X837" "X837   Lesin autoinfligida intencionalmente por otros medios especificados, granja"
"X838" "X838   Lesin autoinfligida intencionalmente por otros medios especificados, otro lugar especificado"
"X839" "X839   Lesin autoinfligida intencionalmente por otros medios especificados, lugar no especificado"
"X84" "X84   Lesin autoinfligida intencionalmente por medios no especificados"
"X840" "X840   Lesin autoinfligida intencionalmente por medios no especificados, vivienda"
"X841" "X841   Lesin autoinfligida intencionalmente por medios no especificados, institucin residencial"
"X842" "X842   Lesin autoinfligida intencionalmente por medios no especificados, escuelas, otras instituciones y reas administrativas  pblicas"
"X843" "X843   Lesin autoinfligida intencionalmente por medios no especificados, reas de deporte y atletismo"
"X844" "X844   Lesin autoinfligida intencionalmente por medios no especificados, calles y carreteras"
"X845" "X845   Lesin autoinfligida intencionalmente por medios no especificados, comercio y rea de servicios"
"X846" "X846   Lesin autoinfligida intencionalmente por medios no especificados, rea industrial y de la construccin"
"X847" "X847   Lesin autoinfligida intencionalmente por medios no especificados, granja"
"X848" "X848   Lesin autoinfligida intencionalmente por medios no especificados, otro lugar especificado"
"X849" "X849   Lesin autoinfligida intencionalmente por medios no especificados, lugar no especificado"
"X85" "X85   Agresin con drogas, medicamentos y sustancias biolgicas"
"X850" "X850   Agresin con drogas, medicamentos y sustancias biolgicas, vivienda"
"X851" "X851   Agresin con drogas, medicamentos y sustancias biolgicas, institucin residencial"
"X852" "X852   Agresin con drogas, medicamentos y sustancias biolgicas, escuelas, otras instituciones y reas administrativas  pblicas"
"X853" "X853   Agresin con drogas, medicamentos y sustancias biolgicas, reas de deporte y atletismo"
"X854" "X854   Agresin con drogas, medicamentos y sustancias biolgicas, calles y carreteras"
"X855" "X855   Agresin con drogas, medicamentos y sustancias biolgicas, comercio y rea de servicios"
"X856" "X856   Agresin con drogas, medicamentos y sustancias biolgicas, rea industrial y de la construccin"
"X857" "X857   Agresin con drogas, medicamentos y sustancias biolgicas, granja"
"X858" "X858   Agresin con drogas, medicamentos y sustancias biolgicas, otro lugar especificado"
"X859" "X859   Agresin con drogas, medicamentos y sustancias biolgicas, lugar no especificado"
"X86" "X86   Agresin con sustancia corrosiva"
"X860" "X860   Agresin con sustancia corrosiva, vivienda"
"X861" "X861   Agresin con sustancia corrosiva, institucin residencial"
"X862" "X862   Agresin con sustancia corrosiva, escuelas, otras instituciones y reas administrativas  pblicas"
"X863" "X863   Agresin con sustancia corrosiva, reas de deporte y atletismo"
"X864" "X864   Agresin con sustancia corrosiva, calles y carreteras"
"X865" "X865   Agresin con sustancia corrosiva, comercio y rea de servicios"
"X866" "X866   Agresin con sustancia corrosiva, rea industrial y de la construccin"
"X867" "X867   Agresin con sustancia corrosiva, granja"
"X868" "X868   Agresin con sustancia corrosiva, otro lugar especificado"
"X869" "X869   Agresin con sustancia corrosiva, lugar no especificado"
"X87" "X87   Agresin con plaguicidas"
"X870" "X870   Agresin con plaguicidas, vivienda"
"X871" "X871   Agresin con plaguicidas, institucin residencial"
"X872" "X872   Agresin con plaguicidas, escuelas, otras instituciones y reas administrativas  pblicas"
"X873" "X873   Agresin con plaguicidas, reas de deporte y atletismo"
"X874" "X874   Agresin con plaguicidas, calles y carreteras"
"X875" "X875   Agresin con plaguicidas, comercio y rea de servicios"
"X876" "X876   Agresin con plaguicidas, rea industrial y de la construccin"
"X877" "X877   Agresin con plaguicidas, granja"
"X878" "X878   Agresin con plaguicidas, otro lugar especificado"
"X879" "X879   Agresin con plaguicidas, lugar no especificado"
"X88" "X88   Agresin con gases y vapores"
"X880" "X880   Agresin con gases y vapores, vivienda"
"X881" "X881   Agresin con gases y vapores, institucin residencial"
"X882" "X882   Agresin con gases y vapores, escuelas, otras instituciones y reas administrativas  pblicas"
"X883" "X883   Agresin con gases y vapores, reas de deporte y atletismo"
"X884" "X884   Agresin con gases y vapores, calles y carreteras"
"X885" "X885   Agresin con gases y vapores, comercio y rea de servicios"
"X886" "X886   Agresin con gases y vapores, rea industrial y de la construccin"
"X887" "X887   Agresin con gases y vapores, granja"
"X888" "X888   Agresin con gases y vapores, otro lugar especificado"
"X889" "X889   Agresin con gases y vapores, lugar no especificado"
"X89" "X89   Agresin con otros productos qumicos y sustancias nocivas especificadas"
"X890" "X890   Agresin con otros productos qumicos y sustancias nocivas especificadas, vivienda"
"X891" "X891   Agresin con otros productos qumicos y sustancias nocivas especificadas, institucin residencial"
"X892" "X892   Agresin con otros productos qumicos y sustancias nocivas especificadas, escuelas, otras instituciones y reas administrativas  pblicas"
"X893" "X893   Agresin con otros productos qumicos y sustancias nocivas especificadas, reas de deporte y atletismo"
"X894" "X894   Agresin con otros productos qumicos y sustancias nocivas especificadas, calles y carreteras"
"X895" "X895   Agresin con otros productos qumicos y sustancias nocivas especificadas, comercio y rea de servicios"
"X896" "X896   Agresin con otros productos qumicos y sustancias nocivas especificadas, rea industrial y de la construccin"
"X897" "X897   Agresin con otros productos qumicos y sustancias nocivas especificadas, granja"
"X898" "X898   Agresin con otros productos qumicos y sustancias nocivas especificadas, otro lugar especificado"
"X899" "X899   Agresin con otros productos qumicos y sustancias nocivas especificadas, lugar no especificado"
"X90" "X90   Agresin con productos qumicos y sustancias nocivas no especificadas"
"X900" "X900   Agresin con productos qumicos y sustancias nocivas no especificadas, vivienda"
"X901" "X901   Agresin con productos qumicos y sustancias nocivas no especificadas, institucin residencial"
"X902" "X902   Agresin con productos qumicos y sustancias nocivas no especificadas, escuelas, otras instituciones y reas administrativas  pblicas"
"X903" "X903   Agresin con productos qumicos y sustancias nocivas no especificadas, reas de deporte y atletismo"
"X904" "X904   Agresin con productos qumicos y sustancias nocivas no especificadas, calles y carreteras"
"X905" "X905   Agresin con productos qumicos y sustancias nocivas no especificadas, comercio y rea de servicios"
"X906" "X906   Agresin con productos qumicos y sustancias nocivas no especificadas, rea industrial y de la construccin"
"X907" "X907   Agresin con productos qumicos y sustancias nocivas no especificadas, granja"
"X908" "X908   Agresin con productos qumicos y sustancias nocivas no especificadas, otro lugar especificado"
"X909" "X909   Agresin con productos qumicos y sustancias nocivas no especificadas, lugar no especificado"
"X91" "X91   Agresin por ahorcamiento, estrangulamiento y sofocacin"
"X910" "X910   Agresin por ahorcamiento, estrangulamiento y sofocacin, vivienda"
"X911" "X911   Agresin por ahorcamiento, estrangulamiento y sofocacin, institucin residencial"
"X912" "X912   Agresin por ahorcamiento, estrangulamiento y sofocacin, escuelas, otras instituciones y reas administrativas  pblicas"
"X913" "X913   Agresin por ahorcamiento, estrangulamiento y sofocacin, reas de deporte y atletismo"
"X914" "X914   Agresin por ahorcamiento, estrangulamiento y sofocacin, calles y carreteras"
"X915" "X915   Agresin por ahorcamiento, estrangulamiento y sofocacin, comercio y rea de servicios"
"X916" "X916   Agresin por ahorcamiento, estrangulamiento y sofocacin, rea industrial y de la construccin"
"X917" "X917   Agresin por ahorcamiento, estrangulamiento y sofocacin, granja"
"X918" "X918   Agresin por ahorcamiento, estrangulamiento y sofocacin, otro lugar especificado"
"X919" "X919   Agresin por ahorcamiento, estrangulamiento y sofocacin, lugar no especificado"
"X92" "X92   Agresin por ahogamiento y sumersin"
"X920" "X920   Agresin por ahogamiento y sumersin, vivienda"
"X921" "X921   Agresin por ahogamiento y sumersin, institucin residencial"
"X922" "X922   Agresin por ahogamiento y sumersin, escuelas, otras instituciones y reas administrativas  pblicas"
"X923" "X923   Agresin por ahogamiento y sumersin, reas de deporte y atletismo"
"X924" "X924   Agresin por ahogamiento y sumersin, calles y carreteras"
"X925" "X925   Agresin por ahogamiento y sumersin, comercio y rea de servicios"
"X926" "X926   Agresin por ahogamiento y sumersin, rea industrial y de la construccin"
"X927" "X927   Agresin por ahogamiento y sumersin, granja"
"X928" "X928   Agresin por ahogamiento y sumersin, otro lugar especificado"
"X929" "X929   Agresin por ahogamiento y sumersin, lugar no especificado"
"X93" "X93   Agresin con disparo de arma corta"
"X930" "X930   Agresin con disparo de arma corta, vivienda"
"X931" "X931   Agresin con disparo de arma corta, institucin residencial"
"X932" "X932   Agresin con disparo de arma corta, escuelas, otras instituciones y reas administrativas  pblicas"
"X933" "X933   Agresin con disparo de arma corta, reas de deporte y atletismo"
"X934" "X934   Agresin con disparo de arma corta, calles y carreteras"
"X935" "X935   Agresin con disparo de arma corta, comercio y rea de servicios"
"X936" "X936   Agresin con disparo de arma corta, rea industrial y de la construccin"
"X937" "X937   Agresin con disparo de arma corta, granja"
"X938" "X938   Agresin con disparo de arma corta, otro lugar especificado"
"X939" "X939   Agresin con disparo de arma corta, lugar no especificado"
"X94" "X94   Agresin con disparo de rifle, escopeta y arma larga"
"X940" "X940   Agresin con disparo de rifle, escopeta y arma larga, vivienda"
"X941" "X941   Agresin con disparo de rifle, escopeta y arma larga, institucin residencial"
"X942" "X942   Agresin con disparo de rifle, escopeta y arma larga, escuelas, otras instituciones y reas administrativas  pblicas"
"X943" "X943   Agresin con disparo de rifle, escopeta y arma larga, reas de deporte y atletismo"
"X944" "X944   Agresin con disparo de rifle, escopeta y arma larga, calles y carreteras"
"X945" "X945   Agresin con disparo de rifle, escopeta y arma larga, comercio y rea de servicios"
"X946" "X946   Agresin con disparo de rifle, escopeta y arma larga, rea industrial y de la construccin"
"X947" "X947   Agresin con disparo de rifle, escopeta y arma larga, granja"
"X948" "X948   Agresin con disparo de rifle, escopeta y arma larga, otro lugar especificado"
"X949" "X949   Agresin con disparo de rifle, escopeta y arma larga, lugar no especificado"
"X95" "X95   Agresin con disparo de otras armas de fuego, y las no especificadas"
"X950" "X950   Agresin con disparo de otras armas de fuego, y las no especificadas, vivienda"
"X951" "X951   Agresin con disparo de otras armas de fuego, y las no especificadas, institucin residencial"
"X952" "X952   Agresin con disparo de otras armas de fuego, y las no especificadas, escuelas, otras instituciones y reas administrativas  pblicas"
"X953" "X953   Agresin con disparo de otras armas de fuego, y las no especificadas, reas de deporte y atletismo"
"X954" "X954   Agresin con disparo de otras armas de fuego, y las no especificadas, calles y carreteras"
"X955" "X955   Agresin con disparo de otras armas de fuego, y las no especificadas, comercio y rea de servicios"
"X956" "X956   Agresin con disparo de otras armas de fuego, y las no especificadas, rea industrial y de la construccin"
"X957" "X957   Agresin con disparo de otras armas de fuego, y las no especificadas, granja"
"X958" "X958   Agresin con disparo de otras armas de fuego, y las no especificadas, otro lugar especificado"
"X959" "X959   Agresin con disparo de otras armas de fuego, y las no especificadas, lugar no especificado"
"X96" "X96   Agresin con material explosivo"
"X960" "X960   Agresin con material explosivo, vivienda"
"X961" "X961   Agresin con material explosivo, institucin residencial"
"X962" "X962   Agresin con material explosivo, escuelas, otras instituciones y reas administrativas  pblicas"
"X963" "X963   Agresin con material explosivo, reas de deporte y atletismo"
"X964" "X964   Agresin con material explosivo, calles y carreteras"
"X965" "X965   Agresin con material explosivo, comercio y rea de servicios"
"X966" "X966   Agresin con material explosivo, rea industrial y de la construccin"
"X967" "X967   Agresin con material explosivo, granja"
"X968" "X968   Agresin con material explosivo, otro lugar especificado"
"X969" "X969   Agresin con material explosivo, lugar no especificado"
"X97" "X97   Agresin con humo, fuego y llamas"
"X970" "X970   Agresin con humo, fuego y llamas, vivienda"
"X971" "X971   Agresin con humo, fuego y llamas, institucin residencial"
"X972" "X972   Agresin con humo, fuego y llamas, escuelas, otras instituciones y reas administrativas  pblicas"
"X973" "X973   Agresin con humo, fuego y llamas, reas de deporte y atletismo"
"X974" "X974   Agresin con humo, fuego y llamas, calles y carreteras"
"X975" "X975   Agresin con humo, fuego y llamas, comercio y rea de servicios"
"X976" "X976   Agresin con humo, fuego y llamas, rea industrial y de la construccin"
"X977" "X977   Agresin con humo, fuego y llamas, granja"
"X978" "X978   Agresin con humo, fuego y llamas, otro lugar especificado"
"X979" "X979   Agresin con humo, fuego y llamas, lugar no especificado"
"X98" "X98   Agresin con vapor de agua, vapores y objetos calientes"
"X980" "X980   Agresin con vapor de agua, vapores y objetos calientes, vivienda"
"X981" "X981   Agresin con vapor de agua, vapores y objetos calientes, institucin residencial"
"X982" "X982   Agresin con vapor de agua, vapores y objetos calientes, escuelas, otras instituciones y reas administrativas  pblicas"
"X983" "X983   Agresin con vapor de agua, vapores y objetos calientes, reas de deporte y atletismo"
"X984" "X984   Agresin con vapor de agua, vapores y objetos calientes, calles y carreteras"
"X985" "X985   Agresin con vapor de agua, vapores y objetos calientes, comercio y rea de servicios"
"X986" "X986   Agresin con vapor de agua, vapores y objetos calientes, rea industrial y de la construccin"
"X987" "X987   Agresin con vapor de agua, vapores y objetos calientes, granja"
"X988" "X988   Agresin con vapor de agua, vapores y objetos calientes, otro lugar especificado"
"X989" "X989   Agresin con vapor de agua, vapores y objetos calientes, lugar no especificado"
"X99" "X99   Agresin con objeto cortante"
"X990" "X990   Agresin con objeto cortante, vivienda"
"X991" "X991   Agresin con objeto cortante, institucin residencial"
"X992" "X992   Agresin con objeto cortante, escuelas, otras instituciones y reas administrativas  pblicas"
"X993" "X993   Agresin con objeto cortante, reas de deporte y atletismo"
"X994" "X994   Agresin con objeto cortante, calles y carreteras"
"X995" "X995   Agresin con objeto cortante, comercio y rea de servicios"
"X996" "X996   Agresin con objeto cortante, rea industrial y de la construccin"
"X997" "X997   Agresin con objeto cortante, granja"
"X998" "X998   Agresin con objeto cortante, otro lugar especificado"
"X999" "X999   Agresin con objeto cortante, lugar no especificado"
"Y00" "Y00   Agresin con objeto romo o sin filo"
"Y000" "Y000   Agresin con objeto romo o sin filo, vivienda"
"Y001" "Y001   Agresin con objeto romo o sin filo, institucin residencial"
"Y002" "Y002   Agresin con objeto romo o sin filo, escuelas, otras instituciones y reas administrativas pblicas"
"Y003" "Y003   Agresin con objeto romo o sin filo, reas de deporte y atletismo"
"Y004" "Y004   Agresin con objeto romo o sin filo, calles y carreteras"
"Y005" "Y005   Agresin con objeto romo o sin filo, comercio y rea de servicios"
"Y006" "Y006   Agresin con objeto romo o sin filo, rea industrial y de la construccin"
"Y007" "Y007   Agresin con objeto romo o sin filo, granja"
"Y008" "Y008   Agresin con objeto romo o sin filo, otro lugar especificado"
"Y009" "Y009   Agresin con objeto romo o sin filo, lugar no especificado"
"Y01" "Y01   Agresin por empujn desde un lugar elevado"
"Y010" "Y010   Agresin por empujn desde un lugar elevado, vivienda"
"Y011" "Y011   Agresin por empujn desde un lugar elevado, institucin residencial"
"Y012" "Y012   Agresin por empujn desde un lugar elevado, escuelas, otras instituciones y reas administrativas  pblicas"
"Y013" "Y013   Agresin por empujn desde un lugar elevado, reas de deporte y atletismo"
"Y014" "Y014   Agresin por empujn desde un lugar elevado, calles y carreteras"
"Y015" "Y015   Agresin por empujn desde un lugar elevado, comercio y rea de servicios"
"Y016" "Y016   Agresin por empujn desde un lugar elevado, rea industrial y de la construccin"
"Y017" "Y017   Agresin por empujn desde un lugar elevado, granja"
"Y018" "Y018   Agresin por empujn desde un lugar elevado, otro lugar especificado"
"Y019" "Y019   Agresin por empujn desde un lugar elevado, lugar no especificado"
"Y02" "Y02   Agresin por empujar o colocar a la vctima delante de objeto en movimiento"
"Y020" "Y020   Agresin por empujar o colocar a la vctima delante de objeto en movimiento, vivienda"
"Y021" "Y021   Agresin por empujar o colocar a la vctima delante de objeto en movimiento, institucin residencial"
"Y022" "Y022   Agresin por empujar o colocar a la vctima delante de objeto en movimiento, escuelas, otras instituciones y reas administrativas  pblicas"
"Y023" "Y023   Agresin por empujar o colocar a la vctima delante de objeto en movimiento, reas de deporte y atletismo"
"Y024" "Y024   Agresin por empujar o colocar a la vctima delante de objeto en movimiento, calles y carreteras"
"Y025" "Y025   Agresin por empujar o colocar a la vctima delante de objeto en movimiento, comercio y rea de servicios"
"Y026" "Y026   Agresin por empujar o colocar a la vctima delante de objeto en movimiento, rea industrial y de la construccin"
"Y027" "Y027   Agresin por empujar o colocar a la vctima delante de objeto en movimiento, granja"
"Y028" "Y028   Agresin por empujar o colocar a la vctima delante de objeto en movimiento, otro lugar especificado"
"Y029" "Y029   Agresin por empujar o colocar a la vctima delante de objeto en movimiento, lugar no especificado"
"Y03" "Y03   Agresin por colisin de vehculo de motor"
"Y030" "Y030   Agresin por colisin de vehculo de motor, vivienda"
"Y031" "Y031   Agresin por colisin de vehculo de motor, institucin residencial"
"Y032" "Y032   Agresin por colisin de vehculo de motor, escuelas, otras instituciones y reas administrativas  pblicas"
"Y033" "Y033   Agresin por colisin de vehculo de motor, reas de deporte y atletismo"
"Y034" "Y034   Agresin por colisin de vehculo de motor, calles y carreteras"
"Y035" "Y035   Agresin por colisin de vehculo de motor, comercio y rea de servicios"
"Y036" "Y036   Agresin por colisin de vehculo de motor, rea industrial y de la construccin"
"Y037" "Y037   Agresin por colisin de vehculo de motor, granja"
"Y038" "Y038   Agresin por colisin de vehculo de motor, otro lugar especificado"
"Y039" "Y039   Agresin por colisin de vehculo de motor, lugar no especificado"
"Y04" "Y04   Agresin con fuerza corporal"
"Y040" "Y040   Agresin con fuerza corporal, vivienda"
"Y041" "Y041   Agresin con fuerza corporal, institucin residencial"
"Y042" "Y042   Agresin con fuerza corporal, escuelas, otras instituciones y reas administrativas pblicas"
"Y043" "Y043   Agresin con fuerza corporal, reas de deporte y atletismo"
"Y044" "Y044   Agresin con fuerza corporal, calles y carreteras"
"Y045" "Y045   Agresin con fuerza corporal, comercio y rea de servicios"
"Y046" "Y046   Agresin con fuerza corporal, rea industrial y de la construccin"
"Y047" "Y047   Agresin con fuerza corporal, granja"
"Y048" "Y048   Agresin con fuerza corporal, otro lugar especificado"
"Y049" "Y049   Agresin con fuerza corporal, lugar no especificado"
"Y05" "Y05   Agresin sexual con fuerza corporal"
"Y050" "Y050   Agresin sexual con fuerza corporal, vivienda"
"Y051" "Y051   Agresin sexual con fuerza corporal, institucin residencial"
"Y052" "Y052   Agresin sexual con fuerza corporal, escuelas, otras instituciones y reas administrativas  pblicas"
"Y053" "Y053   Agresin sexual con fuerza corporal, reas de deporte y atletismo"
"Y054" "Y054   Agresin sexual con fuerza corporal, calles y carreteras"
"Y055" "Y055   Agresin sexual con fuerza corporal, comercio y rea de servicios"
"Y056" "Y056   Agresin sexual con fuerza corporal, rea industrial y de la construccin"
"Y057" "Y057   Agresin sexual con fuerza corporal, granja"
"Y058" "Y058   Agresin sexual con fuerza corporal, otro lugar especificado"
"Y059" "Y059   Agresin sexual con fuerza corporal, lugar no especificado"
"Y06" "Y06   Negligencia y abandono"
"Y060" "Y060   Negligencia y abandono por esposo o pareja"
"Y061" "Y061   Negligencia y abandono por padre o madre"
"Y062" "Y062   Negligencia y abandono por conocido o amigo"
"Y068" "Y068   Negligencia y abandono por otra persona especificada"
"Y069" "Y069   Negligencia y abandono por persona no especificada"
"Y07" "Y07   Otros maltratos"
"Y070" "Y070   Otros maltratos por esposo o pareja"
"Y071" "Y071   Otros maltratos por padre o madre"
"Y072" "Y072   Otros maltratos por conocido o amigo"
"Y073" "Y073   Otros maltratos por autoridades oficiales"
"Y078" "Y078   Otros maltratos por otra persona especificada"
"Y079" "Y079   Otros maltratos por persona no especificada"
"Y08" "Y08   Agresin por otros medios especificados"
"Y080" "Y080   Agresin por otros medios especificados, vivienda"
"Y081" "Y081   Agresin por otros medios especificados, institucin residencial"
"Y082" "Y082   Agresin por otros medios especificados, escuelas, otras instituciones y reas administrativas pblicas"
"Y083" "Y083   Agresin por otros medios especificados, reas de deporte y atletismo"
"Y084" "Y084   Agresin por otros medios especificados, calles y carreteras"
"Y085" "Y085   Agresin por otros medios especificados, comercio y rea de servicios"
"Y086" "Y086   Agresin por otros medios especificados, rea industrial y de la construccin"
"Y087" "Y087   Agresin por otros medios especificados, granja"
"Y088" "Y088   Agresin por otros medios especificados, otro lugar especificado"
"Y089" "Y089   Agresin por otros medios especificados, lugar no especificado"
"Y09" "Y09   Agresin por medios no especificados"
"Y090" "Y090   Agresin por medios no especificados, vivienda"
"Y091" "Y091   Agresin por medios no especificados, institucin residencial"
"Y092" "Y092   Agresin por medios no especificados, escuelas, otras instituciones y reas administrativas pblicas"
"Y093" "Y093   Agresin por medios no especificados, reas de deporte y atletismo"
"Y094" "Y094   Agresin por medios no especificados, calles y carreteras"
"Y095" "Y095   Agresin por medios no especificados, comercio y rea de servicios"
"Y096" "Y096   Agresin por medios no especificados, rea industrial y de la construccin"
"Y097" "Y097   Agresin por medios no especificados, granja"
"Y098" "Y098   Agresin por medios no especificados, otro lugar especificado"
"Y099" "Y099   Agresin por medios no especificados, lugar no especificado"
"Y10" "Y10   Envenenamiento por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, de intencin no determinada"
"Y100" "Y100   Envenenamiento por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, de intencin no determinada, vivienda"
"Y101" "Y101   Envenenamiento por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, de intencin no determinada, institucin residencial"
"Y102" "Y102   Envenenamiento por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y103" "Y103   Envenenamiento por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, de intencin no determinada, reas de deporte y atletismo"
"Y104" "Y104   Envenenamiento por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, de intencin no determinada, calles y carreteras"
"Y105" "Y105   Envenenamiento por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, de intencin no determinada, comercio y rea de servicios"
"Y106" "Y106   Envenenamiento por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, de intencin no determinada, rea industrial y de la construccin"
"Y107" "Y107   Envenenamiento por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, de intencin no determinada, granja"
"Y108" "Y108   Envenenamiento por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, de intencin no determinada, otro lugar especificado"
"Y109" "Y109   Envenenamiento por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, de intencin no determinada, lugar no especificado"
"Y11" "Y11   Envenenamiento por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, de intencin no determinada"
"Y110" "Y110   Envenenamiento por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, de intencin no determinada, vivienda"
"Y111" "Y111   Envenenamiento por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, de intencin no determinada, institucin residencial"
"Y112" "Y112   Envenenamiento por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y113" "Y113   Envenenamiento por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, de intencin no determinada, reas de deporte y atletismo"
"Y114" "Y114   Envenenamiento por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, de intencin no determinada, calles y carreteras"
"Y115" "Y115   Envenenamiento por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, de intencin no determinada, comercio y rea de servicios"
"Y116" "Y116   Envenenamiento por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, de intencin no determinada, rea industrial y de la construccin"
"Y117" "Y117   Envenenamiento por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, de intencin no determinada, granja"
"Y118" "Y118   Envenenamiento por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, de intencin no determinada, otro lugar especificado"
"Y119" "Y119   Envenenamiento por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, de intencin no determinada, lugar no especificado"
"Y12" "Y12   Envenenamiento por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, de intencin no determinada"
"Y120" "Y120   Envenenamiento por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, de intencin no determinada, vivienda"
"Y121" "Y121   Envenenamiento por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, de intencin no determinada, institucin residencial"
"Y122" "Y122   Envenenamiento por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y123" "Y123   Envenenamiento por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, de intencin no determinada, reas de deporte y atletismo"
"Y124" "Y124   Envenenamiento por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, de intencin no determinada, calles y carreteras"
"Y125" "Y125   Envenenamiento por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, de intencin no determinada, comercio y rea de servicios"
"Y126" "Y126   Envenenamiento por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, de intencin no determinada, rea industrial y de la construccin"
"Y127" "Y127   Envenenamiento por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, de intencin no determinada, granja"
"Y128" "Y128   Envenenamiento por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, de intencin no determinada, otro lugar especificado"
"Y129" "Y129   Envenenamiento por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, de intencin no determinada, lugar no especificado"
"Y13" "Y13   Envenenamiento por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, de intencin no determinada"
"Y130" "Y130   Envenenamiento por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, de intencin no determinada, vivienda"
"Y131" "Y131   Envenenamiento por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, de intencin no determinada, institucin residencial"
"Y132" "Y132   Envenenamiento por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y133" "Y133   Envenenamiento por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, de intencin no determinada, reas de deporte y atletismo"
"Y134" "Y134   Envenenamiento por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, de intencin no determinada, calles y carreteras"
"Y135" "Y135   Envenenamiento por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, de intencin no determinada, comercio y rea de servicios"
"Y136" "Y136   Envenenamiento por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, de intencin no determinada, rea industrial y de la construccin"
"Y137" "Y137   Envenenamiento por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, de intencin no determinada, granja"
"Y138" "Y138   Envenenamiento por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, de intencin no determinada, otro lugar especificado"
"Y139" "Y139   Envenenamiento por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, de intencin no determinada, lugar no especificado"
"Y14" "Y14   Envenenamiento por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y las no especificadas, de intencin no determinada"
"Y140" "Y140   Envenenamiento por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y las no especificadas, de intencin no determinada, vivienda"
"Y141" "Y141   Envenenamiento por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y las no especificadas, de intencin no determinada, institucin residencial"
"Y142" "Y142   Envenenamiento por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y las no especificadas, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y143" "Y143   Envenenamiento por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y las no especificadas, de intencin no determinada, reas de deporte y atletismo"
"Y144" "Y144   Envenenamiento por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y las no especificadas, de intencin no determinada, calles y carreteras"
"Y145" "Y145   Envenenamiento por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y las no especificadas, de intencin no determinada, comercio y rea de servicios"
"Y146" "Y146   Envenenamiento por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y las no especificadas, de intencin no determinada, rea industrial y de la construccin"
"Y147" "Y147   Envenenamiento por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y las no especificadas, de intencin no determinada, granja"
"Y148" "Y148   Envenenamiento por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y las no especificadas, de intencin no determinada, otro lugar especificado"
"Y149" "Y149   Envenenamiento por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y las no especificadas, de intencin no determinada, lugar no especificado"
"Y15" "Y15   Envenenamiento por, y exposicin al alcohol, de intencin no determinada"
"Y150" "Y150   Envenenamiento por, y exposicin al alcohol, de intencin no determinada, vivienda"
"Y151" "Y151   Envenenamiento por, y exposicin al alcohol, de intencin no determinada, institucin residencial"
"Y152" "Y152   Envenenamiento por, y exposicin al alcohol, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y153" "Y153   Envenenamiento por, y exposicin al alcohol, de intencin no determinada, reas de deporte y atletismo"
"Y154" "Y154   Envenenamiento por, y exposicin al alcohol, de intencin no determinada, calles y carreteras"
"Y155" "Y155   Envenenamiento por, y exposicin al alcohol, de intencin no determinada, comercio y rea de servicios"
"Y156" "Y156   Envenenamiento por, y exposicin al alcohol, de intencin no determinada, rea industrial y de la construccin"
"Y157" "Y157   Envenenamiento por, y exposicin al alcohol, de intencin no determinada, granja"
"Y158" "Y158   Envenenamiento por, y exposicin al alcohol, de intencin no determinada, otro lugar especificado"
"Y159" "Y159   Envenenamiento por, y exposicin al alcohol, de intencin no determinada, lugar no especificado"
"Y16" "Y16   Envenenamiento por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, de intencin no determinada"
"Y160" "Y160   Envenenamiento por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, de intencin no determinada, vivienda"
"Y161" "Y161   Envenenamiento por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, de intencin no determinada, institucin residencial"
"Y162" "Y162   Envenenamiento por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y163" "Y163   Envenenamiento por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, de intencin no determinada, reas de deporte y atletismo"
"Y164" "Y164   Envenenamiento por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, de intencin no determinada, calles y carreteras"
"Y165" "Y165   Envenenamiento por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, de intencin no determinada, comercio y rea de servicios"
"Y166" "Y166   Envenenamiento por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, de intencin no determinada, rea industrial y de la construccin"
"Y167" "Y167   Envenenamiento por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, de intencin no determinada, granja"
"Y168" "Y168   Envenenamiento por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, de intencin no determinada, otro lugar especificado"
"Y169" "Y169   Envenenamiento por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, de intencin no determinada, lugar no especificado"
"Y17" "Y17   Envenenamiento por, y  exposicin a otros gases y vapores, de intencin no determinada"
"Y170" "Y170   Envenenamiento por, y  exposicin a otros gases y vapores, de intencin no determinada, vivienda"
"Y171" "Y171   Envenenamiento por, y  exposicin a otros gases y vapores, de intencin no determinada, institucin residencial"
"Y172" "Y172   Envenenamiento por, y  exposicin a otros gases y vapores, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y173" "Y173   Envenenamiento por, y  exposicin a otros gases y vapores, de intencin no determinada, reas de deporte y atletismo"
"Y174" "Y174   Envenenamiento por, y  exposicin a otros gases y vapores, de intencin no determinada, calles y carreteras"
"Y175" "Y175   Envenenamiento por, y  exposicin a otros gases y vapores, de intencin no determinada, comercio y rea de servicios"
"Y176" "Y176   Envenenamiento por, y  exposicin a otros gases y vapores, de intencin no determinada, rea industrial y de la construccin"
"Y177" "Y177   Envenenamiento por, y  exposicin a otros gases y vapores, de intencin no determinada, granja"
"Y178" "Y178   Envenenamiento por, y  exposicin a otros gases y vapores, de intencin no determinada, otro lugar especificado"
"Y179" "Y179   Envenenamiento por, y  exposicin a otros gases y vapores, de intencin no determinada, lugar no especificado"
"Y18" "Y18   Envenenamiento por, y exposicin a plaguicidas, de intencin no determinada"
"Y180" "Y180   Envenenamiento por, y exposicin a plaguicidas, de intencin no determinada, vivienda"
"Y181" "Y181   Envenenamiento por, y exposicin a plaguicidas, de intencin no determinada, institucin residencial"
"Y182" "Y182   Envenenamiento por, y exposicin a plaguicidas, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y183" "Y183   Envenenamiento por, y exposicin a plaguicidas, de intencin no determinada, reas de deporte y atletismo"
"Y184" "Y184   Envenenamiento por, y exposicin a plaguicidas, de intencin no determinada, calles y carreteras"
"Y185" "Y185   Envenenamiento por, y exposicin a plaguicidas, de intencin no determinada, comercio y rea de servicios"
"Y186" "Y186   Envenenamiento por, y exposicin a plaguicidas, de intencin no determinada, rea industrial y de la construccin"
"Y187" "Y187   Envenenamiento por, y exposicin a plaguicidas, de intencin no determinada, granja"
"Y188" "Y188   Envenenamiento por, y exposicin a plaguicidas, de intencin no determinada, otro lugar especificado"
"Y189" "Y189   Envenenamiento por, y exposicin a plaguicidas, de intencin no determinada, lugar no especificado"
"Y19" "Y19   Envenenamiento por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, de intencin no determinada"
"Y190" "Y190   Envenenamiento por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, de intencin no determinada, vivienda"
"Y191" "Y191   Envenenamiento por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, de intencin no determinada, institucin residencial"
"Y192" "Y192   Envenenamiento por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y193" "Y193   Envenenamiento por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, de intencin no determinada, reas de deporte y atletismo"
"Y194" "Y194   Envenenamiento por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, de intencin no determinada, calles y carreteras"
"Y195" "Y195   Envenenamiento por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, de intencin no determinada, comercio y rea de servicios"
"Y196" "Y196   Envenenamiento por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, de intencin no determinada, rea industrial y de la construccin"
"Y197" "Y197   Envenenamiento por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, de intencin no determinada, granja"
"Y198" "Y198   Envenenamiento por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, de intencin no determinada, otro lugar especificado"
"Y199" "Y199   Envenenamiento por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, de intencin no determinada, lugar no especificado"
"Y20" "Y20   Ahorcamiento, estrangulamiento y sofocacin, de intencin no determinada"
"Y200" "Y200   Ahorcamiento, estrangulamiento y sofocacin, de intencin no determinada, vivienda"
"Y201" "Y201   Ahorcamiento, estrangulamiento y sofocacin, de intencin no determinada, institucin residencial"
"Y202" "Y202   Ahorcamiento, estrangulamiento y sofocacin, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y203" "Y203   Ahorcamiento, estrangulamiento y sofocacin, de intencin no determinada, reas de deporte y atletismo"
"Y204" "Y204   Ahorcamiento, estrangulamiento y sofocacin, de intencin no determinada, calles y carreteras"
"Y205" "Y205   Ahorcamiento, estrangulamiento y sofocacin, de intencin no determinada, comercio y rea de servicios"
"Y206" "Y206   Ahorcamiento, estrangulamiento y sofocacin, de intencin no determinada, rea industrial y de la construccin"
"Y207" "Y207   Ahorcamiento, estrangulamiento y sofocacin, de intencin no determinada, granja"
"Y208" "Y208   Ahorcamiento, estrangulamiento y sofocacin, de intencin no determinada, otro lugar especificado"
"Y209" "Y209   Ahorcamiento, estrangulamiento y sofocacin, de intencin no determinada, lugar no especificado"
"Y21" "Y21   Ahogamiento y sumersin, de intencin no determinada"
"Y210" "Y210   Ahogamiento y sumersin, de intencin no determinada, vivienda"
"Y211" "Y211   Ahogamiento y sumersin, de intencin no determinada, institucin residencial"
"Y212" "Y212   Ahogamiento y sumersin, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y213" "Y213   Ahogamiento y sumersin, de intencin no determinada, reas de deporte y atletismo"
"Y214" "Y214   Ahogamiento y sumersin, de intencin no determinada, calles y carreteras"
"Y215" "Y215   Ahogamiento y sumersin, de intencin no determinada, comercio y rea de servicios"
"Y216" "Y216   Ahogamiento y sumersin, de intencin no determinada, rea industrial y de la construccin"
"Y217" "Y217   Ahogamiento y sumersin, de intencin no determinada, granja"
"Y218" "Y218   Ahogamiento y sumersin, de intencin no determinada, otro lugar especificado"
"Y219" "Y219   Ahogamiento y sumersin, de intencin no determinada, lugar no especificado"
"Y22" "Y22   Disparo de arma corta, de intencin no determinada"
"Y220" "Y220   Disparo de arma corta, de intencin no determinada, vivienda"
"Y221" "Y221   Disparo de arma corta, de intencin no determinada, institucin residencial"
"Y222" "Y222   Disparo de arma corta, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y223" "Y223   Disparo de arma corta, de intencin no determinada, reas de deporte y atletismo"
"Y224" "Y224   Disparo de arma corta, de intencin no determinada, calles y carreteras"
"Y225" "Y225   Disparo de arma corta, de intencin no determinada, comercio y rea de servicios"
"Y226" "Y226   Disparo de arma corta, de intencin no determinada, rea industrial y de la construccin"
"Y227" "Y227   Disparo de arma corta, de intencin no determinada, granja"
"Y228" "Y228   Disparo de arma corta, de intencin no determinada, otro lugar especificado"
"Y229" "Y229   Disparo de arma corta, de intencin no determinada, lugar no especificado"
"Y23" "Y23   Disparo de rifle, escopeta y arma larga, de intencin no determinada"
"Y230" "Y230   Disparo de rifle, escopeta y arma larga, de intencin no determinada, vivienda"
"Y231" "Y231   Disparo de rifle, escopeta y arma larga, de intencin no determinada, institucin residencial"
"Y232" "Y232   Disparo de rifle, escopeta y arma larga, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y233" "Y233   Disparo de rifle, escopeta y arma larga, de intencin no determinada, reas de deporte y atletismo"
"Y234" "Y234   Disparo de rifle, escopeta y arma larga, de intencin no determinada, calles y carreteras"
"Y235" "Y235   Disparo de rifle, escopeta y arma larga, de intencin no determinada, comercio y rea de servicios"
"Y236" "Y236   Disparo de rifle, escopeta y arma larga, de intencin no determinada, rea industrial y de la construccin"
"Y237" "Y237   Disparo de rifle, escopeta y arma larga, de intencin no determinada, granja"
"Y238" "Y238   Disparo de rifle, escopeta y arma larga, de intencin no determinada, otro lugar especificado"
"Y239" "Y239   Disparo de rifle, escopeta y arma larga, de intencin no determinada, lugar no especificado"
"Y24" "Y24   Disparo de otras armas de fuego, y las no especificadas, de intencin no determinada"
"Y240" "Y240   Disparo de otras armas de fuego y las no especificadas, de intencin no determinada, vivienda"
"Y241" "Y241   Disparo de otras armas de fuego, y las no especificadas, de intencin no determinada, institucin residencial"
"Y242" "Y242   Disparo de otras armas de fuego, y las no especificadas, de intencin no determinada, escuelas, otras instituciones y reas administrativas  pblicas"
"Y243" "Y243   Disparo de otras armas de fuego, y las no especificadas, de intencin no determinada, reas de deporte y atletismo"
"Y244" "Y244   Disparo de otras armas de fuego, y las no especificadas, de intencin no determinada, calles y carreteras"
"Y245" "Y245   Disparo de otras armas de fuego, y las no especificadas, de intencin no determinada, comercio y rea de servicios"
"Y246" "Y246   Disparo de otras armas de fuego, y las no especificadas, de intencin no determinada, rea industrial y de la construccin"
"Y247" "Y247   Disparo de otras armas de fuego, y las no especificadas, de intencin no determinada, granja"
"Y248" "Y248   Disparo de otras armas de fuego, y las no especificadas, de intencin no determinada, otro lugar especificado"
"Y249" "Y249   Disparo de otras armas de fuego, y las no especificadas, de intencin no determinada, lugar no especificado"
"Y25" "Y25   Contacto traumtico con material explosivo, de intencin no determinada"
"Y250" "Y250   Contacto traumtico con material explosivo, de intencin no determinada, vivienda"
"Y251" "Y251   Contacto traumtico con material explosivo, de intencin no determinada, institucin residencial"
"Y252" "Y252   Contacto traumtico con material explosivo, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y253" "Y253   Contacto traumtico con material explosivo, de intencin no determinada, reas de deporte y atletismo"
"Y254" "Y254   Contacto traumtico con material explosivo, de intencin no determinada, calles y carreteras"
"Y255" "Y255   Contacto traumtico con material explosivo, de intencin no determinada, comercio y rea de servicios"
"Y256" "Y256   Contacto traumtico con material explosivo, de intencin no determinada, rea industrial y de la construccin"
"Y257" "Y257   Contacto traumtico con material explosivo, de intencin no determinada, granja"
"Y258" "Y258   Contacto traumtico con material explosivo, de intencin no determinada, otro lugar especificado"
"Y259" "Y259   Contacto traumtico con material explosivo, de intencin no determinada, lugar no especificado"
"Y26" "Y26   Exposicin al humo, fuego y llamas, de intencin no determinada"
"Y260" "Y260   Exposicin al humo, fuego y llamas, de intencin no determinada, vivienda"
"Y261" "Y261   Exposicin al humo, fuego y llamas, de intencin no determinada, institucin residencial"
"Y262" "Y262   Exposicin al humo, fuego y llamas, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y263" "Y263   Exposicin al humo, fuego y llamas, de intencin no determinada, reas de deporte y atletismo"
"Y264" "Y264   Exposicin al humo, fuego y llamas, de intencin no determinada, calles y carreteras"
"Y265" "Y265   Exposicin al humo, fuego y llamas, de intencin no determinada, comercio y rea de servicios"
"Y266" "Y266   Exposicin al humo, fuego y llamas, de intencin no determinada, rea industrial y de la construccin"
"Y267" "Y267   Exposicin al humo, fuego y llamas, de intencin no determinada, granja"
"Y268" "Y268   Exposicin al humo, fuego y llamas, de intencin no determinada, otro lugar especificado"
"Y269" "Y269   Exposicin al humo, fuego y llamas, de intencin no determinada, lugar no especificado"
"Y27" "Y27   Contacto con vapor de agua, vapores y objetos calientes, de intencin no determinada"
"Y270" "Y270   Contacto con vapor de agua, vapores y objetos calientes, de intencin no determinada, vivienda"
"Y271" "Y271   Contacto con vapor de agua, vapores y objetos calientes, de intencin no determinada, institucin residencial"
"Y272" "Y272   Contacto con vapor de agua, vapores y objetos calientes, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y273" "Y273   Contacto con vapor de agua, vapores y objetos calientes, de intencin no determinada, reas de deporte y atletismo"
"Y274" "Y274   Contacto con vapor de agua, vapores y objetos calientes, de intencin no determinada, calles y carreteras"
"Y275" "Y275   Contacto con vapor de agua, vapores y objetos calientes, de intencin no determinada, comercio y rea de servicios"
"Y276" "Y276   Contacto con vapor de agua, vapores y objetos calientes, de intencin no determinada, rea industrial y de la construccin"
"Y277" "Y277   Contacto con vapor de agua, vapores y objetos calientes, de intencin no determinada, granja"
"Y278" "Y278   Contacto con vapor de agua, vapores y objetos calientes, de intencin no determinada, otro lugar especificado"
"Y279" "Y279   Contacto con vapor de agua, vapores y objetos calientes, de intencin no determinada, lugar no especificado"
"Y28" "Y28   Contacto traumtico con objeto cortante, de intencin no determinada"
"Y280" "Y280   Contacto traumtico con objeto cortante, de intencin no determinada, vivienda"
"Y281" "Y281   Contacto traumtico con objeto cortante, de intencin no determinada, institucin residencial"
"Y282" "Y282   Contacto traumtico con objeto cortante, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y283" "Y283   Contacto traumtico con objeto cortante, de intencin no determinada, reas de deporte y atletismo"
"Y284" "Y284   Contacto traumtico con objeto cortante, de intencin no determinada, calles y carreteras"
"Y285" "Y285   Contacto traumtico con objeto cortante, de intencin no determinada, comercio y rea de servicios"
"Y286" "Y286   Contacto traumtico con objeto cortante, de intencin no determinada, rea industrial y de la construccin"
"Y287" "Y287   Contacto traumtico con objeto cortante, de intencin no determinada, granja"
"Y288" "Y288   Contacto traumtico con objeto cortante, de intencin no determinada, otro lugar especificado"
"Y289" "Y289   Contacto traumtico con objeto cortante, de intencin no determinada, lugar no especificado"
"Y29" "Y29   Contacto traumtico con objeto romo o sin filo, de intencin no determinada"
"Y290" "Y290   Contacto traumtico con objeto romo o sin filo, de intencin no determinada, vivienda"
"Y291" "Y291   Contacto traumtico con objeto romo o sin filo, de intencin no determinada, institucin residencial"
"Y292" "Y292   Contacto traumtico con objeto romo o sin filo, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y293" "Y293   Contacto traumtico con objeto romo o sin filo, de intencin no determinada, reas de deporte y atletismo"
"Y294" "Y294   Contacto traumtico con objeto romo o sin filo, de intencin no determinada, calles y carreteras"
"Y295" "Y295   Contacto traumtico con objeto romo o sin filo, de intencin no determinada, comercio y rea de servicios"
"Y296" "Y296   Contacto traumtico con objeto romo o sin filo, de intencin no determinada, rea industrial y de la construccin"
"Y297" "Y297   Contacto traumtico con objeto romo o sin filo, de intencin no determinada, granja"
"Y298" "Y298   Contacto traumtico con objeto romo o sin filo, de intencin no determinada, otro lugar especificado"
"Y299" "Y299   Contacto traumtico con objeto romo o sin filo, de intencin no determinada, lugar no especificado"
"Y30" "Y30   Cada, salto o empujn desde lugar elevado, de intencin no determinada"
"Y300" "Y300   Cada, salto o empujn desde lugar elevado, de intencin no determinada, vivienda"
"Y301" "Y301   Cada, salto o empujn desde lugar elevado, de intencin no determinada, institucin residencial"
"Y302" "Y302   Cada, salto o empujn desde lugar elevado, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y303" "Y303   Cada, salto o empujn desde lugar elevado, de intencin no determinada, reas de deporte y atletismo"
"Y304" "Y304   Cada, salto o empujn desde lugar elevado, de intencin no determinada, calles y carreteras"
"Y305" "Y305   Cada, salto o empujn desde lugar elevado, de intencin no determinada, comercio y rea de servicios"
"Y306" "Y306   Cada, salto o empujn desde lugar elevado, de intencin no determinada, rea industrial y de la construccin"
"Y307" "Y307   Cada, salto o empujn desde lugar elevado, de intencin no determinada, granja"
"Y308" "Y308   Cada, salto o empujn desde lugar elevado, de intencin no determinada, otro lugar especificado"
"Y309" "Y309   Cada, salto o empujn desde lugar elevado, de intencin no determinada, lugar no especificado"
"Y31" "Y31   Cada, permanencia o carrera delante o hacia objeto en movimiento, de intencin no determinada"
"Y310" "Y310   Cada, permanencia o carrera delante o hacia objeto en movimiento, de intencin no determinada, vivienda"
"Y311" "Y311   Cada, permanencia o carrera delante o hacia objeto en movimiento, de intencin no determinada, institucin residencial"
"Y312" "Y312   Cada, permanencia o carrera delante o hacia objeto en movimiento, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y313" "Y313   Cada, permanencia o carrera delante o hacia objeto en movimiento, de intencin no determinada, reas de deporte y atletismo"
"Y314" "Y314   Cada, permanencia o carrera delante o hacia objeto en movimiento, de intencin no determinada, calles y carreteras"
"Y315" "Y315   Cada, permanencia o carrera delante o hacia objeto en movimiento, de intencin no determinada, comercio y rea de servicios"
"Y316" "Y316   Cada, permanencia o carrera delante o hacia objeto en movimiento, de intencin no determinada, rea industrial y de la construccin"
"Y317" "Y317   Cada, permanencia o carrera delante o hacia objeto en movimiento, de intencin no determinada, granja"
"Y318" "Y318   Cada, permanencia o carrera delante o hacia objeto en movimiento, de intencin no determinada, otro lugar especificado"
"Y319" "Y319   Cada, permanencia o carrera delante o hacia objeto en movimiento, de intencin no determinada, lugar no especificado"
"Y32" "Y32   Colisin de vehculo de motor, de intencin no determinada"
"Y320" "Y320   Colisin de vehculo de motor, de intencin no determinada, vivienda"
"Y321" "Y321   Colisin de vehculo de motor, de intencin no determinada, institucin residencial"
"Y322" "Y322   Colisin de vehculo de motor, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y323" "Y323   Colisin de vehculo de motor, de intencin no determinada, reas de deporte y atletismo"
"Y324" "Y324   Colisin de vehculo de motor, de intencin no determinada, calles y carreteras"
"Y325" "Y325   Colisin de vehculo de motor, de intencin no determinada, comercio y rea de servicios"
"Y326" "Y326   Colisin de vehculo de motor, de intencin no determinada, rea industrial y de la construccin"
"Y327" "Y327   Colisin de vehculo de motor, de intencin no determinada, granja"
"Y328" "Y328   Colisin de vehculo de motor, de intencin no determinada, otro lugar especificado"
"Y329" "Y329   Colisin de vehculo de motor, de intencin no determinada, lugar no especificado"
"Y33" "Y33   Otros eventos especificados, de intencin no determinada"
"Y330" "Y330   Otros eventos especificados, de intencin no determinada, vivienda"
"Y331" "Y331   Otros eventos especificados, de intencin no determinada, institucin residencial"
"Y332" "Y332   Otros eventos especificados, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y333" "Y333   Otros eventos especificados, de intencin no determinada, reas de deporte y atletismo"
"Y334" "Y334   Otros eventos especificados, de intencin no determinada, calles y carreteras"
"Y335" "Y335   Otros eventos especificados, de intencin no determinada, comercio y rea de servicios"
"Y336" "Y336   Otros eventos especificados, de intencin no determinada, rea industrial y de la construccin"
"Y337" "Y337   Otros eventos especificados, de intencin no determinada, granja"
"Y338" "Y338   Otros eventos especificados, de intencin no determinada, otro lugar especificado"
"Y339" "Y339   Otros eventos especificados, de intencin no determinada, lugar no especificado"
"Y34" "Y34   Evento no especificado, de intencin no determinada"
"Y340" "Y340   Evento no especificado, de intencin no determinada, vivienda"
"Y341" "Y341   Evento no especificado, de intencin no determinada, institucin residencial"
"Y342" "Y342   Evento no especificado, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y343" "Y343   Evento no especificado, de intencin no determinada, reas de deporte y atletismo"
"Y344" "Y344   Evento no especificado, de intencin no determinada, calles y carreteras"
"Y345" "Y345   Evento no especificado, de intencin no determinada, comercio y rea de servicios"
"Y346" "Y346   Evento no especificado, de intencin no determinada, rea industrial y de la construccin"
"Y347" "Y347   Evento no especificado, de intencin no determinada, granja"
"Y348" "Y348   Evento no especificado, de intencin no determinada, otro lugar especificado"
"Y349" "Y349   Evento no especificado, de intencin no determinada, lugar no especificado"
"Y35" "Y35   Intervencin legal"
"Y350" "Y350   Intervencin legal con disparo de arma de fuego"
"Y351" "Y351   Intervencin legal con explosivos"
"Y352" "Y352   Intervencin legal con gas"
"Y353" "Y353   Intervencin legal con objetos romos o sin filo"
"Y354" "Y354   Intervencin legal con objetos cortantes"
"Y355" "Y355   Ejecucin legal"
"Y356" "Y356   Intervencin legal con otros medios especificados"
"Y357" "Y357   Intervencin legal, medios no especificados"
"Y36" "Y36   Operaciones de guerra"
"Y360" "Y360   Operaciones de guerra con explosin de armamento naval"
"Y361" "Y361   Operaciones de guerra con destruccin de aeronave"
"Y362" "Y362   Operaciones de guerra con otras explosiones y esquirlas"
"Y363" "Y363   Operaciones de guerra con fuego y sustancias incendiarias y calientes"
"Y364" "Y364   Operaciones de guerra con disparo de arma de fuego y otras formas de guerra convencional"
"Y365" "Y365   Operaciones de guerra con armas nucleares"
"Y366" "Y366   Operaciones de guerra con armas biolgicas"
"Y367" "Y367   Operaciones de guerra con armas qumicas y otras formas de guerra no convencional"
"Y368" "Y368   Operaciones de guerra que ocurren despus del cese de hostilidades"
"Y369" "Y369   Operacin de guerra no especificada"
"Y40" "Y40   Efectos adversos de antibiticos sistmicos"
"Y400" "Y400   Efectos adversos de penicilinas"
"Y401" "Y401   Efectos adversos de cefalosporinas y otros antibiticos beta-lactmicos"
"Y402" "Y402   Efectos adversos del grupo de cloramfenicol"
"Y403" "Y403   Efectos adversos de los macrlidos"
"Y404" "Y404   Efectos adversos de tetraciclinas"
"Y405" "Y405   Efectos adversos de aminoglucsidos"
"Y406" "Y406   Efectos adversos de rifamicinas"
"Y407" "Y407   Efectos adversos de antibiticos antimicticos usados sistmicamente"
"Y408" "Y408   Efectos adversos de otros antibiticos sistmicos"
"Y409" "Y409   Efectos adversos de antibitico sistmico no especificado"
"Y41" "Y41   Efectos adversos de otros antiinfecciosos y antiparasitarios sistmicos"
"Y410" "Y410   Efectos adversos de sulfonamidas"
"Y411" "Y411   Efectos adversos de drogas antimicobacterianas"
"Y412" "Y412   Efectos adversos de  drogas antipaldicas y agentes que actan sobre otros protozoarios de la sangre"
"Y413" "Y413   Efectos adversos de otras drogas antiprotozoarias"
"Y414" "Y414   Efectos adversos de antihelmnticos"
"Y415" "Y415   Efectos adversos de drogas antivirales"
"Y418" "Y418   Efectos adversos de  otros antiinfecciosos y antiparastarios sistmicos  especificados"
"Y419" "Y419   Efectos adversos de  antiinfecciosos y antiparasitarios sistmicos no especificados"
"Y42" "Y42   Efectos adversos de hormonas y sus sustitutos sintticos y antagonistas, no clasificados en otra parte"
"Y420" "Y420   Efectos adversos de  glucocorticoides y anlogos sintticos"
"Y421" "Y421   Efectos adversos de hormonas tiroideas y sustitutos"
"Y422" "Y422   Efectos adversos de drogas antitiroideas"
"Y423" "Y423   Efectos adversos de  drogas hipoglucemiantes orales e insulina [antidiabticas]"
"Y424" "Y424   Efectos adversos de anticonceptivos orales"
"Y425" "Y425   Efectos adversos de otros estrgenos y progestgenos"
"Y426" "Y426   Efectos adversos de  antigonadotropinas, antiestrgenos y antiandrgenos, no clasificados en otra parte"
"Y427" "Y427   Efectos adversos de  andrgenos y congneres anablicos"
"Y428" "Y428   Efectos adversos de  otras hormonas y sus sustitutos sintticos  y las no especificadas"
"Y429" "Y429   Efectos adversos de  otras hormonas antagonistas y las no especificadas"
"Y43" "Y43   Efectos adversos de agentes sistmicos primarios"
"Y430" "Y430   Efectos adversos de antialrgicos y antiemticos"
"Y431" "Y431   Efectos adversos de antimetabolitos antineoplsicos"
"Y432" "Y432   Efectos adversos de productos naturales antineoplsicos"
"Y433" "Y433   Efectos adversos de otras drogas antineoplsicas"
"Y434" "Y434   Efectos adversos de agentes inmunosupresores"
"Y435" "Y435   Efectos adversos de agentes acidificantes y alcalinizantes"
"Y436" "Y436   Efectos adversos de enzimas no clasificadas en otra parte"
"Y438" "Y438   Efectos adversos de otros agentes sistmicos primarios no clasificados en otra parte"
"Y439" "Y439   Efectos adversos de agente sistmico primario no especificado"
"Y44" "Y44   Efectos adversos de agentes que afectan primariamente los constituyentes de la sangre"
"Y440" "Y440   Efectos  adversos de preparaciones con hierro y otros preparados contra la anemia hipocrmica"
"Y441" "Y441   Efectos adversos de vitamina  B12,  cido flico y otros preparados contra la anemia megaloblstica"
"Y442" "Y442   Efectos adversos de anticoagulantes"
"Y443" "Y443   Efectos adversos de antagonistas de anticoagulantes, vitamina K y otros coagulantes"
"Y444" "Y444   Efectos adversos de drogas antitrombticas [inhibidoras de la agregacin plaquetaria]"
"Y445" "Y445   Efectos adversos de drogas trombolticas"
"Y446" "Y446   Efectos adversos de sangre natural y productos sanguneos"
"Y447" "Y447   Efectos adversos de los sustitutos del plasma"
"Y449" "Y449   Efectos adversos de otros agentes que afectan los constituyentes de la sangre, y los no especificados"
"Y45" "Y45   Efectos adversos de drogas analgsicas, antipirticas y antiinflamatorias"
"Y450" "Y450   Efectos adversos de opiceos y analgsicos  relacionados"
"Y451" "Y451   Efectos adversos de salicilatos"
"Y452" "Y452   Efectos adversos de derivados del cido propinico"
"Y453" "Y453   Efectos adversos de  otras drogas antiinflamatorias  no esteroides [DAINE]"
"Y454" "Y454   Efectos adversos de los antirreumticos"
"Y455" "Y455   Efectos adversos de los derivados del 4-aminofenol"
"Y458" "Y458   Efectos adversos de otros analgsicos y antipirticos"
"Y459" "Y459   Efectos adversos de  drogas analgsicas, antipirticas y antiinflamatorias no especificadas"
"Y46" "Y46   Efectos adversos de drogas antiepilpticas y antiparkinsonianas"
"Y460" "Y460   Efectos adversos de succinamidas"
"Y461" "Y461   Efectos adversos de oxazolidinadionas"
"Y462" "Y462   Efectos adversos de derivados de la hidantona"
"Y463" "Y463   Efectos adversos de desoxibarbitricos"
"Y464" "Y464   Efectos adversos de iminoestilbenos"
"Y465" "Y465   Efectos adversos del cido valproico"
"Y466" "Y466   Efectos adversos de otros antiepilpticos, y los no especificados"
"Y467" "Y467   Efectos adversos de drogas antiparkinsonianas"
"Y468" "Y468   Efectos adversos de drogas antiespsticas"
"Y47" "Y47   Efectos adversos de drogas sedantes, hipnticas y ansiolticas"
"Y470" "Y470   Efectos adversos de barbitricos, no clasificados en otra parte"
"Y471" "Y471   Efectos adversos de benzodiazepinas"
"Y472" "Y472   Efectos adversos de derivados clorales"
"Y473" "Y473   Efectos adversos de paraldehdo"
"Y474" "Y474   Efectos adversos de compuestos del bromo"
"Y475" "Y475   Efectos adversos de mezclas sedantes e hipnticas, no clasificados en otra parte"
"Y478" "Y478   Efectos adversos de otras drogas sedantes, hipnticas y ansiolticas"
"Y479" "Y479   Efectos adversos de  drogas sedantes, hipnticas y ansiolticas no especificadas"
"Y48" "Y48   Efectos adversos de gases anestsicos y teraputicos"
"Y480" "Y480   Efectos adversos de gases anestsicos por inhalacin"
"Y481" "Y481   Efectos adversos de gases anestsicos parenterales"
"Y482" "Y482   Efectos adversos de otros gases anestsicos generales, y los no especificados"
"Y483" "Y483   Efectos adversos de gases anestsicos locales"
"Y484" "Y484   Efectos adversos de anestsicos no especificados"
"Y485" "Y485   Efectos adversos de gases teraputicos"
"Y49" "Y49   Efectos adversos de drogas psicotrpicas no especificadas en otra parte"
"Y490" "Y490   Efectos adversos de antidepresivos tricclicos y tetracclicos"
"Y491" "Y491   Efectos adversos de antidepresivos inhibidores de la monoaminooxidasa"
"Y492" "Y492   Efectos adversos de otros antidepresivos, y los no especificados"
"Y493" "Y493   Efectos adversos de antipsicticos y neurolpticos fenotiaznicos"
"Y494" "Y494   Efectos adversos de neurolpticos de la butirofenona y tioxantina"
"Y495" "Y495   Efectos adversos de otros antipsicticos y neurolpticos"
"Y496" "Y496   Efectos adversos de psicodislpticos [alucingenos]"
"Y497" "Y497   Efectos adversos de psicoestimulantes con abuso potencial"
"Y498" "Y498   Efectos adversos de otras drogas psicotrpicas,  no clasificadas en otra parte"
"Y499" "Y499   Efectos adversos de drogas psicotrpicas no especificadas"
"Y50" "Y50   Efectos adversos de estimulantes del sistema nervioso central, no clasificados en otra parte"
"Y500" "Y500   Efectos adversos de analpticos"
"Y501" "Y501   Efectos adversos de antagonistas de opiceos"
"Y502" "Y502   Efectos adversos de metilxantinas, no clasificados en otra parte"
"Y508" "Y508   Efectos adversos de otros estimulantes del sistema nervioso central"
"Y509" "Y509   Efectos adversos de  estimulante no especificado del sistema nervioso central"
"Y51" "Y51   Efectos adversos de drogas que afectan primariamente el sistema nervioso autnomo"
"Y510" "Y510   Efectos adversos de agentes anticolinesterasa"
"Y511" "Y511   Efectos adversos de  otros parasimpaticomimticos [colinrgicos]"
"Y512" "Y512   Efectos adversos de  drogas bloqueadoras ganglionares, no clasificadas en otra parte"
"Y513" "Y513   Efectos adversos de  parasimpaticolticos [anticolinrgicos y antimuscarnicos] y espasmolticos, no clasificados en otra parte"
"Y514" "Y514   Efectos adversos de  agonistas [estimulantes] predominantemente alfa-adrenrgicos, no clasificados en otra parte"
"Y515" "Y515   Efectos adversos de  agonistas [estimulantes] predominantemente beta-adrenrgicos, no clasificados en otra parte"
"Y516" "Y516   Efectos adversos de  antagonistas [bloqueadores] alfa-adrenrgicos, no clasificados en otra parte"
"Y517" "Y517   Efectos adversos de  antagonistas  [bloqueadores] beta-adrenrgicos, no clasificados en otra parte"
"Y518" "Y518   Efectos adversos de  agentes bloqueadores neuro-adrenrgicos que actan centralmente, no clasificados en otra parte"
"Y519" "Y519   Efectos adversos  otras drogas que afectan primariamente el sistema nervioso autnomo, y las no especificadas"
"Y52" "Y52   Efectos adversos de agentes que afectan primariamente el sistema cardiovascular"
"Y520" "Y520   Efectos adversos de glucsidos cardiotnicos y drogas de accin similar"
"Y521" "Y521   Efectos  adversos de bloqueadores del canal del calcio"
"Y522" "Y522   Efectos adversos de otras drogas antiarrtmicas, no clasificadas en otra parte"
"Y523" "Y523   Efectos adversos  de vasodilatadores coronarios, no clasificados en otra parte"
"Y524" "Y524   Efectos adversos  de inhibidores de enzima convertidora angiotensina"
"Y525" "Y525   Efectos adversos  de otras drogas antihipertencivas, no clasificadas en otra parte"
"Y526" "Y526   Efectos adversos  de drogas antihiperlipidmicas y antiarteriosclerticas"
"Y527" "Y527   Efectos adversos  de vasodilatadores perifricos"
"Y528" "Y528   Efectos adversos  de drogas antivaricosas, inclusive agentes esclerosantes"
"Y529" "Y529   Efectos adversos  otros agentes que afectan primariamente el sistema cardiovascular, y los no especificados"
"Y53" "Y53   Efectos adversos de agentes que afectan primariamente el sistema gastrointestinal"
"Y530" "Y530   Efectos adversos  de bloqueadores de los receptores H2 de histamina"
"Y531" "Y531   Efectos adversos  otras drogas anticidas e inhibidoras de la secrecin gstrica"
"Y532" "Y532   Efectos adversos  de laxantes estimulantes"
"Y533" "Y533   Efectos adversos  de laxantes salinos y osmticos"
"Y534" "Y534   Efectos adversos  de otros laxantes"
"Y535" "Y535   Efectos adversos de digestivos"
"Y536" "Y536   Efectos adversos de drogas antidiarreicas"
"Y537" "Y537   Efectos adversos de emticos"
"Y538" "Y538   Efectos adversos de otros agentes que afectan primariamente al sistema gastrointestinal"
"Y539" "Y539   Efectos adversos de otros agentes que afectan el sistema gastrointestinal, no especificados"
"Y54" "Y54   Efectos adversos de agentes que afectan primariamente el equilibrio hdrico y el metabolismo mineral y del cidorico"
"Y540" "Y540   Efectos adversos de mineralocorticoides"
"Y541" "Y541   Efectos adversos de los bloqueadores de mineralocorticoides [antagonistas de la aldosterona]"
"Y542" "Y542   Efectos adversos de los inhibidores de la anhidrasa carbnica"
"Y543" "Y543   Efectos adversos de los derivados de la benzotiadiazina"
"Y544" "Y544   Efectos adversos de diurticos de asa high-ceiling"
"Y545" "Y545   Efectos adversos de otros diurticos"
"Y546" "Y546   Efectos adversos de agentes electrolticos, calricos y del equilibrio hdrico"
"Y547" "Y547   Efectos adversos de agentes que afectan la calcificacin"
"Y548" "Y548   Efectos adversos de agentes que afectan el metabolismo del cidorico"
"Y549" "Y549   Efectos adversos de sales minerales, no clasificadas en otra parte"
"Y55" "Y55   Efectos adversos de agentes que actan primariamente sobre los msculos lisos y estriados y sobre el sistema respiratorio"
"Y550" "Y550   Efectos adversos de drogas oxitcicas"
"Y551" "Y551   Efectos adversos de relajantes de los msculos estriados [agentes bloqueadores neuromusculares]"
"Y552" "Y552   Efectos adversos de otros agentes que actan primariamente sobre los msculos, y los no especificados"
"Y553" "Y553   Efectos adversos de antitusgenos"
"Y554" "Y554   Efectos adversos de expectorantes"
"Y555" "Y555   Efectos adversos de drogas contra el resfriado comn"
"Y556" "Y556   Efectos adversos de antiasmticos, no clasificados en otra parte"
"Y557" "Y557   Efectos adversos de otros agentes que actan primariamente sobre el sistema respiratorio, y los no especificados"
"Y56" "Y56   Efectos adversos de agentes tpicos que afectan primariamente la piel y las membranas mucosas, y drogas oftalmolgicas, otorrinolaringolgicas y dentales"
"Y560" "Y560   Efectos adversos de drogas antimicticas, antiinfecciosas, y antiinflamatorias de uso local, no clasificadas en otra parte"
"Y561" "Y561   Efectos adversos de antipruriginosos"
"Y562" "Y562   Efectos adversos de astringentes y detergentes locales"
"Y563" "Y563   Efectos adversos de emolientes, demulcentes y protectores"
"Y564" "Y564   Efectos adversos de drogas y preparados queratolticos, queratoplsticos y otros para el tratamiento del cabello"
"Y565" "Y565   Efectos adversos de drogas y preparados oftalmolgicos"
"Y566" "Y566   Efectos adversos de drogas y preparados otorrinolaringolgicos"
"Y567" "Y567   Efectos adversos de drogas dentales, de aplicacin tpica"
"Y568" "Y568   Efectos adversos de otros agentes tpicos"
"Y569" "Y569   Efectos adversos de otros agentes tpicos no especificados"
"Y57" "Y57   Efectos adversos de otras drogas y medicamentos, y los no especificados"
"Y570" "Y570   Efectos adversos de depresores del apetito [anorxicos]"
"Y571" "Y571   Efectos adversos de drogas lipotrpicas"
"Y572" "Y572   Efectos adversos de antdotos y agentes quelantes, no clasificados en otra parte"
"Y573" "Y573   Efectos adversos de disuasivos del alcohol"
"Y574" "Y574   Efectos adversos de excipientes farmacuticos"
"Y575" "Y575   Efectos adversos de medios de contraste para rayos X"
"Y576" "Y576   Efectos adversos de otros agentes diagnsticos"
"Y577" "Y577   Efectos adversos de vitaminas, no clasificadas en otra parte"
"Y578" "Y578   Efectos adversos de otras drogas y medicamentos"
"Y579" "Y579   Efectos adversos de drogas o medicamentos no especificados"
"Y58" "Y58   Efectos adversos de vacunas bacterianas"
"Y580" "Y580   Efectos adversos de la vacuna BCG"
"Y581" "Y581   Efectos adversos de la vacuna tifoidea y paratifoidea"
"Y582" "Y582   Efectos adversos de la vacuna contra el clera"
"Y583" "Y583   Efectos adversos de la vacuna contra la peste"
"Y584" "Y584   Efectos adversos de la vacuna contra el ttanos"
"Y585" "Y585   Efectos adversos de la vacuna contra la difteria"
"Y586" "Y586   Efectos adversos de la vacuna contra tos ferina, inclusive combinaciones  con componente pertusis"
"Y588" "Y588   Efectos adversos de vacunas bacterianas mixtas, excepto combinaciones con un componente pertusis"
"Y589" "Y589   Efectos adversos de otras vacunas bacterianas, y las no especificadas"
"Y59" "Y59   Efectos adversos de otras vacunas y sustancias biolgicas, y las no especificadas"
"Y590" "Y590   Efectos adversos de vacunas virales"
"Y591" "Y591   Efectos adversos de vacunas contra rickettssias"
"Y592" "Y592   Efectos adversos de vacunas antiprotozoarias"
"Y593" "Y593   Efectos adversos de la inmunoglobulina"
"Y598" "Y598   Efectos adversos de otras vacunas y sustancias biolgicas especificadas"
"Y599" "Y599   Efectos adversos de vacunas o sustancias biolgicas no especificadas"
"Y60" "Y60   Corte, puncin, perforacin o hemorragia no intencional durante la atencin mdica y quirrgica"
"Y600" "Y600   Incidente durante operacin quirrgica"
"Y601" "Y601   Incidente durante infusin o transfusin"
"Y602" "Y602   Incidente durante dilisis renal u otra perfucin"
"Y603" "Y603   Incidente durante inyeccin o inmunizacin"
"Y604" "Y604   Incidente durante examen endoscpico"
"Y605" "Y605   Incidente durante cateterizacin cardaca"
"Y606" "Y606   Incidente durante aspiracin, puncin y otra cateterizacin"
"Y607" "Y607   Incidente durante administracin de enema"
"Y608" "Y608   Incidente durante otras atenciones mdicas y quirrgicas"
"Y609" "Y609   Incidente durante atencin mdica y quirrgica no especificada"
"Y61" "Y61   Objeto extrao dejado accidentalmente en el cuerpo durante la atencin mdica y quirrgica"
"Y610" "Y610   Objeto extrao dejado accidentalmente en el cuerpo durante operacin quirrgica"
"Y611" "Y611   Objeto extrao dejado accidentalmente en el cuerpo durante infusin o transfusin"
"Y612" "Y612   Objeto extrao dejado accidentalmente en el cuerpo durante dilisis renal u otra perfusin"
"Y613" "Y613   Objeto extrao dejado accidentalmente en el cuerpo durante inyeccin o inmunizacin"
"Y614" "Y614   Objeto extrao dejado accidentalmente en el cuerpo durante examen endoscpico"
"Y615" "Y615   Objeto extrao dejado accidentalmente en el cuerpo durante cateterizacin cardaca"
"Y616" "Y616   Objeto extrao dejado accidentalmente en el cuerpo durante aspiracin, puncin y otra cateterizacin"
"Y617" "Y617   Objeto extrao dejado accidentalmente en el cuerpo durante remocin de catter o taponamiento"
"Y618" "Y618   Objeto extrao dejado accidentalmente en el cuerpo durante otras atenciones mdicas y quirrgicas"
"Y619" "Y619   Objeto extrao dejado accidentalmente en el cuerpo durante atencin mdica y quirrgica no especificada"
"Y62" "Y62   Fallas en la esterilizacin durante la atencin mdica y quirrgica"
"Y620" "Y620   Fallas en la esterilizacin durante operacin quirrgica"
"Y621" "Y621   Fallas en la esterilizacin durante infusin o transfusin"
"Y622" "Y622   Fallas en la esterilizacin durante dilisis renal u otra perfusin"
"Y623" "Y623   Fallas en la esterilizacin durante inyeccin o inmunizacin"
"Y624" "Y624   Fallas en la esterilizacin durante examen endoscpico"
"Y625" "Y625   Fallas en la esterilizacin durante cateterizacin cardaca"
"Y626" "Y626   Fallas en la esterilizacin durante aspiracin, puncin y otra cateterizacin"
"Y628" "Y628   Fallas en la esterilizacin durante otras atenciones mdicas y quirrgicas"
"Y629" "Y629   Fallas en la esterilizacin durante atencin mdica y quirrgica no especificada"
"Y63" "Y63   Falla en la dosificacin durante la atencin mdica y quirrgica"
"Y630" "Y630   Excesiva cantidad de sangre u otro lquido administrado durante una infusin o transfusin"
"Y631" "Y631   Dilucin incorrecta de lquido durante una infusin"
"Y632" "Y632   Sobredosis de radiacin administrada durante terapia"
"Y633" "Y633   Exposicin inadvertida del paciente a radiacin durante atencin mdica"
"Y634" "Y634   Falla en la dosificacin en electrochoque o en choque insulnico"
"Y635" "Y635   Falla en el control de temperatura, en taponamientos y aplicaciones locales"
"Y636" "Y636   No administracin de drogas, medicamentos o sustancias biolgicas necesarias"
"Y638" "Y638   Falla en la dosificacin durante otras atenciones mdicas y quirrgicas"
"Y639" "Y639   Falla en la dosificacin durante atencin mdica y quirrgica no especificada"
"Y64" "Y64   Medicamentos o sustancias biolgicas contaminados"
"Y640" "Y640   Medicamento o sustancia biolgica contaminado en infusin o transfusin"
"Y641" "Y641   Medicamento o sustancia biolgica contaminado, inyectado o usado para inmunizacin"
"Y648" "Y648   Medicamento o sustancia biolgica contaminado, administrado por otros medios"
"Y649" "Y649   Medicamento o sustancia biolgica contaminado, administrado por medios no especificados"
"Y65" "Y65   Otros incidentes durante la atencin mdica y quirrgica"
"Y650" "Y650   Sangre incompatible usada en transfusin"
"Y651" "Y651   Lquido errneo usado en infusin"
"Y652" "Y652   Falla en la sutura o ligadura durante operacin quirrgica"
"Y653" "Y653   Tubo endotraqueal colocado errneamente durante procedimiento anestsico"
"Y654" "Y654   Falla en la introduccin o remocin de otro tubo o instrumento"
"Y655" "Y655   Realizacin de una operacin inadecuada"
"Y658" "Y658   Otros incidentes especificados durante la atencin mdica y quirrgica"
"Y66" "Y66   No administracin de la atencin mdica y quirrgica"
"Y69" "Y69   Incidentes no especificados durante la atencin mdica y quirrgica"
"Y70" "Y70   Dispositivos de anestesiologa asociados con incidentes adversos"
"Y700" "Y700   Dispositivos de anestesiologa asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y701" "Y701   Dispositivos de anestesiologa asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y702" "Y702   Dispositivos de anestesiologa asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y703" "Y703   Dispositivos de anestesiologa asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y708" "Y708   Dispositivos de anestesiologa asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y71" "Y71   Dispositivos cardiovasculares asociados con incidentes adversos"
"Y710" "Y710   Dispositivos cardiovasculares asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y711" "Y711   Dispositivos cardiovasculares asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y712" "Y712   Dispositivos cardiovasculares asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y713" "Y713   Dispositivos cardiovasculares asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y718" "Y718   Dispositivos cardiovasculares asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y72" "Y72   Dispositivos otorrinolaringolgicos asociados con incidentes adversos"
"Y720" "Y720   Dispositivos otorrinolaringolgicos asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y721" "Y721   Dispositivos otorrinolaringolgicos asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y722" "Y722   Dispositivos otorrinolaringolgicos asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y723" "Y723   Dispositivos otorrinolaringolgicos asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y728" "Y728   Dispositivos otorrinolaringolgicos asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y73" "Y73   Dispositivos de gastroenterologa y urologa asociados con incidentes adversos"
"Y730" "Y730   Dispositivos de gastroenterologa y urologa asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y731" "Y731   Dispositivos de gastroenterologa y urologa asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y732" "Y732   Dispositivos de gastroenterologa y urologa asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y733" "Y733   Dispositivos de gastroenterologa y urologa asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y738" "Y738   Dispositivos de gastroenterologa y urologa asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y74" "Y74   Dispositivos para uso hospitalario general y personal asociados con incidentes adversos"
"Y740" "Y740   Dispositivos para uso hospitalario general y personal asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y741" "Y741   Dispositivos para uso hospitalario general y personal asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y742" "Y742   Dispositivos para uso hospitalario general y personal asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y743" "Y743   Dispositivos para uso hospitalario general y personal asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y748" "Y748   Dispositivos para uso hospitalario general y personal asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y75" "Y75   Dispositivos neurolgicos asociados con incidentes adversos"
"Y750" "Y750   Dispositivos neurolgicos asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y751" "Y751   Dispositivos neurolgicos asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y752" "Y752   Dispositivos neurolgicos asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y753" "Y753   Dispositivos neurolgicos asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y758" "Y758   Dispositivos neurolgicos asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y76" "Y76   Dispositivos ginecolgicos y obsttricos asociados con incidentes adversos"
"Y760" "Y760   Dispositivos ginecolgicos y obsttricos asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y761" "Y761   Dispositivos ginecolgicos y obsttricos asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y762" "Y762   Dispositivos ginecolgicos y obsttricos asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y763" "Y763   Dispositivos ginecolgicos y obsttricos asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y768" "Y768   Dispositivos ginecolgicos y obsttricos asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y77" "Y77   Dispositivos oftlmicos asociados con incidentes adversos"
"Y770" "Y770   Dispositivos oftlmicos asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y771" "Y771   Dispositivos oftlmicos asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y772" "Y772   Dispositivos oftlmicos asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y773" "Y773   Dispositivos oftlmicos asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y778" "Y778   Dispositivos oftlmicos asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y78" "Y78   Aparatos radiolgicos asociados con incidentes adversos"
"Y780" "Y780   Aparatos radiolgicos asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y781" "Y781   Aparatos radiolgicos asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y782" "Y782   Aparatos radiolgicos asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y783" "Y783   Aparatos radiolgicos asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y788" "Y788   Aparatos radiolgicos asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y79" "Y79   Dispositivos ortopdicos asociados con incidentes adversos"
"Y790" "Y790   Dispositivos ortopdicos asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y791" "Y791   Dispositivos ortopdicos asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y792" "Y792   Dispositivos ortopdicos asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y793" "Y793   Dispositivos ortopdicos asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y798" "Y798   Dispositivos ortopdicos asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y80" "Y80   Aparatos de medicina fsica asociados con incidentes adversos"
"Y800" "Y800   Aparatos de medicina fsica asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y801" "Y801   Aparatos de medicina fsica asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y802" "Y802   Aparatos de medicina fsica asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y803" "Y803   Aparatos de medicina fsica asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y808" "Y808   Aparatos de medicina fsica asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y81" "Y81   Dispositivos de ciruga general y plstica asociados con incidentes adversos"
"Y810" "Y810   Dispositivos de ciruga general y plstica asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y811" "Y811   Dispositivos de ciruga general y plstica asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y812" "Y812   Dispositivos de ciruga general y plstica asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y813" "Y813   Dispositivos de ciruga general y plstica asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y818" "Y818   Dispositivos de ciruga general y plstica asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y82" "Y82   Otros dispositivos mdicos, y los no especificados, asociados con incidentes adversos"
"Y820" "Y820   Otros dispositivos mdicos, y los no especificados, asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y821" "Y821   Otros dispositivos mdicos, y los no especificados, asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y822" "Y822   Otros dispositivos mdicos, y los no especificados, asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y823" "Y823   Otros dispositivos mdicos, y los no especificados, asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y828" "Y828   Otros dispositivos mdicos, y los no especificados, asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y83" "Y83   Ciruga y otros procedimientos quirrgicos como la causa de reaccin anormal del paciente o de complicacin posterior, sin mencin de incidente en el momento de efectuar el procedimiento"
"Y830" "Y830   Operacin quirrgica con trasplante de un rgano completo"
"Y831" "Y831   Operacin quirrgica con implante de un dispositivo artificial interno"
"Y832" "Y832   Operacin quirrgica con anastomosis, derivacin o injerto"
"Y833" "Y833   Operacin quirrgica con formacin de estoma externo"
"Y834" "Y834   Otra ciruga reconstructiva"
"Y835" "Y835   Amputacin de miembro(s)"
"Y836" "Y836   Remocin de otro rgano (parcial) (total)"
"Y838" "Y838   Otros procedimientos quirrgicos"
"Y839" "Y839   Procedimiento quirrgico no especificado"
"Y84" "Y84   Otros procedimientos mdicos como la causa de reaccin anormal del paciente o de complicacin posterior, sin mencin de incidente en el momento de efectuar el procedimiento"
"Y840" "Y840   Cateterizacin cardaca"
"Y841" "Y841   Dilisis renal"
"Y842" "Y842   Procedimiento radiolgico y radioterapia"
"Y843" "Y843   Terapia por choque"
"Y844" "Y844   Aspiracin de lquidos"
"Y845" "Y845   Insercin de sonda gstrica o duodenal"
"Y846" "Y846   Cateterizacin urinaria"
"Y847" "Y847   Muestra de sangre"
"Y848" "Y848   Otros procedimientos mdicos"
"Y849" "Y849   Procedimiento mdico no especificado"
"Y85" "Y85   Secuelas de accidentes de transporte"
"Y850" "Y850   Secuelas de accidente de vehculo de motor"
"Y859" "Y859   Secuelas de otros accidentes de transporte, y los no especificados"
"Y86" "Y86   Secuelas de otros accidentes"
"Y87" "Y87   Secuelas de lesiones autoinfligidas intencionalmente, agresiones y eventos de intencin no determinada"
"Y870" "Y870   Secuelas de lesiones autoinfligidas"
"Y871" "Y871   Secuelas de agresiones"
"Y872" "Y872   Secuelas de eventos de intencin no determinada"
"Y88" "Y88   Secuelas con atencin mdica y quirrgica como causa externa"
"Y880" "Y880   Secuelas de efectos adversos causados por drogas, medicamentos y sustancias biolgicas en su uso teraputico"
"Y881" "Y881   Secuelas de incidentes ocurridos al paciente durante procedimientos mdicos y quirrgicos"
"Y882" "Y882   Secuelas de incidentes adversos asociados con dispositivos mdicos en uso diagnstico y  teraputico"
"Y883" "Y883   Secuelas de procedimientos mdicos y quirrgicos como la causa de reaccin anormal del paciente o de complicacin posterior, sin mencin de incidente en el momento de efectuar el procedimiento"
"Y89" "Y89   Secuelas de otras causas externas"
"Y890" "Y890   Secuelas de intervencin legal"
"Y891" "Y891   Secuelas de operaciones de guerra"
"Y899" "Y899   Secuelas de causa externa no especificada"
"Y90" "Y90   Evidencia de alcoholismo determinada por el nivel de alcohol en la sangre"
"Y900" "Y900   Nivel de alcohol en la sangre menor de 20 mg/100 ml"
"Y901" "Y901   Nivel de alcohol en la sangre de 20 a 39 mg/100 ml"
"Y902" "Y902   Nivel de alcohol en la sangre de 40 a 59 mg/100 ml"
"Y903" "Y903   Nivel de alcohol en la sangre de 60 a 79 mg/100 ml"
"Y904" "Y904   Nivel de alcohol en la sangre de 80 a 99 mg/100 ml"
"Y905" "Y905   Nivel de alcohol en la sangre de 100 a 119 mg/100 ml"
"Y906" "Y906   Nivel de alcohol en la sangre de 120 a 199 mg/100 ml"
"Y907" "Y907   Nivel de alcohol en la sangre de 200 a 239 mg/100 ml"
"Y908" "Y908   Nivel de alcohol en la sangre de 240 mg/100 ml o ms"
"Y909" "Y909   Presencia de alcohol en la sangre, nivel no especificado"
"Y91" "Y91   Evidencia de alcoholismo determinada por el nivel de intoxicacin"
"Y910" "Y910   Intoxicacin alcohlica leve"
"Y911" "Y911   Intoxicacin alcohlica moderada"
"Y912" "Y912   Intoxicacin alcohlica severa"
"Y913" "Y913   Intoxicacin alcohlica muy severa"
"Y919" "Y919   Alcoholismo, nivel de intoxicacin no especificado"
"Y95" "Y95   Afeccin nosocomial"
"Y96" "Y96   Afeccin relacionada con el trabajo"
"Y97" "Y97   Afeccin relacionada con la contaminacin ambiental"
"Y98" "Y98   Afeccin relacionada con el estilo de vida"
"Z00" "Z00   Examen general e investigacin de personas sin quejas o sin diagnstico informado"
"Z000" "Z000   Examen mdico general"
"Z001" "Z001   Control de salud de rutina del nio"
"Z002" "Z002   Examen durante el perodo de crecimiento rpido en la infancia"
"Z003" "Z003   Examen del estado de desarrollo del adolescente"
"Z004" "Z004   Examen psiquitrico general, no clasificado en otra parte"
"Z005" "Z005   Examen de donante potencial de rgano o tejido"
"Z006" "Z006   Examen para comparacin y control normales en programa de investigacin clnica"
"Z008" "Z008   Otros exmenes generales"
"Z01" "Z01   Otros exmenes especiales e investigaciones en personas sin quejas o sin diagnstico informado"
"Z010" "Z010   Examen de ojos y de la visin"
"Z011" "Z011   Examen de odos y de la audicin"
"Z012" "Z012   Examen odontolgico"
"Z013" "Z013   Examen de la presin sangunea"
"Z014" "Z014   Examen ginecolgico (general) (de rutina)"
"Z015" "Z015   Pruebas de sensibilizacin y diagnstico cutneo"
"Z016" "Z016   Examen radiolgico, no clasificado en otra parte"
"Z017" "Z017   Examen de laboratorio"
"Z018" "Z018   Otros exmenes especiales especificados"
"Z019" "Z019   Examen especial no especificado"
"Z02" "Z02   Exmenes y contactos para fines administrativos"
"Z020" "Z020   Examen para admisin a instituciones educativas"
"Z021" "Z021   Examen preempleo"
"Z022" "Z022   Examen para admisin a instituciones residenciales"
"Z023" "Z023   Examen para reclutamiento en las fuerzas armadas"
"Z024" "Z024   Examen para obtencin de licencia de conducir"
"Z025" "Z025   Examen para participacin en competencias deportivas"
"Z026" "Z026   Examen para fines de seguros"
"Z027" "Z027   Extensin de certificado mdico"
"Z028" "Z028   Otros exmenes para fines administrativos"
"Z029" "Z029   Examen para fines administrativos, no especificado"
"Z03" "Z03   Observacin y evaluacin mdicas por sospecha de enfermedades y afecciones"
"Z030" "Z030   Observacin por sospecha de tuberculosis"
"Z031" "Z031   Observacin por sospecha de tumor maligno"
"Z032" "Z032   Observacin por sospecha de trastorno mental y del comportamiento"
"Z033" "Z033   Observacin por sospecha de trastorno del sistema nervioso"
"Z034" "Z034   Observacin por sospecha de infarto de miocardio"
"Z035" "Z035   Observacin por sospecha de otras enfermedades cardiovasculares"
"Z036" "Z036   Observacin por sospecha de efectos txicos de sustancias ingeridas"
"Z038" "Z038   Observacin por sospecha de otras enfermedades y afecciones"
"Z039" "Z039   Observacin por sospecha de enfermedad o afeccin no especificada"
"Z04" "Z04   Examen y observacin por otras razones"
"Z040" "Z040   Prueba de alcohol o drogas en la sangre"
"Z041" "Z041   Examen y observacin consecutivos a accidente de transporte"
"Z042" "Z042   Examen y observacin consecutivos a accidente de trabajo"
"Z043" "Z043   Examen y observacin consecutivos a otro accidente"
"Z044" "Z044   Examen y observacin consecutivos a denuncia de violacin y seduccin"
"Z045" "Z045   Examen y observacin consecutivos a otra lesin infligida"
"Z046" "Z046   Examen psiquitrico general, solicitado por una autoridad"
"Z048" "Z048   Examen y observacin por otras razones especificadas"
"Z049" "Z049   Examen y observacin por razones no especificadas"
"Z08" "Z08   Examen de seguimiento consecutivo al tratamiento por tumor maligno"
"Z080" "Z080   Examen de seguimiento consecutivo a ciruga por tumor maligno"
"Z081" "Z081   Examen de seguimiento consecutivo a radioterapia por tumor maligno"
"Z082" "Z082   Examen de seguimiento consecutivo a quimioterapia por tumor maligno"
"Z087" "Z087   Examen de seguimiento consecutivo a tratamiento combinado por tumor maligno"
"Z088" "Z088   Examen de seguimiento consecutivo a otro tratamiento por tumor maligno"
"Z089" "Z089   Examen de seguimiento consecutivo a tratamiento no especificado por tumor maligno"
"Z09" "Z09   Examen de seguimiento consecutivo a tratamiento por otras afecciones diferentes a tumores malignos"
"Z090" "Z090   Examen de seguimiento consecutivo a ciruga por otras afecciones"
"Z091" "Z091   Examen de seguimiento consecutivo a radioterapia por otras afecciones"
"Z092" "Z092   Examen de seguimiento consecutivo a quimioterapia por otras afecciones"
"Z093" "Z093   Examen de seguimiento consecutivo a psicoterapia"
"Z094" "Z094   Examen de seguimiento consecutivo a tratamiento de fractura"
"Z097" "Z097   Examen de seguimiento consecutivo a tratamiento combinado por otras afecciones"
"Z098" "Z098   Examen de seguimiento consecutivo a otro tratamiento por otras afecciones"
"Z099" "Z099   Examen de seguimiento consecutivo a tratamiento no especificado por otras afecciones"
"Z10" "Z10   Control general de salud de rutina de subpoblaciones definidas"
"Z100" "Z100   Examen de salud ocupacional"
"Z101" "Z101   Control general de salud de rutina de residentes de instituciones"
"Z102" "Z102   Control general de salud de rutina a miembros de las fuerzas armadas"
"Z103" "Z103   Control general de salud de rutina a integrantes de equipos deportivos"
"Z108" "Z108   Otros controles generales de salud de rutina de otras subpoblaciones definidas"
"Z11" "Z11   Examen de pesquisa especial para enfermedades infecciosas y parasitarias"
"Z110" "Z110   Examen de pesquisa especial para enfermedades infecciosas intestinales"
"Z111" "Z111   Examen de pesquisa especial para tuberculosis respiratoria"
"Z112" "Z112   Examen de pesquisa especial para otras enfermedades bacterianas"
"Z113" "Z113   Examen de pesquisa especial para infecciones de transmisin predominantemente sexual"
"Z114" "Z114   Examen de pesquisa especial para el virus de la inmunodeficiencia humana [VIH]"
"Z115" "Z115   Examen de pesquisa especial para otras enfermedades virales"
"Z116" "Z116   Examen de pesquisa especial para otras enfermedades debidas a protozoarios y helmintos"
"Z118" "Z118   Examen de pesquisa especial para otras enfermedades infecciosas y parasitarias especificadas"
"Z119" "Z119   Examen de pesquisa especial para enfermedades infecciosas y parasitarias no especificadas"
"Z12" "Z12   Examen de pesquisa especial para tumores"
"Z120" "Z120   Examen de pesquisa especial para tumor de estmago"
"Z121" "Z121   Examen de pesquisa especial para tumor del intestino"
"Z122" "Z122   Examen de pesquisa especial para tumores de rganos respiratorios"
"Z123" "Z123   Examen de pesquisa especial para tumor de la mama"
"Z124" "Z124   Examen de pesquisa especial para tumor del cuello uterino"
"Z125" "Z125   Examen de pesquisa especial para tumor de la prstata"
"Z126" "Z126   Examen de pesquisa especial para tumor de la vejiga"
"Z128" "Z128   Examen de pesquisa especial para tumores de otros sitios"
"Z129" "Z129   Examen de pesquisa especial para tumor de sitio no especificado"
"Z13" "Z13   Examen de pesquisa especial para otras enfermedades y trastornos"
"Z130" "Z130   Examen de pesquisa especial para enfermedades de la sangre y rganos hematopoyticos y ciertos trastornos del mecanismo de la inmunidad"
"Z131" "Z131   Examen de pesquisa especial para diabetes mellitus"
"Z132" "Z132   Examen de pesquisa especial para trastornos de la nutricin"
"Z133" "Z133   Examen de pesquisa especial para trastornos mentales y del comportamiento"
"Z134" "Z134   Examen de pesquisa especial para ciertos trastornos del desarrollo en el nio"
"Z135" "Z135   Examen de pesquisa especial para trastornos del ojo y del odo"
"Z136" "Z136   Examen de pesquisa especial para trastornos cardiovasculares"
"Z137" "Z137   Examen de pesquisa especial para malformaciones congnitas, deformidades y anomalas cromosmicas"
"Z138" "Z138   Examen de pesquisa especial para otras enfermedades y trastornos especificados"
"Z139" "Z139   Examen de pesquisa especial, no especificado"
"Z20" "Z20   Contacto con y exposicin a enfermedades transmisibles"
"Z200" "Z200   Contacto con y exposicin a enfermedades infecciosas intestinales"
"Z201" "Z201   Contacto con y exposicin a tuberculosis"
"Z202" "Z202   Contacto con y exposicin a enfermedades infecciosas con un modo de transmisin predominantemente sexual"
"Z203" "Z203   Contacto con y exposicin a rabia"
"Z204" "Z204   Contacto con y exposicin a rubola"
"Z205" "Z205   Contacto con y exposicin a hepatitis viral"
"Z206" "Z206   Contacto con y exposicin al virus de la inmunodeficiencia humana [VIH]"
"Z207" "Z207   Contacto con y exposicin a pediculosis, acariasis y otras infestaciones"
"Z208" "Z208   Contacto con y exposicin a otras enfermedades transmisibles"
"Z209" "Z209   Contacto con y exposicin a enfermedades transmisibles no especificadas"
"Z21" "Z21   Estado de infeccin asintomtica por el virus de la inmunodeficiencia humana [VIH]"
"Z22" "Z22   Portador de agente de enfermedad infecciosa"
"Z220" "Z220   Portador del agente de la fiebre tifoidea"
"Z221" "Z221   Portador de agentes de otras enfermedades infecciosas intestinales"
"Z222" "Z222   Portador del agente de la difteria"
"Z223" "Z223   Portador de agentes de otras enfermedades bacterianas especificadas"
"Z224" "Z224   Portador de agentes de enfermedades infecciosas con un modo de transmisin predominantemente sexual"
"Z225" "Z225   Portador de agentes de hepatitis viral"
"Z226" "Z226   Portador del virus humano T-linfotrpico tipo 1 [VHTL-1]"
"Z228" "Z228   Portador de agentes de otras enfermedades infecciosas"
"Z229" "Z229   Portador de  agente de enfermedad infecciosa no especificada"
"Z23" "Z23   Necesidad de inmunizacin contra enfermedad bacteriananica"
"Z230" "Z230   Necesidad de inmunizacin slo contra el clera"
"Z231" "Z231   Necesidad de inmunizacin slo contra la tifoidea-paratifoidea [TAB]"
"Z232" "Z232   Necesidad de inmunizacin contra la tuberculosis [BCG]"
"Z233" "Z233   Necesidad de inmunizacin contra la peste"
"Z234" "Z234   Necesidad de inmunizacin contra la tularemia"
"Z235" "Z235   Necesidad de inmunizacin slo contra el ttanos"
"Z236" "Z236   Necesidad de inmunizacin slo contra la difteria"
"Z237" "Z237   Necesidad de inmunizacin slo contra la tos ferina"
"Z238" "Z238   Necesidad de inmunizacin slo contra otra enfermedad bacteriana"
"Z24" "Z24   Necesidad de inmunizacin contra ciertas enfermedades virales"
"Z240" "Z240   Necesidad de inmunizacin contra la poliomielitis"
"Z241" "Z241   Necesidad de inmunizacin contra la encefalitis viral transmitida por artrpodos"
"Z242" "Z242   Necesidad de inmunizacin contra la rabia"
"Z243" "Z243   Necesidad de inmunizacin contra la fiebre amarilla"
"Z244" "Z244   Necesidad de inmunizacin slo contra el sarampin"
"Z245" "Z245   Necesidad de inmunizacin slo contra la rubola"
"Z246" "Z246   Necesidad de inmunizacin contra la hepatitis viral"
"Z25" "Z25   Necesidad de inmunizacin contra otras enfermedades viralesnicas"
"Z250" "Z250   Necesidad de inmunizacin slo contra la parotiditis"
"Z251" "Z251   Necesidad de inmunizacin contra la influenza [gripe]"
"Z258" "Z258   Necesidad de inmunizacin contra otras enfermedades viralesnicas especificadas"
"Z26" "Z26   Necesidad de inmunizacin contra otras enfermedades infecciosasnicas"
"Z260" "Z260   Necesidad de inmunizacin contra la leishmaniasis"
"Z268" "Z268   Necesidad de inmunizacin contra otras enfermedades infecciosasnicas especificadas"
"Z269" "Z269   Necesidad de inmunizacin contra enfermedad infecciosa no especificada"
"Z27" "Z27   Necesidad de inmunizacin contra combinaciones de enfermedades infecciosas"
"Z270" "Z270   Necesidad de inmunizacin contra el clera y la tifoidea-paratifoidea [clera + TAB]"
"Z271" "Z271   Necesidad de inmunizacin contra difteria-pertussis-ttanos combinados [DPT]"
"Z272" "Z272   Necesidad de inmunizacin contra difteria-pertussis-ttanos y tifoidea-paratifoidea [DPT + TAB]"
"Z273" "Z273   Necesidad de inmunizacin contra difteria-pertussis-ttanos y poliomielitis [DPT + polio]"
"Z274" "Z274   Necesidad de inmunizacin contra sarampin-parotiditis-rubola- [SPR] [MMR]"
"Z278" "Z278   Necesidad de inmunizacin contra otras combinaciones de enfermedades infecciosas"
"Z279" "Z279   Necesidad de inmunizacin contra combinaciones no especificadas de enfermedades infecciosas"
"Z28" "Z28   Inmunizacin no realizada"
"Z280" "Z280   Inmunizacin no realizada por contraindicacin"
"Z281" "Z281   Inmunizacin no realizada por decisin del paciente, por motivos de creencia o presin de grupo"
"Z282" "Z282   Inmunizacin no realizada por decisin del paciente, por otras razones y las no especificadas"
"Z288" "Z288   Inmunizacin no realizada por otras razones"
"Z289" "Z289   Inmunizacin no realizada por razn no especificada"
"Z29" "Z29   Necesidad de otras medidas profilcticas"
"Z290" "Z290   Aislamiento"
"Z291" "Z291   Inmunoterapia profilctica"
"Z292" "Z292   Otra quimioterapia profilctica"
"Z298" "Z298   Otras medidas profilcticas especificadas"
"Z299" "Z299   Medida profilctica no especificada"
"Z30" "Z30   Atencin para la anticoncepcin"
"Z300" "Z300   Consejo y asesoramiento general sobre la anticoncepcin"
"Z301" "Z301   Insercin de dispositivo anticonceptivo (intrauterino)"
"Z302" "Z302   Esterilizacin"
"Z303" "Z303   Extraccin menstrual"
"Z304" "Z304   Supervisin del uso de drogas anticonceptivas"
"Z305" "Z305   Supervisin del uso de dispositivo anticonceptivo (intrauterino)"
"Z308" "Z308   Otras atenciones especificadas para la anticoncepcin"
"Z309" "Z309   Asistencia para la anticoncepcin, no especificada"
"Z31" "Z31   Atencin para la procreacin"
"Z310" "Z310   Tuboplastia o vasoplastia posterior a esterilizacin"
"Z311" "Z311   Inseminacin artificial"
"Z312" "Z312   Fecundacin in vitro"
"Z313" "Z313   Otros mtodos de atencin para la fecundacin"
"Z314" "Z314   Investigacin y prueba para la procreacin"
"Z315" "Z315   Asesoramiento gentico"
"Z316" "Z316   Consejo y asesoramiento general sobre la procreacin"
"Z318" "Z318   Otra atencin especificada para la procreacin"
"Z319" "Z319   Atencin no especificada relacionada con la procreacin"
"Z32" "Z32   Examen y prueba del embarazo"
"Z320" "Z320   Embarazo (an) no confirmado"
"Z321" "Z321   Embarazo confirmado"
"Z33" "Z33   Estado de embarazo, incidental"
"Z34" "Z34   Supervisin de embarazo normal"
"Z340" "Z340   Supervisin de primer embarazo normal"
"Z348" "Z348   Supervisin de otros embarazos normales"
"Z349" "Z349   Supervisin de embarazo normal no especificado"
"Z35" "Z35   Supervisin de embarazo de alto riesgo"
"Z350" "Z350   Supervisin de embarazo con historia de esterilidad"
"Z351" "Z351   Supervisin de embarazo con historia de aborto"
"Z352" "Z352   Supervisin de embarazo con otro riesgo en la historia obsttrica o reproductiva"
"Z353" "Z353   Supervisin de embarazo con historia de insuficiente atencin prenatal"
"Z354" "Z354   Supervisin de embarazo con gran multiparidad"
"Z355" "Z355   Supervisin de primigesta aosa"
"Z356" "Z356   Supervisin de primigesta muy joven"
"Z357" "Z357   Supervisin de embarazo de alto riesgo debido a problemas sociales"
"Z358" "Z358   Supervisin de otros embarazos de alto riesgo"
"Z359" "Z359   Supervisin de embarazo de alto riesgo, sin otra especificacin"
"Z36" "Z36   Pesquisas prenatales"
"Z360" "Z360   Pesquisa prenatal para anomalas cromosmicas"
"Z361" "Z361   Pesquisa prenatal para medir niveles elevados de alfafetoprotenas"
"Z362" "Z362   Otras pesquisas prenatales basadas en amniocentesis"
"Z363" "Z363   Pesquisa prenatal de malformaciones usando ultrasonido y otros mtodos fsicos"
"Z364" "Z364   Pesquisa prenatal del retardo del crecimiento fetal usando ultrasonido y otros mtodos fsicos"
"Z365" "Z365   Pesquisa prenatal para isoinmunizacin"
"Z368" "Z368   Otras pesquisas prenatales especificas"
"Z369" "Z369   Pesquisa prenatal, sin otra especificacin"
"Z37" "Z37   Producto del parto"
"Z370" "Z370   Nacido vivo,nico"
"Z371" "Z371   Nacido muerto,nico"
"Z372" "Z372   Gemelos, ambos nacidos vivos"
"Z373" "Z373   Gemelos, un nacido vivo y un nacido muerto"
"Z374" "Z374   Gemelos, ambos nacidos muertos"
"Z375" "Z375   Otros nacimientos mltiples, todos nacidos vivos"
"Z376" "Z376   Otros nacimientos mltiples, algunos nacidos vivos"
"Z377" "Z377   Otros nacimientos mltiples, todos nacidos muertos"
"Z379" "Z379   Producto del parto no especificado"
"Z38" "Z38   Nacidos vivos segn lugar de nacimiento"
"Z380" "Z380   Productonico, nacido en hospital"
"Z381" "Z381   Productonico, nacido fuera de hospital"
"Z382" "Z382   Productonico, lugar de nacimiento no especificado"
"Z383" "Z383   Gemelos, nacidos en hospital"
"Z384" "Z384   Gemelos, nacidos fuera de hospital"
"Z385" "Z385   Gemelos, lugar de nacimiento no especificado"
"Z386" "Z386   Otros nacimientos mltiples, en hospital"
"Z387" "Z387   Otros nacimientos mltiples, fuera del hospital"
"Z388" "Z388   Otros nacimientos mltiples, lugar de nacimiento no especificado"
"Z39" "Z39   Examen y atencin del postparto"
"Z390" "Z390   Atencin y examen inmediatamente despus del parto"
"Z391" "Z391   Atencin y examen de madre en periodo de lactancia"
"Z392" "Z392   Seguimiento postparto, de rutina"
"Z40" "Z40   Ciruga profilctica"
"Z400" "Z400   Ciruga profilctica por factores de riesgo relacionados con tumores malignos"
"Z408" "Z408   Otra ciruga profilctica"
"Z409" "Z409   Ciruga profilctica no especificada"
"Z41" "Z41   Procedimientos para otros propsitos que no sean los de mejorar el estado de salud"
"Z410" "Z410   Trasplante de pelo"
"Z411" "Z411   Otras cirugas plsticas por razones estticas"
"Z412" "Z412   Circuncisin ritual o de rutina"
"Z413" "Z413   Perforacin de la oreja"
"Z418" "Z418   Otros procedimientos para otros propsitos que no sean los de mejorar el estado de salud"
"Z419" "Z419   Procedimiento no especificado para otros propsitos que no sean los de mejorar el estado de salud"
"Z42" "Z42   Cuidados posteriores a la ciruga plstica"
"Z420" "Z420   Cuidados posteriores a la ciruga plstica de la cabeza y del cuello"
"Z421" "Z421   Cuidados posteriores a la ciruga plstica de la mama"
"Z422" "Z422   Cuidados posteriores a la ciruga plstica de otras partes especificadas del tronco"
"Z423" "Z423   Cuidados posteriores a la ciruga plstica de las extremidades superiores"
"Z424" "Z424   Cuidados posteriores a la ciruga plstica de las extremidades inferiores"
"Z428" "Z428   Cuidados posteriores a la ciruga plstica de otras partes especificadas del cuerpo"
"Z429" "Z429   Cuidados posteriores a la ciruga plstica no especificada"
"Z43" "Z43   Atencin de orificios artificiales"
"Z430" "Z430   Atencin de traqueostoma"
"Z431" "Z431   Atencin de gastrostoma"
"Z432" "Z432   Atencin de ileostoma"
"Z433" "Z433   Atencin de colostoma"
"Z434" "Z434   Atencin de otros orificios artificiales de las vas digestivas"
"Z435" "Z435   Atencin de cistostoma"
"Z436" "Z436   Atencin de otros orificios artificiales de las vas urinarias"
"Z437" "Z437   Atencin de vagina artificial"
"Z438" "Z438   Atencin de otros orificios artificiales"
"Z439" "Z439   Atencin de orificio artificial no especificado"
"Z44" "Z44   Prueba y ajuste de dispositivos protsicos externos"
"Z440" "Z440   Prueba y ajuste de brazo artificial (completo) (parcial)"
"Z441" "Z441   Prueba y ajuste de pierna artificial (completa) (parcial)"
"Z442" "Z442   Prueba y ajuste de ojo artificial"
"Z443" "Z443   Prueba y ajuste de prtesis mamaria externa"
"Z448" "Z448   Prueba y ajuste de otros dispositivos protsicos externos"
"Z449" "Z449   Prueba y ajuste de dispositivo protsico externo no especificado"
"Z45" "Z45   Asistencia y ajuste de dispositivos implantados"
"Z450" "Z450   Asistencia y ajuste de dispositivos cardacos"
"Z451" "Z451   Asistencia y ajuste de bomba de infusin"
"Z452" "Z452   Asistencia y ajuste de dispositivos de acceso vascular"
"Z453" "Z453   Asistencia y ajuste de dispositivo auditivo implantado"
"Z458" "Z458   Asistencia y ajuste de otros dispositivos implantados"
"Z459" "Z459   Asistencia y ajuste de dispositivo implantado no especificado"
"Z46" "Z46   Prueba y ajuste de otros dispositivos"
"Z460" "Z460   Prueba y ajuste de anteojos y lentes de contacto"
"Z461" "Z461   Prueba y ajuste de audfonos"
"Z462" "Z462   Prueba y ajuste de otros dispositivos relacionados con el sistema nervioso y los sentidos especiales"
"Z463" "Z463   Prueba y ajuste de prtesis dental"
"Z464" "Z464   Prueba y ajuste de dispositivo ortodncico"
"Z465" "Z465   Prueba y ajuste de ileostoma u otro dispositivo intestinal"
"Z466" "Z466   Prueba y ajuste de dispositivo urinario"
"Z467" "Z467   Prueba y ajuste de dispositivo ortopdico"
"Z468" "Z468   Prueba y ajuste de otros dispositivos especificados"
"Z469" "Z469   Prueba y ajuste de dispositivo no especificado"
"Z47" "Z47   Otros cuidados posteriores a la ortopedia"
"Z470" "Z470   Cuidados posteriores a la extraccin de placa u otro dispositivo de fijacin interna en fractura"
"Z478" "Z478   Otros cuidados especificados posteriores a la ortopedia"
"Z479" "Z479   Cuidado posterior a la ortopedia, no especificado"
"Z48" "Z48   Otros cuidados posteriores a la ciruga"
"Z480" "Z480   Atencin de los apsitos y suturas"
"Z488" "Z488   Otros cuidados especificados posteriores a la ciruga"
"Z489" "Z489   Cuidado posterior a la ciruga, no especificado"
"Z49" "Z49   Cuidados relativos al procedimiento de dilisis"
"Z490" "Z490   Cuidados preparatorios para dilisis"
"Z491" "Z491   Dilisis extracorprea"
"Z492" "Z492   Otras dilisis"
"Z50" "Z50   Atencin por el uso de procedimientos de rehabilitacin"
"Z500" "Z500   Rehabilitacin cardaca"
"Z501" "Z501   Otras terapias fsicas"
"Z502" "Z502   Rehabilitacin del alcohlico"
"Z503" "Z503   Rehabilitacin del drogadicto"
"Z504" "Z504   Psicoterapia, no clasificada en otra parte"
"Z505" "Z505   Terapia del lenguaje"
"Z506" "Z506   Adiestramiento ortptico"
"Z507" "Z507   Terapia ocupacional y rehabilitacin vocacional, no clasificada en otra parte"
"Z508" "Z508   Atencin por otros procedimientos de rehabilitacin"
"Z509" "Z509   Atencin por procedimiento de rehabilitacin, no especificada"
"Z51" "Z51   Otra atencin mdica"
"Z510" "Z510   Sesin de radioterapia"
"Z511" "Z511   Sesin de quimioterapia por tumor"
"Z512" "Z512   Otra quimioterapia"
"Z513" "Z513   Transfusin de sangre sin diagnstico informado"
"Z514" "Z514   Atencin preparatoria para tratamiento subsecuente, no clasificado en otra parte"
"Z515" "Z515   Atencin paliativa"
"Z516" "Z516   Desensibilizacin a alrgenos"
"Z518" "Z518   Otras atenciones mdicas especificadas"
"Z519" "Z519   Atencin mdica, no especificada"
"Z52" "Z52   Donantes de rganos y tejidos"
"Z520" "Z520   Donante de sangre"
"Z521" "Z521   Donante de piel"
"Z522" "Z522   Donante de hueso"
"Z523" "Z523   Donante de mdula sea"
"Z524" "Z524   Donante de rin"
"Z525" "Z525   Donante de crnea"
"Z526" "Z526   Donante de hgado"
"Z527" "Z527   Donante de corazn"
"Z528" "Z528   Donante de otros rganos o tejidos"
"Z529" "Z529   Donante de rgano o tejido no especificado"
"Z53" "Z53   Persona en contacto con los servicios de salud para procedimientos especficos no realizados"
"Z530" "Z530   Procedimiento no realizado por contraindicacin"
"Z531" "Z531   Procedimiento no realizado por decisin del paciente, por razones de creencia o presin de grupo"
"Z532" "Z532   Procedimiento no realizado por decisin del paciente, por otras razones y las no especificadas"
"Z538" "Z538   Procedimiento no realizado por otras razones"
"Z539" "Z539   Procedimiento no realizado por razn no especificada"
"Z54" "Z54   Convalecencia"
"Z540" "Z540   Convalecencia consecutiva a ciruga"
"Z541" "Z541   Convalecencia consecutiva a radioterapia"
"Z542" "Z542   Convalecencia consecutiva a quimioterapia"
"Z543" "Z543   Convalecencia consecutiva a psicoterapia"
"Z544" "Z544   Convalecencia consecutiva a tratamiento de fractura"
"Z547" "Z547   Convalecencia consecutiva a tratamiento combinado"
"Z548" "Z548   Convalecencia consecutiva a otros tratamientos"
"Z549" "Z549   Convalecencia consecutiva a tratamiento no especificado"
"Z55" "Z55   Problemas relacionados con la educacin y la alfabetizacin"
"Z550" "Z550   Problemas relacionados con el analfabetismo o bajo nivel de instruccin"
"Z551" "Z551   Problemas relacionados con la educacin no disponible o inaccesible"
"Z552" "Z552   Problemas relacionados con la falla en los exmenes"
"Z553" "Z553   Problemas relacionados con el bajo rendimiento escolar"
"Z554" "Z554   Problemas relacionados con la inadaptacin educacional y desavenencias con maestros y compaeros"
"Z558" "Z558   Otros problemas relacionados con la educacin y la alfabetizacin"
"Z559" "Z559   Problema no especificado relacionado con la educacin y la alfabetizacin"
"Z56" "Z56   Problemas relacionados con el empleo y el desempleo"
"Z560" "Z560   Problemas relacionados con el desempleo, no especificados"
"Z561" "Z561   Problemas relacionados con el cambio de empleo"
"Z562" "Z562   Problemas relacionados con amenaza de prdida del empleo"
"Z563" "Z563   Problemas relacionados con horario estresante de trabajo"
"Z564" "Z564   Problemas relacionados con desavenencias con el jefe y los compaeros de trabajo"
"Z565" "Z565   Problemas relacionados con el trabajo incompatible"
"Z566" "Z566   Otros problemas de tensin fsica o mental relacionadas con el trabajo"
"Z567" "Z567   Otros problemas y los no especificados relacionados con el empleo"
"Z57" "Z57   Exposicin a factores de riesgo ocupacional"
"Z570" "Z570   Exposicin ocupacional al ruido"
"Z571" "Z571   Exposicin ocupacional a la radiacin"
"Z572" "Z572   Exposicin ocupacional al polvo"
"Z573" "Z573   Exposicin ocupacional a otro contaminante del aire"
"Z574" "Z574   Exposicin ocupacional a agentes txicos en agricultura"
"Z575" "Z575   Exposicin ocupacional a agentes txicos en otras industrias"
"Z576" "Z576   Exposicin ocupacional a temperatura extrema"
"Z577" "Z577   Exposicin ocupacional a la vibracin"
"Z578" "Z578   Exposicin ocupacional a otros factores de riesgo"
"Z579" "Z579   Exposicin ocupacional a factor de riesgo no especificado"
"Z58" "Z58   Problemas relacionados con el ambiente fsico"
"Z580" "Z580   Exposicin al ruido"
"Z581" "Z581   Exposicin al aire contaminado"
"Z582" "Z582   Exposicin al agua contaminada"
"Z583" "Z583   Exposicin al suelo contaminado"
"Z584" "Z584   Exposicin a la radiacin"
"Z585" "Z585   Exposicin a otras contaminaciones del ambiente fsico"
"Z586" "Z586   Suministro inadecuado de agua potable"
"Z587" "Z587   Exposicin al humo del tabaco"
"Z588" "Z588   Otros problemas relacionados con el ambiente fsico"
"Z589" "Z589   Problema no especificado relacionado con el ambiente fsico"
"Z59" "Z59   Problemas relacionados con la vivienda y las circunstancias econmicas"
"Z590" "Z590   Problemas relacionados con la falta de vivienda"
"Z591" "Z591   Problemas relacionados con vivienda inadecuada"
"Z592" "Z592   Problemas caseros y con vecinos e inquilinos"
"Z593" "Z593   Problemas relacionados con persona que reside en una institucin"
"Z594" "Z594   Problemas relacionados con la falta de alimentos adecuados"
"Z595" "Z595   Problemas relacionados con pobreza extrema"
"Z596" "Z596   Problemas relacionados con bajos ingresos"
"Z597" "Z597   Problemas relacionados con seguridad social y sostenimiento insuficientes para el bienestar"
"Z598" "Z598   Otros problemas relacionados con la vivienda y las circunstancias econmicas"
"Z599" "Z599   Problemas no especificados relacionados con la vivienda y las circunstancias econmicas"
"Z60" "Z60   Problemas relacionados con el ambiente social"
"Z600" "Z600   Problemas relacionados con el ajuste a las transiciones del ciclo vital"
"Z601" "Z601   Problemas relacionados con situacin familiar atpica"
"Z602" "Z602   Problemas relacionados con persona que vive sola"
"Z603" "Z603   Problemas relacionados con la adaptacin cultural"
"Z604" "Z604   Problemas relacionados con exclusin y rechazo social"
"Z605" "Z605   Problemas relacionados con la discriminacin y persecucin percibidas"
"Z608" "Z608   Otros problemas relacionados con el ambiente social"
"Z609" "Z609   Problema no especificado relacionado con el ambiente social"
"Z61" "Z61   Problemas relacionados con hechos negativos en la niez"
"Z610" "Z610   Problemas relacionados con la prdida de relacin afectiva en la infancia"
"Z611" "Z611   Problemas relacionados con el alejamiento del hogar en la infancia"
"Z612" "Z612   Problemas relacionados con alteracin en el patrn de la relacin familiar en la infancia"
"Z613" "Z613   Problemas relacionados con eventos que llevaron a la prdida de la autoestima en la infancia"
"Z614" "Z614   Problemas relacionados con el abuso sexual del nio por persona dentro del grupo de apoyo primario"
"Z615" "Z615   Problemas relacionados con el abuso sexual del nio por persona ajena al grupo de apoyo primario"
"Z616" "Z616   Problemas relacionados con abuso fsico del nio"
"Z617" "Z617   Problemas relacionados con experiencias personales atemorizantes en la infancia"
"Z618" "Z618   Problemas relacionados con otras experiencias negativas en la infancia"
"Z619" "Z619   Problemas relacionados con experiencia negativa no especificada en la infancia"
"Z62" "Z62   Otros problemas relacionados con la crianza del nio"
"Z620" "Z620   Problemas relacionados con la supervisin o el control inadecuados de los padres"
"Z621" "Z621   Problemas relacionados con la sobreproteccin de los padres"
"Z622" "Z622   Problemas relacionados con la crianza en institucin"
"Z623" "Z623   Problemas relacionados con hostilidad y reprobacin al nio"
"Z624" "Z624   Problemas relacionados con el abandono emocional del nio"
"Z625" "Z625   Otros problemas relacionados con negligencia en la crianza del nio"
"Z626" "Z626   Problemas relacionados con presiones inapropiadas de los padres y otras anormalidades en la calidad de la crianza"
"Z628" "Z628   Otros problemas especificados y relacionados con la crianza del nio"
"Z629" "Z629   Problema no especificado relacionado con la crianza del nio"
"Z63" "Z63   Otros problemas relacionados con el grupo primario de apoyo, inclusive circunstancias familiares"
"Z630" "Z630   Problemas en la relacin entre esposos o pareja"
"Z631" "Z631   Problemas en la relacin con los padres y los familiares polticos"
"Z632" "Z632   Problemas relacionados con el apoyo familiar inadecuado"
"Z633" "Z633   Problemas relacionados con la ausencia de un miembro de la familia"
"Z634" "Z634   Problemas relacionados con la desaparicin o muerte de un miembro de la familia"
"Z635" "Z635   Problemas relacionados con la ruptura familiar por separacin o divorcio"
"Z636" "Z636   Problemas relacionados con familiar dependiente, necesitado de cuidado en la casa"
"Z637" "Z637   Problemas relacionados con otros hechos estresantes que afectan a la familia y al hogar"
"Z638" "Z638   Otros problemas especificados relacionados con el grupo primario de apoyo"
"Z639" "Z639   Problema no especificado relacionado con el grupo primario de apoyo"
"Z64" "Z64   Problemas relacionados con ciertas circunstancias psicosociales"
"Z640" "Z640   Problemas relacionados con embarazo no deseado"
"Z641" "Z641   Problemas relacionados con la multiparidad"
"Z642" "Z642   Problemas relacionados con la solicitud o aceptacin de intervenciones fsicas, nutricionales y qumicas, conociendo su riesgo y peligro"
"Z643" "Z643   Problemas relacionados con la solicitud o aceptacin de intervenciones psicolgicas o de la conducta, conociendo su riesgo y peligro"
"Z644" "Z644   Problemas relacionados con el desacuerdo con consejeros"
"Z65" "Z65   Problemas relacionados con otras circunstancias psicosociales"
"Z650" "Z650   Problemas relacionados con culpabilidad en procedimientos civiles o criminales sin prisin"
"Z651" "Z651   Problemas relacionados con prisin y otro encarcelamiento"
"Z652" "Z652   Problemas relacionados con la liberacin de la prisin"
"Z653" "Z653   Problemas relacionados con otras circunstancias legales"
"Z654" "Z654   Problemas relacionados con vctima de crimen o terrorismo"
"Z655" "Z655   Problemas relacionados con la exposicin a desastre, guerra u otras hostilidades"
"Z658" "Z658   Otros problemas especificados relacionados con circunstanciancias psicosociales"
"Z659" "Z659   Problemas relacionados con circunstancias psicosociales no especificadas"
"Z70" "Z70   Consulta relacionada con actitud, conducta u orientacin sexual"
"Z700" "Z700   Consulta relacionada con la actitud sexual"
"Z701" "Z701   Consulta relacionada con la orientacin y conducta sexual del paciente"
"Z702" "Z702   Consulta relacionada con la orientacin y conducta sexual de una tercera persona"
"Z703" "Z703   Consulta relacionada con preocupaciones combinadas sobre la actitud, la conducta y la orientacin sexuales"
"Z708" "Z708   Otras consultas sexuales especficas"
"Z709" "Z709   Consulta sexual, no especificada"
"Z71" "Z71   Personas en contacto con los servicios de salud por otras consultas y consejos mdicos, no clasificados en otra parte"
"Z710" "Z710   Persona que consulta en nombre de otra persona"
"Z711" "Z711   Persona que teme estar enferma, a quien no se hace diagnstico"
"Z712" "Z712   Persona que consulta para la explicacin de hallazgos de investigacin"
"Z713" "Z713   Consulta para instruccin y vigilancia de la dieta"
"Z714" "Z714   Consulta para asesora y vigilancia por abuso de alcohol"
"Z715" "Z715   Consulta para asesora y vigilancia por abuso de drogas"
"Z716" "Z716   Consulta para asesora por abuso de tabaco"
"Z717" "Z717   Consulta para asesora sobre el virus de la inmunodeficiencia humana [VIH]"
"Z718" "Z718   Otras consultas especificadas"
"Z719" "Z719   Consulta, no especificada"
"Z72" "Z72   Problemas relacionados con el estilo de vida"
"Z720" "Z720   Problemas relacionados con el uso del tabaco"
"Z721" "Z721   Problemas relacionados con el uso del alcohol"
"Z722" "Z722   Problemas relacionados con el uso de drogas"
"Z723" "Z723   Problemas relacionados con falta de ejercicio fsico"
"Z724" "Z724   Problemas relacionados con la dieta y hbitos alimentarios inapropiados"
"Z725" "Z725   Problemas relacionados con la conducta sexual de alto riesgo"
"Z726" "Z726   Problemas relacionados con el juego y las apuestas"
"Z728" "Z728   Otros problemas relacionados con el estilo de vida"
"Z729" "Z729   Problema no especificado relacionado con el estilo de vida"
"Z73" "Z73   Problemas relacionados con dificultades con el modo de vida"
"Z730" "Z730   Problemas relacionados con la enfermedad consuntiva"
"Z731" "Z731   Problemas relacionados con la acentuacin de rasgos de la personalidad"
"Z732" "Z732   Problemas relacionados con la falta de relajacin y descanso"
"Z733" "Z733   Problemas relacionados con el estrs, no clasificados en otra parte"
"Z734" "Z734   Problemas relacionados con habilidades sociales inadecuadas, no clasificados en otra parte"
"Z735" "Z735   Problemas relacionados con el conflicto del rol social, no clasificados en otra parte"
"Z736" "Z736   Problemas relacionados con la limitacin de las actividades debido a discapacidad"
"Z738" "Z738   Otros problemas relacionados con dificultades con el modo de vida"
"Z739" "Z739   Problemas no especificados relacionados con dificultades con el modo de vida"
"Z74" "Z74   Problemas relacionados con dependencia del prestador de servicios"
"Z740" "Z740   Necesidad de asistencia debida a movilidad reducida"
"Z741" "Z741   Problemas relacionados con la necesidad de ayuda para el cuidado personal"
"Z742" "Z742   Problemas relacionados con la necesidad de asistencia domiciliaria y que ningn otro miembro del hogar puede proporcionar"
"Z743" "Z743   Problemas relacionados con la necesidad de supervisin continua"
"Z748" "Z748   Otros problemas relacionados con dependencia del prestador de servicios"
"Z749" "Z749   Problema no especificado relacionado con dependencia del prestador de servicios"
"Z75" "Z75   Problemas relacionados con facilidades de atencin mdica u otros servicios de salud"
"Z750" "Z750   Problemas relacionados con servicio mdico no disponible en el domicilio"
"Z751" "Z751   Problemas relacionados con persona esperando admisin en una institucin apropiada en otro lugar"
"Z752" "Z752   Problemas relacionados con persona en otro perodo de espera para investigacin y tratamiento"
"Z753" "Z753   Problemas relacionados con atencin de salud no disponible o inaccesible"
"Z754" "Z754   Problemas relacionados con otros servicios asistenciales no disponibles o inaccesibles"
"Z755" "Z755   Problemas relacionados con la atencin durante vacaciones de la familia"
"Z758" "Z758   Otros problemas relacionados con servicios mdicos y de salud"
"Z759" "Z759   Problema no especificado relacionado con servicios mdicos y de salud"
"Z76" "Z76   Personas en contacto con los servicios de salud por otras circunstancias"
"Z760" "Z760   Consulta para repeticin de receta"
"Z761" "Z761   Consulta para atencin y supervisin de la salud del nio abandonado"
"Z762" "Z762   Consulta para atencin y supervisin de la salud de otros nios o lactantes sanos"
"Z763" "Z763   Persona sana que acompaa al enfermo"
"Z764" "Z764   Otro husped en servicios de salud"
"Z765" "Z765   Persona que consulta con simulacin consciente [simulador]"
"Z768" "Z768   Persona en contacto con los servicios de salud en otras circunstancias especificadas"
"Z769" "Z769   Persona en contacto con los servicios de salud en circunstancias no especificadas"
"Z80" "Z80   Historia familiar de tumor maligno"
"Z800" "Z800   Historia familiar de tumor maligno de rganos digestivos"
"Z801" "Z801   Historia familiar de tumor maligno de trquea, bronquios y pulmn"
"Z802" "Z802   Historia familiar de tumor maligno de otros rganos respiratorios e intratorcicos"
"Z803" "Z803   Historia familiar de tumor maligno de mama"
"Z804" "Z804   Historia familiar de tumor maligno de rganos genitales"
"Z805" "Z805   Historia familiar de tumor maligno de vas urinarias"
"Z806" "Z806   Historia familiar de leucemia"
"Z807" "Z807   Historia familiar de otros tumores malignos del tejido linfoide, hematopoytico y tejidos relacionados"
"Z808" "Z808   Historia familiar de tumor maligno de otros rganos o sistemas especificados"
"Z809" "Z809   Historia familiar de tumor maligno, de sitio no especificado"
"Z81" "Z81   Historia familiar de trastornos mentales y del comportamiento"
"Z810" "Z810   Historia familiar de retardo mental"
"Z811" "Z811   Historia familiar de abuso de alcohol"
"Z812" "Z812   Historia familiar de abuso del tabaco"
"Z813" "Z813   Historia familiar de abuso de otras sustancias psicoactivas"
"Z814" "Z814   Historia familiar de abuso de otras sustancias"
"Z818" "Z818   Historia familiar de otros trastornos mentales y del comportamiento"
"Z82" "Z82   Historia familiar de ciertas discapacidades y enfermedades crnicas incapacitantes"
"Z820" "Z820   Historia familiar de epilepsia y otras enfermedades del sistema nervioso"
"Z821" "Z821   Historia familiar de ceguera o prdida de la visin"
"Z822" "Z822   Historia familiar de sordera o prdida de la audicin"
"Z823" "Z823   Historia familiar de apopleja"
"Z824" "Z824   Historia familiar de enfermedad isqumica del corazn y otras enfermedades del sistema circulatorio"
"Z825" "Z825   Historia familiar de asma y de otras enfermedades crnicas de las vas respiratorias inferiores"
"Z826" "Z826   Historia familiar de artritis y otras enfermedades del sistema osteomuscular y tejido conjuntivo"
"Z827" "Z827   Historia familiar de malformaciones congnitas, deformidades y otras anomalas cromosmicas"
"Z828" "Z828   Historia familiar de otras discapacidades y enfermedades crnicas incapacitantes no clasificadas en otra parte"
"Z83" "Z83   Historia familiar de otros trastornos especficos"
"Z830" "Z830   Historia familiar de infeccin por el virus de la inmunodeficiencia humana [VIH]"
"Z831" "Z831   Historia familiar de otras enfermedades infecciosas y parasitarias"
"Z832" "Z832   Historia familiar de enfermedades de la sangre y de los rganos hematopoyticos y de ciertos trastornos del mecanismo inmunolgico"
"Z833" "Z833   Historia familiar de diabetes mellitus"
"Z834" "Z834   Historia familiar de otras enfermedades endocrinas, nutricionales y metablicas"
"Z835" "Z835   Historia familiar de trastornos de los ojos y de los odos"
"Z836" "Z836   Historia familiar de enfermedades del sistema respiratorio"
"Z837" "Z837   Historia familiar de enfermedades del sistema digestivo"
"Z84" "Z84   Historia familiar de otras afecciones"
"Z840" "Z840   Historia familiar de enfermedades de la piel y del tejido subcutneo"
"Z841" "Z841   Historia familiar de trastornos del rin y del urter"
"Z842" "Z842   Historia familiar de otras enfermedades del sistema genitourinario"
"Z843" "Z843   Historia familiar de consanguinidad"
"Z848" "Z848   Historia familiar de otras afecciones especificadas"
"Z85" "Z85   Historia personal de tumor maligno"
"Z850" "Z850   Historia personal de tumor maligno de rganos digestivos"
"Z851" "Z851   Historia personal de tumor maligno de trquea, bronquios y pulmn"
"Z852" "Z852   Historia personal de tumor maligno de otros rganos respiratorios e intratorcicos"
"Z853" "Z853   Historia personal de tumor maligno de mama"
"Z854" "Z854   Historia personal de tumor maligno de rganos genitales"
"Z855" "Z855   Historia personal de tumor maligno de vas urinarias"
"Z856" "Z856   Historia personal de leucemia"
"Z857" "Z857   Historia personal de otros tumores malignos del tejido linfoide, hematopoytico y tejidos relacionados"
"Z858" "Z858   Historia personal de tumor maligno de otros rganos y sistemas"
"Z859" "Z859   Historia personal de tumor maligno, de sitio no especificado"
"Z86" "Z86   Historia personal de algunas otras enfermedades"
"Z860" "Z860   Historia personal de otros tumores"
"Z861" "Z861   Historia personal de enfermedades infecciosas y parasitarias"
"Z862" "Z862   Historia personal de enfermedades de la sangre y de los rganos hematopoyticos y de ciertos trastornos del mecanismo inmunolgico"
"Z863" "Z863   Historia personal de enfermedades endocrinas, nutricionales y metablicas"
"Z864" "Z864   Historia personal de abuso de sustancias psicoactivas"
"Z865" "Z865   Historia personal de otros trastornos mentales o del comportamiento"
"Z866" "Z866   Historia personal de enfermedades del sistema nervioso y de los rganos de los sentidos"
"Z867" "Z867   Historia personal de enfermedades del sistema circulatorio"
"Z87" "Z87   Historia personal de otras enfermedades y afecciones"
"Z870" "Z870   Historia personal de enfermedades del sistema respiratorio"
"Z871" "Z871   Historia personal de enfermedades del sistema digestivo"
"Z872" "Z872   Historia personal de enfermedades de la piel y del tejido subcutneo"
"Z873" "Z873   Historia personal de enfermedades del sistema osteomuscular y del tejido conjuntivo"
"Z874" "Z874   Historia personal de enfermedades del sistema genitourinario"
"Z875" "Z875   Historia personal de complicaciones del embarazo, del parto y del puerperio"
"Z876" "Z876   Historia personal de ciertas afecciones originadas en el perodo perinatal"
"Z877" "Z877   Historia personal de malformaciones congnitas, deformidades y anomalas cromosmicas"
"Z878" "Z878   Historia personal de otras afecciones especificadas"
"Z88" "Z88   Historia personal de alergia a drogas, medicamentos y sustancias biolgicas"
"Z880" "Z880   Historia personal de alergia a penicilina"
"Z881" "Z881   Historia personal de alergia a otros agentes antibiticos"
"Z882" "Z882   Historia personal de alergia a sulfonamidas"
"Z883" "Z883   Historia personal de alergia a otros agentes antiinfecciosos"
"Z884" "Z884   Historia personal de alergia a agente anestsico"
"Z885" "Z885   Historia personal de alergia a agente narctico"
"Z886" "Z886   Historia personal de alergia a agente analgsico"
"Z887" "Z887   Historia personal de alergia a suero o vacuna"
"Z888" "Z888   Historia personal de alergia a otras drogas, medicamentos y sustancias biolgicas"
"Z889" "Z889   Historia personal de alergia a drogas, medicamentos y sustancias biolgicas no especificadas"
"Z89" "Z89   Ausencia adquirida de miembros"
"Z890" "Z890   Ausencia adquirida de dedo(s), [incluido el pulgar], unilateral"
"Z891" "Z891   Ausencia adquirida de mano y mueca"
"Z892" "Z892   Ausencia adquirida de miembro superior por arriba de la mueca"
"Z893" "Z893   Ausencia adquirida de ambos miembros superiores [cualquier nivel]"
"Z894" "Z894   Ausencia adquirida de pie y tobillo"
"Z895" "Z895   Ausencia adquirida de pierna a nivel de o debajo de la rodilla"
"Z896" "Z896   Ausencia adquirida de pierna por arriba de la rodilla"
"Z897" "Z897   Ausencia adquirida de ambos miembros inferiores [cualquier nivel, excepto dedos del pie solamente]"
"Z898" "Z898   Ausencia adquirida de miembros superiores e inferiores [cualquier nivel]"
"Z899" "Z899   Ausencia adquirida de miembros no especificados"
"Z90" "Z90   Ausencia adquirida de rganos, no clasificada en otra parte"
"Z900" "Z900   Ausencia adquirida de parte de la cabeza y del cuello"
"Z901" "Z901   Ausencia adquirida de mama(s)"
"Z902" "Z902   Ausencia adquirida (de parte) del pulmn"
"Z903" "Z903   Ausencia adquirida de parte del estmago"
"Z904" "Z904   Ausencia adquirida de otras partes del tubo digestivo"
"Z905" "Z905   Ausencia adquirida de rin"
"Z906" "Z906   Ausencia adquirida de otras partes de las vas urinarias"
"Z907" "Z907   Ausencia adquirida de rgano(s) genital(es)"
"Z908" "Z908   Ausencia adquirida de otros rganos"
"Z91" "Z91   Historia personal de factores de riesgo, no clasificados en otra parte"
"Z910" "Z910   Historia personal de alergia, no debida a drogas ni a sustancias biolgicas"
"Z911" "Z911   Historia personal de incumplimiento del rgimen o tratamiento mdico"
"Z912" "Z912   Historia personal de higiene personal deficiente"
"Z913" "Z913   Historia personal de ciclo sueo-vigilia no saludable"
"Z914" "Z914   Historia personal de trauma psicolgico, no clasificado en otra parte"
"Z915" "Z915   Historia personal de lesin autoinfligida intencionalmente"
"Z916" "Z916   Historia personal de otro trauma fsico"
"Z917" "Z917   Historia personal de mutilacin genital femenina"
"Z918" "Z918   Historia personal de otros factores de riesgo, no clasificados en otra parte"
"Z92" "Z92   Historia personal de tratamiento mdico"
"Z920" "Z920   Historia personal de anticoncepcin"
"Z921" "Z921   Historia personal de uso (presente) de anticoagulantes por largo tiempo"
"Z922" "Z922   Historia personal de uso (presente) de otros medicamentos por largo tiempo"
"Z923" "Z923   Historia personal de irradiacin"
"Z924" "Z924   Historia personal de ciruga mayor no clasificada en otra parte"
"Z925" "Z925   Historia personal de medidas de rehabilitacin"
"Z926" "Z926   Historia personal de quimioterapia por enfermedad neoplsica"
"Z928" "Z928   Historia personal de otros tratamientos mdicos"
"Z929" "Z929   Historia personal de tratamiento mdico no especificado"
"Z93" "Z93   Aberturas artificiales"
"Z930" "Z930   Traqueostoma"
"Z931" "Z931   Gastrostoma"
"Z932" "Z932   Ileostoma"
"Z933" "Z933   Colostoma"
"Z934" "Z934   Otros orificios artificiales del tubo gastrointestinal"
"Z935" "Z935   Cistostoma"
"Z936" "Z936   Otros orificios artificiales de las vas urinarias"
"Z938" "Z938   Otras aberturas artificiales"
"Z939" "Z939   Abertura artificial, no especificada"
"Z94" "Z94   Organos y tejidos trasplantados"
"Z940" "Z940   Trasplante de rin"
"Z941" "Z941   Trasplante de corazn"
"Z942" "Z942   Trasplante de pulmn"
"Z943" "Z943   Trasplante de corazn y pulmones"
"Z944" "Z944   Trasplante de hgado"
"Z945" "Z945   Trasplante de piel"
"Z946" "Z946   Trasplante de hueso"
"Z947" "Z947   Trasplante de crnea"
"Z948" "Z948   Otros rganos y tejidos trasplantados"
"Z949" "Z949   Órgano o tejido trasplantado no especificado"
"Z95" "Z95   Presencia de implantes e injertos cardiovasculares"
"Z950" "Z950   Presencia de dispositivos cardacos electrnicos"
"Z951" "Z951   Presencia de derivacin aortocoronaria"
"Z952" "Z952   Presencia de vlvula cardaca protsica"
"Z953" "Z953   Presencia de vlvula cardaca xenognica"
"Z954" "Z954   Presencia de otros reemplazos de vlvula cardaca"
"Z955" "Z955   Presencia de angioplastia, injertos y prtesis coronarias"
"Z958" "Z958   Presencia de otros injertos y prtesis cardiovasculares"
"Z959" "Z959   Presencia de injertos e implantes cardiovasculares no especificados"
"Z96" "Z96   Presencia de otros implantes funcionales"
"Z960" "Z960   Presencia de implante urogenital"
"Z961" "Z961   Presencia de lentes intraoculares"
"Z962" "Z962   Presencia de implantes ticos y auditivos"
"Z963" "Z963   Presencia de laringe artificial"
"Z964" "Z964   Presencia de implantes endocrinos"
"Z965" "Z965   Presencia de implantes de raz de diente y de mandbula"
"Z966" "Z966   Presencia de implante ortopdico articular"
"Z967" "Z967   Presencia de otros implantes de tendones y huesos"
"Z968" "Z968   Presencia de otros implantes funcionales especificados"
"Z969" "Z969   Presencia de implantes funcionales no especificados"
"Z97" "Z97   Presencia de otros dispositivos"
"Z970" "Z970   Presencia de ojo artificial"
"Z971" "Z971   Presencia de miembro artificial (completo) (parcial)"
"Z972" "Z972   Presencia de dispositivo protsico dental (completo) (parcial)"
"Z973" "Z973   Presencia de anteojos y lentes de contacto"
"Z974" "Z974   Presencia de audfono externo"
"Z975" "Z975   Presencia de dispositivo anticonceptivo (intrauterino)"
"Z978" "Z978   Presencia de otros dispositivos especificados"
"Z98" "Z98   Otros estados postquirrgicos"
"Z980" "Z980   Estado de derivacin intestinal o anastomosis"
"Z981" "Z981   Estado de artrodesis"
"Z982" "Z982   Presencia de dispositivo para drenaje de lquido cefalorraqudeo"
"Z988" "Z988   Otros estados postquirrgicos especificados"
"Z99" "Z99   Dependencia de mquinas y dispositivos capacitantes, no clasificada en otra parte"
"Z990" "Z990   Dependencia de aspirador"
"Z991" "Z991   Dependencia de respirador"
"Z992" "Z992   Dependencia de dilisis renal"
"Z993" "Z993   Dependencia de silla de ruedas"
"Z994" "Z994   Dependencia de corazn artificial"
"Z998" "Z998   Dependencia de otras mquinas y dispositivos capacitantes"
"Z999" "Z999   Dependencia de mquina y dispositivo capacitante, no especificada".
exe.
output close *.


*freq auxiliar_c3.
CTABLES
  /VLABELS VARIABLES=auxiliar_c3 prov_res DISPLAY=BOTH
  /TABLE auxiliar_c3 [COUNT F40.0] BY prov_res
  /CATEGORIES VARIABLES=auxiliar_c3 cant_res ORDER=A KEY=VALUE EMPTY=INCLUDE.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=parto_normal parto_cesarea otros_part sig_anor prov_res DISPLAY=BOTH
  /TABLE parto_normal [COUNT F40.0] + parto_cesarea [COUNT F40.0] + otros_part [COUNT F40.0] + 
    sig_anor [COUNT F40.0] BY prov_res
  /CATEGORIES VARIABLES=parto_normal parto_cesarea otros_part sig_anor ORDER=A KEY=VALUE 
    EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=prov_res ORDER=A KEY=VALUE EMPTY=INCLUDE.

 outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 3_1_18.xlsx' 
operation=createsheet sheet='c3_1_18'.
output close *.

*freq auxiliar_c3.
CTABLES
  /VLABELS VARIABLES=auxiliar_c3 prov_res cant_res DISPLAY=BOTH
  /TABLE auxiliar_c3 [COUNT F40.0] BY prov_res>cant_res
  /CATEGORIES VARIABLES=auxiliar_c3 prov_res cant_res ORDER=A KEY=VALUE EMPTY=EXCLUDE.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=parto_normal parto_cesarea otros_part sig_anor prov_res cant_res DISPLAY=BOTH
  /TABLE parto_normal [COUNT F40.0] + parto_cesarea [COUNT F40.0] + otros_part [COUNT F40.0] + 
    sig_anor [COUNT F40.0] BY prov_res>cant_res
  /CATEGORIES VARIABLES=parto_normal parto_cesarea otros_part sig_anor ORDER=A KEY=VALUE 
    EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=prov_res cant_res ORDER=A KEY=VALUE EMPTY=EXCLUDE.

 outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 3_1_19.xlsx' 
operation=createsheet sheet='c3_1_19'.
output close *.


GET
  FILE=' D:\EGRESOS Y CAMAS\BASES EGRESOS\egresos_hospitalarios_2022.sav'.
*creacin de variables*.

compute t = 1.
compute t1 = 1.

compute t2 = 1.

  if t=1 fallecidos=0.
 if (con_egrpa >= 2 and con_egrpa <= 3) fallecidos = 1.
  if t=1 altas=0.
 if (con_egrpa = 1) altas = 1.

*Cuadro excel 3.1.19 .
*Nmero de egresos hospitalarios segn al sector que pertenece el establecimiento de salud.

filter off.
use all.

TABLES  /FORMAT BLANK MISSING('.')
/obser= t altas fallecidos
/ptotal = total 'Nacional'
/TABLE= total +prov_res>cant_res by  t + altas + fallecidos
/STATISTICS= sum (t (f8.0)'total', fallecidos (f8.0)'fallecidos', altas (f8.0)'altas' )
/title='Nmero de egresos hospitalarios segn al sector que pertenece el establecimiento de salud c3.1.17'
/caption='Fuente: INEC - Egresos Hospitalarios 2022'.

outp exp /contents export=visible /xlsx documentfile='D:\Tabulados_2022\cuadro 3_1_17.xlsx' 
operation=createsheet sheet='c3_1_17'.
output close *.




